// (c) Copyright 2023 Advanced Micro Devices, Inc. All rights reserved.
//
// This file contains confidential and proprietary information
// of AMD and is protected under U.S. and international copyright
// and other intellectual property laws.
//
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// AMD, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) AMD shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or AMD had been advised of the
// possibility of the same.
//
// CRITICAL APPLICATIONS
// AMD products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of AMD products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
//
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
////////////////////////////////////////////////////////////
/*******************************************************************************

 *Device: All
 *Purpose:
 *  ILA constant values library
 * 
 *******************************************************************************/

  localparam LC_NUM_OF_PROBES = (C_EN_TIME_TAG == 1) ? (C_NUM_OF_PROBES + 1) : C_NUM_OF_PROBES;
  
  localparam LC_NUM_PROBES = (C_EN_DDR_ILA == 1) ? (LC_NUM_OF_PROBES*2) : LC_NUM_OF_PROBES;

  localparam LC_TIME_TAG_WIDTH = (C_EN_TIME_TAG == 1) ? C_TIME_TAG_WIDTH : 1;
  
  localparam LC_TIME_TAG_MU_CNT = 2;
  
  localparam LC_TIME_TAG_TYPE = 0;

  localparam LC_PROBE0_MU_CNT =  C_PROBE0_MU_CNT;
  localparam LC_PROBE1_MU_CNT = (C_NUM_OF_PROBES == 1 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1_MU_CNT;
  localparam LC_PROBE2_MU_CNT = (C_NUM_OF_PROBES == 2 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE2_MU_CNT;
  localparam LC_PROBE3_MU_CNT = (C_NUM_OF_PROBES == 3 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE3_MU_CNT;
  localparam LC_PROBE4_MU_CNT = (C_NUM_OF_PROBES == 4 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE4_MU_CNT;
  localparam LC_PROBE5_MU_CNT = (C_NUM_OF_PROBES == 5 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE5_MU_CNT;
  localparam LC_PROBE6_MU_CNT = (C_NUM_OF_PROBES == 6 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE6_MU_CNT;
  localparam LC_PROBE7_MU_CNT = (C_NUM_OF_PROBES == 7 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE7_MU_CNT;
  localparam LC_PROBE8_MU_CNT = (C_NUM_OF_PROBES == 8 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE8_MU_CNT;
  localparam LC_PROBE9_MU_CNT = (C_NUM_OF_PROBES == 9 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE9_MU_CNT;
  localparam LC_PROBE10_MU_CNT = (C_NUM_OF_PROBES == 10 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE10_MU_CNT;
  localparam LC_PROBE11_MU_CNT = (C_NUM_OF_PROBES == 11 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE11_MU_CNT;
  localparam LC_PROBE12_MU_CNT = (C_NUM_OF_PROBES == 12 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE12_MU_CNT;
  localparam LC_PROBE13_MU_CNT = (C_NUM_OF_PROBES == 13 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE13_MU_CNT;
  localparam LC_PROBE14_MU_CNT = (C_NUM_OF_PROBES == 14 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE14_MU_CNT;
  localparam LC_PROBE15_MU_CNT = (C_NUM_OF_PROBES == 15 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE15_MU_CNT;
  localparam LC_PROBE16_MU_CNT = (C_NUM_OF_PROBES == 16 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE16_MU_CNT;
  localparam LC_PROBE17_MU_CNT = (C_NUM_OF_PROBES == 17 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE17_MU_CNT;
  localparam LC_PROBE18_MU_CNT = (C_NUM_OF_PROBES == 18 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE18_MU_CNT;
  localparam LC_PROBE19_MU_CNT = (C_NUM_OF_PROBES == 19 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE19_MU_CNT;
  localparam LC_PROBE20_MU_CNT = (C_NUM_OF_PROBES == 20 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE20_MU_CNT;
  localparam LC_PROBE21_MU_CNT = (C_NUM_OF_PROBES == 21 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE21_MU_CNT;
  localparam LC_PROBE22_MU_CNT = (C_NUM_OF_PROBES == 22 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE22_MU_CNT;
  localparam LC_PROBE23_MU_CNT = (C_NUM_OF_PROBES == 23 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE23_MU_CNT;
  localparam LC_PROBE24_MU_CNT = (C_NUM_OF_PROBES == 24 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE24_MU_CNT;
  localparam LC_PROBE25_MU_CNT = (C_NUM_OF_PROBES == 25 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE25_MU_CNT;
  localparam LC_PROBE26_MU_CNT = (C_NUM_OF_PROBES == 26 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE26_MU_CNT;
  localparam LC_PROBE27_MU_CNT = (C_NUM_OF_PROBES == 27 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE27_MU_CNT;
  localparam LC_PROBE28_MU_CNT = (C_NUM_OF_PROBES == 28 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE28_MU_CNT;
  localparam LC_PROBE29_MU_CNT = (C_NUM_OF_PROBES == 29 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE29_MU_CNT;  
  localparam LC_PROBE30_MU_CNT = (C_NUM_OF_PROBES == 30 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE30_MU_CNT;
  localparam LC_PROBE31_MU_CNT = (C_NUM_OF_PROBES == 31 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE31_MU_CNT;
  localparam LC_PROBE32_MU_CNT = (C_NUM_OF_PROBES == 32 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE32_MU_CNT;
  localparam LC_PROBE33_MU_CNT = (C_NUM_OF_PROBES == 33 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE33_MU_CNT;
  localparam LC_PROBE34_MU_CNT = (C_NUM_OF_PROBES == 34 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE34_MU_CNT;
  localparam LC_PROBE35_MU_CNT = (C_NUM_OF_PROBES == 35 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE35_MU_CNT;
  localparam LC_PROBE36_MU_CNT = (C_NUM_OF_PROBES == 36 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE36_MU_CNT;
  localparam LC_PROBE37_MU_CNT = (C_NUM_OF_PROBES == 37 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE37_MU_CNT;
  localparam LC_PROBE38_MU_CNT = (C_NUM_OF_PROBES == 38 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE38_MU_CNT;
  localparam LC_PROBE39_MU_CNT = (C_NUM_OF_PROBES == 39 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE39_MU_CNT;
  localparam LC_PROBE40_MU_CNT = (C_NUM_OF_PROBES == 40 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE40_MU_CNT;
  localparam LC_PROBE41_MU_CNT = (C_NUM_OF_PROBES == 41 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE41_MU_CNT;
  localparam LC_PROBE42_MU_CNT = (C_NUM_OF_PROBES == 42 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE42_MU_CNT;
  localparam LC_PROBE43_MU_CNT = (C_NUM_OF_PROBES == 43 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE43_MU_CNT;
  localparam LC_PROBE44_MU_CNT = (C_NUM_OF_PROBES == 44 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE44_MU_CNT;
  localparam LC_PROBE45_MU_CNT = (C_NUM_OF_PROBES == 45 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE45_MU_CNT;
  localparam LC_PROBE46_MU_CNT = (C_NUM_OF_PROBES == 46 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE46_MU_CNT;
  localparam LC_PROBE47_MU_CNT = (C_NUM_OF_PROBES == 47 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE47_MU_CNT;
  localparam LC_PROBE48_MU_CNT = (C_NUM_OF_PROBES == 48 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE48_MU_CNT;
  localparam LC_PROBE49_MU_CNT = (C_NUM_OF_PROBES == 49 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE49_MU_CNT;
  localparam LC_PROBE50_MU_CNT = (C_NUM_OF_PROBES == 50 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE50_MU_CNT;
  localparam LC_PROBE51_MU_CNT = (C_NUM_OF_PROBES == 51 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE51_MU_CNT;
  localparam LC_PROBE52_MU_CNT = (C_NUM_OF_PROBES == 52 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE52_MU_CNT;
  localparam LC_PROBE53_MU_CNT = (C_NUM_OF_PROBES == 53 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE53_MU_CNT;
  localparam LC_PROBE54_MU_CNT = (C_NUM_OF_PROBES == 54 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE54_MU_CNT;
  localparam LC_PROBE55_MU_CNT = (C_NUM_OF_PROBES == 55 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE55_MU_CNT;
  localparam LC_PROBE56_MU_CNT = (C_NUM_OF_PROBES == 56 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE56_MU_CNT;
  localparam LC_PROBE57_MU_CNT = (C_NUM_OF_PROBES == 57 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE57_MU_CNT;
  localparam LC_PROBE58_MU_CNT = (C_NUM_OF_PROBES == 58 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE58_MU_CNT;
  localparam LC_PROBE59_MU_CNT = (C_NUM_OF_PROBES == 59 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE59_MU_CNT;
  localparam LC_PROBE60_MU_CNT = (C_NUM_OF_PROBES == 60 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE60_MU_CNT;
  localparam LC_PROBE61_MU_CNT = (C_NUM_OF_PROBES == 61 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE61_MU_CNT;
  localparam LC_PROBE62_MU_CNT = (C_NUM_OF_PROBES == 62 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE62_MU_CNT;
  localparam LC_PROBE63_MU_CNT = (C_NUM_OF_PROBES == 63 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE63_MU_CNT;
  localparam LC_PROBE64_MU_CNT = (C_NUM_OF_PROBES == 64 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE64_MU_CNT;
  localparam LC_PROBE65_MU_CNT = (C_NUM_OF_PROBES == 65 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE65_MU_CNT;
  localparam LC_PROBE66_MU_CNT = (C_NUM_OF_PROBES == 66 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE66_MU_CNT;
  localparam LC_PROBE67_MU_CNT = (C_NUM_OF_PROBES == 67 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE67_MU_CNT;
  localparam LC_PROBE68_MU_CNT = (C_NUM_OF_PROBES == 68 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE68_MU_CNT;
  localparam LC_PROBE69_MU_CNT = (C_NUM_OF_PROBES == 69 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE69_MU_CNT;
  localparam LC_PROBE70_MU_CNT = (C_NUM_OF_PROBES == 70 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE70_MU_CNT;
  localparam LC_PROBE71_MU_CNT = (C_NUM_OF_PROBES == 71 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE71_MU_CNT;
  localparam LC_PROBE72_MU_CNT = (C_NUM_OF_PROBES == 72 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE72_MU_CNT;
  localparam LC_PROBE73_MU_CNT = (C_NUM_OF_PROBES == 73 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE73_MU_CNT;
  localparam LC_PROBE74_MU_CNT = (C_NUM_OF_PROBES == 74 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE74_MU_CNT;
  localparam LC_PROBE75_MU_CNT = (C_NUM_OF_PROBES == 75 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE75_MU_CNT;
  localparam LC_PROBE76_MU_CNT = (C_NUM_OF_PROBES == 76 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE76_MU_CNT;
  localparam LC_PROBE77_MU_CNT = (C_NUM_OF_PROBES == 77 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE77_MU_CNT;
  localparam LC_PROBE78_MU_CNT = (C_NUM_OF_PROBES == 78 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE78_MU_CNT;
  localparam LC_PROBE79_MU_CNT = (C_NUM_OF_PROBES == 79 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE79_MU_CNT;
  localparam LC_PROBE80_MU_CNT = (C_NUM_OF_PROBES == 80 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE80_MU_CNT;
  localparam LC_PROBE81_MU_CNT = (C_NUM_OF_PROBES == 81 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE81_MU_CNT;
  localparam LC_PROBE82_MU_CNT = (C_NUM_OF_PROBES == 82 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE82_MU_CNT;
  localparam LC_PROBE83_MU_CNT = (C_NUM_OF_PROBES == 83 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE83_MU_CNT;
  localparam LC_PROBE84_MU_CNT = (C_NUM_OF_PROBES == 84 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE84_MU_CNT;
  localparam LC_PROBE85_MU_CNT = (C_NUM_OF_PROBES == 85 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE85_MU_CNT;
  localparam LC_PROBE86_MU_CNT = (C_NUM_OF_PROBES == 86 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE86_MU_CNT;
  localparam LC_PROBE87_MU_CNT = (C_NUM_OF_PROBES == 87 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE87_MU_CNT;
  localparam LC_PROBE88_MU_CNT = (C_NUM_OF_PROBES == 88 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE88_MU_CNT;
  localparam LC_PROBE89_MU_CNT = (C_NUM_OF_PROBES == 89 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE89_MU_CNT;
  localparam LC_PROBE90_MU_CNT = (C_NUM_OF_PROBES == 90 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE90_MU_CNT;
  localparam LC_PROBE91_MU_CNT = (C_NUM_OF_PROBES == 91 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE91_MU_CNT;
  localparam LC_PROBE92_MU_CNT = (C_NUM_OF_PROBES == 92 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE92_MU_CNT;
  localparam LC_PROBE93_MU_CNT = (C_NUM_OF_PROBES == 93 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE93_MU_CNT;
  localparam LC_PROBE94_MU_CNT = (C_NUM_OF_PROBES == 94 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE94_MU_CNT;
  localparam LC_PROBE95_MU_CNT = (C_NUM_OF_PROBES == 95 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE95_MU_CNT;
  localparam LC_PROBE96_MU_CNT = (C_NUM_OF_PROBES == 96 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE96_MU_CNT;
  localparam LC_PROBE97_MU_CNT = (C_NUM_OF_PROBES == 97 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE97_MU_CNT;
  localparam LC_PROBE98_MU_CNT = (C_NUM_OF_PROBES == 98 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE98_MU_CNT;
  localparam LC_PROBE99_MU_CNT = (C_NUM_OF_PROBES == 99 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE99_MU_CNT;
  localparam LC_PROBE100_MU_CNT = (C_NUM_OF_PROBES == 100 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE100_MU_CNT;
  localparam LC_PROBE101_MU_CNT = (C_NUM_OF_PROBES == 101 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE101_MU_CNT;
  localparam LC_PROBE102_MU_CNT = (C_NUM_OF_PROBES == 102 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE102_MU_CNT;
  localparam LC_PROBE103_MU_CNT = (C_NUM_OF_PROBES == 103 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE103_MU_CNT;
  localparam LC_PROBE104_MU_CNT = (C_NUM_OF_PROBES == 104 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE104_MU_CNT;
  localparam LC_PROBE105_MU_CNT = (C_NUM_OF_PROBES == 105 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE105_MU_CNT;
  localparam LC_PROBE106_MU_CNT = (C_NUM_OF_PROBES == 106 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE106_MU_CNT;
  localparam LC_PROBE107_MU_CNT = (C_NUM_OF_PROBES == 107 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE107_MU_CNT;
  localparam LC_PROBE108_MU_CNT = (C_NUM_OF_PROBES == 108 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE108_MU_CNT;
  localparam LC_PROBE109_MU_CNT = (C_NUM_OF_PROBES == 109 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE109_MU_CNT;
  localparam LC_PROBE110_MU_CNT = (C_NUM_OF_PROBES == 110 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE110_MU_CNT;
  localparam LC_PROBE111_MU_CNT = (C_NUM_OF_PROBES == 111 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE111_MU_CNT;
  localparam LC_PROBE112_MU_CNT = (C_NUM_OF_PROBES == 112 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE112_MU_CNT;
  localparam LC_PROBE113_MU_CNT = (C_NUM_OF_PROBES == 113 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE113_MU_CNT;
  localparam LC_PROBE114_MU_CNT = (C_NUM_OF_PROBES == 114 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE114_MU_CNT;
  localparam LC_PROBE115_MU_CNT = (C_NUM_OF_PROBES == 115 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE115_MU_CNT;
  localparam LC_PROBE116_MU_CNT = (C_NUM_OF_PROBES == 116 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE116_MU_CNT;
  localparam LC_PROBE117_MU_CNT = (C_NUM_OF_PROBES == 117 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE117_MU_CNT;
  localparam LC_PROBE118_MU_CNT = (C_NUM_OF_PROBES == 118 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE118_MU_CNT;
  localparam LC_PROBE119_MU_CNT = (C_NUM_OF_PROBES == 119 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE119_MU_CNT;
  localparam LC_PROBE120_MU_CNT = (C_NUM_OF_PROBES == 120 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE120_MU_CNT;
  localparam LC_PROBE121_MU_CNT = (C_NUM_OF_PROBES == 121 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE121_MU_CNT;
  localparam LC_PROBE122_MU_CNT = (C_NUM_OF_PROBES == 122 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE122_MU_CNT;
  localparam LC_PROBE123_MU_CNT = (C_NUM_OF_PROBES == 123 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE123_MU_CNT;
  localparam LC_PROBE124_MU_CNT = (C_NUM_OF_PROBES == 124 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE124_MU_CNT;
  localparam LC_PROBE125_MU_CNT = (C_NUM_OF_PROBES == 125 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE125_MU_CNT;
  localparam LC_PROBE126_MU_CNT = (C_NUM_OF_PROBES == 126 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE126_MU_CNT;
  localparam LC_PROBE127_MU_CNT = (C_NUM_OF_PROBES == 127 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE127_MU_CNT;
  localparam LC_PROBE128_MU_CNT = (C_NUM_OF_PROBES == 128 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE128_MU_CNT;
  localparam LC_PROBE129_MU_CNT = (C_NUM_OF_PROBES == 129 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE129_MU_CNT;  
  localparam LC_PROBE130_MU_CNT = (C_NUM_OF_PROBES == 130 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE130_MU_CNT;
  localparam LC_PROBE131_MU_CNT = (C_NUM_OF_PROBES == 131 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE131_MU_CNT;
  localparam LC_PROBE132_MU_CNT = (C_NUM_OF_PROBES == 132 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE132_MU_CNT;
  localparam LC_PROBE133_MU_CNT = (C_NUM_OF_PROBES == 133 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE133_MU_CNT;
  localparam LC_PROBE134_MU_CNT = (C_NUM_OF_PROBES == 134 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE134_MU_CNT;
  localparam LC_PROBE135_MU_CNT = (C_NUM_OF_PROBES == 135 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE135_MU_CNT;
  localparam LC_PROBE136_MU_CNT = (C_NUM_OF_PROBES == 136 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE136_MU_CNT;
  localparam LC_PROBE137_MU_CNT = (C_NUM_OF_PROBES == 137 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE137_MU_CNT;
  localparam LC_PROBE138_MU_CNT = (C_NUM_OF_PROBES == 138 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE138_MU_CNT;
  localparam LC_PROBE139_MU_CNT = (C_NUM_OF_PROBES == 139 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE139_MU_CNT;
  localparam LC_PROBE140_MU_CNT = (C_NUM_OF_PROBES == 140 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE140_MU_CNT;
  localparam LC_PROBE141_MU_CNT = (C_NUM_OF_PROBES == 141 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE141_MU_CNT;
  localparam LC_PROBE142_MU_CNT = (C_NUM_OF_PROBES == 142 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE142_MU_CNT;
  localparam LC_PROBE143_MU_CNT = (C_NUM_OF_PROBES == 143 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE143_MU_CNT;
  localparam LC_PROBE144_MU_CNT = (C_NUM_OF_PROBES == 144 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE144_MU_CNT;
  localparam LC_PROBE145_MU_CNT = (C_NUM_OF_PROBES == 145 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE145_MU_CNT;
  localparam LC_PROBE146_MU_CNT = (C_NUM_OF_PROBES == 146 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE146_MU_CNT;
  localparam LC_PROBE147_MU_CNT = (C_NUM_OF_PROBES == 147 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE147_MU_CNT;
  localparam LC_PROBE148_MU_CNT = (C_NUM_OF_PROBES == 148 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE148_MU_CNT;
  localparam LC_PROBE149_MU_CNT = (C_NUM_OF_PROBES == 149 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE149_MU_CNT;
  localparam LC_PROBE150_MU_CNT = (C_NUM_OF_PROBES == 150 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE150_MU_CNT;
  localparam LC_PROBE151_MU_CNT = (C_NUM_OF_PROBES == 151 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE151_MU_CNT;
  localparam LC_PROBE152_MU_CNT = (C_NUM_OF_PROBES == 152 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE152_MU_CNT;
  localparam LC_PROBE153_MU_CNT = (C_NUM_OF_PROBES == 153 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE153_MU_CNT;
  localparam LC_PROBE154_MU_CNT = (C_NUM_OF_PROBES == 154 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE154_MU_CNT;
  localparam LC_PROBE155_MU_CNT = (C_NUM_OF_PROBES == 155 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE155_MU_CNT;
  localparam LC_PROBE156_MU_CNT = (C_NUM_OF_PROBES == 156 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE156_MU_CNT;
  localparam LC_PROBE157_MU_CNT = (C_NUM_OF_PROBES == 157 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE157_MU_CNT;
  localparam LC_PROBE158_MU_CNT = (C_NUM_OF_PROBES == 158 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE158_MU_CNT;
  localparam LC_PROBE159_MU_CNT = (C_NUM_OF_PROBES == 159 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE159_MU_CNT;
  localparam LC_PROBE160_MU_CNT = (C_NUM_OF_PROBES == 160 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE160_MU_CNT;
  localparam LC_PROBE161_MU_CNT = (C_NUM_OF_PROBES == 161 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE161_MU_CNT;
  localparam LC_PROBE162_MU_CNT = (C_NUM_OF_PROBES == 162 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE162_MU_CNT;
  localparam LC_PROBE163_MU_CNT = (C_NUM_OF_PROBES == 163 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE163_MU_CNT;
  localparam LC_PROBE164_MU_CNT = (C_NUM_OF_PROBES == 164 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE164_MU_CNT;
  localparam LC_PROBE165_MU_CNT = (C_NUM_OF_PROBES == 165 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE165_MU_CNT;
  localparam LC_PROBE166_MU_CNT = (C_NUM_OF_PROBES == 166 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE166_MU_CNT;
  localparam LC_PROBE167_MU_CNT = (C_NUM_OF_PROBES == 167 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE167_MU_CNT;
  localparam LC_PROBE168_MU_CNT = (C_NUM_OF_PROBES == 168 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE168_MU_CNT;
  localparam LC_PROBE169_MU_CNT = (C_NUM_OF_PROBES == 169 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE169_MU_CNT;
  localparam LC_PROBE170_MU_CNT = (C_NUM_OF_PROBES == 170 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE170_MU_CNT;
  localparam LC_PROBE171_MU_CNT = (C_NUM_OF_PROBES == 171 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE171_MU_CNT;
  localparam LC_PROBE172_MU_CNT = (C_NUM_OF_PROBES == 172 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE172_MU_CNT;
  localparam LC_PROBE173_MU_CNT = (C_NUM_OF_PROBES == 173 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE173_MU_CNT;
  localparam LC_PROBE174_MU_CNT = (C_NUM_OF_PROBES == 174 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE174_MU_CNT;
  localparam LC_PROBE175_MU_CNT = (C_NUM_OF_PROBES == 175 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE175_MU_CNT;
  localparam LC_PROBE176_MU_CNT = (C_NUM_OF_PROBES == 176 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE176_MU_CNT;
  localparam LC_PROBE177_MU_CNT = (C_NUM_OF_PROBES == 177 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE177_MU_CNT;
  localparam LC_PROBE178_MU_CNT = (C_NUM_OF_PROBES == 178 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE178_MU_CNT;
  localparam LC_PROBE179_MU_CNT = (C_NUM_OF_PROBES == 179 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE179_MU_CNT;
  localparam LC_PROBE180_MU_CNT = (C_NUM_OF_PROBES == 180 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE180_MU_CNT;
  localparam LC_PROBE181_MU_CNT = (C_NUM_OF_PROBES == 181 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE181_MU_CNT;
  localparam LC_PROBE182_MU_CNT = (C_NUM_OF_PROBES == 182 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE182_MU_CNT;
  localparam LC_PROBE183_MU_CNT = (C_NUM_OF_PROBES == 183 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE183_MU_CNT;
  localparam LC_PROBE184_MU_CNT = (C_NUM_OF_PROBES == 184 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE184_MU_CNT;
  localparam LC_PROBE185_MU_CNT = (C_NUM_OF_PROBES == 185 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE185_MU_CNT;
  localparam LC_PROBE186_MU_CNT = (C_NUM_OF_PROBES == 186 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE186_MU_CNT;
  localparam LC_PROBE187_MU_CNT = (C_NUM_OF_PROBES == 187 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE187_MU_CNT;
  localparam LC_PROBE188_MU_CNT = (C_NUM_OF_PROBES == 188 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE188_MU_CNT;
  localparam LC_PROBE189_MU_CNT = (C_NUM_OF_PROBES == 189 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE189_MU_CNT;
  localparam LC_PROBE190_MU_CNT = (C_NUM_OF_PROBES == 190 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE190_MU_CNT;
  localparam LC_PROBE191_MU_CNT = (C_NUM_OF_PROBES == 191 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE191_MU_CNT;
  localparam LC_PROBE192_MU_CNT = (C_NUM_OF_PROBES == 192 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE192_MU_CNT;
  localparam LC_PROBE193_MU_CNT = (C_NUM_OF_PROBES == 193 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE193_MU_CNT;
  localparam LC_PROBE194_MU_CNT = (C_NUM_OF_PROBES == 194 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE194_MU_CNT;
  localparam LC_PROBE195_MU_CNT = (C_NUM_OF_PROBES == 195 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE195_MU_CNT;
  localparam LC_PROBE196_MU_CNT = (C_NUM_OF_PROBES == 196 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE196_MU_CNT;
  localparam LC_PROBE197_MU_CNT = (C_NUM_OF_PROBES == 197 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE197_MU_CNT;
  localparam LC_PROBE198_MU_CNT = (C_NUM_OF_PROBES == 198 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE198_MU_CNT;
  localparam LC_PROBE199_MU_CNT = (C_NUM_OF_PROBES == 199 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE199_MU_CNT;
  localparam LC_PROBE200_MU_CNT = (C_NUM_OF_PROBES == 200 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE200_MU_CNT;
  localparam LC_PROBE201_MU_CNT = (C_NUM_OF_PROBES == 201 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE201_MU_CNT;
  localparam LC_PROBE202_MU_CNT = (C_NUM_OF_PROBES == 202 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE202_MU_CNT;
  localparam LC_PROBE203_MU_CNT = (C_NUM_OF_PROBES == 203 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE203_MU_CNT;
  localparam LC_PROBE204_MU_CNT = (C_NUM_OF_PROBES == 204 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE204_MU_CNT;
  localparam LC_PROBE205_MU_CNT = (C_NUM_OF_PROBES == 205 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE205_MU_CNT;
  localparam LC_PROBE206_MU_CNT = (C_NUM_OF_PROBES == 206 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE206_MU_CNT;
  localparam LC_PROBE207_MU_CNT = (C_NUM_OF_PROBES == 207 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE207_MU_CNT;
  localparam LC_PROBE208_MU_CNT = (C_NUM_OF_PROBES == 208 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE208_MU_CNT;
  localparam LC_PROBE209_MU_CNT = (C_NUM_OF_PROBES == 209 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE209_MU_CNT;
  localparam LC_PROBE210_MU_CNT = (C_NUM_OF_PROBES == 210 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE210_MU_CNT;
  localparam LC_PROBE211_MU_CNT = (C_NUM_OF_PROBES == 211 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE211_MU_CNT;
  localparam LC_PROBE212_MU_CNT = (C_NUM_OF_PROBES == 212 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE212_MU_CNT;
  localparam LC_PROBE213_MU_CNT = (C_NUM_OF_PROBES == 213 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE213_MU_CNT;
  localparam LC_PROBE214_MU_CNT = (C_NUM_OF_PROBES == 214 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE214_MU_CNT;
  localparam LC_PROBE215_MU_CNT = (C_NUM_OF_PROBES == 215 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE215_MU_CNT;
  localparam LC_PROBE216_MU_CNT = (C_NUM_OF_PROBES == 216 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE216_MU_CNT;
  localparam LC_PROBE217_MU_CNT = (C_NUM_OF_PROBES == 217 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE217_MU_CNT;
  localparam LC_PROBE218_MU_CNT = (C_NUM_OF_PROBES == 218 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE218_MU_CNT;
  localparam LC_PROBE219_MU_CNT = (C_NUM_OF_PROBES == 219 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE219_MU_CNT;
  localparam LC_PROBE220_MU_CNT = (C_NUM_OF_PROBES == 220 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE220_MU_CNT;
  localparam LC_PROBE221_MU_CNT = (C_NUM_OF_PROBES == 221 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE221_MU_CNT;
  localparam LC_PROBE222_MU_CNT = (C_NUM_OF_PROBES == 222 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE222_MU_CNT;
  localparam LC_PROBE223_MU_CNT = (C_NUM_OF_PROBES == 223 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE223_MU_CNT;
  localparam LC_PROBE224_MU_CNT = (C_NUM_OF_PROBES == 224 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE224_MU_CNT;
  localparam LC_PROBE225_MU_CNT = (C_NUM_OF_PROBES == 225 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE225_MU_CNT;
  localparam LC_PROBE226_MU_CNT = (C_NUM_OF_PROBES == 226 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE226_MU_CNT;
  localparam LC_PROBE227_MU_CNT = (C_NUM_OF_PROBES == 227 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE227_MU_CNT;
  localparam LC_PROBE228_MU_CNT = (C_NUM_OF_PROBES == 228 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE228_MU_CNT;
  localparam LC_PROBE229_MU_CNT = (C_NUM_OF_PROBES == 229 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE229_MU_CNT;  
  localparam LC_PROBE230_MU_CNT = (C_NUM_OF_PROBES == 230 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE230_MU_CNT;
  localparam LC_PROBE231_MU_CNT = (C_NUM_OF_PROBES == 231 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE231_MU_CNT;
  localparam LC_PROBE232_MU_CNT = (C_NUM_OF_PROBES == 232 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE232_MU_CNT;
  localparam LC_PROBE233_MU_CNT = (C_NUM_OF_PROBES == 233 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE233_MU_CNT;
  localparam LC_PROBE234_MU_CNT = (C_NUM_OF_PROBES == 234 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE234_MU_CNT;
  localparam LC_PROBE235_MU_CNT = (C_NUM_OF_PROBES == 235 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE235_MU_CNT;
  localparam LC_PROBE236_MU_CNT = (C_NUM_OF_PROBES == 236 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE236_MU_CNT;
  localparam LC_PROBE237_MU_CNT = (C_NUM_OF_PROBES == 237 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE237_MU_CNT;
  localparam LC_PROBE238_MU_CNT = (C_NUM_OF_PROBES == 238 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE238_MU_CNT;
  localparam LC_PROBE239_MU_CNT = (C_NUM_OF_PROBES == 239 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE239_MU_CNT;
  localparam LC_PROBE240_MU_CNT = (C_NUM_OF_PROBES == 240 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE240_MU_CNT;
  localparam LC_PROBE241_MU_CNT = (C_NUM_OF_PROBES == 241 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE241_MU_CNT;
  localparam LC_PROBE242_MU_CNT = (C_NUM_OF_PROBES == 242 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE242_MU_CNT;
  localparam LC_PROBE243_MU_CNT = (C_NUM_OF_PROBES == 243 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE243_MU_CNT;
  localparam LC_PROBE244_MU_CNT = (C_NUM_OF_PROBES == 244 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE244_MU_CNT;
  localparam LC_PROBE245_MU_CNT = (C_NUM_OF_PROBES == 245 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE245_MU_CNT;
  localparam LC_PROBE246_MU_CNT = (C_NUM_OF_PROBES == 246 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE246_MU_CNT;
  localparam LC_PROBE247_MU_CNT = (C_NUM_OF_PROBES == 247 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE247_MU_CNT;
  localparam LC_PROBE248_MU_CNT = (C_NUM_OF_PROBES == 248 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE248_MU_CNT;
  localparam LC_PROBE249_MU_CNT = (C_NUM_OF_PROBES == 249 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE249_MU_CNT;
  localparam LC_PROBE250_MU_CNT = (C_NUM_OF_PROBES == 250 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE250_MU_CNT;
  localparam LC_PROBE251_MU_CNT = (C_NUM_OF_PROBES == 251 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE251_MU_CNT;
  localparam LC_PROBE252_MU_CNT = (C_NUM_OF_PROBES == 252 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE252_MU_CNT;
  localparam LC_PROBE253_MU_CNT = (C_NUM_OF_PROBES == 253 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE253_MU_CNT;
  localparam LC_PROBE254_MU_CNT = (C_NUM_OF_PROBES == 254 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE254_MU_CNT;
  localparam LC_PROBE255_MU_CNT = (C_NUM_OF_PROBES == 255 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE255_MU_CNT;
  localparam LC_PROBE256_MU_CNT = (C_NUM_OF_PROBES == 256 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE256_MU_CNT;
  localparam LC_PROBE257_MU_CNT = (C_NUM_OF_PROBES == 257 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE257_MU_CNT;
  localparam LC_PROBE258_MU_CNT = (C_NUM_OF_PROBES == 258 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE258_MU_CNT;
  localparam LC_PROBE259_MU_CNT = (C_NUM_OF_PROBES == 259 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE259_MU_CNT;
  localparam LC_PROBE260_MU_CNT = (C_NUM_OF_PROBES == 260 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE260_MU_CNT;
  localparam LC_PROBE261_MU_CNT = (C_NUM_OF_PROBES == 261 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE261_MU_CNT;
  localparam LC_PROBE262_MU_CNT = (C_NUM_OF_PROBES == 262 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE262_MU_CNT;
  localparam LC_PROBE263_MU_CNT = (C_NUM_OF_PROBES == 263 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE263_MU_CNT;
  localparam LC_PROBE264_MU_CNT = (C_NUM_OF_PROBES == 264 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE264_MU_CNT;
  localparam LC_PROBE265_MU_CNT = (C_NUM_OF_PROBES == 265 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE265_MU_CNT;
  localparam LC_PROBE266_MU_CNT = (C_NUM_OF_PROBES == 266 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE266_MU_CNT;
  localparam LC_PROBE267_MU_CNT = (C_NUM_OF_PROBES == 267 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE267_MU_CNT;
  localparam LC_PROBE268_MU_CNT = (C_NUM_OF_PROBES == 268 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE268_MU_CNT;
  localparam LC_PROBE269_MU_CNT = (C_NUM_OF_PROBES == 269 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE269_MU_CNT;
  localparam LC_PROBE270_MU_CNT = (C_NUM_OF_PROBES == 270 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE270_MU_CNT;
  localparam LC_PROBE271_MU_CNT = (C_NUM_OF_PROBES == 271 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE271_MU_CNT;
  localparam LC_PROBE272_MU_CNT = (C_NUM_OF_PROBES == 272 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE272_MU_CNT;
  localparam LC_PROBE273_MU_CNT = (C_NUM_OF_PROBES == 273 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE273_MU_CNT;
  localparam LC_PROBE274_MU_CNT = (C_NUM_OF_PROBES == 274 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE274_MU_CNT;
  localparam LC_PROBE275_MU_CNT = (C_NUM_OF_PROBES == 275 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE275_MU_CNT;
  localparam LC_PROBE276_MU_CNT = (C_NUM_OF_PROBES == 276 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE276_MU_CNT;
  localparam LC_PROBE277_MU_CNT = (C_NUM_OF_PROBES == 277 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE277_MU_CNT;
  localparam LC_PROBE278_MU_CNT = (C_NUM_OF_PROBES == 278 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE278_MU_CNT;
  localparam LC_PROBE279_MU_CNT = (C_NUM_OF_PROBES == 279 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE279_MU_CNT;
  localparam LC_PROBE280_MU_CNT = (C_NUM_OF_PROBES == 280 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE280_MU_CNT;
  localparam LC_PROBE281_MU_CNT = (C_NUM_OF_PROBES == 281 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE281_MU_CNT;
  localparam LC_PROBE282_MU_CNT = (C_NUM_OF_PROBES == 282 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE282_MU_CNT;
  localparam LC_PROBE283_MU_CNT = (C_NUM_OF_PROBES == 283 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE283_MU_CNT;
  localparam LC_PROBE284_MU_CNT = (C_NUM_OF_PROBES == 284 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE284_MU_CNT;
  localparam LC_PROBE285_MU_CNT = (C_NUM_OF_PROBES == 285 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE285_MU_CNT;
  localparam LC_PROBE286_MU_CNT = (C_NUM_OF_PROBES == 286 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE286_MU_CNT;
  localparam LC_PROBE287_MU_CNT = (C_NUM_OF_PROBES == 287 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE287_MU_CNT;
  localparam LC_PROBE288_MU_CNT = (C_NUM_OF_PROBES == 288 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE288_MU_CNT;
  localparam LC_PROBE289_MU_CNT = (C_NUM_OF_PROBES == 289 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE289_MU_CNT;
  localparam LC_PROBE290_MU_CNT = (C_NUM_OF_PROBES == 290 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE290_MU_CNT;
  localparam LC_PROBE291_MU_CNT = (C_NUM_OF_PROBES == 291 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE291_MU_CNT;
  localparam LC_PROBE292_MU_CNT = (C_NUM_OF_PROBES == 292 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE292_MU_CNT;
  localparam LC_PROBE293_MU_CNT = (C_NUM_OF_PROBES == 293 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE293_MU_CNT;
  localparam LC_PROBE294_MU_CNT = (C_NUM_OF_PROBES == 294 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE294_MU_CNT;
  localparam LC_PROBE295_MU_CNT = (C_NUM_OF_PROBES == 295 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE295_MU_CNT;
  localparam LC_PROBE296_MU_CNT = (C_NUM_OF_PROBES == 296 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE296_MU_CNT;
  localparam LC_PROBE297_MU_CNT = (C_NUM_OF_PROBES == 297 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE297_MU_CNT;
  localparam LC_PROBE298_MU_CNT = (C_NUM_OF_PROBES == 298 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE298_MU_CNT;
  localparam LC_PROBE299_MU_CNT = (C_NUM_OF_PROBES == 299 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE299_MU_CNT;
  localparam LC_PROBE300_MU_CNT = (C_NUM_OF_PROBES == 300 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE300_MU_CNT;
  localparam LC_PROBE301_MU_CNT = (C_NUM_OF_PROBES == 301 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE301_MU_CNT;
  localparam LC_PROBE302_MU_CNT = (C_NUM_OF_PROBES == 302 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE302_MU_CNT;
  localparam LC_PROBE303_MU_CNT = (C_NUM_OF_PROBES == 303 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE303_MU_CNT;
  localparam LC_PROBE304_MU_CNT = (C_NUM_OF_PROBES == 304 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE304_MU_CNT;
  localparam LC_PROBE305_MU_CNT = (C_NUM_OF_PROBES == 305 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE305_MU_CNT;
  localparam LC_PROBE306_MU_CNT = (C_NUM_OF_PROBES == 306 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE306_MU_CNT;
  localparam LC_PROBE307_MU_CNT = (C_NUM_OF_PROBES == 307 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE307_MU_CNT;
  localparam LC_PROBE308_MU_CNT = (C_NUM_OF_PROBES == 308 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE308_MU_CNT;
  localparam LC_PROBE309_MU_CNT = (C_NUM_OF_PROBES == 309 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE309_MU_CNT;
  localparam LC_PROBE310_MU_CNT = (C_NUM_OF_PROBES == 310 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE310_MU_CNT;
  localparam LC_PROBE311_MU_CNT = (C_NUM_OF_PROBES == 311 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE311_MU_CNT;
  localparam LC_PROBE312_MU_CNT = (C_NUM_OF_PROBES == 312 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE312_MU_CNT;
  localparam LC_PROBE313_MU_CNT = (C_NUM_OF_PROBES == 313 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE313_MU_CNT;
  localparam LC_PROBE314_MU_CNT = (C_NUM_OF_PROBES == 314 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE314_MU_CNT;
  localparam LC_PROBE315_MU_CNT = (C_NUM_OF_PROBES == 315 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE315_MU_CNT;
  localparam LC_PROBE316_MU_CNT = (C_NUM_OF_PROBES == 316 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE316_MU_CNT;
  localparam LC_PROBE317_MU_CNT = (C_NUM_OF_PROBES == 317 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE317_MU_CNT;
  localparam LC_PROBE318_MU_CNT = (C_NUM_OF_PROBES == 318 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE318_MU_CNT;
  localparam LC_PROBE319_MU_CNT = (C_NUM_OF_PROBES == 319 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE319_MU_CNT;
  localparam LC_PROBE320_MU_CNT = (C_NUM_OF_PROBES == 320 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE320_MU_CNT;
  localparam LC_PROBE321_MU_CNT = (C_NUM_OF_PROBES == 321 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE321_MU_CNT;
  localparam LC_PROBE322_MU_CNT = (C_NUM_OF_PROBES == 322 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE322_MU_CNT;
  localparam LC_PROBE323_MU_CNT = (C_NUM_OF_PROBES == 323 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE323_MU_CNT;
  localparam LC_PROBE324_MU_CNT = (C_NUM_OF_PROBES == 324 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE324_MU_CNT;
  localparam LC_PROBE325_MU_CNT = (C_NUM_OF_PROBES == 325 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE325_MU_CNT;
  localparam LC_PROBE326_MU_CNT = (C_NUM_OF_PROBES == 326 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE326_MU_CNT;
  localparam LC_PROBE327_MU_CNT = (C_NUM_OF_PROBES == 327 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE327_MU_CNT;
  localparam LC_PROBE328_MU_CNT = (C_NUM_OF_PROBES == 328 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE328_MU_CNT;
  localparam LC_PROBE329_MU_CNT = (C_NUM_OF_PROBES == 329 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE329_MU_CNT;  
  localparam LC_PROBE330_MU_CNT = (C_NUM_OF_PROBES == 330 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE330_MU_CNT;
  localparam LC_PROBE331_MU_CNT = (C_NUM_OF_PROBES == 331 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE331_MU_CNT;
  localparam LC_PROBE332_MU_CNT = (C_NUM_OF_PROBES == 332 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE332_MU_CNT;
  localparam LC_PROBE333_MU_CNT = (C_NUM_OF_PROBES == 333 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE333_MU_CNT;
  localparam LC_PROBE334_MU_CNT = (C_NUM_OF_PROBES == 334 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE334_MU_CNT;
  localparam LC_PROBE335_MU_CNT = (C_NUM_OF_PROBES == 335 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE335_MU_CNT;
  localparam LC_PROBE336_MU_CNT = (C_NUM_OF_PROBES == 336 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE336_MU_CNT;
  localparam LC_PROBE337_MU_CNT = (C_NUM_OF_PROBES == 337 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE337_MU_CNT;
  localparam LC_PROBE338_MU_CNT = (C_NUM_OF_PROBES == 338 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE338_MU_CNT;
  localparam LC_PROBE339_MU_CNT = (C_NUM_OF_PROBES == 339 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE339_MU_CNT;
  localparam LC_PROBE340_MU_CNT = (C_NUM_OF_PROBES == 340 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE340_MU_CNT;
  localparam LC_PROBE341_MU_CNT = (C_NUM_OF_PROBES == 341 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE341_MU_CNT;
  localparam LC_PROBE342_MU_CNT = (C_NUM_OF_PROBES == 342 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE342_MU_CNT;
  localparam LC_PROBE343_MU_CNT = (C_NUM_OF_PROBES == 343 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE343_MU_CNT;
  localparam LC_PROBE344_MU_CNT = (C_NUM_OF_PROBES == 344 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE344_MU_CNT;
  localparam LC_PROBE345_MU_CNT = (C_NUM_OF_PROBES == 345 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE345_MU_CNT;
  localparam LC_PROBE346_MU_CNT = (C_NUM_OF_PROBES == 346 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE346_MU_CNT;
  localparam LC_PROBE347_MU_CNT = (C_NUM_OF_PROBES == 347 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE347_MU_CNT;
  localparam LC_PROBE348_MU_CNT = (C_NUM_OF_PROBES == 348 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE348_MU_CNT;
  localparam LC_PROBE349_MU_CNT = (C_NUM_OF_PROBES == 349 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE349_MU_CNT;
  localparam LC_PROBE350_MU_CNT = (C_NUM_OF_PROBES == 350 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE350_MU_CNT;
  localparam LC_PROBE351_MU_CNT = (C_NUM_OF_PROBES == 351 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE351_MU_CNT;
  localparam LC_PROBE352_MU_CNT = (C_NUM_OF_PROBES == 352 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE352_MU_CNT;
  localparam LC_PROBE353_MU_CNT = (C_NUM_OF_PROBES == 353 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE353_MU_CNT;
  localparam LC_PROBE354_MU_CNT = (C_NUM_OF_PROBES == 354 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE354_MU_CNT;
  localparam LC_PROBE355_MU_CNT = (C_NUM_OF_PROBES == 355 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE355_MU_CNT;
  localparam LC_PROBE356_MU_CNT = (C_NUM_OF_PROBES == 356 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE356_MU_CNT;
  localparam LC_PROBE357_MU_CNT = (C_NUM_OF_PROBES == 357 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE357_MU_CNT;
  localparam LC_PROBE358_MU_CNT = (C_NUM_OF_PROBES == 358 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE358_MU_CNT;
  localparam LC_PROBE359_MU_CNT = (C_NUM_OF_PROBES == 359 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE359_MU_CNT;
  localparam LC_PROBE360_MU_CNT = (C_NUM_OF_PROBES == 360 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE360_MU_CNT;
  localparam LC_PROBE361_MU_CNT = (C_NUM_OF_PROBES == 361 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE361_MU_CNT;
  localparam LC_PROBE362_MU_CNT = (C_NUM_OF_PROBES == 362 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE362_MU_CNT;
  localparam LC_PROBE363_MU_CNT = (C_NUM_OF_PROBES == 363 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE363_MU_CNT;
  localparam LC_PROBE364_MU_CNT = (C_NUM_OF_PROBES == 364 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE364_MU_CNT;
  localparam LC_PROBE365_MU_CNT = (C_NUM_OF_PROBES == 365 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE365_MU_CNT;
  localparam LC_PROBE366_MU_CNT = (C_NUM_OF_PROBES == 366 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE366_MU_CNT;
  localparam LC_PROBE367_MU_CNT = (C_NUM_OF_PROBES == 367 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE367_MU_CNT;
  localparam LC_PROBE368_MU_CNT = (C_NUM_OF_PROBES == 368 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE368_MU_CNT;
  localparam LC_PROBE369_MU_CNT = (C_NUM_OF_PROBES == 369 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE369_MU_CNT;
  localparam LC_PROBE370_MU_CNT = (C_NUM_OF_PROBES == 370 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE370_MU_CNT;
  localparam LC_PROBE371_MU_CNT = (C_NUM_OF_PROBES == 371 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE371_MU_CNT;
  localparam LC_PROBE372_MU_CNT = (C_NUM_OF_PROBES == 372 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE372_MU_CNT;
  localparam LC_PROBE373_MU_CNT = (C_NUM_OF_PROBES == 373 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE373_MU_CNT;
  localparam LC_PROBE374_MU_CNT = (C_NUM_OF_PROBES == 374 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE374_MU_CNT;
  localparam LC_PROBE375_MU_CNT = (C_NUM_OF_PROBES == 375 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE375_MU_CNT;
  localparam LC_PROBE376_MU_CNT = (C_NUM_OF_PROBES == 376 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE376_MU_CNT;
  localparam LC_PROBE377_MU_CNT = (C_NUM_OF_PROBES == 377 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE377_MU_CNT;
  localparam LC_PROBE378_MU_CNT = (C_NUM_OF_PROBES == 378 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE378_MU_CNT;
  localparam LC_PROBE379_MU_CNT = (C_NUM_OF_PROBES == 379 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE379_MU_CNT;
  localparam LC_PROBE380_MU_CNT = (C_NUM_OF_PROBES == 380 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE380_MU_CNT;
  localparam LC_PROBE381_MU_CNT = (C_NUM_OF_PROBES == 381 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE381_MU_CNT;
  localparam LC_PROBE382_MU_CNT = (C_NUM_OF_PROBES == 382 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE382_MU_CNT;
  localparam LC_PROBE383_MU_CNT = (C_NUM_OF_PROBES == 383 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE383_MU_CNT;
  localparam LC_PROBE384_MU_CNT = (C_NUM_OF_PROBES == 384 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE384_MU_CNT;
  localparam LC_PROBE385_MU_CNT = (C_NUM_OF_PROBES == 385 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE385_MU_CNT;
  localparam LC_PROBE386_MU_CNT = (C_NUM_OF_PROBES == 386 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE386_MU_CNT;
  localparam LC_PROBE387_MU_CNT = (C_NUM_OF_PROBES == 387 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE387_MU_CNT;
  localparam LC_PROBE388_MU_CNT = (C_NUM_OF_PROBES == 388 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE388_MU_CNT;
  localparam LC_PROBE389_MU_CNT = (C_NUM_OF_PROBES == 389 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE389_MU_CNT;
  localparam LC_PROBE390_MU_CNT = (C_NUM_OF_PROBES == 390 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE390_MU_CNT;
  localparam LC_PROBE391_MU_CNT = (C_NUM_OF_PROBES == 391 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE391_MU_CNT;
  localparam LC_PROBE392_MU_CNT = (C_NUM_OF_PROBES == 392 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE392_MU_CNT;
  localparam LC_PROBE393_MU_CNT = (C_NUM_OF_PROBES == 393 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE393_MU_CNT;
  localparam LC_PROBE394_MU_CNT = (C_NUM_OF_PROBES == 394 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE394_MU_CNT;
  localparam LC_PROBE395_MU_CNT = (C_NUM_OF_PROBES == 395 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE395_MU_CNT;
  localparam LC_PROBE396_MU_CNT = (C_NUM_OF_PROBES == 396 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE396_MU_CNT;
  localparam LC_PROBE397_MU_CNT = (C_NUM_OF_PROBES == 397 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE397_MU_CNT;
  localparam LC_PROBE398_MU_CNT = (C_NUM_OF_PROBES == 398 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE398_MU_CNT;
  localparam LC_PROBE399_MU_CNT = (C_NUM_OF_PROBES == 399 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE399_MU_CNT;
  localparam LC_PROBE400_MU_CNT = (C_NUM_OF_PROBES == 400 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE400_MU_CNT;
  localparam LC_PROBE401_MU_CNT = (C_NUM_OF_PROBES == 401 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE401_MU_CNT;
  localparam LC_PROBE402_MU_CNT = (C_NUM_OF_PROBES == 402 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE402_MU_CNT;
  localparam LC_PROBE403_MU_CNT = (C_NUM_OF_PROBES == 403 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE403_MU_CNT;
  localparam LC_PROBE404_MU_CNT = (C_NUM_OF_PROBES == 404 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE404_MU_CNT;
  localparam LC_PROBE405_MU_CNT = (C_NUM_OF_PROBES == 405 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE405_MU_CNT;
  localparam LC_PROBE406_MU_CNT = (C_NUM_OF_PROBES == 406 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE406_MU_CNT;
  localparam LC_PROBE407_MU_CNT = (C_NUM_OF_PROBES == 407 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE407_MU_CNT;
  localparam LC_PROBE408_MU_CNT = (C_NUM_OF_PROBES == 408 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE408_MU_CNT;
  localparam LC_PROBE409_MU_CNT = (C_NUM_OF_PROBES == 409 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE409_MU_CNT;
  localparam LC_PROBE410_MU_CNT = (C_NUM_OF_PROBES == 410 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE410_MU_CNT;
  localparam LC_PROBE411_MU_CNT = (C_NUM_OF_PROBES == 411 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE411_MU_CNT;
  localparam LC_PROBE412_MU_CNT = (C_NUM_OF_PROBES == 412 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE412_MU_CNT;
  localparam LC_PROBE413_MU_CNT = (C_NUM_OF_PROBES == 413 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE413_MU_CNT;
  localparam LC_PROBE414_MU_CNT = (C_NUM_OF_PROBES == 414 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE414_MU_CNT;
  localparam LC_PROBE415_MU_CNT = (C_NUM_OF_PROBES == 415 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE415_MU_CNT;
  localparam LC_PROBE416_MU_CNT = (C_NUM_OF_PROBES == 416 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE416_MU_CNT;
  localparam LC_PROBE417_MU_CNT = (C_NUM_OF_PROBES == 417 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE417_MU_CNT;
  localparam LC_PROBE418_MU_CNT = (C_NUM_OF_PROBES == 418 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE418_MU_CNT;
  localparam LC_PROBE419_MU_CNT = (C_NUM_OF_PROBES == 419 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE419_MU_CNT;
  localparam LC_PROBE420_MU_CNT = (C_NUM_OF_PROBES == 420 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE420_MU_CNT;
  localparam LC_PROBE421_MU_CNT = (C_NUM_OF_PROBES == 421 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE421_MU_CNT;
  localparam LC_PROBE422_MU_CNT = (C_NUM_OF_PROBES == 422 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE422_MU_CNT;
  localparam LC_PROBE423_MU_CNT = (C_NUM_OF_PROBES == 423 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE423_MU_CNT;
  localparam LC_PROBE424_MU_CNT = (C_NUM_OF_PROBES == 424 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE424_MU_CNT;
  localparam LC_PROBE425_MU_CNT = (C_NUM_OF_PROBES == 425 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE425_MU_CNT;
  localparam LC_PROBE426_MU_CNT = (C_NUM_OF_PROBES == 426 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE426_MU_CNT;
  localparam LC_PROBE427_MU_CNT = (C_NUM_OF_PROBES == 427 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE427_MU_CNT;
  localparam LC_PROBE428_MU_CNT = (C_NUM_OF_PROBES == 428 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE428_MU_CNT;
  localparam LC_PROBE429_MU_CNT = (C_NUM_OF_PROBES == 429 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE429_MU_CNT;  
  localparam LC_PROBE430_MU_CNT = (C_NUM_OF_PROBES == 430 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE430_MU_CNT;
  localparam LC_PROBE431_MU_CNT = (C_NUM_OF_PROBES == 431 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE431_MU_CNT;
  localparam LC_PROBE432_MU_CNT = (C_NUM_OF_PROBES == 432 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE432_MU_CNT;
  localparam LC_PROBE433_MU_CNT = (C_NUM_OF_PROBES == 433 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE433_MU_CNT;
  localparam LC_PROBE434_MU_CNT = (C_NUM_OF_PROBES == 434 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE434_MU_CNT;
  localparam LC_PROBE435_MU_CNT = (C_NUM_OF_PROBES == 435 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE435_MU_CNT;
  localparam LC_PROBE436_MU_CNT = (C_NUM_OF_PROBES == 436 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE436_MU_CNT;
  localparam LC_PROBE437_MU_CNT = (C_NUM_OF_PROBES == 437 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE437_MU_CNT;
  localparam LC_PROBE438_MU_CNT = (C_NUM_OF_PROBES == 438 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE438_MU_CNT;
  localparam LC_PROBE439_MU_CNT = (C_NUM_OF_PROBES == 439 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE439_MU_CNT;
  localparam LC_PROBE440_MU_CNT = (C_NUM_OF_PROBES == 440 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE440_MU_CNT;
  localparam LC_PROBE441_MU_CNT = (C_NUM_OF_PROBES == 441 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE441_MU_CNT;
  localparam LC_PROBE442_MU_CNT = (C_NUM_OF_PROBES == 442 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE442_MU_CNT;
  localparam LC_PROBE443_MU_CNT = (C_NUM_OF_PROBES == 443 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE443_MU_CNT;
  localparam LC_PROBE444_MU_CNT = (C_NUM_OF_PROBES == 444 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE444_MU_CNT;
  localparam LC_PROBE445_MU_CNT = (C_NUM_OF_PROBES == 445 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE445_MU_CNT;
  localparam LC_PROBE446_MU_CNT = (C_NUM_OF_PROBES == 446 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE446_MU_CNT;
  localparam LC_PROBE447_MU_CNT = (C_NUM_OF_PROBES == 447 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE447_MU_CNT;
  localparam LC_PROBE448_MU_CNT = (C_NUM_OF_PROBES == 448 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE448_MU_CNT;
  localparam LC_PROBE449_MU_CNT = (C_NUM_OF_PROBES == 449 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE449_MU_CNT;
  localparam LC_PROBE450_MU_CNT = (C_NUM_OF_PROBES == 450 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE450_MU_CNT;
  localparam LC_PROBE451_MU_CNT = (C_NUM_OF_PROBES == 451 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE451_MU_CNT;
  localparam LC_PROBE452_MU_CNT = (C_NUM_OF_PROBES == 452 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE452_MU_CNT;
  localparam LC_PROBE453_MU_CNT = (C_NUM_OF_PROBES == 453 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE453_MU_CNT;
  localparam LC_PROBE454_MU_CNT = (C_NUM_OF_PROBES == 454 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE454_MU_CNT;
  localparam LC_PROBE455_MU_CNT = (C_NUM_OF_PROBES == 455 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE455_MU_CNT;
  localparam LC_PROBE456_MU_CNT = (C_NUM_OF_PROBES == 456 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE456_MU_CNT;
  localparam LC_PROBE457_MU_CNT = (C_NUM_OF_PROBES == 457 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE457_MU_CNT;
  localparam LC_PROBE458_MU_CNT = (C_NUM_OF_PROBES == 458 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE458_MU_CNT;
  localparam LC_PROBE459_MU_CNT = (C_NUM_OF_PROBES == 459 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE459_MU_CNT;
  localparam LC_PROBE460_MU_CNT = (C_NUM_OF_PROBES == 460 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE460_MU_CNT;
  localparam LC_PROBE461_MU_CNT = (C_NUM_OF_PROBES == 461 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE461_MU_CNT;
  localparam LC_PROBE462_MU_CNT = (C_NUM_OF_PROBES == 462 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE462_MU_CNT;
  localparam LC_PROBE463_MU_CNT = (C_NUM_OF_PROBES == 463 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE463_MU_CNT;
  localparam LC_PROBE464_MU_CNT = (C_NUM_OF_PROBES == 464 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE464_MU_CNT;
  localparam LC_PROBE465_MU_CNT = (C_NUM_OF_PROBES == 465 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE465_MU_CNT;
  localparam LC_PROBE466_MU_CNT = (C_NUM_OF_PROBES == 466 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE466_MU_CNT;
  localparam LC_PROBE467_MU_CNT = (C_NUM_OF_PROBES == 467 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE467_MU_CNT;
  localparam LC_PROBE468_MU_CNT = (C_NUM_OF_PROBES == 468 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE468_MU_CNT;
  localparam LC_PROBE469_MU_CNT = (C_NUM_OF_PROBES == 469 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE469_MU_CNT;
  localparam LC_PROBE470_MU_CNT = (C_NUM_OF_PROBES == 470 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE470_MU_CNT;
  localparam LC_PROBE471_MU_CNT = (C_NUM_OF_PROBES == 471 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE471_MU_CNT;
  localparam LC_PROBE472_MU_CNT = (C_NUM_OF_PROBES == 472 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE472_MU_CNT;
  localparam LC_PROBE473_MU_CNT = (C_NUM_OF_PROBES == 473 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE473_MU_CNT;
  localparam LC_PROBE474_MU_CNT = (C_NUM_OF_PROBES == 474 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE474_MU_CNT;
  localparam LC_PROBE475_MU_CNT = (C_NUM_OF_PROBES == 475 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE475_MU_CNT;
  localparam LC_PROBE476_MU_CNT = (C_NUM_OF_PROBES == 476 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE476_MU_CNT;
  localparam LC_PROBE477_MU_CNT = (C_NUM_OF_PROBES == 477 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE477_MU_CNT;
  localparam LC_PROBE478_MU_CNT = (C_NUM_OF_PROBES == 478 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE478_MU_CNT;
  localparam LC_PROBE479_MU_CNT = (C_NUM_OF_PROBES == 479 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE479_MU_CNT;
  localparam LC_PROBE480_MU_CNT = (C_NUM_OF_PROBES == 480 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE480_MU_CNT;
  localparam LC_PROBE481_MU_CNT = (C_NUM_OF_PROBES == 481 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE481_MU_CNT;
  localparam LC_PROBE482_MU_CNT = (C_NUM_OF_PROBES == 482 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE482_MU_CNT;
  localparam LC_PROBE483_MU_CNT = (C_NUM_OF_PROBES == 483 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE483_MU_CNT;
  localparam LC_PROBE484_MU_CNT = (C_NUM_OF_PROBES == 484 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE484_MU_CNT;
  localparam LC_PROBE485_MU_CNT = (C_NUM_OF_PROBES == 485 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE485_MU_CNT;
  localparam LC_PROBE486_MU_CNT = (C_NUM_OF_PROBES == 486 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE486_MU_CNT;
  localparam LC_PROBE487_MU_CNT = (C_NUM_OF_PROBES == 487 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE487_MU_CNT;
  localparam LC_PROBE488_MU_CNT = (C_NUM_OF_PROBES == 488 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE488_MU_CNT;
  localparam LC_PROBE489_MU_CNT = (C_NUM_OF_PROBES == 489 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE489_MU_CNT;
  localparam LC_PROBE490_MU_CNT = (C_NUM_OF_PROBES == 490 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE490_MU_CNT;
  localparam LC_PROBE491_MU_CNT = (C_NUM_OF_PROBES == 491 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE491_MU_CNT;
  localparam LC_PROBE492_MU_CNT = (C_NUM_OF_PROBES == 492 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE492_MU_CNT;
  localparam LC_PROBE493_MU_CNT = (C_NUM_OF_PROBES == 493 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE493_MU_CNT;
  localparam LC_PROBE494_MU_CNT = (C_NUM_OF_PROBES == 494 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE494_MU_CNT;
  localparam LC_PROBE495_MU_CNT = (C_NUM_OF_PROBES == 495 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE495_MU_CNT;
  localparam LC_PROBE496_MU_CNT = (C_NUM_OF_PROBES == 496 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE496_MU_CNT;
  localparam LC_PROBE497_MU_CNT = (C_NUM_OF_PROBES == 497 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE497_MU_CNT;
  localparam LC_PROBE498_MU_CNT = (C_NUM_OF_PROBES == 498 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE498_MU_CNT;
  localparam LC_PROBE499_MU_CNT = (C_NUM_OF_PROBES == 499 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE499_MU_CNT;
  localparam LC_PROBE500_MU_CNT = (C_NUM_OF_PROBES == 500 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE500_MU_CNT;
  localparam LC_PROBE501_MU_CNT = (C_NUM_OF_PROBES == 501 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE501_MU_CNT;
  localparam LC_PROBE502_MU_CNT = (C_NUM_OF_PROBES == 502 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE502_MU_CNT;
  localparam LC_PROBE503_MU_CNT = (C_NUM_OF_PROBES == 503 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE503_MU_CNT;
  localparam LC_PROBE504_MU_CNT = (C_NUM_OF_PROBES == 504 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE504_MU_CNT;
  localparam LC_PROBE505_MU_CNT = (C_NUM_OF_PROBES == 505 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE505_MU_CNT;
  localparam LC_PROBE506_MU_CNT = (C_NUM_OF_PROBES == 506 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE506_MU_CNT;
  localparam LC_PROBE507_MU_CNT = (C_NUM_OF_PROBES == 507 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE507_MU_CNT;
  localparam LC_PROBE508_MU_CNT = (C_NUM_OF_PROBES == 508 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE508_MU_CNT;
  localparam LC_PROBE509_MU_CNT = (C_NUM_OF_PROBES == 509 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE509_MU_CNT;
  localparam LC_PROBE510_MU_CNT = (C_NUM_OF_PROBES == 510 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE510_MU_CNT;
  localparam LC_PROBE511_MU_CNT = (C_NUM_OF_PROBES == 511 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE511_MU_CNT;
  localparam LC_PROBE512_MU_CNT = (C_NUM_OF_PROBES == 512 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE512_MU_CNT;
  localparam LC_PROBE513_MU_CNT = (C_NUM_OF_PROBES == 513 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE513_MU_CNT;
  localparam LC_PROBE514_MU_CNT = (C_NUM_OF_PROBES == 514 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE514_MU_CNT;
  localparam LC_PROBE515_MU_CNT = (C_NUM_OF_PROBES == 515 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE515_MU_CNT;
  localparam LC_PROBE516_MU_CNT = (C_NUM_OF_PROBES == 516 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE516_MU_CNT;
  localparam LC_PROBE517_MU_CNT = (C_NUM_OF_PROBES == 517 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE517_MU_CNT;
  localparam LC_PROBE518_MU_CNT = (C_NUM_OF_PROBES == 518 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE518_MU_CNT;
  localparam LC_PROBE519_MU_CNT = (C_NUM_OF_PROBES == 519 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE519_MU_CNT;
  localparam LC_PROBE520_MU_CNT = (C_NUM_OF_PROBES == 520 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE520_MU_CNT;
  localparam LC_PROBE521_MU_CNT = (C_NUM_OF_PROBES == 521 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE521_MU_CNT;
  localparam LC_PROBE522_MU_CNT = (C_NUM_OF_PROBES == 522 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE522_MU_CNT;
  localparam LC_PROBE523_MU_CNT = (C_NUM_OF_PROBES == 523 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE523_MU_CNT;
  localparam LC_PROBE524_MU_CNT = (C_NUM_OF_PROBES == 524 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE524_MU_CNT;
  localparam LC_PROBE525_MU_CNT = (C_NUM_OF_PROBES == 525 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE525_MU_CNT;
  localparam LC_PROBE526_MU_CNT = (C_NUM_OF_PROBES == 526 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE526_MU_CNT;
  localparam LC_PROBE527_MU_CNT = (C_NUM_OF_PROBES == 527 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE527_MU_CNT;
  localparam LC_PROBE528_MU_CNT = (C_NUM_OF_PROBES == 528 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE528_MU_CNT;
  localparam LC_PROBE529_MU_CNT = (C_NUM_OF_PROBES == 529 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE529_MU_CNT;  
  localparam LC_PROBE530_MU_CNT = (C_NUM_OF_PROBES == 530 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE530_MU_CNT;
  localparam LC_PROBE531_MU_CNT = (C_NUM_OF_PROBES == 531 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE531_MU_CNT;
  localparam LC_PROBE532_MU_CNT = (C_NUM_OF_PROBES == 532 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE532_MU_CNT;
  localparam LC_PROBE533_MU_CNT = (C_NUM_OF_PROBES == 533 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE533_MU_CNT;
  localparam LC_PROBE534_MU_CNT = (C_NUM_OF_PROBES == 534 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE534_MU_CNT;
  localparam LC_PROBE535_MU_CNT = (C_NUM_OF_PROBES == 535 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE535_MU_CNT;
  localparam LC_PROBE536_MU_CNT = (C_NUM_OF_PROBES == 536 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE536_MU_CNT;
  localparam LC_PROBE537_MU_CNT = (C_NUM_OF_PROBES == 537 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE537_MU_CNT;
  localparam LC_PROBE538_MU_CNT = (C_NUM_OF_PROBES == 538 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE538_MU_CNT;
  localparam LC_PROBE539_MU_CNT = (C_NUM_OF_PROBES == 539 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE539_MU_CNT;
  localparam LC_PROBE540_MU_CNT = (C_NUM_OF_PROBES == 540 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE540_MU_CNT;
  localparam LC_PROBE541_MU_CNT = (C_NUM_OF_PROBES == 541 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE541_MU_CNT;
  localparam LC_PROBE542_MU_CNT = (C_NUM_OF_PROBES == 542 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE542_MU_CNT;
  localparam LC_PROBE543_MU_CNT = (C_NUM_OF_PROBES == 543 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE543_MU_CNT;
  localparam LC_PROBE544_MU_CNT = (C_NUM_OF_PROBES == 544 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE544_MU_CNT;
  localparam LC_PROBE545_MU_CNT = (C_NUM_OF_PROBES == 545 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE545_MU_CNT;
  localparam LC_PROBE546_MU_CNT = (C_NUM_OF_PROBES == 546 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE546_MU_CNT;
  localparam LC_PROBE547_MU_CNT = (C_NUM_OF_PROBES == 547 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE547_MU_CNT;
  localparam LC_PROBE548_MU_CNT = (C_NUM_OF_PROBES == 548 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE548_MU_CNT;
  localparam LC_PROBE549_MU_CNT = (C_NUM_OF_PROBES == 549 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE549_MU_CNT;
  localparam LC_PROBE550_MU_CNT = (C_NUM_OF_PROBES == 550 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE550_MU_CNT;
  localparam LC_PROBE551_MU_CNT = (C_NUM_OF_PROBES == 551 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE551_MU_CNT;
  localparam LC_PROBE552_MU_CNT = (C_NUM_OF_PROBES == 552 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE552_MU_CNT;
  localparam LC_PROBE553_MU_CNT = (C_NUM_OF_PROBES == 553 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE553_MU_CNT;
  localparam LC_PROBE554_MU_CNT = (C_NUM_OF_PROBES == 554 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE554_MU_CNT;
  localparam LC_PROBE555_MU_CNT = (C_NUM_OF_PROBES == 555 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE555_MU_CNT;
  localparam LC_PROBE556_MU_CNT = (C_NUM_OF_PROBES == 556 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE556_MU_CNT;
  localparam LC_PROBE557_MU_CNT = (C_NUM_OF_PROBES == 557 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE557_MU_CNT;
  localparam LC_PROBE558_MU_CNT = (C_NUM_OF_PROBES == 558 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE558_MU_CNT;
  localparam LC_PROBE559_MU_CNT = (C_NUM_OF_PROBES == 559 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE559_MU_CNT;
  localparam LC_PROBE560_MU_CNT = (C_NUM_OF_PROBES == 560 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE560_MU_CNT;
  localparam LC_PROBE561_MU_CNT = (C_NUM_OF_PROBES == 561 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE561_MU_CNT;
  localparam LC_PROBE562_MU_CNT = (C_NUM_OF_PROBES == 562 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE562_MU_CNT;
  localparam LC_PROBE563_MU_CNT = (C_NUM_OF_PROBES == 563 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE563_MU_CNT;
  localparam LC_PROBE564_MU_CNT = (C_NUM_OF_PROBES == 564 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE564_MU_CNT;
  localparam LC_PROBE565_MU_CNT = (C_NUM_OF_PROBES == 565 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE565_MU_CNT;
  localparam LC_PROBE566_MU_CNT = (C_NUM_OF_PROBES == 566 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE566_MU_CNT;
  localparam LC_PROBE567_MU_CNT = (C_NUM_OF_PROBES == 567 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE567_MU_CNT;
  localparam LC_PROBE568_MU_CNT = (C_NUM_OF_PROBES == 568 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE568_MU_CNT;
  localparam LC_PROBE569_MU_CNT = (C_NUM_OF_PROBES == 569 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE569_MU_CNT;
  localparam LC_PROBE570_MU_CNT = (C_NUM_OF_PROBES == 570 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE570_MU_CNT;
  localparam LC_PROBE571_MU_CNT = (C_NUM_OF_PROBES == 571 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE571_MU_CNT;
  localparam LC_PROBE572_MU_CNT = (C_NUM_OF_PROBES == 572 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE572_MU_CNT;
  localparam LC_PROBE573_MU_CNT = (C_NUM_OF_PROBES == 573 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE573_MU_CNT;
  localparam LC_PROBE574_MU_CNT = (C_NUM_OF_PROBES == 574 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE574_MU_CNT;
  localparam LC_PROBE575_MU_CNT = (C_NUM_OF_PROBES == 575 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE575_MU_CNT;
  localparam LC_PROBE576_MU_CNT = (C_NUM_OF_PROBES == 576 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE576_MU_CNT;
  localparam LC_PROBE577_MU_CNT = (C_NUM_OF_PROBES == 577 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE577_MU_CNT;
  localparam LC_PROBE578_MU_CNT = (C_NUM_OF_PROBES == 578 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE578_MU_CNT;
  localparam LC_PROBE579_MU_CNT = (C_NUM_OF_PROBES == 579 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE579_MU_CNT;
  localparam LC_PROBE580_MU_CNT = (C_NUM_OF_PROBES == 580 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE580_MU_CNT;
  localparam LC_PROBE581_MU_CNT = (C_NUM_OF_PROBES == 581 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE581_MU_CNT;
  localparam LC_PROBE582_MU_CNT = (C_NUM_OF_PROBES == 582 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE582_MU_CNT;
  localparam LC_PROBE583_MU_CNT = (C_NUM_OF_PROBES == 583 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE583_MU_CNT;
  localparam LC_PROBE584_MU_CNT = (C_NUM_OF_PROBES == 584 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE584_MU_CNT;
  localparam LC_PROBE585_MU_CNT = (C_NUM_OF_PROBES == 585 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE585_MU_CNT;
  localparam LC_PROBE586_MU_CNT = (C_NUM_OF_PROBES == 586 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE586_MU_CNT;
  localparam LC_PROBE587_MU_CNT = (C_NUM_OF_PROBES == 587 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE587_MU_CNT;
  localparam LC_PROBE588_MU_CNT = (C_NUM_OF_PROBES == 588 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE588_MU_CNT;
  localparam LC_PROBE589_MU_CNT = (C_NUM_OF_PROBES == 589 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE589_MU_CNT;
  localparam LC_PROBE590_MU_CNT = (C_NUM_OF_PROBES == 590 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE590_MU_CNT;
  localparam LC_PROBE591_MU_CNT = (C_NUM_OF_PROBES == 591 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE591_MU_CNT;
  localparam LC_PROBE592_MU_CNT = (C_NUM_OF_PROBES == 592 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE592_MU_CNT;
  localparam LC_PROBE593_MU_CNT = (C_NUM_OF_PROBES == 593 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE593_MU_CNT;
  localparam LC_PROBE594_MU_CNT = (C_NUM_OF_PROBES == 594 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE594_MU_CNT;
  localparam LC_PROBE595_MU_CNT = (C_NUM_OF_PROBES == 595 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE595_MU_CNT;
  localparam LC_PROBE596_MU_CNT = (C_NUM_OF_PROBES == 596 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE596_MU_CNT;
  localparam LC_PROBE597_MU_CNT = (C_NUM_OF_PROBES == 597 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE597_MU_CNT;
  localparam LC_PROBE598_MU_CNT = (C_NUM_OF_PROBES == 598 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE598_MU_CNT;
  localparam LC_PROBE599_MU_CNT = (C_NUM_OF_PROBES == 599 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE599_MU_CNT;
  localparam LC_PROBE600_MU_CNT = (C_NUM_OF_PROBES == 600 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE600_MU_CNT;
  localparam LC_PROBE601_MU_CNT = (C_NUM_OF_PROBES == 601 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE601_MU_CNT;
  localparam LC_PROBE602_MU_CNT = (C_NUM_OF_PROBES == 602 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE602_MU_CNT;
  localparam LC_PROBE603_MU_CNT = (C_NUM_OF_PROBES == 603 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE603_MU_CNT;
  localparam LC_PROBE604_MU_CNT = (C_NUM_OF_PROBES == 604 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE604_MU_CNT;
  localparam LC_PROBE605_MU_CNT = (C_NUM_OF_PROBES == 605 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE605_MU_CNT;
  localparam LC_PROBE606_MU_CNT = (C_NUM_OF_PROBES == 606 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE606_MU_CNT;
  localparam LC_PROBE607_MU_CNT = (C_NUM_OF_PROBES == 607 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE607_MU_CNT;
  localparam LC_PROBE608_MU_CNT = (C_NUM_OF_PROBES == 608 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE608_MU_CNT;
  localparam LC_PROBE609_MU_CNT = (C_NUM_OF_PROBES == 609 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE609_MU_CNT;
  localparam LC_PROBE610_MU_CNT = (C_NUM_OF_PROBES == 610 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE610_MU_CNT;
  localparam LC_PROBE611_MU_CNT = (C_NUM_OF_PROBES == 611 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE611_MU_CNT;
  localparam LC_PROBE612_MU_CNT = (C_NUM_OF_PROBES == 612 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE612_MU_CNT;
  localparam LC_PROBE613_MU_CNT = (C_NUM_OF_PROBES == 613 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE613_MU_CNT;
  localparam LC_PROBE614_MU_CNT = (C_NUM_OF_PROBES == 614 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE614_MU_CNT;
  localparam LC_PROBE615_MU_CNT = (C_NUM_OF_PROBES == 615 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE615_MU_CNT;
  localparam LC_PROBE616_MU_CNT = (C_NUM_OF_PROBES == 616 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE616_MU_CNT;
  localparam LC_PROBE617_MU_CNT = (C_NUM_OF_PROBES == 617 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE617_MU_CNT;
  localparam LC_PROBE618_MU_CNT = (C_NUM_OF_PROBES == 618 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE618_MU_CNT;
  localparam LC_PROBE619_MU_CNT = (C_NUM_OF_PROBES == 619 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE619_MU_CNT;
  localparam LC_PROBE620_MU_CNT = (C_NUM_OF_PROBES == 620 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE620_MU_CNT;
  localparam LC_PROBE621_MU_CNT = (C_NUM_OF_PROBES == 621 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE621_MU_CNT;
  localparam LC_PROBE622_MU_CNT = (C_NUM_OF_PROBES == 622 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE622_MU_CNT;
  localparam LC_PROBE623_MU_CNT = (C_NUM_OF_PROBES == 623 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE623_MU_CNT;
  localparam LC_PROBE624_MU_CNT = (C_NUM_OF_PROBES == 624 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE624_MU_CNT;
  localparam LC_PROBE625_MU_CNT = (C_NUM_OF_PROBES == 625 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE625_MU_CNT;
  localparam LC_PROBE626_MU_CNT = (C_NUM_OF_PROBES == 626 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE626_MU_CNT;
  localparam LC_PROBE627_MU_CNT = (C_NUM_OF_PROBES == 627 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE627_MU_CNT;
  localparam LC_PROBE628_MU_CNT = (C_NUM_OF_PROBES == 628 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE628_MU_CNT;
  localparam LC_PROBE629_MU_CNT = (C_NUM_OF_PROBES == 629 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE629_MU_CNT;  
  localparam LC_PROBE630_MU_CNT = (C_NUM_OF_PROBES == 630 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE630_MU_CNT;
  localparam LC_PROBE631_MU_CNT = (C_NUM_OF_PROBES == 631 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE631_MU_CNT;
  localparam LC_PROBE632_MU_CNT = (C_NUM_OF_PROBES == 632 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE632_MU_CNT;
  localparam LC_PROBE633_MU_CNT = (C_NUM_OF_PROBES == 633 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE633_MU_CNT;
  localparam LC_PROBE634_MU_CNT = (C_NUM_OF_PROBES == 634 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE634_MU_CNT;
  localparam LC_PROBE635_MU_CNT = (C_NUM_OF_PROBES == 635 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE635_MU_CNT;
  localparam LC_PROBE636_MU_CNT = (C_NUM_OF_PROBES == 636 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE636_MU_CNT;
  localparam LC_PROBE637_MU_CNT = (C_NUM_OF_PROBES == 637 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE637_MU_CNT;
  localparam LC_PROBE638_MU_CNT = (C_NUM_OF_PROBES == 638 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE638_MU_CNT;
  localparam LC_PROBE639_MU_CNT = (C_NUM_OF_PROBES == 639 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE639_MU_CNT;
  localparam LC_PROBE640_MU_CNT = (C_NUM_OF_PROBES == 640 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE640_MU_CNT;
  localparam LC_PROBE641_MU_CNT = (C_NUM_OF_PROBES == 641 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE641_MU_CNT;
  localparam LC_PROBE642_MU_CNT = (C_NUM_OF_PROBES == 642 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE642_MU_CNT;
  localparam LC_PROBE643_MU_CNT = (C_NUM_OF_PROBES == 643 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE643_MU_CNT;
  localparam LC_PROBE644_MU_CNT = (C_NUM_OF_PROBES == 644 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE644_MU_CNT;
  localparam LC_PROBE645_MU_CNT = (C_NUM_OF_PROBES == 645 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE645_MU_CNT;
  localparam LC_PROBE646_MU_CNT = (C_NUM_OF_PROBES == 646 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE646_MU_CNT;
  localparam LC_PROBE647_MU_CNT = (C_NUM_OF_PROBES == 647 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE647_MU_CNT;
  localparam LC_PROBE648_MU_CNT = (C_NUM_OF_PROBES == 648 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE648_MU_CNT;
  localparam LC_PROBE649_MU_CNT = (C_NUM_OF_PROBES == 649 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE649_MU_CNT;
  localparam LC_PROBE650_MU_CNT = (C_NUM_OF_PROBES == 650 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE650_MU_CNT;
  localparam LC_PROBE651_MU_CNT = (C_NUM_OF_PROBES == 651 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE651_MU_CNT;
  localparam LC_PROBE652_MU_CNT = (C_NUM_OF_PROBES == 652 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE652_MU_CNT;
  localparam LC_PROBE653_MU_CNT = (C_NUM_OF_PROBES == 653 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE653_MU_CNT;
  localparam LC_PROBE654_MU_CNT = (C_NUM_OF_PROBES == 654 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE654_MU_CNT;
  localparam LC_PROBE655_MU_CNT = (C_NUM_OF_PROBES == 655 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE655_MU_CNT;
  localparam LC_PROBE656_MU_CNT = (C_NUM_OF_PROBES == 656 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE656_MU_CNT;
  localparam LC_PROBE657_MU_CNT = (C_NUM_OF_PROBES == 657 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE657_MU_CNT;
  localparam LC_PROBE658_MU_CNT = (C_NUM_OF_PROBES == 658 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE658_MU_CNT;
  localparam LC_PROBE659_MU_CNT = (C_NUM_OF_PROBES == 659 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE659_MU_CNT;
  localparam LC_PROBE660_MU_CNT = (C_NUM_OF_PROBES == 660 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE660_MU_CNT;
  localparam LC_PROBE661_MU_CNT = (C_NUM_OF_PROBES == 661 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE661_MU_CNT;
  localparam LC_PROBE662_MU_CNT = (C_NUM_OF_PROBES == 662 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE662_MU_CNT;
  localparam LC_PROBE663_MU_CNT = (C_NUM_OF_PROBES == 663 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE663_MU_CNT;
  localparam LC_PROBE664_MU_CNT = (C_NUM_OF_PROBES == 664 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE664_MU_CNT;
  localparam LC_PROBE665_MU_CNT = (C_NUM_OF_PROBES == 665 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE665_MU_CNT;
  localparam LC_PROBE666_MU_CNT = (C_NUM_OF_PROBES == 666 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE666_MU_CNT;
  localparam LC_PROBE667_MU_CNT = (C_NUM_OF_PROBES == 667 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE667_MU_CNT;
  localparam LC_PROBE668_MU_CNT = (C_NUM_OF_PROBES == 668 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE668_MU_CNT;
  localparam LC_PROBE669_MU_CNT = (C_NUM_OF_PROBES == 669 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE669_MU_CNT;
  localparam LC_PROBE670_MU_CNT = (C_NUM_OF_PROBES == 670 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE670_MU_CNT;
  localparam LC_PROBE671_MU_CNT = (C_NUM_OF_PROBES == 671 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE671_MU_CNT;
  localparam LC_PROBE672_MU_CNT = (C_NUM_OF_PROBES == 672 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE672_MU_CNT;
  localparam LC_PROBE673_MU_CNT = (C_NUM_OF_PROBES == 673 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE673_MU_CNT;
  localparam LC_PROBE674_MU_CNT = (C_NUM_OF_PROBES == 674 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE674_MU_CNT;
  localparam LC_PROBE675_MU_CNT = (C_NUM_OF_PROBES == 675 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE675_MU_CNT;
  localparam LC_PROBE676_MU_CNT = (C_NUM_OF_PROBES == 676 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE676_MU_CNT;
  localparam LC_PROBE677_MU_CNT = (C_NUM_OF_PROBES == 677 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE677_MU_CNT;
  localparam LC_PROBE678_MU_CNT = (C_NUM_OF_PROBES == 678 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE678_MU_CNT;
  localparam LC_PROBE679_MU_CNT = (C_NUM_OF_PROBES == 679 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE679_MU_CNT;
  localparam LC_PROBE680_MU_CNT = (C_NUM_OF_PROBES == 680 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE680_MU_CNT;
  localparam LC_PROBE681_MU_CNT = (C_NUM_OF_PROBES == 681 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE681_MU_CNT;
  localparam LC_PROBE682_MU_CNT = (C_NUM_OF_PROBES == 682 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE682_MU_CNT;
  localparam LC_PROBE683_MU_CNT = (C_NUM_OF_PROBES == 683 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE683_MU_CNT;
  localparam LC_PROBE684_MU_CNT = (C_NUM_OF_PROBES == 684 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE684_MU_CNT;
  localparam LC_PROBE685_MU_CNT = (C_NUM_OF_PROBES == 685 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE685_MU_CNT;
  localparam LC_PROBE686_MU_CNT = (C_NUM_OF_PROBES == 686 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE686_MU_CNT;
  localparam LC_PROBE687_MU_CNT = (C_NUM_OF_PROBES == 687 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE687_MU_CNT;
  localparam LC_PROBE688_MU_CNT = (C_NUM_OF_PROBES == 688 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE688_MU_CNT;
  localparam LC_PROBE689_MU_CNT = (C_NUM_OF_PROBES == 689 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE689_MU_CNT;
  localparam LC_PROBE690_MU_CNT = (C_NUM_OF_PROBES == 690 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE690_MU_CNT;
  localparam LC_PROBE691_MU_CNT = (C_NUM_OF_PROBES == 691 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE691_MU_CNT;
  localparam LC_PROBE692_MU_CNT = (C_NUM_OF_PROBES == 692 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE692_MU_CNT;
  localparam LC_PROBE693_MU_CNT = (C_NUM_OF_PROBES == 693 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE693_MU_CNT;
  localparam LC_PROBE694_MU_CNT = (C_NUM_OF_PROBES == 694 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE694_MU_CNT;
  localparam LC_PROBE695_MU_CNT = (C_NUM_OF_PROBES == 695 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE695_MU_CNT;
  localparam LC_PROBE696_MU_CNT = (C_NUM_OF_PROBES == 696 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE696_MU_CNT;
  localparam LC_PROBE697_MU_CNT = (C_NUM_OF_PROBES == 697 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE697_MU_CNT;
  localparam LC_PROBE698_MU_CNT = (C_NUM_OF_PROBES == 698 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE698_MU_CNT;
  localparam LC_PROBE699_MU_CNT = (C_NUM_OF_PROBES == 699 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE699_MU_CNT;
  localparam LC_PROBE700_MU_CNT = (C_NUM_OF_PROBES == 700 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE700_MU_CNT;
  localparam LC_PROBE701_MU_CNT = (C_NUM_OF_PROBES == 701 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE701_MU_CNT;
  localparam LC_PROBE702_MU_CNT = (C_NUM_OF_PROBES == 702 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE702_MU_CNT;
  localparam LC_PROBE703_MU_CNT = (C_NUM_OF_PROBES == 703 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE703_MU_CNT;
  localparam LC_PROBE704_MU_CNT = (C_NUM_OF_PROBES == 704 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE704_MU_CNT;
  localparam LC_PROBE705_MU_CNT = (C_NUM_OF_PROBES == 705 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE705_MU_CNT;
  localparam LC_PROBE706_MU_CNT = (C_NUM_OF_PROBES == 706 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE706_MU_CNT;
  localparam LC_PROBE707_MU_CNT = (C_NUM_OF_PROBES == 707 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE707_MU_CNT;
  localparam LC_PROBE708_MU_CNT = (C_NUM_OF_PROBES == 708 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE708_MU_CNT;
  localparam LC_PROBE709_MU_CNT = (C_NUM_OF_PROBES == 709 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE709_MU_CNT;
  localparam LC_PROBE710_MU_CNT = (C_NUM_OF_PROBES == 710 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE710_MU_CNT;
  localparam LC_PROBE711_MU_CNT = (C_NUM_OF_PROBES == 711 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE711_MU_CNT;
  localparam LC_PROBE712_MU_CNT = (C_NUM_OF_PROBES == 712 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE712_MU_CNT;
  localparam LC_PROBE713_MU_CNT = (C_NUM_OF_PROBES == 713 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE713_MU_CNT;
  localparam LC_PROBE714_MU_CNT = (C_NUM_OF_PROBES == 714 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE714_MU_CNT;
  localparam LC_PROBE715_MU_CNT = (C_NUM_OF_PROBES == 715 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE715_MU_CNT;
  localparam LC_PROBE716_MU_CNT = (C_NUM_OF_PROBES == 716 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE716_MU_CNT;
  localparam LC_PROBE717_MU_CNT = (C_NUM_OF_PROBES == 717 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE717_MU_CNT;
  localparam LC_PROBE718_MU_CNT = (C_NUM_OF_PROBES == 718 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE718_MU_CNT;
  localparam LC_PROBE719_MU_CNT = (C_NUM_OF_PROBES == 719 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE719_MU_CNT;
  localparam LC_PROBE720_MU_CNT = (C_NUM_OF_PROBES == 720 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE720_MU_CNT;
  localparam LC_PROBE721_MU_CNT = (C_NUM_OF_PROBES == 721 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE721_MU_CNT;
  localparam LC_PROBE722_MU_CNT = (C_NUM_OF_PROBES == 722 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE722_MU_CNT;
  localparam LC_PROBE723_MU_CNT = (C_NUM_OF_PROBES == 723 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE723_MU_CNT;
  localparam LC_PROBE724_MU_CNT = (C_NUM_OF_PROBES == 724 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE724_MU_CNT;
  localparam LC_PROBE725_MU_CNT = (C_NUM_OF_PROBES == 725 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE725_MU_CNT;
  localparam LC_PROBE726_MU_CNT = (C_NUM_OF_PROBES == 726 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE726_MU_CNT;
  localparam LC_PROBE727_MU_CNT = (C_NUM_OF_PROBES == 727 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE727_MU_CNT;
  localparam LC_PROBE728_MU_CNT = (C_NUM_OF_PROBES == 728 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE728_MU_CNT;
  localparam LC_PROBE729_MU_CNT = (C_NUM_OF_PROBES == 729 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE729_MU_CNT;  
  localparam LC_PROBE730_MU_CNT = (C_NUM_OF_PROBES == 730 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE730_MU_CNT;
  localparam LC_PROBE731_MU_CNT = (C_NUM_OF_PROBES == 731 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE731_MU_CNT;
  localparam LC_PROBE732_MU_CNT = (C_NUM_OF_PROBES == 732 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE732_MU_CNT;
  localparam LC_PROBE733_MU_CNT = (C_NUM_OF_PROBES == 733 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE733_MU_CNT;
  localparam LC_PROBE734_MU_CNT = (C_NUM_OF_PROBES == 734 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE734_MU_CNT;
  localparam LC_PROBE735_MU_CNT = (C_NUM_OF_PROBES == 735 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE735_MU_CNT;
  localparam LC_PROBE736_MU_CNT = (C_NUM_OF_PROBES == 736 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE736_MU_CNT;
  localparam LC_PROBE737_MU_CNT = (C_NUM_OF_PROBES == 737 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE737_MU_CNT;
  localparam LC_PROBE738_MU_CNT = (C_NUM_OF_PROBES == 738 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE738_MU_CNT;
  localparam LC_PROBE739_MU_CNT = (C_NUM_OF_PROBES == 739 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE739_MU_CNT;
  localparam LC_PROBE740_MU_CNT = (C_NUM_OF_PROBES == 740 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE740_MU_CNT;
  localparam LC_PROBE741_MU_CNT = (C_NUM_OF_PROBES == 741 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE741_MU_CNT;
  localparam LC_PROBE742_MU_CNT = (C_NUM_OF_PROBES == 742 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE742_MU_CNT;
  localparam LC_PROBE743_MU_CNT = (C_NUM_OF_PROBES == 743 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE743_MU_CNT;
  localparam LC_PROBE744_MU_CNT = (C_NUM_OF_PROBES == 744 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE744_MU_CNT;
  localparam LC_PROBE745_MU_CNT = (C_NUM_OF_PROBES == 745 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE745_MU_CNT;
  localparam LC_PROBE746_MU_CNT = (C_NUM_OF_PROBES == 746 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE746_MU_CNT;
  localparam LC_PROBE747_MU_CNT = (C_NUM_OF_PROBES == 747 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE747_MU_CNT;
  localparam LC_PROBE748_MU_CNT = (C_NUM_OF_PROBES == 748 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE748_MU_CNT;
  localparam LC_PROBE749_MU_CNT = (C_NUM_OF_PROBES == 749 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE749_MU_CNT;
  localparam LC_PROBE750_MU_CNT = (C_NUM_OF_PROBES == 750 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE750_MU_CNT;
  localparam LC_PROBE751_MU_CNT = (C_NUM_OF_PROBES == 751 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE751_MU_CNT;
  localparam LC_PROBE752_MU_CNT = (C_NUM_OF_PROBES == 752 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE752_MU_CNT;
  localparam LC_PROBE753_MU_CNT = (C_NUM_OF_PROBES == 753 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE753_MU_CNT;
  localparam LC_PROBE754_MU_CNT = (C_NUM_OF_PROBES == 754 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE754_MU_CNT;
  localparam LC_PROBE755_MU_CNT = (C_NUM_OF_PROBES == 755 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE755_MU_CNT;
  localparam LC_PROBE756_MU_CNT = (C_NUM_OF_PROBES == 756 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE756_MU_CNT;
  localparam LC_PROBE757_MU_CNT = (C_NUM_OF_PROBES == 757 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE757_MU_CNT;
  localparam LC_PROBE758_MU_CNT = (C_NUM_OF_PROBES == 758 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE758_MU_CNT;
  localparam LC_PROBE759_MU_CNT = (C_NUM_OF_PROBES == 759 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE759_MU_CNT;
  localparam LC_PROBE760_MU_CNT = (C_NUM_OF_PROBES == 760 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE760_MU_CNT;
  localparam LC_PROBE761_MU_CNT = (C_NUM_OF_PROBES == 761 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE761_MU_CNT;
  localparam LC_PROBE762_MU_CNT = (C_NUM_OF_PROBES == 762 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE762_MU_CNT;
  localparam LC_PROBE763_MU_CNT = (C_NUM_OF_PROBES == 763 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE763_MU_CNT;
  localparam LC_PROBE764_MU_CNT = (C_NUM_OF_PROBES == 764 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE764_MU_CNT;
  localparam LC_PROBE765_MU_CNT = (C_NUM_OF_PROBES == 765 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE765_MU_CNT;
  localparam LC_PROBE766_MU_CNT = (C_NUM_OF_PROBES == 766 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE766_MU_CNT;
  localparam LC_PROBE767_MU_CNT = (C_NUM_OF_PROBES == 767 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE767_MU_CNT;
  localparam LC_PROBE768_MU_CNT = (C_NUM_OF_PROBES == 768 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE768_MU_CNT;
  localparam LC_PROBE769_MU_CNT = (C_NUM_OF_PROBES == 769 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE769_MU_CNT;
  localparam LC_PROBE770_MU_CNT = (C_NUM_OF_PROBES == 770 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE770_MU_CNT;
  localparam LC_PROBE771_MU_CNT = (C_NUM_OF_PROBES == 771 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE771_MU_CNT;
  localparam LC_PROBE772_MU_CNT = (C_NUM_OF_PROBES == 772 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE772_MU_CNT;
  localparam LC_PROBE773_MU_CNT = (C_NUM_OF_PROBES == 773 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE773_MU_CNT;
  localparam LC_PROBE774_MU_CNT = (C_NUM_OF_PROBES == 774 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE774_MU_CNT;
  localparam LC_PROBE775_MU_CNT = (C_NUM_OF_PROBES == 775 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE775_MU_CNT;
  localparam LC_PROBE776_MU_CNT = (C_NUM_OF_PROBES == 776 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE776_MU_CNT;
  localparam LC_PROBE777_MU_CNT = (C_NUM_OF_PROBES == 777 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE777_MU_CNT;
  localparam LC_PROBE778_MU_CNT = (C_NUM_OF_PROBES == 778 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE778_MU_CNT;
  localparam LC_PROBE779_MU_CNT = (C_NUM_OF_PROBES == 779 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE779_MU_CNT;
  localparam LC_PROBE780_MU_CNT = (C_NUM_OF_PROBES == 780 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE780_MU_CNT;
  localparam LC_PROBE781_MU_CNT = (C_NUM_OF_PROBES == 781 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE781_MU_CNT;
  localparam LC_PROBE782_MU_CNT = (C_NUM_OF_PROBES == 782 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE782_MU_CNT;
  localparam LC_PROBE783_MU_CNT = (C_NUM_OF_PROBES == 783 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE783_MU_CNT;
  localparam LC_PROBE784_MU_CNT = (C_NUM_OF_PROBES == 784 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE784_MU_CNT;
  localparam LC_PROBE785_MU_CNT = (C_NUM_OF_PROBES == 785 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE785_MU_CNT;
  localparam LC_PROBE786_MU_CNT = (C_NUM_OF_PROBES == 786 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE786_MU_CNT;
  localparam LC_PROBE787_MU_CNT = (C_NUM_OF_PROBES == 787 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE787_MU_CNT;
  localparam LC_PROBE788_MU_CNT = (C_NUM_OF_PROBES == 788 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE788_MU_CNT;
  localparam LC_PROBE789_MU_CNT = (C_NUM_OF_PROBES == 789 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE789_MU_CNT;
  localparam LC_PROBE790_MU_CNT = (C_NUM_OF_PROBES == 790 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE790_MU_CNT;
  localparam LC_PROBE791_MU_CNT = (C_NUM_OF_PROBES == 791 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE791_MU_CNT;
  localparam LC_PROBE792_MU_CNT = (C_NUM_OF_PROBES == 792 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE792_MU_CNT;
  localparam LC_PROBE793_MU_CNT = (C_NUM_OF_PROBES == 793 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE793_MU_CNT;
  localparam LC_PROBE794_MU_CNT = (C_NUM_OF_PROBES == 794 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE794_MU_CNT;
  localparam LC_PROBE795_MU_CNT = (C_NUM_OF_PROBES == 795 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE795_MU_CNT;
  localparam LC_PROBE796_MU_CNT = (C_NUM_OF_PROBES == 796 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE796_MU_CNT;
  localparam LC_PROBE797_MU_CNT = (C_NUM_OF_PROBES == 797 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE797_MU_CNT;
  localparam LC_PROBE798_MU_CNT = (C_NUM_OF_PROBES == 798 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE798_MU_CNT;
  localparam LC_PROBE799_MU_CNT = (C_NUM_OF_PROBES == 799 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE799_MU_CNT;
  localparam LC_PROBE800_MU_CNT = (C_NUM_OF_PROBES == 800 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE800_MU_CNT;
  localparam LC_PROBE801_MU_CNT = (C_NUM_OF_PROBES == 801 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE801_MU_CNT;
  localparam LC_PROBE802_MU_CNT = (C_NUM_OF_PROBES == 802 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE802_MU_CNT;
  localparam LC_PROBE803_MU_CNT = (C_NUM_OF_PROBES == 803 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE803_MU_CNT;
  localparam LC_PROBE804_MU_CNT = (C_NUM_OF_PROBES == 804 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE804_MU_CNT;
  localparam LC_PROBE805_MU_CNT = (C_NUM_OF_PROBES == 805 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE805_MU_CNT;
  localparam LC_PROBE806_MU_CNT = (C_NUM_OF_PROBES == 806 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE806_MU_CNT;
  localparam LC_PROBE807_MU_CNT = (C_NUM_OF_PROBES == 807 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE807_MU_CNT;
  localparam LC_PROBE808_MU_CNT = (C_NUM_OF_PROBES == 808 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE808_MU_CNT;
  localparam LC_PROBE809_MU_CNT = (C_NUM_OF_PROBES == 809 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE809_MU_CNT;
  localparam LC_PROBE810_MU_CNT = (C_NUM_OF_PROBES == 810 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE810_MU_CNT;
  localparam LC_PROBE811_MU_CNT = (C_NUM_OF_PROBES == 811 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE811_MU_CNT;
  localparam LC_PROBE812_MU_CNT = (C_NUM_OF_PROBES == 812 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE812_MU_CNT;
  localparam LC_PROBE813_MU_CNT = (C_NUM_OF_PROBES == 813 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE813_MU_CNT;
  localparam LC_PROBE814_MU_CNT = (C_NUM_OF_PROBES == 814 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE814_MU_CNT;
  localparam LC_PROBE815_MU_CNT = (C_NUM_OF_PROBES == 815 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE815_MU_CNT;
  localparam LC_PROBE816_MU_CNT = (C_NUM_OF_PROBES == 816 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE816_MU_CNT;
  localparam LC_PROBE817_MU_CNT = (C_NUM_OF_PROBES == 817 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE817_MU_CNT;
  localparam LC_PROBE818_MU_CNT = (C_NUM_OF_PROBES == 818 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE818_MU_CNT;
  localparam LC_PROBE819_MU_CNT = (C_NUM_OF_PROBES == 819 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE819_MU_CNT;
  localparam LC_PROBE820_MU_CNT = (C_NUM_OF_PROBES == 820 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE820_MU_CNT;
  localparam LC_PROBE821_MU_CNT = (C_NUM_OF_PROBES == 821 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE821_MU_CNT;
  localparam LC_PROBE822_MU_CNT = (C_NUM_OF_PROBES == 822 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE822_MU_CNT;
  localparam LC_PROBE823_MU_CNT = (C_NUM_OF_PROBES == 823 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE823_MU_CNT;
  localparam LC_PROBE824_MU_CNT = (C_NUM_OF_PROBES == 824 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE824_MU_CNT;
  localparam LC_PROBE825_MU_CNT = (C_NUM_OF_PROBES == 825 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE825_MU_CNT;
  localparam LC_PROBE826_MU_CNT = (C_NUM_OF_PROBES == 826 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE826_MU_CNT;
  localparam LC_PROBE827_MU_CNT = (C_NUM_OF_PROBES == 827 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE827_MU_CNT;
  localparam LC_PROBE828_MU_CNT = (C_NUM_OF_PROBES == 828 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE828_MU_CNT;
  localparam LC_PROBE829_MU_CNT = (C_NUM_OF_PROBES == 829 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE829_MU_CNT;  
  localparam LC_PROBE830_MU_CNT = (C_NUM_OF_PROBES == 830 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE830_MU_CNT;
  localparam LC_PROBE831_MU_CNT = (C_NUM_OF_PROBES == 831 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE831_MU_CNT;
  localparam LC_PROBE832_MU_CNT = (C_NUM_OF_PROBES == 832 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE832_MU_CNT;
  localparam LC_PROBE833_MU_CNT = (C_NUM_OF_PROBES == 833 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE833_MU_CNT;
  localparam LC_PROBE834_MU_CNT = (C_NUM_OF_PROBES == 834 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE834_MU_CNT;
  localparam LC_PROBE835_MU_CNT = (C_NUM_OF_PROBES == 835 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE835_MU_CNT;
  localparam LC_PROBE836_MU_CNT = (C_NUM_OF_PROBES == 836 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE836_MU_CNT;
  localparam LC_PROBE837_MU_CNT = (C_NUM_OF_PROBES == 837 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE837_MU_CNT;
  localparam LC_PROBE838_MU_CNT = (C_NUM_OF_PROBES == 838 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE838_MU_CNT;
  localparam LC_PROBE839_MU_CNT = (C_NUM_OF_PROBES == 839 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE839_MU_CNT;
  localparam LC_PROBE840_MU_CNT = (C_NUM_OF_PROBES == 840 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE840_MU_CNT;
  localparam LC_PROBE841_MU_CNT = (C_NUM_OF_PROBES == 841 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE841_MU_CNT;
  localparam LC_PROBE842_MU_CNT = (C_NUM_OF_PROBES == 842 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE842_MU_CNT;
  localparam LC_PROBE843_MU_CNT = (C_NUM_OF_PROBES == 843 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE843_MU_CNT;
  localparam LC_PROBE844_MU_CNT = (C_NUM_OF_PROBES == 844 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE844_MU_CNT;
  localparam LC_PROBE845_MU_CNT = (C_NUM_OF_PROBES == 845 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE845_MU_CNT;
  localparam LC_PROBE846_MU_CNT = (C_NUM_OF_PROBES == 846 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE846_MU_CNT;
  localparam LC_PROBE847_MU_CNT = (C_NUM_OF_PROBES == 847 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE847_MU_CNT;
  localparam LC_PROBE848_MU_CNT = (C_NUM_OF_PROBES == 848 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE848_MU_CNT;
  localparam LC_PROBE849_MU_CNT = (C_NUM_OF_PROBES == 849 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE849_MU_CNT;
  localparam LC_PROBE850_MU_CNT = (C_NUM_OF_PROBES == 850 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE850_MU_CNT;
  localparam LC_PROBE851_MU_CNT = (C_NUM_OF_PROBES == 851 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE851_MU_CNT;
  localparam LC_PROBE852_MU_CNT = (C_NUM_OF_PROBES == 852 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE852_MU_CNT;
  localparam LC_PROBE853_MU_CNT = (C_NUM_OF_PROBES == 853 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE853_MU_CNT;
  localparam LC_PROBE854_MU_CNT = (C_NUM_OF_PROBES == 854 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE854_MU_CNT;
  localparam LC_PROBE855_MU_CNT = (C_NUM_OF_PROBES == 855 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE855_MU_CNT;
  localparam LC_PROBE856_MU_CNT = (C_NUM_OF_PROBES == 856 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE856_MU_CNT;
  localparam LC_PROBE857_MU_CNT = (C_NUM_OF_PROBES == 857 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE857_MU_CNT;
  localparam LC_PROBE858_MU_CNT = (C_NUM_OF_PROBES == 858 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE858_MU_CNT;
  localparam LC_PROBE859_MU_CNT = (C_NUM_OF_PROBES == 859 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE859_MU_CNT;
  localparam LC_PROBE860_MU_CNT = (C_NUM_OF_PROBES == 860 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE860_MU_CNT;
  localparam LC_PROBE861_MU_CNT = (C_NUM_OF_PROBES == 861 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE861_MU_CNT;
  localparam LC_PROBE862_MU_CNT = (C_NUM_OF_PROBES == 862 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE862_MU_CNT;
  localparam LC_PROBE863_MU_CNT = (C_NUM_OF_PROBES == 863 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE863_MU_CNT;
  localparam LC_PROBE864_MU_CNT = (C_NUM_OF_PROBES == 864 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE864_MU_CNT;
  localparam LC_PROBE865_MU_CNT = (C_NUM_OF_PROBES == 865 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE865_MU_CNT;
  localparam LC_PROBE866_MU_CNT = (C_NUM_OF_PROBES == 866 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE866_MU_CNT;
  localparam LC_PROBE867_MU_CNT = (C_NUM_OF_PROBES == 867 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE867_MU_CNT;
  localparam LC_PROBE868_MU_CNT = (C_NUM_OF_PROBES == 868 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE868_MU_CNT;
  localparam LC_PROBE869_MU_CNT = (C_NUM_OF_PROBES == 869 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE869_MU_CNT;
  localparam LC_PROBE870_MU_CNT = (C_NUM_OF_PROBES == 870 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE870_MU_CNT;
  localparam LC_PROBE871_MU_CNT = (C_NUM_OF_PROBES == 871 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE871_MU_CNT;
  localparam LC_PROBE872_MU_CNT = (C_NUM_OF_PROBES == 872 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE872_MU_CNT;
  localparam LC_PROBE873_MU_CNT = (C_NUM_OF_PROBES == 873 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE873_MU_CNT;
  localparam LC_PROBE874_MU_CNT = (C_NUM_OF_PROBES == 874 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE874_MU_CNT;
  localparam LC_PROBE875_MU_CNT = (C_NUM_OF_PROBES == 875 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE875_MU_CNT;
  localparam LC_PROBE876_MU_CNT = (C_NUM_OF_PROBES == 876 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE876_MU_CNT;
  localparam LC_PROBE877_MU_CNT = (C_NUM_OF_PROBES == 877 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE877_MU_CNT;
  localparam LC_PROBE878_MU_CNT = (C_NUM_OF_PROBES == 878 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE878_MU_CNT;
  localparam LC_PROBE879_MU_CNT = (C_NUM_OF_PROBES == 879 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE879_MU_CNT;
  localparam LC_PROBE880_MU_CNT = (C_NUM_OF_PROBES == 880 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE880_MU_CNT;
  localparam LC_PROBE881_MU_CNT = (C_NUM_OF_PROBES == 881 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE881_MU_CNT;
  localparam LC_PROBE882_MU_CNT = (C_NUM_OF_PROBES == 882 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE882_MU_CNT;
  localparam LC_PROBE883_MU_CNT = (C_NUM_OF_PROBES == 883 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE883_MU_CNT;
  localparam LC_PROBE884_MU_CNT = (C_NUM_OF_PROBES == 884 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE884_MU_CNT;
  localparam LC_PROBE885_MU_CNT = (C_NUM_OF_PROBES == 885 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE885_MU_CNT;
  localparam LC_PROBE886_MU_CNT = (C_NUM_OF_PROBES == 886 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE886_MU_CNT;
  localparam LC_PROBE887_MU_CNT = (C_NUM_OF_PROBES == 887 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE887_MU_CNT;
  localparam LC_PROBE888_MU_CNT = (C_NUM_OF_PROBES == 888 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE888_MU_CNT;
  localparam LC_PROBE889_MU_CNT = (C_NUM_OF_PROBES == 889 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE889_MU_CNT;
  localparam LC_PROBE890_MU_CNT = (C_NUM_OF_PROBES == 890 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE890_MU_CNT;
  localparam LC_PROBE891_MU_CNT = (C_NUM_OF_PROBES == 891 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE891_MU_CNT;
  localparam LC_PROBE892_MU_CNT = (C_NUM_OF_PROBES == 892 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE892_MU_CNT;
  localparam LC_PROBE893_MU_CNT = (C_NUM_OF_PROBES == 893 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE893_MU_CNT;
  localparam LC_PROBE894_MU_CNT = (C_NUM_OF_PROBES == 894 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE894_MU_CNT;
  localparam LC_PROBE895_MU_CNT = (C_NUM_OF_PROBES == 895 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE895_MU_CNT;
  localparam LC_PROBE896_MU_CNT = (C_NUM_OF_PROBES == 896 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE896_MU_CNT;
  localparam LC_PROBE897_MU_CNT = (C_NUM_OF_PROBES == 897 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE897_MU_CNT;
  localparam LC_PROBE898_MU_CNT = (C_NUM_OF_PROBES == 898 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE898_MU_CNT;
  localparam LC_PROBE899_MU_CNT = (C_NUM_OF_PROBES == 899 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE899_MU_CNT;
  localparam LC_PROBE900_MU_CNT = (C_NUM_OF_PROBES == 900 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE900_MU_CNT;
  localparam LC_PROBE901_MU_CNT = (C_NUM_OF_PROBES == 901 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE901_MU_CNT;
  localparam LC_PROBE902_MU_CNT = (C_NUM_OF_PROBES == 902 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE902_MU_CNT;
  localparam LC_PROBE903_MU_CNT = (C_NUM_OF_PROBES == 903 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE903_MU_CNT;
  localparam LC_PROBE904_MU_CNT = (C_NUM_OF_PROBES == 904 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE904_MU_CNT;
  localparam LC_PROBE905_MU_CNT = (C_NUM_OF_PROBES == 905 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE905_MU_CNT;
  localparam LC_PROBE906_MU_CNT = (C_NUM_OF_PROBES == 906 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE906_MU_CNT;
  localparam LC_PROBE907_MU_CNT = (C_NUM_OF_PROBES == 907 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE907_MU_CNT;
  localparam LC_PROBE908_MU_CNT = (C_NUM_OF_PROBES == 908 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE908_MU_CNT;
  localparam LC_PROBE909_MU_CNT = (C_NUM_OF_PROBES == 909 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE909_MU_CNT;
  localparam LC_PROBE910_MU_CNT = (C_NUM_OF_PROBES == 910 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE910_MU_CNT;
  localparam LC_PROBE911_MU_CNT = (C_NUM_OF_PROBES == 911 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE911_MU_CNT;
  localparam LC_PROBE912_MU_CNT = (C_NUM_OF_PROBES == 912 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE912_MU_CNT;
  localparam LC_PROBE913_MU_CNT = (C_NUM_OF_PROBES == 913 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE913_MU_CNT;
  localparam LC_PROBE914_MU_CNT = (C_NUM_OF_PROBES == 914 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE914_MU_CNT;
  localparam LC_PROBE915_MU_CNT = (C_NUM_OF_PROBES == 915 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE915_MU_CNT;
  localparam LC_PROBE916_MU_CNT = (C_NUM_OF_PROBES == 916 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE916_MU_CNT;
  localparam LC_PROBE917_MU_CNT = (C_NUM_OF_PROBES == 917 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE917_MU_CNT;
  localparam LC_PROBE918_MU_CNT = (C_NUM_OF_PROBES == 918 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE918_MU_CNT;
  localparam LC_PROBE919_MU_CNT = (C_NUM_OF_PROBES == 919 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE919_MU_CNT;
  localparam LC_PROBE920_MU_CNT = (C_NUM_OF_PROBES == 920 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE920_MU_CNT;
  localparam LC_PROBE921_MU_CNT = (C_NUM_OF_PROBES == 921 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE921_MU_CNT;
  localparam LC_PROBE922_MU_CNT = (C_NUM_OF_PROBES == 922 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE922_MU_CNT;
  localparam LC_PROBE923_MU_CNT = (C_NUM_OF_PROBES == 923 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE923_MU_CNT;
  localparam LC_PROBE924_MU_CNT = (C_NUM_OF_PROBES == 924 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE924_MU_CNT;
  localparam LC_PROBE925_MU_CNT = (C_NUM_OF_PROBES == 925 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE925_MU_CNT;
  localparam LC_PROBE926_MU_CNT = (C_NUM_OF_PROBES == 926 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE926_MU_CNT;
  localparam LC_PROBE927_MU_CNT = (C_NUM_OF_PROBES == 927 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE927_MU_CNT;
  localparam LC_PROBE928_MU_CNT = (C_NUM_OF_PROBES == 928 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE928_MU_CNT;
  localparam LC_PROBE929_MU_CNT = (C_NUM_OF_PROBES == 929 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE929_MU_CNT;  
  localparam LC_PROBE930_MU_CNT = (C_NUM_OF_PROBES == 930 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE930_MU_CNT;
  localparam LC_PROBE931_MU_CNT = (C_NUM_OF_PROBES == 931 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE931_MU_CNT;
  localparam LC_PROBE932_MU_CNT = (C_NUM_OF_PROBES == 932 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE932_MU_CNT;
  localparam LC_PROBE933_MU_CNT = (C_NUM_OF_PROBES == 933 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE933_MU_CNT;
  localparam LC_PROBE934_MU_CNT = (C_NUM_OF_PROBES == 934 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE934_MU_CNT;
  localparam LC_PROBE935_MU_CNT = (C_NUM_OF_PROBES == 935 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE935_MU_CNT;
  localparam LC_PROBE936_MU_CNT = (C_NUM_OF_PROBES == 936 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE936_MU_CNT;
  localparam LC_PROBE937_MU_CNT = (C_NUM_OF_PROBES == 937 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE937_MU_CNT;
  localparam LC_PROBE938_MU_CNT = (C_NUM_OF_PROBES == 938 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE938_MU_CNT;
  localparam LC_PROBE939_MU_CNT = (C_NUM_OF_PROBES == 939 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE939_MU_CNT;
  localparam LC_PROBE940_MU_CNT = (C_NUM_OF_PROBES == 940 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE940_MU_CNT;
  localparam LC_PROBE941_MU_CNT = (C_NUM_OF_PROBES == 941 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE941_MU_CNT;
  localparam LC_PROBE942_MU_CNT = (C_NUM_OF_PROBES == 942 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE942_MU_CNT;
  localparam LC_PROBE943_MU_CNT = (C_NUM_OF_PROBES == 943 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE943_MU_CNT;
  localparam LC_PROBE944_MU_CNT = (C_NUM_OF_PROBES == 944 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE944_MU_CNT;
  localparam LC_PROBE945_MU_CNT = (C_NUM_OF_PROBES == 945 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE945_MU_CNT;
  localparam LC_PROBE946_MU_CNT = (C_NUM_OF_PROBES == 946 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE946_MU_CNT;
  localparam LC_PROBE947_MU_CNT = (C_NUM_OF_PROBES == 947 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE947_MU_CNT;
  localparam LC_PROBE948_MU_CNT = (C_NUM_OF_PROBES == 948 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE948_MU_CNT;
  localparam LC_PROBE949_MU_CNT = (C_NUM_OF_PROBES == 949 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE949_MU_CNT;
  localparam LC_PROBE950_MU_CNT = (C_NUM_OF_PROBES == 950 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE950_MU_CNT;
  localparam LC_PROBE951_MU_CNT = (C_NUM_OF_PROBES == 951 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE951_MU_CNT;
  localparam LC_PROBE952_MU_CNT = (C_NUM_OF_PROBES == 952 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE952_MU_CNT;
  localparam LC_PROBE953_MU_CNT = (C_NUM_OF_PROBES == 953 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE953_MU_CNT;
  localparam LC_PROBE954_MU_CNT = (C_NUM_OF_PROBES == 954 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE954_MU_CNT;
  localparam LC_PROBE955_MU_CNT = (C_NUM_OF_PROBES == 955 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE955_MU_CNT;
  localparam LC_PROBE956_MU_CNT = (C_NUM_OF_PROBES == 956 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE956_MU_CNT;
  localparam LC_PROBE957_MU_CNT = (C_NUM_OF_PROBES == 957 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE957_MU_CNT;
  localparam LC_PROBE958_MU_CNT = (C_NUM_OF_PROBES == 958 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE958_MU_CNT;
  localparam LC_PROBE959_MU_CNT = (C_NUM_OF_PROBES == 959 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE959_MU_CNT;
  localparam LC_PROBE960_MU_CNT = (C_NUM_OF_PROBES == 960 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE960_MU_CNT;
  localparam LC_PROBE961_MU_CNT = (C_NUM_OF_PROBES == 961 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE961_MU_CNT;
  localparam LC_PROBE962_MU_CNT = (C_NUM_OF_PROBES == 962 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE962_MU_CNT;
  localparam LC_PROBE963_MU_CNT = (C_NUM_OF_PROBES == 963 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE963_MU_CNT;
  localparam LC_PROBE964_MU_CNT = (C_NUM_OF_PROBES == 964 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE964_MU_CNT;
  localparam LC_PROBE965_MU_CNT = (C_NUM_OF_PROBES == 965 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE965_MU_CNT;
  localparam LC_PROBE966_MU_CNT = (C_NUM_OF_PROBES == 966 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE966_MU_CNT;
  localparam LC_PROBE967_MU_CNT = (C_NUM_OF_PROBES == 967 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE967_MU_CNT;
  localparam LC_PROBE968_MU_CNT = (C_NUM_OF_PROBES == 968 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE968_MU_CNT;
  localparam LC_PROBE969_MU_CNT = (C_NUM_OF_PROBES == 969 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE969_MU_CNT;
  localparam LC_PROBE970_MU_CNT = (C_NUM_OF_PROBES == 970 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE970_MU_CNT;
  localparam LC_PROBE971_MU_CNT = (C_NUM_OF_PROBES == 971 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE971_MU_CNT;
  localparam LC_PROBE972_MU_CNT = (C_NUM_OF_PROBES == 972 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE972_MU_CNT;
  localparam LC_PROBE973_MU_CNT = (C_NUM_OF_PROBES == 973 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE973_MU_CNT;
  localparam LC_PROBE974_MU_CNT = (C_NUM_OF_PROBES == 974 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE974_MU_CNT;
  localparam LC_PROBE975_MU_CNT = (C_NUM_OF_PROBES == 975 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE975_MU_CNT;
  localparam LC_PROBE976_MU_CNT = (C_NUM_OF_PROBES == 976 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE976_MU_CNT;
  localparam LC_PROBE977_MU_CNT = (C_NUM_OF_PROBES == 977 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE977_MU_CNT;
  localparam LC_PROBE978_MU_CNT = (C_NUM_OF_PROBES == 978 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE978_MU_CNT;
  localparam LC_PROBE979_MU_CNT = (C_NUM_OF_PROBES == 979 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE979_MU_CNT;
  localparam LC_PROBE980_MU_CNT = (C_NUM_OF_PROBES == 980 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE980_MU_CNT;
  localparam LC_PROBE981_MU_CNT = (C_NUM_OF_PROBES == 981 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE981_MU_CNT;
  localparam LC_PROBE982_MU_CNT = (C_NUM_OF_PROBES == 982 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE982_MU_CNT;
  localparam LC_PROBE983_MU_CNT = (C_NUM_OF_PROBES == 983 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE983_MU_CNT;
  localparam LC_PROBE984_MU_CNT = (C_NUM_OF_PROBES == 984 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE984_MU_CNT;
  localparam LC_PROBE985_MU_CNT = (C_NUM_OF_PROBES == 985 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE985_MU_CNT;
  localparam LC_PROBE986_MU_CNT = (C_NUM_OF_PROBES == 986 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE986_MU_CNT;
  localparam LC_PROBE987_MU_CNT = (C_NUM_OF_PROBES == 987 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE987_MU_CNT;
  localparam LC_PROBE988_MU_CNT = (C_NUM_OF_PROBES == 988 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE988_MU_CNT;
  localparam LC_PROBE989_MU_CNT = (C_NUM_OF_PROBES == 989 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE989_MU_CNT;
  localparam LC_PROBE990_MU_CNT = (C_NUM_OF_PROBES == 990 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE990_MU_CNT;
  localparam LC_PROBE991_MU_CNT = (C_NUM_OF_PROBES == 991 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE991_MU_CNT;
  localparam LC_PROBE992_MU_CNT = (C_NUM_OF_PROBES == 992 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE992_MU_CNT;
  localparam LC_PROBE993_MU_CNT = (C_NUM_OF_PROBES == 993 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE993_MU_CNT;
  localparam LC_PROBE994_MU_CNT = (C_NUM_OF_PROBES == 994 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE994_MU_CNT;
  localparam LC_PROBE995_MU_CNT = (C_NUM_OF_PROBES == 995 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE995_MU_CNT;
  localparam LC_PROBE996_MU_CNT = (C_NUM_OF_PROBES == 996 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE996_MU_CNT;
  localparam LC_PROBE997_MU_CNT = (C_NUM_OF_PROBES == 997 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE997_MU_CNT;
  localparam LC_PROBE998_MU_CNT = (C_NUM_OF_PROBES == 998 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE998_MU_CNT;
  localparam LC_PROBE999_MU_CNT = (C_NUM_OF_PROBES == 999 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE999_MU_CNT;
  localparam LC_PROBE1000_MU_CNT = (C_NUM_OF_PROBES == 1000 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1000_MU_CNT;
  localparam LC_PROBE1001_MU_CNT = (C_NUM_OF_PROBES == 1001 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1001_MU_CNT;
  localparam LC_PROBE1002_MU_CNT = (C_NUM_OF_PROBES == 1002 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1002_MU_CNT;
  localparam LC_PROBE1003_MU_CNT = (C_NUM_OF_PROBES == 1003 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1003_MU_CNT;
  localparam LC_PROBE1004_MU_CNT = (C_NUM_OF_PROBES == 1004 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1004_MU_CNT;
  localparam LC_PROBE1005_MU_CNT = (C_NUM_OF_PROBES == 1005 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1005_MU_CNT;
  localparam LC_PROBE1006_MU_CNT = (C_NUM_OF_PROBES == 1006 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1006_MU_CNT;
  localparam LC_PROBE1007_MU_CNT = (C_NUM_OF_PROBES == 1007 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1007_MU_CNT;
  localparam LC_PROBE1008_MU_CNT = (C_NUM_OF_PROBES == 1008 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1008_MU_CNT;
  localparam LC_PROBE1009_MU_CNT = (C_NUM_OF_PROBES == 1009 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1009_MU_CNT;
  localparam LC_PROBE1010_MU_CNT = (C_NUM_OF_PROBES == 1010 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1010_MU_CNT;
  localparam LC_PROBE1011_MU_CNT = (C_NUM_OF_PROBES == 1011 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1011_MU_CNT;
  localparam LC_PROBE1012_MU_CNT = (C_NUM_OF_PROBES == 1012 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1012_MU_CNT;
  localparam LC_PROBE1013_MU_CNT = (C_NUM_OF_PROBES == 1013 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1013_MU_CNT;
  localparam LC_PROBE1014_MU_CNT = (C_NUM_OF_PROBES == 1014 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1014_MU_CNT;
  localparam LC_PROBE1015_MU_CNT = (C_NUM_OF_PROBES == 1015 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1015_MU_CNT;
  localparam LC_PROBE1016_MU_CNT = (C_NUM_OF_PROBES == 1016 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1016_MU_CNT;
  localparam LC_PROBE1017_MU_CNT = (C_NUM_OF_PROBES == 1017 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1017_MU_CNT;
  localparam LC_PROBE1018_MU_CNT = (C_NUM_OF_PROBES == 1018 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1018_MU_CNT;
  localparam LC_PROBE1019_MU_CNT = (C_NUM_OF_PROBES == 1019 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1019_MU_CNT;
  localparam LC_PROBE1020_MU_CNT = (C_NUM_OF_PROBES == 1020 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1020_MU_CNT;
  localparam LC_PROBE1021_MU_CNT = (C_NUM_OF_PROBES == 1021 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1021_MU_CNT;
  localparam LC_PROBE1022_MU_CNT = (C_NUM_OF_PROBES == 1022 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1022_MU_CNT;
  localparam LC_PROBE1023_MU_CNT = (C_NUM_OF_PROBES == 1023 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_MU_CNT : C_PROBE1023_MU_CNT;


  localparam LC_PROBE0_WIDTH =  C_PROBE0_WIDTH;
  localparam LC_PROBE1_WIDTH = (C_NUM_OF_PROBES == 1 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1_WIDTH;
  localparam LC_PROBE2_WIDTH = (C_NUM_OF_PROBES == 2 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE2_WIDTH;
  localparam LC_PROBE3_WIDTH = (C_NUM_OF_PROBES == 3 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE3_WIDTH;
  localparam LC_PROBE4_WIDTH = (C_NUM_OF_PROBES == 4 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE4_WIDTH;
  localparam LC_PROBE5_WIDTH = (C_NUM_OF_PROBES == 5 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE5_WIDTH;
  localparam LC_PROBE6_WIDTH = (C_NUM_OF_PROBES == 6 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE6_WIDTH;
  localparam LC_PROBE7_WIDTH = (C_NUM_OF_PROBES == 7 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE7_WIDTH;
  localparam LC_PROBE8_WIDTH = (C_NUM_OF_PROBES == 8 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE8_WIDTH;
  localparam LC_PROBE9_WIDTH = (C_NUM_OF_PROBES == 9 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE9_WIDTH;
  localparam LC_PROBE10_WIDTH = (C_NUM_OF_PROBES == 10 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE10_WIDTH;
  localparam LC_PROBE11_WIDTH = (C_NUM_OF_PROBES == 11 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE11_WIDTH;
  localparam LC_PROBE12_WIDTH = (C_NUM_OF_PROBES == 12 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE12_WIDTH;
  localparam LC_PROBE13_WIDTH = (C_NUM_OF_PROBES == 13 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE13_WIDTH;
  localparam LC_PROBE14_WIDTH = (C_NUM_OF_PROBES == 14 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE14_WIDTH;
  localparam LC_PROBE15_WIDTH = (C_NUM_OF_PROBES == 15 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE15_WIDTH;
  localparam LC_PROBE16_WIDTH = (C_NUM_OF_PROBES == 16 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE16_WIDTH;
  localparam LC_PROBE17_WIDTH = (C_NUM_OF_PROBES == 17 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE17_WIDTH;
  localparam LC_PROBE18_WIDTH = (C_NUM_OF_PROBES == 18 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE18_WIDTH;
  localparam LC_PROBE19_WIDTH = (C_NUM_OF_PROBES == 19 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE19_WIDTH;
  localparam LC_PROBE20_WIDTH = (C_NUM_OF_PROBES == 20 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE20_WIDTH;
  localparam LC_PROBE21_WIDTH = (C_NUM_OF_PROBES == 21 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE21_WIDTH;
  localparam LC_PROBE22_WIDTH = (C_NUM_OF_PROBES == 22 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE22_WIDTH;
  localparam LC_PROBE23_WIDTH = (C_NUM_OF_PROBES == 23 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE23_WIDTH;
  localparam LC_PROBE24_WIDTH = (C_NUM_OF_PROBES == 24 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE24_WIDTH;
  localparam LC_PROBE25_WIDTH = (C_NUM_OF_PROBES == 25 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE25_WIDTH;
  localparam LC_PROBE26_WIDTH = (C_NUM_OF_PROBES == 26 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE26_WIDTH;
  localparam LC_PROBE27_WIDTH = (C_NUM_OF_PROBES == 27 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE27_WIDTH;
  localparam LC_PROBE28_WIDTH = (C_NUM_OF_PROBES == 28 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE28_WIDTH;
  localparam LC_PROBE29_WIDTH = (C_NUM_OF_PROBES == 29 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE29_WIDTH;  
  localparam LC_PROBE30_WIDTH = (C_NUM_OF_PROBES == 30 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE30_WIDTH;
  localparam LC_PROBE31_WIDTH = (C_NUM_OF_PROBES == 31 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE31_WIDTH;
  localparam LC_PROBE32_WIDTH = (C_NUM_OF_PROBES == 32 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE32_WIDTH;
  localparam LC_PROBE33_WIDTH = (C_NUM_OF_PROBES == 33 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE33_WIDTH;
  localparam LC_PROBE34_WIDTH = (C_NUM_OF_PROBES == 34 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE34_WIDTH;
  localparam LC_PROBE35_WIDTH = (C_NUM_OF_PROBES == 35 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE35_WIDTH;
  localparam LC_PROBE36_WIDTH = (C_NUM_OF_PROBES == 36 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE36_WIDTH;
  localparam LC_PROBE37_WIDTH = (C_NUM_OF_PROBES == 37 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE37_WIDTH;
  localparam LC_PROBE38_WIDTH = (C_NUM_OF_PROBES == 38 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE38_WIDTH;
  localparam LC_PROBE39_WIDTH = (C_NUM_OF_PROBES == 39 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE39_WIDTH;
  localparam LC_PROBE40_WIDTH = (C_NUM_OF_PROBES == 40 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE40_WIDTH;
  localparam LC_PROBE41_WIDTH = (C_NUM_OF_PROBES == 41 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE41_WIDTH;
  localparam LC_PROBE42_WIDTH = (C_NUM_OF_PROBES == 42 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE42_WIDTH;
  localparam LC_PROBE43_WIDTH = (C_NUM_OF_PROBES == 43 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE43_WIDTH;
  localparam LC_PROBE44_WIDTH = (C_NUM_OF_PROBES == 44 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE44_WIDTH;
  localparam LC_PROBE45_WIDTH = (C_NUM_OF_PROBES == 45 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE45_WIDTH;
  localparam LC_PROBE46_WIDTH = (C_NUM_OF_PROBES == 46 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE46_WIDTH;
  localparam LC_PROBE47_WIDTH = (C_NUM_OF_PROBES == 47 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE47_WIDTH;
  localparam LC_PROBE48_WIDTH = (C_NUM_OF_PROBES == 48 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE48_WIDTH;
  localparam LC_PROBE49_WIDTH = (C_NUM_OF_PROBES == 49 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE49_WIDTH;
  localparam LC_PROBE50_WIDTH = (C_NUM_OF_PROBES == 50 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE50_WIDTH;
  localparam LC_PROBE51_WIDTH = (C_NUM_OF_PROBES == 51 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE51_WIDTH;
  localparam LC_PROBE52_WIDTH = (C_NUM_OF_PROBES == 52 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE52_WIDTH;
  localparam LC_PROBE53_WIDTH = (C_NUM_OF_PROBES == 53 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE53_WIDTH;
  localparam LC_PROBE54_WIDTH = (C_NUM_OF_PROBES == 54 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE54_WIDTH;
  localparam LC_PROBE55_WIDTH = (C_NUM_OF_PROBES == 55 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE55_WIDTH;
  localparam LC_PROBE56_WIDTH = (C_NUM_OF_PROBES == 56 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE56_WIDTH;
  localparam LC_PROBE57_WIDTH = (C_NUM_OF_PROBES == 57 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE57_WIDTH;
  localparam LC_PROBE58_WIDTH = (C_NUM_OF_PROBES == 58 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE58_WIDTH;
  localparam LC_PROBE59_WIDTH = (C_NUM_OF_PROBES == 59 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE59_WIDTH;
  localparam LC_PROBE60_WIDTH = (C_NUM_OF_PROBES == 60 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE60_WIDTH;
  localparam LC_PROBE61_WIDTH = (C_NUM_OF_PROBES == 61 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE61_WIDTH;
  localparam LC_PROBE62_WIDTH = (C_NUM_OF_PROBES == 62 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE62_WIDTH;
  localparam LC_PROBE63_WIDTH = (C_NUM_OF_PROBES == 63 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE63_WIDTH;
  localparam LC_PROBE64_WIDTH = (C_NUM_OF_PROBES == 64 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE64_WIDTH;
  localparam LC_PROBE65_WIDTH = (C_NUM_OF_PROBES == 65 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE65_WIDTH;
  localparam LC_PROBE66_WIDTH = (C_NUM_OF_PROBES == 66 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE66_WIDTH;
  localparam LC_PROBE67_WIDTH = (C_NUM_OF_PROBES == 67 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE67_WIDTH;
  localparam LC_PROBE68_WIDTH = (C_NUM_OF_PROBES == 68 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE68_WIDTH;
  localparam LC_PROBE69_WIDTH = (C_NUM_OF_PROBES == 69 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE69_WIDTH;
  localparam LC_PROBE70_WIDTH = (C_NUM_OF_PROBES == 70 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE70_WIDTH;
  localparam LC_PROBE71_WIDTH = (C_NUM_OF_PROBES == 71 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE71_WIDTH;
  localparam LC_PROBE72_WIDTH = (C_NUM_OF_PROBES == 72 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE72_WIDTH;
  localparam LC_PROBE73_WIDTH = (C_NUM_OF_PROBES == 73 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE73_WIDTH;
  localparam LC_PROBE74_WIDTH = (C_NUM_OF_PROBES == 74 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE74_WIDTH;
  localparam LC_PROBE75_WIDTH = (C_NUM_OF_PROBES == 75 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE75_WIDTH;
  localparam LC_PROBE76_WIDTH = (C_NUM_OF_PROBES == 76 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE76_WIDTH;
  localparam LC_PROBE77_WIDTH = (C_NUM_OF_PROBES == 77 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE77_WIDTH;
  localparam LC_PROBE78_WIDTH = (C_NUM_OF_PROBES == 78 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE78_WIDTH;
  localparam LC_PROBE79_WIDTH = (C_NUM_OF_PROBES == 79 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE79_WIDTH;
  localparam LC_PROBE80_WIDTH = (C_NUM_OF_PROBES == 80 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE80_WIDTH;
  localparam LC_PROBE81_WIDTH = (C_NUM_OF_PROBES == 81 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE81_WIDTH;
  localparam LC_PROBE82_WIDTH = (C_NUM_OF_PROBES == 82 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE82_WIDTH;
  localparam LC_PROBE83_WIDTH = (C_NUM_OF_PROBES == 83 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE83_WIDTH;
  localparam LC_PROBE84_WIDTH = (C_NUM_OF_PROBES == 84 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE84_WIDTH;
  localparam LC_PROBE85_WIDTH = (C_NUM_OF_PROBES == 85 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE85_WIDTH;
  localparam LC_PROBE86_WIDTH = (C_NUM_OF_PROBES == 86 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE86_WIDTH;
  localparam LC_PROBE87_WIDTH = (C_NUM_OF_PROBES == 87 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE87_WIDTH;
  localparam LC_PROBE88_WIDTH = (C_NUM_OF_PROBES == 88 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE88_WIDTH;
  localparam LC_PROBE89_WIDTH = (C_NUM_OF_PROBES == 89 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE89_WIDTH;
  localparam LC_PROBE90_WIDTH = (C_NUM_OF_PROBES == 90 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE90_WIDTH;
  localparam LC_PROBE91_WIDTH = (C_NUM_OF_PROBES == 91 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE91_WIDTH;
  localparam LC_PROBE92_WIDTH = (C_NUM_OF_PROBES == 92 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE92_WIDTH;
  localparam LC_PROBE93_WIDTH = (C_NUM_OF_PROBES == 93 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE93_WIDTH;
  localparam LC_PROBE94_WIDTH = (C_NUM_OF_PROBES == 94 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE94_WIDTH;
  localparam LC_PROBE95_WIDTH = (C_NUM_OF_PROBES == 95 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE95_WIDTH;
  localparam LC_PROBE96_WIDTH = (C_NUM_OF_PROBES == 96 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE96_WIDTH;
  localparam LC_PROBE97_WIDTH = (C_NUM_OF_PROBES == 97 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE97_WIDTH;
  localparam LC_PROBE98_WIDTH = (C_NUM_OF_PROBES == 98 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE98_WIDTH;
  localparam LC_PROBE99_WIDTH = (C_NUM_OF_PROBES == 99 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE99_WIDTH;
  localparam LC_PROBE100_WIDTH = (C_NUM_OF_PROBES == 100 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE100_WIDTH;
  localparam LC_PROBE101_WIDTH = (C_NUM_OF_PROBES == 101 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE101_WIDTH;
  localparam LC_PROBE102_WIDTH = (C_NUM_OF_PROBES == 102 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE102_WIDTH;
  localparam LC_PROBE103_WIDTH = (C_NUM_OF_PROBES == 103 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE103_WIDTH;
  localparam LC_PROBE104_WIDTH = (C_NUM_OF_PROBES == 104 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE104_WIDTH;
  localparam LC_PROBE105_WIDTH = (C_NUM_OF_PROBES == 105 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE105_WIDTH;
  localparam LC_PROBE106_WIDTH = (C_NUM_OF_PROBES == 106 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE106_WIDTH;
  localparam LC_PROBE107_WIDTH = (C_NUM_OF_PROBES == 107 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE107_WIDTH;
  localparam LC_PROBE108_WIDTH = (C_NUM_OF_PROBES == 108 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE108_WIDTH;
  localparam LC_PROBE109_WIDTH = (C_NUM_OF_PROBES == 109 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE109_WIDTH;
  localparam LC_PROBE110_WIDTH = (C_NUM_OF_PROBES == 110 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE110_WIDTH;
  localparam LC_PROBE111_WIDTH = (C_NUM_OF_PROBES == 111 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE111_WIDTH;
  localparam LC_PROBE112_WIDTH = (C_NUM_OF_PROBES == 112 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE112_WIDTH;
  localparam LC_PROBE113_WIDTH = (C_NUM_OF_PROBES == 113 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE113_WIDTH;
  localparam LC_PROBE114_WIDTH = (C_NUM_OF_PROBES == 114 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE114_WIDTH;
  localparam LC_PROBE115_WIDTH = (C_NUM_OF_PROBES == 115 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE115_WIDTH;
  localparam LC_PROBE116_WIDTH = (C_NUM_OF_PROBES == 116 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE116_WIDTH;
  localparam LC_PROBE117_WIDTH = (C_NUM_OF_PROBES == 117 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE117_WIDTH;
  localparam LC_PROBE118_WIDTH = (C_NUM_OF_PROBES == 118 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE118_WIDTH;
  localparam LC_PROBE119_WIDTH = (C_NUM_OF_PROBES == 119 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE119_WIDTH;
  localparam LC_PROBE120_WIDTH = (C_NUM_OF_PROBES == 120 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE120_WIDTH;
  localparam LC_PROBE121_WIDTH = (C_NUM_OF_PROBES == 121 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE121_WIDTH;
  localparam LC_PROBE122_WIDTH = (C_NUM_OF_PROBES == 122 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE122_WIDTH;
  localparam LC_PROBE123_WIDTH = (C_NUM_OF_PROBES == 123 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE123_WIDTH;
  localparam LC_PROBE124_WIDTH = (C_NUM_OF_PROBES == 124 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE124_WIDTH;
  localparam LC_PROBE125_WIDTH = (C_NUM_OF_PROBES == 125 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE125_WIDTH;
  localparam LC_PROBE126_WIDTH = (C_NUM_OF_PROBES == 126 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE126_WIDTH;
  localparam LC_PROBE127_WIDTH = (C_NUM_OF_PROBES == 127 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE127_WIDTH;
  localparam LC_PROBE128_WIDTH = (C_NUM_OF_PROBES == 128 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE128_WIDTH;
  localparam LC_PROBE129_WIDTH = (C_NUM_OF_PROBES == 129 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE129_WIDTH;  
  localparam LC_PROBE130_WIDTH = (C_NUM_OF_PROBES == 130 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE130_WIDTH;
  localparam LC_PROBE131_WIDTH = (C_NUM_OF_PROBES == 131 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE131_WIDTH;
  localparam LC_PROBE132_WIDTH = (C_NUM_OF_PROBES == 132 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE132_WIDTH;
  localparam LC_PROBE133_WIDTH = (C_NUM_OF_PROBES == 133 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE133_WIDTH;
  localparam LC_PROBE134_WIDTH = (C_NUM_OF_PROBES == 134 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE134_WIDTH;
  localparam LC_PROBE135_WIDTH = (C_NUM_OF_PROBES == 135 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE135_WIDTH;
  localparam LC_PROBE136_WIDTH = (C_NUM_OF_PROBES == 136 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE136_WIDTH;
  localparam LC_PROBE137_WIDTH = (C_NUM_OF_PROBES == 137 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE137_WIDTH;
  localparam LC_PROBE138_WIDTH = (C_NUM_OF_PROBES == 138 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE138_WIDTH;
  localparam LC_PROBE139_WIDTH = (C_NUM_OF_PROBES == 139 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE139_WIDTH;
  localparam LC_PROBE140_WIDTH = (C_NUM_OF_PROBES == 140 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE140_WIDTH;
  localparam LC_PROBE141_WIDTH = (C_NUM_OF_PROBES == 141 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE141_WIDTH;
  localparam LC_PROBE142_WIDTH = (C_NUM_OF_PROBES == 142 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE142_WIDTH;
  localparam LC_PROBE143_WIDTH = (C_NUM_OF_PROBES == 143 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE143_WIDTH;
  localparam LC_PROBE144_WIDTH = (C_NUM_OF_PROBES == 144 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE144_WIDTH;
  localparam LC_PROBE145_WIDTH = (C_NUM_OF_PROBES == 145 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE145_WIDTH;
  localparam LC_PROBE146_WIDTH = (C_NUM_OF_PROBES == 146 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE146_WIDTH;
  localparam LC_PROBE147_WIDTH = (C_NUM_OF_PROBES == 147 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE147_WIDTH;
  localparam LC_PROBE148_WIDTH = (C_NUM_OF_PROBES == 148 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE148_WIDTH;
  localparam LC_PROBE149_WIDTH = (C_NUM_OF_PROBES == 149 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE149_WIDTH;
  localparam LC_PROBE150_WIDTH = (C_NUM_OF_PROBES == 150 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE150_WIDTH;
  localparam LC_PROBE151_WIDTH = (C_NUM_OF_PROBES == 151 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE151_WIDTH;
  localparam LC_PROBE152_WIDTH = (C_NUM_OF_PROBES == 152 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE152_WIDTH;
  localparam LC_PROBE153_WIDTH = (C_NUM_OF_PROBES == 153 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE153_WIDTH;
  localparam LC_PROBE154_WIDTH = (C_NUM_OF_PROBES == 154 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE154_WIDTH;
  localparam LC_PROBE155_WIDTH = (C_NUM_OF_PROBES == 155 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE155_WIDTH;
  localparam LC_PROBE156_WIDTH = (C_NUM_OF_PROBES == 156 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE156_WIDTH;
  localparam LC_PROBE157_WIDTH = (C_NUM_OF_PROBES == 157 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE157_WIDTH;
  localparam LC_PROBE158_WIDTH = (C_NUM_OF_PROBES == 158 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE158_WIDTH;
  localparam LC_PROBE159_WIDTH = (C_NUM_OF_PROBES == 159 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE159_WIDTH;
  localparam LC_PROBE160_WIDTH = (C_NUM_OF_PROBES == 160 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE160_WIDTH;
  localparam LC_PROBE161_WIDTH = (C_NUM_OF_PROBES == 161 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE161_WIDTH;
  localparam LC_PROBE162_WIDTH = (C_NUM_OF_PROBES == 162 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE162_WIDTH;
  localparam LC_PROBE163_WIDTH = (C_NUM_OF_PROBES == 163 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE163_WIDTH;
  localparam LC_PROBE164_WIDTH = (C_NUM_OF_PROBES == 164 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE164_WIDTH;
  localparam LC_PROBE165_WIDTH = (C_NUM_OF_PROBES == 165 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE165_WIDTH;
  localparam LC_PROBE166_WIDTH = (C_NUM_OF_PROBES == 166 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE166_WIDTH;
  localparam LC_PROBE167_WIDTH = (C_NUM_OF_PROBES == 167 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE167_WIDTH;
  localparam LC_PROBE168_WIDTH = (C_NUM_OF_PROBES == 168 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE168_WIDTH;
  localparam LC_PROBE169_WIDTH = (C_NUM_OF_PROBES == 169 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE169_WIDTH;
  localparam LC_PROBE170_WIDTH = (C_NUM_OF_PROBES == 170 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE170_WIDTH;
  localparam LC_PROBE171_WIDTH = (C_NUM_OF_PROBES == 171 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE171_WIDTH;
  localparam LC_PROBE172_WIDTH = (C_NUM_OF_PROBES == 172 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE172_WIDTH;
  localparam LC_PROBE173_WIDTH = (C_NUM_OF_PROBES == 173 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE173_WIDTH;
  localparam LC_PROBE174_WIDTH = (C_NUM_OF_PROBES == 174 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE174_WIDTH;
  localparam LC_PROBE175_WIDTH = (C_NUM_OF_PROBES == 175 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE175_WIDTH;
  localparam LC_PROBE176_WIDTH = (C_NUM_OF_PROBES == 176 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE176_WIDTH;
  localparam LC_PROBE177_WIDTH = (C_NUM_OF_PROBES == 177 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE177_WIDTH;
  localparam LC_PROBE178_WIDTH = (C_NUM_OF_PROBES == 178 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE178_WIDTH;
  localparam LC_PROBE179_WIDTH = (C_NUM_OF_PROBES == 179 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE179_WIDTH;
  localparam LC_PROBE180_WIDTH = (C_NUM_OF_PROBES == 180 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE180_WIDTH;
  localparam LC_PROBE181_WIDTH = (C_NUM_OF_PROBES == 181 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE181_WIDTH;
  localparam LC_PROBE182_WIDTH = (C_NUM_OF_PROBES == 182 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE182_WIDTH;
  localparam LC_PROBE183_WIDTH = (C_NUM_OF_PROBES == 183 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE183_WIDTH;
  localparam LC_PROBE184_WIDTH = (C_NUM_OF_PROBES == 184 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE184_WIDTH;
  localparam LC_PROBE185_WIDTH = (C_NUM_OF_PROBES == 185 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE185_WIDTH;
  localparam LC_PROBE186_WIDTH = (C_NUM_OF_PROBES == 186 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE186_WIDTH;
  localparam LC_PROBE187_WIDTH = (C_NUM_OF_PROBES == 187 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE187_WIDTH;
  localparam LC_PROBE188_WIDTH = (C_NUM_OF_PROBES == 188 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE188_WIDTH;
  localparam LC_PROBE189_WIDTH = (C_NUM_OF_PROBES == 189 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE189_WIDTH;
  localparam LC_PROBE190_WIDTH = (C_NUM_OF_PROBES == 190 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE190_WIDTH;
  localparam LC_PROBE191_WIDTH = (C_NUM_OF_PROBES == 191 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE191_WIDTH;
  localparam LC_PROBE192_WIDTH = (C_NUM_OF_PROBES == 192 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE192_WIDTH;
  localparam LC_PROBE193_WIDTH = (C_NUM_OF_PROBES == 193 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE193_WIDTH;
  localparam LC_PROBE194_WIDTH = (C_NUM_OF_PROBES == 194 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE194_WIDTH;
  localparam LC_PROBE195_WIDTH = (C_NUM_OF_PROBES == 195 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE195_WIDTH;
  localparam LC_PROBE196_WIDTH = (C_NUM_OF_PROBES == 196 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE196_WIDTH;
  localparam LC_PROBE197_WIDTH = (C_NUM_OF_PROBES == 197 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE197_WIDTH;
  localparam LC_PROBE198_WIDTH = (C_NUM_OF_PROBES == 198 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE198_WIDTH;
  localparam LC_PROBE199_WIDTH = (C_NUM_OF_PROBES == 199 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE199_WIDTH;
  localparam LC_PROBE200_WIDTH = (C_NUM_OF_PROBES == 200 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE200_WIDTH;
  localparam LC_PROBE201_WIDTH = (C_NUM_OF_PROBES == 201 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE201_WIDTH;
  localparam LC_PROBE202_WIDTH = (C_NUM_OF_PROBES == 202 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE202_WIDTH;
  localparam LC_PROBE203_WIDTH = (C_NUM_OF_PROBES == 203 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE203_WIDTH;
  localparam LC_PROBE204_WIDTH = (C_NUM_OF_PROBES == 204 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE204_WIDTH;
  localparam LC_PROBE205_WIDTH = (C_NUM_OF_PROBES == 205 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE205_WIDTH;
  localparam LC_PROBE206_WIDTH = (C_NUM_OF_PROBES == 206 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE206_WIDTH;
  localparam LC_PROBE207_WIDTH = (C_NUM_OF_PROBES == 207 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE207_WIDTH;
  localparam LC_PROBE208_WIDTH = (C_NUM_OF_PROBES == 208 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE208_WIDTH;
  localparam LC_PROBE209_WIDTH = (C_NUM_OF_PROBES == 209 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE209_WIDTH;
  localparam LC_PROBE210_WIDTH = (C_NUM_OF_PROBES == 210 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE210_WIDTH;
  localparam LC_PROBE211_WIDTH = (C_NUM_OF_PROBES == 211 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE211_WIDTH;
  localparam LC_PROBE212_WIDTH = (C_NUM_OF_PROBES == 212 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE212_WIDTH;
  localparam LC_PROBE213_WIDTH = (C_NUM_OF_PROBES == 213 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE213_WIDTH;
  localparam LC_PROBE214_WIDTH = (C_NUM_OF_PROBES == 214 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE214_WIDTH;
  localparam LC_PROBE215_WIDTH = (C_NUM_OF_PROBES == 215 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE215_WIDTH;
  localparam LC_PROBE216_WIDTH = (C_NUM_OF_PROBES == 216 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE216_WIDTH;
  localparam LC_PROBE217_WIDTH = (C_NUM_OF_PROBES == 217 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE217_WIDTH;
  localparam LC_PROBE218_WIDTH = (C_NUM_OF_PROBES == 218 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE218_WIDTH;
  localparam LC_PROBE219_WIDTH = (C_NUM_OF_PROBES == 219 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE219_WIDTH;
  localparam LC_PROBE220_WIDTH = (C_NUM_OF_PROBES == 220 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE220_WIDTH;
  localparam LC_PROBE221_WIDTH = (C_NUM_OF_PROBES == 221 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE221_WIDTH;
  localparam LC_PROBE222_WIDTH = (C_NUM_OF_PROBES == 222 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE222_WIDTH;
  localparam LC_PROBE223_WIDTH = (C_NUM_OF_PROBES == 223 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE223_WIDTH;
  localparam LC_PROBE224_WIDTH = (C_NUM_OF_PROBES == 224 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE224_WIDTH;
  localparam LC_PROBE225_WIDTH = (C_NUM_OF_PROBES == 225 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE225_WIDTH;
  localparam LC_PROBE226_WIDTH = (C_NUM_OF_PROBES == 226 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE226_WIDTH;
  localparam LC_PROBE227_WIDTH = (C_NUM_OF_PROBES == 227 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE227_WIDTH;
  localparam LC_PROBE228_WIDTH = (C_NUM_OF_PROBES == 228 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE228_WIDTH;
  localparam LC_PROBE229_WIDTH = (C_NUM_OF_PROBES == 229 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE229_WIDTH;  
  localparam LC_PROBE230_WIDTH = (C_NUM_OF_PROBES == 230 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE230_WIDTH;
  localparam LC_PROBE231_WIDTH = (C_NUM_OF_PROBES == 231 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE231_WIDTH;
  localparam LC_PROBE232_WIDTH = (C_NUM_OF_PROBES == 232 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE232_WIDTH;
  localparam LC_PROBE233_WIDTH = (C_NUM_OF_PROBES == 233 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE233_WIDTH;
  localparam LC_PROBE234_WIDTH = (C_NUM_OF_PROBES == 234 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE234_WIDTH;
  localparam LC_PROBE235_WIDTH = (C_NUM_OF_PROBES == 235 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE235_WIDTH;
  localparam LC_PROBE236_WIDTH = (C_NUM_OF_PROBES == 236 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE236_WIDTH;
  localparam LC_PROBE237_WIDTH = (C_NUM_OF_PROBES == 237 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE237_WIDTH;
  localparam LC_PROBE238_WIDTH = (C_NUM_OF_PROBES == 238 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE238_WIDTH;
  localparam LC_PROBE239_WIDTH = (C_NUM_OF_PROBES == 239 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE239_WIDTH;
  localparam LC_PROBE240_WIDTH = (C_NUM_OF_PROBES == 240 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE240_WIDTH;
  localparam LC_PROBE241_WIDTH = (C_NUM_OF_PROBES == 241 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE241_WIDTH;
  localparam LC_PROBE242_WIDTH = (C_NUM_OF_PROBES == 242 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE242_WIDTH;
  localparam LC_PROBE243_WIDTH = (C_NUM_OF_PROBES == 243 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE243_WIDTH;
  localparam LC_PROBE244_WIDTH = (C_NUM_OF_PROBES == 244 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE244_WIDTH;
  localparam LC_PROBE245_WIDTH = (C_NUM_OF_PROBES == 245 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE245_WIDTH;
  localparam LC_PROBE246_WIDTH = (C_NUM_OF_PROBES == 246 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE246_WIDTH;
  localparam LC_PROBE247_WIDTH = (C_NUM_OF_PROBES == 247 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE247_WIDTH;
  localparam LC_PROBE248_WIDTH = (C_NUM_OF_PROBES == 248 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE248_WIDTH;
  localparam LC_PROBE249_WIDTH = (C_NUM_OF_PROBES == 249 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE249_WIDTH;
  localparam LC_PROBE250_WIDTH = (C_NUM_OF_PROBES == 250 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE250_WIDTH;
  localparam LC_PROBE251_WIDTH = (C_NUM_OF_PROBES == 251 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE251_WIDTH;
  localparam LC_PROBE252_WIDTH = (C_NUM_OF_PROBES == 252 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE252_WIDTH;
  localparam LC_PROBE253_WIDTH = (C_NUM_OF_PROBES == 253 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE253_WIDTH;
  localparam LC_PROBE254_WIDTH = (C_NUM_OF_PROBES == 254 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE254_WIDTH;
  localparam LC_PROBE255_WIDTH = (C_NUM_OF_PROBES == 255 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE255_WIDTH;
  localparam LC_PROBE256_WIDTH = (C_NUM_OF_PROBES == 256 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE256_WIDTH;
  localparam LC_PROBE257_WIDTH = (C_NUM_OF_PROBES == 257 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE257_WIDTH;
  localparam LC_PROBE258_WIDTH = (C_NUM_OF_PROBES == 258 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE258_WIDTH;
  localparam LC_PROBE259_WIDTH = (C_NUM_OF_PROBES == 259 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE259_WIDTH;
  localparam LC_PROBE260_WIDTH = (C_NUM_OF_PROBES == 260 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE260_WIDTH;
  localparam LC_PROBE261_WIDTH = (C_NUM_OF_PROBES == 261 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE261_WIDTH;
  localparam LC_PROBE262_WIDTH = (C_NUM_OF_PROBES == 262 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE262_WIDTH;
  localparam LC_PROBE263_WIDTH = (C_NUM_OF_PROBES == 263 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE263_WIDTH;
  localparam LC_PROBE264_WIDTH = (C_NUM_OF_PROBES == 264 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE264_WIDTH;
  localparam LC_PROBE265_WIDTH = (C_NUM_OF_PROBES == 265 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE265_WIDTH;
  localparam LC_PROBE266_WIDTH = (C_NUM_OF_PROBES == 266 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE266_WIDTH;
  localparam LC_PROBE267_WIDTH = (C_NUM_OF_PROBES == 267 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE267_WIDTH;
  localparam LC_PROBE268_WIDTH = (C_NUM_OF_PROBES == 268 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE268_WIDTH;
  localparam LC_PROBE269_WIDTH = (C_NUM_OF_PROBES == 269 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE269_WIDTH;
  localparam LC_PROBE270_WIDTH = (C_NUM_OF_PROBES == 270 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE270_WIDTH;
  localparam LC_PROBE271_WIDTH = (C_NUM_OF_PROBES == 271 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE271_WIDTH;
  localparam LC_PROBE272_WIDTH = (C_NUM_OF_PROBES == 272 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE272_WIDTH;
  localparam LC_PROBE273_WIDTH = (C_NUM_OF_PROBES == 273 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE273_WIDTH;
  localparam LC_PROBE274_WIDTH = (C_NUM_OF_PROBES == 274 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE274_WIDTH;
  localparam LC_PROBE275_WIDTH = (C_NUM_OF_PROBES == 275 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE275_WIDTH;
  localparam LC_PROBE276_WIDTH = (C_NUM_OF_PROBES == 276 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE276_WIDTH;
  localparam LC_PROBE277_WIDTH = (C_NUM_OF_PROBES == 277 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE277_WIDTH;
  localparam LC_PROBE278_WIDTH = (C_NUM_OF_PROBES == 278 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE278_WIDTH;
  localparam LC_PROBE279_WIDTH = (C_NUM_OF_PROBES == 279 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE279_WIDTH;
  localparam LC_PROBE280_WIDTH = (C_NUM_OF_PROBES == 280 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE280_WIDTH;
  localparam LC_PROBE281_WIDTH = (C_NUM_OF_PROBES == 281 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE281_WIDTH;
  localparam LC_PROBE282_WIDTH = (C_NUM_OF_PROBES == 282 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE282_WIDTH;
  localparam LC_PROBE283_WIDTH = (C_NUM_OF_PROBES == 283 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE283_WIDTH;
  localparam LC_PROBE284_WIDTH = (C_NUM_OF_PROBES == 284 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE284_WIDTH;
  localparam LC_PROBE285_WIDTH = (C_NUM_OF_PROBES == 285 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE285_WIDTH;
  localparam LC_PROBE286_WIDTH = (C_NUM_OF_PROBES == 286 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE286_WIDTH;
  localparam LC_PROBE287_WIDTH = (C_NUM_OF_PROBES == 287 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE287_WIDTH;
  localparam LC_PROBE288_WIDTH = (C_NUM_OF_PROBES == 288 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE288_WIDTH;
  localparam LC_PROBE289_WIDTH = (C_NUM_OF_PROBES == 289 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE289_WIDTH;
  localparam LC_PROBE290_WIDTH = (C_NUM_OF_PROBES == 290 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE290_WIDTH;
  localparam LC_PROBE291_WIDTH = (C_NUM_OF_PROBES == 291 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE291_WIDTH;
  localparam LC_PROBE292_WIDTH = (C_NUM_OF_PROBES == 292 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE292_WIDTH;
  localparam LC_PROBE293_WIDTH = (C_NUM_OF_PROBES == 293 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE293_WIDTH;
  localparam LC_PROBE294_WIDTH = (C_NUM_OF_PROBES == 294 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE294_WIDTH;
  localparam LC_PROBE295_WIDTH = (C_NUM_OF_PROBES == 295 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE295_WIDTH;
  localparam LC_PROBE296_WIDTH = (C_NUM_OF_PROBES == 296 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE296_WIDTH;
  localparam LC_PROBE297_WIDTH = (C_NUM_OF_PROBES == 297 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE297_WIDTH;
  localparam LC_PROBE298_WIDTH = (C_NUM_OF_PROBES == 298 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE298_WIDTH;
  localparam LC_PROBE299_WIDTH = (C_NUM_OF_PROBES == 299 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE299_WIDTH;
  localparam LC_PROBE300_WIDTH = (C_NUM_OF_PROBES == 300 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE300_WIDTH;
  localparam LC_PROBE301_WIDTH = (C_NUM_OF_PROBES == 301 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE301_WIDTH;
  localparam LC_PROBE302_WIDTH = (C_NUM_OF_PROBES == 302 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE302_WIDTH;
  localparam LC_PROBE303_WIDTH = (C_NUM_OF_PROBES == 303 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE303_WIDTH;
  localparam LC_PROBE304_WIDTH = (C_NUM_OF_PROBES == 304 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE304_WIDTH;
  localparam LC_PROBE305_WIDTH = (C_NUM_OF_PROBES == 305 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE305_WIDTH;
  localparam LC_PROBE306_WIDTH = (C_NUM_OF_PROBES == 306 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE306_WIDTH;
  localparam LC_PROBE307_WIDTH = (C_NUM_OF_PROBES == 307 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE307_WIDTH;
  localparam LC_PROBE308_WIDTH = (C_NUM_OF_PROBES == 308 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE308_WIDTH;
  localparam LC_PROBE309_WIDTH = (C_NUM_OF_PROBES == 309 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE309_WIDTH;
  localparam LC_PROBE310_WIDTH = (C_NUM_OF_PROBES == 310 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE310_WIDTH;
  localparam LC_PROBE311_WIDTH = (C_NUM_OF_PROBES == 311 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE311_WIDTH;
  localparam LC_PROBE312_WIDTH = (C_NUM_OF_PROBES == 312 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE312_WIDTH;
  localparam LC_PROBE313_WIDTH = (C_NUM_OF_PROBES == 313 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE313_WIDTH;
  localparam LC_PROBE314_WIDTH = (C_NUM_OF_PROBES == 314 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE314_WIDTH;
  localparam LC_PROBE315_WIDTH = (C_NUM_OF_PROBES == 315 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE315_WIDTH;
  localparam LC_PROBE316_WIDTH = (C_NUM_OF_PROBES == 316 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE316_WIDTH;
  localparam LC_PROBE317_WIDTH = (C_NUM_OF_PROBES == 317 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE317_WIDTH;
  localparam LC_PROBE318_WIDTH = (C_NUM_OF_PROBES == 318 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE318_WIDTH;
  localparam LC_PROBE319_WIDTH = (C_NUM_OF_PROBES == 319 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE319_WIDTH;
  localparam LC_PROBE320_WIDTH = (C_NUM_OF_PROBES == 320 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE320_WIDTH;
  localparam LC_PROBE321_WIDTH = (C_NUM_OF_PROBES == 321 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE321_WIDTH;
  localparam LC_PROBE322_WIDTH = (C_NUM_OF_PROBES == 322 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE322_WIDTH;
  localparam LC_PROBE323_WIDTH = (C_NUM_OF_PROBES == 323 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE323_WIDTH;
  localparam LC_PROBE324_WIDTH = (C_NUM_OF_PROBES == 324 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE324_WIDTH;
  localparam LC_PROBE325_WIDTH = (C_NUM_OF_PROBES == 325 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE325_WIDTH;
  localparam LC_PROBE326_WIDTH = (C_NUM_OF_PROBES == 326 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE326_WIDTH;
  localparam LC_PROBE327_WIDTH = (C_NUM_OF_PROBES == 327 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE327_WIDTH;
  localparam LC_PROBE328_WIDTH = (C_NUM_OF_PROBES == 328 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE328_WIDTH;
  localparam LC_PROBE329_WIDTH = (C_NUM_OF_PROBES == 329 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE329_WIDTH;  
  localparam LC_PROBE330_WIDTH = (C_NUM_OF_PROBES == 330 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE330_WIDTH;
  localparam LC_PROBE331_WIDTH = (C_NUM_OF_PROBES == 331 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE331_WIDTH;
  localparam LC_PROBE332_WIDTH = (C_NUM_OF_PROBES == 332 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE332_WIDTH;
  localparam LC_PROBE333_WIDTH = (C_NUM_OF_PROBES == 333 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE333_WIDTH;
  localparam LC_PROBE334_WIDTH = (C_NUM_OF_PROBES == 334 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE334_WIDTH;
  localparam LC_PROBE335_WIDTH = (C_NUM_OF_PROBES == 335 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE335_WIDTH;
  localparam LC_PROBE336_WIDTH = (C_NUM_OF_PROBES == 336 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE336_WIDTH;
  localparam LC_PROBE337_WIDTH = (C_NUM_OF_PROBES == 337 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE337_WIDTH;
  localparam LC_PROBE338_WIDTH = (C_NUM_OF_PROBES == 338 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE338_WIDTH;
  localparam LC_PROBE339_WIDTH = (C_NUM_OF_PROBES == 339 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE339_WIDTH;
  localparam LC_PROBE340_WIDTH = (C_NUM_OF_PROBES == 340 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE340_WIDTH;
  localparam LC_PROBE341_WIDTH = (C_NUM_OF_PROBES == 341 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE341_WIDTH;
  localparam LC_PROBE342_WIDTH = (C_NUM_OF_PROBES == 342 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE342_WIDTH;
  localparam LC_PROBE343_WIDTH = (C_NUM_OF_PROBES == 343 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE343_WIDTH;
  localparam LC_PROBE344_WIDTH = (C_NUM_OF_PROBES == 344 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE344_WIDTH;
  localparam LC_PROBE345_WIDTH = (C_NUM_OF_PROBES == 345 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE345_WIDTH;
  localparam LC_PROBE346_WIDTH = (C_NUM_OF_PROBES == 346 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE346_WIDTH;
  localparam LC_PROBE347_WIDTH = (C_NUM_OF_PROBES == 347 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE347_WIDTH;
  localparam LC_PROBE348_WIDTH = (C_NUM_OF_PROBES == 348 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE348_WIDTH;
  localparam LC_PROBE349_WIDTH = (C_NUM_OF_PROBES == 349 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE349_WIDTH;
  localparam LC_PROBE350_WIDTH = (C_NUM_OF_PROBES == 350 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE350_WIDTH;
  localparam LC_PROBE351_WIDTH = (C_NUM_OF_PROBES == 351 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE351_WIDTH;
  localparam LC_PROBE352_WIDTH = (C_NUM_OF_PROBES == 352 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE352_WIDTH;
  localparam LC_PROBE353_WIDTH = (C_NUM_OF_PROBES == 353 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE353_WIDTH;
  localparam LC_PROBE354_WIDTH = (C_NUM_OF_PROBES == 354 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE354_WIDTH;
  localparam LC_PROBE355_WIDTH = (C_NUM_OF_PROBES == 355 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE355_WIDTH;
  localparam LC_PROBE356_WIDTH = (C_NUM_OF_PROBES == 356 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE356_WIDTH;
  localparam LC_PROBE357_WIDTH = (C_NUM_OF_PROBES == 357 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE357_WIDTH;
  localparam LC_PROBE358_WIDTH = (C_NUM_OF_PROBES == 358 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE358_WIDTH;
  localparam LC_PROBE359_WIDTH = (C_NUM_OF_PROBES == 359 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE359_WIDTH;
  localparam LC_PROBE360_WIDTH = (C_NUM_OF_PROBES == 360 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE360_WIDTH;
  localparam LC_PROBE361_WIDTH = (C_NUM_OF_PROBES == 361 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE361_WIDTH;
  localparam LC_PROBE362_WIDTH = (C_NUM_OF_PROBES == 362 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE362_WIDTH;
  localparam LC_PROBE363_WIDTH = (C_NUM_OF_PROBES == 363 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE363_WIDTH;
  localparam LC_PROBE364_WIDTH = (C_NUM_OF_PROBES == 364 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE364_WIDTH;
  localparam LC_PROBE365_WIDTH = (C_NUM_OF_PROBES == 365 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE365_WIDTH;
  localparam LC_PROBE366_WIDTH = (C_NUM_OF_PROBES == 366 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE366_WIDTH;
  localparam LC_PROBE367_WIDTH = (C_NUM_OF_PROBES == 367 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE367_WIDTH;
  localparam LC_PROBE368_WIDTH = (C_NUM_OF_PROBES == 368 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE368_WIDTH;
  localparam LC_PROBE369_WIDTH = (C_NUM_OF_PROBES == 369 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE369_WIDTH;
  localparam LC_PROBE370_WIDTH = (C_NUM_OF_PROBES == 370 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE370_WIDTH;
  localparam LC_PROBE371_WIDTH = (C_NUM_OF_PROBES == 371 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE371_WIDTH;
  localparam LC_PROBE372_WIDTH = (C_NUM_OF_PROBES == 372 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE372_WIDTH;
  localparam LC_PROBE373_WIDTH = (C_NUM_OF_PROBES == 373 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE373_WIDTH;
  localparam LC_PROBE374_WIDTH = (C_NUM_OF_PROBES == 374 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE374_WIDTH;
  localparam LC_PROBE375_WIDTH = (C_NUM_OF_PROBES == 375 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE375_WIDTH;
  localparam LC_PROBE376_WIDTH = (C_NUM_OF_PROBES == 376 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE376_WIDTH;
  localparam LC_PROBE377_WIDTH = (C_NUM_OF_PROBES == 377 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE377_WIDTH;
  localparam LC_PROBE378_WIDTH = (C_NUM_OF_PROBES == 378 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE378_WIDTH;
  localparam LC_PROBE379_WIDTH = (C_NUM_OF_PROBES == 379 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE379_WIDTH;
  localparam LC_PROBE380_WIDTH = (C_NUM_OF_PROBES == 380 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE380_WIDTH;
  localparam LC_PROBE381_WIDTH = (C_NUM_OF_PROBES == 381 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE381_WIDTH;
  localparam LC_PROBE382_WIDTH = (C_NUM_OF_PROBES == 382 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE382_WIDTH;
  localparam LC_PROBE383_WIDTH = (C_NUM_OF_PROBES == 383 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE383_WIDTH;
  localparam LC_PROBE384_WIDTH = (C_NUM_OF_PROBES == 384 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE384_WIDTH;
  localparam LC_PROBE385_WIDTH = (C_NUM_OF_PROBES == 385 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE385_WIDTH;
  localparam LC_PROBE386_WIDTH = (C_NUM_OF_PROBES == 386 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE386_WIDTH;
  localparam LC_PROBE387_WIDTH = (C_NUM_OF_PROBES == 387 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE387_WIDTH;
  localparam LC_PROBE388_WIDTH = (C_NUM_OF_PROBES == 388 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE388_WIDTH;
  localparam LC_PROBE389_WIDTH = (C_NUM_OF_PROBES == 389 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE389_WIDTH;
  localparam LC_PROBE390_WIDTH = (C_NUM_OF_PROBES == 390 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE390_WIDTH;
  localparam LC_PROBE391_WIDTH = (C_NUM_OF_PROBES == 391 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE391_WIDTH;
  localparam LC_PROBE392_WIDTH = (C_NUM_OF_PROBES == 392 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE392_WIDTH;
  localparam LC_PROBE393_WIDTH = (C_NUM_OF_PROBES == 393 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE393_WIDTH;
  localparam LC_PROBE394_WIDTH = (C_NUM_OF_PROBES == 394 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE394_WIDTH;
  localparam LC_PROBE395_WIDTH = (C_NUM_OF_PROBES == 395 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE395_WIDTH;
  localparam LC_PROBE396_WIDTH = (C_NUM_OF_PROBES == 396 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE396_WIDTH;
  localparam LC_PROBE397_WIDTH = (C_NUM_OF_PROBES == 397 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE397_WIDTH;
  localparam LC_PROBE398_WIDTH = (C_NUM_OF_PROBES == 398 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE398_WIDTH;
  localparam LC_PROBE399_WIDTH = (C_NUM_OF_PROBES == 399 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE399_WIDTH;
  localparam LC_PROBE400_WIDTH = (C_NUM_OF_PROBES == 400 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE400_WIDTH;
  localparam LC_PROBE401_WIDTH = (C_NUM_OF_PROBES == 401 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE401_WIDTH;
  localparam LC_PROBE402_WIDTH = (C_NUM_OF_PROBES == 402 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE402_WIDTH;
  localparam LC_PROBE403_WIDTH = (C_NUM_OF_PROBES == 403 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE403_WIDTH;
  localparam LC_PROBE404_WIDTH = (C_NUM_OF_PROBES == 404 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE404_WIDTH;
  localparam LC_PROBE405_WIDTH = (C_NUM_OF_PROBES == 405 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE405_WIDTH;
  localparam LC_PROBE406_WIDTH = (C_NUM_OF_PROBES == 406 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE406_WIDTH;
  localparam LC_PROBE407_WIDTH = (C_NUM_OF_PROBES == 407 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE407_WIDTH;
  localparam LC_PROBE408_WIDTH = (C_NUM_OF_PROBES == 408 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE408_WIDTH;
  localparam LC_PROBE409_WIDTH = (C_NUM_OF_PROBES == 409 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE409_WIDTH;
  localparam LC_PROBE410_WIDTH = (C_NUM_OF_PROBES == 410 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE410_WIDTH;
  localparam LC_PROBE411_WIDTH = (C_NUM_OF_PROBES == 411 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE411_WIDTH;
  localparam LC_PROBE412_WIDTH = (C_NUM_OF_PROBES == 412 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE412_WIDTH;
  localparam LC_PROBE413_WIDTH = (C_NUM_OF_PROBES == 413 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE413_WIDTH;
  localparam LC_PROBE414_WIDTH = (C_NUM_OF_PROBES == 414 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE414_WIDTH;
  localparam LC_PROBE415_WIDTH = (C_NUM_OF_PROBES == 415 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE415_WIDTH;
  localparam LC_PROBE416_WIDTH = (C_NUM_OF_PROBES == 416 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE416_WIDTH;
  localparam LC_PROBE417_WIDTH = (C_NUM_OF_PROBES == 417 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE417_WIDTH;
  localparam LC_PROBE418_WIDTH = (C_NUM_OF_PROBES == 418 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE418_WIDTH;
  localparam LC_PROBE419_WIDTH = (C_NUM_OF_PROBES == 419 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE419_WIDTH;
  localparam LC_PROBE420_WIDTH = (C_NUM_OF_PROBES == 420 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE420_WIDTH;
  localparam LC_PROBE421_WIDTH = (C_NUM_OF_PROBES == 421 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE421_WIDTH;
  localparam LC_PROBE422_WIDTH = (C_NUM_OF_PROBES == 422 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE422_WIDTH;
  localparam LC_PROBE423_WIDTH = (C_NUM_OF_PROBES == 423 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE423_WIDTH;
  localparam LC_PROBE424_WIDTH = (C_NUM_OF_PROBES == 424 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE424_WIDTH;
  localparam LC_PROBE425_WIDTH = (C_NUM_OF_PROBES == 425 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE425_WIDTH;
  localparam LC_PROBE426_WIDTH = (C_NUM_OF_PROBES == 426 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE426_WIDTH;
  localparam LC_PROBE427_WIDTH = (C_NUM_OF_PROBES == 427 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE427_WIDTH;
  localparam LC_PROBE428_WIDTH = (C_NUM_OF_PROBES == 428 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE428_WIDTH;
  localparam LC_PROBE429_WIDTH = (C_NUM_OF_PROBES == 429 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE429_WIDTH;  
  localparam LC_PROBE430_WIDTH = (C_NUM_OF_PROBES == 430 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE430_WIDTH;
  localparam LC_PROBE431_WIDTH = (C_NUM_OF_PROBES == 431 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE431_WIDTH;
  localparam LC_PROBE432_WIDTH = (C_NUM_OF_PROBES == 432 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE432_WIDTH;
  localparam LC_PROBE433_WIDTH = (C_NUM_OF_PROBES == 433 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE433_WIDTH;
  localparam LC_PROBE434_WIDTH = (C_NUM_OF_PROBES == 434 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE434_WIDTH;
  localparam LC_PROBE435_WIDTH = (C_NUM_OF_PROBES == 435 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE435_WIDTH;
  localparam LC_PROBE436_WIDTH = (C_NUM_OF_PROBES == 436 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE436_WIDTH;
  localparam LC_PROBE437_WIDTH = (C_NUM_OF_PROBES == 437 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE437_WIDTH;
  localparam LC_PROBE438_WIDTH = (C_NUM_OF_PROBES == 438 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE438_WIDTH;
  localparam LC_PROBE439_WIDTH = (C_NUM_OF_PROBES == 439 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE439_WIDTH;
  localparam LC_PROBE440_WIDTH = (C_NUM_OF_PROBES == 440 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE440_WIDTH;
  localparam LC_PROBE441_WIDTH = (C_NUM_OF_PROBES == 441 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE441_WIDTH;
  localparam LC_PROBE442_WIDTH = (C_NUM_OF_PROBES == 442 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE442_WIDTH;
  localparam LC_PROBE443_WIDTH = (C_NUM_OF_PROBES == 443 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE443_WIDTH;
  localparam LC_PROBE444_WIDTH = (C_NUM_OF_PROBES == 444 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE444_WIDTH;
  localparam LC_PROBE445_WIDTH = (C_NUM_OF_PROBES == 445 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE445_WIDTH;
  localparam LC_PROBE446_WIDTH = (C_NUM_OF_PROBES == 446 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE446_WIDTH;
  localparam LC_PROBE447_WIDTH = (C_NUM_OF_PROBES == 447 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE447_WIDTH;
  localparam LC_PROBE448_WIDTH = (C_NUM_OF_PROBES == 448 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE448_WIDTH;
  localparam LC_PROBE449_WIDTH = (C_NUM_OF_PROBES == 449 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE449_WIDTH;
  localparam LC_PROBE450_WIDTH = (C_NUM_OF_PROBES == 450 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE450_WIDTH;
  localparam LC_PROBE451_WIDTH = (C_NUM_OF_PROBES == 451 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE451_WIDTH;
  localparam LC_PROBE452_WIDTH = (C_NUM_OF_PROBES == 452 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE452_WIDTH;
  localparam LC_PROBE453_WIDTH = (C_NUM_OF_PROBES == 453 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE453_WIDTH;
  localparam LC_PROBE454_WIDTH = (C_NUM_OF_PROBES == 454 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE454_WIDTH;
  localparam LC_PROBE455_WIDTH = (C_NUM_OF_PROBES == 455 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE455_WIDTH;
  localparam LC_PROBE456_WIDTH = (C_NUM_OF_PROBES == 456 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE456_WIDTH;
  localparam LC_PROBE457_WIDTH = (C_NUM_OF_PROBES == 457 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE457_WIDTH;
  localparam LC_PROBE458_WIDTH = (C_NUM_OF_PROBES == 458 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE458_WIDTH;
  localparam LC_PROBE459_WIDTH = (C_NUM_OF_PROBES == 459 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE459_WIDTH;
  localparam LC_PROBE460_WIDTH = (C_NUM_OF_PROBES == 460 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE460_WIDTH;
  localparam LC_PROBE461_WIDTH = (C_NUM_OF_PROBES == 461 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE461_WIDTH;
  localparam LC_PROBE462_WIDTH = (C_NUM_OF_PROBES == 462 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE462_WIDTH;
  localparam LC_PROBE463_WIDTH = (C_NUM_OF_PROBES == 463 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE463_WIDTH;
  localparam LC_PROBE464_WIDTH = (C_NUM_OF_PROBES == 464 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE464_WIDTH;
  localparam LC_PROBE465_WIDTH = (C_NUM_OF_PROBES == 465 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE465_WIDTH;
  localparam LC_PROBE466_WIDTH = (C_NUM_OF_PROBES == 466 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE466_WIDTH;
  localparam LC_PROBE467_WIDTH = (C_NUM_OF_PROBES == 467 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE467_WIDTH;
  localparam LC_PROBE468_WIDTH = (C_NUM_OF_PROBES == 468 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE468_WIDTH;
  localparam LC_PROBE469_WIDTH = (C_NUM_OF_PROBES == 469 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE469_WIDTH;
  localparam LC_PROBE470_WIDTH = (C_NUM_OF_PROBES == 470 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE470_WIDTH;
  localparam LC_PROBE471_WIDTH = (C_NUM_OF_PROBES == 471 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE471_WIDTH;
  localparam LC_PROBE472_WIDTH = (C_NUM_OF_PROBES == 472 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE472_WIDTH;
  localparam LC_PROBE473_WIDTH = (C_NUM_OF_PROBES == 473 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE473_WIDTH;
  localparam LC_PROBE474_WIDTH = (C_NUM_OF_PROBES == 474 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE474_WIDTH;
  localparam LC_PROBE475_WIDTH = (C_NUM_OF_PROBES == 475 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE475_WIDTH;
  localparam LC_PROBE476_WIDTH = (C_NUM_OF_PROBES == 476 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE476_WIDTH;
  localparam LC_PROBE477_WIDTH = (C_NUM_OF_PROBES == 477 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE477_WIDTH;
  localparam LC_PROBE478_WIDTH = (C_NUM_OF_PROBES == 478 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE478_WIDTH;
  localparam LC_PROBE479_WIDTH = (C_NUM_OF_PROBES == 479 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE479_WIDTH;
  localparam LC_PROBE480_WIDTH = (C_NUM_OF_PROBES == 480 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE480_WIDTH;
  localparam LC_PROBE481_WIDTH = (C_NUM_OF_PROBES == 481 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE481_WIDTH;
  localparam LC_PROBE482_WIDTH = (C_NUM_OF_PROBES == 482 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE482_WIDTH;
  localparam LC_PROBE483_WIDTH = (C_NUM_OF_PROBES == 483 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE483_WIDTH;
  localparam LC_PROBE484_WIDTH = (C_NUM_OF_PROBES == 484 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE484_WIDTH;
  localparam LC_PROBE485_WIDTH = (C_NUM_OF_PROBES == 485 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE485_WIDTH;
  localparam LC_PROBE486_WIDTH = (C_NUM_OF_PROBES == 486 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE486_WIDTH;
  localparam LC_PROBE487_WIDTH = (C_NUM_OF_PROBES == 487 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE487_WIDTH;
  localparam LC_PROBE488_WIDTH = (C_NUM_OF_PROBES == 488 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE488_WIDTH;
  localparam LC_PROBE489_WIDTH = (C_NUM_OF_PROBES == 489 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE489_WIDTH;
  localparam LC_PROBE490_WIDTH = (C_NUM_OF_PROBES == 490 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE490_WIDTH;
  localparam LC_PROBE491_WIDTH = (C_NUM_OF_PROBES == 491 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE491_WIDTH;
  localparam LC_PROBE492_WIDTH = (C_NUM_OF_PROBES == 492 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE492_WIDTH;
  localparam LC_PROBE493_WIDTH = (C_NUM_OF_PROBES == 493 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE493_WIDTH;
  localparam LC_PROBE494_WIDTH = (C_NUM_OF_PROBES == 494 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE494_WIDTH;
  localparam LC_PROBE495_WIDTH = (C_NUM_OF_PROBES == 495 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE495_WIDTH;
  localparam LC_PROBE496_WIDTH = (C_NUM_OF_PROBES == 496 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE496_WIDTH;
  localparam LC_PROBE497_WIDTH = (C_NUM_OF_PROBES == 497 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE497_WIDTH;
  localparam LC_PROBE498_WIDTH = (C_NUM_OF_PROBES == 498 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE498_WIDTH;
  localparam LC_PROBE499_WIDTH = (C_NUM_OF_PROBES == 499 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE499_WIDTH;
  localparam LC_PROBE500_WIDTH = (C_NUM_OF_PROBES == 500 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE500_WIDTH;
  localparam LC_PROBE501_WIDTH = (C_NUM_OF_PROBES == 501 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE501_WIDTH;
  localparam LC_PROBE502_WIDTH = (C_NUM_OF_PROBES == 502 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE502_WIDTH;
  localparam LC_PROBE503_WIDTH = (C_NUM_OF_PROBES == 503 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE503_WIDTH;
  localparam LC_PROBE504_WIDTH = (C_NUM_OF_PROBES == 504 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE504_WIDTH;
  localparam LC_PROBE505_WIDTH = (C_NUM_OF_PROBES == 505 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE505_WIDTH;
  localparam LC_PROBE506_WIDTH = (C_NUM_OF_PROBES == 506 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE506_WIDTH;
  localparam LC_PROBE507_WIDTH = (C_NUM_OF_PROBES == 507 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE507_WIDTH;
  localparam LC_PROBE508_WIDTH = (C_NUM_OF_PROBES == 508 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE508_WIDTH;
  localparam LC_PROBE509_WIDTH = (C_NUM_OF_PROBES == 509 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE509_WIDTH;
  localparam LC_PROBE510_WIDTH = (C_NUM_OF_PROBES == 510 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE510_WIDTH;
  localparam LC_PROBE511_WIDTH = (C_NUM_OF_PROBES == 511 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE511_WIDTH;
  localparam LC_PROBE512_WIDTH = (C_NUM_OF_PROBES == 512 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE512_WIDTH;
  localparam LC_PROBE513_WIDTH = (C_NUM_OF_PROBES == 513 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE513_WIDTH;
  localparam LC_PROBE514_WIDTH = (C_NUM_OF_PROBES == 514 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE514_WIDTH;
  localparam LC_PROBE515_WIDTH = (C_NUM_OF_PROBES == 515 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE515_WIDTH;
  localparam LC_PROBE516_WIDTH = (C_NUM_OF_PROBES == 516 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE516_WIDTH;
  localparam LC_PROBE517_WIDTH = (C_NUM_OF_PROBES == 517 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE517_WIDTH;
  localparam LC_PROBE518_WIDTH = (C_NUM_OF_PROBES == 518 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE518_WIDTH;
  localparam LC_PROBE519_WIDTH = (C_NUM_OF_PROBES == 519 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE519_WIDTH;
  localparam LC_PROBE520_WIDTH = (C_NUM_OF_PROBES == 520 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE520_WIDTH;
  localparam LC_PROBE521_WIDTH = (C_NUM_OF_PROBES == 521 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE521_WIDTH;
  localparam LC_PROBE522_WIDTH = (C_NUM_OF_PROBES == 522 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE522_WIDTH;
  localparam LC_PROBE523_WIDTH = (C_NUM_OF_PROBES == 523 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE523_WIDTH;
  localparam LC_PROBE524_WIDTH = (C_NUM_OF_PROBES == 524 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE524_WIDTH;
  localparam LC_PROBE525_WIDTH = (C_NUM_OF_PROBES == 525 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE525_WIDTH;
  localparam LC_PROBE526_WIDTH = (C_NUM_OF_PROBES == 526 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE526_WIDTH;
  localparam LC_PROBE527_WIDTH = (C_NUM_OF_PROBES == 527 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE527_WIDTH;
  localparam LC_PROBE528_WIDTH = (C_NUM_OF_PROBES == 528 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE528_WIDTH;
  localparam LC_PROBE529_WIDTH = (C_NUM_OF_PROBES == 529 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE529_WIDTH;  
  localparam LC_PROBE530_WIDTH = (C_NUM_OF_PROBES == 530 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE530_WIDTH;
  localparam LC_PROBE531_WIDTH = (C_NUM_OF_PROBES == 531 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE531_WIDTH;
  localparam LC_PROBE532_WIDTH = (C_NUM_OF_PROBES == 532 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE532_WIDTH;
  localparam LC_PROBE533_WIDTH = (C_NUM_OF_PROBES == 533 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE533_WIDTH;
  localparam LC_PROBE534_WIDTH = (C_NUM_OF_PROBES == 534 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE534_WIDTH;
  localparam LC_PROBE535_WIDTH = (C_NUM_OF_PROBES == 535 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE535_WIDTH;
  localparam LC_PROBE536_WIDTH = (C_NUM_OF_PROBES == 536 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE536_WIDTH;
  localparam LC_PROBE537_WIDTH = (C_NUM_OF_PROBES == 537 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE537_WIDTH;
  localparam LC_PROBE538_WIDTH = (C_NUM_OF_PROBES == 538 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE538_WIDTH;
  localparam LC_PROBE539_WIDTH = (C_NUM_OF_PROBES == 539 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE539_WIDTH;
  localparam LC_PROBE540_WIDTH = (C_NUM_OF_PROBES == 540 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE540_WIDTH;
  localparam LC_PROBE541_WIDTH = (C_NUM_OF_PROBES == 541 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE541_WIDTH;
  localparam LC_PROBE542_WIDTH = (C_NUM_OF_PROBES == 542 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE542_WIDTH;
  localparam LC_PROBE543_WIDTH = (C_NUM_OF_PROBES == 543 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE543_WIDTH;
  localparam LC_PROBE544_WIDTH = (C_NUM_OF_PROBES == 544 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE544_WIDTH;
  localparam LC_PROBE545_WIDTH = (C_NUM_OF_PROBES == 545 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE545_WIDTH;
  localparam LC_PROBE546_WIDTH = (C_NUM_OF_PROBES == 546 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE546_WIDTH;
  localparam LC_PROBE547_WIDTH = (C_NUM_OF_PROBES == 547 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE547_WIDTH;
  localparam LC_PROBE548_WIDTH = (C_NUM_OF_PROBES == 548 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE548_WIDTH;
  localparam LC_PROBE549_WIDTH = (C_NUM_OF_PROBES == 549 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE549_WIDTH;
  localparam LC_PROBE550_WIDTH = (C_NUM_OF_PROBES == 550 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE550_WIDTH;
  localparam LC_PROBE551_WIDTH = (C_NUM_OF_PROBES == 551 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE551_WIDTH;
  localparam LC_PROBE552_WIDTH = (C_NUM_OF_PROBES == 552 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE552_WIDTH;
  localparam LC_PROBE553_WIDTH = (C_NUM_OF_PROBES == 553 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE553_WIDTH;
  localparam LC_PROBE554_WIDTH = (C_NUM_OF_PROBES == 554 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE554_WIDTH;
  localparam LC_PROBE555_WIDTH = (C_NUM_OF_PROBES == 555 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE555_WIDTH;
  localparam LC_PROBE556_WIDTH = (C_NUM_OF_PROBES == 556 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE556_WIDTH;
  localparam LC_PROBE557_WIDTH = (C_NUM_OF_PROBES == 557 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE557_WIDTH;
  localparam LC_PROBE558_WIDTH = (C_NUM_OF_PROBES == 558 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE558_WIDTH;
  localparam LC_PROBE559_WIDTH = (C_NUM_OF_PROBES == 559 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE559_WIDTH;
  localparam LC_PROBE560_WIDTH = (C_NUM_OF_PROBES == 560 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE560_WIDTH;
  localparam LC_PROBE561_WIDTH = (C_NUM_OF_PROBES == 561 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE561_WIDTH;
  localparam LC_PROBE562_WIDTH = (C_NUM_OF_PROBES == 562 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE562_WIDTH;
  localparam LC_PROBE563_WIDTH = (C_NUM_OF_PROBES == 563 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE563_WIDTH;
  localparam LC_PROBE564_WIDTH = (C_NUM_OF_PROBES == 564 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE564_WIDTH;
  localparam LC_PROBE565_WIDTH = (C_NUM_OF_PROBES == 565 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE565_WIDTH;
  localparam LC_PROBE566_WIDTH = (C_NUM_OF_PROBES == 566 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE566_WIDTH;
  localparam LC_PROBE567_WIDTH = (C_NUM_OF_PROBES == 567 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE567_WIDTH;
  localparam LC_PROBE568_WIDTH = (C_NUM_OF_PROBES == 568 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE568_WIDTH;
  localparam LC_PROBE569_WIDTH = (C_NUM_OF_PROBES == 569 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE569_WIDTH;
  localparam LC_PROBE570_WIDTH = (C_NUM_OF_PROBES == 570 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE570_WIDTH;
  localparam LC_PROBE571_WIDTH = (C_NUM_OF_PROBES == 571 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE571_WIDTH;
  localparam LC_PROBE572_WIDTH = (C_NUM_OF_PROBES == 572 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE572_WIDTH;
  localparam LC_PROBE573_WIDTH = (C_NUM_OF_PROBES == 573 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE573_WIDTH;
  localparam LC_PROBE574_WIDTH = (C_NUM_OF_PROBES == 574 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE574_WIDTH;
  localparam LC_PROBE575_WIDTH = (C_NUM_OF_PROBES == 575 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE575_WIDTH;
  localparam LC_PROBE576_WIDTH = (C_NUM_OF_PROBES == 576 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE576_WIDTH;
  localparam LC_PROBE577_WIDTH = (C_NUM_OF_PROBES == 577 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE577_WIDTH;
  localparam LC_PROBE578_WIDTH = (C_NUM_OF_PROBES == 578 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE578_WIDTH;
  localparam LC_PROBE579_WIDTH = (C_NUM_OF_PROBES == 579 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE579_WIDTH;
  localparam LC_PROBE580_WIDTH = (C_NUM_OF_PROBES == 580 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE580_WIDTH;
  localparam LC_PROBE581_WIDTH = (C_NUM_OF_PROBES == 581 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE581_WIDTH;
  localparam LC_PROBE582_WIDTH = (C_NUM_OF_PROBES == 582 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE582_WIDTH;
  localparam LC_PROBE583_WIDTH = (C_NUM_OF_PROBES == 583 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE583_WIDTH;
  localparam LC_PROBE584_WIDTH = (C_NUM_OF_PROBES == 584 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE584_WIDTH;
  localparam LC_PROBE585_WIDTH = (C_NUM_OF_PROBES == 585 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE585_WIDTH;
  localparam LC_PROBE586_WIDTH = (C_NUM_OF_PROBES == 586 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE586_WIDTH;
  localparam LC_PROBE587_WIDTH = (C_NUM_OF_PROBES == 587 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE587_WIDTH;
  localparam LC_PROBE588_WIDTH = (C_NUM_OF_PROBES == 588 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE588_WIDTH;
  localparam LC_PROBE589_WIDTH = (C_NUM_OF_PROBES == 589 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE589_WIDTH;
  localparam LC_PROBE590_WIDTH = (C_NUM_OF_PROBES == 590 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE590_WIDTH;
  localparam LC_PROBE591_WIDTH = (C_NUM_OF_PROBES == 591 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE591_WIDTH;
  localparam LC_PROBE592_WIDTH = (C_NUM_OF_PROBES == 592 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE592_WIDTH;
  localparam LC_PROBE593_WIDTH = (C_NUM_OF_PROBES == 593 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE593_WIDTH;
  localparam LC_PROBE594_WIDTH = (C_NUM_OF_PROBES == 594 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE594_WIDTH;
  localparam LC_PROBE595_WIDTH = (C_NUM_OF_PROBES == 595 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE595_WIDTH;
  localparam LC_PROBE596_WIDTH = (C_NUM_OF_PROBES == 596 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE596_WIDTH;
  localparam LC_PROBE597_WIDTH = (C_NUM_OF_PROBES == 597 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE597_WIDTH;
  localparam LC_PROBE598_WIDTH = (C_NUM_OF_PROBES == 598 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE598_WIDTH;
  localparam LC_PROBE599_WIDTH = (C_NUM_OF_PROBES == 599 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE599_WIDTH;
  localparam LC_PROBE600_WIDTH = (C_NUM_OF_PROBES == 600 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE600_WIDTH;
  localparam LC_PROBE601_WIDTH = (C_NUM_OF_PROBES == 601 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE601_WIDTH;
  localparam LC_PROBE602_WIDTH = (C_NUM_OF_PROBES == 602 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE602_WIDTH;
  localparam LC_PROBE603_WIDTH = (C_NUM_OF_PROBES == 603 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE603_WIDTH;
  localparam LC_PROBE604_WIDTH = (C_NUM_OF_PROBES == 604 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE604_WIDTH;
  localparam LC_PROBE605_WIDTH = (C_NUM_OF_PROBES == 605 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE605_WIDTH;
  localparam LC_PROBE606_WIDTH = (C_NUM_OF_PROBES == 606 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE606_WIDTH;
  localparam LC_PROBE607_WIDTH = (C_NUM_OF_PROBES == 607 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE607_WIDTH;
  localparam LC_PROBE608_WIDTH = (C_NUM_OF_PROBES == 608 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE608_WIDTH;
  localparam LC_PROBE609_WIDTH = (C_NUM_OF_PROBES == 609 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE609_WIDTH;
  localparam LC_PROBE610_WIDTH = (C_NUM_OF_PROBES == 610 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE610_WIDTH;
  localparam LC_PROBE611_WIDTH = (C_NUM_OF_PROBES == 611 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE611_WIDTH;
  localparam LC_PROBE612_WIDTH = (C_NUM_OF_PROBES == 612 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE612_WIDTH;
  localparam LC_PROBE613_WIDTH = (C_NUM_OF_PROBES == 613 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE613_WIDTH;
  localparam LC_PROBE614_WIDTH = (C_NUM_OF_PROBES == 614 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE614_WIDTH;
  localparam LC_PROBE615_WIDTH = (C_NUM_OF_PROBES == 615 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE615_WIDTH;
  localparam LC_PROBE616_WIDTH = (C_NUM_OF_PROBES == 616 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE616_WIDTH;
  localparam LC_PROBE617_WIDTH = (C_NUM_OF_PROBES == 617 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE617_WIDTH;
  localparam LC_PROBE618_WIDTH = (C_NUM_OF_PROBES == 618 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE618_WIDTH;
  localparam LC_PROBE619_WIDTH = (C_NUM_OF_PROBES == 619 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE619_WIDTH;
  localparam LC_PROBE620_WIDTH = (C_NUM_OF_PROBES == 620 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE620_WIDTH;
  localparam LC_PROBE621_WIDTH = (C_NUM_OF_PROBES == 621 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE621_WIDTH;
  localparam LC_PROBE622_WIDTH = (C_NUM_OF_PROBES == 622 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE622_WIDTH;
  localparam LC_PROBE623_WIDTH = (C_NUM_OF_PROBES == 623 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE623_WIDTH;
  localparam LC_PROBE624_WIDTH = (C_NUM_OF_PROBES == 624 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE624_WIDTH;
  localparam LC_PROBE625_WIDTH = (C_NUM_OF_PROBES == 625 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE625_WIDTH;
  localparam LC_PROBE626_WIDTH = (C_NUM_OF_PROBES == 626 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE626_WIDTH;
  localparam LC_PROBE627_WIDTH = (C_NUM_OF_PROBES == 627 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE627_WIDTH;
  localparam LC_PROBE628_WIDTH = (C_NUM_OF_PROBES == 628 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE628_WIDTH;
  localparam LC_PROBE629_WIDTH = (C_NUM_OF_PROBES == 629 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE629_WIDTH;  
  localparam LC_PROBE630_WIDTH = (C_NUM_OF_PROBES == 630 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE630_WIDTH;
  localparam LC_PROBE631_WIDTH = (C_NUM_OF_PROBES == 631 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE631_WIDTH;
  localparam LC_PROBE632_WIDTH = (C_NUM_OF_PROBES == 632 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE632_WIDTH;
  localparam LC_PROBE633_WIDTH = (C_NUM_OF_PROBES == 633 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE633_WIDTH;
  localparam LC_PROBE634_WIDTH = (C_NUM_OF_PROBES == 634 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE634_WIDTH;
  localparam LC_PROBE635_WIDTH = (C_NUM_OF_PROBES == 635 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE635_WIDTH;
  localparam LC_PROBE636_WIDTH = (C_NUM_OF_PROBES == 636 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE636_WIDTH;
  localparam LC_PROBE637_WIDTH = (C_NUM_OF_PROBES == 637 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE637_WIDTH;
  localparam LC_PROBE638_WIDTH = (C_NUM_OF_PROBES == 638 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE638_WIDTH;
  localparam LC_PROBE639_WIDTH = (C_NUM_OF_PROBES == 639 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE639_WIDTH;
  localparam LC_PROBE640_WIDTH = (C_NUM_OF_PROBES == 640 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE640_WIDTH;
  localparam LC_PROBE641_WIDTH = (C_NUM_OF_PROBES == 641 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE641_WIDTH;
  localparam LC_PROBE642_WIDTH = (C_NUM_OF_PROBES == 642 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE642_WIDTH;
  localparam LC_PROBE643_WIDTH = (C_NUM_OF_PROBES == 643 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE643_WIDTH;
  localparam LC_PROBE644_WIDTH = (C_NUM_OF_PROBES == 644 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE644_WIDTH;
  localparam LC_PROBE645_WIDTH = (C_NUM_OF_PROBES == 645 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE645_WIDTH;
  localparam LC_PROBE646_WIDTH = (C_NUM_OF_PROBES == 646 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE646_WIDTH;
  localparam LC_PROBE647_WIDTH = (C_NUM_OF_PROBES == 647 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE647_WIDTH;
  localparam LC_PROBE648_WIDTH = (C_NUM_OF_PROBES == 648 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE648_WIDTH;
  localparam LC_PROBE649_WIDTH = (C_NUM_OF_PROBES == 649 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE649_WIDTH;
  localparam LC_PROBE650_WIDTH = (C_NUM_OF_PROBES == 650 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE650_WIDTH;
  localparam LC_PROBE651_WIDTH = (C_NUM_OF_PROBES == 651 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE651_WIDTH;
  localparam LC_PROBE652_WIDTH = (C_NUM_OF_PROBES == 652 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE652_WIDTH;
  localparam LC_PROBE653_WIDTH = (C_NUM_OF_PROBES == 653 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE653_WIDTH;
  localparam LC_PROBE654_WIDTH = (C_NUM_OF_PROBES == 654 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE654_WIDTH;
  localparam LC_PROBE655_WIDTH = (C_NUM_OF_PROBES == 655 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE655_WIDTH;
  localparam LC_PROBE656_WIDTH = (C_NUM_OF_PROBES == 656 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE656_WIDTH;
  localparam LC_PROBE657_WIDTH = (C_NUM_OF_PROBES == 657 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE657_WIDTH;
  localparam LC_PROBE658_WIDTH = (C_NUM_OF_PROBES == 658 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE658_WIDTH;
  localparam LC_PROBE659_WIDTH = (C_NUM_OF_PROBES == 659 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE659_WIDTH;
  localparam LC_PROBE660_WIDTH = (C_NUM_OF_PROBES == 660 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE660_WIDTH;
  localparam LC_PROBE661_WIDTH = (C_NUM_OF_PROBES == 661 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE661_WIDTH;
  localparam LC_PROBE662_WIDTH = (C_NUM_OF_PROBES == 662 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE662_WIDTH;
  localparam LC_PROBE663_WIDTH = (C_NUM_OF_PROBES == 663 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE663_WIDTH;
  localparam LC_PROBE664_WIDTH = (C_NUM_OF_PROBES == 664 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE664_WIDTH;
  localparam LC_PROBE665_WIDTH = (C_NUM_OF_PROBES == 665 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE665_WIDTH;
  localparam LC_PROBE666_WIDTH = (C_NUM_OF_PROBES == 666 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE666_WIDTH;
  localparam LC_PROBE667_WIDTH = (C_NUM_OF_PROBES == 667 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE667_WIDTH;
  localparam LC_PROBE668_WIDTH = (C_NUM_OF_PROBES == 668 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE668_WIDTH;
  localparam LC_PROBE669_WIDTH = (C_NUM_OF_PROBES == 669 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE669_WIDTH;
  localparam LC_PROBE670_WIDTH = (C_NUM_OF_PROBES == 670 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE670_WIDTH;
  localparam LC_PROBE671_WIDTH = (C_NUM_OF_PROBES == 671 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE671_WIDTH;
  localparam LC_PROBE672_WIDTH = (C_NUM_OF_PROBES == 672 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE672_WIDTH;
  localparam LC_PROBE673_WIDTH = (C_NUM_OF_PROBES == 673 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE673_WIDTH;
  localparam LC_PROBE674_WIDTH = (C_NUM_OF_PROBES == 674 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE674_WIDTH;
  localparam LC_PROBE675_WIDTH = (C_NUM_OF_PROBES == 675 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE675_WIDTH;
  localparam LC_PROBE676_WIDTH = (C_NUM_OF_PROBES == 676 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE676_WIDTH;
  localparam LC_PROBE677_WIDTH = (C_NUM_OF_PROBES == 677 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE677_WIDTH;
  localparam LC_PROBE678_WIDTH = (C_NUM_OF_PROBES == 678 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE678_WIDTH;
  localparam LC_PROBE679_WIDTH = (C_NUM_OF_PROBES == 679 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE679_WIDTH;
  localparam LC_PROBE680_WIDTH = (C_NUM_OF_PROBES == 680 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE680_WIDTH;
  localparam LC_PROBE681_WIDTH = (C_NUM_OF_PROBES == 681 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE681_WIDTH;
  localparam LC_PROBE682_WIDTH = (C_NUM_OF_PROBES == 682 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE682_WIDTH;
  localparam LC_PROBE683_WIDTH = (C_NUM_OF_PROBES == 683 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE683_WIDTH;
  localparam LC_PROBE684_WIDTH = (C_NUM_OF_PROBES == 684 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE684_WIDTH;
  localparam LC_PROBE685_WIDTH = (C_NUM_OF_PROBES == 685 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE685_WIDTH;
  localparam LC_PROBE686_WIDTH = (C_NUM_OF_PROBES == 686 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE686_WIDTH;
  localparam LC_PROBE687_WIDTH = (C_NUM_OF_PROBES == 687 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE687_WIDTH;
  localparam LC_PROBE688_WIDTH = (C_NUM_OF_PROBES == 688 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE688_WIDTH;
  localparam LC_PROBE689_WIDTH = (C_NUM_OF_PROBES == 689 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE689_WIDTH;
  localparam LC_PROBE690_WIDTH = (C_NUM_OF_PROBES == 690 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE690_WIDTH;
  localparam LC_PROBE691_WIDTH = (C_NUM_OF_PROBES == 691 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE691_WIDTH;
  localparam LC_PROBE692_WIDTH = (C_NUM_OF_PROBES == 692 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE692_WIDTH;
  localparam LC_PROBE693_WIDTH = (C_NUM_OF_PROBES == 693 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE693_WIDTH;
  localparam LC_PROBE694_WIDTH = (C_NUM_OF_PROBES == 694 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE694_WIDTH;
  localparam LC_PROBE695_WIDTH = (C_NUM_OF_PROBES == 695 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE695_WIDTH;
  localparam LC_PROBE696_WIDTH = (C_NUM_OF_PROBES == 696 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE696_WIDTH;
  localparam LC_PROBE697_WIDTH = (C_NUM_OF_PROBES == 697 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE697_WIDTH;
  localparam LC_PROBE698_WIDTH = (C_NUM_OF_PROBES == 698 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE698_WIDTH;
  localparam LC_PROBE699_WIDTH = (C_NUM_OF_PROBES == 699 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE699_WIDTH;
  localparam LC_PROBE700_WIDTH = (C_NUM_OF_PROBES == 700 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE700_WIDTH;
  localparam LC_PROBE701_WIDTH = (C_NUM_OF_PROBES == 701 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE701_WIDTH;
  localparam LC_PROBE702_WIDTH = (C_NUM_OF_PROBES == 702 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE702_WIDTH;
  localparam LC_PROBE703_WIDTH = (C_NUM_OF_PROBES == 703 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE703_WIDTH;
  localparam LC_PROBE704_WIDTH = (C_NUM_OF_PROBES == 704 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE704_WIDTH;
  localparam LC_PROBE705_WIDTH = (C_NUM_OF_PROBES == 705 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE705_WIDTH;
  localparam LC_PROBE706_WIDTH = (C_NUM_OF_PROBES == 706 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE706_WIDTH;
  localparam LC_PROBE707_WIDTH = (C_NUM_OF_PROBES == 707 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE707_WIDTH;
  localparam LC_PROBE708_WIDTH = (C_NUM_OF_PROBES == 708 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE708_WIDTH;
  localparam LC_PROBE709_WIDTH = (C_NUM_OF_PROBES == 709 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE709_WIDTH;
  localparam LC_PROBE710_WIDTH = (C_NUM_OF_PROBES == 710 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE710_WIDTH;
  localparam LC_PROBE711_WIDTH = (C_NUM_OF_PROBES == 711 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE711_WIDTH;
  localparam LC_PROBE712_WIDTH = (C_NUM_OF_PROBES == 712 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE712_WIDTH;
  localparam LC_PROBE713_WIDTH = (C_NUM_OF_PROBES == 713 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE713_WIDTH;
  localparam LC_PROBE714_WIDTH = (C_NUM_OF_PROBES == 714 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE714_WIDTH;
  localparam LC_PROBE715_WIDTH = (C_NUM_OF_PROBES == 715 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE715_WIDTH;
  localparam LC_PROBE716_WIDTH = (C_NUM_OF_PROBES == 716 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE716_WIDTH;
  localparam LC_PROBE717_WIDTH = (C_NUM_OF_PROBES == 717 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE717_WIDTH;
  localparam LC_PROBE718_WIDTH = (C_NUM_OF_PROBES == 718 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE718_WIDTH;
  localparam LC_PROBE719_WIDTH = (C_NUM_OF_PROBES == 719 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE719_WIDTH;
  localparam LC_PROBE720_WIDTH = (C_NUM_OF_PROBES == 720 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE720_WIDTH;
  localparam LC_PROBE721_WIDTH = (C_NUM_OF_PROBES == 721 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE721_WIDTH;
  localparam LC_PROBE722_WIDTH = (C_NUM_OF_PROBES == 722 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE722_WIDTH;
  localparam LC_PROBE723_WIDTH = (C_NUM_OF_PROBES == 723 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE723_WIDTH;
  localparam LC_PROBE724_WIDTH = (C_NUM_OF_PROBES == 724 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE724_WIDTH;
  localparam LC_PROBE725_WIDTH = (C_NUM_OF_PROBES == 725 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE725_WIDTH;
  localparam LC_PROBE726_WIDTH = (C_NUM_OF_PROBES == 726 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE726_WIDTH;
  localparam LC_PROBE727_WIDTH = (C_NUM_OF_PROBES == 727 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE727_WIDTH;
  localparam LC_PROBE728_WIDTH = (C_NUM_OF_PROBES == 728 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE728_WIDTH;
  localparam LC_PROBE729_WIDTH = (C_NUM_OF_PROBES == 729 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE729_WIDTH;  
  localparam LC_PROBE730_WIDTH = (C_NUM_OF_PROBES == 730 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE730_WIDTH;
  localparam LC_PROBE731_WIDTH = (C_NUM_OF_PROBES == 731 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE731_WIDTH;
  localparam LC_PROBE732_WIDTH = (C_NUM_OF_PROBES == 732 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE732_WIDTH;
  localparam LC_PROBE733_WIDTH = (C_NUM_OF_PROBES == 733 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE733_WIDTH;
  localparam LC_PROBE734_WIDTH = (C_NUM_OF_PROBES == 734 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE734_WIDTH;
  localparam LC_PROBE735_WIDTH = (C_NUM_OF_PROBES == 735 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE735_WIDTH;
  localparam LC_PROBE736_WIDTH = (C_NUM_OF_PROBES == 736 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE736_WIDTH;
  localparam LC_PROBE737_WIDTH = (C_NUM_OF_PROBES == 737 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE737_WIDTH;
  localparam LC_PROBE738_WIDTH = (C_NUM_OF_PROBES == 738 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE738_WIDTH;
  localparam LC_PROBE739_WIDTH = (C_NUM_OF_PROBES == 739 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE739_WIDTH;
  localparam LC_PROBE740_WIDTH = (C_NUM_OF_PROBES == 740 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE740_WIDTH;
  localparam LC_PROBE741_WIDTH = (C_NUM_OF_PROBES == 741 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE741_WIDTH;
  localparam LC_PROBE742_WIDTH = (C_NUM_OF_PROBES == 742 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE742_WIDTH;
  localparam LC_PROBE743_WIDTH = (C_NUM_OF_PROBES == 743 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE743_WIDTH;
  localparam LC_PROBE744_WIDTH = (C_NUM_OF_PROBES == 744 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE744_WIDTH;
  localparam LC_PROBE745_WIDTH = (C_NUM_OF_PROBES == 745 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE745_WIDTH;
  localparam LC_PROBE746_WIDTH = (C_NUM_OF_PROBES == 746 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE746_WIDTH;
  localparam LC_PROBE747_WIDTH = (C_NUM_OF_PROBES == 747 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE747_WIDTH;
  localparam LC_PROBE748_WIDTH = (C_NUM_OF_PROBES == 748 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE748_WIDTH;
  localparam LC_PROBE749_WIDTH = (C_NUM_OF_PROBES == 749 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE749_WIDTH;
  localparam LC_PROBE750_WIDTH = (C_NUM_OF_PROBES == 750 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE750_WIDTH;
  localparam LC_PROBE751_WIDTH = (C_NUM_OF_PROBES == 751 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE751_WIDTH;
  localparam LC_PROBE752_WIDTH = (C_NUM_OF_PROBES == 752 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE752_WIDTH;
  localparam LC_PROBE753_WIDTH = (C_NUM_OF_PROBES == 753 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE753_WIDTH;
  localparam LC_PROBE754_WIDTH = (C_NUM_OF_PROBES == 754 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE754_WIDTH;
  localparam LC_PROBE755_WIDTH = (C_NUM_OF_PROBES == 755 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE755_WIDTH;
  localparam LC_PROBE756_WIDTH = (C_NUM_OF_PROBES == 756 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE756_WIDTH;
  localparam LC_PROBE757_WIDTH = (C_NUM_OF_PROBES == 757 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE757_WIDTH;
  localparam LC_PROBE758_WIDTH = (C_NUM_OF_PROBES == 758 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE758_WIDTH;
  localparam LC_PROBE759_WIDTH = (C_NUM_OF_PROBES == 759 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE759_WIDTH;
  localparam LC_PROBE760_WIDTH = (C_NUM_OF_PROBES == 760 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE760_WIDTH;
  localparam LC_PROBE761_WIDTH = (C_NUM_OF_PROBES == 761 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE761_WIDTH;
  localparam LC_PROBE762_WIDTH = (C_NUM_OF_PROBES == 762 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE762_WIDTH;
  localparam LC_PROBE763_WIDTH = (C_NUM_OF_PROBES == 763 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE763_WIDTH;
  localparam LC_PROBE764_WIDTH = (C_NUM_OF_PROBES == 764 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE764_WIDTH;
  localparam LC_PROBE765_WIDTH = (C_NUM_OF_PROBES == 765 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE765_WIDTH;
  localparam LC_PROBE766_WIDTH = (C_NUM_OF_PROBES == 766 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE766_WIDTH;
  localparam LC_PROBE767_WIDTH = (C_NUM_OF_PROBES == 767 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE767_WIDTH;
  localparam LC_PROBE768_WIDTH = (C_NUM_OF_PROBES == 768 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE768_WIDTH;
  localparam LC_PROBE769_WIDTH = (C_NUM_OF_PROBES == 769 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE769_WIDTH;
  localparam LC_PROBE770_WIDTH = (C_NUM_OF_PROBES == 770 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE770_WIDTH;
  localparam LC_PROBE771_WIDTH = (C_NUM_OF_PROBES == 771 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE771_WIDTH;
  localparam LC_PROBE772_WIDTH = (C_NUM_OF_PROBES == 772 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE772_WIDTH;
  localparam LC_PROBE773_WIDTH = (C_NUM_OF_PROBES == 773 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE773_WIDTH;
  localparam LC_PROBE774_WIDTH = (C_NUM_OF_PROBES == 774 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE774_WIDTH;
  localparam LC_PROBE775_WIDTH = (C_NUM_OF_PROBES == 775 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE775_WIDTH;
  localparam LC_PROBE776_WIDTH = (C_NUM_OF_PROBES == 776 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE776_WIDTH;
  localparam LC_PROBE777_WIDTH = (C_NUM_OF_PROBES == 777 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE777_WIDTH;
  localparam LC_PROBE778_WIDTH = (C_NUM_OF_PROBES == 778 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE778_WIDTH;
  localparam LC_PROBE779_WIDTH = (C_NUM_OF_PROBES == 779 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE779_WIDTH;
  localparam LC_PROBE780_WIDTH = (C_NUM_OF_PROBES == 780 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE780_WIDTH;
  localparam LC_PROBE781_WIDTH = (C_NUM_OF_PROBES == 781 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE781_WIDTH;
  localparam LC_PROBE782_WIDTH = (C_NUM_OF_PROBES == 782 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE782_WIDTH;
  localparam LC_PROBE783_WIDTH = (C_NUM_OF_PROBES == 783 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE783_WIDTH;
  localparam LC_PROBE784_WIDTH = (C_NUM_OF_PROBES == 784 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE784_WIDTH;
  localparam LC_PROBE785_WIDTH = (C_NUM_OF_PROBES == 785 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE785_WIDTH;
  localparam LC_PROBE786_WIDTH = (C_NUM_OF_PROBES == 786 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE786_WIDTH;
  localparam LC_PROBE787_WIDTH = (C_NUM_OF_PROBES == 787 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE787_WIDTH;
  localparam LC_PROBE788_WIDTH = (C_NUM_OF_PROBES == 788 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE788_WIDTH;
  localparam LC_PROBE789_WIDTH = (C_NUM_OF_PROBES == 789 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE789_WIDTH;
  localparam LC_PROBE790_WIDTH = (C_NUM_OF_PROBES == 790 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE790_WIDTH;
  localparam LC_PROBE791_WIDTH = (C_NUM_OF_PROBES == 791 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE791_WIDTH;
  localparam LC_PROBE792_WIDTH = (C_NUM_OF_PROBES == 792 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE792_WIDTH;
  localparam LC_PROBE793_WIDTH = (C_NUM_OF_PROBES == 793 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE793_WIDTH;
  localparam LC_PROBE794_WIDTH = (C_NUM_OF_PROBES == 794 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE794_WIDTH;
  localparam LC_PROBE795_WIDTH = (C_NUM_OF_PROBES == 795 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE795_WIDTH;
  localparam LC_PROBE796_WIDTH = (C_NUM_OF_PROBES == 796 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE796_WIDTH;
  localparam LC_PROBE797_WIDTH = (C_NUM_OF_PROBES == 797 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE797_WIDTH;
  localparam LC_PROBE798_WIDTH = (C_NUM_OF_PROBES == 798 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE798_WIDTH;
  localparam LC_PROBE799_WIDTH = (C_NUM_OF_PROBES == 799 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE799_WIDTH;
  localparam LC_PROBE800_WIDTH = (C_NUM_OF_PROBES == 800 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE800_WIDTH;
  localparam LC_PROBE801_WIDTH = (C_NUM_OF_PROBES == 801 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE801_WIDTH;
  localparam LC_PROBE802_WIDTH = (C_NUM_OF_PROBES == 802 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE802_WIDTH;
  localparam LC_PROBE803_WIDTH = (C_NUM_OF_PROBES == 803 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE803_WIDTH;
  localparam LC_PROBE804_WIDTH = (C_NUM_OF_PROBES == 804 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE804_WIDTH;
  localparam LC_PROBE805_WIDTH = (C_NUM_OF_PROBES == 805 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE805_WIDTH;
  localparam LC_PROBE806_WIDTH = (C_NUM_OF_PROBES == 806 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE806_WIDTH;
  localparam LC_PROBE807_WIDTH = (C_NUM_OF_PROBES == 807 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE807_WIDTH;
  localparam LC_PROBE808_WIDTH = (C_NUM_OF_PROBES == 808 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE808_WIDTH;
  localparam LC_PROBE809_WIDTH = (C_NUM_OF_PROBES == 809 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE809_WIDTH;
  localparam LC_PROBE810_WIDTH = (C_NUM_OF_PROBES == 810 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE810_WIDTH;
  localparam LC_PROBE811_WIDTH = (C_NUM_OF_PROBES == 811 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE811_WIDTH;
  localparam LC_PROBE812_WIDTH = (C_NUM_OF_PROBES == 812 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE812_WIDTH;
  localparam LC_PROBE813_WIDTH = (C_NUM_OF_PROBES == 813 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE813_WIDTH;
  localparam LC_PROBE814_WIDTH = (C_NUM_OF_PROBES == 814 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE814_WIDTH;
  localparam LC_PROBE815_WIDTH = (C_NUM_OF_PROBES == 815 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE815_WIDTH;
  localparam LC_PROBE816_WIDTH = (C_NUM_OF_PROBES == 816 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE816_WIDTH;
  localparam LC_PROBE817_WIDTH = (C_NUM_OF_PROBES == 817 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE817_WIDTH;
  localparam LC_PROBE818_WIDTH = (C_NUM_OF_PROBES == 818 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE818_WIDTH;
  localparam LC_PROBE819_WIDTH = (C_NUM_OF_PROBES == 819 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE819_WIDTH;
  localparam LC_PROBE820_WIDTH = (C_NUM_OF_PROBES == 820 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE820_WIDTH;
  localparam LC_PROBE821_WIDTH = (C_NUM_OF_PROBES == 821 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE821_WIDTH;
  localparam LC_PROBE822_WIDTH = (C_NUM_OF_PROBES == 822 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE822_WIDTH;
  localparam LC_PROBE823_WIDTH = (C_NUM_OF_PROBES == 823 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE823_WIDTH;
  localparam LC_PROBE824_WIDTH = (C_NUM_OF_PROBES == 824 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE824_WIDTH;
  localparam LC_PROBE825_WIDTH = (C_NUM_OF_PROBES == 825 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE825_WIDTH;
  localparam LC_PROBE826_WIDTH = (C_NUM_OF_PROBES == 826 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE826_WIDTH;
  localparam LC_PROBE827_WIDTH = (C_NUM_OF_PROBES == 827 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE827_WIDTH;
  localparam LC_PROBE828_WIDTH = (C_NUM_OF_PROBES == 828 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE828_WIDTH;
  localparam LC_PROBE829_WIDTH = (C_NUM_OF_PROBES == 829 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE829_WIDTH;  
  localparam LC_PROBE830_WIDTH = (C_NUM_OF_PROBES == 830 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE830_WIDTH;
  localparam LC_PROBE831_WIDTH = (C_NUM_OF_PROBES == 831 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE831_WIDTH;
  localparam LC_PROBE832_WIDTH = (C_NUM_OF_PROBES == 832 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE832_WIDTH;
  localparam LC_PROBE833_WIDTH = (C_NUM_OF_PROBES == 833 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE833_WIDTH;
  localparam LC_PROBE834_WIDTH = (C_NUM_OF_PROBES == 834 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE834_WIDTH;
  localparam LC_PROBE835_WIDTH = (C_NUM_OF_PROBES == 835 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE835_WIDTH;
  localparam LC_PROBE836_WIDTH = (C_NUM_OF_PROBES == 836 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE836_WIDTH;
  localparam LC_PROBE837_WIDTH = (C_NUM_OF_PROBES == 837 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE837_WIDTH;
  localparam LC_PROBE838_WIDTH = (C_NUM_OF_PROBES == 838 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE838_WIDTH;
  localparam LC_PROBE839_WIDTH = (C_NUM_OF_PROBES == 839 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE839_WIDTH;
  localparam LC_PROBE840_WIDTH = (C_NUM_OF_PROBES == 840 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE840_WIDTH;
  localparam LC_PROBE841_WIDTH = (C_NUM_OF_PROBES == 841 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE841_WIDTH;
  localparam LC_PROBE842_WIDTH = (C_NUM_OF_PROBES == 842 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE842_WIDTH;
  localparam LC_PROBE843_WIDTH = (C_NUM_OF_PROBES == 843 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE843_WIDTH;
  localparam LC_PROBE844_WIDTH = (C_NUM_OF_PROBES == 844 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE844_WIDTH;
  localparam LC_PROBE845_WIDTH = (C_NUM_OF_PROBES == 845 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE845_WIDTH;
  localparam LC_PROBE846_WIDTH = (C_NUM_OF_PROBES == 846 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE846_WIDTH;
  localparam LC_PROBE847_WIDTH = (C_NUM_OF_PROBES == 847 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE847_WIDTH;
  localparam LC_PROBE848_WIDTH = (C_NUM_OF_PROBES == 848 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE848_WIDTH;
  localparam LC_PROBE849_WIDTH = (C_NUM_OF_PROBES == 849 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE849_WIDTH;
  localparam LC_PROBE850_WIDTH = (C_NUM_OF_PROBES == 850 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE850_WIDTH;
  localparam LC_PROBE851_WIDTH = (C_NUM_OF_PROBES == 851 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE851_WIDTH;
  localparam LC_PROBE852_WIDTH = (C_NUM_OF_PROBES == 852 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE852_WIDTH;
  localparam LC_PROBE853_WIDTH = (C_NUM_OF_PROBES == 853 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE853_WIDTH;
  localparam LC_PROBE854_WIDTH = (C_NUM_OF_PROBES == 854 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE854_WIDTH;
  localparam LC_PROBE855_WIDTH = (C_NUM_OF_PROBES == 855 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE855_WIDTH;
  localparam LC_PROBE856_WIDTH = (C_NUM_OF_PROBES == 856 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE856_WIDTH;
  localparam LC_PROBE857_WIDTH = (C_NUM_OF_PROBES == 857 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE857_WIDTH;
  localparam LC_PROBE858_WIDTH = (C_NUM_OF_PROBES == 858 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE858_WIDTH;
  localparam LC_PROBE859_WIDTH = (C_NUM_OF_PROBES == 859 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE859_WIDTH;
  localparam LC_PROBE860_WIDTH = (C_NUM_OF_PROBES == 860 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE860_WIDTH;
  localparam LC_PROBE861_WIDTH = (C_NUM_OF_PROBES == 861 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE861_WIDTH;
  localparam LC_PROBE862_WIDTH = (C_NUM_OF_PROBES == 862 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE862_WIDTH;
  localparam LC_PROBE863_WIDTH = (C_NUM_OF_PROBES == 863 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE863_WIDTH;
  localparam LC_PROBE864_WIDTH = (C_NUM_OF_PROBES == 864 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE864_WIDTH;
  localparam LC_PROBE865_WIDTH = (C_NUM_OF_PROBES == 865 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE865_WIDTH;
  localparam LC_PROBE866_WIDTH = (C_NUM_OF_PROBES == 866 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE866_WIDTH;
  localparam LC_PROBE867_WIDTH = (C_NUM_OF_PROBES == 867 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE867_WIDTH;
  localparam LC_PROBE868_WIDTH = (C_NUM_OF_PROBES == 868 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE868_WIDTH;
  localparam LC_PROBE869_WIDTH = (C_NUM_OF_PROBES == 869 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE869_WIDTH;
  localparam LC_PROBE870_WIDTH = (C_NUM_OF_PROBES == 870 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE870_WIDTH;
  localparam LC_PROBE871_WIDTH = (C_NUM_OF_PROBES == 871 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE871_WIDTH;
  localparam LC_PROBE872_WIDTH = (C_NUM_OF_PROBES == 872 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE872_WIDTH;
  localparam LC_PROBE873_WIDTH = (C_NUM_OF_PROBES == 873 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE873_WIDTH;
  localparam LC_PROBE874_WIDTH = (C_NUM_OF_PROBES == 874 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE874_WIDTH;
  localparam LC_PROBE875_WIDTH = (C_NUM_OF_PROBES == 875 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE875_WIDTH;
  localparam LC_PROBE876_WIDTH = (C_NUM_OF_PROBES == 876 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE876_WIDTH;
  localparam LC_PROBE877_WIDTH = (C_NUM_OF_PROBES == 877 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE877_WIDTH;
  localparam LC_PROBE878_WIDTH = (C_NUM_OF_PROBES == 878 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE878_WIDTH;
  localparam LC_PROBE879_WIDTH = (C_NUM_OF_PROBES == 879 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE879_WIDTH;
  localparam LC_PROBE880_WIDTH = (C_NUM_OF_PROBES == 880 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE880_WIDTH;
  localparam LC_PROBE881_WIDTH = (C_NUM_OF_PROBES == 881 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE881_WIDTH;
  localparam LC_PROBE882_WIDTH = (C_NUM_OF_PROBES == 882 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE882_WIDTH;
  localparam LC_PROBE883_WIDTH = (C_NUM_OF_PROBES == 883 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE883_WIDTH;
  localparam LC_PROBE884_WIDTH = (C_NUM_OF_PROBES == 884 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE884_WIDTH;
  localparam LC_PROBE885_WIDTH = (C_NUM_OF_PROBES == 885 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE885_WIDTH;
  localparam LC_PROBE886_WIDTH = (C_NUM_OF_PROBES == 886 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE886_WIDTH;
  localparam LC_PROBE887_WIDTH = (C_NUM_OF_PROBES == 887 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE887_WIDTH;
  localparam LC_PROBE888_WIDTH = (C_NUM_OF_PROBES == 888 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE888_WIDTH;
  localparam LC_PROBE889_WIDTH = (C_NUM_OF_PROBES == 889 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE889_WIDTH;
  localparam LC_PROBE890_WIDTH = (C_NUM_OF_PROBES == 890 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE890_WIDTH;
  localparam LC_PROBE891_WIDTH = (C_NUM_OF_PROBES == 891 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE891_WIDTH;
  localparam LC_PROBE892_WIDTH = (C_NUM_OF_PROBES == 892 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE892_WIDTH;
  localparam LC_PROBE893_WIDTH = (C_NUM_OF_PROBES == 893 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE893_WIDTH;
  localparam LC_PROBE894_WIDTH = (C_NUM_OF_PROBES == 894 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE894_WIDTH;
  localparam LC_PROBE895_WIDTH = (C_NUM_OF_PROBES == 895 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE895_WIDTH;
  localparam LC_PROBE896_WIDTH = (C_NUM_OF_PROBES == 896 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE896_WIDTH;
  localparam LC_PROBE897_WIDTH = (C_NUM_OF_PROBES == 897 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE897_WIDTH;
  localparam LC_PROBE898_WIDTH = (C_NUM_OF_PROBES == 898 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE898_WIDTH;
  localparam LC_PROBE899_WIDTH = (C_NUM_OF_PROBES == 899 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE899_WIDTH;
  localparam LC_PROBE900_WIDTH = (C_NUM_OF_PROBES == 900 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE900_WIDTH;
  localparam LC_PROBE901_WIDTH = (C_NUM_OF_PROBES == 901 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE901_WIDTH;
  localparam LC_PROBE902_WIDTH = (C_NUM_OF_PROBES == 902 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE902_WIDTH;
  localparam LC_PROBE903_WIDTH = (C_NUM_OF_PROBES == 903 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE903_WIDTH;
  localparam LC_PROBE904_WIDTH = (C_NUM_OF_PROBES == 904 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE904_WIDTH;
  localparam LC_PROBE905_WIDTH = (C_NUM_OF_PROBES == 905 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE905_WIDTH;
  localparam LC_PROBE906_WIDTH = (C_NUM_OF_PROBES == 906 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE906_WIDTH;
  localparam LC_PROBE907_WIDTH = (C_NUM_OF_PROBES == 907 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE907_WIDTH;
  localparam LC_PROBE908_WIDTH = (C_NUM_OF_PROBES == 908 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE908_WIDTH;
  localparam LC_PROBE909_WIDTH = (C_NUM_OF_PROBES == 909 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE909_WIDTH;
  localparam LC_PROBE910_WIDTH = (C_NUM_OF_PROBES == 910 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE910_WIDTH;
  localparam LC_PROBE911_WIDTH = (C_NUM_OF_PROBES == 911 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE911_WIDTH;
  localparam LC_PROBE912_WIDTH = (C_NUM_OF_PROBES == 912 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE912_WIDTH;
  localparam LC_PROBE913_WIDTH = (C_NUM_OF_PROBES == 913 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE913_WIDTH;
  localparam LC_PROBE914_WIDTH = (C_NUM_OF_PROBES == 914 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE914_WIDTH;
  localparam LC_PROBE915_WIDTH = (C_NUM_OF_PROBES == 915 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE915_WIDTH;
  localparam LC_PROBE916_WIDTH = (C_NUM_OF_PROBES == 916 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE916_WIDTH;
  localparam LC_PROBE917_WIDTH = (C_NUM_OF_PROBES == 917 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE917_WIDTH;
  localparam LC_PROBE918_WIDTH = (C_NUM_OF_PROBES == 918 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE918_WIDTH;
  localparam LC_PROBE919_WIDTH = (C_NUM_OF_PROBES == 919 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE919_WIDTH;
  localparam LC_PROBE920_WIDTH = (C_NUM_OF_PROBES == 920 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE920_WIDTH;
  localparam LC_PROBE921_WIDTH = (C_NUM_OF_PROBES == 921 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE921_WIDTH;
  localparam LC_PROBE922_WIDTH = (C_NUM_OF_PROBES == 922 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE922_WIDTH;
  localparam LC_PROBE923_WIDTH = (C_NUM_OF_PROBES == 923 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE923_WIDTH;
  localparam LC_PROBE924_WIDTH = (C_NUM_OF_PROBES == 924 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE924_WIDTH;
  localparam LC_PROBE925_WIDTH = (C_NUM_OF_PROBES == 925 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE925_WIDTH;
  localparam LC_PROBE926_WIDTH = (C_NUM_OF_PROBES == 926 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE926_WIDTH;
  localparam LC_PROBE927_WIDTH = (C_NUM_OF_PROBES == 927 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE927_WIDTH;
  localparam LC_PROBE928_WIDTH = (C_NUM_OF_PROBES == 928 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE928_WIDTH;
  localparam LC_PROBE929_WIDTH = (C_NUM_OF_PROBES == 929 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE929_WIDTH;  
  localparam LC_PROBE930_WIDTH = (C_NUM_OF_PROBES == 930 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE930_WIDTH;
  localparam LC_PROBE931_WIDTH = (C_NUM_OF_PROBES == 931 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE931_WIDTH;
  localparam LC_PROBE932_WIDTH = (C_NUM_OF_PROBES == 932 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE932_WIDTH;
  localparam LC_PROBE933_WIDTH = (C_NUM_OF_PROBES == 933 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE933_WIDTH;
  localparam LC_PROBE934_WIDTH = (C_NUM_OF_PROBES == 934 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE934_WIDTH;
  localparam LC_PROBE935_WIDTH = (C_NUM_OF_PROBES == 935 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE935_WIDTH;
  localparam LC_PROBE936_WIDTH = (C_NUM_OF_PROBES == 936 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE936_WIDTH;
  localparam LC_PROBE937_WIDTH = (C_NUM_OF_PROBES == 937 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE937_WIDTH;
  localparam LC_PROBE938_WIDTH = (C_NUM_OF_PROBES == 938 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE938_WIDTH;
  localparam LC_PROBE939_WIDTH = (C_NUM_OF_PROBES == 939 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE939_WIDTH;
  localparam LC_PROBE940_WIDTH = (C_NUM_OF_PROBES == 940 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE940_WIDTH;
  localparam LC_PROBE941_WIDTH = (C_NUM_OF_PROBES == 941 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE941_WIDTH;
  localparam LC_PROBE942_WIDTH = (C_NUM_OF_PROBES == 942 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE942_WIDTH;
  localparam LC_PROBE943_WIDTH = (C_NUM_OF_PROBES == 943 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE943_WIDTH;
  localparam LC_PROBE944_WIDTH = (C_NUM_OF_PROBES == 944 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE944_WIDTH;
  localparam LC_PROBE945_WIDTH = (C_NUM_OF_PROBES == 945 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE945_WIDTH;
  localparam LC_PROBE946_WIDTH = (C_NUM_OF_PROBES == 946 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE946_WIDTH;
  localparam LC_PROBE947_WIDTH = (C_NUM_OF_PROBES == 947 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE947_WIDTH;
  localparam LC_PROBE948_WIDTH = (C_NUM_OF_PROBES == 948 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE948_WIDTH;
  localparam LC_PROBE949_WIDTH = (C_NUM_OF_PROBES == 949 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE949_WIDTH;
  localparam LC_PROBE950_WIDTH = (C_NUM_OF_PROBES == 950 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE950_WIDTH;
  localparam LC_PROBE951_WIDTH = (C_NUM_OF_PROBES == 951 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE951_WIDTH;
  localparam LC_PROBE952_WIDTH = (C_NUM_OF_PROBES == 952 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE952_WIDTH;
  localparam LC_PROBE953_WIDTH = (C_NUM_OF_PROBES == 953 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE953_WIDTH;
  localparam LC_PROBE954_WIDTH = (C_NUM_OF_PROBES == 954 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE954_WIDTH;
  localparam LC_PROBE955_WIDTH = (C_NUM_OF_PROBES == 955 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE955_WIDTH;
  localparam LC_PROBE956_WIDTH = (C_NUM_OF_PROBES == 956 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE956_WIDTH;
  localparam LC_PROBE957_WIDTH = (C_NUM_OF_PROBES == 957 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE957_WIDTH;
  localparam LC_PROBE958_WIDTH = (C_NUM_OF_PROBES == 958 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE958_WIDTH;
  localparam LC_PROBE959_WIDTH = (C_NUM_OF_PROBES == 959 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE959_WIDTH;
  localparam LC_PROBE960_WIDTH = (C_NUM_OF_PROBES == 960 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE960_WIDTH;
  localparam LC_PROBE961_WIDTH = (C_NUM_OF_PROBES == 961 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE961_WIDTH;
  localparam LC_PROBE962_WIDTH = (C_NUM_OF_PROBES == 962 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE962_WIDTH;
  localparam LC_PROBE963_WIDTH = (C_NUM_OF_PROBES == 963 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE963_WIDTH;
  localparam LC_PROBE964_WIDTH = (C_NUM_OF_PROBES == 964 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE964_WIDTH;
  localparam LC_PROBE965_WIDTH = (C_NUM_OF_PROBES == 965 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE965_WIDTH;
  localparam LC_PROBE966_WIDTH = (C_NUM_OF_PROBES == 966 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE966_WIDTH;
  localparam LC_PROBE967_WIDTH = (C_NUM_OF_PROBES == 967 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE967_WIDTH;
  localparam LC_PROBE968_WIDTH = (C_NUM_OF_PROBES == 968 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE968_WIDTH;
  localparam LC_PROBE969_WIDTH = (C_NUM_OF_PROBES == 969 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE969_WIDTH;
  localparam LC_PROBE970_WIDTH = (C_NUM_OF_PROBES == 970 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE970_WIDTH;
  localparam LC_PROBE971_WIDTH = (C_NUM_OF_PROBES == 971 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE971_WIDTH;
  localparam LC_PROBE972_WIDTH = (C_NUM_OF_PROBES == 972 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE972_WIDTH;
  localparam LC_PROBE973_WIDTH = (C_NUM_OF_PROBES == 973 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE973_WIDTH;
  localparam LC_PROBE974_WIDTH = (C_NUM_OF_PROBES == 974 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE974_WIDTH;
  localparam LC_PROBE975_WIDTH = (C_NUM_OF_PROBES == 975 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE975_WIDTH;
  localparam LC_PROBE976_WIDTH = (C_NUM_OF_PROBES == 976 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE976_WIDTH;
  localparam LC_PROBE977_WIDTH = (C_NUM_OF_PROBES == 977 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE977_WIDTH;
  localparam LC_PROBE978_WIDTH = (C_NUM_OF_PROBES == 978 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE978_WIDTH;
  localparam LC_PROBE979_WIDTH = (C_NUM_OF_PROBES == 979 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE979_WIDTH;
  localparam LC_PROBE980_WIDTH = (C_NUM_OF_PROBES == 980 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE980_WIDTH;
  localparam LC_PROBE981_WIDTH = (C_NUM_OF_PROBES == 981 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE981_WIDTH;
  localparam LC_PROBE982_WIDTH = (C_NUM_OF_PROBES == 982 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE982_WIDTH;
  localparam LC_PROBE983_WIDTH = (C_NUM_OF_PROBES == 983 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE983_WIDTH;
  localparam LC_PROBE984_WIDTH = (C_NUM_OF_PROBES == 984 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE984_WIDTH;
  localparam LC_PROBE985_WIDTH = (C_NUM_OF_PROBES == 985 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE985_WIDTH;
  localparam LC_PROBE986_WIDTH = (C_NUM_OF_PROBES == 986 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE986_WIDTH;
  localparam LC_PROBE987_WIDTH = (C_NUM_OF_PROBES == 987 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE987_WIDTH;
  localparam LC_PROBE988_WIDTH = (C_NUM_OF_PROBES == 988 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE988_WIDTH;
  localparam LC_PROBE989_WIDTH = (C_NUM_OF_PROBES == 989 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE989_WIDTH;
  localparam LC_PROBE990_WIDTH = (C_NUM_OF_PROBES == 990 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE990_WIDTH;
  localparam LC_PROBE991_WIDTH = (C_NUM_OF_PROBES == 991 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE991_WIDTH;
  localparam LC_PROBE992_WIDTH = (C_NUM_OF_PROBES == 992 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE992_WIDTH;
  localparam LC_PROBE993_WIDTH = (C_NUM_OF_PROBES == 993 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE993_WIDTH;
  localparam LC_PROBE994_WIDTH = (C_NUM_OF_PROBES == 994 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE994_WIDTH;
  localparam LC_PROBE995_WIDTH = (C_NUM_OF_PROBES == 995 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE995_WIDTH;
  localparam LC_PROBE996_WIDTH = (C_NUM_OF_PROBES == 996 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE996_WIDTH;
  localparam LC_PROBE997_WIDTH = (C_NUM_OF_PROBES == 997 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE997_WIDTH;
  localparam LC_PROBE998_WIDTH = (C_NUM_OF_PROBES == 998 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE998_WIDTH;
  localparam LC_PROBE999_WIDTH = (C_NUM_OF_PROBES == 999 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE999_WIDTH;
  localparam LC_PROBE1000_WIDTH = (C_NUM_OF_PROBES == 1000 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1000_WIDTH;
  localparam LC_PROBE1001_WIDTH = (C_NUM_OF_PROBES == 1001 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1001_WIDTH;
  localparam LC_PROBE1002_WIDTH = (C_NUM_OF_PROBES == 1002 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1002_WIDTH;
  localparam LC_PROBE1003_WIDTH = (C_NUM_OF_PROBES == 1003 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1003_WIDTH;
  localparam LC_PROBE1004_WIDTH = (C_NUM_OF_PROBES == 1004 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1004_WIDTH;
  localparam LC_PROBE1005_WIDTH = (C_NUM_OF_PROBES == 1005 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1005_WIDTH;
  localparam LC_PROBE1006_WIDTH = (C_NUM_OF_PROBES == 1006 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1006_WIDTH;
  localparam LC_PROBE1007_WIDTH = (C_NUM_OF_PROBES == 1007 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1007_WIDTH;
  localparam LC_PROBE1008_WIDTH = (C_NUM_OF_PROBES == 1008 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1008_WIDTH;
  localparam LC_PROBE1009_WIDTH = (C_NUM_OF_PROBES == 1009 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1009_WIDTH;
  localparam LC_PROBE1010_WIDTH = (C_NUM_OF_PROBES == 1010 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1010_WIDTH;
  localparam LC_PROBE1011_WIDTH = (C_NUM_OF_PROBES == 1011 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1011_WIDTH;
  localparam LC_PROBE1012_WIDTH = (C_NUM_OF_PROBES == 1012 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1012_WIDTH;
  localparam LC_PROBE1013_WIDTH = (C_NUM_OF_PROBES == 1013 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1013_WIDTH;
  localparam LC_PROBE1014_WIDTH = (C_NUM_OF_PROBES == 1014 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1014_WIDTH;
  localparam LC_PROBE1015_WIDTH = (C_NUM_OF_PROBES == 1015 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1015_WIDTH;
  localparam LC_PROBE1016_WIDTH = (C_NUM_OF_PROBES == 1016 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1016_WIDTH;
  localparam LC_PROBE1017_WIDTH = (C_NUM_OF_PROBES == 1017 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1017_WIDTH;
  localparam LC_PROBE1018_WIDTH = (C_NUM_OF_PROBES == 1018 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1018_WIDTH;
  localparam LC_PROBE1019_WIDTH = (C_NUM_OF_PROBES == 1019 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1019_WIDTH;
  localparam LC_PROBE1020_WIDTH = (C_NUM_OF_PROBES == 1020 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1020_WIDTH;
  localparam LC_PROBE1021_WIDTH = (C_NUM_OF_PROBES == 1021 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1021_WIDTH;
  localparam LC_PROBE1022_WIDTH = (C_NUM_OF_PROBES == 1022 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1022_WIDTH;
  localparam LC_PROBE1023_WIDTH = (C_NUM_OF_PROBES == 1023 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_WIDTH : C_PROBE1023_WIDTH;

  localparam [(LC_PROBE0_MU_CNT*16)-1:0] LC_PROBE0_PID = match_tpid(LC_PROBE0_MU_CNT,LC_PROBE0_MU_CNT,(C_EN_DDR_ILA == 1'b1),0);
  localparam [(LC_PROBE1_MU_CNT*16)-1:0] LC_PROBE1_PID = match_tpid(LC_PROBE0_MU_CNT,LC_PROBE1_MU_CNT,(C_EN_DDR_ILA == 1'b1),1);
  localparam [(LC_PROBE2_MU_CNT*16)-1:0] LC_PROBE2_PID = match_tpid(LC_PROBE1_MU_CNT,LC_PROBE2_MU_CNT,(C_EN_DDR_ILA == 1'b1),2);
  localparam [(LC_PROBE3_MU_CNT*16)-1:0] LC_PROBE3_PID = match_tpid(LC_PROBE1_MU_CNT,LC_PROBE3_MU_CNT,(C_EN_DDR_ILA == 1'b1),3);
  localparam [(LC_PROBE4_MU_CNT*16)-1:0] LC_PROBE4_PID = match_tpid(LC_PROBE2_MU_CNT,LC_PROBE4_MU_CNT,(C_EN_DDR_ILA == 1'b1),4);
  localparam [(LC_PROBE5_MU_CNT*16)-1:0] LC_PROBE5_PID = match_tpid(LC_PROBE2_MU_CNT,LC_PROBE5_MU_CNT,(C_EN_DDR_ILA == 1'b1),5);
  localparam [(LC_PROBE6_MU_CNT*16)-1:0] LC_PROBE6_PID = match_tpid(LC_PROBE3_MU_CNT,LC_PROBE6_MU_CNT,(C_EN_DDR_ILA == 1'b1),6);
  localparam [(LC_PROBE7_MU_CNT*16)-1:0] LC_PROBE7_PID = match_tpid(LC_PROBE3_MU_CNT,LC_PROBE7_MU_CNT,(C_EN_DDR_ILA == 1'b1),7);
  localparam [(LC_PROBE8_MU_CNT*16)-1:0] LC_PROBE8_PID = match_tpid(LC_PROBE4_MU_CNT,LC_PROBE8_MU_CNT,(C_EN_DDR_ILA == 1'b1),8);
  localparam [(LC_PROBE9_MU_CNT*16)-1:0] LC_PROBE9_PID = match_tpid(LC_PROBE4_MU_CNT,LC_PROBE9_MU_CNT,(C_EN_DDR_ILA == 1'b1),9);
  localparam [(LC_PROBE10_MU_CNT*16)-1:0] LC_PROBE10_PID = match_tpid(LC_PROBE5_MU_CNT,LC_PROBE10_MU_CNT,(C_EN_DDR_ILA == 1'b1),10);
  localparam [(LC_PROBE11_MU_CNT*16)-1:0] LC_PROBE11_PID = match_tpid(LC_PROBE5_MU_CNT,LC_PROBE11_MU_CNT,(C_EN_DDR_ILA == 1'b1),11);
  localparam [(LC_PROBE12_MU_CNT*16)-1:0] LC_PROBE12_PID = match_tpid(LC_PROBE6_MU_CNT,LC_PROBE12_MU_CNT,(C_EN_DDR_ILA == 1'b1),12);
  localparam [(LC_PROBE13_MU_CNT*16)-1:0] LC_PROBE13_PID = match_tpid(LC_PROBE6_MU_CNT,LC_PROBE13_MU_CNT,(C_EN_DDR_ILA == 1'b1),13);
  localparam [(LC_PROBE14_MU_CNT*16)-1:0] LC_PROBE14_PID = match_tpid(LC_PROBE7_MU_CNT,LC_PROBE14_MU_CNT,(C_EN_DDR_ILA == 1'b1),14);
  localparam [(LC_PROBE15_MU_CNT*16)-1:0] LC_PROBE15_PID = match_tpid(LC_PROBE7_MU_CNT,LC_PROBE15_MU_CNT,(C_EN_DDR_ILA == 1'b1),15);
  localparam [(LC_PROBE16_MU_CNT*16)-1:0] LC_PROBE16_PID = match_tpid(LC_PROBE8_MU_CNT,LC_PROBE16_MU_CNT,(C_EN_DDR_ILA == 1'b1),16);
  localparam [(LC_PROBE17_MU_CNT*16)-1:0] LC_PROBE17_PID = match_tpid(LC_PROBE8_MU_CNT,LC_PROBE17_MU_CNT,(C_EN_DDR_ILA == 1'b1),17);
  localparam [(LC_PROBE18_MU_CNT*16)-1:0] LC_PROBE18_PID = match_tpid(LC_PROBE9_MU_CNT,LC_PROBE18_MU_CNT,(C_EN_DDR_ILA == 1'b1),18);
  localparam [(LC_PROBE19_MU_CNT*16)-1:0] LC_PROBE19_PID = match_tpid(LC_PROBE9_MU_CNT,LC_PROBE19_MU_CNT,(C_EN_DDR_ILA == 1'b1),19);
  localparam [(LC_PROBE20_MU_CNT*16)-1:0] LC_PROBE20_PID = match_tpid(LC_PROBE10_MU_CNT,LC_PROBE20_MU_CNT,(C_EN_DDR_ILA == 1'b1),20);
  localparam [(LC_PROBE21_MU_CNT*16)-1:0] LC_PROBE21_PID = match_tpid(LC_PROBE10_MU_CNT,LC_PROBE21_MU_CNT,(C_EN_DDR_ILA == 1'b1),21);
  localparam [(LC_PROBE22_MU_CNT*16)-1:0] LC_PROBE22_PID = match_tpid(LC_PROBE11_MU_CNT,LC_PROBE22_MU_CNT,(C_EN_DDR_ILA == 1'b1),22);
  localparam [(LC_PROBE23_MU_CNT*16)-1:0] LC_PROBE23_PID = match_tpid(LC_PROBE11_MU_CNT,LC_PROBE23_MU_CNT,(C_EN_DDR_ILA == 1'b1),23);
  localparam [(LC_PROBE24_MU_CNT*16)-1:0] LC_PROBE24_PID = match_tpid(LC_PROBE12_MU_CNT,LC_PROBE24_MU_CNT,(C_EN_DDR_ILA == 1'b1),24);
  localparam [(LC_PROBE25_MU_CNT*16)-1:0] LC_PROBE25_PID = match_tpid(LC_PROBE12_MU_CNT,LC_PROBE25_MU_CNT,(C_EN_DDR_ILA == 1'b1),25);
  localparam [(LC_PROBE26_MU_CNT*16)-1:0] LC_PROBE26_PID = match_tpid(LC_PROBE13_MU_CNT,LC_PROBE26_MU_CNT,(C_EN_DDR_ILA == 1'b1),26);
  localparam [(LC_PROBE27_MU_CNT*16)-1:0] LC_PROBE27_PID = match_tpid(LC_PROBE13_MU_CNT,LC_PROBE27_MU_CNT,(C_EN_DDR_ILA == 1'b1),27);
  localparam [(LC_PROBE28_MU_CNT*16)-1:0] LC_PROBE28_PID = match_tpid(LC_PROBE14_MU_CNT,LC_PROBE28_MU_CNT,(C_EN_DDR_ILA == 1'b1),28);
  localparam [(LC_PROBE29_MU_CNT*16)-1:0] LC_PROBE29_PID = match_tpid(LC_PROBE14_MU_CNT,LC_PROBE29_MU_CNT,(C_EN_DDR_ILA == 1'b1),29);
  localparam [(LC_PROBE30_MU_CNT*16)-1:0] LC_PROBE30_PID = match_tpid(LC_PROBE15_MU_CNT,LC_PROBE30_MU_CNT,(C_EN_DDR_ILA == 1'b1),30);
  localparam [(LC_PROBE31_MU_CNT*16)-1:0] LC_PROBE31_PID = match_tpid(LC_PROBE15_MU_CNT,LC_PROBE31_MU_CNT,(C_EN_DDR_ILA == 1'b1),31);
  localparam [(LC_PROBE32_MU_CNT*16)-1:0] LC_PROBE32_PID = match_tpid(LC_PROBE16_MU_CNT,LC_PROBE32_MU_CNT,(C_EN_DDR_ILA == 1'b1),32);
  localparam [(LC_PROBE33_MU_CNT*16)-1:0] LC_PROBE33_PID = match_tpid(LC_PROBE16_MU_CNT,LC_PROBE33_MU_CNT,(C_EN_DDR_ILA == 1'b1),33);
  localparam [(LC_PROBE34_MU_CNT*16)-1:0] LC_PROBE34_PID = match_tpid(LC_PROBE17_MU_CNT,LC_PROBE34_MU_CNT,(C_EN_DDR_ILA == 1'b1),34);
  localparam [(LC_PROBE35_MU_CNT*16)-1:0] LC_PROBE35_PID = match_tpid(LC_PROBE17_MU_CNT,LC_PROBE35_MU_CNT,(C_EN_DDR_ILA == 1'b1),35);
  localparam [(LC_PROBE36_MU_CNT*16)-1:0] LC_PROBE36_PID = match_tpid(LC_PROBE18_MU_CNT,LC_PROBE36_MU_CNT,(C_EN_DDR_ILA == 1'b1),36);
  localparam [(LC_PROBE37_MU_CNT*16)-1:0] LC_PROBE37_PID = match_tpid(LC_PROBE18_MU_CNT,LC_PROBE37_MU_CNT,(C_EN_DDR_ILA == 1'b1),37);
  localparam [(LC_PROBE38_MU_CNT*16)-1:0] LC_PROBE38_PID = match_tpid(LC_PROBE19_MU_CNT,LC_PROBE38_MU_CNT,(C_EN_DDR_ILA == 1'b1),38);
  localparam [(LC_PROBE39_MU_CNT*16)-1:0] LC_PROBE39_PID = match_tpid(LC_PROBE19_MU_CNT,LC_PROBE39_MU_CNT,(C_EN_DDR_ILA == 1'b1),39);
  localparam [(LC_PROBE40_MU_CNT*16)-1:0] LC_PROBE40_PID = match_tpid(LC_PROBE20_MU_CNT,LC_PROBE40_MU_CNT,(C_EN_DDR_ILA == 1'b1),40);
  localparam [(LC_PROBE41_MU_CNT*16)-1:0] LC_PROBE41_PID = match_tpid(LC_PROBE20_MU_CNT,LC_PROBE41_MU_CNT,(C_EN_DDR_ILA == 1'b1),41);
  localparam [(LC_PROBE42_MU_CNT*16)-1:0] LC_PROBE42_PID = match_tpid(LC_PROBE21_MU_CNT,LC_PROBE42_MU_CNT,(C_EN_DDR_ILA == 1'b1),42);
  localparam [(LC_PROBE43_MU_CNT*16)-1:0] LC_PROBE43_PID = match_tpid(LC_PROBE21_MU_CNT,LC_PROBE43_MU_CNT,(C_EN_DDR_ILA == 1'b1),43);
  localparam [(LC_PROBE44_MU_CNT*16)-1:0] LC_PROBE44_PID = match_tpid(LC_PROBE22_MU_CNT,LC_PROBE44_MU_CNT,(C_EN_DDR_ILA == 1'b1),44);
  localparam [(LC_PROBE45_MU_CNT*16)-1:0] LC_PROBE45_PID = match_tpid(LC_PROBE22_MU_CNT,LC_PROBE45_MU_CNT,(C_EN_DDR_ILA == 1'b1),45);
  localparam [(LC_PROBE46_MU_CNT*16)-1:0] LC_PROBE46_PID = match_tpid(LC_PROBE23_MU_CNT,LC_PROBE46_MU_CNT,(C_EN_DDR_ILA == 1'b1),46);
  localparam [(LC_PROBE47_MU_CNT*16)-1:0] LC_PROBE47_PID = match_tpid(LC_PROBE23_MU_CNT,LC_PROBE47_MU_CNT,(C_EN_DDR_ILA == 1'b1),47);
  localparam [(LC_PROBE48_MU_CNT*16)-1:0] LC_PROBE48_PID = match_tpid(LC_PROBE24_MU_CNT,LC_PROBE48_MU_CNT,(C_EN_DDR_ILA == 1'b1),48);
  localparam [(LC_PROBE49_MU_CNT*16)-1:0] LC_PROBE49_PID = match_tpid(LC_PROBE24_MU_CNT,LC_PROBE49_MU_CNT,(C_EN_DDR_ILA == 1'b1),49);
  localparam [(LC_PROBE50_MU_CNT*16)-1:0] LC_PROBE50_PID = match_tpid(LC_PROBE25_MU_CNT,LC_PROBE50_MU_CNT,(C_EN_DDR_ILA == 1'b1),50);
  localparam [(LC_PROBE51_MU_CNT*16)-1:0] LC_PROBE51_PID = match_tpid(LC_PROBE25_MU_CNT,LC_PROBE51_MU_CNT,(C_EN_DDR_ILA == 1'b1),51);
  localparam [(LC_PROBE52_MU_CNT*16)-1:0] LC_PROBE52_PID = match_tpid(LC_PROBE26_MU_CNT,LC_PROBE52_MU_CNT,(C_EN_DDR_ILA == 1'b1),52);
  localparam [(LC_PROBE53_MU_CNT*16)-1:0] LC_PROBE53_PID = match_tpid(LC_PROBE26_MU_CNT,LC_PROBE53_MU_CNT,(C_EN_DDR_ILA == 1'b1),53);
  localparam [(LC_PROBE54_MU_CNT*16)-1:0] LC_PROBE54_PID = match_tpid(LC_PROBE27_MU_CNT,LC_PROBE54_MU_CNT,(C_EN_DDR_ILA == 1'b1),54);
  localparam [(LC_PROBE55_MU_CNT*16)-1:0] LC_PROBE55_PID = match_tpid(LC_PROBE27_MU_CNT,LC_PROBE55_MU_CNT,(C_EN_DDR_ILA == 1'b1),55);
  localparam [(LC_PROBE56_MU_CNT*16)-1:0] LC_PROBE56_PID = match_tpid(LC_PROBE28_MU_CNT,LC_PROBE56_MU_CNT,(C_EN_DDR_ILA == 1'b1),56);
  localparam [(LC_PROBE57_MU_CNT*16)-1:0] LC_PROBE57_PID = match_tpid(LC_PROBE28_MU_CNT,LC_PROBE57_MU_CNT,(C_EN_DDR_ILA == 1'b1),57);
  localparam [(LC_PROBE58_MU_CNT*16)-1:0] LC_PROBE58_PID = match_tpid(LC_PROBE29_MU_CNT,LC_PROBE58_MU_CNT,(C_EN_DDR_ILA == 1'b1),58);
  localparam [(LC_PROBE59_MU_CNT*16)-1:0] LC_PROBE59_PID = match_tpid(LC_PROBE29_MU_CNT,LC_PROBE59_MU_CNT,(C_EN_DDR_ILA == 1'b1),59);
  localparam [(LC_PROBE60_MU_CNT*16)-1:0] LC_PROBE60_PID = match_tpid(LC_PROBE30_MU_CNT,LC_PROBE60_MU_CNT,(C_EN_DDR_ILA == 1'b1),60);
  localparam [(LC_PROBE61_MU_CNT*16)-1:0] LC_PROBE61_PID = match_tpid(LC_PROBE30_MU_CNT,LC_PROBE61_MU_CNT,(C_EN_DDR_ILA == 1'b1),61);
  localparam [(LC_PROBE62_MU_CNT*16)-1:0] LC_PROBE62_PID = match_tpid(LC_PROBE31_MU_CNT,LC_PROBE62_MU_CNT,(C_EN_DDR_ILA == 1'b1),62);
  localparam [(LC_PROBE63_MU_CNT*16)-1:0] LC_PROBE63_PID = match_tpid(LC_PROBE31_MU_CNT,LC_PROBE63_MU_CNT,(C_EN_DDR_ILA == 1'b1),63);
  localparam [(LC_PROBE64_MU_CNT*16)-1:0] LC_PROBE64_PID = match_tpid(LC_PROBE32_MU_CNT,LC_PROBE64_MU_CNT,(C_EN_DDR_ILA == 1'b1),64);
  localparam [(LC_PROBE65_MU_CNT*16)-1:0] LC_PROBE65_PID = match_tpid(LC_PROBE32_MU_CNT,LC_PROBE65_MU_CNT,(C_EN_DDR_ILA == 1'b1),65);
  localparam [(LC_PROBE66_MU_CNT*16)-1:0] LC_PROBE66_PID = match_tpid(LC_PROBE33_MU_CNT,LC_PROBE66_MU_CNT,(C_EN_DDR_ILA == 1'b1),66);
  localparam [(LC_PROBE67_MU_CNT*16)-1:0] LC_PROBE67_PID = match_tpid(LC_PROBE33_MU_CNT,LC_PROBE67_MU_CNT,(C_EN_DDR_ILA == 1'b1),67);
  localparam [(LC_PROBE68_MU_CNT*16)-1:0] LC_PROBE68_PID = match_tpid(LC_PROBE34_MU_CNT,LC_PROBE68_MU_CNT,(C_EN_DDR_ILA == 1'b1),68);
  localparam [(LC_PROBE69_MU_CNT*16)-1:0] LC_PROBE69_PID = match_tpid(LC_PROBE34_MU_CNT,LC_PROBE69_MU_CNT,(C_EN_DDR_ILA == 1'b1),69);
  localparam [(LC_PROBE70_MU_CNT*16)-1:0] LC_PROBE70_PID = match_tpid(LC_PROBE35_MU_CNT,LC_PROBE70_MU_CNT,(C_EN_DDR_ILA == 1'b1),70);
  localparam [(LC_PROBE71_MU_CNT*16)-1:0] LC_PROBE71_PID = match_tpid(LC_PROBE35_MU_CNT,LC_PROBE71_MU_CNT,(C_EN_DDR_ILA == 1'b1),71);
  localparam [(LC_PROBE72_MU_CNT*16)-1:0] LC_PROBE72_PID = match_tpid(LC_PROBE36_MU_CNT,LC_PROBE72_MU_CNT,(C_EN_DDR_ILA == 1'b1),72);
  localparam [(LC_PROBE73_MU_CNT*16)-1:0] LC_PROBE73_PID = match_tpid(LC_PROBE36_MU_CNT,LC_PROBE73_MU_CNT,(C_EN_DDR_ILA == 1'b1),73);
  localparam [(LC_PROBE74_MU_CNT*16)-1:0] LC_PROBE74_PID = match_tpid(LC_PROBE37_MU_CNT,LC_PROBE74_MU_CNT,(C_EN_DDR_ILA == 1'b1),74);
  localparam [(LC_PROBE75_MU_CNT*16)-1:0] LC_PROBE75_PID = match_tpid(LC_PROBE37_MU_CNT,LC_PROBE75_MU_CNT,(C_EN_DDR_ILA == 1'b1),75);
  localparam [(LC_PROBE76_MU_CNT*16)-1:0] LC_PROBE76_PID = match_tpid(LC_PROBE38_MU_CNT,LC_PROBE76_MU_CNT,(C_EN_DDR_ILA == 1'b1),76);
  localparam [(LC_PROBE77_MU_CNT*16)-1:0] LC_PROBE77_PID = match_tpid(LC_PROBE38_MU_CNT,LC_PROBE77_MU_CNT,(C_EN_DDR_ILA == 1'b1),77);
  localparam [(LC_PROBE78_MU_CNT*16)-1:0] LC_PROBE78_PID = match_tpid(LC_PROBE39_MU_CNT,LC_PROBE78_MU_CNT,(C_EN_DDR_ILA == 1'b1),78);
  localparam [(LC_PROBE79_MU_CNT*16)-1:0] LC_PROBE79_PID = match_tpid(LC_PROBE39_MU_CNT,LC_PROBE79_MU_CNT,(C_EN_DDR_ILA == 1'b1),79);
  localparam [(LC_PROBE80_MU_CNT*16)-1:0] LC_PROBE80_PID = match_tpid(LC_PROBE40_MU_CNT,LC_PROBE80_MU_CNT,(C_EN_DDR_ILA == 1'b1),80);
  localparam [(LC_PROBE81_MU_CNT*16)-1:0] LC_PROBE81_PID = match_tpid(LC_PROBE40_MU_CNT,LC_PROBE81_MU_CNT,(C_EN_DDR_ILA == 1'b1),81);
  localparam [(LC_PROBE82_MU_CNT*16)-1:0] LC_PROBE82_PID = match_tpid(LC_PROBE41_MU_CNT,LC_PROBE82_MU_CNT,(C_EN_DDR_ILA == 1'b1),82);
  localparam [(LC_PROBE83_MU_CNT*16)-1:0] LC_PROBE83_PID = match_tpid(LC_PROBE41_MU_CNT,LC_PROBE83_MU_CNT,(C_EN_DDR_ILA == 1'b1),83);
  localparam [(LC_PROBE84_MU_CNT*16)-1:0] LC_PROBE84_PID = match_tpid(LC_PROBE42_MU_CNT,LC_PROBE84_MU_CNT,(C_EN_DDR_ILA == 1'b1),84);
  localparam [(LC_PROBE85_MU_CNT*16)-1:0] LC_PROBE85_PID = match_tpid(LC_PROBE42_MU_CNT,LC_PROBE85_MU_CNT,(C_EN_DDR_ILA == 1'b1),85);
  localparam [(LC_PROBE86_MU_CNT*16)-1:0] LC_PROBE86_PID = match_tpid(LC_PROBE43_MU_CNT,LC_PROBE86_MU_CNT,(C_EN_DDR_ILA == 1'b1),86);
  localparam [(LC_PROBE87_MU_CNT*16)-1:0] LC_PROBE87_PID = match_tpid(LC_PROBE43_MU_CNT,LC_PROBE87_MU_CNT,(C_EN_DDR_ILA == 1'b1),87);
  localparam [(LC_PROBE88_MU_CNT*16)-1:0] LC_PROBE88_PID = match_tpid(LC_PROBE44_MU_CNT,LC_PROBE88_MU_CNT,(C_EN_DDR_ILA == 1'b1),88);
  localparam [(LC_PROBE89_MU_CNT*16)-1:0] LC_PROBE89_PID = match_tpid(LC_PROBE44_MU_CNT,LC_PROBE89_MU_CNT,(C_EN_DDR_ILA == 1'b1),89);
  localparam [(LC_PROBE90_MU_CNT*16)-1:0] LC_PROBE90_PID = match_tpid(LC_PROBE45_MU_CNT,LC_PROBE90_MU_CNT,(C_EN_DDR_ILA == 1'b1),90);
  localparam [(LC_PROBE91_MU_CNT*16)-1:0] LC_PROBE91_PID = match_tpid(LC_PROBE45_MU_CNT,LC_PROBE91_MU_CNT,(C_EN_DDR_ILA == 1'b1),91);
  localparam [(LC_PROBE92_MU_CNT*16)-1:0] LC_PROBE92_PID = match_tpid(LC_PROBE46_MU_CNT,LC_PROBE92_MU_CNT,(C_EN_DDR_ILA == 1'b1),92);
  localparam [(LC_PROBE93_MU_CNT*16)-1:0] LC_PROBE93_PID = match_tpid(LC_PROBE46_MU_CNT,LC_PROBE93_MU_CNT,(C_EN_DDR_ILA == 1'b1),93);
  localparam [(LC_PROBE94_MU_CNT*16)-1:0] LC_PROBE94_PID = match_tpid(LC_PROBE47_MU_CNT,LC_PROBE94_MU_CNT,(C_EN_DDR_ILA == 1'b1),94);
  localparam [(LC_PROBE95_MU_CNT*16)-1:0] LC_PROBE95_PID = match_tpid(LC_PROBE47_MU_CNT,LC_PROBE95_MU_CNT,(C_EN_DDR_ILA == 1'b1),95);
  localparam [(LC_PROBE96_MU_CNT*16)-1:0] LC_PROBE96_PID = match_tpid(LC_PROBE48_MU_CNT,LC_PROBE96_MU_CNT,(C_EN_DDR_ILA == 1'b1),96);
  localparam [(LC_PROBE97_MU_CNT*16)-1:0] LC_PROBE97_PID = match_tpid(LC_PROBE48_MU_CNT,LC_PROBE97_MU_CNT,(C_EN_DDR_ILA == 1'b1),97);
  localparam [(LC_PROBE98_MU_CNT*16)-1:0] LC_PROBE98_PID = match_tpid(LC_PROBE49_MU_CNT,LC_PROBE98_MU_CNT,(C_EN_DDR_ILA == 1'b1),98);
  localparam [(LC_PROBE99_MU_CNT*16)-1:0] LC_PROBE99_PID = match_tpid(LC_PROBE49_MU_CNT,LC_PROBE99_MU_CNT,(C_EN_DDR_ILA == 1'b1),99);
  localparam [(LC_PROBE100_MU_CNT*16)-1:0] LC_PROBE100_PID = match_tpid(LC_PROBE50_MU_CNT,LC_PROBE100_MU_CNT,(C_EN_DDR_ILA == 1'b1),100);
  localparam [(LC_PROBE101_MU_CNT*16)-1:0] LC_PROBE101_PID = match_tpid(LC_PROBE50_MU_CNT,LC_PROBE101_MU_CNT,(C_EN_DDR_ILA == 1'b1),101);
  localparam [(LC_PROBE102_MU_CNT*16)-1:0] LC_PROBE102_PID = match_tpid(LC_PROBE51_MU_CNT,LC_PROBE102_MU_CNT,(C_EN_DDR_ILA == 1'b1),102);
  localparam [(LC_PROBE103_MU_CNT*16)-1:0] LC_PROBE103_PID = match_tpid(LC_PROBE51_MU_CNT,LC_PROBE103_MU_CNT,(C_EN_DDR_ILA == 1'b1),103);
  localparam [(LC_PROBE104_MU_CNT*16)-1:0] LC_PROBE104_PID = match_tpid(LC_PROBE52_MU_CNT,LC_PROBE104_MU_CNT,(C_EN_DDR_ILA == 1'b1),104);
  localparam [(LC_PROBE105_MU_CNT*16)-1:0] LC_PROBE105_PID = match_tpid(LC_PROBE52_MU_CNT,LC_PROBE105_MU_CNT,(C_EN_DDR_ILA == 1'b1),105);
  localparam [(LC_PROBE106_MU_CNT*16)-1:0] LC_PROBE106_PID = match_tpid(LC_PROBE53_MU_CNT,LC_PROBE106_MU_CNT,(C_EN_DDR_ILA == 1'b1),106);
  localparam [(LC_PROBE107_MU_CNT*16)-1:0] LC_PROBE107_PID = match_tpid(LC_PROBE53_MU_CNT,LC_PROBE107_MU_CNT,(C_EN_DDR_ILA == 1'b1),107);
  localparam [(LC_PROBE108_MU_CNT*16)-1:0] LC_PROBE108_PID = match_tpid(LC_PROBE54_MU_CNT,LC_PROBE108_MU_CNT,(C_EN_DDR_ILA == 1'b1),108);
  localparam [(LC_PROBE109_MU_CNT*16)-1:0] LC_PROBE109_PID = match_tpid(LC_PROBE54_MU_CNT,LC_PROBE109_MU_CNT,(C_EN_DDR_ILA == 1'b1),109);
  localparam [(LC_PROBE110_MU_CNT*16)-1:0] LC_PROBE110_PID = match_tpid(LC_PROBE55_MU_CNT,LC_PROBE110_MU_CNT,(C_EN_DDR_ILA == 1'b1),110);
  localparam [(LC_PROBE111_MU_CNT*16)-1:0] LC_PROBE111_PID = match_tpid(LC_PROBE55_MU_CNT,LC_PROBE111_MU_CNT,(C_EN_DDR_ILA == 1'b1),111);
  localparam [(LC_PROBE112_MU_CNT*16)-1:0] LC_PROBE112_PID = match_tpid(LC_PROBE56_MU_CNT,LC_PROBE112_MU_CNT,(C_EN_DDR_ILA == 1'b1),112);
  localparam [(LC_PROBE113_MU_CNT*16)-1:0] LC_PROBE113_PID = match_tpid(LC_PROBE56_MU_CNT,LC_PROBE113_MU_CNT,(C_EN_DDR_ILA == 1'b1),113);
  localparam [(LC_PROBE114_MU_CNT*16)-1:0] LC_PROBE114_PID = match_tpid(LC_PROBE57_MU_CNT,LC_PROBE114_MU_CNT,(C_EN_DDR_ILA == 1'b1),114);
  localparam [(LC_PROBE115_MU_CNT*16)-1:0] LC_PROBE115_PID = match_tpid(LC_PROBE57_MU_CNT,LC_PROBE115_MU_CNT,(C_EN_DDR_ILA == 1'b1),115);
  localparam [(LC_PROBE116_MU_CNT*16)-1:0] LC_PROBE116_PID = match_tpid(LC_PROBE58_MU_CNT,LC_PROBE116_MU_CNT,(C_EN_DDR_ILA == 1'b1),116);
  localparam [(LC_PROBE117_MU_CNT*16)-1:0] LC_PROBE117_PID = match_tpid(LC_PROBE58_MU_CNT,LC_PROBE117_MU_CNT,(C_EN_DDR_ILA == 1'b1),117);
  localparam [(LC_PROBE118_MU_CNT*16)-1:0] LC_PROBE118_PID = match_tpid(LC_PROBE59_MU_CNT,LC_PROBE118_MU_CNT,(C_EN_DDR_ILA == 1'b1),118);
  localparam [(LC_PROBE119_MU_CNT*16)-1:0] LC_PROBE119_PID = match_tpid(LC_PROBE59_MU_CNT,LC_PROBE119_MU_CNT,(C_EN_DDR_ILA == 1'b1),119);
  localparam [(LC_PROBE120_MU_CNT*16)-1:0] LC_PROBE120_PID = match_tpid(LC_PROBE60_MU_CNT,LC_PROBE120_MU_CNT,(C_EN_DDR_ILA == 1'b1),120);
  localparam [(LC_PROBE121_MU_CNT*16)-1:0] LC_PROBE121_PID = match_tpid(LC_PROBE60_MU_CNT,LC_PROBE121_MU_CNT,(C_EN_DDR_ILA == 1'b1),121);
  localparam [(LC_PROBE122_MU_CNT*16)-1:0] LC_PROBE122_PID = match_tpid(LC_PROBE61_MU_CNT,LC_PROBE122_MU_CNT,(C_EN_DDR_ILA == 1'b1),122);
  localparam [(LC_PROBE123_MU_CNT*16)-1:0] LC_PROBE123_PID = match_tpid(LC_PROBE61_MU_CNT,LC_PROBE123_MU_CNT,(C_EN_DDR_ILA == 1'b1),123);
  localparam [(LC_PROBE124_MU_CNT*16)-1:0] LC_PROBE124_PID = match_tpid(LC_PROBE62_MU_CNT,LC_PROBE124_MU_CNT,(C_EN_DDR_ILA == 1'b1),124);
  localparam [(LC_PROBE125_MU_CNT*16)-1:0] LC_PROBE125_PID = match_tpid(LC_PROBE62_MU_CNT,LC_PROBE125_MU_CNT,(C_EN_DDR_ILA == 1'b1),125);
  localparam [(LC_PROBE126_MU_CNT*16)-1:0] LC_PROBE126_PID = match_tpid(LC_PROBE63_MU_CNT,LC_PROBE126_MU_CNT,(C_EN_DDR_ILA == 1'b1),126);
  localparam [(LC_PROBE127_MU_CNT*16)-1:0] LC_PROBE127_PID = match_tpid(LC_PROBE63_MU_CNT,LC_PROBE127_MU_CNT,(C_EN_DDR_ILA == 1'b1),127);
  localparam [(LC_PROBE128_MU_CNT*16)-1:0] LC_PROBE128_PID = match_tpid(LC_PROBE64_MU_CNT,LC_PROBE128_MU_CNT,(C_EN_DDR_ILA == 1'b1),128);
  localparam [(LC_PROBE129_MU_CNT*16)-1:0] LC_PROBE129_PID = match_tpid(LC_PROBE64_MU_CNT,LC_PROBE129_MU_CNT,(C_EN_DDR_ILA == 1'b1),129);
  localparam [(LC_PROBE130_MU_CNT*16)-1:0] LC_PROBE130_PID = match_tpid(LC_PROBE65_MU_CNT,LC_PROBE130_MU_CNT,(C_EN_DDR_ILA == 1'b1),130);
  localparam [(LC_PROBE131_MU_CNT*16)-1:0] LC_PROBE131_PID = match_tpid(LC_PROBE65_MU_CNT,LC_PROBE131_MU_CNT,(C_EN_DDR_ILA == 1'b1),131);
  localparam [(LC_PROBE132_MU_CNT*16)-1:0] LC_PROBE132_PID = match_tpid(LC_PROBE66_MU_CNT,LC_PROBE132_MU_CNT,(C_EN_DDR_ILA == 1'b1),132);
  localparam [(LC_PROBE133_MU_CNT*16)-1:0] LC_PROBE133_PID = match_tpid(LC_PROBE66_MU_CNT,LC_PROBE133_MU_CNT,(C_EN_DDR_ILA == 1'b1),133);
  localparam [(LC_PROBE134_MU_CNT*16)-1:0] LC_PROBE134_PID = match_tpid(LC_PROBE67_MU_CNT,LC_PROBE134_MU_CNT,(C_EN_DDR_ILA == 1'b1),134);
  localparam [(LC_PROBE135_MU_CNT*16)-1:0] LC_PROBE135_PID = match_tpid(LC_PROBE67_MU_CNT,LC_PROBE135_MU_CNT,(C_EN_DDR_ILA == 1'b1),135);
  localparam [(LC_PROBE136_MU_CNT*16)-1:0] LC_PROBE136_PID = match_tpid(LC_PROBE68_MU_CNT,LC_PROBE136_MU_CNT,(C_EN_DDR_ILA == 1'b1),136);
  localparam [(LC_PROBE137_MU_CNT*16)-1:0] LC_PROBE137_PID = match_tpid(LC_PROBE68_MU_CNT,LC_PROBE137_MU_CNT,(C_EN_DDR_ILA == 1'b1),137);
  localparam [(LC_PROBE138_MU_CNT*16)-1:0] LC_PROBE138_PID = match_tpid(LC_PROBE69_MU_CNT,LC_PROBE138_MU_CNT,(C_EN_DDR_ILA == 1'b1),138);
  localparam [(LC_PROBE139_MU_CNT*16)-1:0] LC_PROBE139_PID = match_tpid(LC_PROBE69_MU_CNT,LC_PROBE139_MU_CNT,(C_EN_DDR_ILA == 1'b1),139);
  localparam [(LC_PROBE140_MU_CNT*16)-1:0] LC_PROBE140_PID = match_tpid(LC_PROBE70_MU_CNT,LC_PROBE140_MU_CNT,(C_EN_DDR_ILA == 1'b1),140);
  localparam [(LC_PROBE141_MU_CNT*16)-1:0] LC_PROBE141_PID = match_tpid(LC_PROBE70_MU_CNT,LC_PROBE141_MU_CNT,(C_EN_DDR_ILA == 1'b1),141);
  localparam [(LC_PROBE142_MU_CNT*16)-1:0] LC_PROBE142_PID = match_tpid(LC_PROBE71_MU_CNT,LC_PROBE142_MU_CNT,(C_EN_DDR_ILA == 1'b1),142);
  localparam [(LC_PROBE143_MU_CNT*16)-1:0] LC_PROBE143_PID = match_tpid(LC_PROBE71_MU_CNT,LC_PROBE143_MU_CNT,(C_EN_DDR_ILA == 1'b1),143);
  localparam [(LC_PROBE144_MU_CNT*16)-1:0] LC_PROBE144_PID = match_tpid(LC_PROBE72_MU_CNT,LC_PROBE144_MU_CNT,(C_EN_DDR_ILA == 1'b1),144);
  localparam [(LC_PROBE145_MU_CNT*16)-1:0] LC_PROBE145_PID = match_tpid(LC_PROBE72_MU_CNT,LC_PROBE145_MU_CNT,(C_EN_DDR_ILA == 1'b1),145);
  localparam [(LC_PROBE146_MU_CNT*16)-1:0] LC_PROBE146_PID = match_tpid(LC_PROBE73_MU_CNT,LC_PROBE146_MU_CNT,(C_EN_DDR_ILA == 1'b1),146);
  localparam [(LC_PROBE147_MU_CNT*16)-1:0] LC_PROBE147_PID = match_tpid(LC_PROBE73_MU_CNT,LC_PROBE147_MU_CNT,(C_EN_DDR_ILA == 1'b1),147);
  localparam [(LC_PROBE148_MU_CNT*16)-1:0] LC_PROBE148_PID = match_tpid(LC_PROBE74_MU_CNT,LC_PROBE148_MU_CNT,(C_EN_DDR_ILA == 1'b1),148);
  localparam [(LC_PROBE149_MU_CNT*16)-1:0] LC_PROBE149_PID = match_tpid(LC_PROBE74_MU_CNT,LC_PROBE149_MU_CNT,(C_EN_DDR_ILA == 1'b1),149);
  localparam [(LC_PROBE150_MU_CNT*16)-1:0] LC_PROBE150_PID = match_tpid(LC_PROBE75_MU_CNT,LC_PROBE150_MU_CNT,(C_EN_DDR_ILA == 1'b1),150);
  localparam [(LC_PROBE151_MU_CNT*16)-1:0] LC_PROBE151_PID = match_tpid(LC_PROBE75_MU_CNT,LC_PROBE151_MU_CNT,(C_EN_DDR_ILA == 1'b1),151);
  localparam [(LC_PROBE152_MU_CNT*16)-1:0] LC_PROBE152_PID = match_tpid(LC_PROBE76_MU_CNT,LC_PROBE152_MU_CNT,(C_EN_DDR_ILA == 1'b1),152);
  localparam [(LC_PROBE153_MU_CNT*16)-1:0] LC_PROBE153_PID = match_tpid(LC_PROBE76_MU_CNT,LC_PROBE153_MU_CNT,(C_EN_DDR_ILA == 1'b1),153);
  localparam [(LC_PROBE154_MU_CNT*16)-1:0] LC_PROBE154_PID = match_tpid(LC_PROBE77_MU_CNT,LC_PROBE154_MU_CNT,(C_EN_DDR_ILA == 1'b1),154);
  localparam [(LC_PROBE155_MU_CNT*16)-1:0] LC_PROBE155_PID = match_tpid(LC_PROBE77_MU_CNT,LC_PROBE155_MU_CNT,(C_EN_DDR_ILA == 1'b1),155);
  localparam [(LC_PROBE156_MU_CNT*16)-1:0] LC_PROBE156_PID = match_tpid(LC_PROBE78_MU_CNT,LC_PROBE156_MU_CNT,(C_EN_DDR_ILA == 1'b1),156);
  localparam [(LC_PROBE157_MU_CNT*16)-1:0] LC_PROBE157_PID = match_tpid(LC_PROBE78_MU_CNT,LC_PROBE157_MU_CNT,(C_EN_DDR_ILA == 1'b1),157);
  localparam [(LC_PROBE158_MU_CNT*16)-1:0] LC_PROBE158_PID = match_tpid(LC_PROBE79_MU_CNT,LC_PROBE158_MU_CNT,(C_EN_DDR_ILA == 1'b1),158);
  localparam [(LC_PROBE159_MU_CNT*16)-1:0] LC_PROBE159_PID = match_tpid(LC_PROBE79_MU_CNT,LC_PROBE159_MU_CNT,(C_EN_DDR_ILA == 1'b1),159);
  localparam [(LC_PROBE160_MU_CNT*16)-1:0] LC_PROBE160_PID = match_tpid(LC_PROBE80_MU_CNT,LC_PROBE160_MU_CNT,(C_EN_DDR_ILA == 1'b1),160);
  localparam [(LC_PROBE161_MU_CNT*16)-1:0] LC_PROBE161_PID = match_tpid(LC_PROBE80_MU_CNT,LC_PROBE161_MU_CNT,(C_EN_DDR_ILA == 1'b1),161);
  localparam [(LC_PROBE162_MU_CNT*16)-1:0] LC_PROBE162_PID = match_tpid(LC_PROBE81_MU_CNT,LC_PROBE162_MU_CNT,(C_EN_DDR_ILA == 1'b1),162);
  localparam [(LC_PROBE163_MU_CNT*16)-1:0] LC_PROBE163_PID = match_tpid(LC_PROBE81_MU_CNT,LC_PROBE163_MU_CNT,(C_EN_DDR_ILA == 1'b1),163);
  localparam [(LC_PROBE164_MU_CNT*16)-1:0] LC_PROBE164_PID = match_tpid(LC_PROBE82_MU_CNT,LC_PROBE164_MU_CNT,(C_EN_DDR_ILA == 1'b1),164);
  localparam [(LC_PROBE165_MU_CNT*16)-1:0] LC_PROBE165_PID = match_tpid(LC_PROBE82_MU_CNT,LC_PROBE165_MU_CNT,(C_EN_DDR_ILA == 1'b1),165);
  localparam [(LC_PROBE166_MU_CNT*16)-1:0] LC_PROBE166_PID = match_tpid(LC_PROBE83_MU_CNT,LC_PROBE166_MU_CNT,(C_EN_DDR_ILA == 1'b1),166);
  localparam [(LC_PROBE167_MU_CNT*16)-1:0] LC_PROBE167_PID = match_tpid(LC_PROBE83_MU_CNT,LC_PROBE167_MU_CNT,(C_EN_DDR_ILA == 1'b1),167);
  localparam [(LC_PROBE168_MU_CNT*16)-1:0] LC_PROBE168_PID = match_tpid(LC_PROBE84_MU_CNT,LC_PROBE168_MU_CNT,(C_EN_DDR_ILA == 1'b1),168);
  localparam [(LC_PROBE169_MU_CNT*16)-1:0] LC_PROBE169_PID = match_tpid(LC_PROBE84_MU_CNT,LC_PROBE169_MU_CNT,(C_EN_DDR_ILA == 1'b1),169);
  localparam [(LC_PROBE170_MU_CNT*16)-1:0] LC_PROBE170_PID = match_tpid(LC_PROBE85_MU_CNT,LC_PROBE170_MU_CNT,(C_EN_DDR_ILA == 1'b1),170);
  localparam [(LC_PROBE171_MU_CNT*16)-1:0] LC_PROBE171_PID = match_tpid(LC_PROBE85_MU_CNT,LC_PROBE171_MU_CNT,(C_EN_DDR_ILA == 1'b1),171);
  localparam [(LC_PROBE172_MU_CNT*16)-1:0] LC_PROBE172_PID = match_tpid(LC_PROBE86_MU_CNT,LC_PROBE172_MU_CNT,(C_EN_DDR_ILA == 1'b1),172);
  localparam [(LC_PROBE173_MU_CNT*16)-1:0] LC_PROBE173_PID = match_tpid(LC_PROBE86_MU_CNT,LC_PROBE173_MU_CNT,(C_EN_DDR_ILA == 1'b1),173);
  localparam [(LC_PROBE174_MU_CNT*16)-1:0] LC_PROBE174_PID = match_tpid(LC_PROBE87_MU_CNT,LC_PROBE174_MU_CNT,(C_EN_DDR_ILA == 1'b1),174);
  localparam [(LC_PROBE175_MU_CNT*16)-1:0] LC_PROBE175_PID = match_tpid(LC_PROBE87_MU_CNT,LC_PROBE175_MU_CNT,(C_EN_DDR_ILA == 1'b1),175);
  localparam [(LC_PROBE176_MU_CNT*16)-1:0] LC_PROBE176_PID = match_tpid(LC_PROBE88_MU_CNT,LC_PROBE176_MU_CNT,(C_EN_DDR_ILA == 1'b1),176);
  localparam [(LC_PROBE177_MU_CNT*16)-1:0] LC_PROBE177_PID = match_tpid(LC_PROBE88_MU_CNT,LC_PROBE177_MU_CNT,(C_EN_DDR_ILA == 1'b1),177);
  localparam [(LC_PROBE178_MU_CNT*16)-1:0] LC_PROBE178_PID = match_tpid(LC_PROBE89_MU_CNT,LC_PROBE178_MU_CNT,(C_EN_DDR_ILA == 1'b1),178);
  localparam [(LC_PROBE179_MU_CNT*16)-1:0] LC_PROBE179_PID = match_tpid(LC_PROBE89_MU_CNT,LC_PROBE179_MU_CNT,(C_EN_DDR_ILA == 1'b1),179);
  localparam [(LC_PROBE180_MU_CNT*16)-1:0] LC_PROBE180_PID = match_tpid(LC_PROBE90_MU_CNT,LC_PROBE180_MU_CNT,(C_EN_DDR_ILA == 1'b1),180);
  localparam [(LC_PROBE181_MU_CNT*16)-1:0] LC_PROBE181_PID = match_tpid(LC_PROBE90_MU_CNT,LC_PROBE181_MU_CNT,(C_EN_DDR_ILA == 1'b1),181);
  localparam [(LC_PROBE182_MU_CNT*16)-1:0] LC_PROBE182_PID = match_tpid(LC_PROBE91_MU_CNT,LC_PROBE182_MU_CNT,(C_EN_DDR_ILA == 1'b1),182);
  localparam [(LC_PROBE183_MU_CNT*16)-1:0] LC_PROBE183_PID = match_tpid(LC_PROBE91_MU_CNT,LC_PROBE183_MU_CNT,(C_EN_DDR_ILA == 1'b1),183);
  localparam [(LC_PROBE184_MU_CNT*16)-1:0] LC_PROBE184_PID = match_tpid(LC_PROBE92_MU_CNT,LC_PROBE184_MU_CNT,(C_EN_DDR_ILA == 1'b1),184);
  localparam [(LC_PROBE185_MU_CNT*16)-1:0] LC_PROBE185_PID = match_tpid(LC_PROBE92_MU_CNT,LC_PROBE185_MU_CNT,(C_EN_DDR_ILA == 1'b1),185);
  localparam [(LC_PROBE186_MU_CNT*16)-1:0] LC_PROBE186_PID = match_tpid(LC_PROBE93_MU_CNT,LC_PROBE186_MU_CNT,(C_EN_DDR_ILA == 1'b1),186);
  localparam [(LC_PROBE187_MU_CNT*16)-1:0] LC_PROBE187_PID = match_tpid(LC_PROBE93_MU_CNT,LC_PROBE187_MU_CNT,(C_EN_DDR_ILA == 1'b1),187);
  localparam [(LC_PROBE188_MU_CNT*16)-1:0] LC_PROBE188_PID = match_tpid(LC_PROBE94_MU_CNT,LC_PROBE188_MU_CNT,(C_EN_DDR_ILA == 1'b1),188);
  localparam [(LC_PROBE189_MU_CNT*16)-1:0] LC_PROBE189_PID = match_tpid(LC_PROBE94_MU_CNT,LC_PROBE189_MU_CNT,(C_EN_DDR_ILA == 1'b1),189);
  localparam [(LC_PROBE190_MU_CNT*16)-1:0] LC_PROBE190_PID = match_tpid(LC_PROBE95_MU_CNT,LC_PROBE190_MU_CNT,(C_EN_DDR_ILA == 1'b1),190);
  localparam [(LC_PROBE191_MU_CNT*16)-1:0] LC_PROBE191_PID = match_tpid(LC_PROBE95_MU_CNT,LC_PROBE191_MU_CNT,(C_EN_DDR_ILA == 1'b1),191);
  localparam [(LC_PROBE192_MU_CNT*16)-1:0] LC_PROBE192_PID = match_tpid(LC_PROBE96_MU_CNT,LC_PROBE192_MU_CNT,(C_EN_DDR_ILA == 1'b1),192);
  localparam [(LC_PROBE193_MU_CNT*16)-1:0] LC_PROBE193_PID = match_tpid(LC_PROBE96_MU_CNT,LC_PROBE193_MU_CNT,(C_EN_DDR_ILA == 1'b1),193);
  localparam [(LC_PROBE194_MU_CNT*16)-1:0] LC_PROBE194_PID = match_tpid(LC_PROBE97_MU_CNT,LC_PROBE194_MU_CNT,(C_EN_DDR_ILA == 1'b1),194);
  localparam [(LC_PROBE195_MU_CNT*16)-1:0] LC_PROBE195_PID = match_tpid(LC_PROBE97_MU_CNT,LC_PROBE195_MU_CNT,(C_EN_DDR_ILA == 1'b1),195);
  localparam [(LC_PROBE196_MU_CNT*16)-1:0] LC_PROBE196_PID = match_tpid(LC_PROBE98_MU_CNT,LC_PROBE196_MU_CNT,(C_EN_DDR_ILA == 1'b1),196);
  localparam [(LC_PROBE197_MU_CNT*16)-1:0] LC_PROBE197_PID = match_tpid(LC_PROBE98_MU_CNT,LC_PROBE197_MU_CNT,(C_EN_DDR_ILA == 1'b1),197);
  localparam [(LC_PROBE198_MU_CNT*16)-1:0] LC_PROBE198_PID = match_tpid(LC_PROBE99_MU_CNT,LC_PROBE198_MU_CNT,(C_EN_DDR_ILA == 1'b1),198);
  localparam [(LC_PROBE199_MU_CNT*16)-1:0] LC_PROBE199_PID = match_tpid(LC_PROBE99_MU_CNT,LC_PROBE199_MU_CNT,(C_EN_DDR_ILA == 1'b1),199);
  localparam [(LC_PROBE200_MU_CNT*16)-1:0] LC_PROBE200_PID = match_tpid(LC_PROBE100_MU_CNT,LC_PROBE200_MU_CNT,(C_EN_DDR_ILA == 1'b1),200);
  localparam [(LC_PROBE201_MU_CNT*16)-1:0] LC_PROBE201_PID = match_tpid(LC_PROBE100_MU_CNT,LC_PROBE201_MU_CNT,(C_EN_DDR_ILA == 1'b1),201);
  localparam [(LC_PROBE202_MU_CNT*16)-1:0] LC_PROBE202_PID = match_tpid(LC_PROBE101_MU_CNT,LC_PROBE202_MU_CNT,(C_EN_DDR_ILA == 1'b1),202);
  localparam [(LC_PROBE203_MU_CNT*16)-1:0] LC_PROBE203_PID = match_tpid(LC_PROBE101_MU_CNT,LC_PROBE203_MU_CNT,(C_EN_DDR_ILA == 1'b1),203);
  localparam [(LC_PROBE204_MU_CNT*16)-1:0] LC_PROBE204_PID = match_tpid(LC_PROBE102_MU_CNT,LC_PROBE204_MU_CNT,(C_EN_DDR_ILA == 1'b1),204);
  localparam [(LC_PROBE205_MU_CNT*16)-1:0] LC_PROBE205_PID = match_tpid(LC_PROBE102_MU_CNT,LC_PROBE205_MU_CNT,(C_EN_DDR_ILA == 1'b1),205);
  localparam [(LC_PROBE206_MU_CNT*16)-1:0] LC_PROBE206_PID = match_tpid(LC_PROBE103_MU_CNT,LC_PROBE206_MU_CNT,(C_EN_DDR_ILA == 1'b1),206);
  localparam [(LC_PROBE207_MU_CNT*16)-1:0] LC_PROBE207_PID = match_tpid(LC_PROBE103_MU_CNT,LC_PROBE207_MU_CNT,(C_EN_DDR_ILA == 1'b1),207);
  localparam [(LC_PROBE208_MU_CNT*16)-1:0] LC_PROBE208_PID = match_tpid(LC_PROBE104_MU_CNT,LC_PROBE208_MU_CNT,(C_EN_DDR_ILA == 1'b1),208);
  localparam [(LC_PROBE209_MU_CNT*16)-1:0] LC_PROBE209_PID = match_tpid(LC_PROBE104_MU_CNT,LC_PROBE209_MU_CNT,(C_EN_DDR_ILA == 1'b1),209);
  localparam [(LC_PROBE210_MU_CNT*16)-1:0] LC_PROBE210_PID = match_tpid(LC_PROBE105_MU_CNT,LC_PROBE210_MU_CNT,(C_EN_DDR_ILA == 1'b1),210);
  localparam [(LC_PROBE211_MU_CNT*16)-1:0] LC_PROBE211_PID = match_tpid(LC_PROBE105_MU_CNT,LC_PROBE211_MU_CNT,(C_EN_DDR_ILA == 1'b1),211);
  localparam [(LC_PROBE212_MU_CNT*16)-1:0] LC_PROBE212_PID = match_tpid(LC_PROBE106_MU_CNT,LC_PROBE212_MU_CNT,(C_EN_DDR_ILA == 1'b1),212);
  localparam [(LC_PROBE213_MU_CNT*16)-1:0] LC_PROBE213_PID = match_tpid(LC_PROBE106_MU_CNT,LC_PROBE213_MU_CNT,(C_EN_DDR_ILA == 1'b1),213);
  localparam [(LC_PROBE214_MU_CNT*16)-1:0] LC_PROBE214_PID = match_tpid(LC_PROBE107_MU_CNT,LC_PROBE214_MU_CNT,(C_EN_DDR_ILA == 1'b1),214);
  localparam [(LC_PROBE215_MU_CNT*16)-1:0] LC_PROBE215_PID = match_tpid(LC_PROBE107_MU_CNT,LC_PROBE215_MU_CNT,(C_EN_DDR_ILA == 1'b1),215);
  localparam [(LC_PROBE216_MU_CNT*16)-1:0] LC_PROBE216_PID = match_tpid(LC_PROBE108_MU_CNT,LC_PROBE216_MU_CNT,(C_EN_DDR_ILA == 1'b1),216);
  localparam [(LC_PROBE217_MU_CNT*16)-1:0] LC_PROBE217_PID = match_tpid(LC_PROBE108_MU_CNT,LC_PROBE217_MU_CNT,(C_EN_DDR_ILA == 1'b1),217);
  localparam [(LC_PROBE218_MU_CNT*16)-1:0] LC_PROBE218_PID = match_tpid(LC_PROBE109_MU_CNT,LC_PROBE218_MU_CNT,(C_EN_DDR_ILA == 1'b1),218);
  localparam [(LC_PROBE219_MU_CNT*16)-1:0] LC_PROBE219_PID = match_tpid(LC_PROBE109_MU_CNT,LC_PROBE219_MU_CNT,(C_EN_DDR_ILA == 1'b1),219);
  localparam [(LC_PROBE220_MU_CNT*16)-1:0] LC_PROBE220_PID = match_tpid(LC_PROBE110_MU_CNT,LC_PROBE220_MU_CNT,(C_EN_DDR_ILA == 1'b1),220);
  localparam [(LC_PROBE221_MU_CNT*16)-1:0] LC_PROBE221_PID = match_tpid(LC_PROBE110_MU_CNT,LC_PROBE221_MU_CNT,(C_EN_DDR_ILA == 1'b1),221);
  localparam [(LC_PROBE222_MU_CNT*16)-1:0] LC_PROBE222_PID = match_tpid(LC_PROBE111_MU_CNT,LC_PROBE222_MU_CNT,(C_EN_DDR_ILA == 1'b1),222);
  localparam [(LC_PROBE223_MU_CNT*16)-1:0] LC_PROBE223_PID = match_tpid(LC_PROBE111_MU_CNT,LC_PROBE223_MU_CNT,(C_EN_DDR_ILA == 1'b1),223);
  localparam [(LC_PROBE224_MU_CNT*16)-1:0] LC_PROBE224_PID = match_tpid(LC_PROBE112_MU_CNT,LC_PROBE224_MU_CNT,(C_EN_DDR_ILA == 1'b1),224);
  localparam [(LC_PROBE225_MU_CNT*16)-1:0] LC_PROBE225_PID = match_tpid(LC_PROBE112_MU_CNT,LC_PROBE225_MU_CNT,(C_EN_DDR_ILA == 1'b1),225);
  localparam [(LC_PROBE226_MU_CNT*16)-1:0] LC_PROBE226_PID = match_tpid(LC_PROBE113_MU_CNT,LC_PROBE226_MU_CNT,(C_EN_DDR_ILA == 1'b1),226);
  localparam [(LC_PROBE227_MU_CNT*16)-1:0] LC_PROBE227_PID = match_tpid(LC_PROBE113_MU_CNT,LC_PROBE227_MU_CNT,(C_EN_DDR_ILA == 1'b1),227);
  localparam [(LC_PROBE228_MU_CNT*16)-1:0] LC_PROBE228_PID = match_tpid(LC_PROBE114_MU_CNT,LC_PROBE228_MU_CNT,(C_EN_DDR_ILA == 1'b1),228);
  localparam [(LC_PROBE229_MU_CNT*16)-1:0] LC_PROBE229_PID = match_tpid(LC_PROBE114_MU_CNT,LC_PROBE229_MU_CNT,(C_EN_DDR_ILA == 1'b1),229);
  localparam [(LC_PROBE230_MU_CNT*16)-1:0] LC_PROBE230_PID = match_tpid(LC_PROBE115_MU_CNT,LC_PROBE230_MU_CNT,(C_EN_DDR_ILA == 1'b1),230);
  localparam [(LC_PROBE231_MU_CNT*16)-1:0] LC_PROBE231_PID = match_tpid(LC_PROBE115_MU_CNT,LC_PROBE231_MU_CNT,(C_EN_DDR_ILA == 1'b1),231);
  localparam [(LC_PROBE232_MU_CNT*16)-1:0] LC_PROBE232_PID = match_tpid(LC_PROBE116_MU_CNT,LC_PROBE232_MU_CNT,(C_EN_DDR_ILA == 1'b1),232);
  localparam [(LC_PROBE233_MU_CNT*16)-1:0] LC_PROBE233_PID = match_tpid(LC_PROBE116_MU_CNT,LC_PROBE233_MU_CNT,(C_EN_DDR_ILA == 1'b1),233);
  localparam [(LC_PROBE234_MU_CNT*16)-1:0] LC_PROBE234_PID = match_tpid(LC_PROBE117_MU_CNT,LC_PROBE234_MU_CNT,(C_EN_DDR_ILA == 1'b1),234);
  localparam [(LC_PROBE235_MU_CNT*16)-1:0] LC_PROBE235_PID = match_tpid(LC_PROBE117_MU_CNT,LC_PROBE235_MU_CNT,(C_EN_DDR_ILA == 1'b1),235);
  localparam [(LC_PROBE236_MU_CNT*16)-1:0] LC_PROBE236_PID = match_tpid(LC_PROBE118_MU_CNT,LC_PROBE236_MU_CNT,(C_EN_DDR_ILA == 1'b1),236);
  localparam [(LC_PROBE237_MU_CNT*16)-1:0] LC_PROBE237_PID = match_tpid(LC_PROBE118_MU_CNT,LC_PROBE237_MU_CNT,(C_EN_DDR_ILA == 1'b1),237);
  localparam [(LC_PROBE238_MU_CNT*16)-1:0] LC_PROBE238_PID = match_tpid(LC_PROBE119_MU_CNT,LC_PROBE238_MU_CNT,(C_EN_DDR_ILA == 1'b1),238);
  localparam [(LC_PROBE239_MU_CNT*16)-1:0] LC_PROBE239_PID = match_tpid(LC_PROBE119_MU_CNT,LC_PROBE239_MU_CNT,(C_EN_DDR_ILA == 1'b1),239);
  localparam [(LC_PROBE240_MU_CNT*16)-1:0] LC_PROBE240_PID = match_tpid(LC_PROBE120_MU_CNT,LC_PROBE240_MU_CNT,(C_EN_DDR_ILA == 1'b1),240);
  localparam [(LC_PROBE241_MU_CNT*16)-1:0] LC_PROBE241_PID = match_tpid(LC_PROBE120_MU_CNT,LC_PROBE241_MU_CNT,(C_EN_DDR_ILA == 1'b1),241);
  localparam [(LC_PROBE242_MU_CNT*16)-1:0] LC_PROBE242_PID = match_tpid(LC_PROBE121_MU_CNT,LC_PROBE242_MU_CNT,(C_EN_DDR_ILA == 1'b1),242);
  localparam [(LC_PROBE243_MU_CNT*16)-1:0] LC_PROBE243_PID = match_tpid(LC_PROBE121_MU_CNT,LC_PROBE243_MU_CNT,(C_EN_DDR_ILA == 1'b1),243);
  localparam [(LC_PROBE244_MU_CNT*16)-1:0] LC_PROBE244_PID = match_tpid(LC_PROBE122_MU_CNT,LC_PROBE244_MU_CNT,(C_EN_DDR_ILA == 1'b1),244);
  localparam [(LC_PROBE245_MU_CNT*16)-1:0] LC_PROBE245_PID = match_tpid(LC_PROBE122_MU_CNT,LC_PROBE245_MU_CNT,(C_EN_DDR_ILA == 1'b1),245);
  localparam [(LC_PROBE246_MU_CNT*16)-1:0] LC_PROBE246_PID = match_tpid(LC_PROBE123_MU_CNT,LC_PROBE246_MU_CNT,(C_EN_DDR_ILA == 1'b1),246);
  localparam [(LC_PROBE247_MU_CNT*16)-1:0] LC_PROBE247_PID = match_tpid(LC_PROBE123_MU_CNT,LC_PROBE247_MU_CNT,(C_EN_DDR_ILA == 1'b1),247);
  localparam [(LC_PROBE248_MU_CNT*16)-1:0] LC_PROBE248_PID = match_tpid(LC_PROBE124_MU_CNT,LC_PROBE248_MU_CNT,(C_EN_DDR_ILA == 1'b1),248);
  localparam [(LC_PROBE249_MU_CNT*16)-1:0] LC_PROBE249_PID = match_tpid(LC_PROBE124_MU_CNT,LC_PROBE249_MU_CNT,(C_EN_DDR_ILA == 1'b1),249);
  localparam [(LC_PROBE250_MU_CNT*16)-1:0] LC_PROBE250_PID = match_tpid(LC_PROBE125_MU_CNT,LC_PROBE250_MU_CNT,(C_EN_DDR_ILA == 1'b1),250);
  localparam [(LC_PROBE251_MU_CNT*16)-1:0] LC_PROBE251_PID = match_tpid(LC_PROBE125_MU_CNT,LC_PROBE251_MU_CNT,(C_EN_DDR_ILA == 1'b1),251);
  localparam [(LC_PROBE252_MU_CNT*16)-1:0] LC_PROBE252_PID = match_tpid(LC_PROBE126_MU_CNT,LC_PROBE252_MU_CNT,(C_EN_DDR_ILA == 1'b1),252);
  localparam [(LC_PROBE253_MU_CNT*16)-1:0] LC_PROBE253_PID = match_tpid(LC_PROBE126_MU_CNT,LC_PROBE253_MU_CNT,(C_EN_DDR_ILA == 1'b1),253);
  localparam [(LC_PROBE254_MU_CNT*16)-1:0] LC_PROBE254_PID = match_tpid(LC_PROBE127_MU_CNT,LC_PROBE254_MU_CNT,(C_EN_DDR_ILA == 1'b1),254);
  localparam [(LC_PROBE255_MU_CNT*16)-1:0] LC_PROBE255_PID = match_tpid(LC_PROBE127_MU_CNT,LC_PROBE255_MU_CNT,(C_EN_DDR_ILA == 1'b1),255);
  localparam [(LC_PROBE256_MU_CNT*16)-1:0] LC_PROBE256_PID = match_tpid(LC_PROBE128_MU_CNT,LC_PROBE256_MU_CNT,(C_EN_DDR_ILA == 1'b1),256);
  localparam [(LC_PROBE257_MU_CNT*16)-1:0] LC_PROBE257_PID = match_tpid(LC_PROBE128_MU_CNT,LC_PROBE257_MU_CNT,(C_EN_DDR_ILA == 1'b1),257);
  localparam [(LC_PROBE258_MU_CNT*16)-1:0] LC_PROBE258_PID = match_tpid(LC_PROBE129_MU_CNT,LC_PROBE258_MU_CNT,(C_EN_DDR_ILA == 1'b1),258);
  localparam [(LC_PROBE259_MU_CNT*16)-1:0] LC_PROBE259_PID = match_tpid(LC_PROBE129_MU_CNT,LC_PROBE259_MU_CNT,(C_EN_DDR_ILA == 1'b1),259);
  localparam [(LC_PROBE260_MU_CNT*16)-1:0] LC_PROBE260_PID = match_tpid(LC_PROBE130_MU_CNT,LC_PROBE260_MU_CNT,(C_EN_DDR_ILA == 1'b1),260);
  localparam [(LC_PROBE261_MU_CNT*16)-1:0] LC_PROBE261_PID = match_tpid(LC_PROBE130_MU_CNT,LC_PROBE261_MU_CNT,(C_EN_DDR_ILA == 1'b1),261);
  localparam [(LC_PROBE262_MU_CNT*16)-1:0] LC_PROBE262_PID = match_tpid(LC_PROBE131_MU_CNT,LC_PROBE262_MU_CNT,(C_EN_DDR_ILA == 1'b1),262);
  localparam [(LC_PROBE263_MU_CNT*16)-1:0] LC_PROBE263_PID = match_tpid(LC_PROBE131_MU_CNT,LC_PROBE263_MU_CNT,(C_EN_DDR_ILA == 1'b1),263);
  localparam [(LC_PROBE264_MU_CNT*16)-1:0] LC_PROBE264_PID = match_tpid(LC_PROBE132_MU_CNT,LC_PROBE264_MU_CNT,(C_EN_DDR_ILA == 1'b1),264);
  localparam [(LC_PROBE265_MU_CNT*16)-1:0] LC_PROBE265_PID = match_tpid(LC_PROBE132_MU_CNT,LC_PROBE265_MU_CNT,(C_EN_DDR_ILA == 1'b1),265);
  localparam [(LC_PROBE266_MU_CNT*16)-1:0] LC_PROBE266_PID = match_tpid(LC_PROBE133_MU_CNT,LC_PROBE266_MU_CNT,(C_EN_DDR_ILA == 1'b1),266);
  localparam [(LC_PROBE267_MU_CNT*16)-1:0] LC_PROBE267_PID = match_tpid(LC_PROBE133_MU_CNT,LC_PROBE267_MU_CNT,(C_EN_DDR_ILA == 1'b1),267);
  localparam [(LC_PROBE268_MU_CNT*16)-1:0] LC_PROBE268_PID = match_tpid(LC_PROBE134_MU_CNT,LC_PROBE268_MU_CNT,(C_EN_DDR_ILA == 1'b1),268);
  localparam [(LC_PROBE269_MU_CNT*16)-1:0] LC_PROBE269_PID = match_tpid(LC_PROBE134_MU_CNT,LC_PROBE269_MU_CNT,(C_EN_DDR_ILA == 1'b1),269);
  localparam [(LC_PROBE270_MU_CNT*16)-1:0] LC_PROBE270_PID = match_tpid(LC_PROBE135_MU_CNT,LC_PROBE270_MU_CNT,(C_EN_DDR_ILA == 1'b1),270);
  localparam [(LC_PROBE271_MU_CNT*16)-1:0] LC_PROBE271_PID = match_tpid(LC_PROBE135_MU_CNT,LC_PROBE271_MU_CNT,(C_EN_DDR_ILA == 1'b1),271);
  localparam [(LC_PROBE272_MU_CNT*16)-1:0] LC_PROBE272_PID = match_tpid(LC_PROBE136_MU_CNT,LC_PROBE272_MU_CNT,(C_EN_DDR_ILA == 1'b1),272);
  localparam [(LC_PROBE273_MU_CNT*16)-1:0] LC_PROBE273_PID = match_tpid(LC_PROBE136_MU_CNT,LC_PROBE273_MU_CNT,(C_EN_DDR_ILA == 1'b1),273);
  localparam [(LC_PROBE274_MU_CNT*16)-1:0] LC_PROBE274_PID = match_tpid(LC_PROBE137_MU_CNT,LC_PROBE274_MU_CNT,(C_EN_DDR_ILA == 1'b1),274);
  localparam [(LC_PROBE275_MU_CNT*16)-1:0] LC_PROBE275_PID = match_tpid(LC_PROBE137_MU_CNT,LC_PROBE275_MU_CNT,(C_EN_DDR_ILA == 1'b1),275);
  localparam [(LC_PROBE276_MU_CNT*16)-1:0] LC_PROBE276_PID = match_tpid(LC_PROBE138_MU_CNT,LC_PROBE276_MU_CNT,(C_EN_DDR_ILA == 1'b1),276);
  localparam [(LC_PROBE277_MU_CNT*16)-1:0] LC_PROBE277_PID = match_tpid(LC_PROBE138_MU_CNT,LC_PROBE277_MU_CNT,(C_EN_DDR_ILA == 1'b1),277);
  localparam [(LC_PROBE278_MU_CNT*16)-1:0] LC_PROBE278_PID = match_tpid(LC_PROBE139_MU_CNT,LC_PROBE278_MU_CNT,(C_EN_DDR_ILA == 1'b1),278);
  localparam [(LC_PROBE279_MU_CNT*16)-1:0] LC_PROBE279_PID = match_tpid(LC_PROBE139_MU_CNT,LC_PROBE279_MU_CNT,(C_EN_DDR_ILA == 1'b1),279);
  localparam [(LC_PROBE280_MU_CNT*16)-1:0] LC_PROBE280_PID = match_tpid(LC_PROBE140_MU_CNT,LC_PROBE280_MU_CNT,(C_EN_DDR_ILA == 1'b1),280);
  localparam [(LC_PROBE281_MU_CNT*16)-1:0] LC_PROBE281_PID = match_tpid(LC_PROBE140_MU_CNT,LC_PROBE281_MU_CNT,(C_EN_DDR_ILA == 1'b1),281);
  localparam [(LC_PROBE282_MU_CNT*16)-1:0] LC_PROBE282_PID = match_tpid(LC_PROBE141_MU_CNT,LC_PROBE282_MU_CNT,(C_EN_DDR_ILA == 1'b1),282);
  localparam [(LC_PROBE283_MU_CNT*16)-1:0] LC_PROBE283_PID = match_tpid(LC_PROBE141_MU_CNT,LC_PROBE283_MU_CNT,(C_EN_DDR_ILA == 1'b1),283);
  localparam [(LC_PROBE284_MU_CNT*16)-1:0] LC_PROBE284_PID = match_tpid(LC_PROBE142_MU_CNT,LC_PROBE284_MU_CNT,(C_EN_DDR_ILA == 1'b1),284);
  localparam [(LC_PROBE285_MU_CNT*16)-1:0] LC_PROBE285_PID = match_tpid(LC_PROBE142_MU_CNT,LC_PROBE285_MU_CNT,(C_EN_DDR_ILA == 1'b1),285);
  localparam [(LC_PROBE286_MU_CNT*16)-1:0] LC_PROBE286_PID = match_tpid(LC_PROBE143_MU_CNT,LC_PROBE286_MU_CNT,(C_EN_DDR_ILA == 1'b1),286);
  localparam [(LC_PROBE287_MU_CNT*16)-1:0] LC_PROBE287_PID = match_tpid(LC_PROBE143_MU_CNT,LC_PROBE287_MU_CNT,(C_EN_DDR_ILA == 1'b1),287);
  localparam [(LC_PROBE288_MU_CNT*16)-1:0] LC_PROBE288_PID = match_tpid(LC_PROBE144_MU_CNT,LC_PROBE288_MU_CNT,(C_EN_DDR_ILA == 1'b1),288);
  localparam [(LC_PROBE289_MU_CNT*16)-1:0] LC_PROBE289_PID = match_tpid(LC_PROBE144_MU_CNT,LC_PROBE289_MU_CNT,(C_EN_DDR_ILA == 1'b1),289);
  localparam [(LC_PROBE290_MU_CNT*16)-1:0] LC_PROBE290_PID = match_tpid(LC_PROBE145_MU_CNT,LC_PROBE290_MU_CNT,(C_EN_DDR_ILA == 1'b1),290);
  localparam [(LC_PROBE291_MU_CNT*16)-1:0] LC_PROBE291_PID = match_tpid(LC_PROBE145_MU_CNT,LC_PROBE291_MU_CNT,(C_EN_DDR_ILA == 1'b1),291);
  localparam [(LC_PROBE292_MU_CNT*16)-1:0] LC_PROBE292_PID = match_tpid(LC_PROBE146_MU_CNT,LC_PROBE292_MU_CNT,(C_EN_DDR_ILA == 1'b1),292);
  localparam [(LC_PROBE293_MU_CNT*16)-1:0] LC_PROBE293_PID = match_tpid(LC_PROBE146_MU_CNT,LC_PROBE293_MU_CNT,(C_EN_DDR_ILA == 1'b1),293);
  localparam [(LC_PROBE294_MU_CNT*16)-1:0] LC_PROBE294_PID = match_tpid(LC_PROBE147_MU_CNT,LC_PROBE294_MU_CNT,(C_EN_DDR_ILA == 1'b1),294);
  localparam [(LC_PROBE295_MU_CNT*16)-1:0] LC_PROBE295_PID = match_tpid(LC_PROBE147_MU_CNT,LC_PROBE295_MU_CNT,(C_EN_DDR_ILA == 1'b1),295);
  localparam [(LC_PROBE296_MU_CNT*16)-1:0] LC_PROBE296_PID = match_tpid(LC_PROBE148_MU_CNT,LC_PROBE296_MU_CNT,(C_EN_DDR_ILA == 1'b1),296);
  localparam [(LC_PROBE297_MU_CNT*16)-1:0] LC_PROBE297_PID = match_tpid(LC_PROBE148_MU_CNT,LC_PROBE297_MU_CNT,(C_EN_DDR_ILA == 1'b1),297);
  localparam [(LC_PROBE298_MU_CNT*16)-1:0] LC_PROBE298_PID = match_tpid(LC_PROBE149_MU_CNT,LC_PROBE298_MU_CNT,(C_EN_DDR_ILA == 1'b1),298);
  localparam [(LC_PROBE299_MU_CNT*16)-1:0] LC_PROBE299_PID = match_tpid(LC_PROBE149_MU_CNT,LC_PROBE299_MU_CNT,(C_EN_DDR_ILA == 1'b1),299);
  localparam [(LC_PROBE300_MU_CNT*16)-1:0] LC_PROBE300_PID = match_tpid(LC_PROBE150_MU_CNT,LC_PROBE300_MU_CNT,(C_EN_DDR_ILA == 1'b1),300);
  localparam [(LC_PROBE301_MU_CNT*16)-1:0] LC_PROBE301_PID = match_tpid(LC_PROBE150_MU_CNT,LC_PROBE301_MU_CNT,(C_EN_DDR_ILA == 1'b1),301);
  localparam [(LC_PROBE302_MU_CNT*16)-1:0] LC_PROBE302_PID = match_tpid(LC_PROBE151_MU_CNT,LC_PROBE302_MU_CNT,(C_EN_DDR_ILA == 1'b1),302);
  localparam [(LC_PROBE303_MU_CNT*16)-1:0] LC_PROBE303_PID = match_tpid(LC_PROBE151_MU_CNT,LC_PROBE303_MU_CNT,(C_EN_DDR_ILA == 1'b1),303);
  localparam [(LC_PROBE304_MU_CNT*16)-1:0] LC_PROBE304_PID = match_tpid(LC_PROBE152_MU_CNT,LC_PROBE304_MU_CNT,(C_EN_DDR_ILA == 1'b1),304);
  localparam [(LC_PROBE305_MU_CNT*16)-1:0] LC_PROBE305_PID = match_tpid(LC_PROBE152_MU_CNT,LC_PROBE305_MU_CNT,(C_EN_DDR_ILA == 1'b1),305);
  localparam [(LC_PROBE306_MU_CNT*16)-1:0] LC_PROBE306_PID = match_tpid(LC_PROBE153_MU_CNT,LC_PROBE306_MU_CNT,(C_EN_DDR_ILA == 1'b1),306);
  localparam [(LC_PROBE307_MU_CNT*16)-1:0] LC_PROBE307_PID = match_tpid(LC_PROBE153_MU_CNT,LC_PROBE307_MU_CNT,(C_EN_DDR_ILA == 1'b1),307);
  localparam [(LC_PROBE308_MU_CNT*16)-1:0] LC_PROBE308_PID = match_tpid(LC_PROBE154_MU_CNT,LC_PROBE308_MU_CNT,(C_EN_DDR_ILA == 1'b1),308);
  localparam [(LC_PROBE309_MU_CNT*16)-1:0] LC_PROBE309_PID = match_tpid(LC_PROBE154_MU_CNT,LC_PROBE309_MU_CNT,(C_EN_DDR_ILA == 1'b1),309);
  localparam [(LC_PROBE310_MU_CNT*16)-1:0] LC_PROBE310_PID = match_tpid(LC_PROBE155_MU_CNT,LC_PROBE310_MU_CNT,(C_EN_DDR_ILA == 1'b1),310);
  localparam [(LC_PROBE311_MU_CNT*16)-1:0] LC_PROBE311_PID = match_tpid(LC_PROBE155_MU_CNT,LC_PROBE311_MU_CNT,(C_EN_DDR_ILA == 1'b1),311);
  localparam [(LC_PROBE312_MU_CNT*16)-1:0] LC_PROBE312_PID = match_tpid(LC_PROBE156_MU_CNT,LC_PROBE312_MU_CNT,(C_EN_DDR_ILA == 1'b1),312);
  localparam [(LC_PROBE313_MU_CNT*16)-1:0] LC_PROBE313_PID = match_tpid(LC_PROBE156_MU_CNT,LC_PROBE313_MU_CNT,(C_EN_DDR_ILA == 1'b1),313);
  localparam [(LC_PROBE314_MU_CNT*16)-1:0] LC_PROBE314_PID = match_tpid(LC_PROBE157_MU_CNT,LC_PROBE314_MU_CNT,(C_EN_DDR_ILA == 1'b1),314);
  localparam [(LC_PROBE315_MU_CNT*16)-1:0] LC_PROBE315_PID = match_tpid(LC_PROBE157_MU_CNT,LC_PROBE315_MU_CNT,(C_EN_DDR_ILA == 1'b1),315);
  localparam [(LC_PROBE316_MU_CNT*16)-1:0] LC_PROBE316_PID = match_tpid(LC_PROBE158_MU_CNT,LC_PROBE316_MU_CNT,(C_EN_DDR_ILA == 1'b1),316);
  localparam [(LC_PROBE317_MU_CNT*16)-1:0] LC_PROBE317_PID = match_tpid(LC_PROBE158_MU_CNT,LC_PROBE317_MU_CNT,(C_EN_DDR_ILA == 1'b1),317);
  localparam [(LC_PROBE318_MU_CNT*16)-1:0] LC_PROBE318_PID = match_tpid(LC_PROBE159_MU_CNT,LC_PROBE318_MU_CNT,(C_EN_DDR_ILA == 1'b1),318);
  localparam [(LC_PROBE319_MU_CNT*16)-1:0] LC_PROBE319_PID = match_tpid(LC_PROBE159_MU_CNT,LC_PROBE319_MU_CNT,(C_EN_DDR_ILA == 1'b1),319);
  localparam [(LC_PROBE320_MU_CNT*16)-1:0] LC_PROBE320_PID = match_tpid(LC_PROBE160_MU_CNT,LC_PROBE320_MU_CNT,(C_EN_DDR_ILA == 1'b1),320);
  localparam [(LC_PROBE321_MU_CNT*16)-1:0] LC_PROBE321_PID = match_tpid(LC_PROBE160_MU_CNT,LC_PROBE321_MU_CNT,(C_EN_DDR_ILA == 1'b1),321);
  localparam [(LC_PROBE322_MU_CNT*16)-1:0] LC_PROBE322_PID = match_tpid(LC_PROBE161_MU_CNT,LC_PROBE322_MU_CNT,(C_EN_DDR_ILA == 1'b1),322);
  localparam [(LC_PROBE323_MU_CNT*16)-1:0] LC_PROBE323_PID = match_tpid(LC_PROBE161_MU_CNT,LC_PROBE323_MU_CNT,(C_EN_DDR_ILA == 1'b1),323);
  localparam [(LC_PROBE324_MU_CNT*16)-1:0] LC_PROBE324_PID = match_tpid(LC_PROBE162_MU_CNT,LC_PROBE324_MU_CNT,(C_EN_DDR_ILA == 1'b1),324);
  localparam [(LC_PROBE325_MU_CNT*16)-1:0] LC_PROBE325_PID = match_tpid(LC_PROBE162_MU_CNT,LC_PROBE325_MU_CNT,(C_EN_DDR_ILA == 1'b1),325);
  localparam [(LC_PROBE326_MU_CNT*16)-1:0] LC_PROBE326_PID = match_tpid(LC_PROBE163_MU_CNT,LC_PROBE326_MU_CNT,(C_EN_DDR_ILA == 1'b1),326);
  localparam [(LC_PROBE327_MU_CNT*16)-1:0] LC_PROBE327_PID = match_tpid(LC_PROBE163_MU_CNT,LC_PROBE327_MU_CNT,(C_EN_DDR_ILA == 1'b1),327);
  localparam [(LC_PROBE328_MU_CNT*16)-1:0] LC_PROBE328_PID = match_tpid(LC_PROBE164_MU_CNT,LC_PROBE328_MU_CNT,(C_EN_DDR_ILA == 1'b1),328);
  localparam [(LC_PROBE329_MU_CNT*16)-1:0] LC_PROBE329_PID = match_tpid(LC_PROBE164_MU_CNT,LC_PROBE329_MU_CNT,(C_EN_DDR_ILA == 1'b1),329);
  localparam [(LC_PROBE330_MU_CNT*16)-1:0] LC_PROBE330_PID = match_tpid(LC_PROBE165_MU_CNT,LC_PROBE330_MU_CNT,(C_EN_DDR_ILA == 1'b1),330);
  localparam [(LC_PROBE331_MU_CNT*16)-1:0] LC_PROBE331_PID = match_tpid(LC_PROBE165_MU_CNT,LC_PROBE331_MU_CNT,(C_EN_DDR_ILA == 1'b1),331);
  localparam [(LC_PROBE332_MU_CNT*16)-1:0] LC_PROBE332_PID = match_tpid(LC_PROBE166_MU_CNT,LC_PROBE332_MU_CNT,(C_EN_DDR_ILA == 1'b1),332);
  localparam [(LC_PROBE333_MU_CNT*16)-1:0] LC_PROBE333_PID = match_tpid(LC_PROBE166_MU_CNT,LC_PROBE333_MU_CNT,(C_EN_DDR_ILA == 1'b1),333);
  localparam [(LC_PROBE334_MU_CNT*16)-1:0] LC_PROBE334_PID = match_tpid(LC_PROBE167_MU_CNT,LC_PROBE334_MU_CNT,(C_EN_DDR_ILA == 1'b1),334);
  localparam [(LC_PROBE335_MU_CNT*16)-1:0] LC_PROBE335_PID = match_tpid(LC_PROBE167_MU_CNT,LC_PROBE335_MU_CNT,(C_EN_DDR_ILA == 1'b1),335);
  localparam [(LC_PROBE336_MU_CNT*16)-1:0] LC_PROBE336_PID = match_tpid(LC_PROBE168_MU_CNT,LC_PROBE336_MU_CNT,(C_EN_DDR_ILA == 1'b1),336);
  localparam [(LC_PROBE337_MU_CNT*16)-1:0] LC_PROBE337_PID = match_tpid(LC_PROBE168_MU_CNT,LC_PROBE337_MU_CNT,(C_EN_DDR_ILA == 1'b1),337);
  localparam [(LC_PROBE338_MU_CNT*16)-1:0] LC_PROBE338_PID = match_tpid(LC_PROBE169_MU_CNT,LC_PROBE338_MU_CNT,(C_EN_DDR_ILA == 1'b1),338);
  localparam [(LC_PROBE339_MU_CNT*16)-1:0] LC_PROBE339_PID = match_tpid(LC_PROBE169_MU_CNT,LC_PROBE339_MU_CNT,(C_EN_DDR_ILA == 1'b1),339);
  localparam [(LC_PROBE340_MU_CNT*16)-1:0] LC_PROBE340_PID = match_tpid(LC_PROBE170_MU_CNT,LC_PROBE340_MU_CNT,(C_EN_DDR_ILA == 1'b1),340);
  localparam [(LC_PROBE341_MU_CNT*16)-1:0] LC_PROBE341_PID = match_tpid(LC_PROBE170_MU_CNT,LC_PROBE341_MU_CNT,(C_EN_DDR_ILA == 1'b1),341);
  localparam [(LC_PROBE342_MU_CNT*16)-1:0] LC_PROBE342_PID = match_tpid(LC_PROBE171_MU_CNT,LC_PROBE342_MU_CNT,(C_EN_DDR_ILA == 1'b1),342);
  localparam [(LC_PROBE343_MU_CNT*16)-1:0] LC_PROBE343_PID = match_tpid(LC_PROBE171_MU_CNT,LC_PROBE343_MU_CNT,(C_EN_DDR_ILA == 1'b1),343);
  localparam [(LC_PROBE344_MU_CNT*16)-1:0] LC_PROBE344_PID = match_tpid(LC_PROBE172_MU_CNT,LC_PROBE344_MU_CNT,(C_EN_DDR_ILA == 1'b1),344);
  localparam [(LC_PROBE345_MU_CNT*16)-1:0] LC_PROBE345_PID = match_tpid(LC_PROBE172_MU_CNT,LC_PROBE345_MU_CNT,(C_EN_DDR_ILA == 1'b1),345);
  localparam [(LC_PROBE346_MU_CNT*16)-1:0] LC_PROBE346_PID = match_tpid(LC_PROBE173_MU_CNT,LC_PROBE346_MU_CNT,(C_EN_DDR_ILA == 1'b1),346);
  localparam [(LC_PROBE347_MU_CNT*16)-1:0] LC_PROBE347_PID = match_tpid(LC_PROBE173_MU_CNT,LC_PROBE347_MU_CNT,(C_EN_DDR_ILA == 1'b1),347);
  localparam [(LC_PROBE348_MU_CNT*16)-1:0] LC_PROBE348_PID = match_tpid(LC_PROBE174_MU_CNT,LC_PROBE348_MU_CNT,(C_EN_DDR_ILA == 1'b1),348);
  localparam [(LC_PROBE349_MU_CNT*16)-1:0] LC_PROBE349_PID = match_tpid(LC_PROBE174_MU_CNT,LC_PROBE349_MU_CNT,(C_EN_DDR_ILA == 1'b1),349);
  localparam [(LC_PROBE350_MU_CNT*16)-1:0] LC_PROBE350_PID = match_tpid(LC_PROBE175_MU_CNT,LC_PROBE350_MU_CNT,(C_EN_DDR_ILA == 1'b1),350);
  localparam [(LC_PROBE351_MU_CNT*16)-1:0] LC_PROBE351_PID = match_tpid(LC_PROBE175_MU_CNT,LC_PROBE351_MU_CNT,(C_EN_DDR_ILA == 1'b1),351);
  localparam [(LC_PROBE352_MU_CNT*16)-1:0] LC_PROBE352_PID = match_tpid(LC_PROBE176_MU_CNT,LC_PROBE352_MU_CNT,(C_EN_DDR_ILA == 1'b1),352);
  localparam [(LC_PROBE353_MU_CNT*16)-1:0] LC_PROBE353_PID = match_tpid(LC_PROBE176_MU_CNT,LC_PROBE353_MU_CNT,(C_EN_DDR_ILA == 1'b1),353);
  localparam [(LC_PROBE354_MU_CNT*16)-1:0] LC_PROBE354_PID = match_tpid(LC_PROBE177_MU_CNT,LC_PROBE354_MU_CNT,(C_EN_DDR_ILA == 1'b1),354);
  localparam [(LC_PROBE355_MU_CNT*16)-1:0] LC_PROBE355_PID = match_tpid(LC_PROBE177_MU_CNT,LC_PROBE355_MU_CNT,(C_EN_DDR_ILA == 1'b1),355);
  localparam [(LC_PROBE356_MU_CNT*16)-1:0] LC_PROBE356_PID = match_tpid(LC_PROBE178_MU_CNT,LC_PROBE356_MU_CNT,(C_EN_DDR_ILA == 1'b1),356);
  localparam [(LC_PROBE357_MU_CNT*16)-1:0] LC_PROBE357_PID = match_tpid(LC_PROBE178_MU_CNT,LC_PROBE357_MU_CNT,(C_EN_DDR_ILA == 1'b1),357);
  localparam [(LC_PROBE358_MU_CNT*16)-1:0] LC_PROBE358_PID = match_tpid(LC_PROBE179_MU_CNT,LC_PROBE358_MU_CNT,(C_EN_DDR_ILA == 1'b1),358);
  localparam [(LC_PROBE359_MU_CNT*16)-1:0] LC_PROBE359_PID = match_tpid(LC_PROBE179_MU_CNT,LC_PROBE359_MU_CNT,(C_EN_DDR_ILA == 1'b1),359);
  localparam [(LC_PROBE360_MU_CNT*16)-1:0] LC_PROBE360_PID = match_tpid(LC_PROBE180_MU_CNT,LC_PROBE360_MU_CNT,(C_EN_DDR_ILA == 1'b1),360);
  localparam [(LC_PROBE361_MU_CNT*16)-1:0] LC_PROBE361_PID = match_tpid(LC_PROBE180_MU_CNT,LC_PROBE361_MU_CNT,(C_EN_DDR_ILA == 1'b1),361);
  localparam [(LC_PROBE362_MU_CNT*16)-1:0] LC_PROBE362_PID = match_tpid(LC_PROBE181_MU_CNT,LC_PROBE362_MU_CNT,(C_EN_DDR_ILA == 1'b1),362);
  localparam [(LC_PROBE363_MU_CNT*16)-1:0] LC_PROBE363_PID = match_tpid(LC_PROBE181_MU_CNT,LC_PROBE363_MU_CNT,(C_EN_DDR_ILA == 1'b1),363);
  localparam [(LC_PROBE364_MU_CNT*16)-1:0] LC_PROBE364_PID = match_tpid(LC_PROBE182_MU_CNT,LC_PROBE364_MU_CNT,(C_EN_DDR_ILA == 1'b1),364);
  localparam [(LC_PROBE365_MU_CNT*16)-1:0] LC_PROBE365_PID = match_tpid(LC_PROBE182_MU_CNT,LC_PROBE365_MU_CNT,(C_EN_DDR_ILA == 1'b1),365);
  localparam [(LC_PROBE366_MU_CNT*16)-1:0] LC_PROBE366_PID = match_tpid(LC_PROBE183_MU_CNT,LC_PROBE366_MU_CNT,(C_EN_DDR_ILA == 1'b1),366);
  localparam [(LC_PROBE367_MU_CNT*16)-1:0] LC_PROBE367_PID = match_tpid(LC_PROBE183_MU_CNT,LC_PROBE367_MU_CNT,(C_EN_DDR_ILA == 1'b1),367);
  localparam [(LC_PROBE368_MU_CNT*16)-1:0] LC_PROBE368_PID = match_tpid(LC_PROBE184_MU_CNT,LC_PROBE368_MU_CNT,(C_EN_DDR_ILA == 1'b1),368);
  localparam [(LC_PROBE369_MU_CNT*16)-1:0] LC_PROBE369_PID = match_tpid(LC_PROBE184_MU_CNT,LC_PROBE369_MU_CNT,(C_EN_DDR_ILA == 1'b1),369);
  localparam [(LC_PROBE370_MU_CNT*16)-1:0] LC_PROBE370_PID = match_tpid(LC_PROBE185_MU_CNT,LC_PROBE370_MU_CNT,(C_EN_DDR_ILA == 1'b1),370);
  localparam [(LC_PROBE371_MU_CNT*16)-1:0] LC_PROBE371_PID = match_tpid(LC_PROBE185_MU_CNT,LC_PROBE371_MU_CNT,(C_EN_DDR_ILA == 1'b1),371);
  localparam [(LC_PROBE372_MU_CNT*16)-1:0] LC_PROBE372_PID = match_tpid(LC_PROBE186_MU_CNT,LC_PROBE372_MU_CNT,(C_EN_DDR_ILA == 1'b1),372);
  localparam [(LC_PROBE373_MU_CNT*16)-1:0] LC_PROBE373_PID = match_tpid(LC_PROBE186_MU_CNT,LC_PROBE373_MU_CNT,(C_EN_DDR_ILA == 1'b1),373);
  localparam [(LC_PROBE374_MU_CNT*16)-1:0] LC_PROBE374_PID = match_tpid(LC_PROBE187_MU_CNT,LC_PROBE374_MU_CNT,(C_EN_DDR_ILA == 1'b1),374);
  localparam [(LC_PROBE375_MU_CNT*16)-1:0] LC_PROBE375_PID = match_tpid(LC_PROBE187_MU_CNT,LC_PROBE375_MU_CNT,(C_EN_DDR_ILA == 1'b1),375);
  localparam [(LC_PROBE376_MU_CNT*16)-1:0] LC_PROBE376_PID = match_tpid(LC_PROBE188_MU_CNT,LC_PROBE376_MU_CNT,(C_EN_DDR_ILA == 1'b1),376);
  localparam [(LC_PROBE377_MU_CNT*16)-1:0] LC_PROBE377_PID = match_tpid(LC_PROBE188_MU_CNT,LC_PROBE377_MU_CNT,(C_EN_DDR_ILA == 1'b1),377);
  localparam [(LC_PROBE378_MU_CNT*16)-1:0] LC_PROBE378_PID = match_tpid(LC_PROBE189_MU_CNT,LC_PROBE378_MU_CNT,(C_EN_DDR_ILA == 1'b1),378);
  localparam [(LC_PROBE379_MU_CNT*16)-1:0] LC_PROBE379_PID = match_tpid(LC_PROBE189_MU_CNT,LC_PROBE379_MU_CNT,(C_EN_DDR_ILA == 1'b1),379);
  localparam [(LC_PROBE380_MU_CNT*16)-1:0] LC_PROBE380_PID = match_tpid(LC_PROBE190_MU_CNT,LC_PROBE380_MU_CNT,(C_EN_DDR_ILA == 1'b1),380);
  localparam [(LC_PROBE381_MU_CNT*16)-1:0] LC_PROBE381_PID = match_tpid(LC_PROBE190_MU_CNT,LC_PROBE381_MU_CNT,(C_EN_DDR_ILA == 1'b1),381);
  localparam [(LC_PROBE382_MU_CNT*16)-1:0] LC_PROBE382_PID = match_tpid(LC_PROBE191_MU_CNT,LC_PROBE382_MU_CNT,(C_EN_DDR_ILA == 1'b1),382);
  localparam [(LC_PROBE383_MU_CNT*16)-1:0] LC_PROBE383_PID = match_tpid(LC_PROBE191_MU_CNT,LC_PROBE383_MU_CNT,(C_EN_DDR_ILA == 1'b1),383);
  localparam [(LC_PROBE384_MU_CNT*16)-1:0] LC_PROBE384_PID = match_tpid(LC_PROBE192_MU_CNT,LC_PROBE384_MU_CNT,(C_EN_DDR_ILA == 1'b1),384);
  localparam [(LC_PROBE385_MU_CNT*16)-1:0] LC_PROBE385_PID = match_tpid(LC_PROBE192_MU_CNT,LC_PROBE385_MU_CNT,(C_EN_DDR_ILA == 1'b1),385);
  localparam [(LC_PROBE386_MU_CNT*16)-1:0] LC_PROBE386_PID = match_tpid(LC_PROBE193_MU_CNT,LC_PROBE386_MU_CNT,(C_EN_DDR_ILA == 1'b1),386);
  localparam [(LC_PROBE387_MU_CNT*16)-1:0] LC_PROBE387_PID = match_tpid(LC_PROBE193_MU_CNT,LC_PROBE387_MU_CNT,(C_EN_DDR_ILA == 1'b1),387);
  localparam [(LC_PROBE388_MU_CNT*16)-1:0] LC_PROBE388_PID = match_tpid(LC_PROBE194_MU_CNT,LC_PROBE388_MU_CNT,(C_EN_DDR_ILA == 1'b1),388);
  localparam [(LC_PROBE389_MU_CNT*16)-1:0] LC_PROBE389_PID = match_tpid(LC_PROBE194_MU_CNT,LC_PROBE389_MU_CNT,(C_EN_DDR_ILA == 1'b1),389);
  localparam [(LC_PROBE390_MU_CNT*16)-1:0] LC_PROBE390_PID = match_tpid(LC_PROBE195_MU_CNT,LC_PROBE390_MU_CNT,(C_EN_DDR_ILA == 1'b1),390);
  localparam [(LC_PROBE391_MU_CNT*16)-1:0] LC_PROBE391_PID = match_tpid(LC_PROBE195_MU_CNT,LC_PROBE391_MU_CNT,(C_EN_DDR_ILA == 1'b1),391);
  localparam [(LC_PROBE392_MU_CNT*16)-1:0] LC_PROBE392_PID = match_tpid(LC_PROBE196_MU_CNT,LC_PROBE392_MU_CNT,(C_EN_DDR_ILA == 1'b1),392);
  localparam [(LC_PROBE393_MU_CNT*16)-1:0] LC_PROBE393_PID = match_tpid(LC_PROBE196_MU_CNT,LC_PROBE393_MU_CNT,(C_EN_DDR_ILA == 1'b1),393);
  localparam [(LC_PROBE394_MU_CNT*16)-1:0] LC_PROBE394_PID = match_tpid(LC_PROBE197_MU_CNT,LC_PROBE394_MU_CNT,(C_EN_DDR_ILA == 1'b1),394);
  localparam [(LC_PROBE395_MU_CNT*16)-1:0] LC_PROBE395_PID = match_tpid(LC_PROBE197_MU_CNT,LC_PROBE395_MU_CNT,(C_EN_DDR_ILA == 1'b1),395);
  localparam [(LC_PROBE396_MU_CNT*16)-1:0] LC_PROBE396_PID = match_tpid(LC_PROBE198_MU_CNT,LC_PROBE396_MU_CNT,(C_EN_DDR_ILA == 1'b1),396);
  localparam [(LC_PROBE397_MU_CNT*16)-1:0] LC_PROBE397_PID = match_tpid(LC_PROBE198_MU_CNT,LC_PROBE397_MU_CNT,(C_EN_DDR_ILA == 1'b1),397);
  localparam [(LC_PROBE398_MU_CNT*16)-1:0] LC_PROBE398_PID = match_tpid(LC_PROBE199_MU_CNT,LC_PROBE398_MU_CNT,(C_EN_DDR_ILA == 1'b1),398);
  localparam [(LC_PROBE399_MU_CNT*16)-1:0] LC_PROBE399_PID = match_tpid(LC_PROBE199_MU_CNT,LC_PROBE399_MU_CNT,(C_EN_DDR_ILA == 1'b1),399);
  localparam [(LC_PROBE400_MU_CNT*16)-1:0] LC_PROBE400_PID = match_tpid(LC_PROBE200_MU_CNT,LC_PROBE400_MU_CNT,(C_EN_DDR_ILA == 1'b1),400);
  localparam [(LC_PROBE401_MU_CNT*16)-1:0] LC_PROBE401_PID = match_tpid(LC_PROBE200_MU_CNT,LC_PROBE401_MU_CNT,(C_EN_DDR_ILA == 1'b1),401);
  localparam [(LC_PROBE402_MU_CNT*16)-1:0] LC_PROBE402_PID = match_tpid(LC_PROBE201_MU_CNT,LC_PROBE402_MU_CNT,(C_EN_DDR_ILA == 1'b1),402);
  localparam [(LC_PROBE403_MU_CNT*16)-1:0] LC_PROBE403_PID = match_tpid(LC_PROBE201_MU_CNT,LC_PROBE403_MU_CNT,(C_EN_DDR_ILA == 1'b1),403);
  localparam [(LC_PROBE404_MU_CNT*16)-1:0] LC_PROBE404_PID = match_tpid(LC_PROBE202_MU_CNT,LC_PROBE404_MU_CNT,(C_EN_DDR_ILA == 1'b1),404);
  localparam [(LC_PROBE405_MU_CNT*16)-1:0] LC_PROBE405_PID = match_tpid(LC_PROBE202_MU_CNT,LC_PROBE405_MU_CNT,(C_EN_DDR_ILA == 1'b1),405);
  localparam [(LC_PROBE406_MU_CNT*16)-1:0] LC_PROBE406_PID = match_tpid(LC_PROBE203_MU_CNT,LC_PROBE406_MU_CNT,(C_EN_DDR_ILA == 1'b1),406);
  localparam [(LC_PROBE407_MU_CNT*16)-1:0] LC_PROBE407_PID = match_tpid(LC_PROBE203_MU_CNT,LC_PROBE407_MU_CNT,(C_EN_DDR_ILA == 1'b1),407);
  localparam [(LC_PROBE408_MU_CNT*16)-1:0] LC_PROBE408_PID = match_tpid(LC_PROBE204_MU_CNT,LC_PROBE408_MU_CNT,(C_EN_DDR_ILA == 1'b1),408);
  localparam [(LC_PROBE409_MU_CNT*16)-1:0] LC_PROBE409_PID = match_tpid(LC_PROBE204_MU_CNT,LC_PROBE409_MU_CNT,(C_EN_DDR_ILA == 1'b1),409);
  localparam [(LC_PROBE410_MU_CNT*16)-1:0] LC_PROBE410_PID = match_tpid(LC_PROBE205_MU_CNT,LC_PROBE410_MU_CNT,(C_EN_DDR_ILA == 1'b1),410);
  localparam [(LC_PROBE411_MU_CNT*16)-1:0] LC_PROBE411_PID = match_tpid(LC_PROBE205_MU_CNT,LC_PROBE411_MU_CNT,(C_EN_DDR_ILA == 1'b1),411);
  localparam [(LC_PROBE412_MU_CNT*16)-1:0] LC_PROBE412_PID = match_tpid(LC_PROBE206_MU_CNT,LC_PROBE412_MU_CNT,(C_EN_DDR_ILA == 1'b1),412);
  localparam [(LC_PROBE413_MU_CNT*16)-1:0] LC_PROBE413_PID = match_tpid(LC_PROBE206_MU_CNT,LC_PROBE413_MU_CNT,(C_EN_DDR_ILA == 1'b1),413);
  localparam [(LC_PROBE414_MU_CNT*16)-1:0] LC_PROBE414_PID = match_tpid(LC_PROBE207_MU_CNT,LC_PROBE414_MU_CNT,(C_EN_DDR_ILA == 1'b1),414);
  localparam [(LC_PROBE415_MU_CNT*16)-1:0] LC_PROBE415_PID = match_tpid(LC_PROBE207_MU_CNT,LC_PROBE415_MU_CNT,(C_EN_DDR_ILA == 1'b1),415);
  localparam [(LC_PROBE416_MU_CNT*16)-1:0] LC_PROBE416_PID = match_tpid(LC_PROBE208_MU_CNT,LC_PROBE416_MU_CNT,(C_EN_DDR_ILA == 1'b1),416);
  localparam [(LC_PROBE417_MU_CNT*16)-1:0] LC_PROBE417_PID = match_tpid(LC_PROBE208_MU_CNT,LC_PROBE417_MU_CNT,(C_EN_DDR_ILA == 1'b1),417);
  localparam [(LC_PROBE418_MU_CNT*16)-1:0] LC_PROBE418_PID = match_tpid(LC_PROBE209_MU_CNT,LC_PROBE418_MU_CNT,(C_EN_DDR_ILA == 1'b1),418);
  localparam [(LC_PROBE419_MU_CNT*16)-1:0] LC_PROBE419_PID = match_tpid(LC_PROBE209_MU_CNT,LC_PROBE419_MU_CNT,(C_EN_DDR_ILA == 1'b1),419);
  localparam [(LC_PROBE420_MU_CNT*16)-1:0] LC_PROBE420_PID = match_tpid(LC_PROBE210_MU_CNT,LC_PROBE420_MU_CNT,(C_EN_DDR_ILA == 1'b1),420);
  localparam [(LC_PROBE421_MU_CNT*16)-1:0] LC_PROBE421_PID = match_tpid(LC_PROBE210_MU_CNT,LC_PROBE421_MU_CNT,(C_EN_DDR_ILA == 1'b1),421);
  localparam [(LC_PROBE422_MU_CNT*16)-1:0] LC_PROBE422_PID = match_tpid(LC_PROBE211_MU_CNT,LC_PROBE422_MU_CNT,(C_EN_DDR_ILA == 1'b1),422);
  localparam [(LC_PROBE423_MU_CNT*16)-1:0] LC_PROBE423_PID = match_tpid(LC_PROBE211_MU_CNT,LC_PROBE423_MU_CNT,(C_EN_DDR_ILA == 1'b1),423);
  localparam [(LC_PROBE424_MU_CNT*16)-1:0] LC_PROBE424_PID = match_tpid(LC_PROBE212_MU_CNT,LC_PROBE424_MU_CNT,(C_EN_DDR_ILA == 1'b1),424);
  localparam [(LC_PROBE425_MU_CNT*16)-1:0] LC_PROBE425_PID = match_tpid(LC_PROBE212_MU_CNT,LC_PROBE425_MU_CNT,(C_EN_DDR_ILA == 1'b1),425);
  localparam [(LC_PROBE426_MU_CNT*16)-1:0] LC_PROBE426_PID = match_tpid(LC_PROBE213_MU_CNT,LC_PROBE426_MU_CNT,(C_EN_DDR_ILA == 1'b1),426);
  localparam [(LC_PROBE427_MU_CNT*16)-1:0] LC_PROBE427_PID = match_tpid(LC_PROBE213_MU_CNT,LC_PROBE427_MU_CNT,(C_EN_DDR_ILA == 1'b1),427);
  localparam [(LC_PROBE428_MU_CNT*16)-1:0] LC_PROBE428_PID = match_tpid(LC_PROBE214_MU_CNT,LC_PROBE428_MU_CNT,(C_EN_DDR_ILA == 1'b1),428);
  localparam [(LC_PROBE429_MU_CNT*16)-1:0] LC_PROBE429_PID = match_tpid(LC_PROBE214_MU_CNT,LC_PROBE429_MU_CNT,(C_EN_DDR_ILA == 1'b1),429);
  localparam [(LC_PROBE430_MU_CNT*16)-1:0] LC_PROBE430_PID = match_tpid(LC_PROBE215_MU_CNT,LC_PROBE430_MU_CNT,(C_EN_DDR_ILA == 1'b1),430);
  localparam [(LC_PROBE431_MU_CNT*16)-1:0] LC_PROBE431_PID = match_tpid(LC_PROBE215_MU_CNT,LC_PROBE431_MU_CNT,(C_EN_DDR_ILA == 1'b1),431);
  localparam [(LC_PROBE432_MU_CNT*16)-1:0] LC_PROBE432_PID = match_tpid(LC_PROBE216_MU_CNT,LC_PROBE432_MU_CNT,(C_EN_DDR_ILA == 1'b1),432);
  localparam [(LC_PROBE433_MU_CNT*16)-1:0] LC_PROBE433_PID = match_tpid(LC_PROBE216_MU_CNT,LC_PROBE433_MU_CNT,(C_EN_DDR_ILA == 1'b1),433);
  localparam [(LC_PROBE434_MU_CNT*16)-1:0] LC_PROBE434_PID = match_tpid(LC_PROBE217_MU_CNT,LC_PROBE434_MU_CNT,(C_EN_DDR_ILA == 1'b1),434);
  localparam [(LC_PROBE435_MU_CNT*16)-1:0] LC_PROBE435_PID = match_tpid(LC_PROBE217_MU_CNT,LC_PROBE435_MU_CNT,(C_EN_DDR_ILA == 1'b1),435);
  localparam [(LC_PROBE436_MU_CNT*16)-1:0] LC_PROBE436_PID = match_tpid(LC_PROBE218_MU_CNT,LC_PROBE436_MU_CNT,(C_EN_DDR_ILA == 1'b1),436);
  localparam [(LC_PROBE437_MU_CNT*16)-1:0] LC_PROBE437_PID = match_tpid(LC_PROBE218_MU_CNT,LC_PROBE437_MU_CNT,(C_EN_DDR_ILA == 1'b1),437);
  localparam [(LC_PROBE438_MU_CNT*16)-1:0] LC_PROBE438_PID = match_tpid(LC_PROBE219_MU_CNT,LC_PROBE438_MU_CNT,(C_EN_DDR_ILA == 1'b1),438);
  localparam [(LC_PROBE439_MU_CNT*16)-1:0] LC_PROBE439_PID = match_tpid(LC_PROBE219_MU_CNT,LC_PROBE439_MU_CNT,(C_EN_DDR_ILA == 1'b1),439);
  localparam [(LC_PROBE440_MU_CNT*16)-1:0] LC_PROBE440_PID = match_tpid(LC_PROBE220_MU_CNT,LC_PROBE440_MU_CNT,(C_EN_DDR_ILA == 1'b1),440);
  localparam [(LC_PROBE441_MU_CNT*16)-1:0] LC_PROBE441_PID = match_tpid(LC_PROBE220_MU_CNT,LC_PROBE441_MU_CNT,(C_EN_DDR_ILA == 1'b1),441);
  localparam [(LC_PROBE442_MU_CNT*16)-1:0] LC_PROBE442_PID = match_tpid(LC_PROBE221_MU_CNT,LC_PROBE442_MU_CNT,(C_EN_DDR_ILA == 1'b1),442);
  localparam [(LC_PROBE443_MU_CNT*16)-1:0] LC_PROBE443_PID = match_tpid(LC_PROBE221_MU_CNT,LC_PROBE443_MU_CNT,(C_EN_DDR_ILA == 1'b1),443);
  localparam [(LC_PROBE444_MU_CNT*16)-1:0] LC_PROBE444_PID = match_tpid(LC_PROBE222_MU_CNT,LC_PROBE444_MU_CNT,(C_EN_DDR_ILA == 1'b1),444);
  localparam [(LC_PROBE445_MU_CNT*16)-1:0] LC_PROBE445_PID = match_tpid(LC_PROBE222_MU_CNT,LC_PROBE445_MU_CNT,(C_EN_DDR_ILA == 1'b1),445);
  localparam [(LC_PROBE446_MU_CNT*16)-1:0] LC_PROBE446_PID = match_tpid(LC_PROBE223_MU_CNT,LC_PROBE446_MU_CNT,(C_EN_DDR_ILA == 1'b1),446);
  localparam [(LC_PROBE447_MU_CNT*16)-1:0] LC_PROBE447_PID = match_tpid(LC_PROBE223_MU_CNT,LC_PROBE447_MU_CNT,(C_EN_DDR_ILA == 1'b1),447);
  localparam [(LC_PROBE448_MU_CNT*16)-1:0] LC_PROBE448_PID = match_tpid(LC_PROBE224_MU_CNT,LC_PROBE448_MU_CNT,(C_EN_DDR_ILA == 1'b1),448);
  localparam [(LC_PROBE449_MU_CNT*16)-1:0] LC_PROBE449_PID = match_tpid(LC_PROBE224_MU_CNT,LC_PROBE449_MU_CNT,(C_EN_DDR_ILA == 1'b1),449);
  localparam [(LC_PROBE450_MU_CNT*16)-1:0] LC_PROBE450_PID = match_tpid(LC_PROBE225_MU_CNT,LC_PROBE450_MU_CNT,(C_EN_DDR_ILA == 1'b1),450);
  localparam [(LC_PROBE451_MU_CNT*16)-1:0] LC_PROBE451_PID = match_tpid(LC_PROBE225_MU_CNT,LC_PROBE451_MU_CNT,(C_EN_DDR_ILA == 1'b1),451);
  localparam [(LC_PROBE452_MU_CNT*16)-1:0] LC_PROBE452_PID = match_tpid(LC_PROBE226_MU_CNT,LC_PROBE452_MU_CNT,(C_EN_DDR_ILA == 1'b1),452);
  localparam [(LC_PROBE453_MU_CNT*16)-1:0] LC_PROBE453_PID = match_tpid(LC_PROBE226_MU_CNT,LC_PROBE453_MU_CNT,(C_EN_DDR_ILA == 1'b1),453);
  localparam [(LC_PROBE454_MU_CNT*16)-1:0] LC_PROBE454_PID = match_tpid(LC_PROBE227_MU_CNT,LC_PROBE454_MU_CNT,(C_EN_DDR_ILA == 1'b1),454);
  localparam [(LC_PROBE455_MU_CNT*16)-1:0] LC_PROBE455_PID = match_tpid(LC_PROBE227_MU_CNT,LC_PROBE455_MU_CNT,(C_EN_DDR_ILA == 1'b1),455);
  localparam [(LC_PROBE456_MU_CNT*16)-1:0] LC_PROBE456_PID = match_tpid(LC_PROBE228_MU_CNT,LC_PROBE456_MU_CNT,(C_EN_DDR_ILA == 1'b1),456);
  localparam [(LC_PROBE457_MU_CNT*16)-1:0] LC_PROBE457_PID = match_tpid(LC_PROBE228_MU_CNT,LC_PROBE457_MU_CNT,(C_EN_DDR_ILA == 1'b1),457);
  localparam [(LC_PROBE458_MU_CNT*16)-1:0] LC_PROBE458_PID = match_tpid(LC_PROBE229_MU_CNT,LC_PROBE458_MU_CNT,(C_EN_DDR_ILA == 1'b1),458);
  localparam [(LC_PROBE459_MU_CNT*16)-1:0] LC_PROBE459_PID = match_tpid(LC_PROBE229_MU_CNT,LC_PROBE459_MU_CNT,(C_EN_DDR_ILA == 1'b1),459);
  localparam [(LC_PROBE460_MU_CNT*16)-1:0] LC_PROBE460_PID = match_tpid(LC_PROBE230_MU_CNT,LC_PROBE460_MU_CNT,(C_EN_DDR_ILA == 1'b1),460);
  localparam [(LC_PROBE461_MU_CNT*16)-1:0] LC_PROBE461_PID = match_tpid(LC_PROBE230_MU_CNT,LC_PROBE461_MU_CNT,(C_EN_DDR_ILA == 1'b1),461);
  localparam [(LC_PROBE462_MU_CNT*16)-1:0] LC_PROBE462_PID = match_tpid(LC_PROBE231_MU_CNT,LC_PROBE462_MU_CNT,(C_EN_DDR_ILA == 1'b1),462);
  localparam [(LC_PROBE463_MU_CNT*16)-1:0] LC_PROBE463_PID = match_tpid(LC_PROBE231_MU_CNT,LC_PROBE463_MU_CNT,(C_EN_DDR_ILA == 1'b1),463);
  localparam [(LC_PROBE464_MU_CNT*16)-1:0] LC_PROBE464_PID = match_tpid(LC_PROBE232_MU_CNT,LC_PROBE464_MU_CNT,(C_EN_DDR_ILA == 1'b1),464);
  localparam [(LC_PROBE465_MU_CNT*16)-1:0] LC_PROBE465_PID = match_tpid(LC_PROBE232_MU_CNT,LC_PROBE465_MU_CNT,(C_EN_DDR_ILA == 1'b1),465);
  localparam [(LC_PROBE466_MU_CNT*16)-1:0] LC_PROBE466_PID = match_tpid(LC_PROBE233_MU_CNT,LC_PROBE466_MU_CNT,(C_EN_DDR_ILA == 1'b1),466);
  localparam [(LC_PROBE467_MU_CNT*16)-1:0] LC_PROBE467_PID = match_tpid(LC_PROBE233_MU_CNT,LC_PROBE467_MU_CNT,(C_EN_DDR_ILA == 1'b1),467);
  localparam [(LC_PROBE468_MU_CNT*16)-1:0] LC_PROBE468_PID = match_tpid(LC_PROBE234_MU_CNT,LC_PROBE468_MU_CNT,(C_EN_DDR_ILA == 1'b1),468);
  localparam [(LC_PROBE469_MU_CNT*16)-1:0] LC_PROBE469_PID = match_tpid(LC_PROBE234_MU_CNT,LC_PROBE469_MU_CNT,(C_EN_DDR_ILA == 1'b1),469);
  localparam [(LC_PROBE470_MU_CNT*16)-1:0] LC_PROBE470_PID = match_tpid(LC_PROBE235_MU_CNT,LC_PROBE470_MU_CNT,(C_EN_DDR_ILA == 1'b1),470);
  localparam [(LC_PROBE471_MU_CNT*16)-1:0] LC_PROBE471_PID = match_tpid(LC_PROBE235_MU_CNT,LC_PROBE471_MU_CNT,(C_EN_DDR_ILA == 1'b1),471);
  localparam [(LC_PROBE472_MU_CNT*16)-1:0] LC_PROBE472_PID = match_tpid(LC_PROBE236_MU_CNT,LC_PROBE472_MU_CNT,(C_EN_DDR_ILA == 1'b1),472);
  localparam [(LC_PROBE473_MU_CNT*16)-1:0] LC_PROBE473_PID = match_tpid(LC_PROBE236_MU_CNT,LC_PROBE473_MU_CNT,(C_EN_DDR_ILA == 1'b1),473);
  localparam [(LC_PROBE474_MU_CNT*16)-1:0] LC_PROBE474_PID = match_tpid(LC_PROBE237_MU_CNT,LC_PROBE474_MU_CNT,(C_EN_DDR_ILA == 1'b1),474);
  localparam [(LC_PROBE475_MU_CNT*16)-1:0] LC_PROBE475_PID = match_tpid(LC_PROBE237_MU_CNT,LC_PROBE475_MU_CNT,(C_EN_DDR_ILA == 1'b1),475);
  localparam [(LC_PROBE476_MU_CNT*16)-1:0] LC_PROBE476_PID = match_tpid(LC_PROBE238_MU_CNT,LC_PROBE476_MU_CNT,(C_EN_DDR_ILA == 1'b1),476);
  localparam [(LC_PROBE477_MU_CNT*16)-1:0] LC_PROBE477_PID = match_tpid(LC_PROBE238_MU_CNT,LC_PROBE477_MU_CNT,(C_EN_DDR_ILA == 1'b1),477);
  localparam [(LC_PROBE478_MU_CNT*16)-1:0] LC_PROBE478_PID = match_tpid(LC_PROBE239_MU_CNT,LC_PROBE478_MU_CNT,(C_EN_DDR_ILA == 1'b1),478);
  localparam [(LC_PROBE479_MU_CNT*16)-1:0] LC_PROBE479_PID = match_tpid(LC_PROBE239_MU_CNT,LC_PROBE479_MU_CNT,(C_EN_DDR_ILA == 1'b1),479);
  localparam [(LC_PROBE480_MU_CNT*16)-1:0] LC_PROBE480_PID = match_tpid(LC_PROBE240_MU_CNT,LC_PROBE480_MU_CNT,(C_EN_DDR_ILA == 1'b1),480);
  localparam [(LC_PROBE481_MU_CNT*16)-1:0] LC_PROBE481_PID = match_tpid(LC_PROBE240_MU_CNT,LC_PROBE481_MU_CNT,(C_EN_DDR_ILA == 1'b1),481);
  localparam [(LC_PROBE482_MU_CNT*16)-1:0] LC_PROBE482_PID = match_tpid(LC_PROBE241_MU_CNT,LC_PROBE482_MU_CNT,(C_EN_DDR_ILA == 1'b1),482);
  localparam [(LC_PROBE483_MU_CNT*16)-1:0] LC_PROBE483_PID = match_tpid(LC_PROBE241_MU_CNT,LC_PROBE483_MU_CNT,(C_EN_DDR_ILA == 1'b1),483);
  localparam [(LC_PROBE484_MU_CNT*16)-1:0] LC_PROBE484_PID = match_tpid(LC_PROBE242_MU_CNT,LC_PROBE484_MU_CNT,(C_EN_DDR_ILA == 1'b1),484);
  localparam [(LC_PROBE485_MU_CNT*16)-1:0] LC_PROBE485_PID = match_tpid(LC_PROBE242_MU_CNT,LC_PROBE485_MU_CNT,(C_EN_DDR_ILA == 1'b1),485);
  localparam [(LC_PROBE486_MU_CNT*16)-1:0] LC_PROBE486_PID = match_tpid(LC_PROBE243_MU_CNT,LC_PROBE486_MU_CNT,(C_EN_DDR_ILA == 1'b1),486);
  localparam [(LC_PROBE487_MU_CNT*16)-1:0] LC_PROBE487_PID = match_tpid(LC_PROBE243_MU_CNT,LC_PROBE487_MU_CNT,(C_EN_DDR_ILA == 1'b1),487);
  localparam [(LC_PROBE488_MU_CNT*16)-1:0] LC_PROBE488_PID = match_tpid(LC_PROBE244_MU_CNT,LC_PROBE488_MU_CNT,(C_EN_DDR_ILA == 1'b1),488);
  localparam [(LC_PROBE489_MU_CNT*16)-1:0] LC_PROBE489_PID = match_tpid(LC_PROBE244_MU_CNT,LC_PROBE489_MU_CNT,(C_EN_DDR_ILA == 1'b1),489);
  localparam [(LC_PROBE490_MU_CNT*16)-1:0] LC_PROBE490_PID = match_tpid(LC_PROBE245_MU_CNT,LC_PROBE490_MU_CNT,(C_EN_DDR_ILA == 1'b1),490);
  localparam [(LC_PROBE491_MU_CNT*16)-1:0] LC_PROBE491_PID = match_tpid(LC_PROBE245_MU_CNT,LC_PROBE491_MU_CNT,(C_EN_DDR_ILA == 1'b1),491);
  localparam [(LC_PROBE492_MU_CNT*16)-1:0] LC_PROBE492_PID = match_tpid(LC_PROBE246_MU_CNT,LC_PROBE492_MU_CNT,(C_EN_DDR_ILA == 1'b1),492);
  localparam [(LC_PROBE493_MU_CNT*16)-1:0] LC_PROBE493_PID = match_tpid(LC_PROBE246_MU_CNT,LC_PROBE493_MU_CNT,(C_EN_DDR_ILA == 1'b1),493);
  localparam [(LC_PROBE494_MU_CNT*16)-1:0] LC_PROBE494_PID = match_tpid(LC_PROBE247_MU_CNT,LC_PROBE494_MU_CNT,(C_EN_DDR_ILA == 1'b1),494);
  localparam [(LC_PROBE495_MU_CNT*16)-1:0] LC_PROBE495_PID = match_tpid(LC_PROBE247_MU_CNT,LC_PROBE495_MU_CNT,(C_EN_DDR_ILA == 1'b1),495);
  localparam [(LC_PROBE496_MU_CNT*16)-1:0] LC_PROBE496_PID = match_tpid(LC_PROBE248_MU_CNT,LC_PROBE496_MU_CNT,(C_EN_DDR_ILA == 1'b1),496);
  localparam [(LC_PROBE497_MU_CNT*16)-1:0] LC_PROBE497_PID = match_tpid(LC_PROBE248_MU_CNT,LC_PROBE497_MU_CNT,(C_EN_DDR_ILA == 1'b1),497);
  localparam [(LC_PROBE498_MU_CNT*16)-1:0] LC_PROBE498_PID = match_tpid(LC_PROBE249_MU_CNT,LC_PROBE498_MU_CNT,(C_EN_DDR_ILA == 1'b1),498);
  localparam [(LC_PROBE499_MU_CNT*16)-1:0] LC_PROBE499_PID = match_tpid(LC_PROBE249_MU_CNT,LC_PROBE499_MU_CNT,(C_EN_DDR_ILA == 1'b1),499);
  localparam [(LC_PROBE500_MU_CNT*16)-1:0] LC_PROBE500_PID = match_tpid(LC_PROBE250_MU_CNT,LC_PROBE500_MU_CNT,(C_EN_DDR_ILA == 1'b1),500);
  localparam [(LC_PROBE501_MU_CNT*16)-1:0] LC_PROBE501_PID = match_tpid(LC_PROBE250_MU_CNT,LC_PROBE501_MU_CNT,(C_EN_DDR_ILA == 1'b1),501);
  localparam [(LC_PROBE502_MU_CNT*16)-1:0] LC_PROBE502_PID = match_tpid(LC_PROBE251_MU_CNT,LC_PROBE502_MU_CNT,(C_EN_DDR_ILA == 1'b1),502);
  localparam [(LC_PROBE503_MU_CNT*16)-1:0] LC_PROBE503_PID = match_tpid(LC_PROBE251_MU_CNT,LC_PROBE503_MU_CNT,(C_EN_DDR_ILA == 1'b1),503);
  localparam [(LC_PROBE504_MU_CNT*16)-1:0] LC_PROBE504_PID = match_tpid(LC_PROBE252_MU_CNT,LC_PROBE504_MU_CNT,(C_EN_DDR_ILA == 1'b1),504);
  localparam [(LC_PROBE505_MU_CNT*16)-1:0] LC_PROBE505_PID = match_tpid(LC_PROBE252_MU_CNT,LC_PROBE505_MU_CNT,(C_EN_DDR_ILA == 1'b1),505);
  localparam [(LC_PROBE506_MU_CNT*16)-1:0] LC_PROBE506_PID = match_tpid(LC_PROBE253_MU_CNT,LC_PROBE506_MU_CNT,(C_EN_DDR_ILA == 1'b1),506);
  localparam [(LC_PROBE507_MU_CNT*16)-1:0] LC_PROBE507_PID = match_tpid(LC_PROBE253_MU_CNT,LC_PROBE507_MU_CNT,(C_EN_DDR_ILA == 1'b1),507);
  localparam [(LC_PROBE508_MU_CNT*16)-1:0] LC_PROBE508_PID = match_tpid(LC_PROBE254_MU_CNT,LC_PROBE508_MU_CNT,(C_EN_DDR_ILA == 1'b1),508);
  localparam [(LC_PROBE509_MU_CNT*16)-1:0] LC_PROBE509_PID = match_tpid(LC_PROBE254_MU_CNT,LC_PROBE509_MU_CNT,(C_EN_DDR_ILA == 1'b1),509);
  localparam [(LC_PROBE510_MU_CNT*16)-1:0] LC_PROBE510_PID = match_tpid(LC_PROBE255_MU_CNT,LC_PROBE510_MU_CNT,(C_EN_DDR_ILA == 1'b1),510);
  localparam [(LC_PROBE511_MU_CNT*16)-1:0] LC_PROBE511_PID = match_tpid(LC_PROBE255_MU_CNT,LC_PROBE511_MU_CNT,(C_EN_DDR_ILA == 1'b1),511);
  localparam [(LC_PROBE512_MU_CNT*16)-1:0] LC_PROBE512_PID = match_tpid(LC_PROBE256_MU_CNT,LC_PROBE512_MU_CNT,(C_EN_DDR_ILA == 1'b1),512);
  localparam [(LC_PROBE513_MU_CNT*16)-1:0] LC_PROBE513_PID = match_tpid(LC_PROBE256_MU_CNT,LC_PROBE513_MU_CNT,(C_EN_DDR_ILA == 1'b1),513);
  localparam [(LC_PROBE514_MU_CNT*16)-1:0] LC_PROBE514_PID = match_tpid(LC_PROBE257_MU_CNT,LC_PROBE514_MU_CNT,(C_EN_DDR_ILA == 1'b1),514);
  localparam [(LC_PROBE515_MU_CNT*16)-1:0] LC_PROBE515_PID = match_tpid(LC_PROBE257_MU_CNT,LC_PROBE515_MU_CNT,(C_EN_DDR_ILA == 1'b1),515);
  localparam [(LC_PROBE516_MU_CNT*16)-1:0] LC_PROBE516_PID = match_tpid(LC_PROBE258_MU_CNT,LC_PROBE516_MU_CNT,(C_EN_DDR_ILA == 1'b1),516);
  localparam [(LC_PROBE517_MU_CNT*16)-1:0] LC_PROBE517_PID = match_tpid(LC_PROBE258_MU_CNT,LC_PROBE517_MU_CNT,(C_EN_DDR_ILA == 1'b1),517);
  localparam [(LC_PROBE518_MU_CNT*16)-1:0] LC_PROBE518_PID = match_tpid(LC_PROBE259_MU_CNT,LC_PROBE518_MU_CNT,(C_EN_DDR_ILA == 1'b1),518);
  localparam [(LC_PROBE519_MU_CNT*16)-1:0] LC_PROBE519_PID = match_tpid(LC_PROBE259_MU_CNT,LC_PROBE519_MU_CNT,(C_EN_DDR_ILA == 1'b1),519);
  localparam [(LC_PROBE520_MU_CNT*16)-1:0] LC_PROBE520_PID = match_tpid(LC_PROBE260_MU_CNT,LC_PROBE520_MU_CNT,(C_EN_DDR_ILA == 1'b1),520);
  localparam [(LC_PROBE521_MU_CNT*16)-1:0] LC_PROBE521_PID = match_tpid(LC_PROBE260_MU_CNT,LC_PROBE521_MU_CNT,(C_EN_DDR_ILA == 1'b1),521);
  localparam [(LC_PROBE522_MU_CNT*16)-1:0] LC_PROBE522_PID = match_tpid(LC_PROBE261_MU_CNT,LC_PROBE522_MU_CNT,(C_EN_DDR_ILA == 1'b1),522);
  localparam [(LC_PROBE523_MU_CNT*16)-1:0] LC_PROBE523_PID = match_tpid(LC_PROBE261_MU_CNT,LC_PROBE523_MU_CNT,(C_EN_DDR_ILA == 1'b1),523);
  localparam [(LC_PROBE524_MU_CNT*16)-1:0] LC_PROBE524_PID = match_tpid(LC_PROBE262_MU_CNT,LC_PROBE524_MU_CNT,(C_EN_DDR_ILA == 1'b1),524);
  localparam [(LC_PROBE525_MU_CNT*16)-1:0] LC_PROBE525_PID = match_tpid(LC_PROBE262_MU_CNT,LC_PROBE525_MU_CNT,(C_EN_DDR_ILA == 1'b1),525);
  localparam [(LC_PROBE526_MU_CNT*16)-1:0] LC_PROBE526_PID = match_tpid(LC_PROBE263_MU_CNT,LC_PROBE526_MU_CNT,(C_EN_DDR_ILA == 1'b1),526);
  localparam [(LC_PROBE527_MU_CNT*16)-1:0] LC_PROBE527_PID = match_tpid(LC_PROBE263_MU_CNT,LC_PROBE527_MU_CNT,(C_EN_DDR_ILA == 1'b1),527);
  localparam [(LC_PROBE528_MU_CNT*16)-1:0] LC_PROBE528_PID = match_tpid(LC_PROBE264_MU_CNT,LC_PROBE528_MU_CNT,(C_EN_DDR_ILA == 1'b1),528);
  localparam [(LC_PROBE529_MU_CNT*16)-1:0] LC_PROBE529_PID = match_tpid(LC_PROBE264_MU_CNT,LC_PROBE529_MU_CNT,(C_EN_DDR_ILA == 1'b1),529);
  localparam [(LC_PROBE530_MU_CNT*16)-1:0] LC_PROBE530_PID = match_tpid(LC_PROBE265_MU_CNT,LC_PROBE530_MU_CNT,(C_EN_DDR_ILA == 1'b1),530);
  localparam [(LC_PROBE531_MU_CNT*16)-1:0] LC_PROBE531_PID = match_tpid(LC_PROBE265_MU_CNT,LC_PROBE531_MU_CNT,(C_EN_DDR_ILA == 1'b1),531);
  localparam [(LC_PROBE532_MU_CNT*16)-1:0] LC_PROBE532_PID = match_tpid(LC_PROBE266_MU_CNT,LC_PROBE532_MU_CNT,(C_EN_DDR_ILA == 1'b1),532);
  localparam [(LC_PROBE533_MU_CNT*16)-1:0] LC_PROBE533_PID = match_tpid(LC_PROBE266_MU_CNT,LC_PROBE533_MU_CNT,(C_EN_DDR_ILA == 1'b1),533);
  localparam [(LC_PROBE534_MU_CNT*16)-1:0] LC_PROBE534_PID = match_tpid(LC_PROBE267_MU_CNT,LC_PROBE534_MU_CNT,(C_EN_DDR_ILA == 1'b1),534);
  localparam [(LC_PROBE535_MU_CNT*16)-1:0] LC_PROBE535_PID = match_tpid(LC_PROBE267_MU_CNT,LC_PROBE535_MU_CNT,(C_EN_DDR_ILA == 1'b1),535);
  localparam [(LC_PROBE536_MU_CNT*16)-1:0] LC_PROBE536_PID = match_tpid(LC_PROBE268_MU_CNT,LC_PROBE536_MU_CNT,(C_EN_DDR_ILA == 1'b1),536);
  localparam [(LC_PROBE537_MU_CNT*16)-1:0] LC_PROBE537_PID = match_tpid(LC_PROBE268_MU_CNT,LC_PROBE537_MU_CNT,(C_EN_DDR_ILA == 1'b1),537);
  localparam [(LC_PROBE538_MU_CNT*16)-1:0] LC_PROBE538_PID = match_tpid(LC_PROBE269_MU_CNT,LC_PROBE538_MU_CNT,(C_EN_DDR_ILA == 1'b1),538);
  localparam [(LC_PROBE539_MU_CNT*16)-1:0] LC_PROBE539_PID = match_tpid(LC_PROBE269_MU_CNT,LC_PROBE539_MU_CNT,(C_EN_DDR_ILA == 1'b1),539);
  localparam [(LC_PROBE540_MU_CNT*16)-1:0] LC_PROBE540_PID = match_tpid(LC_PROBE270_MU_CNT,LC_PROBE540_MU_CNT,(C_EN_DDR_ILA == 1'b1),540);
  localparam [(LC_PROBE541_MU_CNT*16)-1:0] LC_PROBE541_PID = match_tpid(LC_PROBE270_MU_CNT,LC_PROBE541_MU_CNT,(C_EN_DDR_ILA == 1'b1),541);
  localparam [(LC_PROBE542_MU_CNT*16)-1:0] LC_PROBE542_PID = match_tpid(LC_PROBE271_MU_CNT,LC_PROBE542_MU_CNT,(C_EN_DDR_ILA == 1'b1),542);
  localparam [(LC_PROBE543_MU_CNT*16)-1:0] LC_PROBE543_PID = match_tpid(LC_PROBE271_MU_CNT,LC_PROBE543_MU_CNT,(C_EN_DDR_ILA == 1'b1),543);
  localparam [(LC_PROBE544_MU_CNT*16)-1:0] LC_PROBE544_PID = match_tpid(LC_PROBE272_MU_CNT,LC_PROBE544_MU_CNT,(C_EN_DDR_ILA == 1'b1),544);
  localparam [(LC_PROBE545_MU_CNT*16)-1:0] LC_PROBE545_PID = match_tpid(LC_PROBE272_MU_CNT,LC_PROBE545_MU_CNT,(C_EN_DDR_ILA == 1'b1),545);
  localparam [(LC_PROBE546_MU_CNT*16)-1:0] LC_PROBE546_PID = match_tpid(LC_PROBE273_MU_CNT,LC_PROBE546_MU_CNT,(C_EN_DDR_ILA == 1'b1),546);
  localparam [(LC_PROBE547_MU_CNT*16)-1:0] LC_PROBE547_PID = match_tpid(LC_PROBE273_MU_CNT,LC_PROBE547_MU_CNT,(C_EN_DDR_ILA == 1'b1),547);
  localparam [(LC_PROBE548_MU_CNT*16)-1:0] LC_PROBE548_PID = match_tpid(LC_PROBE274_MU_CNT,LC_PROBE548_MU_CNT,(C_EN_DDR_ILA == 1'b1),548);
  localparam [(LC_PROBE549_MU_CNT*16)-1:0] LC_PROBE549_PID = match_tpid(LC_PROBE274_MU_CNT,LC_PROBE549_MU_CNT,(C_EN_DDR_ILA == 1'b1),549);
  localparam [(LC_PROBE550_MU_CNT*16)-1:0] LC_PROBE550_PID = match_tpid(LC_PROBE275_MU_CNT,LC_PROBE550_MU_CNT,(C_EN_DDR_ILA == 1'b1),550);
  localparam [(LC_PROBE551_MU_CNT*16)-1:0] LC_PROBE551_PID = match_tpid(LC_PROBE275_MU_CNT,LC_PROBE551_MU_CNT,(C_EN_DDR_ILA == 1'b1),551);
  localparam [(LC_PROBE552_MU_CNT*16)-1:0] LC_PROBE552_PID = match_tpid(LC_PROBE276_MU_CNT,LC_PROBE552_MU_CNT,(C_EN_DDR_ILA == 1'b1),552);
  localparam [(LC_PROBE553_MU_CNT*16)-1:0] LC_PROBE553_PID = match_tpid(LC_PROBE276_MU_CNT,LC_PROBE553_MU_CNT,(C_EN_DDR_ILA == 1'b1),553);
  localparam [(LC_PROBE554_MU_CNT*16)-1:0] LC_PROBE554_PID = match_tpid(LC_PROBE277_MU_CNT,LC_PROBE554_MU_CNT,(C_EN_DDR_ILA == 1'b1),554);
  localparam [(LC_PROBE555_MU_CNT*16)-1:0] LC_PROBE555_PID = match_tpid(LC_PROBE277_MU_CNT,LC_PROBE555_MU_CNT,(C_EN_DDR_ILA == 1'b1),555);
  localparam [(LC_PROBE556_MU_CNT*16)-1:0] LC_PROBE556_PID = match_tpid(LC_PROBE278_MU_CNT,LC_PROBE556_MU_CNT,(C_EN_DDR_ILA == 1'b1),556);
  localparam [(LC_PROBE557_MU_CNT*16)-1:0] LC_PROBE557_PID = match_tpid(LC_PROBE278_MU_CNT,LC_PROBE557_MU_CNT,(C_EN_DDR_ILA == 1'b1),557);
  localparam [(LC_PROBE558_MU_CNT*16)-1:0] LC_PROBE558_PID = match_tpid(LC_PROBE279_MU_CNT,LC_PROBE558_MU_CNT,(C_EN_DDR_ILA == 1'b1),558);
  localparam [(LC_PROBE559_MU_CNT*16)-1:0] LC_PROBE559_PID = match_tpid(LC_PROBE279_MU_CNT,LC_PROBE559_MU_CNT,(C_EN_DDR_ILA == 1'b1),559);
  localparam [(LC_PROBE560_MU_CNT*16)-1:0] LC_PROBE560_PID = match_tpid(LC_PROBE280_MU_CNT,LC_PROBE560_MU_CNT,(C_EN_DDR_ILA == 1'b1),560);
  localparam [(LC_PROBE561_MU_CNT*16)-1:0] LC_PROBE561_PID = match_tpid(LC_PROBE280_MU_CNT,LC_PROBE561_MU_CNT,(C_EN_DDR_ILA == 1'b1),561);
  localparam [(LC_PROBE562_MU_CNT*16)-1:0] LC_PROBE562_PID = match_tpid(LC_PROBE281_MU_CNT,LC_PROBE562_MU_CNT,(C_EN_DDR_ILA == 1'b1),562);
  localparam [(LC_PROBE563_MU_CNT*16)-1:0] LC_PROBE563_PID = match_tpid(LC_PROBE281_MU_CNT,LC_PROBE563_MU_CNT,(C_EN_DDR_ILA == 1'b1),563);
  localparam [(LC_PROBE564_MU_CNT*16)-1:0] LC_PROBE564_PID = match_tpid(LC_PROBE282_MU_CNT,LC_PROBE564_MU_CNT,(C_EN_DDR_ILA == 1'b1),564);
  localparam [(LC_PROBE565_MU_CNT*16)-1:0] LC_PROBE565_PID = match_tpid(LC_PROBE282_MU_CNT,LC_PROBE565_MU_CNT,(C_EN_DDR_ILA == 1'b1),565);
  localparam [(LC_PROBE566_MU_CNT*16)-1:0] LC_PROBE566_PID = match_tpid(LC_PROBE283_MU_CNT,LC_PROBE566_MU_CNT,(C_EN_DDR_ILA == 1'b1),566);
  localparam [(LC_PROBE567_MU_CNT*16)-1:0] LC_PROBE567_PID = match_tpid(LC_PROBE283_MU_CNT,LC_PROBE567_MU_CNT,(C_EN_DDR_ILA == 1'b1),567);
  localparam [(LC_PROBE568_MU_CNT*16)-1:0] LC_PROBE568_PID = match_tpid(LC_PROBE284_MU_CNT,LC_PROBE568_MU_CNT,(C_EN_DDR_ILA == 1'b1),568);
  localparam [(LC_PROBE569_MU_CNT*16)-1:0] LC_PROBE569_PID = match_tpid(LC_PROBE284_MU_CNT,LC_PROBE569_MU_CNT,(C_EN_DDR_ILA == 1'b1),569);
  localparam [(LC_PROBE570_MU_CNT*16)-1:0] LC_PROBE570_PID = match_tpid(LC_PROBE285_MU_CNT,LC_PROBE570_MU_CNT,(C_EN_DDR_ILA == 1'b1),570);
  localparam [(LC_PROBE571_MU_CNT*16)-1:0] LC_PROBE571_PID = match_tpid(LC_PROBE285_MU_CNT,LC_PROBE571_MU_CNT,(C_EN_DDR_ILA == 1'b1),571);
  localparam [(LC_PROBE572_MU_CNT*16)-1:0] LC_PROBE572_PID = match_tpid(LC_PROBE286_MU_CNT,LC_PROBE572_MU_CNT,(C_EN_DDR_ILA == 1'b1),572);
  localparam [(LC_PROBE573_MU_CNT*16)-1:0] LC_PROBE573_PID = match_tpid(LC_PROBE286_MU_CNT,LC_PROBE573_MU_CNT,(C_EN_DDR_ILA == 1'b1),573);
  localparam [(LC_PROBE574_MU_CNT*16)-1:0] LC_PROBE574_PID = match_tpid(LC_PROBE287_MU_CNT,LC_PROBE574_MU_CNT,(C_EN_DDR_ILA == 1'b1),574);
  localparam [(LC_PROBE575_MU_CNT*16)-1:0] LC_PROBE575_PID = match_tpid(LC_PROBE287_MU_CNT,LC_PROBE575_MU_CNT,(C_EN_DDR_ILA == 1'b1),575);
  localparam [(LC_PROBE576_MU_CNT*16)-1:0] LC_PROBE576_PID = match_tpid(LC_PROBE288_MU_CNT,LC_PROBE576_MU_CNT,(C_EN_DDR_ILA == 1'b1),576);
  localparam [(LC_PROBE577_MU_CNT*16)-1:0] LC_PROBE577_PID = match_tpid(LC_PROBE288_MU_CNT,LC_PROBE577_MU_CNT,(C_EN_DDR_ILA == 1'b1),577);
  localparam [(LC_PROBE578_MU_CNT*16)-1:0] LC_PROBE578_PID = match_tpid(LC_PROBE289_MU_CNT,LC_PROBE578_MU_CNT,(C_EN_DDR_ILA == 1'b1),578);
  localparam [(LC_PROBE579_MU_CNT*16)-1:0] LC_PROBE579_PID = match_tpid(LC_PROBE289_MU_CNT,LC_PROBE579_MU_CNT,(C_EN_DDR_ILA == 1'b1),579);
  localparam [(LC_PROBE580_MU_CNT*16)-1:0] LC_PROBE580_PID = match_tpid(LC_PROBE290_MU_CNT,LC_PROBE580_MU_CNT,(C_EN_DDR_ILA == 1'b1),580);
  localparam [(LC_PROBE581_MU_CNT*16)-1:0] LC_PROBE581_PID = match_tpid(LC_PROBE290_MU_CNT,LC_PROBE581_MU_CNT,(C_EN_DDR_ILA == 1'b1),581);
  localparam [(LC_PROBE582_MU_CNT*16)-1:0] LC_PROBE582_PID = match_tpid(LC_PROBE291_MU_CNT,LC_PROBE582_MU_CNT,(C_EN_DDR_ILA == 1'b1),582);
  localparam [(LC_PROBE583_MU_CNT*16)-1:0] LC_PROBE583_PID = match_tpid(LC_PROBE291_MU_CNT,LC_PROBE583_MU_CNT,(C_EN_DDR_ILA == 1'b1),583);
  localparam [(LC_PROBE584_MU_CNT*16)-1:0] LC_PROBE584_PID = match_tpid(LC_PROBE292_MU_CNT,LC_PROBE584_MU_CNT,(C_EN_DDR_ILA == 1'b1),584);
  localparam [(LC_PROBE585_MU_CNT*16)-1:0] LC_PROBE585_PID = match_tpid(LC_PROBE292_MU_CNT,LC_PROBE585_MU_CNT,(C_EN_DDR_ILA == 1'b1),585);
  localparam [(LC_PROBE586_MU_CNT*16)-1:0] LC_PROBE586_PID = match_tpid(LC_PROBE293_MU_CNT,LC_PROBE586_MU_CNT,(C_EN_DDR_ILA == 1'b1),586);
  localparam [(LC_PROBE587_MU_CNT*16)-1:0] LC_PROBE587_PID = match_tpid(LC_PROBE293_MU_CNT,LC_PROBE587_MU_CNT,(C_EN_DDR_ILA == 1'b1),587);
  localparam [(LC_PROBE588_MU_CNT*16)-1:0] LC_PROBE588_PID = match_tpid(LC_PROBE294_MU_CNT,LC_PROBE588_MU_CNT,(C_EN_DDR_ILA == 1'b1),588);
  localparam [(LC_PROBE589_MU_CNT*16)-1:0] LC_PROBE589_PID = match_tpid(LC_PROBE294_MU_CNT,LC_PROBE589_MU_CNT,(C_EN_DDR_ILA == 1'b1),589);
  localparam [(LC_PROBE590_MU_CNT*16)-1:0] LC_PROBE590_PID = match_tpid(LC_PROBE295_MU_CNT,LC_PROBE590_MU_CNT,(C_EN_DDR_ILA == 1'b1),590);
  localparam [(LC_PROBE591_MU_CNT*16)-1:0] LC_PROBE591_PID = match_tpid(LC_PROBE295_MU_CNT,LC_PROBE591_MU_CNT,(C_EN_DDR_ILA == 1'b1),591);
  localparam [(LC_PROBE592_MU_CNT*16)-1:0] LC_PROBE592_PID = match_tpid(LC_PROBE296_MU_CNT,LC_PROBE592_MU_CNT,(C_EN_DDR_ILA == 1'b1),592);
  localparam [(LC_PROBE593_MU_CNT*16)-1:0] LC_PROBE593_PID = match_tpid(LC_PROBE296_MU_CNT,LC_PROBE593_MU_CNT,(C_EN_DDR_ILA == 1'b1),593);
  localparam [(LC_PROBE594_MU_CNT*16)-1:0] LC_PROBE594_PID = match_tpid(LC_PROBE297_MU_CNT,LC_PROBE594_MU_CNT,(C_EN_DDR_ILA == 1'b1),594);
  localparam [(LC_PROBE595_MU_CNT*16)-1:0] LC_PROBE595_PID = match_tpid(LC_PROBE297_MU_CNT,LC_PROBE595_MU_CNT,(C_EN_DDR_ILA == 1'b1),595);
  localparam [(LC_PROBE596_MU_CNT*16)-1:0] LC_PROBE596_PID = match_tpid(LC_PROBE298_MU_CNT,LC_PROBE596_MU_CNT,(C_EN_DDR_ILA == 1'b1),596);
  localparam [(LC_PROBE597_MU_CNT*16)-1:0] LC_PROBE597_PID = match_tpid(LC_PROBE298_MU_CNT,LC_PROBE597_MU_CNT,(C_EN_DDR_ILA == 1'b1),597);
  localparam [(LC_PROBE598_MU_CNT*16)-1:0] LC_PROBE598_PID = match_tpid(LC_PROBE299_MU_CNT,LC_PROBE598_MU_CNT,(C_EN_DDR_ILA == 1'b1),598);
  localparam [(LC_PROBE599_MU_CNT*16)-1:0] LC_PROBE599_PID = match_tpid(LC_PROBE299_MU_CNT,LC_PROBE599_MU_CNT,(C_EN_DDR_ILA == 1'b1),599);
  localparam [(LC_PROBE600_MU_CNT*16)-1:0] LC_PROBE600_PID = match_tpid(LC_PROBE300_MU_CNT,LC_PROBE600_MU_CNT,(C_EN_DDR_ILA == 1'b1),600);
  localparam [(LC_PROBE601_MU_CNT*16)-1:0] LC_PROBE601_PID = match_tpid(LC_PROBE300_MU_CNT,LC_PROBE601_MU_CNT,(C_EN_DDR_ILA == 1'b1),601);
  localparam [(LC_PROBE602_MU_CNT*16)-1:0] LC_PROBE602_PID = match_tpid(LC_PROBE301_MU_CNT,LC_PROBE602_MU_CNT,(C_EN_DDR_ILA == 1'b1),602);
  localparam [(LC_PROBE603_MU_CNT*16)-1:0] LC_PROBE603_PID = match_tpid(LC_PROBE301_MU_CNT,LC_PROBE603_MU_CNT,(C_EN_DDR_ILA == 1'b1),603);
  localparam [(LC_PROBE604_MU_CNT*16)-1:0] LC_PROBE604_PID = match_tpid(LC_PROBE302_MU_CNT,LC_PROBE604_MU_CNT,(C_EN_DDR_ILA == 1'b1),604);
  localparam [(LC_PROBE605_MU_CNT*16)-1:0] LC_PROBE605_PID = match_tpid(LC_PROBE302_MU_CNT,LC_PROBE605_MU_CNT,(C_EN_DDR_ILA == 1'b1),605);
  localparam [(LC_PROBE606_MU_CNT*16)-1:0] LC_PROBE606_PID = match_tpid(LC_PROBE303_MU_CNT,LC_PROBE606_MU_CNT,(C_EN_DDR_ILA == 1'b1),606);
  localparam [(LC_PROBE607_MU_CNT*16)-1:0] LC_PROBE607_PID = match_tpid(LC_PROBE303_MU_CNT,LC_PROBE607_MU_CNT,(C_EN_DDR_ILA == 1'b1),607);
  localparam [(LC_PROBE608_MU_CNT*16)-1:0] LC_PROBE608_PID = match_tpid(LC_PROBE304_MU_CNT,LC_PROBE608_MU_CNT,(C_EN_DDR_ILA == 1'b1),608);
  localparam [(LC_PROBE609_MU_CNT*16)-1:0] LC_PROBE609_PID = match_tpid(LC_PROBE304_MU_CNT,LC_PROBE609_MU_CNT,(C_EN_DDR_ILA == 1'b1),609);
  localparam [(LC_PROBE610_MU_CNT*16)-1:0] LC_PROBE610_PID = match_tpid(LC_PROBE305_MU_CNT,LC_PROBE610_MU_CNT,(C_EN_DDR_ILA == 1'b1),610);
  localparam [(LC_PROBE611_MU_CNT*16)-1:0] LC_PROBE611_PID = match_tpid(LC_PROBE305_MU_CNT,LC_PROBE611_MU_CNT,(C_EN_DDR_ILA == 1'b1),611);
  localparam [(LC_PROBE612_MU_CNT*16)-1:0] LC_PROBE612_PID = match_tpid(LC_PROBE306_MU_CNT,LC_PROBE612_MU_CNT,(C_EN_DDR_ILA == 1'b1),612);
  localparam [(LC_PROBE613_MU_CNT*16)-1:0] LC_PROBE613_PID = match_tpid(LC_PROBE306_MU_CNT,LC_PROBE613_MU_CNT,(C_EN_DDR_ILA == 1'b1),613);
  localparam [(LC_PROBE614_MU_CNT*16)-1:0] LC_PROBE614_PID = match_tpid(LC_PROBE307_MU_CNT,LC_PROBE614_MU_CNT,(C_EN_DDR_ILA == 1'b1),614);
  localparam [(LC_PROBE615_MU_CNT*16)-1:0] LC_PROBE615_PID = match_tpid(LC_PROBE307_MU_CNT,LC_PROBE615_MU_CNT,(C_EN_DDR_ILA == 1'b1),615);
  localparam [(LC_PROBE616_MU_CNT*16)-1:0] LC_PROBE616_PID = match_tpid(LC_PROBE308_MU_CNT,LC_PROBE616_MU_CNT,(C_EN_DDR_ILA == 1'b1),616);
  localparam [(LC_PROBE617_MU_CNT*16)-1:0] LC_PROBE617_PID = match_tpid(LC_PROBE308_MU_CNT,LC_PROBE617_MU_CNT,(C_EN_DDR_ILA == 1'b1),617);
  localparam [(LC_PROBE618_MU_CNT*16)-1:0] LC_PROBE618_PID = match_tpid(LC_PROBE309_MU_CNT,LC_PROBE618_MU_CNT,(C_EN_DDR_ILA == 1'b1),618);
  localparam [(LC_PROBE619_MU_CNT*16)-1:0] LC_PROBE619_PID = match_tpid(LC_PROBE309_MU_CNT,LC_PROBE619_MU_CNT,(C_EN_DDR_ILA == 1'b1),619);
  localparam [(LC_PROBE620_MU_CNT*16)-1:0] LC_PROBE620_PID = match_tpid(LC_PROBE310_MU_CNT,LC_PROBE620_MU_CNT,(C_EN_DDR_ILA == 1'b1),620);
  localparam [(LC_PROBE621_MU_CNT*16)-1:0] LC_PROBE621_PID = match_tpid(LC_PROBE310_MU_CNT,LC_PROBE621_MU_CNT,(C_EN_DDR_ILA == 1'b1),621);
  localparam [(LC_PROBE622_MU_CNT*16)-1:0] LC_PROBE622_PID = match_tpid(LC_PROBE311_MU_CNT,LC_PROBE622_MU_CNT,(C_EN_DDR_ILA == 1'b1),622);
  localparam [(LC_PROBE623_MU_CNT*16)-1:0] LC_PROBE623_PID = match_tpid(LC_PROBE311_MU_CNT,LC_PROBE623_MU_CNT,(C_EN_DDR_ILA == 1'b1),623);
  localparam [(LC_PROBE624_MU_CNT*16)-1:0] LC_PROBE624_PID = match_tpid(LC_PROBE312_MU_CNT,LC_PROBE624_MU_CNT,(C_EN_DDR_ILA == 1'b1),624);
  localparam [(LC_PROBE625_MU_CNT*16)-1:0] LC_PROBE625_PID = match_tpid(LC_PROBE312_MU_CNT,LC_PROBE625_MU_CNT,(C_EN_DDR_ILA == 1'b1),625);
  localparam [(LC_PROBE626_MU_CNT*16)-1:0] LC_PROBE626_PID = match_tpid(LC_PROBE313_MU_CNT,LC_PROBE626_MU_CNT,(C_EN_DDR_ILA == 1'b1),626);
  localparam [(LC_PROBE627_MU_CNT*16)-1:0] LC_PROBE627_PID = match_tpid(LC_PROBE313_MU_CNT,LC_PROBE627_MU_CNT,(C_EN_DDR_ILA == 1'b1),627);
  localparam [(LC_PROBE628_MU_CNT*16)-1:0] LC_PROBE628_PID = match_tpid(LC_PROBE314_MU_CNT,LC_PROBE628_MU_CNT,(C_EN_DDR_ILA == 1'b1),628);
  localparam [(LC_PROBE629_MU_CNT*16)-1:0] LC_PROBE629_PID = match_tpid(LC_PROBE314_MU_CNT,LC_PROBE629_MU_CNT,(C_EN_DDR_ILA == 1'b1),629);
  localparam [(LC_PROBE630_MU_CNT*16)-1:0] LC_PROBE630_PID = match_tpid(LC_PROBE315_MU_CNT,LC_PROBE630_MU_CNT,(C_EN_DDR_ILA == 1'b1),630);
  localparam [(LC_PROBE631_MU_CNT*16)-1:0] LC_PROBE631_PID = match_tpid(LC_PROBE315_MU_CNT,LC_PROBE631_MU_CNT,(C_EN_DDR_ILA == 1'b1),631);
  localparam [(LC_PROBE632_MU_CNT*16)-1:0] LC_PROBE632_PID = match_tpid(LC_PROBE316_MU_CNT,LC_PROBE632_MU_CNT,(C_EN_DDR_ILA == 1'b1),632);
  localparam [(LC_PROBE633_MU_CNT*16)-1:0] LC_PROBE633_PID = match_tpid(LC_PROBE316_MU_CNT,LC_PROBE633_MU_CNT,(C_EN_DDR_ILA == 1'b1),633);
  localparam [(LC_PROBE634_MU_CNT*16)-1:0] LC_PROBE634_PID = match_tpid(LC_PROBE317_MU_CNT,LC_PROBE634_MU_CNT,(C_EN_DDR_ILA == 1'b1),634);
  localparam [(LC_PROBE635_MU_CNT*16)-1:0] LC_PROBE635_PID = match_tpid(LC_PROBE317_MU_CNT,LC_PROBE635_MU_CNT,(C_EN_DDR_ILA == 1'b1),635);
  localparam [(LC_PROBE636_MU_CNT*16)-1:0] LC_PROBE636_PID = match_tpid(LC_PROBE318_MU_CNT,LC_PROBE636_MU_CNT,(C_EN_DDR_ILA == 1'b1),636);
  localparam [(LC_PROBE637_MU_CNT*16)-1:0] LC_PROBE637_PID = match_tpid(LC_PROBE318_MU_CNT,LC_PROBE637_MU_CNT,(C_EN_DDR_ILA == 1'b1),637);
  localparam [(LC_PROBE638_MU_CNT*16)-1:0] LC_PROBE638_PID = match_tpid(LC_PROBE319_MU_CNT,LC_PROBE638_MU_CNT,(C_EN_DDR_ILA == 1'b1),638);
  localparam [(LC_PROBE639_MU_CNT*16)-1:0] LC_PROBE639_PID = match_tpid(LC_PROBE319_MU_CNT,LC_PROBE639_MU_CNT,(C_EN_DDR_ILA == 1'b1),639);
  localparam [(LC_PROBE640_MU_CNT*16)-1:0] LC_PROBE640_PID = match_tpid(LC_PROBE320_MU_CNT,LC_PROBE640_MU_CNT,(C_EN_DDR_ILA == 1'b1),640);
  localparam [(LC_PROBE641_MU_CNT*16)-1:0] LC_PROBE641_PID = match_tpid(LC_PROBE320_MU_CNT,LC_PROBE641_MU_CNT,(C_EN_DDR_ILA == 1'b1),641);
  localparam [(LC_PROBE642_MU_CNT*16)-1:0] LC_PROBE642_PID = match_tpid(LC_PROBE321_MU_CNT,LC_PROBE642_MU_CNT,(C_EN_DDR_ILA == 1'b1),642);
  localparam [(LC_PROBE643_MU_CNT*16)-1:0] LC_PROBE643_PID = match_tpid(LC_PROBE321_MU_CNT,LC_PROBE643_MU_CNT,(C_EN_DDR_ILA == 1'b1),643);
  localparam [(LC_PROBE644_MU_CNT*16)-1:0] LC_PROBE644_PID = match_tpid(LC_PROBE322_MU_CNT,LC_PROBE644_MU_CNT,(C_EN_DDR_ILA == 1'b1),644);
  localparam [(LC_PROBE645_MU_CNT*16)-1:0] LC_PROBE645_PID = match_tpid(LC_PROBE322_MU_CNT,LC_PROBE645_MU_CNT,(C_EN_DDR_ILA == 1'b1),645);
  localparam [(LC_PROBE646_MU_CNT*16)-1:0] LC_PROBE646_PID = match_tpid(LC_PROBE323_MU_CNT,LC_PROBE646_MU_CNT,(C_EN_DDR_ILA == 1'b1),646);
  localparam [(LC_PROBE647_MU_CNT*16)-1:0] LC_PROBE647_PID = match_tpid(LC_PROBE323_MU_CNT,LC_PROBE647_MU_CNT,(C_EN_DDR_ILA == 1'b1),647);
  localparam [(LC_PROBE648_MU_CNT*16)-1:0] LC_PROBE648_PID = match_tpid(LC_PROBE324_MU_CNT,LC_PROBE648_MU_CNT,(C_EN_DDR_ILA == 1'b1),648);
  localparam [(LC_PROBE649_MU_CNT*16)-1:0] LC_PROBE649_PID = match_tpid(LC_PROBE324_MU_CNT,LC_PROBE649_MU_CNT,(C_EN_DDR_ILA == 1'b1),649);
  localparam [(LC_PROBE650_MU_CNT*16)-1:0] LC_PROBE650_PID = match_tpid(LC_PROBE325_MU_CNT,LC_PROBE650_MU_CNT,(C_EN_DDR_ILA == 1'b1),650);
  localparam [(LC_PROBE651_MU_CNT*16)-1:0] LC_PROBE651_PID = match_tpid(LC_PROBE325_MU_CNT,LC_PROBE651_MU_CNT,(C_EN_DDR_ILA == 1'b1),651);
  localparam [(LC_PROBE652_MU_CNT*16)-1:0] LC_PROBE652_PID = match_tpid(LC_PROBE326_MU_CNT,LC_PROBE652_MU_CNT,(C_EN_DDR_ILA == 1'b1),652);
  localparam [(LC_PROBE653_MU_CNT*16)-1:0] LC_PROBE653_PID = match_tpid(LC_PROBE326_MU_CNT,LC_PROBE653_MU_CNT,(C_EN_DDR_ILA == 1'b1),653);
  localparam [(LC_PROBE654_MU_CNT*16)-1:0] LC_PROBE654_PID = match_tpid(LC_PROBE327_MU_CNT,LC_PROBE654_MU_CNT,(C_EN_DDR_ILA == 1'b1),654);
  localparam [(LC_PROBE655_MU_CNT*16)-1:0] LC_PROBE655_PID = match_tpid(LC_PROBE327_MU_CNT,LC_PROBE655_MU_CNT,(C_EN_DDR_ILA == 1'b1),655);
  localparam [(LC_PROBE656_MU_CNT*16)-1:0] LC_PROBE656_PID = match_tpid(LC_PROBE328_MU_CNT,LC_PROBE656_MU_CNT,(C_EN_DDR_ILA == 1'b1),656);
  localparam [(LC_PROBE657_MU_CNT*16)-1:0] LC_PROBE657_PID = match_tpid(LC_PROBE328_MU_CNT,LC_PROBE657_MU_CNT,(C_EN_DDR_ILA == 1'b1),657);
  localparam [(LC_PROBE658_MU_CNT*16)-1:0] LC_PROBE658_PID = match_tpid(LC_PROBE329_MU_CNT,LC_PROBE658_MU_CNT,(C_EN_DDR_ILA == 1'b1),658);
  localparam [(LC_PROBE659_MU_CNT*16)-1:0] LC_PROBE659_PID = match_tpid(LC_PROBE329_MU_CNT,LC_PROBE659_MU_CNT,(C_EN_DDR_ILA == 1'b1),659);
  localparam [(LC_PROBE660_MU_CNT*16)-1:0] LC_PROBE660_PID = match_tpid(LC_PROBE330_MU_CNT,LC_PROBE660_MU_CNT,(C_EN_DDR_ILA == 1'b1),660);
  localparam [(LC_PROBE661_MU_CNT*16)-1:0] LC_PROBE661_PID = match_tpid(LC_PROBE330_MU_CNT,LC_PROBE661_MU_CNT,(C_EN_DDR_ILA == 1'b1),661);
  localparam [(LC_PROBE662_MU_CNT*16)-1:0] LC_PROBE662_PID = match_tpid(LC_PROBE331_MU_CNT,LC_PROBE662_MU_CNT,(C_EN_DDR_ILA == 1'b1),662);
  localparam [(LC_PROBE663_MU_CNT*16)-1:0] LC_PROBE663_PID = match_tpid(LC_PROBE331_MU_CNT,LC_PROBE663_MU_CNT,(C_EN_DDR_ILA == 1'b1),663);
  localparam [(LC_PROBE664_MU_CNT*16)-1:0] LC_PROBE664_PID = match_tpid(LC_PROBE332_MU_CNT,LC_PROBE664_MU_CNT,(C_EN_DDR_ILA == 1'b1),664);
  localparam [(LC_PROBE665_MU_CNT*16)-1:0] LC_PROBE665_PID = match_tpid(LC_PROBE332_MU_CNT,LC_PROBE665_MU_CNT,(C_EN_DDR_ILA == 1'b1),665);
  localparam [(LC_PROBE666_MU_CNT*16)-1:0] LC_PROBE666_PID = match_tpid(LC_PROBE333_MU_CNT,LC_PROBE666_MU_CNT,(C_EN_DDR_ILA == 1'b1),666);
  localparam [(LC_PROBE667_MU_CNT*16)-1:0] LC_PROBE667_PID = match_tpid(LC_PROBE333_MU_CNT,LC_PROBE667_MU_CNT,(C_EN_DDR_ILA == 1'b1),667);
  localparam [(LC_PROBE668_MU_CNT*16)-1:0] LC_PROBE668_PID = match_tpid(LC_PROBE334_MU_CNT,LC_PROBE668_MU_CNT,(C_EN_DDR_ILA == 1'b1),668);
  localparam [(LC_PROBE669_MU_CNT*16)-1:0] LC_PROBE669_PID = match_tpid(LC_PROBE334_MU_CNT,LC_PROBE669_MU_CNT,(C_EN_DDR_ILA == 1'b1),669);
  localparam [(LC_PROBE670_MU_CNT*16)-1:0] LC_PROBE670_PID = match_tpid(LC_PROBE335_MU_CNT,LC_PROBE670_MU_CNT,(C_EN_DDR_ILA == 1'b1),670);
  localparam [(LC_PROBE671_MU_CNT*16)-1:0] LC_PROBE671_PID = match_tpid(LC_PROBE335_MU_CNT,LC_PROBE671_MU_CNT,(C_EN_DDR_ILA == 1'b1),671);
  localparam [(LC_PROBE672_MU_CNT*16)-1:0] LC_PROBE672_PID = match_tpid(LC_PROBE336_MU_CNT,LC_PROBE672_MU_CNT,(C_EN_DDR_ILA == 1'b1),672);
  localparam [(LC_PROBE673_MU_CNT*16)-1:0] LC_PROBE673_PID = match_tpid(LC_PROBE336_MU_CNT,LC_PROBE673_MU_CNT,(C_EN_DDR_ILA == 1'b1),673);
  localparam [(LC_PROBE674_MU_CNT*16)-1:0] LC_PROBE674_PID = match_tpid(LC_PROBE337_MU_CNT,LC_PROBE674_MU_CNT,(C_EN_DDR_ILA == 1'b1),674);
  localparam [(LC_PROBE675_MU_CNT*16)-1:0] LC_PROBE675_PID = match_tpid(LC_PROBE337_MU_CNT,LC_PROBE675_MU_CNT,(C_EN_DDR_ILA == 1'b1),675);
  localparam [(LC_PROBE676_MU_CNT*16)-1:0] LC_PROBE676_PID = match_tpid(LC_PROBE338_MU_CNT,LC_PROBE676_MU_CNT,(C_EN_DDR_ILA == 1'b1),676);
  localparam [(LC_PROBE677_MU_CNT*16)-1:0] LC_PROBE677_PID = match_tpid(LC_PROBE338_MU_CNT,LC_PROBE677_MU_CNT,(C_EN_DDR_ILA == 1'b1),677);
  localparam [(LC_PROBE678_MU_CNT*16)-1:0] LC_PROBE678_PID = match_tpid(LC_PROBE339_MU_CNT,LC_PROBE678_MU_CNT,(C_EN_DDR_ILA == 1'b1),678);
  localparam [(LC_PROBE679_MU_CNT*16)-1:0] LC_PROBE679_PID = match_tpid(LC_PROBE339_MU_CNT,LC_PROBE679_MU_CNT,(C_EN_DDR_ILA == 1'b1),679);
  localparam [(LC_PROBE680_MU_CNT*16)-1:0] LC_PROBE680_PID = match_tpid(LC_PROBE340_MU_CNT,LC_PROBE680_MU_CNT,(C_EN_DDR_ILA == 1'b1),680);
  localparam [(LC_PROBE681_MU_CNT*16)-1:0] LC_PROBE681_PID = match_tpid(LC_PROBE340_MU_CNT,LC_PROBE681_MU_CNT,(C_EN_DDR_ILA == 1'b1),681);
  localparam [(LC_PROBE682_MU_CNT*16)-1:0] LC_PROBE682_PID = match_tpid(LC_PROBE341_MU_CNT,LC_PROBE682_MU_CNT,(C_EN_DDR_ILA == 1'b1),682);
  localparam [(LC_PROBE683_MU_CNT*16)-1:0] LC_PROBE683_PID = match_tpid(LC_PROBE341_MU_CNT,LC_PROBE683_MU_CNT,(C_EN_DDR_ILA == 1'b1),683);
  localparam [(LC_PROBE684_MU_CNT*16)-1:0] LC_PROBE684_PID = match_tpid(LC_PROBE342_MU_CNT,LC_PROBE684_MU_CNT,(C_EN_DDR_ILA == 1'b1),684);
  localparam [(LC_PROBE685_MU_CNT*16)-1:0] LC_PROBE685_PID = match_tpid(LC_PROBE342_MU_CNT,LC_PROBE685_MU_CNT,(C_EN_DDR_ILA == 1'b1),685);
  localparam [(LC_PROBE686_MU_CNT*16)-1:0] LC_PROBE686_PID = match_tpid(LC_PROBE343_MU_CNT,LC_PROBE686_MU_CNT,(C_EN_DDR_ILA == 1'b1),686);
  localparam [(LC_PROBE687_MU_CNT*16)-1:0] LC_PROBE687_PID = match_tpid(LC_PROBE343_MU_CNT,LC_PROBE687_MU_CNT,(C_EN_DDR_ILA == 1'b1),687);
  localparam [(LC_PROBE688_MU_CNT*16)-1:0] LC_PROBE688_PID = match_tpid(LC_PROBE344_MU_CNT,LC_PROBE688_MU_CNT,(C_EN_DDR_ILA == 1'b1),688);
  localparam [(LC_PROBE689_MU_CNT*16)-1:0] LC_PROBE689_PID = match_tpid(LC_PROBE344_MU_CNT,LC_PROBE689_MU_CNT,(C_EN_DDR_ILA == 1'b1),689);
  localparam [(LC_PROBE690_MU_CNT*16)-1:0] LC_PROBE690_PID = match_tpid(LC_PROBE345_MU_CNT,LC_PROBE690_MU_CNT,(C_EN_DDR_ILA == 1'b1),690);
  localparam [(LC_PROBE691_MU_CNT*16)-1:0] LC_PROBE691_PID = match_tpid(LC_PROBE345_MU_CNT,LC_PROBE691_MU_CNT,(C_EN_DDR_ILA == 1'b1),691);
  localparam [(LC_PROBE692_MU_CNT*16)-1:0] LC_PROBE692_PID = match_tpid(LC_PROBE346_MU_CNT,LC_PROBE692_MU_CNT,(C_EN_DDR_ILA == 1'b1),692);
  localparam [(LC_PROBE693_MU_CNT*16)-1:0] LC_PROBE693_PID = match_tpid(LC_PROBE346_MU_CNT,LC_PROBE693_MU_CNT,(C_EN_DDR_ILA == 1'b1),693);
  localparam [(LC_PROBE694_MU_CNT*16)-1:0] LC_PROBE694_PID = match_tpid(LC_PROBE347_MU_CNT,LC_PROBE694_MU_CNT,(C_EN_DDR_ILA == 1'b1),694);
  localparam [(LC_PROBE695_MU_CNT*16)-1:0] LC_PROBE695_PID = match_tpid(LC_PROBE347_MU_CNT,LC_PROBE695_MU_CNT,(C_EN_DDR_ILA == 1'b1),695);
  localparam [(LC_PROBE696_MU_CNT*16)-1:0] LC_PROBE696_PID = match_tpid(LC_PROBE348_MU_CNT,LC_PROBE696_MU_CNT,(C_EN_DDR_ILA == 1'b1),696);
  localparam [(LC_PROBE697_MU_CNT*16)-1:0] LC_PROBE697_PID = match_tpid(LC_PROBE348_MU_CNT,LC_PROBE697_MU_CNT,(C_EN_DDR_ILA == 1'b1),697);
  localparam [(LC_PROBE698_MU_CNT*16)-1:0] LC_PROBE698_PID = match_tpid(LC_PROBE349_MU_CNT,LC_PROBE698_MU_CNT,(C_EN_DDR_ILA == 1'b1),698);
  localparam [(LC_PROBE699_MU_CNT*16)-1:0] LC_PROBE699_PID = match_tpid(LC_PROBE349_MU_CNT,LC_PROBE699_MU_CNT,(C_EN_DDR_ILA == 1'b1),699);
  localparam [(LC_PROBE700_MU_CNT*16)-1:0] LC_PROBE700_PID = match_tpid(LC_PROBE350_MU_CNT,LC_PROBE700_MU_CNT,(C_EN_DDR_ILA == 1'b1),700);
  localparam [(LC_PROBE701_MU_CNT*16)-1:0] LC_PROBE701_PID = match_tpid(LC_PROBE350_MU_CNT,LC_PROBE701_MU_CNT,(C_EN_DDR_ILA == 1'b1),701);
  localparam [(LC_PROBE702_MU_CNT*16)-1:0] LC_PROBE702_PID = match_tpid(LC_PROBE351_MU_CNT,LC_PROBE702_MU_CNT,(C_EN_DDR_ILA == 1'b1),702);
  localparam [(LC_PROBE703_MU_CNT*16)-1:0] LC_PROBE703_PID = match_tpid(LC_PROBE351_MU_CNT,LC_PROBE703_MU_CNT,(C_EN_DDR_ILA == 1'b1),703);
  localparam [(LC_PROBE704_MU_CNT*16)-1:0] LC_PROBE704_PID = match_tpid(LC_PROBE352_MU_CNT,LC_PROBE704_MU_CNT,(C_EN_DDR_ILA == 1'b1),704);
  localparam [(LC_PROBE705_MU_CNT*16)-1:0] LC_PROBE705_PID = match_tpid(LC_PROBE352_MU_CNT,LC_PROBE705_MU_CNT,(C_EN_DDR_ILA == 1'b1),705);
  localparam [(LC_PROBE706_MU_CNT*16)-1:0] LC_PROBE706_PID = match_tpid(LC_PROBE353_MU_CNT,LC_PROBE706_MU_CNT,(C_EN_DDR_ILA == 1'b1),706);
  localparam [(LC_PROBE707_MU_CNT*16)-1:0] LC_PROBE707_PID = match_tpid(LC_PROBE353_MU_CNT,LC_PROBE707_MU_CNT,(C_EN_DDR_ILA == 1'b1),707);
  localparam [(LC_PROBE708_MU_CNT*16)-1:0] LC_PROBE708_PID = match_tpid(LC_PROBE354_MU_CNT,LC_PROBE708_MU_CNT,(C_EN_DDR_ILA == 1'b1),708);
  localparam [(LC_PROBE709_MU_CNT*16)-1:0] LC_PROBE709_PID = match_tpid(LC_PROBE354_MU_CNT,LC_PROBE709_MU_CNT,(C_EN_DDR_ILA == 1'b1),709);
  localparam [(LC_PROBE710_MU_CNT*16)-1:0] LC_PROBE710_PID = match_tpid(LC_PROBE355_MU_CNT,LC_PROBE710_MU_CNT,(C_EN_DDR_ILA == 1'b1),710);
  localparam [(LC_PROBE711_MU_CNT*16)-1:0] LC_PROBE711_PID = match_tpid(LC_PROBE355_MU_CNT,LC_PROBE711_MU_CNT,(C_EN_DDR_ILA == 1'b1),711);
  localparam [(LC_PROBE712_MU_CNT*16)-1:0] LC_PROBE712_PID = match_tpid(LC_PROBE356_MU_CNT,LC_PROBE712_MU_CNT,(C_EN_DDR_ILA == 1'b1),712);
  localparam [(LC_PROBE713_MU_CNT*16)-1:0] LC_PROBE713_PID = match_tpid(LC_PROBE356_MU_CNT,LC_PROBE713_MU_CNT,(C_EN_DDR_ILA == 1'b1),713);
  localparam [(LC_PROBE714_MU_CNT*16)-1:0] LC_PROBE714_PID = match_tpid(LC_PROBE357_MU_CNT,LC_PROBE714_MU_CNT,(C_EN_DDR_ILA == 1'b1),714);
  localparam [(LC_PROBE715_MU_CNT*16)-1:0] LC_PROBE715_PID = match_tpid(LC_PROBE357_MU_CNT,LC_PROBE715_MU_CNT,(C_EN_DDR_ILA == 1'b1),715);
  localparam [(LC_PROBE716_MU_CNT*16)-1:0] LC_PROBE716_PID = match_tpid(LC_PROBE358_MU_CNT,LC_PROBE716_MU_CNT,(C_EN_DDR_ILA == 1'b1),716);
  localparam [(LC_PROBE717_MU_CNT*16)-1:0] LC_PROBE717_PID = match_tpid(LC_PROBE358_MU_CNT,LC_PROBE717_MU_CNT,(C_EN_DDR_ILA == 1'b1),717);
  localparam [(LC_PROBE718_MU_CNT*16)-1:0] LC_PROBE718_PID = match_tpid(LC_PROBE359_MU_CNT,LC_PROBE718_MU_CNT,(C_EN_DDR_ILA == 1'b1),718);
  localparam [(LC_PROBE719_MU_CNT*16)-1:0] LC_PROBE719_PID = match_tpid(LC_PROBE359_MU_CNT,LC_PROBE719_MU_CNT,(C_EN_DDR_ILA == 1'b1),719);
  localparam [(LC_PROBE720_MU_CNT*16)-1:0] LC_PROBE720_PID = match_tpid(LC_PROBE360_MU_CNT,LC_PROBE720_MU_CNT,(C_EN_DDR_ILA == 1'b1),720);
  localparam [(LC_PROBE721_MU_CNT*16)-1:0] LC_PROBE721_PID = match_tpid(LC_PROBE360_MU_CNT,LC_PROBE721_MU_CNT,(C_EN_DDR_ILA == 1'b1),721);
  localparam [(LC_PROBE722_MU_CNT*16)-1:0] LC_PROBE722_PID = match_tpid(LC_PROBE361_MU_CNT,LC_PROBE722_MU_CNT,(C_EN_DDR_ILA == 1'b1),722);
  localparam [(LC_PROBE723_MU_CNT*16)-1:0] LC_PROBE723_PID = match_tpid(LC_PROBE361_MU_CNT,LC_PROBE723_MU_CNT,(C_EN_DDR_ILA == 1'b1),723);
  localparam [(LC_PROBE724_MU_CNT*16)-1:0] LC_PROBE724_PID = match_tpid(LC_PROBE362_MU_CNT,LC_PROBE724_MU_CNT,(C_EN_DDR_ILA == 1'b1),724);
  localparam [(LC_PROBE725_MU_CNT*16)-1:0] LC_PROBE725_PID = match_tpid(LC_PROBE362_MU_CNT,LC_PROBE725_MU_CNT,(C_EN_DDR_ILA == 1'b1),725);
  localparam [(LC_PROBE726_MU_CNT*16)-1:0] LC_PROBE726_PID = match_tpid(LC_PROBE363_MU_CNT,LC_PROBE726_MU_CNT,(C_EN_DDR_ILA == 1'b1),726);
  localparam [(LC_PROBE727_MU_CNT*16)-1:0] LC_PROBE727_PID = match_tpid(LC_PROBE363_MU_CNT,LC_PROBE727_MU_CNT,(C_EN_DDR_ILA == 1'b1),727);
  localparam [(LC_PROBE728_MU_CNT*16)-1:0] LC_PROBE728_PID = match_tpid(LC_PROBE364_MU_CNT,LC_PROBE728_MU_CNT,(C_EN_DDR_ILA == 1'b1),728);
  localparam [(LC_PROBE729_MU_CNT*16)-1:0] LC_PROBE729_PID = match_tpid(LC_PROBE364_MU_CNT,LC_PROBE729_MU_CNT,(C_EN_DDR_ILA == 1'b1),729);
  localparam [(LC_PROBE730_MU_CNT*16)-1:0] LC_PROBE730_PID = match_tpid(LC_PROBE365_MU_CNT,LC_PROBE730_MU_CNT,(C_EN_DDR_ILA == 1'b1),730);
  localparam [(LC_PROBE731_MU_CNT*16)-1:0] LC_PROBE731_PID = match_tpid(LC_PROBE365_MU_CNT,LC_PROBE731_MU_CNT,(C_EN_DDR_ILA == 1'b1),731);
  localparam [(LC_PROBE732_MU_CNT*16)-1:0] LC_PROBE732_PID = match_tpid(LC_PROBE366_MU_CNT,LC_PROBE732_MU_CNT,(C_EN_DDR_ILA == 1'b1),732);
  localparam [(LC_PROBE733_MU_CNT*16)-1:0] LC_PROBE733_PID = match_tpid(LC_PROBE366_MU_CNT,LC_PROBE733_MU_CNT,(C_EN_DDR_ILA == 1'b1),733);
  localparam [(LC_PROBE734_MU_CNT*16)-1:0] LC_PROBE734_PID = match_tpid(LC_PROBE367_MU_CNT,LC_PROBE734_MU_CNT,(C_EN_DDR_ILA == 1'b1),734);
  localparam [(LC_PROBE735_MU_CNT*16)-1:0] LC_PROBE735_PID = match_tpid(LC_PROBE367_MU_CNT,LC_PROBE735_MU_CNT,(C_EN_DDR_ILA == 1'b1),735);
  localparam [(LC_PROBE736_MU_CNT*16)-1:0] LC_PROBE736_PID = match_tpid(LC_PROBE368_MU_CNT,LC_PROBE736_MU_CNT,(C_EN_DDR_ILA == 1'b1),736);
  localparam [(LC_PROBE737_MU_CNT*16)-1:0] LC_PROBE737_PID = match_tpid(LC_PROBE368_MU_CNT,LC_PROBE737_MU_CNT,(C_EN_DDR_ILA == 1'b1),737);
  localparam [(LC_PROBE738_MU_CNT*16)-1:0] LC_PROBE738_PID = match_tpid(LC_PROBE369_MU_CNT,LC_PROBE738_MU_CNT,(C_EN_DDR_ILA == 1'b1),738);
  localparam [(LC_PROBE739_MU_CNT*16)-1:0] LC_PROBE739_PID = match_tpid(LC_PROBE369_MU_CNT,LC_PROBE739_MU_CNT,(C_EN_DDR_ILA == 1'b1),739);
  localparam [(LC_PROBE740_MU_CNT*16)-1:0] LC_PROBE740_PID = match_tpid(LC_PROBE370_MU_CNT,LC_PROBE740_MU_CNT,(C_EN_DDR_ILA == 1'b1),740);
  localparam [(LC_PROBE741_MU_CNT*16)-1:0] LC_PROBE741_PID = match_tpid(LC_PROBE370_MU_CNT,LC_PROBE741_MU_CNT,(C_EN_DDR_ILA == 1'b1),741);
  localparam [(LC_PROBE742_MU_CNT*16)-1:0] LC_PROBE742_PID = match_tpid(LC_PROBE371_MU_CNT,LC_PROBE742_MU_CNT,(C_EN_DDR_ILA == 1'b1),742);
  localparam [(LC_PROBE743_MU_CNT*16)-1:0] LC_PROBE743_PID = match_tpid(LC_PROBE371_MU_CNT,LC_PROBE743_MU_CNT,(C_EN_DDR_ILA == 1'b1),743);
  localparam [(LC_PROBE744_MU_CNT*16)-1:0] LC_PROBE744_PID = match_tpid(LC_PROBE372_MU_CNT,LC_PROBE744_MU_CNT,(C_EN_DDR_ILA == 1'b1),744);
  localparam [(LC_PROBE745_MU_CNT*16)-1:0] LC_PROBE745_PID = match_tpid(LC_PROBE372_MU_CNT,LC_PROBE745_MU_CNT,(C_EN_DDR_ILA == 1'b1),745);
  localparam [(LC_PROBE746_MU_CNT*16)-1:0] LC_PROBE746_PID = match_tpid(LC_PROBE373_MU_CNT,LC_PROBE746_MU_CNT,(C_EN_DDR_ILA == 1'b1),746);
  localparam [(LC_PROBE747_MU_CNT*16)-1:0] LC_PROBE747_PID = match_tpid(LC_PROBE373_MU_CNT,LC_PROBE747_MU_CNT,(C_EN_DDR_ILA == 1'b1),747);
  localparam [(LC_PROBE748_MU_CNT*16)-1:0] LC_PROBE748_PID = match_tpid(LC_PROBE374_MU_CNT,LC_PROBE748_MU_CNT,(C_EN_DDR_ILA == 1'b1),748);
  localparam [(LC_PROBE749_MU_CNT*16)-1:0] LC_PROBE749_PID = match_tpid(LC_PROBE374_MU_CNT,LC_PROBE749_MU_CNT,(C_EN_DDR_ILA == 1'b1),749);
  localparam [(LC_PROBE750_MU_CNT*16)-1:0] LC_PROBE750_PID = match_tpid(LC_PROBE375_MU_CNT,LC_PROBE750_MU_CNT,(C_EN_DDR_ILA == 1'b1),750);
  localparam [(LC_PROBE751_MU_CNT*16)-1:0] LC_PROBE751_PID = match_tpid(LC_PROBE375_MU_CNT,LC_PROBE751_MU_CNT,(C_EN_DDR_ILA == 1'b1),751);
  localparam [(LC_PROBE752_MU_CNT*16)-1:0] LC_PROBE752_PID = match_tpid(LC_PROBE376_MU_CNT,LC_PROBE752_MU_CNT,(C_EN_DDR_ILA == 1'b1),752);
  localparam [(LC_PROBE753_MU_CNT*16)-1:0] LC_PROBE753_PID = match_tpid(LC_PROBE376_MU_CNT,LC_PROBE753_MU_CNT,(C_EN_DDR_ILA == 1'b1),753);
  localparam [(LC_PROBE754_MU_CNT*16)-1:0] LC_PROBE754_PID = match_tpid(LC_PROBE377_MU_CNT,LC_PROBE754_MU_CNT,(C_EN_DDR_ILA == 1'b1),754);
  localparam [(LC_PROBE755_MU_CNT*16)-1:0] LC_PROBE755_PID = match_tpid(LC_PROBE377_MU_CNT,LC_PROBE755_MU_CNT,(C_EN_DDR_ILA == 1'b1),755);
  localparam [(LC_PROBE756_MU_CNT*16)-1:0] LC_PROBE756_PID = match_tpid(LC_PROBE378_MU_CNT,LC_PROBE756_MU_CNT,(C_EN_DDR_ILA == 1'b1),756);
  localparam [(LC_PROBE757_MU_CNT*16)-1:0] LC_PROBE757_PID = match_tpid(LC_PROBE378_MU_CNT,LC_PROBE757_MU_CNT,(C_EN_DDR_ILA == 1'b1),757);
  localparam [(LC_PROBE758_MU_CNT*16)-1:0] LC_PROBE758_PID = match_tpid(LC_PROBE379_MU_CNT,LC_PROBE758_MU_CNT,(C_EN_DDR_ILA == 1'b1),758);
  localparam [(LC_PROBE759_MU_CNT*16)-1:0] LC_PROBE759_PID = match_tpid(LC_PROBE379_MU_CNT,LC_PROBE759_MU_CNT,(C_EN_DDR_ILA == 1'b1),759);
  localparam [(LC_PROBE760_MU_CNT*16)-1:0] LC_PROBE760_PID = match_tpid(LC_PROBE380_MU_CNT,LC_PROBE760_MU_CNT,(C_EN_DDR_ILA == 1'b1),760);
  localparam [(LC_PROBE761_MU_CNT*16)-1:0] LC_PROBE761_PID = match_tpid(LC_PROBE380_MU_CNT,LC_PROBE761_MU_CNT,(C_EN_DDR_ILA == 1'b1),761);
  localparam [(LC_PROBE762_MU_CNT*16)-1:0] LC_PROBE762_PID = match_tpid(LC_PROBE381_MU_CNT,LC_PROBE762_MU_CNT,(C_EN_DDR_ILA == 1'b1),762);
  localparam [(LC_PROBE763_MU_CNT*16)-1:0] LC_PROBE763_PID = match_tpid(LC_PROBE381_MU_CNT,LC_PROBE763_MU_CNT,(C_EN_DDR_ILA == 1'b1),763);
  localparam [(LC_PROBE764_MU_CNT*16)-1:0] LC_PROBE764_PID = match_tpid(LC_PROBE382_MU_CNT,LC_PROBE764_MU_CNT,(C_EN_DDR_ILA == 1'b1),764);
  localparam [(LC_PROBE765_MU_CNT*16)-1:0] LC_PROBE765_PID = match_tpid(LC_PROBE382_MU_CNT,LC_PROBE765_MU_CNT,(C_EN_DDR_ILA == 1'b1),765);
  localparam [(LC_PROBE766_MU_CNT*16)-1:0] LC_PROBE766_PID = match_tpid(LC_PROBE383_MU_CNT,LC_PROBE766_MU_CNT,(C_EN_DDR_ILA == 1'b1),766);
  localparam [(LC_PROBE767_MU_CNT*16)-1:0] LC_PROBE767_PID = match_tpid(LC_PROBE383_MU_CNT,LC_PROBE767_MU_CNT,(C_EN_DDR_ILA == 1'b1),767);
  localparam [(LC_PROBE768_MU_CNT*16)-1:0] LC_PROBE768_PID = match_tpid(LC_PROBE384_MU_CNT,LC_PROBE768_MU_CNT,(C_EN_DDR_ILA == 1'b1),768);
  localparam [(LC_PROBE769_MU_CNT*16)-1:0] LC_PROBE769_PID = match_tpid(LC_PROBE384_MU_CNT,LC_PROBE769_MU_CNT,(C_EN_DDR_ILA == 1'b1),769);
  localparam [(LC_PROBE770_MU_CNT*16)-1:0] LC_PROBE770_PID = match_tpid(LC_PROBE385_MU_CNT,LC_PROBE770_MU_CNT,(C_EN_DDR_ILA == 1'b1),770);
  localparam [(LC_PROBE771_MU_CNT*16)-1:0] LC_PROBE771_PID = match_tpid(LC_PROBE385_MU_CNT,LC_PROBE771_MU_CNT,(C_EN_DDR_ILA == 1'b1),771);
  localparam [(LC_PROBE772_MU_CNT*16)-1:0] LC_PROBE772_PID = match_tpid(LC_PROBE386_MU_CNT,LC_PROBE772_MU_CNT,(C_EN_DDR_ILA == 1'b1),772);
  localparam [(LC_PROBE773_MU_CNT*16)-1:0] LC_PROBE773_PID = match_tpid(LC_PROBE386_MU_CNT,LC_PROBE773_MU_CNT,(C_EN_DDR_ILA == 1'b1),773);
  localparam [(LC_PROBE774_MU_CNT*16)-1:0] LC_PROBE774_PID = match_tpid(LC_PROBE387_MU_CNT,LC_PROBE774_MU_CNT,(C_EN_DDR_ILA == 1'b1),774);
  localparam [(LC_PROBE775_MU_CNT*16)-1:0] LC_PROBE775_PID = match_tpid(LC_PROBE387_MU_CNT,LC_PROBE775_MU_CNT,(C_EN_DDR_ILA == 1'b1),775);
  localparam [(LC_PROBE776_MU_CNT*16)-1:0] LC_PROBE776_PID = match_tpid(LC_PROBE388_MU_CNT,LC_PROBE776_MU_CNT,(C_EN_DDR_ILA == 1'b1),776);
  localparam [(LC_PROBE777_MU_CNT*16)-1:0] LC_PROBE777_PID = match_tpid(LC_PROBE388_MU_CNT,LC_PROBE777_MU_CNT,(C_EN_DDR_ILA == 1'b1),777);
  localparam [(LC_PROBE778_MU_CNT*16)-1:0] LC_PROBE778_PID = match_tpid(LC_PROBE389_MU_CNT,LC_PROBE778_MU_CNT,(C_EN_DDR_ILA == 1'b1),778);
  localparam [(LC_PROBE779_MU_CNT*16)-1:0] LC_PROBE779_PID = match_tpid(LC_PROBE389_MU_CNT,LC_PROBE779_MU_CNT,(C_EN_DDR_ILA == 1'b1),779);
  localparam [(LC_PROBE780_MU_CNT*16)-1:0] LC_PROBE780_PID = match_tpid(LC_PROBE390_MU_CNT,LC_PROBE780_MU_CNT,(C_EN_DDR_ILA == 1'b1),780);
  localparam [(LC_PROBE781_MU_CNT*16)-1:0] LC_PROBE781_PID = match_tpid(LC_PROBE390_MU_CNT,LC_PROBE781_MU_CNT,(C_EN_DDR_ILA == 1'b1),781);
  localparam [(LC_PROBE782_MU_CNT*16)-1:0] LC_PROBE782_PID = match_tpid(LC_PROBE391_MU_CNT,LC_PROBE782_MU_CNT,(C_EN_DDR_ILA == 1'b1),782);
  localparam [(LC_PROBE783_MU_CNT*16)-1:0] LC_PROBE783_PID = match_tpid(LC_PROBE391_MU_CNT,LC_PROBE783_MU_CNT,(C_EN_DDR_ILA == 1'b1),783);
  localparam [(LC_PROBE784_MU_CNT*16)-1:0] LC_PROBE784_PID = match_tpid(LC_PROBE392_MU_CNT,LC_PROBE784_MU_CNT,(C_EN_DDR_ILA == 1'b1),784);
  localparam [(LC_PROBE785_MU_CNT*16)-1:0] LC_PROBE785_PID = match_tpid(LC_PROBE392_MU_CNT,LC_PROBE785_MU_CNT,(C_EN_DDR_ILA == 1'b1),785);
  localparam [(LC_PROBE786_MU_CNT*16)-1:0] LC_PROBE786_PID = match_tpid(LC_PROBE393_MU_CNT,LC_PROBE786_MU_CNT,(C_EN_DDR_ILA == 1'b1),786);
  localparam [(LC_PROBE787_MU_CNT*16)-1:0] LC_PROBE787_PID = match_tpid(LC_PROBE393_MU_CNT,LC_PROBE787_MU_CNT,(C_EN_DDR_ILA == 1'b1),787);
  localparam [(LC_PROBE788_MU_CNT*16)-1:0] LC_PROBE788_PID = match_tpid(LC_PROBE394_MU_CNT,LC_PROBE788_MU_CNT,(C_EN_DDR_ILA == 1'b1),788);
  localparam [(LC_PROBE789_MU_CNT*16)-1:0] LC_PROBE789_PID = match_tpid(LC_PROBE394_MU_CNT,LC_PROBE789_MU_CNT,(C_EN_DDR_ILA == 1'b1),789);
  localparam [(LC_PROBE790_MU_CNT*16)-1:0] LC_PROBE790_PID = match_tpid(LC_PROBE395_MU_CNT,LC_PROBE790_MU_CNT,(C_EN_DDR_ILA == 1'b1),790);
  localparam [(LC_PROBE791_MU_CNT*16)-1:0] LC_PROBE791_PID = match_tpid(LC_PROBE395_MU_CNT,LC_PROBE791_MU_CNT,(C_EN_DDR_ILA == 1'b1),791);
  localparam [(LC_PROBE792_MU_CNT*16)-1:0] LC_PROBE792_PID = match_tpid(LC_PROBE396_MU_CNT,LC_PROBE792_MU_CNT,(C_EN_DDR_ILA == 1'b1),792);
  localparam [(LC_PROBE793_MU_CNT*16)-1:0] LC_PROBE793_PID = match_tpid(LC_PROBE396_MU_CNT,LC_PROBE793_MU_CNT,(C_EN_DDR_ILA == 1'b1),793);
  localparam [(LC_PROBE794_MU_CNT*16)-1:0] LC_PROBE794_PID = match_tpid(LC_PROBE397_MU_CNT,LC_PROBE794_MU_CNT,(C_EN_DDR_ILA == 1'b1),794);
  localparam [(LC_PROBE795_MU_CNT*16)-1:0] LC_PROBE795_PID = match_tpid(LC_PROBE397_MU_CNT,LC_PROBE795_MU_CNT,(C_EN_DDR_ILA == 1'b1),795);
  localparam [(LC_PROBE796_MU_CNT*16)-1:0] LC_PROBE796_PID = match_tpid(LC_PROBE398_MU_CNT,LC_PROBE796_MU_CNT,(C_EN_DDR_ILA == 1'b1),796);
  localparam [(LC_PROBE797_MU_CNT*16)-1:0] LC_PROBE797_PID = match_tpid(LC_PROBE398_MU_CNT,LC_PROBE797_MU_CNT,(C_EN_DDR_ILA == 1'b1),797);
  localparam [(LC_PROBE798_MU_CNT*16)-1:0] LC_PROBE798_PID = match_tpid(LC_PROBE399_MU_CNT,LC_PROBE798_MU_CNT,(C_EN_DDR_ILA == 1'b1),798);
  localparam [(LC_PROBE799_MU_CNT*16)-1:0] LC_PROBE799_PID = match_tpid(LC_PROBE399_MU_CNT,LC_PROBE799_MU_CNT,(C_EN_DDR_ILA == 1'b1),799);
  localparam [(LC_PROBE800_MU_CNT*16)-1:0] LC_PROBE800_PID = match_tpid(LC_PROBE400_MU_CNT,LC_PROBE800_MU_CNT,(C_EN_DDR_ILA == 1'b1),800);
  localparam [(LC_PROBE801_MU_CNT*16)-1:0] LC_PROBE801_PID = match_tpid(LC_PROBE400_MU_CNT,LC_PROBE801_MU_CNT,(C_EN_DDR_ILA == 1'b1),801);
  localparam [(LC_PROBE802_MU_CNT*16)-1:0] LC_PROBE802_PID = match_tpid(LC_PROBE401_MU_CNT,LC_PROBE802_MU_CNT,(C_EN_DDR_ILA == 1'b1),802);
  localparam [(LC_PROBE803_MU_CNT*16)-1:0] LC_PROBE803_PID = match_tpid(LC_PROBE401_MU_CNT,LC_PROBE803_MU_CNT,(C_EN_DDR_ILA == 1'b1),803);
  localparam [(LC_PROBE804_MU_CNT*16)-1:0] LC_PROBE804_PID = match_tpid(LC_PROBE402_MU_CNT,LC_PROBE804_MU_CNT,(C_EN_DDR_ILA == 1'b1),804);
  localparam [(LC_PROBE805_MU_CNT*16)-1:0] LC_PROBE805_PID = match_tpid(LC_PROBE402_MU_CNT,LC_PROBE805_MU_CNT,(C_EN_DDR_ILA == 1'b1),805);
  localparam [(LC_PROBE806_MU_CNT*16)-1:0] LC_PROBE806_PID = match_tpid(LC_PROBE403_MU_CNT,LC_PROBE806_MU_CNT,(C_EN_DDR_ILA == 1'b1),806);
  localparam [(LC_PROBE807_MU_CNT*16)-1:0] LC_PROBE807_PID = match_tpid(LC_PROBE403_MU_CNT,LC_PROBE807_MU_CNT,(C_EN_DDR_ILA == 1'b1),807);
  localparam [(LC_PROBE808_MU_CNT*16)-1:0] LC_PROBE808_PID = match_tpid(LC_PROBE404_MU_CNT,LC_PROBE808_MU_CNT,(C_EN_DDR_ILA == 1'b1),808);
  localparam [(LC_PROBE809_MU_CNT*16)-1:0] LC_PROBE809_PID = match_tpid(LC_PROBE404_MU_CNT,LC_PROBE809_MU_CNT,(C_EN_DDR_ILA == 1'b1),809);
  localparam [(LC_PROBE810_MU_CNT*16)-1:0] LC_PROBE810_PID = match_tpid(LC_PROBE405_MU_CNT,LC_PROBE810_MU_CNT,(C_EN_DDR_ILA == 1'b1),810);
  localparam [(LC_PROBE811_MU_CNT*16)-1:0] LC_PROBE811_PID = match_tpid(LC_PROBE405_MU_CNT,LC_PROBE811_MU_CNT,(C_EN_DDR_ILA == 1'b1),811);
  localparam [(LC_PROBE812_MU_CNT*16)-1:0] LC_PROBE812_PID = match_tpid(LC_PROBE406_MU_CNT,LC_PROBE812_MU_CNT,(C_EN_DDR_ILA == 1'b1),812);
  localparam [(LC_PROBE813_MU_CNT*16)-1:0] LC_PROBE813_PID = match_tpid(LC_PROBE406_MU_CNT,LC_PROBE813_MU_CNT,(C_EN_DDR_ILA == 1'b1),813);
  localparam [(LC_PROBE814_MU_CNT*16)-1:0] LC_PROBE814_PID = match_tpid(LC_PROBE407_MU_CNT,LC_PROBE814_MU_CNT,(C_EN_DDR_ILA == 1'b1),814);
  localparam [(LC_PROBE815_MU_CNT*16)-1:0] LC_PROBE815_PID = match_tpid(LC_PROBE407_MU_CNT,LC_PROBE815_MU_CNT,(C_EN_DDR_ILA == 1'b1),815);
  localparam [(LC_PROBE816_MU_CNT*16)-1:0] LC_PROBE816_PID = match_tpid(LC_PROBE408_MU_CNT,LC_PROBE816_MU_CNT,(C_EN_DDR_ILA == 1'b1),816);
  localparam [(LC_PROBE817_MU_CNT*16)-1:0] LC_PROBE817_PID = match_tpid(LC_PROBE408_MU_CNT,LC_PROBE817_MU_CNT,(C_EN_DDR_ILA == 1'b1),817);
  localparam [(LC_PROBE818_MU_CNT*16)-1:0] LC_PROBE818_PID = match_tpid(LC_PROBE409_MU_CNT,LC_PROBE818_MU_CNT,(C_EN_DDR_ILA == 1'b1),818);
  localparam [(LC_PROBE819_MU_CNT*16)-1:0] LC_PROBE819_PID = match_tpid(LC_PROBE409_MU_CNT,LC_PROBE819_MU_CNT,(C_EN_DDR_ILA == 1'b1),819);
  localparam [(LC_PROBE820_MU_CNT*16)-1:0] LC_PROBE820_PID = match_tpid(LC_PROBE410_MU_CNT,LC_PROBE820_MU_CNT,(C_EN_DDR_ILA == 1'b1),820);
  localparam [(LC_PROBE821_MU_CNT*16)-1:0] LC_PROBE821_PID = match_tpid(LC_PROBE410_MU_CNT,LC_PROBE821_MU_CNT,(C_EN_DDR_ILA == 1'b1),821);
  localparam [(LC_PROBE822_MU_CNT*16)-1:0] LC_PROBE822_PID = match_tpid(LC_PROBE411_MU_CNT,LC_PROBE822_MU_CNT,(C_EN_DDR_ILA == 1'b1),822);
  localparam [(LC_PROBE823_MU_CNT*16)-1:0] LC_PROBE823_PID = match_tpid(LC_PROBE411_MU_CNT,LC_PROBE823_MU_CNT,(C_EN_DDR_ILA == 1'b1),823);
  localparam [(LC_PROBE824_MU_CNT*16)-1:0] LC_PROBE824_PID = match_tpid(LC_PROBE412_MU_CNT,LC_PROBE824_MU_CNT,(C_EN_DDR_ILA == 1'b1),824);
  localparam [(LC_PROBE825_MU_CNT*16)-1:0] LC_PROBE825_PID = match_tpid(LC_PROBE412_MU_CNT,LC_PROBE825_MU_CNT,(C_EN_DDR_ILA == 1'b1),825);
  localparam [(LC_PROBE826_MU_CNT*16)-1:0] LC_PROBE826_PID = match_tpid(LC_PROBE413_MU_CNT,LC_PROBE826_MU_CNT,(C_EN_DDR_ILA == 1'b1),826);
  localparam [(LC_PROBE827_MU_CNT*16)-1:0] LC_PROBE827_PID = match_tpid(LC_PROBE413_MU_CNT,LC_PROBE827_MU_CNT,(C_EN_DDR_ILA == 1'b1),827);
  localparam [(LC_PROBE828_MU_CNT*16)-1:0] LC_PROBE828_PID = match_tpid(LC_PROBE414_MU_CNT,LC_PROBE828_MU_CNT,(C_EN_DDR_ILA == 1'b1),828);
  localparam [(LC_PROBE829_MU_CNT*16)-1:0] LC_PROBE829_PID = match_tpid(LC_PROBE414_MU_CNT,LC_PROBE829_MU_CNT,(C_EN_DDR_ILA == 1'b1),829);
  localparam [(LC_PROBE830_MU_CNT*16)-1:0] LC_PROBE830_PID = match_tpid(LC_PROBE415_MU_CNT,LC_PROBE830_MU_CNT,(C_EN_DDR_ILA == 1'b1),830);
  localparam [(LC_PROBE831_MU_CNT*16)-1:0] LC_PROBE831_PID = match_tpid(LC_PROBE415_MU_CNT,LC_PROBE831_MU_CNT,(C_EN_DDR_ILA == 1'b1),831);
  localparam [(LC_PROBE832_MU_CNT*16)-1:0] LC_PROBE832_PID = match_tpid(LC_PROBE416_MU_CNT,LC_PROBE832_MU_CNT,(C_EN_DDR_ILA == 1'b1),832);
  localparam [(LC_PROBE833_MU_CNT*16)-1:0] LC_PROBE833_PID = match_tpid(LC_PROBE416_MU_CNT,LC_PROBE833_MU_CNT,(C_EN_DDR_ILA == 1'b1),833);
  localparam [(LC_PROBE834_MU_CNT*16)-1:0] LC_PROBE834_PID = match_tpid(LC_PROBE417_MU_CNT,LC_PROBE834_MU_CNT,(C_EN_DDR_ILA == 1'b1),834);
  localparam [(LC_PROBE835_MU_CNT*16)-1:0] LC_PROBE835_PID = match_tpid(LC_PROBE417_MU_CNT,LC_PROBE835_MU_CNT,(C_EN_DDR_ILA == 1'b1),835);
  localparam [(LC_PROBE836_MU_CNT*16)-1:0] LC_PROBE836_PID = match_tpid(LC_PROBE418_MU_CNT,LC_PROBE836_MU_CNT,(C_EN_DDR_ILA == 1'b1),836);
  localparam [(LC_PROBE837_MU_CNT*16)-1:0] LC_PROBE837_PID = match_tpid(LC_PROBE418_MU_CNT,LC_PROBE837_MU_CNT,(C_EN_DDR_ILA == 1'b1),837);
  localparam [(LC_PROBE838_MU_CNT*16)-1:0] LC_PROBE838_PID = match_tpid(LC_PROBE419_MU_CNT,LC_PROBE838_MU_CNT,(C_EN_DDR_ILA == 1'b1),838);
  localparam [(LC_PROBE839_MU_CNT*16)-1:0] LC_PROBE839_PID = match_tpid(LC_PROBE419_MU_CNT,LC_PROBE839_MU_CNT,(C_EN_DDR_ILA == 1'b1),839);
  localparam [(LC_PROBE840_MU_CNT*16)-1:0] LC_PROBE840_PID = match_tpid(LC_PROBE420_MU_CNT,LC_PROBE840_MU_CNT,(C_EN_DDR_ILA == 1'b1),840);
  localparam [(LC_PROBE841_MU_CNT*16)-1:0] LC_PROBE841_PID = match_tpid(LC_PROBE420_MU_CNT,LC_PROBE841_MU_CNT,(C_EN_DDR_ILA == 1'b1),841);
  localparam [(LC_PROBE842_MU_CNT*16)-1:0] LC_PROBE842_PID = match_tpid(LC_PROBE421_MU_CNT,LC_PROBE842_MU_CNT,(C_EN_DDR_ILA == 1'b1),842);
  localparam [(LC_PROBE843_MU_CNT*16)-1:0] LC_PROBE843_PID = match_tpid(LC_PROBE421_MU_CNT,LC_PROBE843_MU_CNT,(C_EN_DDR_ILA == 1'b1),843);
  localparam [(LC_PROBE844_MU_CNT*16)-1:0] LC_PROBE844_PID = match_tpid(LC_PROBE422_MU_CNT,LC_PROBE844_MU_CNT,(C_EN_DDR_ILA == 1'b1),844);
  localparam [(LC_PROBE845_MU_CNT*16)-1:0] LC_PROBE845_PID = match_tpid(LC_PROBE422_MU_CNT,LC_PROBE845_MU_CNT,(C_EN_DDR_ILA == 1'b1),845);
  localparam [(LC_PROBE846_MU_CNT*16)-1:0] LC_PROBE846_PID = match_tpid(LC_PROBE423_MU_CNT,LC_PROBE846_MU_CNT,(C_EN_DDR_ILA == 1'b1),846);
  localparam [(LC_PROBE847_MU_CNT*16)-1:0] LC_PROBE847_PID = match_tpid(LC_PROBE423_MU_CNT,LC_PROBE847_MU_CNT,(C_EN_DDR_ILA == 1'b1),847);
  localparam [(LC_PROBE848_MU_CNT*16)-1:0] LC_PROBE848_PID = match_tpid(LC_PROBE424_MU_CNT,LC_PROBE848_MU_CNT,(C_EN_DDR_ILA == 1'b1),848);
  localparam [(LC_PROBE849_MU_CNT*16)-1:0] LC_PROBE849_PID = match_tpid(LC_PROBE424_MU_CNT,LC_PROBE849_MU_CNT,(C_EN_DDR_ILA == 1'b1),849);
  localparam [(LC_PROBE850_MU_CNT*16)-1:0] LC_PROBE850_PID = match_tpid(LC_PROBE425_MU_CNT,LC_PROBE850_MU_CNT,(C_EN_DDR_ILA == 1'b1),850);
  localparam [(LC_PROBE851_MU_CNT*16)-1:0] LC_PROBE851_PID = match_tpid(LC_PROBE425_MU_CNT,LC_PROBE851_MU_CNT,(C_EN_DDR_ILA == 1'b1),851);
  localparam [(LC_PROBE852_MU_CNT*16)-1:0] LC_PROBE852_PID = match_tpid(LC_PROBE426_MU_CNT,LC_PROBE852_MU_CNT,(C_EN_DDR_ILA == 1'b1),852);
  localparam [(LC_PROBE853_MU_CNT*16)-1:0] LC_PROBE853_PID = match_tpid(LC_PROBE426_MU_CNT,LC_PROBE853_MU_CNT,(C_EN_DDR_ILA == 1'b1),853);
  localparam [(LC_PROBE854_MU_CNT*16)-1:0] LC_PROBE854_PID = match_tpid(LC_PROBE427_MU_CNT,LC_PROBE854_MU_CNT,(C_EN_DDR_ILA == 1'b1),854);
  localparam [(LC_PROBE855_MU_CNT*16)-1:0] LC_PROBE855_PID = match_tpid(LC_PROBE427_MU_CNT,LC_PROBE855_MU_CNT,(C_EN_DDR_ILA == 1'b1),855);
  localparam [(LC_PROBE856_MU_CNT*16)-1:0] LC_PROBE856_PID = match_tpid(LC_PROBE428_MU_CNT,LC_PROBE856_MU_CNT,(C_EN_DDR_ILA == 1'b1),856);
  localparam [(LC_PROBE857_MU_CNT*16)-1:0] LC_PROBE857_PID = match_tpid(LC_PROBE428_MU_CNT,LC_PROBE857_MU_CNT,(C_EN_DDR_ILA == 1'b1),857);
  localparam [(LC_PROBE858_MU_CNT*16)-1:0] LC_PROBE858_PID = match_tpid(LC_PROBE429_MU_CNT,LC_PROBE858_MU_CNT,(C_EN_DDR_ILA == 1'b1),858);
  localparam [(LC_PROBE859_MU_CNT*16)-1:0] LC_PROBE859_PID = match_tpid(LC_PROBE429_MU_CNT,LC_PROBE859_MU_CNT,(C_EN_DDR_ILA == 1'b1),859);
  localparam [(LC_PROBE860_MU_CNT*16)-1:0] LC_PROBE860_PID = match_tpid(LC_PROBE430_MU_CNT,LC_PROBE860_MU_CNT,(C_EN_DDR_ILA == 1'b1),860);
  localparam [(LC_PROBE861_MU_CNT*16)-1:0] LC_PROBE861_PID = match_tpid(LC_PROBE430_MU_CNT,LC_PROBE861_MU_CNT,(C_EN_DDR_ILA == 1'b1),861);
  localparam [(LC_PROBE862_MU_CNT*16)-1:0] LC_PROBE862_PID = match_tpid(LC_PROBE431_MU_CNT,LC_PROBE862_MU_CNT,(C_EN_DDR_ILA == 1'b1),862);
  localparam [(LC_PROBE863_MU_CNT*16)-1:0] LC_PROBE863_PID = match_tpid(LC_PROBE431_MU_CNT,LC_PROBE863_MU_CNT,(C_EN_DDR_ILA == 1'b1),863);
  localparam [(LC_PROBE864_MU_CNT*16)-1:0] LC_PROBE864_PID = match_tpid(LC_PROBE432_MU_CNT,LC_PROBE864_MU_CNT,(C_EN_DDR_ILA == 1'b1),864);
  localparam [(LC_PROBE865_MU_CNT*16)-1:0] LC_PROBE865_PID = match_tpid(LC_PROBE432_MU_CNT,LC_PROBE865_MU_CNT,(C_EN_DDR_ILA == 1'b1),865);
  localparam [(LC_PROBE866_MU_CNT*16)-1:0] LC_PROBE866_PID = match_tpid(LC_PROBE433_MU_CNT,LC_PROBE866_MU_CNT,(C_EN_DDR_ILA == 1'b1),866);
  localparam [(LC_PROBE867_MU_CNT*16)-1:0] LC_PROBE867_PID = match_tpid(LC_PROBE433_MU_CNT,LC_PROBE867_MU_CNT,(C_EN_DDR_ILA == 1'b1),867);
  localparam [(LC_PROBE868_MU_CNT*16)-1:0] LC_PROBE868_PID = match_tpid(LC_PROBE434_MU_CNT,LC_PROBE868_MU_CNT,(C_EN_DDR_ILA == 1'b1),868);
  localparam [(LC_PROBE869_MU_CNT*16)-1:0] LC_PROBE869_PID = match_tpid(LC_PROBE434_MU_CNT,LC_PROBE869_MU_CNT,(C_EN_DDR_ILA == 1'b1),869);
  localparam [(LC_PROBE870_MU_CNT*16)-1:0] LC_PROBE870_PID = match_tpid(LC_PROBE435_MU_CNT,LC_PROBE870_MU_CNT,(C_EN_DDR_ILA == 1'b1),870);
  localparam [(LC_PROBE871_MU_CNT*16)-1:0] LC_PROBE871_PID = match_tpid(LC_PROBE435_MU_CNT,LC_PROBE871_MU_CNT,(C_EN_DDR_ILA == 1'b1),871);
  localparam [(LC_PROBE872_MU_CNT*16)-1:0] LC_PROBE872_PID = match_tpid(LC_PROBE436_MU_CNT,LC_PROBE872_MU_CNT,(C_EN_DDR_ILA == 1'b1),872);
  localparam [(LC_PROBE873_MU_CNT*16)-1:0] LC_PROBE873_PID = match_tpid(LC_PROBE436_MU_CNT,LC_PROBE873_MU_CNT,(C_EN_DDR_ILA == 1'b1),873);
  localparam [(LC_PROBE874_MU_CNT*16)-1:0] LC_PROBE874_PID = match_tpid(LC_PROBE437_MU_CNT,LC_PROBE874_MU_CNT,(C_EN_DDR_ILA == 1'b1),874);
  localparam [(LC_PROBE875_MU_CNT*16)-1:0] LC_PROBE875_PID = match_tpid(LC_PROBE437_MU_CNT,LC_PROBE875_MU_CNT,(C_EN_DDR_ILA == 1'b1),875);
  localparam [(LC_PROBE876_MU_CNT*16)-1:0] LC_PROBE876_PID = match_tpid(LC_PROBE438_MU_CNT,LC_PROBE876_MU_CNT,(C_EN_DDR_ILA == 1'b1),876);
  localparam [(LC_PROBE877_MU_CNT*16)-1:0] LC_PROBE877_PID = match_tpid(LC_PROBE438_MU_CNT,LC_PROBE877_MU_CNT,(C_EN_DDR_ILA == 1'b1),877);
  localparam [(LC_PROBE878_MU_CNT*16)-1:0] LC_PROBE878_PID = match_tpid(LC_PROBE439_MU_CNT,LC_PROBE878_MU_CNT,(C_EN_DDR_ILA == 1'b1),878);
  localparam [(LC_PROBE879_MU_CNT*16)-1:0] LC_PROBE879_PID = match_tpid(LC_PROBE439_MU_CNT,LC_PROBE879_MU_CNT,(C_EN_DDR_ILA == 1'b1),879);
  localparam [(LC_PROBE880_MU_CNT*16)-1:0] LC_PROBE880_PID = match_tpid(LC_PROBE440_MU_CNT,LC_PROBE880_MU_CNT,(C_EN_DDR_ILA == 1'b1),880);
  localparam [(LC_PROBE881_MU_CNT*16)-1:0] LC_PROBE881_PID = match_tpid(LC_PROBE440_MU_CNT,LC_PROBE881_MU_CNT,(C_EN_DDR_ILA == 1'b1),881);
  localparam [(LC_PROBE882_MU_CNT*16)-1:0] LC_PROBE882_PID = match_tpid(LC_PROBE441_MU_CNT,LC_PROBE882_MU_CNT,(C_EN_DDR_ILA == 1'b1),882);
  localparam [(LC_PROBE883_MU_CNT*16)-1:0] LC_PROBE883_PID = match_tpid(LC_PROBE441_MU_CNT,LC_PROBE883_MU_CNT,(C_EN_DDR_ILA == 1'b1),883);
  localparam [(LC_PROBE884_MU_CNT*16)-1:0] LC_PROBE884_PID = match_tpid(LC_PROBE442_MU_CNT,LC_PROBE884_MU_CNT,(C_EN_DDR_ILA == 1'b1),884);
  localparam [(LC_PROBE885_MU_CNT*16)-1:0] LC_PROBE885_PID = match_tpid(LC_PROBE442_MU_CNT,LC_PROBE885_MU_CNT,(C_EN_DDR_ILA == 1'b1),885);
  localparam [(LC_PROBE886_MU_CNT*16)-1:0] LC_PROBE886_PID = match_tpid(LC_PROBE443_MU_CNT,LC_PROBE886_MU_CNT,(C_EN_DDR_ILA == 1'b1),886);
  localparam [(LC_PROBE887_MU_CNT*16)-1:0] LC_PROBE887_PID = match_tpid(LC_PROBE443_MU_CNT,LC_PROBE887_MU_CNT,(C_EN_DDR_ILA == 1'b1),887);
  localparam [(LC_PROBE888_MU_CNT*16)-1:0] LC_PROBE888_PID = match_tpid(LC_PROBE444_MU_CNT,LC_PROBE888_MU_CNT,(C_EN_DDR_ILA == 1'b1),888);
  localparam [(LC_PROBE889_MU_CNT*16)-1:0] LC_PROBE889_PID = match_tpid(LC_PROBE444_MU_CNT,LC_PROBE889_MU_CNT,(C_EN_DDR_ILA == 1'b1),889);
  localparam [(LC_PROBE890_MU_CNT*16)-1:0] LC_PROBE890_PID = match_tpid(LC_PROBE445_MU_CNT,LC_PROBE890_MU_CNT,(C_EN_DDR_ILA == 1'b1),890);
  localparam [(LC_PROBE891_MU_CNT*16)-1:0] LC_PROBE891_PID = match_tpid(LC_PROBE445_MU_CNT,LC_PROBE891_MU_CNT,(C_EN_DDR_ILA == 1'b1),891);
  localparam [(LC_PROBE892_MU_CNT*16)-1:0] LC_PROBE892_PID = match_tpid(LC_PROBE446_MU_CNT,LC_PROBE892_MU_CNT,(C_EN_DDR_ILA == 1'b1),892);
  localparam [(LC_PROBE893_MU_CNT*16)-1:0] LC_PROBE893_PID = match_tpid(LC_PROBE446_MU_CNT,LC_PROBE893_MU_CNT,(C_EN_DDR_ILA == 1'b1),893);
  localparam [(LC_PROBE894_MU_CNT*16)-1:0] LC_PROBE894_PID = match_tpid(LC_PROBE447_MU_CNT,LC_PROBE894_MU_CNT,(C_EN_DDR_ILA == 1'b1),894);
  localparam [(LC_PROBE895_MU_CNT*16)-1:0] LC_PROBE895_PID = match_tpid(LC_PROBE447_MU_CNT,LC_PROBE895_MU_CNT,(C_EN_DDR_ILA == 1'b1),895);
  localparam [(LC_PROBE896_MU_CNT*16)-1:0] LC_PROBE896_PID = match_tpid(LC_PROBE448_MU_CNT,LC_PROBE896_MU_CNT,(C_EN_DDR_ILA == 1'b1),896);
  localparam [(LC_PROBE897_MU_CNT*16)-1:0] LC_PROBE897_PID = match_tpid(LC_PROBE448_MU_CNT,LC_PROBE897_MU_CNT,(C_EN_DDR_ILA == 1'b1),897);
  localparam [(LC_PROBE898_MU_CNT*16)-1:0] LC_PROBE898_PID = match_tpid(LC_PROBE449_MU_CNT,LC_PROBE898_MU_CNT,(C_EN_DDR_ILA == 1'b1),898);
  localparam [(LC_PROBE899_MU_CNT*16)-1:0] LC_PROBE899_PID = match_tpid(LC_PROBE449_MU_CNT,LC_PROBE899_MU_CNT,(C_EN_DDR_ILA == 1'b1),899);
  localparam [(LC_PROBE900_MU_CNT*16)-1:0] LC_PROBE900_PID = match_tpid(LC_PROBE450_MU_CNT,LC_PROBE900_MU_CNT,(C_EN_DDR_ILA == 1'b1),900);
  localparam [(LC_PROBE901_MU_CNT*16)-1:0] LC_PROBE901_PID = match_tpid(LC_PROBE450_MU_CNT,LC_PROBE901_MU_CNT,(C_EN_DDR_ILA == 1'b1),901);
  localparam [(LC_PROBE902_MU_CNT*16)-1:0] LC_PROBE902_PID = match_tpid(LC_PROBE451_MU_CNT,LC_PROBE902_MU_CNT,(C_EN_DDR_ILA == 1'b1),902);
  localparam [(LC_PROBE903_MU_CNT*16)-1:0] LC_PROBE903_PID = match_tpid(LC_PROBE451_MU_CNT,LC_PROBE903_MU_CNT,(C_EN_DDR_ILA == 1'b1),903);
  localparam [(LC_PROBE904_MU_CNT*16)-1:0] LC_PROBE904_PID = match_tpid(LC_PROBE452_MU_CNT,LC_PROBE904_MU_CNT,(C_EN_DDR_ILA == 1'b1),904);
  localparam [(LC_PROBE905_MU_CNT*16)-1:0] LC_PROBE905_PID = match_tpid(LC_PROBE452_MU_CNT,LC_PROBE905_MU_CNT,(C_EN_DDR_ILA == 1'b1),905);
  localparam [(LC_PROBE906_MU_CNT*16)-1:0] LC_PROBE906_PID = match_tpid(LC_PROBE453_MU_CNT,LC_PROBE906_MU_CNT,(C_EN_DDR_ILA == 1'b1),906);
  localparam [(LC_PROBE907_MU_CNT*16)-1:0] LC_PROBE907_PID = match_tpid(LC_PROBE453_MU_CNT,LC_PROBE907_MU_CNT,(C_EN_DDR_ILA == 1'b1),907);
  localparam [(LC_PROBE908_MU_CNT*16)-1:0] LC_PROBE908_PID = match_tpid(LC_PROBE454_MU_CNT,LC_PROBE908_MU_CNT,(C_EN_DDR_ILA == 1'b1),908);
  localparam [(LC_PROBE909_MU_CNT*16)-1:0] LC_PROBE909_PID = match_tpid(LC_PROBE454_MU_CNT,LC_PROBE909_MU_CNT,(C_EN_DDR_ILA == 1'b1),909);
  localparam [(LC_PROBE910_MU_CNT*16)-1:0] LC_PROBE910_PID = match_tpid(LC_PROBE455_MU_CNT,LC_PROBE910_MU_CNT,(C_EN_DDR_ILA == 1'b1),910);
  localparam [(LC_PROBE911_MU_CNT*16)-1:0] LC_PROBE911_PID = match_tpid(LC_PROBE455_MU_CNT,LC_PROBE911_MU_CNT,(C_EN_DDR_ILA == 1'b1),911);
  localparam [(LC_PROBE912_MU_CNT*16)-1:0] LC_PROBE912_PID = match_tpid(LC_PROBE456_MU_CNT,LC_PROBE912_MU_CNT,(C_EN_DDR_ILA == 1'b1),912);
  localparam [(LC_PROBE913_MU_CNT*16)-1:0] LC_PROBE913_PID = match_tpid(LC_PROBE456_MU_CNT,LC_PROBE913_MU_CNT,(C_EN_DDR_ILA == 1'b1),913);
  localparam [(LC_PROBE914_MU_CNT*16)-1:0] LC_PROBE914_PID = match_tpid(LC_PROBE457_MU_CNT,LC_PROBE914_MU_CNT,(C_EN_DDR_ILA == 1'b1),914);
  localparam [(LC_PROBE915_MU_CNT*16)-1:0] LC_PROBE915_PID = match_tpid(LC_PROBE457_MU_CNT,LC_PROBE915_MU_CNT,(C_EN_DDR_ILA == 1'b1),915);
  localparam [(LC_PROBE916_MU_CNT*16)-1:0] LC_PROBE916_PID = match_tpid(LC_PROBE458_MU_CNT,LC_PROBE916_MU_CNT,(C_EN_DDR_ILA == 1'b1),916);
  localparam [(LC_PROBE917_MU_CNT*16)-1:0] LC_PROBE917_PID = match_tpid(LC_PROBE458_MU_CNT,LC_PROBE917_MU_CNT,(C_EN_DDR_ILA == 1'b1),917);
  localparam [(LC_PROBE918_MU_CNT*16)-1:0] LC_PROBE918_PID = match_tpid(LC_PROBE459_MU_CNT,LC_PROBE918_MU_CNT,(C_EN_DDR_ILA == 1'b1),918);
  localparam [(LC_PROBE919_MU_CNT*16)-1:0] LC_PROBE919_PID = match_tpid(LC_PROBE459_MU_CNT,LC_PROBE919_MU_CNT,(C_EN_DDR_ILA == 1'b1),919);
  localparam [(LC_PROBE920_MU_CNT*16)-1:0] LC_PROBE920_PID = match_tpid(LC_PROBE460_MU_CNT,LC_PROBE920_MU_CNT,(C_EN_DDR_ILA == 1'b1),920);
  localparam [(LC_PROBE921_MU_CNT*16)-1:0] LC_PROBE921_PID = match_tpid(LC_PROBE460_MU_CNT,LC_PROBE921_MU_CNT,(C_EN_DDR_ILA == 1'b1),921);
  localparam [(LC_PROBE922_MU_CNT*16)-1:0] LC_PROBE922_PID = match_tpid(LC_PROBE461_MU_CNT,LC_PROBE922_MU_CNT,(C_EN_DDR_ILA == 1'b1),922);
  localparam [(LC_PROBE923_MU_CNT*16)-1:0] LC_PROBE923_PID = match_tpid(LC_PROBE461_MU_CNT,LC_PROBE923_MU_CNT,(C_EN_DDR_ILA == 1'b1),923);
  localparam [(LC_PROBE924_MU_CNT*16)-1:0] LC_PROBE924_PID = match_tpid(LC_PROBE462_MU_CNT,LC_PROBE924_MU_CNT,(C_EN_DDR_ILA == 1'b1),924);
  localparam [(LC_PROBE925_MU_CNT*16)-1:0] LC_PROBE925_PID = match_tpid(LC_PROBE462_MU_CNT,LC_PROBE925_MU_CNT,(C_EN_DDR_ILA == 1'b1),925);
  localparam [(LC_PROBE926_MU_CNT*16)-1:0] LC_PROBE926_PID = match_tpid(LC_PROBE463_MU_CNT,LC_PROBE926_MU_CNT,(C_EN_DDR_ILA == 1'b1),926);
  localparam [(LC_PROBE927_MU_CNT*16)-1:0] LC_PROBE927_PID = match_tpid(LC_PROBE463_MU_CNT,LC_PROBE927_MU_CNT,(C_EN_DDR_ILA == 1'b1),927);
  localparam [(LC_PROBE928_MU_CNT*16)-1:0] LC_PROBE928_PID = match_tpid(LC_PROBE464_MU_CNT,LC_PROBE928_MU_CNT,(C_EN_DDR_ILA == 1'b1),928);
  localparam [(LC_PROBE929_MU_CNT*16)-1:0] LC_PROBE929_PID = match_tpid(LC_PROBE464_MU_CNT,LC_PROBE929_MU_CNT,(C_EN_DDR_ILA == 1'b1),929);
  localparam [(LC_PROBE930_MU_CNT*16)-1:0] LC_PROBE930_PID = match_tpid(LC_PROBE465_MU_CNT,LC_PROBE930_MU_CNT,(C_EN_DDR_ILA == 1'b1),930);
  localparam [(LC_PROBE931_MU_CNT*16)-1:0] LC_PROBE931_PID = match_tpid(LC_PROBE465_MU_CNT,LC_PROBE931_MU_CNT,(C_EN_DDR_ILA == 1'b1),931);
  localparam [(LC_PROBE932_MU_CNT*16)-1:0] LC_PROBE932_PID = match_tpid(LC_PROBE466_MU_CNT,LC_PROBE932_MU_CNT,(C_EN_DDR_ILA == 1'b1),932);
  localparam [(LC_PROBE933_MU_CNT*16)-1:0] LC_PROBE933_PID = match_tpid(LC_PROBE466_MU_CNT,LC_PROBE933_MU_CNT,(C_EN_DDR_ILA == 1'b1),933);
  localparam [(LC_PROBE934_MU_CNT*16)-1:0] LC_PROBE934_PID = match_tpid(LC_PROBE467_MU_CNT,LC_PROBE934_MU_CNT,(C_EN_DDR_ILA == 1'b1),934);
  localparam [(LC_PROBE935_MU_CNT*16)-1:0] LC_PROBE935_PID = match_tpid(LC_PROBE467_MU_CNT,LC_PROBE935_MU_CNT,(C_EN_DDR_ILA == 1'b1),935);
  localparam [(LC_PROBE936_MU_CNT*16)-1:0] LC_PROBE936_PID = match_tpid(LC_PROBE468_MU_CNT,LC_PROBE936_MU_CNT,(C_EN_DDR_ILA == 1'b1),936);
  localparam [(LC_PROBE937_MU_CNT*16)-1:0] LC_PROBE937_PID = match_tpid(LC_PROBE468_MU_CNT,LC_PROBE937_MU_CNT,(C_EN_DDR_ILA == 1'b1),937);
  localparam [(LC_PROBE938_MU_CNT*16)-1:0] LC_PROBE938_PID = match_tpid(LC_PROBE469_MU_CNT,LC_PROBE938_MU_CNT,(C_EN_DDR_ILA == 1'b1),938);
  localparam [(LC_PROBE939_MU_CNT*16)-1:0] LC_PROBE939_PID = match_tpid(LC_PROBE469_MU_CNT,LC_PROBE939_MU_CNT,(C_EN_DDR_ILA == 1'b1),939);
  localparam [(LC_PROBE940_MU_CNT*16)-1:0] LC_PROBE940_PID = match_tpid(LC_PROBE470_MU_CNT,LC_PROBE940_MU_CNT,(C_EN_DDR_ILA == 1'b1),940);
  localparam [(LC_PROBE941_MU_CNT*16)-1:0] LC_PROBE941_PID = match_tpid(LC_PROBE470_MU_CNT,LC_PROBE941_MU_CNT,(C_EN_DDR_ILA == 1'b1),941);
  localparam [(LC_PROBE942_MU_CNT*16)-1:0] LC_PROBE942_PID = match_tpid(LC_PROBE471_MU_CNT,LC_PROBE942_MU_CNT,(C_EN_DDR_ILA == 1'b1),942);
  localparam [(LC_PROBE943_MU_CNT*16)-1:0] LC_PROBE943_PID = match_tpid(LC_PROBE471_MU_CNT,LC_PROBE943_MU_CNT,(C_EN_DDR_ILA == 1'b1),943);
  localparam [(LC_PROBE944_MU_CNT*16)-1:0] LC_PROBE944_PID = match_tpid(LC_PROBE472_MU_CNT,LC_PROBE944_MU_CNT,(C_EN_DDR_ILA == 1'b1),944);
  localparam [(LC_PROBE945_MU_CNT*16)-1:0] LC_PROBE945_PID = match_tpid(LC_PROBE472_MU_CNT,LC_PROBE945_MU_CNT,(C_EN_DDR_ILA == 1'b1),945);
  localparam [(LC_PROBE946_MU_CNT*16)-1:0] LC_PROBE946_PID = match_tpid(LC_PROBE473_MU_CNT,LC_PROBE946_MU_CNT,(C_EN_DDR_ILA == 1'b1),946);
  localparam [(LC_PROBE947_MU_CNT*16)-1:0] LC_PROBE947_PID = match_tpid(LC_PROBE473_MU_CNT,LC_PROBE947_MU_CNT,(C_EN_DDR_ILA == 1'b1),947);
  localparam [(LC_PROBE948_MU_CNT*16)-1:0] LC_PROBE948_PID = match_tpid(LC_PROBE474_MU_CNT,LC_PROBE948_MU_CNT,(C_EN_DDR_ILA == 1'b1),948);
  localparam [(LC_PROBE949_MU_CNT*16)-1:0] LC_PROBE949_PID = match_tpid(LC_PROBE474_MU_CNT,LC_PROBE949_MU_CNT,(C_EN_DDR_ILA == 1'b1),949);
  localparam [(LC_PROBE950_MU_CNT*16)-1:0] LC_PROBE950_PID = match_tpid(LC_PROBE475_MU_CNT,LC_PROBE950_MU_CNT,(C_EN_DDR_ILA == 1'b1),950);
  localparam [(LC_PROBE951_MU_CNT*16)-1:0] LC_PROBE951_PID = match_tpid(LC_PROBE475_MU_CNT,LC_PROBE951_MU_CNT,(C_EN_DDR_ILA == 1'b1),951);
  localparam [(LC_PROBE952_MU_CNT*16)-1:0] LC_PROBE952_PID = match_tpid(LC_PROBE476_MU_CNT,LC_PROBE952_MU_CNT,(C_EN_DDR_ILA == 1'b1),952);
  localparam [(LC_PROBE953_MU_CNT*16)-1:0] LC_PROBE953_PID = match_tpid(LC_PROBE476_MU_CNT,LC_PROBE953_MU_CNT,(C_EN_DDR_ILA == 1'b1),953);
  localparam [(LC_PROBE954_MU_CNT*16)-1:0] LC_PROBE954_PID = match_tpid(LC_PROBE477_MU_CNT,LC_PROBE954_MU_CNT,(C_EN_DDR_ILA == 1'b1),954);
  localparam [(LC_PROBE955_MU_CNT*16)-1:0] LC_PROBE955_PID = match_tpid(LC_PROBE477_MU_CNT,LC_PROBE955_MU_CNT,(C_EN_DDR_ILA == 1'b1),955);
  localparam [(LC_PROBE956_MU_CNT*16)-1:0] LC_PROBE956_PID = match_tpid(LC_PROBE478_MU_CNT,LC_PROBE956_MU_CNT,(C_EN_DDR_ILA == 1'b1),956);
  localparam [(LC_PROBE957_MU_CNT*16)-1:0] LC_PROBE957_PID = match_tpid(LC_PROBE478_MU_CNT,LC_PROBE957_MU_CNT,(C_EN_DDR_ILA == 1'b1),957);
  localparam [(LC_PROBE958_MU_CNT*16)-1:0] LC_PROBE958_PID = match_tpid(LC_PROBE479_MU_CNT,LC_PROBE958_MU_CNT,(C_EN_DDR_ILA == 1'b1),958);
  localparam [(LC_PROBE959_MU_CNT*16)-1:0] LC_PROBE959_PID = match_tpid(LC_PROBE479_MU_CNT,LC_PROBE959_MU_CNT,(C_EN_DDR_ILA == 1'b1),959);
  localparam [(LC_PROBE960_MU_CNT*16)-1:0] LC_PROBE960_PID = match_tpid(LC_PROBE480_MU_CNT,LC_PROBE960_MU_CNT,(C_EN_DDR_ILA == 1'b1),960);
  localparam [(LC_PROBE961_MU_CNT*16)-1:0] LC_PROBE961_PID = match_tpid(LC_PROBE480_MU_CNT,LC_PROBE961_MU_CNT,(C_EN_DDR_ILA == 1'b1),961);
  localparam [(LC_PROBE962_MU_CNT*16)-1:0] LC_PROBE962_PID = match_tpid(LC_PROBE481_MU_CNT,LC_PROBE962_MU_CNT,(C_EN_DDR_ILA == 1'b1),962);
  localparam [(LC_PROBE963_MU_CNT*16)-1:0] LC_PROBE963_PID = match_tpid(LC_PROBE481_MU_CNT,LC_PROBE963_MU_CNT,(C_EN_DDR_ILA == 1'b1),963);
  localparam [(LC_PROBE964_MU_CNT*16)-1:0] LC_PROBE964_PID = match_tpid(LC_PROBE482_MU_CNT,LC_PROBE964_MU_CNT,(C_EN_DDR_ILA == 1'b1),964);
  localparam [(LC_PROBE965_MU_CNT*16)-1:0] LC_PROBE965_PID = match_tpid(LC_PROBE482_MU_CNT,LC_PROBE965_MU_CNT,(C_EN_DDR_ILA == 1'b1),965);
  localparam [(LC_PROBE966_MU_CNT*16)-1:0] LC_PROBE966_PID = match_tpid(LC_PROBE483_MU_CNT,LC_PROBE966_MU_CNT,(C_EN_DDR_ILA == 1'b1),966);
  localparam [(LC_PROBE967_MU_CNT*16)-1:0] LC_PROBE967_PID = match_tpid(LC_PROBE483_MU_CNT,LC_PROBE967_MU_CNT,(C_EN_DDR_ILA == 1'b1),967);
  localparam [(LC_PROBE968_MU_CNT*16)-1:0] LC_PROBE968_PID = match_tpid(LC_PROBE484_MU_CNT,LC_PROBE968_MU_CNT,(C_EN_DDR_ILA == 1'b1),968);
  localparam [(LC_PROBE969_MU_CNT*16)-1:0] LC_PROBE969_PID = match_tpid(LC_PROBE484_MU_CNT,LC_PROBE969_MU_CNT,(C_EN_DDR_ILA == 1'b1),969);
  localparam [(LC_PROBE970_MU_CNT*16)-1:0] LC_PROBE970_PID = match_tpid(LC_PROBE485_MU_CNT,LC_PROBE970_MU_CNT,(C_EN_DDR_ILA == 1'b1),970);
  localparam [(LC_PROBE971_MU_CNT*16)-1:0] LC_PROBE971_PID = match_tpid(LC_PROBE485_MU_CNT,LC_PROBE971_MU_CNT,(C_EN_DDR_ILA == 1'b1),971);
  localparam [(LC_PROBE972_MU_CNT*16)-1:0] LC_PROBE972_PID = match_tpid(LC_PROBE486_MU_CNT,LC_PROBE972_MU_CNT,(C_EN_DDR_ILA == 1'b1),972);
  localparam [(LC_PROBE973_MU_CNT*16)-1:0] LC_PROBE973_PID = match_tpid(LC_PROBE486_MU_CNT,LC_PROBE973_MU_CNT,(C_EN_DDR_ILA == 1'b1),973);
  localparam [(LC_PROBE974_MU_CNT*16)-1:0] LC_PROBE974_PID = match_tpid(LC_PROBE487_MU_CNT,LC_PROBE974_MU_CNT,(C_EN_DDR_ILA == 1'b1),974);
  localparam [(LC_PROBE975_MU_CNT*16)-1:0] LC_PROBE975_PID = match_tpid(LC_PROBE487_MU_CNT,LC_PROBE975_MU_CNT,(C_EN_DDR_ILA == 1'b1),975);
  localparam [(LC_PROBE976_MU_CNT*16)-1:0] LC_PROBE976_PID = match_tpid(LC_PROBE488_MU_CNT,LC_PROBE976_MU_CNT,(C_EN_DDR_ILA == 1'b1),976);
  localparam [(LC_PROBE977_MU_CNT*16)-1:0] LC_PROBE977_PID = match_tpid(LC_PROBE488_MU_CNT,LC_PROBE977_MU_CNT,(C_EN_DDR_ILA == 1'b1),977);
  localparam [(LC_PROBE978_MU_CNT*16)-1:0] LC_PROBE978_PID = match_tpid(LC_PROBE489_MU_CNT,LC_PROBE978_MU_CNT,(C_EN_DDR_ILA == 1'b1),978);
  localparam [(LC_PROBE979_MU_CNT*16)-1:0] LC_PROBE979_PID = match_tpid(LC_PROBE489_MU_CNT,LC_PROBE979_MU_CNT,(C_EN_DDR_ILA == 1'b1),979);
  localparam [(LC_PROBE980_MU_CNT*16)-1:0] LC_PROBE980_PID = match_tpid(LC_PROBE490_MU_CNT,LC_PROBE980_MU_CNT,(C_EN_DDR_ILA == 1'b1),980);
  localparam [(LC_PROBE981_MU_CNT*16)-1:0] LC_PROBE981_PID = match_tpid(LC_PROBE490_MU_CNT,LC_PROBE981_MU_CNT,(C_EN_DDR_ILA == 1'b1),981);
  localparam [(LC_PROBE982_MU_CNT*16)-1:0] LC_PROBE982_PID = match_tpid(LC_PROBE491_MU_CNT,LC_PROBE982_MU_CNT,(C_EN_DDR_ILA == 1'b1),982);
  localparam [(LC_PROBE983_MU_CNT*16)-1:0] LC_PROBE983_PID = match_tpid(LC_PROBE491_MU_CNT,LC_PROBE983_MU_CNT,(C_EN_DDR_ILA == 1'b1),983);
  localparam [(LC_PROBE984_MU_CNT*16)-1:0] LC_PROBE984_PID = match_tpid(LC_PROBE492_MU_CNT,LC_PROBE984_MU_CNT,(C_EN_DDR_ILA == 1'b1),984);
  localparam [(LC_PROBE985_MU_CNT*16)-1:0] LC_PROBE985_PID = match_tpid(LC_PROBE492_MU_CNT,LC_PROBE985_MU_CNT,(C_EN_DDR_ILA == 1'b1),985);
  localparam [(LC_PROBE986_MU_CNT*16)-1:0] LC_PROBE986_PID = match_tpid(LC_PROBE493_MU_CNT,LC_PROBE986_MU_CNT,(C_EN_DDR_ILA == 1'b1),986);
  localparam [(LC_PROBE987_MU_CNT*16)-1:0] LC_PROBE987_PID = match_tpid(LC_PROBE493_MU_CNT,LC_PROBE987_MU_CNT,(C_EN_DDR_ILA == 1'b1),987);
  localparam [(LC_PROBE988_MU_CNT*16)-1:0] LC_PROBE988_PID = match_tpid(LC_PROBE494_MU_CNT,LC_PROBE988_MU_CNT,(C_EN_DDR_ILA == 1'b1),988);
  localparam [(LC_PROBE989_MU_CNT*16)-1:0] LC_PROBE989_PID = match_tpid(LC_PROBE494_MU_CNT,LC_PROBE989_MU_CNT,(C_EN_DDR_ILA == 1'b1),989);
  localparam [(LC_PROBE990_MU_CNT*16)-1:0] LC_PROBE990_PID = match_tpid(LC_PROBE495_MU_CNT,LC_PROBE990_MU_CNT,(C_EN_DDR_ILA == 1'b1),990);
  localparam [(LC_PROBE991_MU_CNT*16)-1:0] LC_PROBE991_PID = match_tpid(LC_PROBE495_MU_CNT,LC_PROBE991_MU_CNT,(C_EN_DDR_ILA == 1'b1),991);
  localparam [(LC_PROBE992_MU_CNT*16)-1:0] LC_PROBE992_PID = match_tpid(LC_PROBE496_MU_CNT,LC_PROBE992_MU_CNT,(C_EN_DDR_ILA == 1'b1),992);
  localparam [(LC_PROBE993_MU_CNT*16)-1:0] LC_PROBE993_PID = match_tpid(LC_PROBE496_MU_CNT,LC_PROBE993_MU_CNT,(C_EN_DDR_ILA == 1'b1),993);
  localparam [(LC_PROBE994_MU_CNT*16)-1:0] LC_PROBE994_PID = match_tpid(LC_PROBE497_MU_CNT,LC_PROBE994_MU_CNT,(C_EN_DDR_ILA == 1'b1),994);
  localparam [(LC_PROBE995_MU_CNT*16)-1:0] LC_PROBE995_PID = match_tpid(LC_PROBE497_MU_CNT,LC_PROBE995_MU_CNT,(C_EN_DDR_ILA == 1'b1),995);
  localparam [(LC_PROBE996_MU_CNT*16)-1:0] LC_PROBE996_PID = match_tpid(LC_PROBE498_MU_CNT,LC_PROBE996_MU_CNT,(C_EN_DDR_ILA == 1'b1),996);
  localparam [(LC_PROBE997_MU_CNT*16)-1:0] LC_PROBE997_PID = match_tpid(LC_PROBE498_MU_CNT,LC_PROBE997_MU_CNT,(C_EN_DDR_ILA == 1'b1),997);
  localparam [(LC_PROBE998_MU_CNT*16)-1:0] LC_PROBE998_PID = match_tpid(LC_PROBE499_MU_CNT,LC_PROBE998_MU_CNT,(C_EN_DDR_ILA == 1'b1),998);
  localparam [(LC_PROBE999_MU_CNT*16)-1:0] LC_PROBE999_PID = match_tpid(LC_PROBE499_MU_CNT,LC_PROBE999_MU_CNT,(C_EN_DDR_ILA == 1'b1),999);
  localparam [(LC_PROBE1000_MU_CNT*16)-1:0] LC_PROBE1000_PID = match_tpid(LC_PROBE500_MU_CNT,LC_PROBE1000_MU_CNT,(C_EN_DDR_ILA == 1'b1),1000);
  localparam [(LC_PROBE1001_MU_CNT*16)-1:0] LC_PROBE1001_PID = match_tpid(LC_PROBE500_MU_CNT,LC_PROBE1001_MU_CNT,(C_EN_DDR_ILA == 1'b1),1001);
  localparam [(LC_PROBE1002_MU_CNT*16)-1:0] LC_PROBE1002_PID = match_tpid(LC_PROBE501_MU_CNT,LC_PROBE1002_MU_CNT,(C_EN_DDR_ILA == 1'b1),1002);
  localparam [(LC_PROBE1003_MU_CNT*16)-1:0] LC_PROBE1003_PID = match_tpid(LC_PROBE501_MU_CNT,LC_PROBE1003_MU_CNT,(C_EN_DDR_ILA == 1'b1),1003);
  localparam [(LC_PROBE1004_MU_CNT*16)-1:0] LC_PROBE1004_PID = match_tpid(LC_PROBE502_MU_CNT,LC_PROBE1004_MU_CNT,(C_EN_DDR_ILA == 1'b1),1004);
  localparam [(LC_PROBE1005_MU_CNT*16)-1:0] LC_PROBE1005_PID = match_tpid(LC_PROBE502_MU_CNT,LC_PROBE1005_MU_CNT,(C_EN_DDR_ILA == 1'b1),1005);
  localparam [(LC_PROBE1006_MU_CNT*16)-1:0] LC_PROBE1006_PID = match_tpid(LC_PROBE503_MU_CNT,LC_PROBE1006_MU_CNT,(C_EN_DDR_ILA == 1'b1),1006);
  localparam [(LC_PROBE1007_MU_CNT*16)-1:0] LC_PROBE1007_PID = match_tpid(LC_PROBE503_MU_CNT,LC_PROBE1007_MU_CNT,(C_EN_DDR_ILA == 1'b1),1007);
  localparam [(LC_PROBE1008_MU_CNT*16)-1:0] LC_PROBE1008_PID = match_tpid(LC_PROBE504_MU_CNT,LC_PROBE1008_MU_CNT,(C_EN_DDR_ILA == 1'b1),1008);
  localparam [(LC_PROBE1009_MU_CNT*16)-1:0] LC_PROBE1009_PID = match_tpid(LC_PROBE504_MU_CNT,LC_PROBE1009_MU_CNT,(C_EN_DDR_ILA == 1'b1),1009);
  localparam [(LC_PROBE1010_MU_CNT*16)-1:0] LC_PROBE1010_PID = match_tpid(LC_PROBE505_MU_CNT,LC_PROBE1010_MU_CNT,(C_EN_DDR_ILA == 1'b1),1010);
  localparam [(LC_PROBE1011_MU_CNT*16)-1:0] LC_PROBE1011_PID = match_tpid(LC_PROBE505_MU_CNT,LC_PROBE1011_MU_CNT,(C_EN_DDR_ILA == 1'b1),1011);
  localparam [(LC_PROBE1012_MU_CNT*16)-1:0] LC_PROBE1012_PID = match_tpid(LC_PROBE506_MU_CNT,LC_PROBE1012_MU_CNT,(C_EN_DDR_ILA == 1'b1),1012);
  localparam [(LC_PROBE1013_MU_CNT*16)-1:0] LC_PROBE1013_PID = match_tpid(LC_PROBE506_MU_CNT,LC_PROBE1013_MU_CNT,(C_EN_DDR_ILA == 1'b1),1013);
  localparam [(LC_PROBE1014_MU_CNT*16)-1:0] LC_PROBE1014_PID = match_tpid(LC_PROBE507_MU_CNT,LC_PROBE1014_MU_CNT,(C_EN_DDR_ILA == 1'b1),1014);
  localparam [(LC_PROBE1015_MU_CNT*16)-1:0] LC_PROBE1015_PID = match_tpid(LC_PROBE507_MU_CNT,LC_PROBE1015_MU_CNT,(C_EN_DDR_ILA == 1'b1),1015);
  localparam [(LC_PROBE1016_MU_CNT*16)-1:0] LC_PROBE1016_PID = match_tpid(LC_PROBE508_MU_CNT,LC_PROBE1016_MU_CNT,(C_EN_DDR_ILA == 1'b1),1016);
  localparam [(LC_PROBE1017_MU_CNT*16)-1:0] LC_PROBE1017_PID = match_tpid(LC_PROBE508_MU_CNT,LC_PROBE1017_MU_CNT,(C_EN_DDR_ILA == 1'b1),1017);
  localparam [(LC_PROBE1018_MU_CNT*16)-1:0] LC_PROBE1018_PID = match_tpid(LC_PROBE509_MU_CNT,LC_PROBE1018_MU_CNT,(C_EN_DDR_ILA == 1'b1),1018);
  localparam [(LC_PROBE1019_MU_CNT*16)-1:0] LC_PROBE1019_PID = match_tpid(LC_PROBE509_MU_CNT,LC_PROBE1019_MU_CNT,(C_EN_DDR_ILA == 1'b1),1019);
  localparam [(LC_PROBE1020_MU_CNT*16)-1:0] LC_PROBE1020_PID = match_tpid(LC_PROBE510_MU_CNT,LC_PROBE1020_MU_CNT,(C_EN_DDR_ILA == 1'b1),1020);
  localparam [(LC_PROBE1021_MU_CNT*16)-1:0] LC_PROBE1021_PID = match_tpid(LC_PROBE510_MU_CNT,LC_PROBE1021_MU_CNT,(C_EN_DDR_ILA == 1'b1),1021);
  localparam [(LC_PROBE1022_MU_CNT*16)-1:0] LC_PROBE1022_PID = match_tpid(LC_PROBE511_MU_CNT,LC_PROBE1022_MU_CNT,(C_EN_DDR_ILA == 1'b1),1022);
  localparam [(LC_PROBE1023_MU_CNT*16)-1:0] LC_PROBE1023_PID = match_tpid(LC_PROBE511_MU_CNT,LC_PROBE1023_MU_CNT,(C_EN_DDR_ILA == 1'b1),1023);

  localparam LC_PROBE0_TYPE =  C_PROBE0_TYPE;
  localparam LC_PROBE1_TYPE = (C_NUM_OF_PROBES == 1 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1_TYPE;
  localparam LC_PROBE2_TYPE = (C_NUM_OF_PROBES == 2 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE2_TYPE;
  localparam LC_PROBE3_TYPE = (C_NUM_OF_PROBES == 3 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE3_TYPE;
  localparam LC_PROBE4_TYPE = (C_NUM_OF_PROBES == 4 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE4_TYPE;
  localparam LC_PROBE5_TYPE = (C_NUM_OF_PROBES == 5 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE5_TYPE;
  localparam LC_PROBE6_TYPE = (C_NUM_OF_PROBES == 6 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE6_TYPE;
  localparam LC_PROBE7_TYPE = (C_NUM_OF_PROBES == 7 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE7_TYPE;
  localparam LC_PROBE8_TYPE = (C_NUM_OF_PROBES == 8 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE8_TYPE;
  localparam LC_PROBE9_TYPE = (C_NUM_OF_PROBES == 9 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE9_TYPE;
  localparam LC_PROBE10_TYPE = (C_NUM_OF_PROBES == 10 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE10_TYPE;
  localparam LC_PROBE11_TYPE = (C_NUM_OF_PROBES == 11 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE11_TYPE;
  localparam LC_PROBE12_TYPE = (C_NUM_OF_PROBES == 12 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE12_TYPE;
  localparam LC_PROBE13_TYPE = (C_NUM_OF_PROBES == 13 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE13_TYPE;
  localparam LC_PROBE14_TYPE = (C_NUM_OF_PROBES == 14 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE14_TYPE;
  localparam LC_PROBE15_TYPE = (C_NUM_OF_PROBES == 15 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE15_TYPE;
  localparam LC_PROBE16_TYPE = (C_NUM_OF_PROBES == 16 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE16_TYPE;
  localparam LC_PROBE17_TYPE = (C_NUM_OF_PROBES == 17 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE17_TYPE;
  localparam LC_PROBE18_TYPE = (C_NUM_OF_PROBES == 18 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE18_TYPE;
  localparam LC_PROBE19_TYPE = (C_NUM_OF_PROBES == 19 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE19_TYPE;
  localparam LC_PROBE20_TYPE = (C_NUM_OF_PROBES == 20 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE20_TYPE;
  localparam LC_PROBE21_TYPE = (C_NUM_OF_PROBES == 21 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE21_TYPE;
  localparam LC_PROBE22_TYPE = (C_NUM_OF_PROBES == 22 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE22_TYPE;
  localparam LC_PROBE23_TYPE = (C_NUM_OF_PROBES == 23 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE23_TYPE;
  localparam LC_PROBE24_TYPE = (C_NUM_OF_PROBES == 24 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE24_TYPE;
  localparam LC_PROBE25_TYPE = (C_NUM_OF_PROBES == 25 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE25_TYPE;
  localparam LC_PROBE26_TYPE = (C_NUM_OF_PROBES == 26 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE26_TYPE;
  localparam LC_PROBE27_TYPE = (C_NUM_OF_PROBES == 27 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE27_TYPE;
  localparam LC_PROBE28_TYPE = (C_NUM_OF_PROBES == 28 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE28_TYPE;
  localparam LC_PROBE29_TYPE = (C_NUM_OF_PROBES == 29 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE29_TYPE;  
  localparam LC_PROBE30_TYPE = (C_NUM_OF_PROBES == 30 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE30_TYPE;
  localparam LC_PROBE31_TYPE = (C_NUM_OF_PROBES == 31 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE31_TYPE;
  localparam LC_PROBE32_TYPE = (C_NUM_OF_PROBES == 32 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE32_TYPE;
  localparam LC_PROBE33_TYPE = (C_NUM_OF_PROBES == 33 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE33_TYPE;
  localparam LC_PROBE34_TYPE = (C_NUM_OF_PROBES == 34 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE34_TYPE;
  localparam LC_PROBE35_TYPE = (C_NUM_OF_PROBES == 35 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE35_TYPE;
  localparam LC_PROBE36_TYPE = (C_NUM_OF_PROBES == 36 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE36_TYPE;
  localparam LC_PROBE37_TYPE = (C_NUM_OF_PROBES == 37 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE37_TYPE;
  localparam LC_PROBE38_TYPE = (C_NUM_OF_PROBES == 38 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE38_TYPE;
  localparam LC_PROBE39_TYPE = (C_NUM_OF_PROBES == 39 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE39_TYPE;
  localparam LC_PROBE40_TYPE = (C_NUM_OF_PROBES == 40 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE40_TYPE;
  localparam LC_PROBE41_TYPE = (C_NUM_OF_PROBES == 41 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE41_TYPE;
  localparam LC_PROBE42_TYPE = (C_NUM_OF_PROBES == 42 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE42_TYPE;
  localparam LC_PROBE43_TYPE = (C_NUM_OF_PROBES == 43 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE43_TYPE;
  localparam LC_PROBE44_TYPE = (C_NUM_OF_PROBES == 44 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE44_TYPE;
  localparam LC_PROBE45_TYPE = (C_NUM_OF_PROBES == 45 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE45_TYPE;
  localparam LC_PROBE46_TYPE = (C_NUM_OF_PROBES == 46 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE46_TYPE;
  localparam LC_PROBE47_TYPE = (C_NUM_OF_PROBES == 47 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE47_TYPE;
  localparam LC_PROBE48_TYPE = (C_NUM_OF_PROBES == 48 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE48_TYPE;
  localparam LC_PROBE49_TYPE = (C_NUM_OF_PROBES == 49 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE49_TYPE;
  localparam LC_PROBE50_TYPE = (C_NUM_OF_PROBES == 50 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE50_TYPE;
  localparam LC_PROBE51_TYPE = (C_NUM_OF_PROBES == 51 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE51_TYPE;
  localparam LC_PROBE52_TYPE = (C_NUM_OF_PROBES == 52 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE52_TYPE;
  localparam LC_PROBE53_TYPE = (C_NUM_OF_PROBES == 53 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE53_TYPE;
  localparam LC_PROBE54_TYPE = (C_NUM_OF_PROBES == 54 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE54_TYPE;
  localparam LC_PROBE55_TYPE = (C_NUM_OF_PROBES == 55 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE55_TYPE;
  localparam LC_PROBE56_TYPE = (C_NUM_OF_PROBES == 56 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE56_TYPE;
  localparam LC_PROBE57_TYPE = (C_NUM_OF_PROBES == 57 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE57_TYPE;
  localparam LC_PROBE58_TYPE = (C_NUM_OF_PROBES == 58 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE58_TYPE;
  localparam LC_PROBE59_TYPE = (C_NUM_OF_PROBES == 59 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE59_TYPE;
  localparam LC_PROBE60_TYPE = (C_NUM_OF_PROBES == 60 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE60_TYPE;
  localparam LC_PROBE61_TYPE = (C_NUM_OF_PROBES == 61 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE61_TYPE;
  localparam LC_PROBE62_TYPE = (C_NUM_OF_PROBES == 62 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE62_TYPE;
  localparam LC_PROBE63_TYPE = (C_NUM_OF_PROBES == 63 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE63_TYPE;
  localparam LC_PROBE64_TYPE = (C_NUM_OF_PROBES == 64 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE64_TYPE;
  localparam LC_PROBE65_TYPE = (C_NUM_OF_PROBES == 65 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE65_TYPE;
  localparam LC_PROBE66_TYPE = (C_NUM_OF_PROBES == 66 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE66_TYPE;
  localparam LC_PROBE67_TYPE = (C_NUM_OF_PROBES == 67 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE67_TYPE;
  localparam LC_PROBE68_TYPE = (C_NUM_OF_PROBES == 68 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE68_TYPE;
  localparam LC_PROBE69_TYPE = (C_NUM_OF_PROBES == 69 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE69_TYPE;
  localparam LC_PROBE70_TYPE = (C_NUM_OF_PROBES == 70 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE70_TYPE;
  localparam LC_PROBE71_TYPE = (C_NUM_OF_PROBES == 71 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE71_TYPE;
  localparam LC_PROBE72_TYPE = (C_NUM_OF_PROBES == 72 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE72_TYPE;
  localparam LC_PROBE73_TYPE = (C_NUM_OF_PROBES == 73 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE73_TYPE;
  localparam LC_PROBE74_TYPE = (C_NUM_OF_PROBES == 74 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE74_TYPE;
  localparam LC_PROBE75_TYPE = (C_NUM_OF_PROBES == 75 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE75_TYPE;
  localparam LC_PROBE76_TYPE = (C_NUM_OF_PROBES == 76 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE76_TYPE;
  localparam LC_PROBE77_TYPE = (C_NUM_OF_PROBES == 77 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE77_TYPE;
  localparam LC_PROBE78_TYPE = (C_NUM_OF_PROBES == 78 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE78_TYPE;
  localparam LC_PROBE79_TYPE = (C_NUM_OF_PROBES == 79 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE79_TYPE;
  localparam LC_PROBE80_TYPE = (C_NUM_OF_PROBES == 80 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE80_TYPE;
  localparam LC_PROBE81_TYPE = (C_NUM_OF_PROBES == 81 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE81_TYPE;
  localparam LC_PROBE82_TYPE = (C_NUM_OF_PROBES == 82 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE82_TYPE;
  localparam LC_PROBE83_TYPE = (C_NUM_OF_PROBES == 83 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE83_TYPE;
  localparam LC_PROBE84_TYPE = (C_NUM_OF_PROBES == 84 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE84_TYPE;
  localparam LC_PROBE85_TYPE = (C_NUM_OF_PROBES == 85 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE85_TYPE;
  localparam LC_PROBE86_TYPE = (C_NUM_OF_PROBES == 86 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE86_TYPE;
  localparam LC_PROBE87_TYPE = (C_NUM_OF_PROBES == 87 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE87_TYPE;
  localparam LC_PROBE88_TYPE = (C_NUM_OF_PROBES == 88 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE88_TYPE;
  localparam LC_PROBE89_TYPE = (C_NUM_OF_PROBES == 89 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE89_TYPE;
  localparam LC_PROBE90_TYPE = (C_NUM_OF_PROBES == 90 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE90_TYPE;
  localparam LC_PROBE91_TYPE = (C_NUM_OF_PROBES == 91 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE91_TYPE;
  localparam LC_PROBE92_TYPE = (C_NUM_OF_PROBES == 92 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE92_TYPE;
  localparam LC_PROBE93_TYPE = (C_NUM_OF_PROBES == 93 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE93_TYPE;
  localparam LC_PROBE94_TYPE = (C_NUM_OF_PROBES == 94 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE94_TYPE;
  localparam LC_PROBE95_TYPE = (C_NUM_OF_PROBES == 95 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE95_TYPE;
  localparam LC_PROBE96_TYPE = (C_NUM_OF_PROBES == 96 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE96_TYPE;
  localparam LC_PROBE97_TYPE = (C_NUM_OF_PROBES == 97 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE97_TYPE;
  localparam LC_PROBE98_TYPE = (C_NUM_OF_PROBES == 98 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE98_TYPE;
  localparam LC_PROBE99_TYPE = (C_NUM_OF_PROBES == 99 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE99_TYPE;
  localparam LC_PROBE100_TYPE = (C_NUM_OF_PROBES == 100 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE100_TYPE;
  localparam LC_PROBE101_TYPE = (C_NUM_OF_PROBES == 101 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE101_TYPE;
  localparam LC_PROBE102_TYPE = (C_NUM_OF_PROBES == 102 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE102_TYPE;
  localparam LC_PROBE103_TYPE = (C_NUM_OF_PROBES == 103 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE103_TYPE;
  localparam LC_PROBE104_TYPE = (C_NUM_OF_PROBES == 104 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE104_TYPE;
  localparam LC_PROBE105_TYPE = (C_NUM_OF_PROBES == 105 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE105_TYPE;
  localparam LC_PROBE106_TYPE = (C_NUM_OF_PROBES == 106 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE106_TYPE;
  localparam LC_PROBE107_TYPE = (C_NUM_OF_PROBES == 107 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE107_TYPE;
  localparam LC_PROBE108_TYPE = (C_NUM_OF_PROBES == 108 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE108_TYPE;
  localparam LC_PROBE109_TYPE = (C_NUM_OF_PROBES == 109 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE109_TYPE;
  localparam LC_PROBE110_TYPE = (C_NUM_OF_PROBES == 110 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE110_TYPE;
  localparam LC_PROBE111_TYPE = (C_NUM_OF_PROBES == 111 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE111_TYPE;
  localparam LC_PROBE112_TYPE = (C_NUM_OF_PROBES == 112 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE112_TYPE;
  localparam LC_PROBE113_TYPE = (C_NUM_OF_PROBES == 113 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE113_TYPE;
  localparam LC_PROBE114_TYPE = (C_NUM_OF_PROBES == 114 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE114_TYPE;
  localparam LC_PROBE115_TYPE = (C_NUM_OF_PROBES == 115 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE115_TYPE;
  localparam LC_PROBE116_TYPE = (C_NUM_OF_PROBES == 116 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE116_TYPE;
  localparam LC_PROBE117_TYPE = (C_NUM_OF_PROBES == 117 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE117_TYPE;
  localparam LC_PROBE118_TYPE = (C_NUM_OF_PROBES == 118 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE118_TYPE;
  localparam LC_PROBE119_TYPE = (C_NUM_OF_PROBES == 119 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE119_TYPE;
  localparam LC_PROBE120_TYPE = (C_NUM_OF_PROBES == 120 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE120_TYPE;
  localparam LC_PROBE121_TYPE = (C_NUM_OF_PROBES == 121 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE121_TYPE;
  localparam LC_PROBE122_TYPE = (C_NUM_OF_PROBES == 122 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE122_TYPE;
  localparam LC_PROBE123_TYPE = (C_NUM_OF_PROBES == 123 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE123_TYPE;
  localparam LC_PROBE124_TYPE = (C_NUM_OF_PROBES == 124 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE124_TYPE;
  localparam LC_PROBE125_TYPE = (C_NUM_OF_PROBES == 125 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE125_TYPE;
  localparam LC_PROBE126_TYPE = (C_NUM_OF_PROBES == 126 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE126_TYPE;
  localparam LC_PROBE127_TYPE = (C_NUM_OF_PROBES == 127 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE127_TYPE;
  localparam LC_PROBE128_TYPE = (C_NUM_OF_PROBES == 128 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE128_TYPE;
  localparam LC_PROBE129_TYPE = (C_NUM_OF_PROBES == 129 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE129_TYPE;  
  localparam LC_PROBE130_TYPE = (C_NUM_OF_PROBES == 130 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE130_TYPE;
  localparam LC_PROBE131_TYPE = (C_NUM_OF_PROBES == 131 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE131_TYPE;
  localparam LC_PROBE132_TYPE = (C_NUM_OF_PROBES == 132 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE132_TYPE;
  localparam LC_PROBE133_TYPE = (C_NUM_OF_PROBES == 133 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE133_TYPE;
  localparam LC_PROBE134_TYPE = (C_NUM_OF_PROBES == 134 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE134_TYPE;
  localparam LC_PROBE135_TYPE = (C_NUM_OF_PROBES == 135 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE135_TYPE;
  localparam LC_PROBE136_TYPE = (C_NUM_OF_PROBES == 136 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE136_TYPE;
  localparam LC_PROBE137_TYPE = (C_NUM_OF_PROBES == 137 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE137_TYPE;
  localparam LC_PROBE138_TYPE = (C_NUM_OF_PROBES == 138 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE138_TYPE;
  localparam LC_PROBE139_TYPE = (C_NUM_OF_PROBES == 139 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE139_TYPE;
  localparam LC_PROBE140_TYPE = (C_NUM_OF_PROBES == 140 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE140_TYPE;
  localparam LC_PROBE141_TYPE = (C_NUM_OF_PROBES == 141 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE141_TYPE;
  localparam LC_PROBE142_TYPE = (C_NUM_OF_PROBES == 142 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE142_TYPE;
  localparam LC_PROBE143_TYPE = (C_NUM_OF_PROBES == 143 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE143_TYPE;
  localparam LC_PROBE144_TYPE = (C_NUM_OF_PROBES == 144 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE144_TYPE;
  localparam LC_PROBE145_TYPE = (C_NUM_OF_PROBES == 145 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE145_TYPE;
  localparam LC_PROBE146_TYPE = (C_NUM_OF_PROBES == 146 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE146_TYPE;
  localparam LC_PROBE147_TYPE = (C_NUM_OF_PROBES == 147 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE147_TYPE;
  localparam LC_PROBE148_TYPE = (C_NUM_OF_PROBES == 148 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE148_TYPE;
  localparam LC_PROBE149_TYPE = (C_NUM_OF_PROBES == 149 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE149_TYPE;
  localparam LC_PROBE150_TYPE = (C_NUM_OF_PROBES == 150 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE150_TYPE;
  localparam LC_PROBE151_TYPE = (C_NUM_OF_PROBES == 151 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE151_TYPE;
  localparam LC_PROBE152_TYPE = (C_NUM_OF_PROBES == 152 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE152_TYPE;
  localparam LC_PROBE153_TYPE = (C_NUM_OF_PROBES == 153 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE153_TYPE;
  localparam LC_PROBE154_TYPE = (C_NUM_OF_PROBES == 154 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE154_TYPE;
  localparam LC_PROBE155_TYPE = (C_NUM_OF_PROBES == 155 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE155_TYPE;
  localparam LC_PROBE156_TYPE = (C_NUM_OF_PROBES == 156 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE156_TYPE;
  localparam LC_PROBE157_TYPE = (C_NUM_OF_PROBES == 157 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE157_TYPE;
  localparam LC_PROBE158_TYPE = (C_NUM_OF_PROBES == 158 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE158_TYPE;
  localparam LC_PROBE159_TYPE = (C_NUM_OF_PROBES == 159 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE159_TYPE;
  localparam LC_PROBE160_TYPE = (C_NUM_OF_PROBES == 160 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE160_TYPE;
  localparam LC_PROBE161_TYPE = (C_NUM_OF_PROBES == 161 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE161_TYPE;
  localparam LC_PROBE162_TYPE = (C_NUM_OF_PROBES == 162 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE162_TYPE;
  localparam LC_PROBE163_TYPE = (C_NUM_OF_PROBES == 163 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE163_TYPE;
  localparam LC_PROBE164_TYPE = (C_NUM_OF_PROBES == 164 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE164_TYPE;
  localparam LC_PROBE165_TYPE = (C_NUM_OF_PROBES == 165 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE165_TYPE;
  localparam LC_PROBE166_TYPE = (C_NUM_OF_PROBES == 166 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE166_TYPE;
  localparam LC_PROBE167_TYPE = (C_NUM_OF_PROBES == 167 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE167_TYPE;
  localparam LC_PROBE168_TYPE = (C_NUM_OF_PROBES == 168 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE168_TYPE;
  localparam LC_PROBE169_TYPE = (C_NUM_OF_PROBES == 169 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE169_TYPE;
  localparam LC_PROBE170_TYPE = (C_NUM_OF_PROBES == 170 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE170_TYPE;
  localparam LC_PROBE171_TYPE = (C_NUM_OF_PROBES == 171 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE171_TYPE;
  localparam LC_PROBE172_TYPE = (C_NUM_OF_PROBES == 172 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE172_TYPE;
  localparam LC_PROBE173_TYPE = (C_NUM_OF_PROBES == 173 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE173_TYPE;
  localparam LC_PROBE174_TYPE = (C_NUM_OF_PROBES == 174 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE174_TYPE;
  localparam LC_PROBE175_TYPE = (C_NUM_OF_PROBES == 175 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE175_TYPE;
  localparam LC_PROBE176_TYPE = (C_NUM_OF_PROBES == 176 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE176_TYPE;
  localparam LC_PROBE177_TYPE = (C_NUM_OF_PROBES == 177 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE177_TYPE;
  localparam LC_PROBE178_TYPE = (C_NUM_OF_PROBES == 178 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE178_TYPE;
  localparam LC_PROBE179_TYPE = (C_NUM_OF_PROBES == 179 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE179_TYPE;
  localparam LC_PROBE180_TYPE = (C_NUM_OF_PROBES == 180 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE180_TYPE;
  localparam LC_PROBE181_TYPE = (C_NUM_OF_PROBES == 181 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE181_TYPE;
  localparam LC_PROBE182_TYPE = (C_NUM_OF_PROBES == 182 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE182_TYPE;
  localparam LC_PROBE183_TYPE = (C_NUM_OF_PROBES == 183 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE183_TYPE;
  localparam LC_PROBE184_TYPE = (C_NUM_OF_PROBES == 184 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE184_TYPE;
  localparam LC_PROBE185_TYPE = (C_NUM_OF_PROBES == 185 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE185_TYPE;
  localparam LC_PROBE186_TYPE = (C_NUM_OF_PROBES == 186 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE186_TYPE;
  localparam LC_PROBE187_TYPE = (C_NUM_OF_PROBES == 187 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE187_TYPE;
  localparam LC_PROBE188_TYPE = (C_NUM_OF_PROBES == 188 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE188_TYPE;
  localparam LC_PROBE189_TYPE = (C_NUM_OF_PROBES == 189 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE189_TYPE;
  localparam LC_PROBE190_TYPE = (C_NUM_OF_PROBES == 190 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE190_TYPE;
  localparam LC_PROBE191_TYPE = (C_NUM_OF_PROBES == 191 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE191_TYPE;
  localparam LC_PROBE192_TYPE = (C_NUM_OF_PROBES == 192 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE192_TYPE;
  localparam LC_PROBE193_TYPE = (C_NUM_OF_PROBES == 193 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE193_TYPE;
  localparam LC_PROBE194_TYPE = (C_NUM_OF_PROBES == 194 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE194_TYPE;
  localparam LC_PROBE195_TYPE = (C_NUM_OF_PROBES == 195 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE195_TYPE;
  localparam LC_PROBE196_TYPE = (C_NUM_OF_PROBES == 196 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE196_TYPE;
  localparam LC_PROBE197_TYPE = (C_NUM_OF_PROBES == 197 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE197_TYPE;
  localparam LC_PROBE198_TYPE = (C_NUM_OF_PROBES == 198 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE198_TYPE;
  localparam LC_PROBE199_TYPE = (C_NUM_OF_PROBES == 199 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE199_TYPE;
  localparam LC_PROBE200_TYPE = (C_NUM_OF_PROBES == 200 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE200_TYPE;
  localparam LC_PROBE201_TYPE = (C_NUM_OF_PROBES == 201 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE201_TYPE;
  localparam LC_PROBE202_TYPE = (C_NUM_OF_PROBES == 202 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE202_TYPE;
  localparam LC_PROBE203_TYPE = (C_NUM_OF_PROBES == 203 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE203_TYPE;
  localparam LC_PROBE204_TYPE = (C_NUM_OF_PROBES == 204 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE204_TYPE;
  localparam LC_PROBE205_TYPE = (C_NUM_OF_PROBES == 205 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE205_TYPE;
  localparam LC_PROBE206_TYPE = (C_NUM_OF_PROBES == 206 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE206_TYPE;
  localparam LC_PROBE207_TYPE = (C_NUM_OF_PROBES == 207 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE207_TYPE;
  localparam LC_PROBE208_TYPE = (C_NUM_OF_PROBES == 208 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE208_TYPE;
  localparam LC_PROBE209_TYPE = (C_NUM_OF_PROBES == 209 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE209_TYPE;
  localparam LC_PROBE210_TYPE = (C_NUM_OF_PROBES == 210 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE210_TYPE;
  localparam LC_PROBE211_TYPE = (C_NUM_OF_PROBES == 211 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE211_TYPE;
  localparam LC_PROBE212_TYPE = (C_NUM_OF_PROBES == 212 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE212_TYPE;
  localparam LC_PROBE213_TYPE = (C_NUM_OF_PROBES == 213 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE213_TYPE;
  localparam LC_PROBE214_TYPE = (C_NUM_OF_PROBES == 214 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE214_TYPE;
  localparam LC_PROBE215_TYPE = (C_NUM_OF_PROBES == 215 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE215_TYPE;
  localparam LC_PROBE216_TYPE = (C_NUM_OF_PROBES == 216 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE216_TYPE;
  localparam LC_PROBE217_TYPE = (C_NUM_OF_PROBES == 217 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE217_TYPE;
  localparam LC_PROBE218_TYPE = (C_NUM_OF_PROBES == 218 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE218_TYPE;
  localparam LC_PROBE219_TYPE = (C_NUM_OF_PROBES == 219 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE219_TYPE;
  localparam LC_PROBE220_TYPE = (C_NUM_OF_PROBES == 220 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE220_TYPE;
  localparam LC_PROBE221_TYPE = (C_NUM_OF_PROBES == 221 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE221_TYPE;
  localparam LC_PROBE222_TYPE = (C_NUM_OF_PROBES == 222 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE222_TYPE;
  localparam LC_PROBE223_TYPE = (C_NUM_OF_PROBES == 223 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE223_TYPE;
  localparam LC_PROBE224_TYPE = (C_NUM_OF_PROBES == 224 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE224_TYPE;
  localparam LC_PROBE225_TYPE = (C_NUM_OF_PROBES == 225 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE225_TYPE;
  localparam LC_PROBE226_TYPE = (C_NUM_OF_PROBES == 226 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE226_TYPE;
  localparam LC_PROBE227_TYPE = (C_NUM_OF_PROBES == 227 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE227_TYPE;
  localparam LC_PROBE228_TYPE = (C_NUM_OF_PROBES == 228 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE228_TYPE;
  localparam LC_PROBE229_TYPE = (C_NUM_OF_PROBES == 229 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE229_TYPE;  
  localparam LC_PROBE230_TYPE = (C_NUM_OF_PROBES == 230 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE230_TYPE;
  localparam LC_PROBE231_TYPE = (C_NUM_OF_PROBES == 231 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE231_TYPE;
  localparam LC_PROBE232_TYPE = (C_NUM_OF_PROBES == 232 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE232_TYPE;
  localparam LC_PROBE233_TYPE = (C_NUM_OF_PROBES == 233 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE233_TYPE;
  localparam LC_PROBE234_TYPE = (C_NUM_OF_PROBES == 234 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE234_TYPE;
  localparam LC_PROBE235_TYPE = (C_NUM_OF_PROBES == 235 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE235_TYPE;
  localparam LC_PROBE236_TYPE = (C_NUM_OF_PROBES == 236 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE236_TYPE;
  localparam LC_PROBE237_TYPE = (C_NUM_OF_PROBES == 237 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE237_TYPE;
  localparam LC_PROBE238_TYPE = (C_NUM_OF_PROBES == 238 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE238_TYPE;
  localparam LC_PROBE239_TYPE = (C_NUM_OF_PROBES == 239 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE239_TYPE;
  localparam LC_PROBE240_TYPE = (C_NUM_OF_PROBES == 240 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE240_TYPE;
  localparam LC_PROBE241_TYPE = (C_NUM_OF_PROBES == 241 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE241_TYPE;
  localparam LC_PROBE242_TYPE = (C_NUM_OF_PROBES == 242 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE242_TYPE;
  localparam LC_PROBE243_TYPE = (C_NUM_OF_PROBES == 243 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE243_TYPE;
  localparam LC_PROBE244_TYPE = (C_NUM_OF_PROBES == 244 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE244_TYPE;
  localparam LC_PROBE245_TYPE = (C_NUM_OF_PROBES == 245 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE245_TYPE;
  localparam LC_PROBE246_TYPE = (C_NUM_OF_PROBES == 246 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE246_TYPE;
  localparam LC_PROBE247_TYPE = (C_NUM_OF_PROBES == 247 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE247_TYPE;
  localparam LC_PROBE248_TYPE = (C_NUM_OF_PROBES == 248 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE248_TYPE;
  localparam LC_PROBE249_TYPE = (C_NUM_OF_PROBES == 249 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE249_TYPE;
  localparam LC_PROBE250_TYPE = (C_NUM_OF_PROBES == 250 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE250_TYPE;
  localparam LC_PROBE251_TYPE = (C_NUM_OF_PROBES == 251 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE251_TYPE;
  localparam LC_PROBE252_TYPE = (C_NUM_OF_PROBES == 252 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE252_TYPE;
  localparam LC_PROBE253_TYPE = (C_NUM_OF_PROBES == 253 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE253_TYPE;
  localparam LC_PROBE254_TYPE = (C_NUM_OF_PROBES == 254 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE254_TYPE;
  localparam LC_PROBE255_TYPE = (C_NUM_OF_PROBES == 255 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE255_TYPE;
  localparam LC_PROBE256_TYPE = (C_NUM_OF_PROBES == 256 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE256_TYPE;
  localparam LC_PROBE257_TYPE = (C_NUM_OF_PROBES == 257 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE257_TYPE;
  localparam LC_PROBE258_TYPE = (C_NUM_OF_PROBES == 258 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE258_TYPE;
  localparam LC_PROBE259_TYPE = (C_NUM_OF_PROBES == 259 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE259_TYPE;
  localparam LC_PROBE260_TYPE = (C_NUM_OF_PROBES == 260 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE260_TYPE;
  localparam LC_PROBE261_TYPE = (C_NUM_OF_PROBES == 261 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE261_TYPE;
  localparam LC_PROBE262_TYPE = (C_NUM_OF_PROBES == 262 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE262_TYPE;
  localparam LC_PROBE263_TYPE = (C_NUM_OF_PROBES == 263 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE263_TYPE;
  localparam LC_PROBE264_TYPE = (C_NUM_OF_PROBES == 264 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE264_TYPE;
  localparam LC_PROBE265_TYPE = (C_NUM_OF_PROBES == 265 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE265_TYPE;
  localparam LC_PROBE266_TYPE = (C_NUM_OF_PROBES == 266 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE266_TYPE;
  localparam LC_PROBE267_TYPE = (C_NUM_OF_PROBES == 267 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE267_TYPE;
  localparam LC_PROBE268_TYPE = (C_NUM_OF_PROBES == 268 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE268_TYPE;
  localparam LC_PROBE269_TYPE = (C_NUM_OF_PROBES == 269 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE269_TYPE;
  localparam LC_PROBE270_TYPE = (C_NUM_OF_PROBES == 270 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE270_TYPE;
  localparam LC_PROBE271_TYPE = (C_NUM_OF_PROBES == 271 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE271_TYPE;
  localparam LC_PROBE272_TYPE = (C_NUM_OF_PROBES == 272 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE272_TYPE;
  localparam LC_PROBE273_TYPE = (C_NUM_OF_PROBES == 273 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE273_TYPE;
  localparam LC_PROBE274_TYPE = (C_NUM_OF_PROBES == 274 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE274_TYPE;
  localparam LC_PROBE275_TYPE = (C_NUM_OF_PROBES == 275 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE275_TYPE;
  localparam LC_PROBE276_TYPE = (C_NUM_OF_PROBES == 276 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE276_TYPE;
  localparam LC_PROBE277_TYPE = (C_NUM_OF_PROBES == 277 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE277_TYPE;
  localparam LC_PROBE278_TYPE = (C_NUM_OF_PROBES == 278 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE278_TYPE;
  localparam LC_PROBE279_TYPE = (C_NUM_OF_PROBES == 279 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE279_TYPE;
  localparam LC_PROBE280_TYPE = (C_NUM_OF_PROBES == 280 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE280_TYPE;
  localparam LC_PROBE281_TYPE = (C_NUM_OF_PROBES == 281 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE281_TYPE;
  localparam LC_PROBE282_TYPE = (C_NUM_OF_PROBES == 282 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE282_TYPE;
  localparam LC_PROBE283_TYPE = (C_NUM_OF_PROBES == 283 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE283_TYPE;
  localparam LC_PROBE284_TYPE = (C_NUM_OF_PROBES == 284 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE284_TYPE;
  localparam LC_PROBE285_TYPE = (C_NUM_OF_PROBES == 285 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE285_TYPE;
  localparam LC_PROBE286_TYPE = (C_NUM_OF_PROBES == 286 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE286_TYPE;
  localparam LC_PROBE287_TYPE = (C_NUM_OF_PROBES == 287 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE287_TYPE;
  localparam LC_PROBE288_TYPE = (C_NUM_OF_PROBES == 288 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE288_TYPE;
  localparam LC_PROBE289_TYPE = (C_NUM_OF_PROBES == 289 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE289_TYPE;
  localparam LC_PROBE290_TYPE = (C_NUM_OF_PROBES == 290 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE290_TYPE;
  localparam LC_PROBE291_TYPE = (C_NUM_OF_PROBES == 291 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE291_TYPE;
  localparam LC_PROBE292_TYPE = (C_NUM_OF_PROBES == 292 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE292_TYPE;
  localparam LC_PROBE293_TYPE = (C_NUM_OF_PROBES == 293 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE293_TYPE;
  localparam LC_PROBE294_TYPE = (C_NUM_OF_PROBES == 294 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE294_TYPE;
  localparam LC_PROBE295_TYPE = (C_NUM_OF_PROBES == 295 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE295_TYPE;
  localparam LC_PROBE296_TYPE = (C_NUM_OF_PROBES == 296 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE296_TYPE;
  localparam LC_PROBE297_TYPE = (C_NUM_OF_PROBES == 297 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE297_TYPE;
  localparam LC_PROBE298_TYPE = (C_NUM_OF_PROBES == 298 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE298_TYPE;
  localparam LC_PROBE299_TYPE = (C_NUM_OF_PROBES == 299 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE299_TYPE;
  localparam LC_PROBE300_TYPE = (C_NUM_OF_PROBES == 300 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE300_TYPE;
  localparam LC_PROBE301_TYPE = (C_NUM_OF_PROBES == 301 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE301_TYPE;
  localparam LC_PROBE302_TYPE = (C_NUM_OF_PROBES == 302 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE302_TYPE;
  localparam LC_PROBE303_TYPE = (C_NUM_OF_PROBES == 303 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE303_TYPE;
  localparam LC_PROBE304_TYPE = (C_NUM_OF_PROBES == 304 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE304_TYPE;
  localparam LC_PROBE305_TYPE = (C_NUM_OF_PROBES == 305 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE305_TYPE;
  localparam LC_PROBE306_TYPE = (C_NUM_OF_PROBES == 306 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE306_TYPE;
  localparam LC_PROBE307_TYPE = (C_NUM_OF_PROBES == 307 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE307_TYPE;
  localparam LC_PROBE308_TYPE = (C_NUM_OF_PROBES == 308 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE308_TYPE;
  localparam LC_PROBE309_TYPE = (C_NUM_OF_PROBES == 309 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE309_TYPE;
  localparam LC_PROBE310_TYPE = (C_NUM_OF_PROBES == 310 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE310_TYPE;
  localparam LC_PROBE311_TYPE = (C_NUM_OF_PROBES == 311 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE311_TYPE;
  localparam LC_PROBE312_TYPE = (C_NUM_OF_PROBES == 312 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE312_TYPE;
  localparam LC_PROBE313_TYPE = (C_NUM_OF_PROBES == 313 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE313_TYPE;
  localparam LC_PROBE314_TYPE = (C_NUM_OF_PROBES == 314 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE314_TYPE;
  localparam LC_PROBE315_TYPE = (C_NUM_OF_PROBES == 315 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE315_TYPE;
  localparam LC_PROBE316_TYPE = (C_NUM_OF_PROBES == 316 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE316_TYPE;
  localparam LC_PROBE317_TYPE = (C_NUM_OF_PROBES == 317 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE317_TYPE;
  localparam LC_PROBE318_TYPE = (C_NUM_OF_PROBES == 318 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE318_TYPE;
  localparam LC_PROBE319_TYPE = (C_NUM_OF_PROBES == 319 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE319_TYPE;
  localparam LC_PROBE320_TYPE = (C_NUM_OF_PROBES == 320 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE320_TYPE;
  localparam LC_PROBE321_TYPE = (C_NUM_OF_PROBES == 321 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE321_TYPE;
  localparam LC_PROBE322_TYPE = (C_NUM_OF_PROBES == 322 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE322_TYPE;
  localparam LC_PROBE323_TYPE = (C_NUM_OF_PROBES == 323 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE323_TYPE;
  localparam LC_PROBE324_TYPE = (C_NUM_OF_PROBES == 324 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE324_TYPE;
  localparam LC_PROBE325_TYPE = (C_NUM_OF_PROBES == 325 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE325_TYPE;
  localparam LC_PROBE326_TYPE = (C_NUM_OF_PROBES == 326 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE326_TYPE;
  localparam LC_PROBE327_TYPE = (C_NUM_OF_PROBES == 327 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE327_TYPE;
  localparam LC_PROBE328_TYPE = (C_NUM_OF_PROBES == 328 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE328_TYPE;
  localparam LC_PROBE329_TYPE = (C_NUM_OF_PROBES == 329 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE329_TYPE;  
  localparam LC_PROBE330_TYPE = (C_NUM_OF_PROBES == 330 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE330_TYPE;
  localparam LC_PROBE331_TYPE = (C_NUM_OF_PROBES == 331 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE331_TYPE;
  localparam LC_PROBE332_TYPE = (C_NUM_OF_PROBES == 332 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE332_TYPE;
  localparam LC_PROBE333_TYPE = (C_NUM_OF_PROBES == 333 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE333_TYPE;
  localparam LC_PROBE334_TYPE = (C_NUM_OF_PROBES == 334 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE334_TYPE;
  localparam LC_PROBE335_TYPE = (C_NUM_OF_PROBES == 335 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE335_TYPE;
  localparam LC_PROBE336_TYPE = (C_NUM_OF_PROBES == 336 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE336_TYPE;
  localparam LC_PROBE337_TYPE = (C_NUM_OF_PROBES == 337 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE337_TYPE;
  localparam LC_PROBE338_TYPE = (C_NUM_OF_PROBES == 338 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE338_TYPE;
  localparam LC_PROBE339_TYPE = (C_NUM_OF_PROBES == 339 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE339_TYPE;
  localparam LC_PROBE340_TYPE = (C_NUM_OF_PROBES == 340 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE340_TYPE;
  localparam LC_PROBE341_TYPE = (C_NUM_OF_PROBES == 341 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE341_TYPE;
  localparam LC_PROBE342_TYPE = (C_NUM_OF_PROBES == 342 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE342_TYPE;
  localparam LC_PROBE343_TYPE = (C_NUM_OF_PROBES == 343 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE343_TYPE;
  localparam LC_PROBE344_TYPE = (C_NUM_OF_PROBES == 344 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE344_TYPE;
  localparam LC_PROBE345_TYPE = (C_NUM_OF_PROBES == 345 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE345_TYPE;
  localparam LC_PROBE346_TYPE = (C_NUM_OF_PROBES == 346 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE346_TYPE;
  localparam LC_PROBE347_TYPE = (C_NUM_OF_PROBES == 347 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE347_TYPE;
  localparam LC_PROBE348_TYPE = (C_NUM_OF_PROBES == 348 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE348_TYPE;
  localparam LC_PROBE349_TYPE = (C_NUM_OF_PROBES == 349 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE349_TYPE;
  localparam LC_PROBE350_TYPE = (C_NUM_OF_PROBES == 350 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE350_TYPE;
  localparam LC_PROBE351_TYPE = (C_NUM_OF_PROBES == 351 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE351_TYPE;
  localparam LC_PROBE352_TYPE = (C_NUM_OF_PROBES == 352 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE352_TYPE;
  localparam LC_PROBE353_TYPE = (C_NUM_OF_PROBES == 353 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE353_TYPE;
  localparam LC_PROBE354_TYPE = (C_NUM_OF_PROBES == 354 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE354_TYPE;
  localparam LC_PROBE355_TYPE = (C_NUM_OF_PROBES == 355 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE355_TYPE;
  localparam LC_PROBE356_TYPE = (C_NUM_OF_PROBES == 356 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE356_TYPE;
  localparam LC_PROBE357_TYPE = (C_NUM_OF_PROBES == 357 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE357_TYPE;
  localparam LC_PROBE358_TYPE = (C_NUM_OF_PROBES == 358 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE358_TYPE;
  localparam LC_PROBE359_TYPE = (C_NUM_OF_PROBES == 359 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE359_TYPE;
  localparam LC_PROBE360_TYPE = (C_NUM_OF_PROBES == 360 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE360_TYPE;
  localparam LC_PROBE361_TYPE = (C_NUM_OF_PROBES == 361 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE361_TYPE;
  localparam LC_PROBE362_TYPE = (C_NUM_OF_PROBES == 362 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE362_TYPE;
  localparam LC_PROBE363_TYPE = (C_NUM_OF_PROBES == 363 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE363_TYPE;
  localparam LC_PROBE364_TYPE = (C_NUM_OF_PROBES == 364 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE364_TYPE;
  localparam LC_PROBE365_TYPE = (C_NUM_OF_PROBES == 365 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE365_TYPE;
  localparam LC_PROBE366_TYPE = (C_NUM_OF_PROBES == 366 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE366_TYPE;
  localparam LC_PROBE367_TYPE = (C_NUM_OF_PROBES == 367 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE367_TYPE;
  localparam LC_PROBE368_TYPE = (C_NUM_OF_PROBES == 368 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE368_TYPE;
  localparam LC_PROBE369_TYPE = (C_NUM_OF_PROBES == 369 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE369_TYPE;
  localparam LC_PROBE370_TYPE = (C_NUM_OF_PROBES == 370 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE370_TYPE;
  localparam LC_PROBE371_TYPE = (C_NUM_OF_PROBES == 371 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE371_TYPE;
  localparam LC_PROBE372_TYPE = (C_NUM_OF_PROBES == 372 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE372_TYPE;
  localparam LC_PROBE373_TYPE = (C_NUM_OF_PROBES == 373 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE373_TYPE;
  localparam LC_PROBE374_TYPE = (C_NUM_OF_PROBES == 374 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE374_TYPE;
  localparam LC_PROBE375_TYPE = (C_NUM_OF_PROBES == 375 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE375_TYPE;
  localparam LC_PROBE376_TYPE = (C_NUM_OF_PROBES == 376 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE376_TYPE;
  localparam LC_PROBE377_TYPE = (C_NUM_OF_PROBES == 377 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE377_TYPE;
  localparam LC_PROBE378_TYPE = (C_NUM_OF_PROBES == 378 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE378_TYPE;
  localparam LC_PROBE379_TYPE = (C_NUM_OF_PROBES == 379 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE379_TYPE;
  localparam LC_PROBE380_TYPE = (C_NUM_OF_PROBES == 380 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE380_TYPE;
  localparam LC_PROBE381_TYPE = (C_NUM_OF_PROBES == 381 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE381_TYPE;
  localparam LC_PROBE382_TYPE = (C_NUM_OF_PROBES == 382 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE382_TYPE;
  localparam LC_PROBE383_TYPE = (C_NUM_OF_PROBES == 383 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE383_TYPE;
  localparam LC_PROBE384_TYPE = (C_NUM_OF_PROBES == 384 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE384_TYPE;
  localparam LC_PROBE385_TYPE = (C_NUM_OF_PROBES == 385 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE385_TYPE;
  localparam LC_PROBE386_TYPE = (C_NUM_OF_PROBES == 386 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE386_TYPE;
  localparam LC_PROBE387_TYPE = (C_NUM_OF_PROBES == 387 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE387_TYPE;
  localparam LC_PROBE388_TYPE = (C_NUM_OF_PROBES == 388 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE388_TYPE;
  localparam LC_PROBE389_TYPE = (C_NUM_OF_PROBES == 389 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE389_TYPE;
  localparam LC_PROBE390_TYPE = (C_NUM_OF_PROBES == 390 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE390_TYPE;
  localparam LC_PROBE391_TYPE = (C_NUM_OF_PROBES == 391 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE391_TYPE;
  localparam LC_PROBE392_TYPE = (C_NUM_OF_PROBES == 392 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE392_TYPE;
  localparam LC_PROBE393_TYPE = (C_NUM_OF_PROBES == 393 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE393_TYPE;
  localparam LC_PROBE394_TYPE = (C_NUM_OF_PROBES == 394 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE394_TYPE;
  localparam LC_PROBE395_TYPE = (C_NUM_OF_PROBES == 395 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE395_TYPE;
  localparam LC_PROBE396_TYPE = (C_NUM_OF_PROBES == 396 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE396_TYPE;
  localparam LC_PROBE397_TYPE = (C_NUM_OF_PROBES == 397 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE397_TYPE;
  localparam LC_PROBE398_TYPE = (C_NUM_OF_PROBES == 398 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE398_TYPE;
  localparam LC_PROBE399_TYPE = (C_NUM_OF_PROBES == 399 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE399_TYPE;
  localparam LC_PROBE400_TYPE = (C_NUM_OF_PROBES == 400 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE400_TYPE;
  localparam LC_PROBE401_TYPE = (C_NUM_OF_PROBES == 401 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE401_TYPE;
  localparam LC_PROBE402_TYPE = (C_NUM_OF_PROBES == 402 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE402_TYPE;
  localparam LC_PROBE403_TYPE = (C_NUM_OF_PROBES == 403 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE403_TYPE;
  localparam LC_PROBE404_TYPE = (C_NUM_OF_PROBES == 404 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE404_TYPE;
  localparam LC_PROBE405_TYPE = (C_NUM_OF_PROBES == 405 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE405_TYPE;
  localparam LC_PROBE406_TYPE = (C_NUM_OF_PROBES == 406 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE406_TYPE;
  localparam LC_PROBE407_TYPE = (C_NUM_OF_PROBES == 407 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE407_TYPE;
  localparam LC_PROBE408_TYPE = (C_NUM_OF_PROBES == 408 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE408_TYPE;
  localparam LC_PROBE409_TYPE = (C_NUM_OF_PROBES == 409 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE409_TYPE;
  localparam LC_PROBE410_TYPE = (C_NUM_OF_PROBES == 410 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE410_TYPE;
  localparam LC_PROBE411_TYPE = (C_NUM_OF_PROBES == 411 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE411_TYPE;
  localparam LC_PROBE412_TYPE = (C_NUM_OF_PROBES == 412 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE412_TYPE;
  localparam LC_PROBE413_TYPE = (C_NUM_OF_PROBES == 413 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE413_TYPE;
  localparam LC_PROBE414_TYPE = (C_NUM_OF_PROBES == 414 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE414_TYPE;
  localparam LC_PROBE415_TYPE = (C_NUM_OF_PROBES == 415 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE415_TYPE;
  localparam LC_PROBE416_TYPE = (C_NUM_OF_PROBES == 416 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE416_TYPE;
  localparam LC_PROBE417_TYPE = (C_NUM_OF_PROBES == 417 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE417_TYPE;
  localparam LC_PROBE418_TYPE = (C_NUM_OF_PROBES == 418 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE418_TYPE;
  localparam LC_PROBE419_TYPE = (C_NUM_OF_PROBES == 419 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE419_TYPE;
  localparam LC_PROBE420_TYPE = (C_NUM_OF_PROBES == 420 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE420_TYPE;
  localparam LC_PROBE421_TYPE = (C_NUM_OF_PROBES == 421 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE421_TYPE;
  localparam LC_PROBE422_TYPE = (C_NUM_OF_PROBES == 422 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE422_TYPE;
  localparam LC_PROBE423_TYPE = (C_NUM_OF_PROBES == 423 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE423_TYPE;
  localparam LC_PROBE424_TYPE = (C_NUM_OF_PROBES == 424 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE424_TYPE;
  localparam LC_PROBE425_TYPE = (C_NUM_OF_PROBES == 425 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE425_TYPE;
  localparam LC_PROBE426_TYPE = (C_NUM_OF_PROBES == 426 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE426_TYPE;
  localparam LC_PROBE427_TYPE = (C_NUM_OF_PROBES == 427 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE427_TYPE;
  localparam LC_PROBE428_TYPE = (C_NUM_OF_PROBES == 428 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE428_TYPE;
  localparam LC_PROBE429_TYPE = (C_NUM_OF_PROBES == 429 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE429_TYPE;  
  localparam LC_PROBE430_TYPE = (C_NUM_OF_PROBES == 430 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE430_TYPE;
  localparam LC_PROBE431_TYPE = (C_NUM_OF_PROBES == 431 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE431_TYPE;
  localparam LC_PROBE432_TYPE = (C_NUM_OF_PROBES == 432 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE432_TYPE;
  localparam LC_PROBE433_TYPE = (C_NUM_OF_PROBES == 433 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE433_TYPE;
  localparam LC_PROBE434_TYPE = (C_NUM_OF_PROBES == 434 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE434_TYPE;
  localparam LC_PROBE435_TYPE = (C_NUM_OF_PROBES == 435 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE435_TYPE;
  localparam LC_PROBE436_TYPE = (C_NUM_OF_PROBES == 436 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE436_TYPE;
  localparam LC_PROBE437_TYPE = (C_NUM_OF_PROBES == 437 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE437_TYPE;
  localparam LC_PROBE438_TYPE = (C_NUM_OF_PROBES == 438 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE438_TYPE;
  localparam LC_PROBE439_TYPE = (C_NUM_OF_PROBES == 439 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE439_TYPE;
  localparam LC_PROBE440_TYPE = (C_NUM_OF_PROBES == 440 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE440_TYPE;
  localparam LC_PROBE441_TYPE = (C_NUM_OF_PROBES == 441 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE441_TYPE;
  localparam LC_PROBE442_TYPE = (C_NUM_OF_PROBES == 442 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE442_TYPE;
  localparam LC_PROBE443_TYPE = (C_NUM_OF_PROBES == 443 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE443_TYPE;
  localparam LC_PROBE444_TYPE = (C_NUM_OF_PROBES == 444 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE444_TYPE;
  localparam LC_PROBE445_TYPE = (C_NUM_OF_PROBES == 445 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE445_TYPE;
  localparam LC_PROBE446_TYPE = (C_NUM_OF_PROBES == 446 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE446_TYPE;
  localparam LC_PROBE447_TYPE = (C_NUM_OF_PROBES == 447 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE447_TYPE;
  localparam LC_PROBE448_TYPE = (C_NUM_OF_PROBES == 448 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE448_TYPE;
  localparam LC_PROBE449_TYPE = (C_NUM_OF_PROBES == 449 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE449_TYPE;
  localparam LC_PROBE450_TYPE = (C_NUM_OF_PROBES == 450 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE450_TYPE;
  localparam LC_PROBE451_TYPE = (C_NUM_OF_PROBES == 451 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE451_TYPE;
  localparam LC_PROBE452_TYPE = (C_NUM_OF_PROBES == 452 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE452_TYPE;
  localparam LC_PROBE453_TYPE = (C_NUM_OF_PROBES == 453 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE453_TYPE;
  localparam LC_PROBE454_TYPE = (C_NUM_OF_PROBES == 454 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE454_TYPE;
  localparam LC_PROBE455_TYPE = (C_NUM_OF_PROBES == 455 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE455_TYPE;
  localparam LC_PROBE456_TYPE = (C_NUM_OF_PROBES == 456 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE456_TYPE;
  localparam LC_PROBE457_TYPE = (C_NUM_OF_PROBES == 457 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE457_TYPE;
  localparam LC_PROBE458_TYPE = (C_NUM_OF_PROBES == 458 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE458_TYPE;
  localparam LC_PROBE459_TYPE = (C_NUM_OF_PROBES == 459 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE459_TYPE;
  localparam LC_PROBE460_TYPE = (C_NUM_OF_PROBES == 460 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE460_TYPE;
  localparam LC_PROBE461_TYPE = (C_NUM_OF_PROBES == 461 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE461_TYPE;
  localparam LC_PROBE462_TYPE = (C_NUM_OF_PROBES == 462 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE462_TYPE;
  localparam LC_PROBE463_TYPE = (C_NUM_OF_PROBES == 463 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE463_TYPE;
  localparam LC_PROBE464_TYPE = (C_NUM_OF_PROBES == 464 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE464_TYPE;
  localparam LC_PROBE465_TYPE = (C_NUM_OF_PROBES == 465 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE465_TYPE;
  localparam LC_PROBE466_TYPE = (C_NUM_OF_PROBES == 466 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE466_TYPE;
  localparam LC_PROBE467_TYPE = (C_NUM_OF_PROBES == 467 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE467_TYPE;
  localparam LC_PROBE468_TYPE = (C_NUM_OF_PROBES == 468 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE468_TYPE;
  localparam LC_PROBE469_TYPE = (C_NUM_OF_PROBES == 469 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE469_TYPE;
  localparam LC_PROBE470_TYPE = (C_NUM_OF_PROBES == 470 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE470_TYPE;
  localparam LC_PROBE471_TYPE = (C_NUM_OF_PROBES == 471 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE471_TYPE;
  localparam LC_PROBE472_TYPE = (C_NUM_OF_PROBES == 472 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE472_TYPE;
  localparam LC_PROBE473_TYPE = (C_NUM_OF_PROBES == 473 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE473_TYPE;
  localparam LC_PROBE474_TYPE = (C_NUM_OF_PROBES == 474 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE474_TYPE;
  localparam LC_PROBE475_TYPE = (C_NUM_OF_PROBES == 475 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE475_TYPE;
  localparam LC_PROBE476_TYPE = (C_NUM_OF_PROBES == 476 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE476_TYPE;
  localparam LC_PROBE477_TYPE = (C_NUM_OF_PROBES == 477 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE477_TYPE;
  localparam LC_PROBE478_TYPE = (C_NUM_OF_PROBES == 478 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE478_TYPE;
  localparam LC_PROBE479_TYPE = (C_NUM_OF_PROBES == 479 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE479_TYPE;
  localparam LC_PROBE480_TYPE = (C_NUM_OF_PROBES == 480 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE480_TYPE;
  localparam LC_PROBE481_TYPE = (C_NUM_OF_PROBES == 481 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE481_TYPE;
  localparam LC_PROBE482_TYPE = (C_NUM_OF_PROBES == 482 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE482_TYPE;
  localparam LC_PROBE483_TYPE = (C_NUM_OF_PROBES == 483 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE483_TYPE;
  localparam LC_PROBE484_TYPE = (C_NUM_OF_PROBES == 484 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE484_TYPE;
  localparam LC_PROBE485_TYPE = (C_NUM_OF_PROBES == 485 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE485_TYPE;
  localparam LC_PROBE486_TYPE = (C_NUM_OF_PROBES == 486 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE486_TYPE;
  localparam LC_PROBE487_TYPE = (C_NUM_OF_PROBES == 487 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE487_TYPE;
  localparam LC_PROBE488_TYPE = (C_NUM_OF_PROBES == 488 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE488_TYPE;
  localparam LC_PROBE489_TYPE = (C_NUM_OF_PROBES == 489 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE489_TYPE;
  localparam LC_PROBE490_TYPE = (C_NUM_OF_PROBES == 490 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE490_TYPE;
  localparam LC_PROBE491_TYPE = (C_NUM_OF_PROBES == 491 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE491_TYPE;
  localparam LC_PROBE492_TYPE = (C_NUM_OF_PROBES == 492 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE492_TYPE;
  localparam LC_PROBE493_TYPE = (C_NUM_OF_PROBES == 493 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE493_TYPE;
  localparam LC_PROBE494_TYPE = (C_NUM_OF_PROBES == 494 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE494_TYPE;
  localparam LC_PROBE495_TYPE = (C_NUM_OF_PROBES == 495 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE495_TYPE;
  localparam LC_PROBE496_TYPE = (C_NUM_OF_PROBES == 496 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE496_TYPE;
  localparam LC_PROBE497_TYPE = (C_NUM_OF_PROBES == 497 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE497_TYPE;
  localparam LC_PROBE498_TYPE = (C_NUM_OF_PROBES == 498 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE498_TYPE;
  localparam LC_PROBE499_TYPE = (C_NUM_OF_PROBES == 499 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE499_TYPE;
  localparam LC_PROBE500_TYPE = (C_NUM_OF_PROBES == 500 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE500_TYPE;
  localparam LC_PROBE501_TYPE = (C_NUM_OF_PROBES == 501 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE501_TYPE;
  localparam LC_PROBE502_TYPE = (C_NUM_OF_PROBES == 502 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE502_TYPE;
  localparam LC_PROBE503_TYPE = (C_NUM_OF_PROBES == 503 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE503_TYPE;
  localparam LC_PROBE504_TYPE = (C_NUM_OF_PROBES == 504 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE504_TYPE;
  localparam LC_PROBE505_TYPE = (C_NUM_OF_PROBES == 505 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE505_TYPE;
  localparam LC_PROBE506_TYPE = (C_NUM_OF_PROBES == 506 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE506_TYPE;
  localparam LC_PROBE507_TYPE = (C_NUM_OF_PROBES == 507 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE507_TYPE;
  localparam LC_PROBE508_TYPE = (C_NUM_OF_PROBES == 508 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE508_TYPE;
  localparam LC_PROBE509_TYPE = (C_NUM_OF_PROBES == 509 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE509_TYPE;
  localparam LC_PROBE510_TYPE = (C_NUM_OF_PROBES == 510 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE510_TYPE;
  localparam LC_PROBE511_TYPE = (C_NUM_OF_PROBES == 511 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE511_TYPE;
  localparam LC_PROBE512_TYPE = (C_NUM_OF_PROBES == 512 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE512_TYPE;
  localparam LC_PROBE513_TYPE = (C_NUM_OF_PROBES == 513 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE513_TYPE;
  localparam LC_PROBE514_TYPE = (C_NUM_OF_PROBES == 514 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE514_TYPE;
  localparam LC_PROBE515_TYPE = (C_NUM_OF_PROBES == 515 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE515_TYPE;
  localparam LC_PROBE516_TYPE = (C_NUM_OF_PROBES == 516 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE516_TYPE;
  localparam LC_PROBE517_TYPE = (C_NUM_OF_PROBES == 517 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE517_TYPE;
  localparam LC_PROBE518_TYPE = (C_NUM_OF_PROBES == 518 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE518_TYPE;
  localparam LC_PROBE519_TYPE = (C_NUM_OF_PROBES == 519 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE519_TYPE;
  localparam LC_PROBE520_TYPE = (C_NUM_OF_PROBES == 520 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE520_TYPE;
  localparam LC_PROBE521_TYPE = (C_NUM_OF_PROBES == 521 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE521_TYPE;
  localparam LC_PROBE522_TYPE = (C_NUM_OF_PROBES == 522 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE522_TYPE;
  localparam LC_PROBE523_TYPE = (C_NUM_OF_PROBES == 523 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE523_TYPE;
  localparam LC_PROBE524_TYPE = (C_NUM_OF_PROBES == 524 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE524_TYPE;
  localparam LC_PROBE525_TYPE = (C_NUM_OF_PROBES == 525 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE525_TYPE;
  localparam LC_PROBE526_TYPE = (C_NUM_OF_PROBES == 526 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE526_TYPE;
  localparam LC_PROBE527_TYPE = (C_NUM_OF_PROBES == 527 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE527_TYPE;
  localparam LC_PROBE528_TYPE = (C_NUM_OF_PROBES == 528 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE528_TYPE;
  localparam LC_PROBE529_TYPE = (C_NUM_OF_PROBES == 529 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE529_TYPE;  
  localparam LC_PROBE530_TYPE = (C_NUM_OF_PROBES == 530 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE530_TYPE;
  localparam LC_PROBE531_TYPE = (C_NUM_OF_PROBES == 531 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE531_TYPE;
  localparam LC_PROBE532_TYPE = (C_NUM_OF_PROBES == 532 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE532_TYPE;
  localparam LC_PROBE533_TYPE = (C_NUM_OF_PROBES == 533 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE533_TYPE;
  localparam LC_PROBE534_TYPE = (C_NUM_OF_PROBES == 534 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE534_TYPE;
  localparam LC_PROBE535_TYPE = (C_NUM_OF_PROBES == 535 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE535_TYPE;
  localparam LC_PROBE536_TYPE = (C_NUM_OF_PROBES == 536 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE536_TYPE;
  localparam LC_PROBE537_TYPE = (C_NUM_OF_PROBES == 537 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE537_TYPE;
  localparam LC_PROBE538_TYPE = (C_NUM_OF_PROBES == 538 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE538_TYPE;
  localparam LC_PROBE539_TYPE = (C_NUM_OF_PROBES == 539 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE539_TYPE;
  localparam LC_PROBE540_TYPE = (C_NUM_OF_PROBES == 540 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE540_TYPE;
  localparam LC_PROBE541_TYPE = (C_NUM_OF_PROBES == 541 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE541_TYPE;
  localparam LC_PROBE542_TYPE = (C_NUM_OF_PROBES == 542 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE542_TYPE;
  localparam LC_PROBE543_TYPE = (C_NUM_OF_PROBES == 543 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE543_TYPE;
  localparam LC_PROBE544_TYPE = (C_NUM_OF_PROBES == 544 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE544_TYPE;
  localparam LC_PROBE545_TYPE = (C_NUM_OF_PROBES == 545 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE545_TYPE;
  localparam LC_PROBE546_TYPE = (C_NUM_OF_PROBES == 546 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE546_TYPE;
  localparam LC_PROBE547_TYPE = (C_NUM_OF_PROBES == 547 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE547_TYPE;
  localparam LC_PROBE548_TYPE = (C_NUM_OF_PROBES == 548 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE548_TYPE;
  localparam LC_PROBE549_TYPE = (C_NUM_OF_PROBES == 549 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE549_TYPE;
  localparam LC_PROBE550_TYPE = (C_NUM_OF_PROBES == 550 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE550_TYPE;
  localparam LC_PROBE551_TYPE = (C_NUM_OF_PROBES == 551 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE551_TYPE;
  localparam LC_PROBE552_TYPE = (C_NUM_OF_PROBES == 552 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE552_TYPE;
  localparam LC_PROBE553_TYPE = (C_NUM_OF_PROBES == 553 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE553_TYPE;
  localparam LC_PROBE554_TYPE = (C_NUM_OF_PROBES == 554 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE554_TYPE;
  localparam LC_PROBE555_TYPE = (C_NUM_OF_PROBES == 555 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE555_TYPE;
  localparam LC_PROBE556_TYPE = (C_NUM_OF_PROBES == 556 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE556_TYPE;
  localparam LC_PROBE557_TYPE = (C_NUM_OF_PROBES == 557 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE557_TYPE;
  localparam LC_PROBE558_TYPE = (C_NUM_OF_PROBES == 558 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE558_TYPE;
  localparam LC_PROBE559_TYPE = (C_NUM_OF_PROBES == 559 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE559_TYPE;
  localparam LC_PROBE560_TYPE = (C_NUM_OF_PROBES == 560 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE560_TYPE;
  localparam LC_PROBE561_TYPE = (C_NUM_OF_PROBES == 561 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE561_TYPE;
  localparam LC_PROBE562_TYPE = (C_NUM_OF_PROBES == 562 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE562_TYPE;
  localparam LC_PROBE563_TYPE = (C_NUM_OF_PROBES == 563 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE563_TYPE;
  localparam LC_PROBE564_TYPE = (C_NUM_OF_PROBES == 564 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE564_TYPE;
  localparam LC_PROBE565_TYPE = (C_NUM_OF_PROBES == 565 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE565_TYPE;
  localparam LC_PROBE566_TYPE = (C_NUM_OF_PROBES == 566 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE566_TYPE;
  localparam LC_PROBE567_TYPE = (C_NUM_OF_PROBES == 567 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE567_TYPE;
  localparam LC_PROBE568_TYPE = (C_NUM_OF_PROBES == 568 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE568_TYPE;
  localparam LC_PROBE569_TYPE = (C_NUM_OF_PROBES == 569 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE569_TYPE;
  localparam LC_PROBE570_TYPE = (C_NUM_OF_PROBES == 570 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE570_TYPE;
  localparam LC_PROBE571_TYPE = (C_NUM_OF_PROBES == 571 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE571_TYPE;
  localparam LC_PROBE572_TYPE = (C_NUM_OF_PROBES == 572 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE572_TYPE;
  localparam LC_PROBE573_TYPE = (C_NUM_OF_PROBES == 573 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE573_TYPE;
  localparam LC_PROBE574_TYPE = (C_NUM_OF_PROBES == 574 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE574_TYPE;
  localparam LC_PROBE575_TYPE = (C_NUM_OF_PROBES == 575 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE575_TYPE;
  localparam LC_PROBE576_TYPE = (C_NUM_OF_PROBES == 576 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE576_TYPE;
  localparam LC_PROBE577_TYPE = (C_NUM_OF_PROBES == 577 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE577_TYPE;
  localparam LC_PROBE578_TYPE = (C_NUM_OF_PROBES == 578 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE578_TYPE;
  localparam LC_PROBE579_TYPE = (C_NUM_OF_PROBES == 579 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE579_TYPE;
  localparam LC_PROBE580_TYPE = (C_NUM_OF_PROBES == 580 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE580_TYPE;
  localparam LC_PROBE581_TYPE = (C_NUM_OF_PROBES == 581 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE581_TYPE;
  localparam LC_PROBE582_TYPE = (C_NUM_OF_PROBES == 582 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE582_TYPE;
  localparam LC_PROBE583_TYPE = (C_NUM_OF_PROBES == 583 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE583_TYPE;
  localparam LC_PROBE584_TYPE = (C_NUM_OF_PROBES == 584 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE584_TYPE;
  localparam LC_PROBE585_TYPE = (C_NUM_OF_PROBES == 585 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE585_TYPE;
  localparam LC_PROBE586_TYPE = (C_NUM_OF_PROBES == 586 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE586_TYPE;
  localparam LC_PROBE587_TYPE = (C_NUM_OF_PROBES == 587 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE587_TYPE;
  localparam LC_PROBE588_TYPE = (C_NUM_OF_PROBES == 588 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE588_TYPE;
  localparam LC_PROBE589_TYPE = (C_NUM_OF_PROBES == 589 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE589_TYPE;
  localparam LC_PROBE590_TYPE = (C_NUM_OF_PROBES == 590 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE590_TYPE;
  localparam LC_PROBE591_TYPE = (C_NUM_OF_PROBES == 591 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE591_TYPE;
  localparam LC_PROBE592_TYPE = (C_NUM_OF_PROBES == 592 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE592_TYPE;
  localparam LC_PROBE593_TYPE = (C_NUM_OF_PROBES == 593 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE593_TYPE;
  localparam LC_PROBE594_TYPE = (C_NUM_OF_PROBES == 594 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE594_TYPE;
  localparam LC_PROBE595_TYPE = (C_NUM_OF_PROBES == 595 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE595_TYPE;
  localparam LC_PROBE596_TYPE = (C_NUM_OF_PROBES == 596 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE596_TYPE;
  localparam LC_PROBE597_TYPE = (C_NUM_OF_PROBES == 597 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE597_TYPE;
  localparam LC_PROBE598_TYPE = (C_NUM_OF_PROBES == 598 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE598_TYPE;
  localparam LC_PROBE599_TYPE = (C_NUM_OF_PROBES == 599 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE599_TYPE;
  localparam LC_PROBE600_TYPE = (C_NUM_OF_PROBES == 600 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE600_TYPE;
  localparam LC_PROBE601_TYPE = (C_NUM_OF_PROBES == 601 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE601_TYPE;
  localparam LC_PROBE602_TYPE = (C_NUM_OF_PROBES == 602 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE602_TYPE;
  localparam LC_PROBE603_TYPE = (C_NUM_OF_PROBES == 603 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE603_TYPE;
  localparam LC_PROBE604_TYPE = (C_NUM_OF_PROBES == 604 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE604_TYPE;
  localparam LC_PROBE605_TYPE = (C_NUM_OF_PROBES == 605 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE605_TYPE;
  localparam LC_PROBE606_TYPE = (C_NUM_OF_PROBES == 606 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE606_TYPE;
  localparam LC_PROBE607_TYPE = (C_NUM_OF_PROBES == 607 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE607_TYPE;
  localparam LC_PROBE608_TYPE = (C_NUM_OF_PROBES == 608 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE608_TYPE;
  localparam LC_PROBE609_TYPE = (C_NUM_OF_PROBES == 609 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE609_TYPE;
  localparam LC_PROBE610_TYPE = (C_NUM_OF_PROBES == 610 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE610_TYPE;
  localparam LC_PROBE611_TYPE = (C_NUM_OF_PROBES == 611 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE611_TYPE;
  localparam LC_PROBE612_TYPE = (C_NUM_OF_PROBES == 612 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE612_TYPE;
  localparam LC_PROBE613_TYPE = (C_NUM_OF_PROBES == 613 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE613_TYPE;
  localparam LC_PROBE614_TYPE = (C_NUM_OF_PROBES == 614 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE614_TYPE;
  localparam LC_PROBE615_TYPE = (C_NUM_OF_PROBES == 615 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE615_TYPE;
  localparam LC_PROBE616_TYPE = (C_NUM_OF_PROBES == 616 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE616_TYPE;
  localparam LC_PROBE617_TYPE = (C_NUM_OF_PROBES == 617 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE617_TYPE;
  localparam LC_PROBE618_TYPE = (C_NUM_OF_PROBES == 618 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE618_TYPE;
  localparam LC_PROBE619_TYPE = (C_NUM_OF_PROBES == 619 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE619_TYPE;
  localparam LC_PROBE620_TYPE = (C_NUM_OF_PROBES == 620 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE620_TYPE;
  localparam LC_PROBE621_TYPE = (C_NUM_OF_PROBES == 621 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE621_TYPE;
  localparam LC_PROBE622_TYPE = (C_NUM_OF_PROBES == 622 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE622_TYPE;
  localparam LC_PROBE623_TYPE = (C_NUM_OF_PROBES == 623 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE623_TYPE;
  localparam LC_PROBE624_TYPE = (C_NUM_OF_PROBES == 624 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE624_TYPE;
  localparam LC_PROBE625_TYPE = (C_NUM_OF_PROBES == 625 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE625_TYPE;
  localparam LC_PROBE626_TYPE = (C_NUM_OF_PROBES == 626 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE626_TYPE;
  localparam LC_PROBE627_TYPE = (C_NUM_OF_PROBES == 627 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE627_TYPE;
  localparam LC_PROBE628_TYPE = (C_NUM_OF_PROBES == 628 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE628_TYPE;
  localparam LC_PROBE629_TYPE = (C_NUM_OF_PROBES == 629 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE629_TYPE;  
  localparam LC_PROBE630_TYPE = (C_NUM_OF_PROBES == 630 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE630_TYPE;
  localparam LC_PROBE631_TYPE = (C_NUM_OF_PROBES == 631 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE631_TYPE;
  localparam LC_PROBE632_TYPE = (C_NUM_OF_PROBES == 632 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE632_TYPE;
  localparam LC_PROBE633_TYPE = (C_NUM_OF_PROBES == 633 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE633_TYPE;
  localparam LC_PROBE634_TYPE = (C_NUM_OF_PROBES == 634 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE634_TYPE;
  localparam LC_PROBE635_TYPE = (C_NUM_OF_PROBES == 635 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE635_TYPE;
  localparam LC_PROBE636_TYPE = (C_NUM_OF_PROBES == 636 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE636_TYPE;
  localparam LC_PROBE637_TYPE = (C_NUM_OF_PROBES == 637 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE637_TYPE;
  localparam LC_PROBE638_TYPE = (C_NUM_OF_PROBES == 638 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE638_TYPE;
  localparam LC_PROBE639_TYPE = (C_NUM_OF_PROBES == 639 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE639_TYPE;
  localparam LC_PROBE640_TYPE = (C_NUM_OF_PROBES == 640 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE640_TYPE;
  localparam LC_PROBE641_TYPE = (C_NUM_OF_PROBES == 641 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE641_TYPE;
  localparam LC_PROBE642_TYPE = (C_NUM_OF_PROBES == 642 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE642_TYPE;
  localparam LC_PROBE643_TYPE = (C_NUM_OF_PROBES == 643 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE643_TYPE;
  localparam LC_PROBE644_TYPE = (C_NUM_OF_PROBES == 644 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE644_TYPE;
  localparam LC_PROBE645_TYPE = (C_NUM_OF_PROBES == 645 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE645_TYPE;
  localparam LC_PROBE646_TYPE = (C_NUM_OF_PROBES == 646 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE646_TYPE;
  localparam LC_PROBE647_TYPE = (C_NUM_OF_PROBES == 647 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE647_TYPE;
  localparam LC_PROBE648_TYPE = (C_NUM_OF_PROBES == 648 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE648_TYPE;
  localparam LC_PROBE649_TYPE = (C_NUM_OF_PROBES == 649 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE649_TYPE;
  localparam LC_PROBE650_TYPE = (C_NUM_OF_PROBES == 650 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE650_TYPE;
  localparam LC_PROBE651_TYPE = (C_NUM_OF_PROBES == 651 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE651_TYPE;
  localparam LC_PROBE652_TYPE = (C_NUM_OF_PROBES == 652 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE652_TYPE;
  localparam LC_PROBE653_TYPE = (C_NUM_OF_PROBES == 653 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE653_TYPE;
  localparam LC_PROBE654_TYPE = (C_NUM_OF_PROBES == 654 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE654_TYPE;
  localparam LC_PROBE655_TYPE = (C_NUM_OF_PROBES == 655 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE655_TYPE;
  localparam LC_PROBE656_TYPE = (C_NUM_OF_PROBES == 656 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE656_TYPE;
  localparam LC_PROBE657_TYPE = (C_NUM_OF_PROBES == 657 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE657_TYPE;
  localparam LC_PROBE658_TYPE = (C_NUM_OF_PROBES == 658 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE658_TYPE;
  localparam LC_PROBE659_TYPE = (C_NUM_OF_PROBES == 659 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE659_TYPE;
  localparam LC_PROBE660_TYPE = (C_NUM_OF_PROBES == 660 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE660_TYPE;
  localparam LC_PROBE661_TYPE = (C_NUM_OF_PROBES == 661 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE661_TYPE;
  localparam LC_PROBE662_TYPE = (C_NUM_OF_PROBES == 662 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE662_TYPE;
  localparam LC_PROBE663_TYPE = (C_NUM_OF_PROBES == 663 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE663_TYPE;
  localparam LC_PROBE664_TYPE = (C_NUM_OF_PROBES == 664 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE664_TYPE;
  localparam LC_PROBE665_TYPE = (C_NUM_OF_PROBES == 665 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE665_TYPE;
  localparam LC_PROBE666_TYPE = (C_NUM_OF_PROBES == 666 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE666_TYPE;
  localparam LC_PROBE667_TYPE = (C_NUM_OF_PROBES == 667 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE667_TYPE;
  localparam LC_PROBE668_TYPE = (C_NUM_OF_PROBES == 668 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE668_TYPE;
  localparam LC_PROBE669_TYPE = (C_NUM_OF_PROBES == 669 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE669_TYPE;
  localparam LC_PROBE670_TYPE = (C_NUM_OF_PROBES == 670 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE670_TYPE;
  localparam LC_PROBE671_TYPE = (C_NUM_OF_PROBES == 671 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE671_TYPE;
  localparam LC_PROBE672_TYPE = (C_NUM_OF_PROBES == 672 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE672_TYPE;
  localparam LC_PROBE673_TYPE = (C_NUM_OF_PROBES == 673 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE673_TYPE;
  localparam LC_PROBE674_TYPE = (C_NUM_OF_PROBES == 674 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE674_TYPE;
  localparam LC_PROBE675_TYPE = (C_NUM_OF_PROBES == 675 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE675_TYPE;
  localparam LC_PROBE676_TYPE = (C_NUM_OF_PROBES == 676 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE676_TYPE;
  localparam LC_PROBE677_TYPE = (C_NUM_OF_PROBES == 677 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE677_TYPE;
  localparam LC_PROBE678_TYPE = (C_NUM_OF_PROBES == 678 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE678_TYPE;
  localparam LC_PROBE679_TYPE = (C_NUM_OF_PROBES == 679 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE679_TYPE;
  localparam LC_PROBE680_TYPE = (C_NUM_OF_PROBES == 680 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE680_TYPE;
  localparam LC_PROBE681_TYPE = (C_NUM_OF_PROBES == 681 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE681_TYPE;
  localparam LC_PROBE682_TYPE = (C_NUM_OF_PROBES == 682 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE682_TYPE;
  localparam LC_PROBE683_TYPE = (C_NUM_OF_PROBES == 683 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE683_TYPE;
  localparam LC_PROBE684_TYPE = (C_NUM_OF_PROBES == 684 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE684_TYPE;
  localparam LC_PROBE685_TYPE = (C_NUM_OF_PROBES == 685 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE685_TYPE;
  localparam LC_PROBE686_TYPE = (C_NUM_OF_PROBES == 686 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE686_TYPE;
  localparam LC_PROBE687_TYPE = (C_NUM_OF_PROBES == 687 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE687_TYPE;
  localparam LC_PROBE688_TYPE = (C_NUM_OF_PROBES == 688 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE688_TYPE;
  localparam LC_PROBE689_TYPE = (C_NUM_OF_PROBES == 689 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE689_TYPE;
  localparam LC_PROBE690_TYPE = (C_NUM_OF_PROBES == 690 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE690_TYPE;
  localparam LC_PROBE691_TYPE = (C_NUM_OF_PROBES == 691 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE691_TYPE;
  localparam LC_PROBE692_TYPE = (C_NUM_OF_PROBES == 692 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE692_TYPE;
  localparam LC_PROBE693_TYPE = (C_NUM_OF_PROBES == 693 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE693_TYPE;
  localparam LC_PROBE694_TYPE = (C_NUM_OF_PROBES == 694 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE694_TYPE;
  localparam LC_PROBE695_TYPE = (C_NUM_OF_PROBES == 695 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE695_TYPE;
  localparam LC_PROBE696_TYPE = (C_NUM_OF_PROBES == 696 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE696_TYPE;
  localparam LC_PROBE697_TYPE = (C_NUM_OF_PROBES == 697 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE697_TYPE;
  localparam LC_PROBE698_TYPE = (C_NUM_OF_PROBES == 698 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE698_TYPE;
  localparam LC_PROBE699_TYPE = (C_NUM_OF_PROBES == 699 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE699_TYPE;
  localparam LC_PROBE700_TYPE = (C_NUM_OF_PROBES == 700 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE700_TYPE;
  localparam LC_PROBE701_TYPE = (C_NUM_OF_PROBES == 701 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE701_TYPE;
  localparam LC_PROBE702_TYPE = (C_NUM_OF_PROBES == 702 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE702_TYPE;
  localparam LC_PROBE703_TYPE = (C_NUM_OF_PROBES == 703 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE703_TYPE;
  localparam LC_PROBE704_TYPE = (C_NUM_OF_PROBES == 704 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE704_TYPE;
  localparam LC_PROBE705_TYPE = (C_NUM_OF_PROBES == 705 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE705_TYPE;
  localparam LC_PROBE706_TYPE = (C_NUM_OF_PROBES == 706 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE706_TYPE;
  localparam LC_PROBE707_TYPE = (C_NUM_OF_PROBES == 707 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE707_TYPE;
  localparam LC_PROBE708_TYPE = (C_NUM_OF_PROBES == 708 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE708_TYPE;
  localparam LC_PROBE709_TYPE = (C_NUM_OF_PROBES == 709 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE709_TYPE;
  localparam LC_PROBE710_TYPE = (C_NUM_OF_PROBES == 710 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE710_TYPE;
  localparam LC_PROBE711_TYPE = (C_NUM_OF_PROBES == 711 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE711_TYPE;
  localparam LC_PROBE712_TYPE = (C_NUM_OF_PROBES == 712 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE712_TYPE;
  localparam LC_PROBE713_TYPE = (C_NUM_OF_PROBES == 713 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE713_TYPE;
  localparam LC_PROBE714_TYPE = (C_NUM_OF_PROBES == 714 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE714_TYPE;
  localparam LC_PROBE715_TYPE = (C_NUM_OF_PROBES == 715 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE715_TYPE;
  localparam LC_PROBE716_TYPE = (C_NUM_OF_PROBES == 716 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE716_TYPE;
  localparam LC_PROBE717_TYPE = (C_NUM_OF_PROBES == 717 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE717_TYPE;
  localparam LC_PROBE718_TYPE = (C_NUM_OF_PROBES == 718 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE718_TYPE;
  localparam LC_PROBE719_TYPE = (C_NUM_OF_PROBES == 719 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE719_TYPE;
  localparam LC_PROBE720_TYPE = (C_NUM_OF_PROBES == 720 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE720_TYPE;
  localparam LC_PROBE721_TYPE = (C_NUM_OF_PROBES == 721 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE721_TYPE;
  localparam LC_PROBE722_TYPE = (C_NUM_OF_PROBES == 722 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE722_TYPE;
  localparam LC_PROBE723_TYPE = (C_NUM_OF_PROBES == 723 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE723_TYPE;
  localparam LC_PROBE724_TYPE = (C_NUM_OF_PROBES == 724 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE724_TYPE;
  localparam LC_PROBE725_TYPE = (C_NUM_OF_PROBES == 725 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE725_TYPE;
  localparam LC_PROBE726_TYPE = (C_NUM_OF_PROBES == 726 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE726_TYPE;
  localparam LC_PROBE727_TYPE = (C_NUM_OF_PROBES == 727 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE727_TYPE;
  localparam LC_PROBE728_TYPE = (C_NUM_OF_PROBES == 728 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE728_TYPE;
  localparam LC_PROBE729_TYPE = (C_NUM_OF_PROBES == 729 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE729_TYPE;  
  localparam LC_PROBE730_TYPE = (C_NUM_OF_PROBES == 730 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE730_TYPE;
  localparam LC_PROBE731_TYPE = (C_NUM_OF_PROBES == 731 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE731_TYPE;
  localparam LC_PROBE732_TYPE = (C_NUM_OF_PROBES == 732 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE732_TYPE;
  localparam LC_PROBE733_TYPE = (C_NUM_OF_PROBES == 733 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE733_TYPE;
  localparam LC_PROBE734_TYPE = (C_NUM_OF_PROBES == 734 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE734_TYPE;
  localparam LC_PROBE735_TYPE = (C_NUM_OF_PROBES == 735 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE735_TYPE;
  localparam LC_PROBE736_TYPE = (C_NUM_OF_PROBES == 736 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE736_TYPE;
  localparam LC_PROBE737_TYPE = (C_NUM_OF_PROBES == 737 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE737_TYPE;
  localparam LC_PROBE738_TYPE = (C_NUM_OF_PROBES == 738 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE738_TYPE;
  localparam LC_PROBE739_TYPE = (C_NUM_OF_PROBES == 739 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE739_TYPE;
  localparam LC_PROBE740_TYPE = (C_NUM_OF_PROBES == 740 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE740_TYPE;
  localparam LC_PROBE741_TYPE = (C_NUM_OF_PROBES == 741 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE741_TYPE;
  localparam LC_PROBE742_TYPE = (C_NUM_OF_PROBES == 742 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE742_TYPE;
  localparam LC_PROBE743_TYPE = (C_NUM_OF_PROBES == 743 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE743_TYPE;
  localparam LC_PROBE744_TYPE = (C_NUM_OF_PROBES == 744 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE744_TYPE;
  localparam LC_PROBE745_TYPE = (C_NUM_OF_PROBES == 745 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE745_TYPE;
  localparam LC_PROBE746_TYPE = (C_NUM_OF_PROBES == 746 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE746_TYPE;
  localparam LC_PROBE747_TYPE = (C_NUM_OF_PROBES == 747 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE747_TYPE;
  localparam LC_PROBE748_TYPE = (C_NUM_OF_PROBES == 748 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE748_TYPE;
  localparam LC_PROBE749_TYPE = (C_NUM_OF_PROBES == 749 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE749_TYPE;
  localparam LC_PROBE750_TYPE = (C_NUM_OF_PROBES == 750 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE750_TYPE;
  localparam LC_PROBE751_TYPE = (C_NUM_OF_PROBES == 751 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE751_TYPE;
  localparam LC_PROBE752_TYPE = (C_NUM_OF_PROBES == 752 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE752_TYPE;
  localparam LC_PROBE753_TYPE = (C_NUM_OF_PROBES == 753 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE753_TYPE;
  localparam LC_PROBE754_TYPE = (C_NUM_OF_PROBES == 754 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE754_TYPE;
  localparam LC_PROBE755_TYPE = (C_NUM_OF_PROBES == 755 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE755_TYPE;
  localparam LC_PROBE756_TYPE = (C_NUM_OF_PROBES == 756 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE756_TYPE;
  localparam LC_PROBE757_TYPE = (C_NUM_OF_PROBES == 757 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE757_TYPE;
  localparam LC_PROBE758_TYPE = (C_NUM_OF_PROBES == 758 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE758_TYPE;
  localparam LC_PROBE759_TYPE = (C_NUM_OF_PROBES == 759 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE759_TYPE;
  localparam LC_PROBE760_TYPE = (C_NUM_OF_PROBES == 760 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE760_TYPE;
  localparam LC_PROBE761_TYPE = (C_NUM_OF_PROBES == 761 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE761_TYPE;
  localparam LC_PROBE762_TYPE = (C_NUM_OF_PROBES == 762 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE762_TYPE;
  localparam LC_PROBE763_TYPE = (C_NUM_OF_PROBES == 763 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE763_TYPE;
  localparam LC_PROBE764_TYPE = (C_NUM_OF_PROBES == 764 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE764_TYPE;
  localparam LC_PROBE765_TYPE = (C_NUM_OF_PROBES == 765 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE765_TYPE;
  localparam LC_PROBE766_TYPE = (C_NUM_OF_PROBES == 766 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE766_TYPE;
  localparam LC_PROBE767_TYPE = (C_NUM_OF_PROBES == 767 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE767_TYPE;
  localparam LC_PROBE768_TYPE = (C_NUM_OF_PROBES == 768 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE768_TYPE;
  localparam LC_PROBE769_TYPE = (C_NUM_OF_PROBES == 769 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE769_TYPE;
  localparam LC_PROBE770_TYPE = (C_NUM_OF_PROBES == 770 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE770_TYPE;
  localparam LC_PROBE771_TYPE = (C_NUM_OF_PROBES == 771 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE771_TYPE;
  localparam LC_PROBE772_TYPE = (C_NUM_OF_PROBES == 772 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE772_TYPE;
  localparam LC_PROBE773_TYPE = (C_NUM_OF_PROBES == 773 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE773_TYPE;
  localparam LC_PROBE774_TYPE = (C_NUM_OF_PROBES == 774 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE774_TYPE;
  localparam LC_PROBE775_TYPE = (C_NUM_OF_PROBES == 775 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE775_TYPE;
  localparam LC_PROBE776_TYPE = (C_NUM_OF_PROBES == 776 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE776_TYPE;
  localparam LC_PROBE777_TYPE = (C_NUM_OF_PROBES == 777 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE777_TYPE;
  localparam LC_PROBE778_TYPE = (C_NUM_OF_PROBES == 778 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE778_TYPE;
  localparam LC_PROBE779_TYPE = (C_NUM_OF_PROBES == 779 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE779_TYPE;
  localparam LC_PROBE780_TYPE = (C_NUM_OF_PROBES == 780 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE780_TYPE;
  localparam LC_PROBE781_TYPE = (C_NUM_OF_PROBES == 781 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE781_TYPE;
  localparam LC_PROBE782_TYPE = (C_NUM_OF_PROBES == 782 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE782_TYPE;
  localparam LC_PROBE783_TYPE = (C_NUM_OF_PROBES == 783 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE783_TYPE;
  localparam LC_PROBE784_TYPE = (C_NUM_OF_PROBES == 784 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE784_TYPE;
  localparam LC_PROBE785_TYPE = (C_NUM_OF_PROBES == 785 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE785_TYPE;
  localparam LC_PROBE786_TYPE = (C_NUM_OF_PROBES == 786 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE786_TYPE;
  localparam LC_PROBE787_TYPE = (C_NUM_OF_PROBES == 787 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE787_TYPE;
  localparam LC_PROBE788_TYPE = (C_NUM_OF_PROBES == 788 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE788_TYPE;
  localparam LC_PROBE789_TYPE = (C_NUM_OF_PROBES == 789 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE789_TYPE;
  localparam LC_PROBE790_TYPE = (C_NUM_OF_PROBES == 790 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE790_TYPE;
  localparam LC_PROBE791_TYPE = (C_NUM_OF_PROBES == 791 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE791_TYPE;
  localparam LC_PROBE792_TYPE = (C_NUM_OF_PROBES == 792 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE792_TYPE;
  localparam LC_PROBE793_TYPE = (C_NUM_OF_PROBES == 793 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE793_TYPE;
  localparam LC_PROBE794_TYPE = (C_NUM_OF_PROBES == 794 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE794_TYPE;
  localparam LC_PROBE795_TYPE = (C_NUM_OF_PROBES == 795 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE795_TYPE;
  localparam LC_PROBE796_TYPE = (C_NUM_OF_PROBES == 796 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE796_TYPE;
  localparam LC_PROBE797_TYPE = (C_NUM_OF_PROBES == 797 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE797_TYPE;
  localparam LC_PROBE798_TYPE = (C_NUM_OF_PROBES == 798 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE798_TYPE;
  localparam LC_PROBE799_TYPE = (C_NUM_OF_PROBES == 799 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE799_TYPE;
  localparam LC_PROBE800_TYPE = (C_NUM_OF_PROBES == 800 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE800_TYPE;
  localparam LC_PROBE801_TYPE = (C_NUM_OF_PROBES == 801 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE801_TYPE;
  localparam LC_PROBE802_TYPE = (C_NUM_OF_PROBES == 802 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE802_TYPE;
  localparam LC_PROBE803_TYPE = (C_NUM_OF_PROBES == 803 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE803_TYPE;
  localparam LC_PROBE804_TYPE = (C_NUM_OF_PROBES == 804 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE804_TYPE;
  localparam LC_PROBE805_TYPE = (C_NUM_OF_PROBES == 805 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE805_TYPE;
  localparam LC_PROBE806_TYPE = (C_NUM_OF_PROBES == 806 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE806_TYPE;
  localparam LC_PROBE807_TYPE = (C_NUM_OF_PROBES == 807 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE807_TYPE;
  localparam LC_PROBE808_TYPE = (C_NUM_OF_PROBES == 808 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE808_TYPE;
  localparam LC_PROBE809_TYPE = (C_NUM_OF_PROBES == 809 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE809_TYPE;
  localparam LC_PROBE810_TYPE = (C_NUM_OF_PROBES == 810 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE810_TYPE;
  localparam LC_PROBE811_TYPE = (C_NUM_OF_PROBES == 811 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE811_TYPE;
  localparam LC_PROBE812_TYPE = (C_NUM_OF_PROBES == 812 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE812_TYPE;
  localparam LC_PROBE813_TYPE = (C_NUM_OF_PROBES == 813 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE813_TYPE;
  localparam LC_PROBE814_TYPE = (C_NUM_OF_PROBES == 814 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE814_TYPE;
  localparam LC_PROBE815_TYPE = (C_NUM_OF_PROBES == 815 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE815_TYPE;
  localparam LC_PROBE816_TYPE = (C_NUM_OF_PROBES == 816 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE816_TYPE;
  localparam LC_PROBE817_TYPE = (C_NUM_OF_PROBES == 817 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE817_TYPE;
  localparam LC_PROBE818_TYPE = (C_NUM_OF_PROBES == 818 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE818_TYPE;
  localparam LC_PROBE819_TYPE = (C_NUM_OF_PROBES == 819 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE819_TYPE;
  localparam LC_PROBE820_TYPE = (C_NUM_OF_PROBES == 820 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE820_TYPE;
  localparam LC_PROBE821_TYPE = (C_NUM_OF_PROBES == 821 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE821_TYPE;
  localparam LC_PROBE822_TYPE = (C_NUM_OF_PROBES == 822 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE822_TYPE;
  localparam LC_PROBE823_TYPE = (C_NUM_OF_PROBES == 823 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE823_TYPE;
  localparam LC_PROBE824_TYPE = (C_NUM_OF_PROBES == 824 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE824_TYPE;
  localparam LC_PROBE825_TYPE = (C_NUM_OF_PROBES == 825 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE825_TYPE;
  localparam LC_PROBE826_TYPE = (C_NUM_OF_PROBES == 826 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE826_TYPE;
  localparam LC_PROBE827_TYPE = (C_NUM_OF_PROBES == 827 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE827_TYPE;
  localparam LC_PROBE828_TYPE = (C_NUM_OF_PROBES == 828 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE828_TYPE;
  localparam LC_PROBE829_TYPE = (C_NUM_OF_PROBES == 829 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE829_TYPE;  
  localparam LC_PROBE830_TYPE = (C_NUM_OF_PROBES == 830 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE830_TYPE;
  localparam LC_PROBE831_TYPE = (C_NUM_OF_PROBES == 831 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE831_TYPE;
  localparam LC_PROBE832_TYPE = (C_NUM_OF_PROBES == 832 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE832_TYPE;
  localparam LC_PROBE833_TYPE = (C_NUM_OF_PROBES == 833 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE833_TYPE;
  localparam LC_PROBE834_TYPE = (C_NUM_OF_PROBES == 834 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE834_TYPE;
  localparam LC_PROBE835_TYPE = (C_NUM_OF_PROBES == 835 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE835_TYPE;
  localparam LC_PROBE836_TYPE = (C_NUM_OF_PROBES == 836 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE836_TYPE;
  localparam LC_PROBE837_TYPE = (C_NUM_OF_PROBES == 837 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE837_TYPE;
  localparam LC_PROBE838_TYPE = (C_NUM_OF_PROBES == 838 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE838_TYPE;
  localparam LC_PROBE839_TYPE = (C_NUM_OF_PROBES == 839 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE839_TYPE;
  localparam LC_PROBE840_TYPE = (C_NUM_OF_PROBES == 840 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE840_TYPE;
  localparam LC_PROBE841_TYPE = (C_NUM_OF_PROBES == 841 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE841_TYPE;
  localparam LC_PROBE842_TYPE = (C_NUM_OF_PROBES == 842 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE842_TYPE;
  localparam LC_PROBE843_TYPE = (C_NUM_OF_PROBES == 843 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE843_TYPE;
  localparam LC_PROBE844_TYPE = (C_NUM_OF_PROBES == 844 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE844_TYPE;
  localparam LC_PROBE845_TYPE = (C_NUM_OF_PROBES == 845 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE845_TYPE;
  localparam LC_PROBE846_TYPE = (C_NUM_OF_PROBES == 846 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE846_TYPE;
  localparam LC_PROBE847_TYPE = (C_NUM_OF_PROBES == 847 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE847_TYPE;
  localparam LC_PROBE848_TYPE = (C_NUM_OF_PROBES == 848 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE848_TYPE;
  localparam LC_PROBE849_TYPE = (C_NUM_OF_PROBES == 849 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE849_TYPE;
  localparam LC_PROBE850_TYPE = (C_NUM_OF_PROBES == 850 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE850_TYPE;
  localparam LC_PROBE851_TYPE = (C_NUM_OF_PROBES == 851 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE851_TYPE;
  localparam LC_PROBE852_TYPE = (C_NUM_OF_PROBES == 852 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE852_TYPE;
  localparam LC_PROBE853_TYPE = (C_NUM_OF_PROBES == 853 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE853_TYPE;
  localparam LC_PROBE854_TYPE = (C_NUM_OF_PROBES == 854 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE854_TYPE;
  localparam LC_PROBE855_TYPE = (C_NUM_OF_PROBES == 855 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE855_TYPE;
  localparam LC_PROBE856_TYPE = (C_NUM_OF_PROBES == 856 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE856_TYPE;
  localparam LC_PROBE857_TYPE = (C_NUM_OF_PROBES == 857 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE857_TYPE;
  localparam LC_PROBE858_TYPE = (C_NUM_OF_PROBES == 858 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE858_TYPE;
  localparam LC_PROBE859_TYPE = (C_NUM_OF_PROBES == 859 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE859_TYPE;
  localparam LC_PROBE860_TYPE = (C_NUM_OF_PROBES == 860 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE860_TYPE;
  localparam LC_PROBE861_TYPE = (C_NUM_OF_PROBES == 861 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE861_TYPE;
  localparam LC_PROBE862_TYPE = (C_NUM_OF_PROBES == 862 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE862_TYPE;
  localparam LC_PROBE863_TYPE = (C_NUM_OF_PROBES == 863 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE863_TYPE;
  localparam LC_PROBE864_TYPE = (C_NUM_OF_PROBES == 864 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE864_TYPE;
  localparam LC_PROBE865_TYPE = (C_NUM_OF_PROBES == 865 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE865_TYPE;
  localparam LC_PROBE866_TYPE = (C_NUM_OF_PROBES == 866 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE866_TYPE;
  localparam LC_PROBE867_TYPE = (C_NUM_OF_PROBES == 867 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE867_TYPE;
  localparam LC_PROBE868_TYPE = (C_NUM_OF_PROBES == 868 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE868_TYPE;
  localparam LC_PROBE869_TYPE = (C_NUM_OF_PROBES == 869 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE869_TYPE;
  localparam LC_PROBE870_TYPE = (C_NUM_OF_PROBES == 870 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE870_TYPE;
  localparam LC_PROBE871_TYPE = (C_NUM_OF_PROBES == 871 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE871_TYPE;
  localparam LC_PROBE872_TYPE = (C_NUM_OF_PROBES == 872 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE872_TYPE;
  localparam LC_PROBE873_TYPE = (C_NUM_OF_PROBES == 873 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE873_TYPE;
  localparam LC_PROBE874_TYPE = (C_NUM_OF_PROBES == 874 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE874_TYPE;
  localparam LC_PROBE875_TYPE = (C_NUM_OF_PROBES == 875 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE875_TYPE;
  localparam LC_PROBE876_TYPE = (C_NUM_OF_PROBES == 876 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE876_TYPE;
  localparam LC_PROBE877_TYPE = (C_NUM_OF_PROBES == 877 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE877_TYPE;
  localparam LC_PROBE878_TYPE = (C_NUM_OF_PROBES == 878 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE878_TYPE;
  localparam LC_PROBE879_TYPE = (C_NUM_OF_PROBES == 879 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE879_TYPE;
  localparam LC_PROBE880_TYPE = (C_NUM_OF_PROBES == 880 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE880_TYPE;
  localparam LC_PROBE881_TYPE = (C_NUM_OF_PROBES == 881 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE881_TYPE;
  localparam LC_PROBE882_TYPE = (C_NUM_OF_PROBES == 882 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE882_TYPE;
  localparam LC_PROBE883_TYPE = (C_NUM_OF_PROBES == 883 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE883_TYPE;
  localparam LC_PROBE884_TYPE = (C_NUM_OF_PROBES == 884 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE884_TYPE;
  localparam LC_PROBE885_TYPE = (C_NUM_OF_PROBES == 885 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE885_TYPE;
  localparam LC_PROBE886_TYPE = (C_NUM_OF_PROBES == 886 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE886_TYPE;
  localparam LC_PROBE887_TYPE = (C_NUM_OF_PROBES == 887 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE887_TYPE;
  localparam LC_PROBE888_TYPE = (C_NUM_OF_PROBES == 888 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE888_TYPE;
  localparam LC_PROBE889_TYPE = (C_NUM_OF_PROBES == 889 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE889_TYPE;
  localparam LC_PROBE890_TYPE = (C_NUM_OF_PROBES == 890 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE890_TYPE;
  localparam LC_PROBE891_TYPE = (C_NUM_OF_PROBES == 891 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE891_TYPE;
  localparam LC_PROBE892_TYPE = (C_NUM_OF_PROBES == 892 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE892_TYPE;
  localparam LC_PROBE893_TYPE = (C_NUM_OF_PROBES == 893 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE893_TYPE;
  localparam LC_PROBE894_TYPE = (C_NUM_OF_PROBES == 894 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE894_TYPE;
  localparam LC_PROBE895_TYPE = (C_NUM_OF_PROBES == 895 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE895_TYPE;
  localparam LC_PROBE896_TYPE = (C_NUM_OF_PROBES == 896 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE896_TYPE;
  localparam LC_PROBE897_TYPE = (C_NUM_OF_PROBES == 897 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE897_TYPE;
  localparam LC_PROBE898_TYPE = (C_NUM_OF_PROBES == 898 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE898_TYPE;
  localparam LC_PROBE899_TYPE = (C_NUM_OF_PROBES == 899 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE899_TYPE;
  localparam LC_PROBE900_TYPE = (C_NUM_OF_PROBES == 900 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE900_TYPE;
  localparam LC_PROBE901_TYPE = (C_NUM_OF_PROBES == 901 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE901_TYPE;
  localparam LC_PROBE902_TYPE = (C_NUM_OF_PROBES == 902 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE902_TYPE;
  localparam LC_PROBE903_TYPE = (C_NUM_OF_PROBES == 903 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE903_TYPE;
  localparam LC_PROBE904_TYPE = (C_NUM_OF_PROBES == 904 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE904_TYPE;
  localparam LC_PROBE905_TYPE = (C_NUM_OF_PROBES == 905 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE905_TYPE;
  localparam LC_PROBE906_TYPE = (C_NUM_OF_PROBES == 906 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE906_TYPE;
  localparam LC_PROBE907_TYPE = (C_NUM_OF_PROBES == 907 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE907_TYPE;
  localparam LC_PROBE908_TYPE = (C_NUM_OF_PROBES == 908 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE908_TYPE;
  localparam LC_PROBE909_TYPE = (C_NUM_OF_PROBES == 909 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE909_TYPE;
  localparam LC_PROBE910_TYPE = (C_NUM_OF_PROBES == 910 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE910_TYPE;
  localparam LC_PROBE911_TYPE = (C_NUM_OF_PROBES == 911 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE911_TYPE;
  localparam LC_PROBE912_TYPE = (C_NUM_OF_PROBES == 912 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE912_TYPE;
  localparam LC_PROBE913_TYPE = (C_NUM_OF_PROBES == 913 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE913_TYPE;
  localparam LC_PROBE914_TYPE = (C_NUM_OF_PROBES == 914 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE914_TYPE;
  localparam LC_PROBE915_TYPE = (C_NUM_OF_PROBES == 915 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE915_TYPE;
  localparam LC_PROBE916_TYPE = (C_NUM_OF_PROBES == 916 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE916_TYPE;
  localparam LC_PROBE917_TYPE = (C_NUM_OF_PROBES == 917 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE917_TYPE;
  localparam LC_PROBE918_TYPE = (C_NUM_OF_PROBES == 918 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE918_TYPE;
  localparam LC_PROBE919_TYPE = (C_NUM_OF_PROBES == 919 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE919_TYPE;
  localparam LC_PROBE920_TYPE = (C_NUM_OF_PROBES == 920 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE920_TYPE;
  localparam LC_PROBE921_TYPE = (C_NUM_OF_PROBES == 921 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE921_TYPE;
  localparam LC_PROBE922_TYPE = (C_NUM_OF_PROBES == 922 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE922_TYPE;
  localparam LC_PROBE923_TYPE = (C_NUM_OF_PROBES == 923 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE923_TYPE;
  localparam LC_PROBE924_TYPE = (C_NUM_OF_PROBES == 924 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE924_TYPE;
  localparam LC_PROBE925_TYPE = (C_NUM_OF_PROBES == 925 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE925_TYPE;
  localparam LC_PROBE926_TYPE = (C_NUM_OF_PROBES == 926 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE926_TYPE;
  localparam LC_PROBE927_TYPE = (C_NUM_OF_PROBES == 927 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE927_TYPE;
  localparam LC_PROBE928_TYPE = (C_NUM_OF_PROBES == 928 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE928_TYPE;
  localparam LC_PROBE929_TYPE = (C_NUM_OF_PROBES == 929 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE929_TYPE;  
  localparam LC_PROBE930_TYPE = (C_NUM_OF_PROBES == 930 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE930_TYPE;
  localparam LC_PROBE931_TYPE = (C_NUM_OF_PROBES == 931 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE931_TYPE;
  localparam LC_PROBE932_TYPE = (C_NUM_OF_PROBES == 932 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE932_TYPE;
  localparam LC_PROBE933_TYPE = (C_NUM_OF_PROBES == 933 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE933_TYPE;
  localparam LC_PROBE934_TYPE = (C_NUM_OF_PROBES == 934 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE934_TYPE;
  localparam LC_PROBE935_TYPE = (C_NUM_OF_PROBES == 935 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE935_TYPE;
  localparam LC_PROBE936_TYPE = (C_NUM_OF_PROBES == 936 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE936_TYPE;
  localparam LC_PROBE937_TYPE = (C_NUM_OF_PROBES == 937 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE937_TYPE;
  localparam LC_PROBE938_TYPE = (C_NUM_OF_PROBES == 938 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE938_TYPE;
  localparam LC_PROBE939_TYPE = (C_NUM_OF_PROBES == 939 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE939_TYPE;
  localparam LC_PROBE940_TYPE = (C_NUM_OF_PROBES == 940 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE940_TYPE;
  localparam LC_PROBE941_TYPE = (C_NUM_OF_PROBES == 941 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE941_TYPE;
  localparam LC_PROBE942_TYPE = (C_NUM_OF_PROBES == 942 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE942_TYPE;
  localparam LC_PROBE943_TYPE = (C_NUM_OF_PROBES == 943 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE943_TYPE;
  localparam LC_PROBE944_TYPE = (C_NUM_OF_PROBES == 944 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE944_TYPE;
  localparam LC_PROBE945_TYPE = (C_NUM_OF_PROBES == 945 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE945_TYPE;
  localparam LC_PROBE946_TYPE = (C_NUM_OF_PROBES == 946 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE946_TYPE;
  localparam LC_PROBE947_TYPE = (C_NUM_OF_PROBES == 947 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE947_TYPE;
  localparam LC_PROBE948_TYPE = (C_NUM_OF_PROBES == 948 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE948_TYPE;
  localparam LC_PROBE949_TYPE = (C_NUM_OF_PROBES == 949 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE949_TYPE;
  localparam LC_PROBE950_TYPE = (C_NUM_OF_PROBES == 950 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE950_TYPE;
  localparam LC_PROBE951_TYPE = (C_NUM_OF_PROBES == 951 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE951_TYPE;
  localparam LC_PROBE952_TYPE = (C_NUM_OF_PROBES == 952 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE952_TYPE;
  localparam LC_PROBE953_TYPE = (C_NUM_OF_PROBES == 953 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE953_TYPE;
  localparam LC_PROBE954_TYPE = (C_NUM_OF_PROBES == 954 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE954_TYPE;
  localparam LC_PROBE955_TYPE = (C_NUM_OF_PROBES == 955 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE955_TYPE;
  localparam LC_PROBE956_TYPE = (C_NUM_OF_PROBES == 956 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE956_TYPE;
  localparam LC_PROBE957_TYPE = (C_NUM_OF_PROBES == 957 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE957_TYPE;
  localparam LC_PROBE958_TYPE = (C_NUM_OF_PROBES == 958 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE958_TYPE;
  localparam LC_PROBE959_TYPE = (C_NUM_OF_PROBES == 959 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE959_TYPE;
  localparam LC_PROBE960_TYPE = (C_NUM_OF_PROBES == 960 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE960_TYPE;
  localparam LC_PROBE961_TYPE = (C_NUM_OF_PROBES == 961 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE961_TYPE;
  localparam LC_PROBE962_TYPE = (C_NUM_OF_PROBES == 962 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE962_TYPE;
  localparam LC_PROBE963_TYPE = (C_NUM_OF_PROBES == 963 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE963_TYPE;
  localparam LC_PROBE964_TYPE = (C_NUM_OF_PROBES == 964 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE964_TYPE;
  localparam LC_PROBE965_TYPE = (C_NUM_OF_PROBES == 965 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE965_TYPE;
  localparam LC_PROBE966_TYPE = (C_NUM_OF_PROBES == 966 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE966_TYPE;
  localparam LC_PROBE967_TYPE = (C_NUM_OF_PROBES == 967 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE967_TYPE;
  localparam LC_PROBE968_TYPE = (C_NUM_OF_PROBES == 968 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE968_TYPE;
  localparam LC_PROBE969_TYPE = (C_NUM_OF_PROBES == 969 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE969_TYPE;
  localparam LC_PROBE970_TYPE = (C_NUM_OF_PROBES == 970 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE970_TYPE;
  localparam LC_PROBE971_TYPE = (C_NUM_OF_PROBES == 971 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE971_TYPE;
  localparam LC_PROBE972_TYPE = (C_NUM_OF_PROBES == 972 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE972_TYPE;
  localparam LC_PROBE973_TYPE = (C_NUM_OF_PROBES == 973 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE973_TYPE;
  localparam LC_PROBE974_TYPE = (C_NUM_OF_PROBES == 974 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE974_TYPE;
  localparam LC_PROBE975_TYPE = (C_NUM_OF_PROBES == 975 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE975_TYPE;
  localparam LC_PROBE976_TYPE = (C_NUM_OF_PROBES == 976 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE976_TYPE;
  localparam LC_PROBE977_TYPE = (C_NUM_OF_PROBES == 977 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE977_TYPE;
  localparam LC_PROBE978_TYPE = (C_NUM_OF_PROBES == 978 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE978_TYPE;
  localparam LC_PROBE979_TYPE = (C_NUM_OF_PROBES == 979 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE979_TYPE;
  localparam LC_PROBE980_TYPE = (C_NUM_OF_PROBES == 980 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE980_TYPE;
  localparam LC_PROBE981_TYPE = (C_NUM_OF_PROBES == 981 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE981_TYPE;
  localparam LC_PROBE982_TYPE = (C_NUM_OF_PROBES == 982 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE982_TYPE;
  localparam LC_PROBE983_TYPE = (C_NUM_OF_PROBES == 983 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE983_TYPE;
  localparam LC_PROBE984_TYPE = (C_NUM_OF_PROBES == 984 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE984_TYPE;
  localparam LC_PROBE985_TYPE = (C_NUM_OF_PROBES == 985 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE985_TYPE;
  localparam LC_PROBE986_TYPE = (C_NUM_OF_PROBES == 986 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE986_TYPE;
  localparam LC_PROBE987_TYPE = (C_NUM_OF_PROBES == 987 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE987_TYPE;
  localparam LC_PROBE988_TYPE = (C_NUM_OF_PROBES == 988 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE988_TYPE;
  localparam LC_PROBE989_TYPE = (C_NUM_OF_PROBES == 989 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE989_TYPE;
  localparam LC_PROBE990_TYPE = (C_NUM_OF_PROBES == 990 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE990_TYPE;
  localparam LC_PROBE991_TYPE = (C_NUM_OF_PROBES == 991 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE991_TYPE;
  localparam LC_PROBE992_TYPE = (C_NUM_OF_PROBES == 992 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE992_TYPE;
  localparam LC_PROBE993_TYPE = (C_NUM_OF_PROBES == 993 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE993_TYPE;
  localparam LC_PROBE994_TYPE = (C_NUM_OF_PROBES == 994 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE994_TYPE;
  localparam LC_PROBE995_TYPE = (C_NUM_OF_PROBES == 995 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE995_TYPE;
  localparam LC_PROBE996_TYPE = (C_NUM_OF_PROBES == 996 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE996_TYPE;
  localparam LC_PROBE997_TYPE = (C_NUM_OF_PROBES == 997 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE997_TYPE;
  localparam LC_PROBE998_TYPE = (C_NUM_OF_PROBES == 998 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE998_TYPE;
  localparam LC_PROBE999_TYPE = (C_NUM_OF_PROBES == 999 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE999_TYPE;
  localparam LC_PROBE1000_TYPE = (C_NUM_OF_PROBES == 1000 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1000_TYPE;
  localparam LC_PROBE1001_TYPE = (C_NUM_OF_PROBES == 1001 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1001_TYPE;
  localparam LC_PROBE1002_TYPE = (C_NUM_OF_PROBES == 1002 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1002_TYPE;
  localparam LC_PROBE1003_TYPE = (C_NUM_OF_PROBES == 1003 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1003_TYPE;
  localparam LC_PROBE1004_TYPE = (C_NUM_OF_PROBES == 1004 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1004_TYPE;
  localparam LC_PROBE1005_TYPE = (C_NUM_OF_PROBES == 1005 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1005_TYPE;
  localparam LC_PROBE1006_TYPE = (C_NUM_OF_PROBES == 1006 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1006_TYPE;
  localparam LC_PROBE1007_TYPE = (C_NUM_OF_PROBES == 1007 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1007_TYPE;
  localparam LC_PROBE1008_TYPE = (C_NUM_OF_PROBES == 1008 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1008_TYPE;
  localparam LC_PROBE1009_TYPE = (C_NUM_OF_PROBES == 1009 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1009_TYPE;
  localparam LC_PROBE1010_TYPE = (C_NUM_OF_PROBES == 1010 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1010_TYPE;
  localparam LC_PROBE1011_TYPE = (C_NUM_OF_PROBES == 1011 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1011_TYPE;
  localparam LC_PROBE1012_TYPE = (C_NUM_OF_PROBES == 1012 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1012_TYPE;
  localparam LC_PROBE1013_TYPE = (C_NUM_OF_PROBES == 1013 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1013_TYPE;
  localparam LC_PROBE1014_TYPE = (C_NUM_OF_PROBES == 1014 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1014_TYPE;
  localparam LC_PROBE1015_TYPE = (C_NUM_OF_PROBES == 1015 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1015_TYPE;
  localparam LC_PROBE1016_TYPE = (C_NUM_OF_PROBES == 1016 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1016_TYPE;
  localparam LC_PROBE1017_TYPE = (C_NUM_OF_PROBES == 1017 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1017_TYPE;
  localparam LC_PROBE1018_TYPE = (C_NUM_OF_PROBES == 1018 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1018_TYPE;
  localparam LC_PROBE1019_TYPE = (C_NUM_OF_PROBES == 1019 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1019_TYPE;
  localparam LC_PROBE1020_TYPE = (C_NUM_OF_PROBES == 1020 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1020_TYPE;
  localparam LC_PROBE1021_TYPE = (C_NUM_OF_PROBES == 1021 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1021_TYPE;
  localparam LC_PROBE1022_TYPE = (C_NUM_OF_PROBES == 1022 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1022_TYPE;
  localparam LC_PROBE1023_TYPE = (C_NUM_OF_PROBES == 1023 && C_EN_TIME_TAG == 1) ? LC_TIME_TAG_TYPE : C_PROBE1023_TYPE;



    // For total Match Unit count
  localparam LC_MU_CNT_STRING = {
    f_bit4_qual(LC_PROBE511_MU_CNT-1, LC_PROBE1023_MU_CNT-1, (LC_NUM_OF_PROBES > 1023), (LC_NUM_OF_PROBES*2 > 1023), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE511_MU_CNT-1, LC_PROBE1022_MU_CNT-1, (LC_NUM_OF_PROBES > 1022), (LC_NUM_OF_PROBES*2 > 1022), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE510_MU_CNT-1, LC_PROBE1021_MU_CNT-1, (LC_NUM_OF_PROBES > 1021), (LC_NUM_OF_PROBES*2 > 1021), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE510_MU_CNT-1, LC_PROBE1020_MU_CNT-1, (LC_NUM_OF_PROBES > 1020), (LC_NUM_OF_PROBES*2 > 1020), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE509_MU_CNT-1, LC_PROBE1019_MU_CNT-1, (LC_NUM_OF_PROBES > 1019), (LC_NUM_OF_PROBES*2 > 1019), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE509_MU_CNT-1, LC_PROBE1018_MU_CNT-1, (LC_NUM_OF_PROBES > 1018), (LC_NUM_OF_PROBES*2 > 1018), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE508_MU_CNT-1, LC_PROBE1017_MU_CNT-1, (LC_NUM_OF_PROBES > 1017), (LC_NUM_OF_PROBES*2 > 1017), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE508_MU_CNT-1, LC_PROBE1016_MU_CNT-1, (LC_NUM_OF_PROBES > 1016), (LC_NUM_OF_PROBES*2 > 1016), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE507_MU_CNT-1, LC_PROBE1015_MU_CNT-1, (LC_NUM_OF_PROBES > 1015), (LC_NUM_OF_PROBES*2 > 1015), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE507_MU_CNT-1, LC_PROBE1014_MU_CNT-1, (LC_NUM_OF_PROBES > 1014), (LC_NUM_OF_PROBES*2 > 1014), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE506_MU_CNT-1, LC_PROBE1013_MU_CNT-1, (LC_NUM_OF_PROBES > 1013), (LC_NUM_OF_PROBES*2 > 1013), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE506_MU_CNT-1, LC_PROBE1012_MU_CNT-1, (LC_NUM_OF_PROBES > 1012), (LC_NUM_OF_PROBES*2 > 1012), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE505_MU_CNT-1, LC_PROBE1011_MU_CNT-1, (LC_NUM_OF_PROBES > 1011), (LC_NUM_OF_PROBES*2 > 1011), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE505_MU_CNT-1, LC_PROBE1010_MU_CNT-1, (LC_NUM_OF_PROBES > 1010), (LC_NUM_OF_PROBES*2 > 1010), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE504_MU_CNT-1, LC_PROBE1009_MU_CNT-1, (LC_NUM_OF_PROBES > 1009), (LC_NUM_OF_PROBES*2 > 1009), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE504_MU_CNT-1, LC_PROBE1008_MU_CNT-1, (LC_NUM_OF_PROBES > 1008), (LC_NUM_OF_PROBES*2 > 1008), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE503_MU_CNT-1, LC_PROBE1007_MU_CNT-1, (LC_NUM_OF_PROBES > 1007), (LC_NUM_OF_PROBES*2 > 1007), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE503_MU_CNT-1, LC_PROBE1006_MU_CNT-1, (LC_NUM_OF_PROBES > 1006), (LC_NUM_OF_PROBES*2 > 1006), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE502_MU_CNT-1, LC_PROBE1005_MU_CNT-1, (LC_NUM_OF_PROBES > 1005), (LC_NUM_OF_PROBES*2 > 1005), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE502_MU_CNT-1, LC_PROBE1004_MU_CNT-1, (LC_NUM_OF_PROBES > 1004), (LC_NUM_OF_PROBES*2 > 1004), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE501_MU_CNT-1, LC_PROBE1003_MU_CNT-1, (LC_NUM_OF_PROBES > 1003), (LC_NUM_OF_PROBES*2 > 1003), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE501_MU_CNT-1, LC_PROBE1002_MU_CNT-1, (LC_NUM_OF_PROBES > 1002), (LC_NUM_OF_PROBES*2 > 1002), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE500_MU_CNT-1, LC_PROBE1001_MU_CNT-1, (LC_NUM_OF_PROBES > 1001), (LC_NUM_OF_PROBES*2 > 1001), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE500_MU_CNT-1, LC_PROBE1000_MU_CNT-1, (LC_NUM_OF_PROBES > 1000), (LC_NUM_OF_PROBES*2 > 1000), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE499_MU_CNT-1, LC_PROBE999_MU_CNT-1, (LC_NUM_OF_PROBES > 999), (LC_NUM_OF_PROBES*2 > 999), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE499_MU_CNT-1, LC_PROBE998_MU_CNT-1, (LC_NUM_OF_PROBES > 998), (LC_NUM_OF_PROBES*2 > 998), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE498_MU_CNT-1, LC_PROBE997_MU_CNT-1, (LC_NUM_OF_PROBES > 997), (LC_NUM_OF_PROBES*2 > 997), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE498_MU_CNT-1, LC_PROBE996_MU_CNT-1, (LC_NUM_OF_PROBES > 996), (LC_NUM_OF_PROBES*2 > 996), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE497_MU_CNT-1, LC_PROBE995_MU_CNT-1, (LC_NUM_OF_PROBES > 995), (LC_NUM_OF_PROBES*2 > 995), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE497_MU_CNT-1, LC_PROBE994_MU_CNT-1, (LC_NUM_OF_PROBES > 994), (LC_NUM_OF_PROBES*2 > 994), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE496_MU_CNT-1, LC_PROBE993_MU_CNT-1, (LC_NUM_OF_PROBES > 993), (LC_NUM_OF_PROBES*2 > 993), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE496_MU_CNT-1, LC_PROBE992_MU_CNT-1, (LC_NUM_OF_PROBES > 992), (LC_NUM_OF_PROBES*2 > 992), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE495_MU_CNT-1, LC_PROBE991_MU_CNT-1, (LC_NUM_OF_PROBES > 991), (LC_NUM_OF_PROBES*2 > 991), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE495_MU_CNT-1, LC_PROBE990_MU_CNT-1, (LC_NUM_OF_PROBES > 990), (LC_NUM_OF_PROBES*2 > 990), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE494_MU_CNT-1, LC_PROBE989_MU_CNT-1, (LC_NUM_OF_PROBES > 989), (LC_NUM_OF_PROBES*2 > 989), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE494_MU_CNT-1, LC_PROBE988_MU_CNT-1, (LC_NUM_OF_PROBES > 988), (LC_NUM_OF_PROBES*2 > 988), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE493_MU_CNT-1, LC_PROBE987_MU_CNT-1, (LC_NUM_OF_PROBES > 987), (LC_NUM_OF_PROBES*2 > 987), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE493_MU_CNT-1, LC_PROBE986_MU_CNT-1, (LC_NUM_OF_PROBES > 986), (LC_NUM_OF_PROBES*2 > 986), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE492_MU_CNT-1, LC_PROBE985_MU_CNT-1, (LC_NUM_OF_PROBES > 985), (LC_NUM_OF_PROBES*2 > 985), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE492_MU_CNT-1, LC_PROBE984_MU_CNT-1, (LC_NUM_OF_PROBES > 984), (LC_NUM_OF_PROBES*2 > 984), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE491_MU_CNT-1, LC_PROBE983_MU_CNT-1, (LC_NUM_OF_PROBES > 983), (LC_NUM_OF_PROBES*2 > 983), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE491_MU_CNT-1, LC_PROBE982_MU_CNT-1, (LC_NUM_OF_PROBES > 982), (LC_NUM_OF_PROBES*2 > 982), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE490_MU_CNT-1, LC_PROBE981_MU_CNT-1, (LC_NUM_OF_PROBES > 981), (LC_NUM_OF_PROBES*2 > 981), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE490_MU_CNT-1, LC_PROBE980_MU_CNT-1, (LC_NUM_OF_PROBES > 980), (LC_NUM_OF_PROBES*2 > 980), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE489_MU_CNT-1, LC_PROBE979_MU_CNT-1, (LC_NUM_OF_PROBES > 979), (LC_NUM_OF_PROBES*2 > 979), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE489_MU_CNT-1, LC_PROBE978_MU_CNT-1, (LC_NUM_OF_PROBES > 978), (LC_NUM_OF_PROBES*2 > 978), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE488_MU_CNT-1, LC_PROBE977_MU_CNT-1, (LC_NUM_OF_PROBES > 977), (LC_NUM_OF_PROBES*2 > 977), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE488_MU_CNT-1, LC_PROBE976_MU_CNT-1, (LC_NUM_OF_PROBES > 976), (LC_NUM_OF_PROBES*2 > 976), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE487_MU_CNT-1, LC_PROBE975_MU_CNT-1, (LC_NUM_OF_PROBES > 975), (LC_NUM_OF_PROBES*2 > 975), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE487_MU_CNT-1, LC_PROBE974_MU_CNT-1, (LC_NUM_OF_PROBES > 974), (LC_NUM_OF_PROBES*2 > 974), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE486_MU_CNT-1, LC_PROBE973_MU_CNT-1, (LC_NUM_OF_PROBES > 973), (LC_NUM_OF_PROBES*2 > 973), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE486_MU_CNT-1, LC_PROBE972_MU_CNT-1, (LC_NUM_OF_PROBES > 972), (LC_NUM_OF_PROBES*2 > 972), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE485_MU_CNT-1, LC_PROBE971_MU_CNT-1, (LC_NUM_OF_PROBES > 971), (LC_NUM_OF_PROBES*2 > 971), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE485_MU_CNT-1, LC_PROBE970_MU_CNT-1, (LC_NUM_OF_PROBES > 970), (LC_NUM_OF_PROBES*2 > 970), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE484_MU_CNT-1, LC_PROBE969_MU_CNT-1, (LC_NUM_OF_PROBES > 969), (LC_NUM_OF_PROBES*2 > 969), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE484_MU_CNT-1, LC_PROBE968_MU_CNT-1, (LC_NUM_OF_PROBES > 968), (LC_NUM_OF_PROBES*2 > 968), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE483_MU_CNT-1, LC_PROBE967_MU_CNT-1, (LC_NUM_OF_PROBES > 967), (LC_NUM_OF_PROBES*2 > 967), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE483_MU_CNT-1, LC_PROBE966_MU_CNT-1, (LC_NUM_OF_PROBES > 966), (LC_NUM_OF_PROBES*2 > 966), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE482_MU_CNT-1, LC_PROBE965_MU_CNT-1, (LC_NUM_OF_PROBES > 965), (LC_NUM_OF_PROBES*2 > 965), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE482_MU_CNT-1, LC_PROBE964_MU_CNT-1, (LC_NUM_OF_PROBES > 964), (LC_NUM_OF_PROBES*2 > 964), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE481_MU_CNT-1, LC_PROBE963_MU_CNT-1, (LC_NUM_OF_PROBES > 963), (LC_NUM_OF_PROBES*2 > 963), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE481_MU_CNT-1, LC_PROBE962_MU_CNT-1, (LC_NUM_OF_PROBES > 962), (LC_NUM_OF_PROBES*2 > 962), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE480_MU_CNT-1, LC_PROBE961_MU_CNT-1, (LC_NUM_OF_PROBES > 961), (LC_NUM_OF_PROBES*2 > 961), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE480_MU_CNT-1, LC_PROBE960_MU_CNT-1, (LC_NUM_OF_PROBES > 960), (LC_NUM_OF_PROBES*2 > 960), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE479_MU_CNT-1, LC_PROBE959_MU_CNT-1, (LC_NUM_OF_PROBES > 959), (LC_NUM_OF_PROBES*2 > 959), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE479_MU_CNT-1, LC_PROBE958_MU_CNT-1, (LC_NUM_OF_PROBES > 958), (LC_NUM_OF_PROBES*2 > 958), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE478_MU_CNT-1, LC_PROBE957_MU_CNT-1, (LC_NUM_OF_PROBES > 957), (LC_NUM_OF_PROBES*2 > 957), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE478_MU_CNT-1, LC_PROBE956_MU_CNT-1, (LC_NUM_OF_PROBES > 956), (LC_NUM_OF_PROBES*2 > 956), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE477_MU_CNT-1, LC_PROBE955_MU_CNT-1, (LC_NUM_OF_PROBES > 955), (LC_NUM_OF_PROBES*2 > 955), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE477_MU_CNT-1, LC_PROBE954_MU_CNT-1, (LC_NUM_OF_PROBES > 954), (LC_NUM_OF_PROBES*2 > 954), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE476_MU_CNT-1, LC_PROBE953_MU_CNT-1, (LC_NUM_OF_PROBES > 953), (LC_NUM_OF_PROBES*2 > 953), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE476_MU_CNT-1, LC_PROBE952_MU_CNT-1, (LC_NUM_OF_PROBES > 952), (LC_NUM_OF_PROBES*2 > 952), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE475_MU_CNT-1, LC_PROBE951_MU_CNT-1, (LC_NUM_OF_PROBES > 951), (LC_NUM_OF_PROBES*2 > 951), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE475_MU_CNT-1, LC_PROBE950_MU_CNT-1, (LC_NUM_OF_PROBES > 950), (LC_NUM_OF_PROBES*2 > 950), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE474_MU_CNT-1, LC_PROBE949_MU_CNT-1, (LC_NUM_OF_PROBES > 949), (LC_NUM_OF_PROBES*2 > 949), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE474_MU_CNT-1, LC_PROBE948_MU_CNT-1, (LC_NUM_OF_PROBES > 948), (LC_NUM_OF_PROBES*2 > 948), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE473_MU_CNT-1, LC_PROBE947_MU_CNT-1, (LC_NUM_OF_PROBES > 947), (LC_NUM_OF_PROBES*2 > 947), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE473_MU_CNT-1, LC_PROBE946_MU_CNT-1, (LC_NUM_OF_PROBES > 946), (LC_NUM_OF_PROBES*2 > 946), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE472_MU_CNT-1, LC_PROBE945_MU_CNT-1, (LC_NUM_OF_PROBES > 945), (LC_NUM_OF_PROBES*2 > 945), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE472_MU_CNT-1, LC_PROBE944_MU_CNT-1, (LC_NUM_OF_PROBES > 944), (LC_NUM_OF_PROBES*2 > 944), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE471_MU_CNT-1, LC_PROBE943_MU_CNT-1, (LC_NUM_OF_PROBES > 943), (LC_NUM_OF_PROBES*2 > 943), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE471_MU_CNT-1, LC_PROBE942_MU_CNT-1, (LC_NUM_OF_PROBES > 942), (LC_NUM_OF_PROBES*2 > 942), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE470_MU_CNT-1, LC_PROBE941_MU_CNT-1, (LC_NUM_OF_PROBES > 941), (LC_NUM_OF_PROBES*2 > 941), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE470_MU_CNT-1, LC_PROBE940_MU_CNT-1, (LC_NUM_OF_PROBES > 940), (LC_NUM_OF_PROBES*2 > 940), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE469_MU_CNT-1, LC_PROBE939_MU_CNT-1, (LC_NUM_OF_PROBES > 939), (LC_NUM_OF_PROBES*2 > 939), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE469_MU_CNT-1, LC_PROBE938_MU_CNT-1, (LC_NUM_OF_PROBES > 938), (LC_NUM_OF_PROBES*2 > 938), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE468_MU_CNT-1, LC_PROBE937_MU_CNT-1, (LC_NUM_OF_PROBES > 937), (LC_NUM_OF_PROBES*2 > 937), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE468_MU_CNT-1, LC_PROBE936_MU_CNT-1, (LC_NUM_OF_PROBES > 936), (LC_NUM_OF_PROBES*2 > 936), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE467_MU_CNT-1, LC_PROBE935_MU_CNT-1, (LC_NUM_OF_PROBES > 935), (LC_NUM_OF_PROBES*2 > 935), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE467_MU_CNT-1, LC_PROBE934_MU_CNT-1, (LC_NUM_OF_PROBES > 934), (LC_NUM_OF_PROBES*2 > 934), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE466_MU_CNT-1, LC_PROBE933_MU_CNT-1, (LC_NUM_OF_PROBES > 933), (LC_NUM_OF_PROBES*2 > 933), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE466_MU_CNT-1, LC_PROBE932_MU_CNT-1, (LC_NUM_OF_PROBES > 932), (LC_NUM_OF_PROBES*2 > 932), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE465_MU_CNT-1, LC_PROBE931_MU_CNT-1, (LC_NUM_OF_PROBES > 931), (LC_NUM_OF_PROBES*2 > 931), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE465_MU_CNT-1, LC_PROBE930_MU_CNT-1, (LC_NUM_OF_PROBES > 930), (LC_NUM_OF_PROBES*2 > 930), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE464_MU_CNT-1, LC_PROBE929_MU_CNT-1, (LC_NUM_OF_PROBES > 929), (LC_NUM_OF_PROBES*2 > 929), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE464_MU_CNT-1, LC_PROBE928_MU_CNT-1, (LC_NUM_OF_PROBES > 928), (LC_NUM_OF_PROBES*2 > 928), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE463_MU_CNT-1, LC_PROBE927_MU_CNT-1, (LC_NUM_OF_PROBES > 927), (LC_NUM_OF_PROBES*2 > 927), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE463_MU_CNT-1, LC_PROBE926_MU_CNT-1, (LC_NUM_OF_PROBES > 926), (LC_NUM_OF_PROBES*2 > 926), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE462_MU_CNT-1, LC_PROBE925_MU_CNT-1, (LC_NUM_OF_PROBES > 925), (LC_NUM_OF_PROBES*2 > 925), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE462_MU_CNT-1, LC_PROBE924_MU_CNT-1, (LC_NUM_OF_PROBES > 924), (LC_NUM_OF_PROBES*2 > 924), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE461_MU_CNT-1, LC_PROBE923_MU_CNT-1, (LC_NUM_OF_PROBES > 923), (LC_NUM_OF_PROBES*2 > 923), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE461_MU_CNT-1, LC_PROBE922_MU_CNT-1, (LC_NUM_OF_PROBES > 922), (LC_NUM_OF_PROBES*2 > 922), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE460_MU_CNT-1, LC_PROBE921_MU_CNT-1, (LC_NUM_OF_PROBES > 921), (LC_NUM_OF_PROBES*2 > 921), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE460_MU_CNT-1, LC_PROBE920_MU_CNT-1, (LC_NUM_OF_PROBES > 920), (LC_NUM_OF_PROBES*2 > 920), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE459_MU_CNT-1, LC_PROBE919_MU_CNT-1, (LC_NUM_OF_PROBES > 919), (LC_NUM_OF_PROBES*2 > 919), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE459_MU_CNT-1, LC_PROBE918_MU_CNT-1, (LC_NUM_OF_PROBES > 918), (LC_NUM_OF_PROBES*2 > 918), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE458_MU_CNT-1, LC_PROBE917_MU_CNT-1, (LC_NUM_OF_PROBES > 917), (LC_NUM_OF_PROBES*2 > 917), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE458_MU_CNT-1, LC_PROBE916_MU_CNT-1, (LC_NUM_OF_PROBES > 916), (LC_NUM_OF_PROBES*2 > 916), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE457_MU_CNT-1, LC_PROBE915_MU_CNT-1, (LC_NUM_OF_PROBES > 915), (LC_NUM_OF_PROBES*2 > 915), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE457_MU_CNT-1, LC_PROBE914_MU_CNT-1, (LC_NUM_OF_PROBES > 914), (LC_NUM_OF_PROBES*2 > 914), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE456_MU_CNT-1, LC_PROBE913_MU_CNT-1, (LC_NUM_OF_PROBES > 913), (LC_NUM_OF_PROBES*2 > 913), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE456_MU_CNT-1, LC_PROBE912_MU_CNT-1, (LC_NUM_OF_PROBES > 912), (LC_NUM_OF_PROBES*2 > 912), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE455_MU_CNT-1, LC_PROBE911_MU_CNT-1, (LC_NUM_OF_PROBES > 911), (LC_NUM_OF_PROBES*2 > 911), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE455_MU_CNT-1, LC_PROBE910_MU_CNT-1, (LC_NUM_OF_PROBES > 910), (LC_NUM_OF_PROBES*2 > 910), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE454_MU_CNT-1, LC_PROBE909_MU_CNT-1, (LC_NUM_OF_PROBES > 909), (LC_NUM_OF_PROBES*2 > 909), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE454_MU_CNT-1, LC_PROBE908_MU_CNT-1, (LC_NUM_OF_PROBES > 908), (LC_NUM_OF_PROBES*2 > 908), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE453_MU_CNT-1, LC_PROBE907_MU_CNT-1, (LC_NUM_OF_PROBES > 907), (LC_NUM_OF_PROBES*2 > 907), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE453_MU_CNT-1, LC_PROBE906_MU_CNT-1, (LC_NUM_OF_PROBES > 906), (LC_NUM_OF_PROBES*2 > 906), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE452_MU_CNT-1, LC_PROBE905_MU_CNT-1, (LC_NUM_OF_PROBES > 905), (LC_NUM_OF_PROBES*2 > 905), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE452_MU_CNT-1, LC_PROBE904_MU_CNT-1, (LC_NUM_OF_PROBES > 904), (LC_NUM_OF_PROBES*2 > 904), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE451_MU_CNT-1, LC_PROBE903_MU_CNT-1, (LC_NUM_OF_PROBES > 903), (LC_NUM_OF_PROBES*2 > 903), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE451_MU_CNT-1, LC_PROBE902_MU_CNT-1, (LC_NUM_OF_PROBES > 902), (LC_NUM_OF_PROBES*2 > 902), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE450_MU_CNT-1, LC_PROBE901_MU_CNT-1, (LC_NUM_OF_PROBES > 901), (LC_NUM_OF_PROBES*2 > 901), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE450_MU_CNT-1, LC_PROBE900_MU_CNT-1, (LC_NUM_OF_PROBES > 900), (LC_NUM_OF_PROBES*2 > 900), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE449_MU_CNT-1, LC_PROBE899_MU_CNT-1, (LC_NUM_OF_PROBES > 899), (LC_NUM_OF_PROBES*2 > 899), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE449_MU_CNT-1, LC_PROBE898_MU_CNT-1, (LC_NUM_OF_PROBES > 898), (LC_NUM_OF_PROBES*2 > 898), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE448_MU_CNT-1, LC_PROBE897_MU_CNT-1, (LC_NUM_OF_PROBES > 897), (LC_NUM_OF_PROBES*2 > 897), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE448_MU_CNT-1, LC_PROBE896_MU_CNT-1, (LC_NUM_OF_PROBES > 896), (LC_NUM_OF_PROBES*2 > 896), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE447_MU_CNT-1, LC_PROBE895_MU_CNT-1, (LC_NUM_OF_PROBES > 895), (LC_NUM_OF_PROBES*2 > 895), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE447_MU_CNT-1, LC_PROBE894_MU_CNT-1, (LC_NUM_OF_PROBES > 894), (LC_NUM_OF_PROBES*2 > 894), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE446_MU_CNT-1, LC_PROBE893_MU_CNT-1, (LC_NUM_OF_PROBES > 893), (LC_NUM_OF_PROBES*2 > 893), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE446_MU_CNT-1, LC_PROBE892_MU_CNT-1, (LC_NUM_OF_PROBES > 892), (LC_NUM_OF_PROBES*2 > 892), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE445_MU_CNT-1, LC_PROBE891_MU_CNT-1, (LC_NUM_OF_PROBES > 891), (LC_NUM_OF_PROBES*2 > 891), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE445_MU_CNT-1, LC_PROBE890_MU_CNT-1, (LC_NUM_OF_PROBES > 890), (LC_NUM_OF_PROBES*2 > 890), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE444_MU_CNT-1, LC_PROBE889_MU_CNT-1, (LC_NUM_OF_PROBES > 889), (LC_NUM_OF_PROBES*2 > 889), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE444_MU_CNT-1, LC_PROBE888_MU_CNT-1, (LC_NUM_OF_PROBES > 888), (LC_NUM_OF_PROBES*2 > 888), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE443_MU_CNT-1, LC_PROBE887_MU_CNT-1, (LC_NUM_OF_PROBES > 887), (LC_NUM_OF_PROBES*2 > 887), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE443_MU_CNT-1, LC_PROBE886_MU_CNT-1, (LC_NUM_OF_PROBES > 886), (LC_NUM_OF_PROBES*2 > 886), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE442_MU_CNT-1, LC_PROBE885_MU_CNT-1, (LC_NUM_OF_PROBES > 885), (LC_NUM_OF_PROBES*2 > 885), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE442_MU_CNT-1, LC_PROBE884_MU_CNT-1, (LC_NUM_OF_PROBES > 884), (LC_NUM_OF_PROBES*2 > 884), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE441_MU_CNT-1, LC_PROBE883_MU_CNT-1, (LC_NUM_OF_PROBES > 883), (LC_NUM_OF_PROBES*2 > 883), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE441_MU_CNT-1, LC_PROBE882_MU_CNT-1, (LC_NUM_OF_PROBES > 882), (LC_NUM_OF_PROBES*2 > 882), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE440_MU_CNT-1, LC_PROBE881_MU_CNT-1, (LC_NUM_OF_PROBES > 881), (LC_NUM_OF_PROBES*2 > 881), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE440_MU_CNT-1, LC_PROBE880_MU_CNT-1, (LC_NUM_OF_PROBES > 880), (LC_NUM_OF_PROBES*2 > 880), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE439_MU_CNT-1, LC_PROBE879_MU_CNT-1, (LC_NUM_OF_PROBES > 879), (LC_NUM_OF_PROBES*2 > 879), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE439_MU_CNT-1, LC_PROBE878_MU_CNT-1, (LC_NUM_OF_PROBES > 878), (LC_NUM_OF_PROBES*2 > 878), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE438_MU_CNT-1, LC_PROBE877_MU_CNT-1, (LC_NUM_OF_PROBES > 877), (LC_NUM_OF_PROBES*2 > 877), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE438_MU_CNT-1, LC_PROBE876_MU_CNT-1, (LC_NUM_OF_PROBES > 876), (LC_NUM_OF_PROBES*2 > 876), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE437_MU_CNT-1, LC_PROBE875_MU_CNT-1, (LC_NUM_OF_PROBES > 875), (LC_NUM_OF_PROBES*2 > 875), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE437_MU_CNT-1, LC_PROBE874_MU_CNT-1, (LC_NUM_OF_PROBES > 874), (LC_NUM_OF_PROBES*2 > 874), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE436_MU_CNT-1, LC_PROBE873_MU_CNT-1, (LC_NUM_OF_PROBES > 873), (LC_NUM_OF_PROBES*2 > 873), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE436_MU_CNT-1, LC_PROBE872_MU_CNT-1, (LC_NUM_OF_PROBES > 872), (LC_NUM_OF_PROBES*2 > 872), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE435_MU_CNT-1, LC_PROBE871_MU_CNT-1, (LC_NUM_OF_PROBES > 871), (LC_NUM_OF_PROBES*2 > 871), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE435_MU_CNT-1, LC_PROBE870_MU_CNT-1, (LC_NUM_OF_PROBES > 870), (LC_NUM_OF_PROBES*2 > 870), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE434_MU_CNT-1, LC_PROBE869_MU_CNT-1, (LC_NUM_OF_PROBES > 869), (LC_NUM_OF_PROBES*2 > 869), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE434_MU_CNT-1, LC_PROBE868_MU_CNT-1, (LC_NUM_OF_PROBES > 868), (LC_NUM_OF_PROBES*2 > 868), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE433_MU_CNT-1, LC_PROBE867_MU_CNT-1, (LC_NUM_OF_PROBES > 867), (LC_NUM_OF_PROBES*2 > 867), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE433_MU_CNT-1, LC_PROBE866_MU_CNT-1, (LC_NUM_OF_PROBES > 866), (LC_NUM_OF_PROBES*2 > 866), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE432_MU_CNT-1, LC_PROBE865_MU_CNT-1, (LC_NUM_OF_PROBES > 865), (LC_NUM_OF_PROBES*2 > 865), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE432_MU_CNT-1, LC_PROBE864_MU_CNT-1, (LC_NUM_OF_PROBES > 864), (LC_NUM_OF_PROBES*2 > 864), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE431_MU_CNT-1, LC_PROBE863_MU_CNT-1, (LC_NUM_OF_PROBES > 863), (LC_NUM_OF_PROBES*2 > 863), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE431_MU_CNT-1, LC_PROBE862_MU_CNT-1, (LC_NUM_OF_PROBES > 862), (LC_NUM_OF_PROBES*2 > 862), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE430_MU_CNT-1, LC_PROBE861_MU_CNT-1, (LC_NUM_OF_PROBES > 861), (LC_NUM_OF_PROBES*2 > 861), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE430_MU_CNT-1, LC_PROBE860_MU_CNT-1, (LC_NUM_OF_PROBES > 860), (LC_NUM_OF_PROBES*2 > 860), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE429_MU_CNT-1, LC_PROBE859_MU_CNT-1, (LC_NUM_OF_PROBES > 859), (LC_NUM_OF_PROBES*2 > 859), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE429_MU_CNT-1, LC_PROBE858_MU_CNT-1, (LC_NUM_OF_PROBES > 858), (LC_NUM_OF_PROBES*2 > 858), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE428_MU_CNT-1, LC_PROBE857_MU_CNT-1, (LC_NUM_OF_PROBES > 857), (LC_NUM_OF_PROBES*2 > 857), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE428_MU_CNT-1, LC_PROBE856_MU_CNT-1, (LC_NUM_OF_PROBES > 856), (LC_NUM_OF_PROBES*2 > 856), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE427_MU_CNT-1, LC_PROBE855_MU_CNT-1, (LC_NUM_OF_PROBES > 855), (LC_NUM_OF_PROBES*2 > 855), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE427_MU_CNT-1, LC_PROBE854_MU_CNT-1, (LC_NUM_OF_PROBES > 854), (LC_NUM_OF_PROBES*2 > 854), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE426_MU_CNT-1, LC_PROBE853_MU_CNT-1, (LC_NUM_OF_PROBES > 853), (LC_NUM_OF_PROBES*2 > 853), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE426_MU_CNT-1, LC_PROBE852_MU_CNT-1, (LC_NUM_OF_PROBES > 852), (LC_NUM_OF_PROBES*2 > 852), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE425_MU_CNT-1, LC_PROBE851_MU_CNT-1, (LC_NUM_OF_PROBES > 851), (LC_NUM_OF_PROBES*2 > 851), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE425_MU_CNT-1, LC_PROBE850_MU_CNT-1, (LC_NUM_OF_PROBES > 850), (LC_NUM_OF_PROBES*2 > 850), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE424_MU_CNT-1, LC_PROBE849_MU_CNT-1, (LC_NUM_OF_PROBES > 849), (LC_NUM_OF_PROBES*2 > 849), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE424_MU_CNT-1, LC_PROBE848_MU_CNT-1, (LC_NUM_OF_PROBES > 848), (LC_NUM_OF_PROBES*2 > 848), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE423_MU_CNT-1, LC_PROBE847_MU_CNT-1, (LC_NUM_OF_PROBES > 847), (LC_NUM_OF_PROBES*2 > 847), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE423_MU_CNT-1, LC_PROBE846_MU_CNT-1, (LC_NUM_OF_PROBES > 846), (LC_NUM_OF_PROBES*2 > 846), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE422_MU_CNT-1, LC_PROBE845_MU_CNT-1, (LC_NUM_OF_PROBES > 845), (LC_NUM_OF_PROBES*2 > 845), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE422_MU_CNT-1, LC_PROBE844_MU_CNT-1, (LC_NUM_OF_PROBES > 844), (LC_NUM_OF_PROBES*2 > 844), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE421_MU_CNT-1, LC_PROBE843_MU_CNT-1, (LC_NUM_OF_PROBES > 843), (LC_NUM_OF_PROBES*2 > 843), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE421_MU_CNT-1, LC_PROBE842_MU_CNT-1, (LC_NUM_OF_PROBES > 842), (LC_NUM_OF_PROBES*2 > 842), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE420_MU_CNT-1, LC_PROBE841_MU_CNT-1, (LC_NUM_OF_PROBES > 841), (LC_NUM_OF_PROBES*2 > 841), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE420_MU_CNT-1, LC_PROBE840_MU_CNT-1, (LC_NUM_OF_PROBES > 840), (LC_NUM_OF_PROBES*2 > 840), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE419_MU_CNT-1, LC_PROBE839_MU_CNT-1, (LC_NUM_OF_PROBES > 839), (LC_NUM_OF_PROBES*2 > 839), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE419_MU_CNT-1, LC_PROBE838_MU_CNT-1, (LC_NUM_OF_PROBES > 838), (LC_NUM_OF_PROBES*2 > 838), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE418_MU_CNT-1, LC_PROBE837_MU_CNT-1, (LC_NUM_OF_PROBES > 837), (LC_NUM_OF_PROBES*2 > 837), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE418_MU_CNT-1, LC_PROBE836_MU_CNT-1, (LC_NUM_OF_PROBES > 836), (LC_NUM_OF_PROBES*2 > 836), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE417_MU_CNT-1, LC_PROBE835_MU_CNT-1, (LC_NUM_OF_PROBES > 835), (LC_NUM_OF_PROBES*2 > 835), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE417_MU_CNT-1, LC_PROBE834_MU_CNT-1, (LC_NUM_OF_PROBES > 834), (LC_NUM_OF_PROBES*2 > 834), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE416_MU_CNT-1, LC_PROBE833_MU_CNT-1, (LC_NUM_OF_PROBES > 833), (LC_NUM_OF_PROBES*2 > 833), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE416_MU_CNT-1, LC_PROBE832_MU_CNT-1, (LC_NUM_OF_PROBES > 832), (LC_NUM_OF_PROBES*2 > 832), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE415_MU_CNT-1, LC_PROBE831_MU_CNT-1, (LC_NUM_OF_PROBES > 831), (LC_NUM_OF_PROBES*2 > 831), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE415_MU_CNT-1, LC_PROBE830_MU_CNT-1, (LC_NUM_OF_PROBES > 830), (LC_NUM_OF_PROBES*2 > 830), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE414_MU_CNT-1, LC_PROBE829_MU_CNT-1, (LC_NUM_OF_PROBES > 829), (LC_NUM_OF_PROBES*2 > 829), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE414_MU_CNT-1, LC_PROBE828_MU_CNT-1, (LC_NUM_OF_PROBES > 828), (LC_NUM_OF_PROBES*2 > 828), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE413_MU_CNT-1, LC_PROBE827_MU_CNT-1, (LC_NUM_OF_PROBES > 827), (LC_NUM_OF_PROBES*2 > 827), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE413_MU_CNT-1, LC_PROBE826_MU_CNT-1, (LC_NUM_OF_PROBES > 826), (LC_NUM_OF_PROBES*2 > 826), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE412_MU_CNT-1, LC_PROBE825_MU_CNT-1, (LC_NUM_OF_PROBES > 825), (LC_NUM_OF_PROBES*2 > 825), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE412_MU_CNT-1, LC_PROBE824_MU_CNT-1, (LC_NUM_OF_PROBES > 824), (LC_NUM_OF_PROBES*2 > 824), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE411_MU_CNT-1, LC_PROBE823_MU_CNT-1, (LC_NUM_OF_PROBES > 823), (LC_NUM_OF_PROBES*2 > 823), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE411_MU_CNT-1, LC_PROBE822_MU_CNT-1, (LC_NUM_OF_PROBES > 822), (LC_NUM_OF_PROBES*2 > 822), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE410_MU_CNT-1, LC_PROBE821_MU_CNT-1, (LC_NUM_OF_PROBES > 821), (LC_NUM_OF_PROBES*2 > 821), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE410_MU_CNT-1, LC_PROBE820_MU_CNT-1, (LC_NUM_OF_PROBES > 820), (LC_NUM_OF_PROBES*2 > 820), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE409_MU_CNT-1, LC_PROBE819_MU_CNT-1, (LC_NUM_OF_PROBES > 819), (LC_NUM_OF_PROBES*2 > 819), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE409_MU_CNT-1, LC_PROBE818_MU_CNT-1, (LC_NUM_OF_PROBES > 818), (LC_NUM_OF_PROBES*2 > 818), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE408_MU_CNT-1, LC_PROBE817_MU_CNT-1, (LC_NUM_OF_PROBES > 817), (LC_NUM_OF_PROBES*2 > 817), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE408_MU_CNT-1, LC_PROBE816_MU_CNT-1, (LC_NUM_OF_PROBES > 816), (LC_NUM_OF_PROBES*2 > 816), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE407_MU_CNT-1, LC_PROBE815_MU_CNT-1, (LC_NUM_OF_PROBES > 815), (LC_NUM_OF_PROBES*2 > 815), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE407_MU_CNT-1, LC_PROBE814_MU_CNT-1, (LC_NUM_OF_PROBES > 814), (LC_NUM_OF_PROBES*2 > 814), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE406_MU_CNT-1, LC_PROBE813_MU_CNT-1, (LC_NUM_OF_PROBES > 813), (LC_NUM_OF_PROBES*2 > 813), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE406_MU_CNT-1, LC_PROBE812_MU_CNT-1, (LC_NUM_OF_PROBES > 812), (LC_NUM_OF_PROBES*2 > 812), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE405_MU_CNT-1, LC_PROBE811_MU_CNT-1, (LC_NUM_OF_PROBES > 811), (LC_NUM_OF_PROBES*2 > 811), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE405_MU_CNT-1, LC_PROBE810_MU_CNT-1, (LC_NUM_OF_PROBES > 810), (LC_NUM_OF_PROBES*2 > 810), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE404_MU_CNT-1, LC_PROBE809_MU_CNT-1, (LC_NUM_OF_PROBES > 809), (LC_NUM_OF_PROBES*2 > 809), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE404_MU_CNT-1, LC_PROBE808_MU_CNT-1, (LC_NUM_OF_PROBES > 808), (LC_NUM_OF_PROBES*2 > 808), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE403_MU_CNT-1, LC_PROBE807_MU_CNT-1, (LC_NUM_OF_PROBES > 807), (LC_NUM_OF_PROBES*2 > 807), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE403_MU_CNT-1, LC_PROBE806_MU_CNT-1, (LC_NUM_OF_PROBES > 806), (LC_NUM_OF_PROBES*2 > 806), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE402_MU_CNT-1, LC_PROBE805_MU_CNT-1, (LC_NUM_OF_PROBES > 805), (LC_NUM_OF_PROBES*2 > 805), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE402_MU_CNT-1, LC_PROBE804_MU_CNT-1, (LC_NUM_OF_PROBES > 804), (LC_NUM_OF_PROBES*2 > 804), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE401_MU_CNT-1, LC_PROBE803_MU_CNT-1, (LC_NUM_OF_PROBES > 803), (LC_NUM_OF_PROBES*2 > 803), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE401_MU_CNT-1, LC_PROBE802_MU_CNT-1, (LC_NUM_OF_PROBES > 802), (LC_NUM_OF_PROBES*2 > 802), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE400_MU_CNT-1, LC_PROBE801_MU_CNT-1, (LC_NUM_OF_PROBES > 801), (LC_NUM_OF_PROBES*2 > 801), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE400_MU_CNT-1, LC_PROBE800_MU_CNT-1, (LC_NUM_OF_PROBES > 800), (LC_NUM_OF_PROBES*2 > 800), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE399_MU_CNT-1, LC_PROBE799_MU_CNT-1, (LC_NUM_OF_PROBES > 799), (LC_NUM_OF_PROBES*2 > 799), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE399_MU_CNT-1, LC_PROBE798_MU_CNT-1, (LC_NUM_OF_PROBES > 798), (LC_NUM_OF_PROBES*2 > 798), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE398_MU_CNT-1, LC_PROBE797_MU_CNT-1, (LC_NUM_OF_PROBES > 797), (LC_NUM_OF_PROBES*2 > 797), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE398_MU_CNT-1, LC_PROBE796_MU_CNT-1, (LC_NUM_OF_PROBES > 796), (LC_NUM_OF_PROBES*2 > 796), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE397_MU_CNT-1, LC_PROBE795_MU_CNT-1, (LC_NUM_OF_PROBES > 795), (LC_NUM_OF_PROBES*2 > 795), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE397_MU_CNT-1, LC_PROBE794_MU_CNT-1, (LC_NUM_OF_PROBES > 794), (LC_NUM_OF_PROBES*2 > 794), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE396_MU_CNT-1, LC_PROBE793_MU_CNT-1, (LC_NUM_OF_PROBES > 793), (LC_NUM_OF_PROBES*2 > 793), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE396_MU_CNT-1, LC_PROBE792_MU_CNT-1, (LC_NUM_OF_PROBES > 792), (LC_NUM_OF_PROBES*2 > 792), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE395_MU_CNT-1, LC_PROBE791_MU_CNT-1, (LC_NUM_OF_PROBES > 791), (LC_NUM_OF_PROBES*2 > 791), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE395_MU_CNT-1, LC_PROBE790_MU_CNT-1, (LC_NUM_OF_PROBES > 790), (LC_NUM_OF_PROBES*2 > 790), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE394_MU_CNT-1, LC_PROBE789_MU_CNT-1, (LC_NUM_OF_PROBES > 789), (LC_NUM_OF_PROBES*2 > 789), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE394_MU_CNT-1, LC_PROBE788_MU_CNT-1, (LC_NUM_OF_PROBES > 788), (LC_NUM_OF_PROBES*2 > 788), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE393_MU_CNT-1, LC_PROBE787_MU_CNT-1, (LC_NUM_OF_PROBES > 787), (LC_NUM_OF_PROBES*2 > 787), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE393_MU_CNT-1, LC_PROBE786_MU_CNT-1, (LC_NUM_OF_PROBES > 786), (LC_NUM_OF_PROBES*2 > 786), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE392_MU_CNT-1, LC_PROBE785_MU_CNT-1, (LC_NUM_OF_PROBES > 785), (LC_NUM_OF_PROBES*2 > 785), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE392_MU_CNT-1, LC_PROBE784_MU_CNT-1, (LC_NUM_OF_PROBES > 784), (LC_NUM_OF_PROBES*2 > 784), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE391_MU_CNT-1, LC_PROBE783_MU_CNT-1, (LC_NUM_OF_PROBES > 783), (LC_NUM_OF_PROBES*2 > 783), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE391_MU_CNT-1, LC_PROBE782_MU_CNT-1, (LC_NUM_OF_PROBES > 782), (LC_NUM_OF_PROBES*2 > 782), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE390_MU_CNT-1, LC_PROBE781_MU_CNT-1, (LC_NUM_OF_PROBES > 781), (LC_NUM_OF_PROBES*2 > 781), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE390_MU_CNT-1, LC_PROBE780_MU_CNT-1, (LC_NUM_OF_PROBES > 780), (LC_NUM_OF_PROBES*2 > 780), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE389_MU_CNT-1, LC_PROBE779_MU_CNT-1, (LC_NUM_OF_PROBES > 779), (LC_NUM_OF_PROBES*2 > 779), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE389_MU_CNT-1, LC_PROBE778_MU_CNT-1, (LC_NUM_OF_PROBES > 778), (LC_NUM_OF_PROBES*2 > 778), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE388_MU_CNT-1, LC_PROBE777_MU_CNT-1, (LC_NUM_OF_PROBES > 777), (LC_NUM_OF_PROBES*2 > 777), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE388_MU_CNT-1, LC_PROBE776_MU_CNT-1, (LC_NUM_OF_PROBES > 776), (LC_NUM_OF_PROBES*2 > 776), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE387_MU_CNT-1, LC_PROBE775_MU_CNT-1, (LC_NUM_OF_PROBES > 775), (LC_NUM_OF_PROBES*2 > 775), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE387_MU_CNT-1, LC_PROBE774_MU_CNT-1, (LC_NUM_OF_PROBES > 774), (LC_NUM_OF_PROBES*2 > 774), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE386_MU_CNT-1, LC_PROBE773_MU_CNT-1, (LC_NUM_OF_PROBES > 773), (LC_NUM_OF_PROBES*2 > 773), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE386_MU_CNT-1, LC_PROBE772_MU_CNT-1, (LC_NUM_OF_PROBES > 772), (LC_NUM_OF_PROBES*2 > 772), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE385_MU_CNT-1, LC_PROBE771_MU_CNT-1, (LC_NUM_OF_PROBES > 771), (LC_NUM_OF_PROBES*2 > 771), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE385_MU_CNT-1, LC_PROBE770_MU_CNT-1, (LC_NUM_OF_PROBES > 770), (LC_NUM_OF_PROBES*2 > 770), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE384_MU_CNT-1, LC_PROBE769_MU_CNT-1, (LC_NUM_OF_PROBES > 769), (LC_NUM_OF_PROBES*2 > 769), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE384_MU_CNT-1, LC_PROBE768_MU_CNT-1, (LC_NUM_OF_PROBES > 768), (LC_NUM_OF_PROBES*2 > 768), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE383_MU_CNT-1, LC_PROBE767_MU_CNT-1, (LC_NUM_OF_PROBES > 767), (LC_NUM_OF_PROBES*2 > 767), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE383_MU_CNT-1, LC_PROBE766_MU_CNT-1, (LC_NUM_OF_PROBES > 766), (LC_NUM_OF_PROBES*2 > 766), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE382_MU_CNT-1, LC_PROBE765_MU_CNT-1, (LC_NUM_OF_PROBES > 765), (LC_NUM_OF_PROBES*2 > 765), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE382_MU_CNT-1, LC_PROBE764_MU_CNT-1, (LC_NUM_OF_PROBES > 764), (LC_NUM_OF_PROBES*2 > 764), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE381_MU_CNT-1, LC_PROBE763_MU_CNT-1, (LC_NUM_OF_PROBES > 763), (LC_NUM_OF_PROBES*2 > 763), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE381_MU_CNT-1, LC_PROBE762_MU_CNT-1, (LC_NUM_OF_PROBES > 762), (LC_NUM_OF_PROBES*2 > 762), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE380_MU_CNT-1, LC_PROBE761_MU_CNT-1, (LC_NUM_OF_PROBES > 761), (LC_NUM_OF_PROBES*2 > 761), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE380_MU_CNT-1, LC_PROBE760_MU_CNT-1, (LC_NUM_OF_PROBES > 760), (LC_NUM_OF_PROBES*2 > 760), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE379_MU_CNT-1, LC_PROBE759_MU_CNT-1, (LC_NUM_OF_PROBES > 759), (LC_NUM_OF_PROBES*2 > 759), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE379_MU_CNT-1, LC_PROBE758_MU_CNT-1, (LC_NUM_OF_PROBES > 758), (LC_NUM_OF_PROBES*2 > 758), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE378_MU_CNT-1, LC_PROBE757_MU_CNT-1, (LC_NUM_OF_PROBES > 757), (LC_NUM_OF_PROBES*2 > 757), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE378_MU_CNT-1, LC_PROBE756_MU_CNT-1, (LC_NUM_OF_PROBES > 756), (LC_NUM_OF_PROBES*2 > 756), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE377_MU_CNT-1, LC_PROBE755_MU_CNT-1, (LC_NUM_OF_PROBES > 755), (LC_NUM_OF_PROBES*2 > 755), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE377_MU_CNT-1, LC_PROBE754_MU_CNT-1, (LC_NUM_OF_PROBES > 754), (LC_NUM_OF_PROBES*2 > 754), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE376_MU_CNT-1, LC_PROBE753_MU_CNT-1, (LC_NUM_OF_PROBES > 753), (LC_NUM_OF_PROBES*2 > 753), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE376_MU_CNT-1, LC_PROBE752_MU_CNT-1, (LC_NUM_OF_PROBES > 752), (LC_NUM_OF_PROBES*2 > 752), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE375_MU_CNT-1, LC_PROBE751_MU_CNT-1, (LC_NUM_OF_PROBES > 751), (LC_NUM_OF_PROBES*2 > 751), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE375_MU_CNT-1, LC_PROBE750_MU_CNT-1, (LC_NUM_OF_PROBES > 750), (LC_NUM_OF_PROBES*2 > 750), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE374_MU_CNT-1, LC_PROBE749_MU_CNT-1, (LC_NUM_OF_PROBES > 749), (LC_NUM_OF_PROBES*2 > 749), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE374_MU_CNT-1, LC_PROBE748_MU_CNT-1, (LC_NUM_OF_PROBES > 748), (LC_NUM_OF_PROBES*2 > 748), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE373_MU_CNT-1, LC_PROBE747_MU_CNT-1, (LC_NUM_OF_PROBES > 747), (LC_NUM_OF_PROBES*2 > 747), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE373_MU_CNT-1, LC_PROBE746_MU_CNT-1, (LC_NUM_OF_PROBES > 746), (LC_NUM_OF_PROBES*2 > 746), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE372_MU_CNT-1, LC_PROBE745_MU_CNT-1, (LC_NUM_OF_PROBES > 745), (LC_NUM_OF_PROBES*2 > 745), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE372_MU_CNT-1, LC_PROBE744_MU_CNT-1, (LC_NUM_OF_PROBES > 744), (LC_NUM_OF_PROBES*2 > 744), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE371_MU_CNT-1, LC_PROBE743_MU_CNT-1, (LC_NUM_OF_PROBES > 743), (LC_NUM_OF_PROBES*2 > 743), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE371_MU_CNT-1, LC_PROBE742_MU_CNT-1, (LC_NUM_OF_PROBES > 742), (LC_NUM_OF_PROBES*2 > 742), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE370_MU_CNT-1, LC_PROBE741_MU_CNT-1, (LC_NUM_OF_PROBES > 741), (LC_NUM_OF_PROBES*2 > 741), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE370_MU_CNT-1, LC_PROBE740_MU_CNT-1, (LC_NUM_OF_PROBES > 740), (LC_NUM_OF_PROBES*2 > 740), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE369_MU_CNT-1, LC_PROBE739_MU_CNT-1, (LC_NUM_OF_PROBES > 739), (LC_NUM_OF_PROBES*2 > 739), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE369_MU_CNT-1, LC_PROBE738_MU_CNT-1, (LC_NUM_OF_PROBES > 738), (LC_NUM_OF_PROBES*2 > 738), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE368_MU_CNT-1, LC_PROBE737_MU_CNT-1, (LC_NUM_OF_PROBES > 737), (LC_NUM_OF_PROBES*2 > 737), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE368_MU_CNT-1, LC_PROBE736_MU_CNT-1, (LC_NUM_OF_PROBES > 736), (LC_NUM_OF_PROBES*2 > 736), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE367_MU_CNT-1, LC_PROBE735_MU_CNT-1, (LC_NUM_OF_PROBES > 735), (LC_NUM_OF_PROBES*2 > 735), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE367_MU_CNT-1, LC_PROBE734_MU_CNT-1, (LC_NUM_OF_PROBES > 734), (LC_NUM_OF_PROBES*2 > 734), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE366_MU_CNT-1, LC_PROBE733_MU_CNT-1, (LC_NUM_OF_PROBES > 733), (LC_NUM_OF_PROBES*2 > 733), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE366_MU_CNT-1, LC_PROBE732_MU_CNT-1, (LC_NUM_OF_PROBES > 732), (LC_NUM_OF_PROBES*2 > 732), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE365_MU_CNT-1, LC_PROBE731_MU_CNT-1, (LC_NUM_OF_PROBES > 731), (LC_NUM_OF_PROBES*2 > 731), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE365_MU_CNT-1, LC_PROBE730_MU_CNT-1, (LC_NUM_OF_PROBES > 730), (LC_NUM_OF_PROBES*2 > 730), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE364_MU_CNT-1, LC_PROBE729_MU_CNT-1, (LC_NUM_OF_PROBES > 729), (LC_NUM_OF_PROBES*2 > 729), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE364_MU_CNT-1, LC_PROBE728_MU_CNT-1, (LC_NUM_OF_PROBES > 728), (LC_NUM_OF_PROBES*2 > 728), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE363_MU_CNT-1, LC_PROBE727_MU_CNT-1, (LC_NUM_OF_PROBES > 727), (LC_NUM_OF_PROBES*2 > 727), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE363_MU_CNT-1, LC_PROBE726_MU_CNT-1, (LC_NUM_OF_PROBES > 726), (LC_NUM_OF_PROBES*2 > 726), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE362_MU_CNT-1, LC_PROBE725_MU_CNT-1, (LC_NUM_OF_PROBES > 725), (LC_NUM_OF_PROBES*2 > 725), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE362_MU_CNT-1, LC_PROBE724_MU_CNT-1, (LC_NUM_OF_PROBES > 724), (LC_NUM_OF_PROBES*2 > 724), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE361_MU_CNT-1, LC_PROBE723_MU_CNT-1, (LC_NUM_OF_PROBES > 723), (LC_NUM_OF_PROBES*2 > 723), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE361_MU_CNT-1, LC_PROBE722_MU_CNT-1, (LC_NUM_OF_PROBES > 722), (LC_NUM_OF_PROBES*2 > 722), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE360_MU_CNT-1, LC_PROBE721_MU_CNT-1, (LC_NUM_OF_PROBES > 721), (LC_NUM_OF_PROBES*2 > 721), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE360_MU_CNT-1, LC_PROBE720_MU_CNT-1, (LC_NUM_OF_PROBES > 720), (LC_NUM_OF_PROBES*2 > 720), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE359_MU_CNT-1, LC_PROBE719_MU_CNT-1, (LC_NUM_OF_PROBES > 719), (LC_NUM_OF_PROBES*2 > 719), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE359_MU_CNT-1, LC_PROBE718_MU_CNT-1, (LC_NUM_OF_PROBES > 718), (LC_NUM_OF_PROBES*2 > 718), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE358_MU_CNT-1, LC_PROBE717_MU_CNT-1, (LC_NUM_OF_PROBES > 717), (LC_NUM_OF_PROBES*2 > 717), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE358_MU_CNT-1, LC_PROBE716_MU_CNT-1, (LC_NUM_OF_PROBES > 716), (LC_NUM_OF_PROBES*2 > 716), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE357_MU_CNT-1, LC_PROBE715_MU_CNT-1, (LC_NUM_OF_PROBES > 715), (LC_NUM_OF_PROBES*2 > 715), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE357_MU_CNT-1, LC_PROBE714_MU_CNT-1, (LC_NUM_OF_PROBES > 714), (LC_NUM_OF_PROBES*2 > 714), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE356_MU_CNT-1, LC_PROBE713_MU_CNT-1, (LC_NUM_OF_PROBES > 713), (LC_NUM_OF_PROBES*2 > 713), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE356_MU_CNT-1, LC_PROBE712_MU_CNT-1, (LC_NUM_OF_PROBES > 712), (LC_NUM_OF_PROBES*2 > 712), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE355_MU_CNT-1, LC_PROBE711_MU_CNT-1, (LC_NUM_OF_PROBES > 711), (LC_NUM_OF_PROBES*2 > 711), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE355_MU_CNT-1, LC_PROBE710_MU_CNT-1, (LC_NUM_OF_PROBES > 710), (LC_NUM_OF_PROBES*2 > 710), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE354_MU_CNT-1, LC_PROBE709_MU_CNT-1, (LC_NUM_OF_PROBES > 709), (LC_NUM_OF_PROBES*2 > 709), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE354_MU_CNT-1, LC_PROBE708_MU_CNT-1, (LC_NUM_OF_PROBES > 708), (LC_NUM_OF_PROBES*2 > 708), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE353_MU_CNT-1, LC_PROBE707_MU_CNT-1, (LC_NUM_OF_PROBES > 707), (LC_NUM_OF_PROBES*2 > 707), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE353_MU_CNT-1, LC_PROBE706_MU_CNT-1, (LC_NUM_OF_PROBES > 706), (LC_NUM_OF_PROBES*2 > 706), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE352_MU_CNT-1, LC_PROBE705_MU_CNT-1, (LC_NUM_OF_PROBES > 705), (LC_NUM_OF_PROBES*2 > 705), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE352_MU_CNT-1, LC_PROBE704_MU_CNT-1, (LC_NUM_OF_PROBES > 704), (LC_NUM_OF_PROBES*2 > 704), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE351_MU_CNT-1, LC_PROBE703_MU_CNT-1, (LC_NUM_OF_PROBES > 703), (LC_NUM_OF_PROBES*2 > 703), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE351_MU_CNT-1, LC_PROBE702_MU_CNT-1, (LC_NUM_OF_PROBES > 702), (LC_NUM_OF_PROBES*2 > 702), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE350_MU_CNT-1, LC_PROBE701_MU_CNT-1, (LC_NUM_OF_PROBES > 701), (LC_NUM_OF_PROBES*2 > 701), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE350_MU_CNT-1, LC_PROBE700_MU_CNT-1, (LC_NUM_OF_PROBES > 700), (LC_NUM_OF_PROBES*2 > 700), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE349_MU_CNT-1, LC_PROBE699_MU_CNT-1, (LC_NUM_OF_PROBES > 699), (LC_NUM_OF_PROBES*2 > 699), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE349_MU_CNT-1, LC_PROBE698_MU_CNT-1, (LC_NUM_OF_PROBES > 698), (LC_NUM_OF_PROBES*2 > 698), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE348_MU_CNT-1, LC_PROBE697_MU_CNT-1, (LC_NUM_OF_PROBES > 697), (LC_NUM_OF_PROBES*2 > 697), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE348_MU_CNT-1, LC_PROBE696_MU_CNT-1, (LC_NUM_OF_PROBES > 696), (LC_NUM_OF_PROBES*2 > 696), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE347_MU_CNT-1, LC_PROBE695_MU_CNT-1, (LC_NUM_OF_PROBES > 695), (LC_NUM_OF_PROBES*2 > 695), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE347_MU_CNT-1, LC_PROBE694_MU_CNT-1, (LC_NUM_OF_PROBES > 694), (LC_NUM_OF_PROBES*2 > 694), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE346_MU_CNT-1, LC_PROBE693_MU_CNT-1, (LC_NUM_OF_PROBES > 693), (LC_NUM_OF_PROBES*2 > 693), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE346_MU_CNT-1, LC_PROBE692_MU_CNT-1, (LC_NUM_OF_PROBES > 692), (LC_NUM_OF_PROBES*2 > 692), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE345_MU_CNT-1, LC_PROBE691_MU_CNT-1, (LC_NUM_OF_PROBES > 691), (LC_NUM_OF_PROBES*2 > 691), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE345_MU_CNT-1, LC_PROBE690_MU_CNT-1, (LC_NUM_OF_PROBES > 690), (LC_NUM_OF_PROBES*2 > 690), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE344_MU_CNT-1, LC_PROBE689_MU_CNT-1, (LC_NUM_OF_PROBES > 689), (LC_NUM_OF_PROBES*2 > 689), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE344_MU_CNT-1, LC_PROBE688_MU_CNT-1, (LC_NUM_OF_PROBES > 688), (LC_NUM_OF_PROBES*2 > 688), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE343_MU_CNT-1, LC_PROBE687_MU_CNT-1, (LC_NUM_OF_PROBES > 687), (LC_NUM_OF_PROBES*2 > 687), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE343_MU_CNT-1, LC_PROBE686_MU_CNT-1, (LC_NUM_OF_PROBES > 686), (LC_NUM_OF_PROBES*2 > 686), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE342_MU_CNT-1, LC_PROBE685_MU_CNT-1, (LC_NUM_OF_PROBES > 685), (LC_NUM_OF_PROBES*2 > 685), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE342_MU_CNT-1, LC_PROBE684_MU_CNT-1, (LC_NUM_OF_PROBES > 684), (LC_NUM_OF_PROBES*2 > 684), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE341_MU_CNT-1, LC_PROBE683_MU_CNT-1, (LC_NUM_OF_PROBES > 683), (LC_NUM_OF_PROBES*2 > 683), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE341_MU_CNT-1, LC_PROBE682_MU_CNT-1, (LC_NUM_OF_PROBES > 682), (LC_NUM_OF_PROBES*2 > 682), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE340_MU_CNT-1, LC_PROBE681_MU_CNT-1, (LC_NUM_OF_PROBES > 681), (LC_NUM_OF_PROBES*2 > 681), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE340_MU_CNT-1, LC_PROBE680_MU_CNT-1, (LC_NUM_OF_PROBES > 680), (LC_NUM_OF_PROBES*2 > 680), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE339_MU_CNT-1, LC_PROBE679_MU_CNT-1, (LC_NUM_OF_PROBES > 679), (LC_NUM_OF_PROBES*2 > 679), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE339_MU_CNT-1, LC_PROBE678_MU_CNT-1, (LC_NUM_OF_PROBES > 678), (LC_NUM_OF_PROBES*2 > 678), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE338_MU_CNT-1, LC_PROBE677_MU_CNT-1, (LC_NUM_OF_PROBES > 677), (LC_NUM_OF_PROBES*2 > 677), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE338_MU_CNT-1, LC_PROBE676_MU_CNT-1, (LC_NUM_OF_PROBES > 676), (LC_NUM_OF_PROBES*2 > 676), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE337_MU_CNT-1, LC_PROBE675_MU_CNT-1, (LC_NUM_OF_PROBES > 675), (LC_NUM_OF_PROBES*2 > 675), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE337_MU_CNT-1, LC_PROBE674_MU_CNT-1, (LC_NUM_OF_PROBES > 674), (LC_NUM_OF_PROBES*2 > 674), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE336_MU_CNT-1, LC_PROBE673_MU_CNT-1, (LC_NUM_OF_PROBES > 673), (LC_NUM_OF_PROBES*2 > 673), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE336_MU_CNT-1, LC_PROBE672_MU_CNT-1, (LC_NUM_OF_PROBES > 672), (LC_NUM_OF_PROBES*2 > 672), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE335_MU_CNT-1, LC_PROBE671_MU_CNT-1, (LC_NUM_OF_PROBES > 671), (LC_NUM_OF_PROBES*2 > 671), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE335_MU_CNT-1, LC_PROBE670_MU_CNT-1, (LC_NUM_OF_PROBES > 670), (LC_NUM_OF_PROBES*2 > 670), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE334_MU_CNT-1, LC_PROBE669_MU_CNT-1, (LC_NUM_OF_PROBES > 669), (LC_NUM_OF_PROBES*2 > 669), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE334_MU_CNT-1, LC_PROBE668_MU_CNT-1, (LC_NUM_OF_PROBES > 668), (LC_NUM_OF_PROBES*2 > 668), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE333_MU_CNT-1, LC_PROBE667_MU_CNT-1, (LC_NUM_OF_PROBES > 667), (LC_NUM_OF_PROBES*2 > 667), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE333_MU_CNT-1, LC_PROBE666_MU_CNT-1, (LC_NUM_OF_PROBES > 666), (LC_NUM_OF_PROBES*2 > 666), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE332_MU_CNT-1, LC_PROBE665_MU_CNT-1, (LC_NUM_OF_PROBES > 665), (LC_NUM_OF_PROBES*2 > 665), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE332_MU_CNT-1, LC_PROBE664_MU_CNT-1, (LC_NUM_OF_PROBES > 664), (LC_NUM_OF_PROBES*2 > 664), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE331_MU_CNT-1, LC_PROBE663_MU_CNT-1, (LC_NUM_OF_PROBES > 663), (LC_NUM_OF_PROBES*2 > 663), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE331_MU_CNT-1, LC_PROBE662_MU_CNT-1, (LC_NUM_OF_PROBES > 662), (LC_NUM_OF_PROBES*2 > 662), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE330_MU_CNT-1, LC_PROBE661_MU_CNT-1, (LC_NUM_OF_PROBES > 661), (LC_NUM_OF_PROBES*2 > 661), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE330_MU_CNT-1, LC_PROBE660_MU_CNT-1, (LC_NUM_OF_PROBES > 660), (LC_NUM_OF_PROBES*2 > 660), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE329_MU_CNT-1, LC_PROBE659_MU_CNT-1, (LC_NUM_OF_PROBES > 659), (LC_NUM_OF_PROBES*2 > 659), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE329_MU_CNT-1, LC_PROBE658_MU_CNT-1, (LC_NUM_OF_PROBES > 658), (LC_NUM_OF_PROBES*2 > 658), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE328_MU_CNT-1, LC_PROBE657_MU_CNT-1, (LC_NUM_OF_PROBES > 657), (LC_NUM_OF_PROBES*2 > 657), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE328_MU_CNT-1, LC_PROBE656_MU_CNT-1, (LC_NUM_OF_PROBES > 656), (LC_NUM_OF_PROBES*2 > 656), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE327_MU_CNT-1, LC_PROBE655_MU_CNT-1, (LC_NUM_OF_PROBES > 655), (LC_NUM_OF_PROBES*2 > 655), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE327_MU_CNT-1, LC_PROBE654_MU_CNT-1, (LC_NUM_OF_PROBES > 654), (LC_NUM_OF_PROBES*2 > 654), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE326_MU_CNT-1, LC_PROBE653_MU_CNT-1, (LC_NUM_OF_PROBES > 653), (LC_NUM_OF_PROBES*2 > 653), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE326_MU_CNT-1, LC_PROBE652_MU_CNT-1, (LC_NUM_OF_PROBES > 652), (LC_NUM_OF_PROBES*2 > 652), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE325_MU_CNT-1, LC_PROBE651_MU_CNT-1, (LC_NUM_OF_PROBES > 651), (LC_NUM_OF_PROBES*2 > 651), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE325_MU_CNT-1, LC_PROBE650_MU_CNT-1, (LC_NUM_OF_PROBES > 650), (LC_NUM_OF_PROBES*2 > 650), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE324_MU_CNT-1, LC_PROBE649_MU_CNT-1, (LC_NUM_OF_PROBES > 649), (LC_NUM_OF_PROBES*2 > 649), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE324_MU_CNT-1, LC_PROBE648_MU_CNT-1, (LC_NUM_OF_PROBES > 648), (LC_NUM_OF_PROBES*2 > 648), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE323_MU_CNT-1, LC_PROBE647_MU_CNT-1, (LC_NUM_OF_PROBES > 647), (LC_NUM_OF_PROBES*2 > 647), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE323_MU_CNT-1, LC_PROBE646_MU_CNT-1, (LC_NUM_OF_PROBES > 646), (LC_NUM_OF_PROBES*2 > 646), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE322_MU_CNT-1, LC_PROBE645_MU_CNT-1, (LC_NUM_OF_PROBES > 645), (LC_NUM_OF_PROBES*2 > 645), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE322_MU_CNT-1, LC_PROBE644_MU_CNT-1, (LC_NUM_OF_PROBES > 644), (LC_NUM_OF_PROBES*2 > 644), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE321_MU_CNT-1, LC_PROBE643_MU_CNT-1, (LC_NUM_OF_PROBES > 643), (LC_NUM_OF_PROBES*2 > 643), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE321_MU_CNT-1, LC_PROBE642_MU_CNT-1, (LC_NUM_OF_PROBES > 642), (LC_NUM_OF_PROBES*2 > 642), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE320_MU_CNT-1, LC_PROBE641_MU_CNT-1, (LC_NUM_OF_PROBES > 641), (LC_NUM_OF_PROBES*2 > 641), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE320_MU_CNT-1, LC_PROBE640_MU_CNT-1, (LC_NUM_OF_PROBES > 640), (LC_NUM_OF_PROBES*2 > 640), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE319_MU_CNT-1, LC_PROBE639_MU_CNT-1, (LC_NUM_OF_PROBES > 639), (LC_NUM_OF_PROBES*2 > 639), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE319_MU_CNT-1, LC_PROBE638_MU_CNT-1, (LC_NUM_OF_PROBES > 638), (LC_NUM_OF_PROBES*2 > 638), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE318_MU_CNT-1, LC_PROBE637_MU_CNT-1, (LC_NUM_OF_PROBES > 637), (LC_NUM_OF_PROBES*2 > 637), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE318_MU_CNT-1, LC_PROBE636_MU_CNT-1, (LC_NUM_OF_PROBES > 636), (LC_NUM_OF_PROBES*2 > 636), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE317_MU_CNT-1, LC_PROBE635_MU_CNT-1, (LC_NUM_OF_PROBES > 635), (LC_NUM_OF_PROBES*2 > 635), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE317_MU_CNT-1, LC_PROBE634_MU_CNT-1, (LC_NUM_OF_PROBES > 634), (LC_NUM_OF_PROBES*2 > 634), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE316_MU_CNT-1, LC_PROBE633_MU_CNT-1, (LC_NUM_OF_PROBES > 633), (LC_NUM_OF_PROBES*2 > 633), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE316_MU_CNT-1, LC_PROBE632_MU_CNT-1, (LC_NUM_OF_PROBES > 632), (LC_NUM_OF_PROBES*2 > 632), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE315_MU_CNT-1, LC_PROBE631_MU_CNT-1, (LC_NUM_OF_PROBES > 631), (LC_NUM_OF_PROBES*2 > 631), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE315_MU_CNT-1, LC_PROBE630_MU_CNT-1, (LC_NUM_OF_PROBES > 630), (LC_NUM_OF_PROBES*2 > 630), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE314_MU_CNT-1, LC_PROBE629_MU_CNT-1, (LC_NUM_OF_PROBES > 629), (LC_NUM_OF_PROBES*2 > 629), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE314_MU_CNT-1, LC_PROBE628_MU_CNT-1, (LC_NUM_OF_PROBES > 628), (LC_NUM_OF_PROBES*2 > 628), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE313_MU_CNT-1, LC_PROBE627_MU_CNT-1, (LC_NUM_OF_PROBES > 627), (LC_NUM_OF_PROBES*2 > 627), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE313_MU_CNT-1, LC_PROBE626_MU_CNT-1, (LC_NUM_OF_PROBES > 626), (LC_NUM_OF_PROBES*2 > 626), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE312_MU_CNT-1, LC_PROBE625_MU_CNT-1, (LC_NUM_OF_PROBES > 625), (LC_NUM_OF_PROBES*2 > 625), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE312_MU_CNT-1, LC_PROBE624_MU_CNT-1, (LC_NUM_OF_PROBES > 624), (LC_NUM_OF_PROBES*2 > 624), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE311_MU_CNT-1, LC_PROBE623_MU_CNT-1, (LC_NUM_OF_PROBES > 623), (LC_NUM_OF_PROBES*2 > 623), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE311_MU_CNT-1, LC_PROBE622_MU_CNT-1, (LC_NUM_OF_PROBES > 622), (LC_NUM_OF_PROBES*2 > 622), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE310_MU_CNT-1, LC_PROBE621_MU_CNT-1, (LC_NUM_OF_PROBES > 621), (LC_NUM_OF_PROBES*2 > 621), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE310_MU_CNT-1, LC_PROBE620_MU_CNT-1, (LC_NUM_OF_PROBES > 620), (LC_NUM_OF_PROBES*2 > 620), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE309_MU_CNT-1, LC_PROBE619_MU_CNT-1, (LC_NUM_OF_PROBES > 619), (LC_NUM_OF_PROBES*2 > 619), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE309_MU_CNT-1, LC_PROBE618_MU_CNT-1, (LC_NUM_OF_PROBES > 618), (LC_NUM_OF_PROBES*2 > 618), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE308_MU_CNT-1, LC_PROBE617_MU_CNT-1, (LC_NUM_OF_PROBES > 617), (LC_NUM_OF_PROBES*2 > 617), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE308_MU_CNT-1, LC_PROBE616_MU_CNT-1, (LC_NUM_OF_PROBES > 616), (LC_NUM_OF_PROBES*2 > 616), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE307_MU_CNT-1, LC_PROBE615_MU_CNT-1, (LC_NUM_OF_PROBES > 615), (LC_NUM_OF_PROBES*2 > 615), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE307_MU_CNT-1, LC_PROBE614_MU_CNT-1, (LC_NUM_OF_PROBES > 614), (LC_NUM_OF_PROBES*2 > 614), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE306_MU_CNT-1, LC_PROBE613_MU_CNT-1, (LC_NUM_OF_PROBES > 613), (LC_NUM_OF_PROBES*2 > 613), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE306_MU_CNT-1, LC_PROBE612_MU_CNT-1, (LC_NUM_OF_PROBES > 612), (LC_NUM_OF_PROBES*2 > 612), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE305_MU_CNT-1, LC_PROBE611_MU_CNT-1, (LC_NUM_OF_PROBES > 611), (LC_NUM_OF_PROBES*2 > 611), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE305_MU_CNT-1, LC_PROBE610_MU_CNT-1, (LC_NUM_OF_PROBES > 610), (LC_NUM_OF_PROBES*2 > 610), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE304_MU_CNT-1, LC_PROBE609_MU_CNT-1, (LC_NUM_OF_PROBES > 609), (LC_NUM_OF_PROBES*2 > 609), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE304_MU_CNT-1, LC_PROBE608_MU_CNT-1, (LC_NUM_OF_PROBES > 608), (LC_NUM_OF_PROBES*2 > 608), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE303_MU_CNT-1, LC_PROBE607_MU_CNT-1, (LC_NUM_OF_PROBES > 607), (LC_NUM_OF_PROBES*2 > 607), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE303_MU_CNT-1, LC_PROBE606_MU_CNT-1, (LC_NUM_OF_PROBES > 606), (LC_NUM_OF_PROBES*2 > 606), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE302_MU_CNT-1, LC_PROBE605_MU_CNT-1, (LC_NUM_OF_PROBES > 605), (LC_NUM_OF_PROBES*2 > 605), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE302_MU_CNT-1, LC_PROBE604_MU_CNT-1, (LC_NUM_OF_PROBES > 604), (LC_NUM_OF_PROBES*2 > 604), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE301_MU_CNT-1, LC_PROBE603_MU_CNT-1, (LC_NUM_OF_PROBES > 603), (LC_NUM_OF_PROBES*2 > 603), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE301_MU_CNT-1, LC_PROBE602_MU_CNT-1, (LC_NUM_OF_PROBES > 602), (LC_NUM_OF_PROBES*2 > 602), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE300_MU_CNT-1, LC_PROBE601_MU_CNT-1, (LC_NUM_OF_PROBES > 601), (LC_NUM_OF_PROBES*2 > 601), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE300_MU_CNT-1, LC_PROBE600_MU_CNT-1, (LC_NUM_OF_PROBES > 600), (LC_NUM_OF_PROBES*2 > 600), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE299_MU_CNT-1, LC_PROBE599_MU_CNT-1, (LC_NUM_OF_PROBES > 599), (LC_NUM_OF_PROBES*2 > 599), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE299_MU_CNT-1, LC_PROBE598_MU_CNT-1, (LC_NUM_OF_PROBES > 598), (LC_NUM_OF_PROBES*2 > 598), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE298_MU_CNT-1, LC_PROBE597_MU_CNT-1, (LC_NUM_OF_PROBES > 597), (LC_NUM_OF_PROBES*2 > 597), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE298_MU_CNT-1, LC_PROBE596_MU_CNT-1, (LC_NUM_OF_PROBES > 596), (LC_NUM_OF_PROBES*2 > 596), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE297_MU_CNT-1, LC_PROBE595_MU_CNT-1, (LC_NUM_OF_PROBES > 595), (LC_NUM_OF_PROBES*2 > 595), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE297_MU_CNT-1, LC_PROBE594_MU_CNT-1, (LC_NUM_OF_PROBES > 594), (LC_NUM_OF_PROBES*2 > 594), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE296_MU_CNT-1, LC_PROBE593_MU_CNT-1, (LC_NUM_OF_PROBES > 593), (LC_NUM_OF_PROBES*2 > 593), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE296_MU_CNT-1, LC_PROBE592_MU_CNT-1, (LC_NUM_OF_PROBES > 592), (LC_NUM_OF_PROBES*2 > 592), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE295_MU_CNT-1, LC_PROBE591_MU_CNT-1, (LC_NUM_OF_PROBES > 591), (LC_NUM_OF_PROBES*2 > 591), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE295_MU_CNT-1, LC_PROBE590_MU_CNT-1, (LC_NUM_OF_PROBES > 590), (LC_NUM_OF_PROBES*2 > 590), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE294_MU_CNT-1, LC_PROBE589_MU_CNT-1, (LC_NUM_OF_PROBES > 589), (LC_NUM_OF_PROBES*2 > 589), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE294_MU_CNT-1, LC_PROBE588_MU_CNT-1, (LC_NUM_OF_PROBES > 588), (LC_NUM_OF_PROBES*2 > 588), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE293_MU_CNT-1, LC_PROBE587_MU_CNT-1, (LC_NUM_OF_PROBES > 587), (LC_NUM_OF_PROBES*2 > 587), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE293_MU_CNT-1, LC_PROBE586_MU_CNT-1, (LC_NUM_OF_PROBES > 586), (LC_NUM_OF_PROBES*2 > 586), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE292_MU_CNT-1, LC_PROBE585_MU_CNT-1, (LC_NUM_OF_PROBES > 585), (LC_NUM_OF_PROBES*2 > 585), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE292_MU_CNT-1, LC_PROBE584_MU_CNT-1, (LC_NUM_OF_PROBES > 584), (LC_NUM_OF_PROBES*2 > 584), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE291_MU_CNT-1, LC_PROBE583_MU_CNT-1, (LC_NUM_OF_PROBES > 583), (LC_NUM_OF_PROBES*2 > 583), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE291_MU_CNT-1, LC_PROBE582_MU_CNT-1, (LC_NUM_OF_PROBES > 582), (LC_NUM_OF_PROBES*2 > 582), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE290_MU_CNT-1, LC_PROBE581_MU_CNT-1, (LC_NUM_OF_PROBES > 581), (LC_NUM_OF_PROBES*2 > 581), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE290_MU_CNT-1, LC_PROBE580_MU_CNT-1, (LC_NUM_OF_PROBES > 580), (LC_NUM_OF_PROBES*2 > 580), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE289_MU_CNT-1, LC_PROBE579_MU_CNT-1, (LC_NUM_OF_PROBES > 579), (LC_NUM_OF_PROBES*2 > 579), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE289_MU_CNT-1, LC_PROBE578_MU_CNT-1, (LC_NUM_OF_PROBES > 578), (LC_NUM_OF_PROBES*2 > 578), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE288_MU_CNT-1, LC_PROBE577_MU_CNT-1, (LC_NUM_OF_PROBES > 577), (LC_NUM_OF_PROBES*2 > 577), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE288_MU_CNT-1, LC_PROBE576_MU_CNT-1, (LC_NUM_OF_PROBES > 576), (LC_NUM_OF_PROBES*2 > 576), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE287_MU_CNT-1, LC_PROBE575_MU_CNT-1, (LC_NUM_OF_PROBES > 575), (LC_NUM_OF_PROBES*2 > 575), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE287_MU_CNT-1, LC_PROBE574_MU_CNT-1, (LC_NUM_OF_PROBES > 574), (LC_NUM_OF_PROBES*2 > 574), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE286_MU_CNT-1, LC_PROBE573_MU_CNT-1, (LC_NUM_OF_PROBES > 573), (LC_NUM_OF_PROBES*2 > 573), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE286_MU_CNT-1, LC_PROBE572_MU_CNT-1, (LC_NUM_OF_PROBES > 572), (LC_NUM_OF_PROBES*2 > 572), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE285_MU_CNT-1, LC_PROBE571_MU_CNT-1, (LC_NUM_OF_PROBES > 571), (LC_NUM_OF_PROBES*2 > 571), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE285_MU_CNT-1, LC_PROBE570_MU_CNT-1, (LC_NUM_OF_PROBES > 570), (LC_NUM_OF_PROBES*2 > 570), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE284_MU_CNT-1, LC_PROBE569_MU_CNT-1, (LC_NUM_OF_PROBES > 569), (LC_NUM_OF_PROBES*2 > 569), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE284_MU_CNT-1, LC_PROBE568_MU_CNT-1, (LC_NUM_OF_PROBES > 568), (LC_NUM_OF_PROBES*2 > 568), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE283_MU_CNT-1, LC_PROBE567_MU_CNT-1, (LC_NUM_OF_PROBES > 567), (LC_NUM_OF_PROBES*2 > 567), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE283_MU_CNT-1, LC_PROBE566_MU_CNT-1, (LC_NUM_OF_PROBES > 566), (LC_NUM_OF_PROBES*2 > 566), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE282_MU_CNT-1, LC_PROBE565_MU_CNT-1, (LC_NUM_OF_PROBES > 565), (LC_NUM_OF_PROBES*2 > 565), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE282_MU_CNT-1, LC_PROBE564_MU_CNT-1, (LC_NUM_OF_PROBES > 564), (LC_NUM_OF_PROBES*2 > 564), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE281_MU_CNT-1, LC_PROBE563_MU_CNT-1, (LC_NUM_OF_PROBES > 563), (LC_NUM_OF_PROBES*2 > 563), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE281_MU_CNT-1, LC_PROBE562_MU_CNT-1, (LC_NUM_OF_PROBES > 562), (LC_NUM_OF_PROBES*2 > 562), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE280_MU_CNT-1, LC_PROBE561_MU_CNT-1, (LC_NUM_OF_PROBES > 561), (LC_NUM_OF_PROBES*2 > 561), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE280_MU_CNT-1, LC_PROBE560_MU_CNT-1, (LC_NUM_OF_PROBES > 560), (LC_NUM_OF_PROBES*2 > 560), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE279_MU_CNT-1, LC_PROBE559_MU_CNT-1, (LC_NUM_OF_PROBES > 559), (LC_NUM_OF_PROBES*2 > 559), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE279_MU_CNT-1, LC_PROBE558_MU_CNT-1, (LC_NUM_OF_PROBES > 558), (LC_NUM_OF_PROBES*2 > 558), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE278_MU_CNT-1, LC_PROBE557_MU_CNT-1, (LC_NUM_OF_PROBES > 557), (LC_NUM_OF_PROBES*2 > 557), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE278_MU_CNT-1, LC_PROBE556_MU_CNT-1, (LC_NUM_OF_PROBES > 556), (LC_NUM_OF_PROBES*2 > 556), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE277_MU_CNT-1, LC_PROBE555_MU_CNT-1, (LC_NUM_OF_PROBES > 555), (LC_NUM_OF_PROBES*2 > 555), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE277_MU_CNT-1, LC_PROBE554_MU_CNT-1, (LC_NUM_OF_PROBES > 554), (LC_NUM_OF_PROBES*2 > 554), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE276_MU_CNT-1, LC_PROBE553_MU_CNT-1, (LC_NUM_OF_PROBES > 553), (LC_NUM_OF_PROBES*2 > 553), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE276_MU_CNT-1, LC_PROBE552_MU_CNT-1, (LC_NUM_OF_PROBES > 552), (LC_NUM_OF_PROBES*2 > 552), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE275_MU_CNT-1, LC_PROBE551_MU_CNT-1, (LC_NUM_OF_PROBES > 551), (LC_NUM_OF_PROBES*2 > 551), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE275_MU_CNT-1, LC_PROBE550_MU_CNT-1, (LC_NUM_OF_PROBES > 550), (LC_NUM_OF_PROBES*2 > 550), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE274_MU_CNT-1, LC_PROBE549_MU_CNT-1, (LC_NUM_OF_PROBES > 549), (LC_NUM_OF_PROBES*2 > 549), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE274_MU_CNT-1, LC_PROBE548_MU_CNT-1, (LC_NUM_OF_PROBES > 548), (LC_NUM_OF_PROBES*2 > 548), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE273_MU_CNT-1, LC_PROBE547_MU_CNT-1, (LC_NUM_OF_PROBES > 547), (LC_NUM_OF_PROBES*2 > 547), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE273_MU_CNT-1, LC_PROBE546_MU_CNT-1, (LC_NUM_OF_PROBES > 546), (LC_NUM_OF_PROBES*2 > 546), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE272_MU_CNT-1, LC_PROBE545_MU_CNT-1, (LC_NUM_OF_PROBES > 545), (LC_NUM_OF_PROBES*2 > 545), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE272_MU_CNT-1, LC_PROBE544_MU_CNT-1, (LC_NUM_OF_PROBES > 544), (LC_NUM_OF_PROBES*2 > 544), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE271_MU_CNT-1, LC_PROBE543_MU_CNT-1, (LC_NUM_OF_PROBES > 543), (LC_NUM_OF_PROBES*2 > 543), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE271_MU_CNT-1, LC_PROBE542_MU_CNT-1, (LC_NUM_OF_PROBES > 542), (LC_NUM_OF_PROBES*2 > 542), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE270_MU_CNT-1, LC_PROBE541_MU_CNT-1, (LC_NUM_OF_PROBES > 541), (LC_NUM_OF_PROBES*2 > 541), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE270_MU_CNT-1, LC_PROBE540_MU_CNT-1, (LC_NUM_OF_PROBES > 540), (LC_NUM_OF_PROBES*2 > 540), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE269_MU_CNT-1, LC_PROBE539_MU_CNT-1, (LC_NUM_OF_PROBES > 539), (LC_NUM_OF_PROBES*2 > 539), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE269_MU_CNT-1, LC_PROBE538_MU_CNT-1, (LC_NUM_OF_PROBES > 538), (LC_NUM_OF_PROBES*2 > 538), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE268_MU_CNT-1, LC_PROBE537_MU_CNT-1, (LC_NUM_OF_PROBES > 537), (LC_NUM_OF_PROBES*2 > 537), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE268_MU_CNT-1, LC_PROBE536_MU_CNT-1, (LC_NUM_OF_PROBES > 536), (LC_NUM_OF_PROBES*2 > 536), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE267_MU_CNT-1, LC_PROBE535_MU_CNT-1, (LC_NUM_OF_PROBES > 535), (LC_NUM_OF_PROBES*2 > 535), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE267_MU_CNT-1, LC_PROBE534_MU_CNT-1, (LC_NUM_OF_PROBES > 534), (LC_NUM_OF_PROBES*2 > 534), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE266_MU_CNT-1, LC_PROBE533_MU_CNT-1, (LC_NUM_OF_PROBES > 533), (LC_NUM_OF_PROBES*2 > 533), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE266_MU_CNT-1, LC_PROBE532_MU_CNT-1, (LC_NUM_OF_PROBES > 532), (LC_NUM_OF_PROBES*2 > 532), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE265_MU_CNT-1, LC_PROBE531_MU_CNT-1, (LC_NUM_OF_PROBES > 531), (LC_NUM_OF_PROBES*2 > 531), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE265_MU_CNT-1, LC_PROBE530_MU_CNT-1, (LC_NUM_OF_PROBES > 530), (LC_NUM_OF_PROBES*2 > 530), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE264_MU_CNT-1, LC_PROBE529_MU_CNT-1, (LC_NUM_OF_PROBES > 529), (LC_NUM_OF_PROBES*2 > 529), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE264_MU_CNT-1, LC_PROBE528_MU_CNT-1, (LC_NUM_OF_PROBES > 528), (LC_NUM_OF_PROBES*2 > 528), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE263_MU_CNT-1, LC_PROBE527_MU_CNT-1, (LC_NUM_OF_PROBES > 527), (LC_NUM_OF_PROBES*2 > 527), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE263_MU_CNT-1, LC_PROBE526_MU_CNT-1, (LC_NUM_OF_PROBES > 526), (LC_NUM_OF_PROBES*2 > 526), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE262_MU_CNT-1, LC_PROBE525_MU_CNT-1, (LC_NUM_OF_PROBES > 525), (LC_NUM_OF_PROBES*2 > 525), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE262_MU_CNT-1, LC_PROBE524_MU_CNT-1, (LC_NUM_OF_PROBES > 524), (LC_NUM_OF_PROBES*2 > 524), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE261_MU_CNT-1, LC_PROBE523_MU_CNT-1, (LC_NUM_OF_PROBES > 523), (LC_NUM_OF_PROBES*2 > 523), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE261_MU_CNT-1, LC_PROBE522_MU_CNT-1, (LC_NUM_OF_PROBES > 522), (LC_NUM_OF_PROBES*2 > 522), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE260_MU_CNT-1, LC_PROBE521_MU_CNT-1, (LC_NUM_OF_PROBES > 521), (LC_NUM_OF_PROBES*2 > 521), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE260_MU_CNT-1, LC_PROBE520_MU_CNT-1, (LC_NUM_OF_PROBES > 520), (LC_NUM_OF_PROBES*2 > 520), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE259_MU_CNT-1, LC_PROBE519_MU_CNT-1, (LC_NUM_OF_PROBES > 519), (LC_NUM_OF_PROBES*2 > 519), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE259_MU_CNT-1, LC_PROBE518_MU_CNT-1, (LC_NUM_OF_PROBES > 518), (LC_NUM_OF_PROBES*2 > 518), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE258_MU_CNT-1, LC_PROBE517_MU_CNT-1, (LC_NUM_OF_PROBES > 517), (LC_NUM_OF_PROBES*2 > 517), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE258_MU_CNT-1, LC_PROBE516_MU_CNT-1, (LC_NUM_OF_PROBES > 516), (LC_NUM_OF_PROBES*2 > 516), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE257_MU_CNT-1, LC_PROBE515_MU_CNT-1, (LC_NUM_OF_PROBES > 515), (LC_NUM_OF_PROBES*2 > 515), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE257_MU_CNT-1, LC_PROBE514_MU_CNT-1, (LC_NUM_OF_PROBES > 514), (LC_NUM_OF_PROBES*2 > 514), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE256_MU_CNT-1, LC_PROBE513_MU_CNT-1, (LC_NUM_OF_PROBES > 513), (LC_NUM_OF_PROBES*2 > 513), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE256_MU_CNT-1, LC_PROBE512_MU_CNT-1, (LC_NUM_OF_PROBES > 512), (LC_NUM_OF_PROBES*2 > 512), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE255_MU_CNT-1, LC_PROBE511_MU_CNT-1, (LC_NUM_OF_PROBES > 511), (LC_NUM_OF_PROBES*2 > 511), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE255_MU_CNT-1, LC_PROBE510_MU_CNT-1, (LC_NUM_OF_PROBES > 510), (LC_NUM_OF_PROBES*2 > 510), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE254_MU_CNT-1, LC_PROBE509_MU_CNT-1, (LC_NUM_OF_PROBES > 509), (LC_NUM_OF_PROBES*2 > 509), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE254_MU_CNT-1, LC_PROBE508_MU_CNT-1, (LC_NUM_OF_PROBES > 508), (LC_NUM_OF_PROBES*2 > 508), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE253_MU_CNT-1, LC_PROBE507_MU_CNT-1, (LC_NUM_OF_PROBES > 507), (LC_NUM_OF_PROBES*2 > 507), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE253_MU_CNT-1, LC_PROBE506_MU_CNT-1, (LC_NUM_OF_PROBES > 506), (LC_NUM_OF_PROBES*2 > 506), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE252_MU_CNT-1, LC_PROBE505_MU_CNT-1, (LC_NUM_OF_PROBES > 505), (LC_NUM_OF_PROBES*2 > 505), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE252_MU_CNT-1, LC_PROBE504_MU_CNT-1, (LC_NUM_OF_PROBES > 504), (LC_NUM_OF_PROBES*2 > 504), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE251_MU_CNT-1, LC_PROBE503_MU_CNT-1, (LC_NUM_OF_PROBES > 503), (LC_NUM_OF_PROBES*2 > 503), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE251_MU_CNT-1, LC_PROBE502_MU_CNT-1, (LC_NUM_OF_PROBES > 502), (LC_NUM_OF_PROBES*2 > 502), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE250_MU_CNT-1, LC_PROBE501_MU_CNT-1, (LC_NUM_OF_PROBES > 501), (LC_NUM_OF_PROBES*2 > 501), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE250_MU_CNT-1, LC_PROBE500_MU_CNT-1, (LC_NUM_OF_PROBES > 500), (LC_NUM_OF_PROBES*2 > 500), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE249_MU_CNT-1, LC_PROBE499_MU_CNT-1, (LC_NUM_OF_PROBES > 499), (LC_NUM_OF_PROBES*2 > 499), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE249_MU_CNT-1, LC_PROBE498_MU_CNT-1, (LC_NUM_OF_PROBES > 498), (LC_NUM_OF_PROBES*2 > 498), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE248_MU_CNT-1, LC_PROBE497_MU_CNT-1, (LC_NUM_OF_PROBES > 497), (LC_NUM_OF_PROBES*2 > 497), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE248_MU_CNT-1, LC_PROBE496_MU_CNT-1, (LC_NUM_OF_PROBES > 496), (LC_NUM_OF_PROBES*2 > 496), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE247_MU_CNT-1, LC_PROBE495_MU_CNT-1, (LC_NUM_OF_PROBES > 495), (LC_NUM_OF_PROBES*2 > 495), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE247_MU_CNT-1, LC_PROBE494_MU_CNT-1, (LC_NUM_OF_PROBES > 494), (LC_NUM_OF_PROBES*2 > 494), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE246_MU_CNT-1, LC_PROBE493_MU_CNT-1, (LC_NUM_OF_PROBES > 493), (LC_NUM_OF_PROBES*2 > 493), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE246_MU_CNT-1, LC_PROBE492_MU_CNT-1, (LC_NUM_OF_PROBES > 492), (LC_NUM_OF_PROBES*2 > 492), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE245_MU_CNT-1, LC_PROBE491_MU_CNT-1, (LC_NUM_OF_PROBES > 491), (LC_NUM_OF_PROBES*2 > 491), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE245_MU_CNT-1, LC_PROBE490_MU_CNT-1, (LC_NUM_OF_PROBES > 490), (LC_NUM_OF_PROBES*2 > 490), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE244_MU_CNT-1, LC_PROBE489_MU_CNT-1, (LC_NUM_OF_PROBES > 489), (LC_NUM_OF_PROBES*2 > 489), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE244_MU_CNT-1, LC_PROBE488_MU_CNT-1, (LC_NUM_OF_PROBES > 488), (LC_NUM_OF_PROBES*2 > 488), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE243_MU_CNT-1, LC_PROBE487_MU_CNT-1, (LC_NUM_OF_PROBES > 487), (LC_NUM_OF_PROBES*2 > 487), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE243_MU_CNT-1, LC_PROBE486_MU_CNT-1, (LC_NUM_OF_PROBES > 486), (LC_NUM_OF_PROBES*2 > 486), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE242_MU_CNT-1, LC_PROBE485_MU_CNT-1, (LC_NUM_OF_PROBES > 485), (LC_NUM_OF_PROBES*2 > 485), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE242_MU_CNT-1, LC_PROBE484_MU_CNT-1, (LC_NUM_OF_PROBES > 484), (LC_NUM_OF_PROBES*2 > 484), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE241_MU_CNT-1, LC_PROBE483_MU_CNT-1, (LC_NUM_OF_PROBES > 483), (LC_NUM_OF_PROBES*2 > 483), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE241_MU_CNT-1, LC_PROBE482_MU_CNT-1, (LC_NUM_OF_PROBES > 482), (LC_NUM_OF_PROBES*2 > 482), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE240_MU_CNT-1, LC_PROBE481_MU_CNT-1, (LC_NUM_OF_PROBES > 481), (LC_NUM_OF_PROBES*2 > 481), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE240_MU_CNT-1, LC_PROBE480_MU_CNT-1, (LC_NUM_OF_PROBES > 480), (LC_NUM_OF_PROBES*2 > 480), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE239_MU_CNT-1, LC_PROBE479_MU_CNT-1, (LC_NUM_OF_PROBES > 479), (LC_NUM_OF_PROBES*2 > 479), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE239_MU_CNT-1, LC_PROBE478_MU_CNT-1, (LC_NUM_OF_PROBES > 478), (LC_NUM_OF_PROBES*2 > 478), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE238_MU_CNT-1, LC_PROBE477_MU_CNT-1, (LC_NUM_OF_PROBES > 477), (LC_NUM_OF_PROBES*2 > 477), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE238_MU_CNT-1, LC_PROBE476_MU_CNT-1, (LC_NUM_OF_PROBES > 476), (LC_NUM_OF_PROBES*2 > 476), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE237_MU_CNT-1, LC_PROBE475_MU_CNT-1, (LC_NUM_OF_PROBES > 475), (LC_NUM_OF_PROBES*2 > 475), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE237_MU_CNT-1, LC_PROBE474_MU_CNT-1, (LC_NUM_OF_PROBES > 474), (LC_NUM_OF_PROBES*2 > 474), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE236_MU_CNT-1, LC_PROBE473_MU_CNT-1, (LC_NUM_OF_PROBES > 473), (LC_NUM_OF_PROBES*2 > 473), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE236_MU_CNT-1, LC_PROBE472_MU_CNT-1, (LC_NUM_OF_PROBES > 472), (LC_NUM_OF_PROBES*2 > 472), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE235_MU_CNT-1, LC_PROBE471_MU_CNT-1, (LC_NUM_OF_PROBES > 471), (LC_NUM_OF_PROBES*2 > 471), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE235_MU_CNT-1, LC_PROBE470_MU_CNT-1, (LC_NUM_OF_PROBES > 470), (LC_NUM_OF_PROBES*2 > 470), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE234_MU_CNT-1, LC_PROBE469_MU_CNT-1, (LC_NUM_OF_PROBES > 469), (LC_NUM_OF_PROBES*2 > 469), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE234_MU_CNT-1, LC_PROBE468_MU_CNT-1, (LC_NUM_OF_PROBES > 468), (LC_NUM_OF_PROBES*2 > 468), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE233_MU_CNT-1, LC_PROBE467_MU_CNT-1, (LC_NUM_OF_PROBES > 467), (LC_NUM_OF_PROBES*2 > 467), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE233_MU_CNT-1, LC_PROBE466_MU_CNT-1, (LC_NUM_OF_PROBES > 466), (LC_NUM_OF_PROBES*2 > 466), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE232_MU_CNT-1, LC_PROBE465_MU_CNT-1, (LC_NUM_OF_PROBES > 465), (LC_NUM_OF_PROBES*2 > 465), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE232_MU_CNT-1, LC_PROBE464_MU_CNT-1, (LC_NUM_OF_PROBES > 464), (LC_NUM_OF_PROBES*2 > 464), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE231_MU_CNT-1, LC_PROBE463_MU_CNT-1, (LC_NUM_OF_PROBES > 463), (LC_NUM_OF_PROBES*2 > 463), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE231_MU_CNT-1, LC_PROBE462_MU_CNT-1, (LC_NUM_OF_PROBES > 462), (LC_NUM_OF_PROBES*2 > 462), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE230_MU_CNT-1, LC_PROBE461_MU_CNT-1, (LC_NUM_OF_PROBES > 461), (LC_NUM_OF_PROBES*2 > 461), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE230_MU_CNT-1, LC_PROBE460_MU_CNT-1, (LC_NUM_OF_PROBES > 460), (LC_NUM_OF_PROBES*2 > 460), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE229_MU_CNT-1, LC_PROBE459_MU_CNT-1, (LC_NUM_OF_PROBES > 459), (LC_NUM_OF_PROBES*2 > 459), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE229_MU_CNT-1, LC_PROBE458_MU_CNT-1, (LC_NUM_OF_PROBES > 458), (LC_NUM_OF_PROBES*2 > 458), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE228_MU_CNT-1, LC_PROBE457_MU_CNT-1, (LC_NUM_OF_PROBES > 457), (LC_NUM_OF_PROBES*2 > 457), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE228_MU_CNT-1, LC_PROBE456_MU_CNT-1, (LC_NUM_OF_PROBES > 456), (LC_NUM_OF_PROBES*2 > 456), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE227_MU_CNT-1, LC_PROBE455_MU_CNT-1, (LC_NUM_OF_PROBES > 455), (LC_NUM_OF_PROBES*2 > 455), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE227_MU_CNT-1, LC_PROBE454_MU_CNT-1, (LC_NUM_OF_PROBES > 454), (LC_NUM_OF_PROBES*2 > 454), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE226_MU_CNT-1, LC_PROBE453_MU_CNT-1, (LC_NUM_OF_PROBES > 453), (LC_NUM_OF_PROBES*2 > 453), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE226_MU_CNT-1, LC_PROBE452_MU_CNT-1, (LC_NUM_OF_PROBES > 452), (LC_NUM_OF_PROBES*2 > 452), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE225_MU_CNT-1, LC_PROBE451_MU_CNT-1, (LC_NUM_OF_PROBES > 451), (LC_NUM_OF_PROBES*2 > 451), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE225_MU_CNT-1, LC_PROBE450_MU_CNT-1, (LC_NUM_OF_PROBES > 450), (LC_NUM_OF_PROBES*2 > 450), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE224_MU_CNT-1, LC_PROBE449_MU_CNT-1, (LC_NUM_OF_PROBES > 449), (LC_NUM_OF_PROBES*2 > 449), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE224_MU_CNT-1, LC_PROBE448_MU_CNT-1, (LC_NUM_OF_PROBES > 448), (LC_NUM_OF_PROBES*2 > 448), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE223_MU_CNT-1, LC_PROBE447_MU_CNT-1, (LC_NUM_OF_PROBES > 447), (LC_NUM_OF_PROBES*2 > 447), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE223_MU_CNT-1, LC_PROBE446_MU_CNT-1, (LC_NUM_OF_PROBES > 446), (LC_NUM_OF_PROBES*2 > 446), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE222_MU_CNT-1, LC_PROBE445_MU_CNT-1, (LC_NUM_OF_PROBES > 445), (LC_NUM_OF_PROBES*2 > 445), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE222_MU_CNT-1, LC_PROBE444_MU_CNT-1, (LC_NUM_OF_PROBES > 444), (LC_NUM_OF_PROBES*2 > 444), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE221_MU_CNT-1, LC_PROBE443_MU_CNT-1, (LC_NUM_OF_PROBES > 443), (LC_NUM_OF_PROBES*2 > 443), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE221_MU_CNT-1, LC_PROBE442_MU_CNT-1, (LC_NUM_OF_PROBES > 442), (LC_NUM_OF_PROBES*2 > 442), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE220_MU_CNT-1, LC_PROBE441_MU_CNT-1, (LC_NUM_OF_PROBES > 441), (LC_NUM_OF_PROBES*2 > 441), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE220_MU_CNT-1, LC_PROBE440_MU_CNT-1, (LC_NUM_OF_PROBES > 440), (LC_NUM_OF_PROBES*2 > 440), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE219_MU_CNT-1, LC_PROBE439_MU_CNT-1, (LC_NUM_OF_PROBES > 439), (LC_NUM_OF_PROBES*2 > 439), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE219_MU_CNT-1, LC_PROBE438_MU_CNT-1, (LC_NUM_OF_PROBES > 438), (LC_NUM_OF_PROBES*2 > 438), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE218_MU_CNT-1, LC_PROBE437_MU_CNT-1, (LC_NUM_OF_PROBES > 437), (LC_NUM_OF_PROBES*2 > 437), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE218_MU_CNT-1, LC_PROBE436_MU_CNT-1, (LC_NUM_OF_PROBES > 436), (LC_NUM_OF_PROBES*2 > 436), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE217_MU_CNT-1, LC_PROBE435_MU_CNT-1, (LC_NUM_OF_PROBES > 435), (LC_NUM_OF_PROBES*2 > 435), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE217_MU_CNT-1, LC_PROBE434_MU_CNT-1, (LC_NUM_OF_PROBES > 434), (LC_NUM_OF_PROBES*2 > 434), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE216_MU_CNT-1, LC_PROBE433_MU_CNT-1, (LC_NUM_OF_PROBES > 433), (LC_NUM_OF_PROBES*2 > 433), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE216_MU_CNT-1, LC_PROBE432_MU_CNT-1, (LC_NUM_OF_PROBES > 432), (LC_NUM_OF_PROBES*2 > 432), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE215_MU_CNT-1, LC_PROBE431_MU_CNT-1, (LC_NUM_OF_PROBES > 431), (LC_NUM_OF_PROBES*2 > 431), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE215_MU_CNT-1, LC_PROBE430_MU_CNT-1, (LC_NUM_OF_PROBES > 430), (LC_NUM_OF_PROBES*2 > 430), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE214_MU_CNT-1, LC_PROBE429_MU_CNT-1, (LC_NUM_OF_PROBES > 429), (LC_NUM_OF_PROBES*2 > 429), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE214_MU_CNT-1, LC_PROBE428_MU_CNT-1, (LC_NUM_OF_PROBES > 428), (LC_NUM_OF_PROBES*2 > 428), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE213_MU_CNT-1, LC_PROBE427_MU_CNT-1, (LC_NUM_OF_PROBES > 427), (LC_NUM_OF_PROBES*2 > 427), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE213_MU_CNT-1, LC_PROBE426_MU_CNT-1, (LC_NUM_OF_PROBES > 426), (LC_NUM_OF_PROBES*2 > 426), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE212_MU_CNT-1, LC_PROBE425_MU_CNT-1, (LC_NUM_OF_PROBES > 425), (LC_NUM_OF_PROBES*2 > 425), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE212_MU_CNT-1, LC_PROBE424_MU_CNT-1, (LC_NUM_OF_PROBES > 424), (LC_NUM_OF_PROBES*2 > 424), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE211_MU_CNT-1, LC_PROBE423_MU_CNT-1, (LC_NUM_OF_PROBES > 423), (LC_NUM_OF_PROBES*2 > 423), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE211_MU_CNT-1, LC_PROBE422_MU_CNT-1, (LC_NUM_OF_PROBES > 422), (LC_NUM_OF_PROBES*2 > 422), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE210_MU_CNT-1, LC_PROBE421_MU_CNT-1, (LC_NUM_OF_PROBES > 421), (LC_NUM_OF_PROBES*2 > 421), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE210_MU_CNT-1, LC_PROBE420_MU_CNT-1, (LC_NUM_OF_PROBES > 420), (LC_NUM_OF_PROBES*2 > 420), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE209_MU_CNT-1, LC_PROBE419_MU_CNT-1, (LC_NUM_OF_PROBES > 419), (LC_NUM_OF_PROBES*2 > 419), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE209_MU_CNT-1, LC_PROBE418_MU_CNT-1, (LC_NUM_OF_PROBES > 418), (LC_NUM_OF_PROBES*2 > 418), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE208_MU_CNT-1, LC_PROBE417_MU_CNT-1, (LC_NUM_OF_PROBES > 417), (LC_NUM_OF_PROBES*2 > 417), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE208_MU_CNT-1, LC_PROBE416_MU_CNT-1, (LC_NUM_OF_PROBES > 416), (LC_NUM_OF_PROBES*2 > 416), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE207_MU_CNT-1, LC_PROBE415_MU_CNT-1, (LC_NUM_OF_PROBES > 415), (LC_NUM_OF_PROBES*2 > 415), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE207_MU_CNT-1, LC_PROBE414_MU_CNT-1, (LC_NUM_OF_PROBES > 414), (LC_NUM_OF_PROBES*2 > 414), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE206_MU_CNT-1, LC_PROBE413_MU_CNT-1, (LC_NUM_OF_PROBES > 413), (LC_NUM_OF_PROBES*2 > 413), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE206_MU_CNT-1, LC_PROBE412_MU_CNT-1, (LC_NUM_OF_PROBES > 412), (LC_NUM_OF_PROBES*2 > 412), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE205_MU_CNT-1, LC_PROBE411_MU_CNT-1, (LC_NUM_OF_PROBES > 411), (LC_NUM_OF_PROBES*2 > 411), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE205_MU_CNT-1, LC_PROBE410_MU_CNT-1, (LC_NUM_OF_PROBES > 410), (LC_NUM_OF_PROBES*2 > 410), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE204_MU_CNT-1, LC_PROBE409_MU_CNT-1, (LC_NUM_OF_PROBES > 409), (LC_NUM_OF_PROBES*2 > 409), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE204_MU_CNT-1, LC_PROBE408_MU_CNT-1, (LC_NUM_OF_PROBES > 408), (LC_NUM_OF_PROBES*2 > 408), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE203_MU_CNT-1, LC_PROBE407_MU_CNT-1, (LC_NUM_OF_PROBES > 407), (LC_NUM_OF_PROBES*2 > 407), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE203_MU_CNT-1, LC_PROBE406_MU_CNT-1, (LC_NUM_OF_PROBES > 406), (LC_NUM_OF_PROBES*2 > 406), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE202_MU_CNT-1, LC_PROBE405_MU_CNT-1, (LC_NUM_OF_PROBES > 405), (LC_NUM_OF_PROBES*2 > 405), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE202_MU_CNT-1, LC_PROBE404_MU_CNT-1, (LC_NUM_OF_PROBES > 404), (LC_NUM_OF_PROBES*2 > 404), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE201_MU_CNT-1, LC_PROBE403_MU_CNT-1, (LC_NUM_OF_PROBES > 403), (LC_NUM_OF_PROBES*2 > 403), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE201_MU_CNT-1, LC_PROBE402_MU_CNT-1, (LC_NUM_OF_PROBES > 402), (LC_NUM_OF_PROBES*2 > 402), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE200_MU_CNT-1, LC_PROBE401_MU_CNT-1, (LC_NUM_OF_PROBES > 401), (LC_NUM_OF_PROBES*2 > 401), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE200_MU_CNT-1, LC_PROBE400_MU_CNT-1, (LC_NUM_OF_PROBES > 400), (LC_NUM_OF_PROBES*2 > 400), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE199_MU_CNT-1, LC_PROBE399_MU_CNT-1, (LC_NUM_OF_PROBES > 399), (LC_NUM_OF_PROBES*2 > 399), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE199_MU_CNT-1, LC_PROBE398_MU_CNT-1, (LC_NUM_OF_PROBES > 398), (LC_NUM_OF_PROBES*2 > 398), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE198_MU_CNT-1, LC_PROBE397_MU_CNT-1, (LC_NUM_OF_PROBES > 397), (LC_NUM_OF_PROBES*2 > 397), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE198_MU_CNT-1, LC_PROBE396_MU_CNT-1, (LC_NUM_OF_PROBES > 396), (LC_NUM_OF_PROBES*2 > 396), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE197_MU_CNT-1, LC_PROBE395_MU_CNT-1, (LC_NUM_OF_PROBES > 395), (LC_NUM_OF_PROBES*2 > 395), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE197_MU_CNT-1, LC_PROBE394_MU_CNT-1, (LC_NUM_OF_PROBES > 394), (LC_NUM_OF_PROBES*2 > 394), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE196_MU_CNT-1, LC_PROBE393_MU_CNT-1, (LC_NUM_OF_PROBES > 393), (LC_NUM_OF_PROBES*2 > 393), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE196_MU_CNT-1, LC_PROBE392_MU_CNT-1, (LC_NUM_OF_PROBES > 392), (LC_NUM_OF_PROBES*2 > 392), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE195_MU_CNT-1, LC_PROBE391_MU_CNT-1, (LC_NUM_OF_PROBES > 391), (LC_NUM_OF_PROBES*2 > 391), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE195_MU_CNT-1, LC_PROBE390_MU_CNT-1, (LC_NUM_OF_PROBES > 390), (LC_NUM_OF_PROBES*2 > 390), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE194_MU_CNT-1, LC_PROBE389_MU_CNT-1, (LC_NUM_OF_PROBES > 389), (LC_NUM_OF_PROBES*2 > 389), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE194_MU_CNT-1, LC_PROBE388_MU_CNT-1, (LC_NUM_OF_PROBES > 388), (LC_NUM_OF_PROBES*2 > 388), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE193_MU_CNT-1, LC_PROBE387_MU_CNT-1, (LC_NUM_OF_PROBES > 387), (LC_NUM_OF_PROBES*2 > 387), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE193_MU_CNT-1, LC_PROBE386_MU_CNT-1, (LC_NUM_OF_PROBES > 386), (LC_NUM_OF_PROBES*2 > 386), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE192_MU_CNT-1, LC_PROBE385_MU_CNT-1, (LC_NUM_OF_PROBES > 385), (LC_NUM_OF_PROBES*2 > 385), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE192_MU_CNT-1, LC_PROBE384_MU_CNT-1, (LC_NUM_OF_PROBES > 384), (LC_NUM_OF_PROBES*2 > 384), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE191_MU_CNT-1, LC_PROBE383_MU_CNT-1, (LC_NUM_OF_PROBES > 383), (LC_NUM_OF_PROBES*2 > 383), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE191_MU_CNT-1, LC_PROBE382_MU_CNT-1, (LC_NUM_OF_PROBES > 382), (LC_NUM_OF_PROBES*2 > 382), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE190_MU_CNT-1, LC_PROBE381_MU_CNT-1, (LC_NUM_OF_PROBES > 381), (LC_NUM_OF_PROBES*2 > 381), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE190_MU_CNT-1, LC_PROBE380_MU_CNT-1, (LC_NUM_OF_PROBES > 380), (LC_NUM_OF_PROBES*2 > 380), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE189_MU_CNT-1, LC_PROBE379_MU_CNT-1, (LC_NUM_OF_PROBES > 379), (LC_NUM_OF_PROBES*2 > 379), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE189_MU_CNT-1, LC_PROBE378_MU_CNT-1, (LC_NUM_OF_PROBES > 378), (LC_NUM_OF_PROBES*2 > 378), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE188_MU_CNT-1, LC_PROBE377_MU_CNT-1, (LC_NUM_OF_PROBES > 377), (LC_NUM_OF_PROBES*2 > 377), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE188_MU_CNT-1, LC_PROBE376_MU_CNT-1, (LC_NUM_OF_PROBES > 376), (LC_NUM_OF_PROBES*2 > 376), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE187_MU_CNT-1, LC_PROBE375_MU_CNT-1, (LC_NUM_OF_PROBES > 375), (LC_NUM_OF_PROBES*2 > 375), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE187_MU_CNT-1, LC_PROBE374_MU_CNT-1, (LC_NUM_OF_PROBES > 374), (LC_NUM_OF_PROBES*2 > 374), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE186_MU_CNT-1, LC_PROBE373_MU_CNT-1, (LC_NUM_OF_PROBES > 373), (LC_NUM_OF_PROBES*2 > 373), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE186_MU_CNT-1, LC_PROBE372_MU_CNT-1, (LC_NUM_OF_PROBES > 372), (LC_NUM_OF_PROBES*2 > 372), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE185_MU_CNT-1, LC_PROBE371_MU_CNT-1, (LC_NUM_OF_PROBES > 371), (LC_NUM_OF_PROBES*2 > 371), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE185_MU_CNT-1, LC_PROBE370_MU_CNT-1, (LC_NUM_OF_PROBES > 370), (LC_NUM_OF_PROBES*2 > 370), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE184_MU_CNT-1, LC_PROBE369_MU_CNT-1, (LC_NUM_OF_PROBES > 369), (LC_NUM_OF_PROBES*2 > 369), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE184_MU_CNT-1, LC_PROBE368_MU_CNT-1, (LC_NUM_OF_PROBES > 368), (LC_NUM_OF_PROBES*2 > 368), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE183_MU_CNT-1, LC_PROBE367_MU_CNT-1, (LC_NUM_OF_PROBES > 367), (LC_NUM_OF_PROBES*2 > 367), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE183_MU_CNT-1, LC_PROBE366_MU_CNT-1, (LC_NUM_OF_PROBES > 366), (LC_NUM_OF_PROBES*2 > 366), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE182_MU_CNT-1, LC_PROBE365_MU_CNT-1, (LC_NUM_OF_PROBES > 365), (LC_NUM_OF_PROBES*2 > 365), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE182_MU_CNT-1, LC_PROBE364_MU_CNT-1, (LC_NUM_OF_PROBES > 364), (LC_NUM_OF_PROBES*2 > 364), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE181_MU_CNT-1, LC_PROBE363_MU_CNT-1, (LC_NUM_OF_PROBES > 363), (LC_NUM_OF_PROBES*2 > 363), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE181_MU_CNT-1, LC_PROBE362_MU_CNT-1, (LC_NUM_OF_PROBES > 362), (LC_NUM_OF_PROBES*2 > 362), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE180_MU_CNT-1, LC_PROBE361_MU_CNT-1, (LC_NUM_OF_PROBES > 361), (LC_NUM_OF_PROBES*2 > 361), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE180_MU_CNT-1, LC_PROBE360_MU_CNT-1, (LC_NUM_OF_PROBES > 360), (LC_NUM_OF_PROBES*2 > 360), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE179_MU_CNT-1, LC_PROBE359_MU_CNT-1, (LC_NUM_OF_PROBES > 359), (LC_NUM_OF_PROBES*2 > 359), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE179_MU_CNT-1, LC_PROBE358_MU_CNT-1, (LC_NUM_OF_PROBES > 358), (LC_NUM_OF_PROBES*2 > 358), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE178_MU_CNT-1, LC_PROBE357_MU_CNT-1, (LC_NUM_OF_PROBES > 357), (LC_NUM_OF_PROBES*2 > 357), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE178_MU_CNT-1, LC_PROBE356_MU_CNT-1, (LC_NUM_OF_PROBES > 356), (LC_NUM_OF_PROBES*2 > 356), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE177_MU_CNT-1, LC_PROBE355_MU_CNT-1, (LC_NUM_OF_PROBES > 355), (LC_NUM_OF_PROBES*2 > 355), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE177_MU_CNT-1, LC_PROBE354_MU_CNT-1, (LC_NUM_OF_PROBES > 354), (LC_NUM_OF_PROBES*2 > 354), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE176_MU_CNT-1, LC_PROBE353_MU_CNT-1, (LC_NUM_OF_PROBES > 353), (LC_NUM_OF_PROBES*2 > 353), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE176_MU_CNT-1, LC_PROBE352_MU_CNT-1, (LC_NUM_OF_PROBES > 352), (LC_NUM_OF_PROBES*2 > 352), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE175_MU_CNT-1, LC_PROBE351_MU_CNT-1, (LC_NUM_OF_PROBES > 351), (LC_NUM_OF_PROBES*2 > 351), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE175_MU_CNT-1, LC_PROBE350_MU_CNT-1, (LC_NUM_OF_PROBES > 350), (LC_NUM_OF_PROBES*2 > 350), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE174_MU_CNT-1, LC_PROBE349_MU_CNT-1, (LC_NUM_OF_PROBES > 349), (LC_NUM_OF_PROBES*2 > 349), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE174_MU_CNT-1, LC_PROBE348_MU_CNT-1, (LC_NUM_OF_PROBES > 348), (LC_NUM_OF_PROBES*2 > 348), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE173_MU_CNT-1, LC_PROBE347_MU_CNT-1, (LC_NUM_OF_PROBES > 347), (LC_NUM_OF_PROBES*2 > 347), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE173_MU_CNT-1, LC_PROBE346_MU_CNT-1, (LC_NUM_OF_PROBES > 346), (LC_NUM_OF_PROBES*2 > 346), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE172_MU_CNT-1, LC_PROBE345_MU_CNT-1, (LC_NUM_OF_PROBES > 345), (LC_NUM_OF_PROBES*2 > 345), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE172_MU_CNT-1, LC_PROBE344_MU_CNT-1, (LC_NUM_OF_PROBES > 344), (LC_NUM_OF_PROBES*2 > 344), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE171_MU_CNT-1, LC_PROBE343_MU_CNT-1, (LC_NUM_OF_PROBES > 343), (LC_NUM_OF_PROBES*2 > 343), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE171_MU_CNT-1, LC_PROBE342_MU_CNT-1, (LC_NUM_OF_PROBES > 342), (LC_NUM_OF_PROBES*2 > 342), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE170_MU_CNT-1, LC_PROBE341_MU_CNT-1, (LC_NUM_OF_PROBES > 341), (LC_NUM_OF_PROBES*2 > 341), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE170_MU_CNT-1, LC_PROBE340_MU_CNT-1, (LC_NUM_OF_PROBES > 340), (LC_NUM_OF_PROBES*2 > 340), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE169_MU_CNT-1, LC_PROBE339_MU_CNT-1, (LC_NUM_OF_PROBES > 339), (LC_NUM_OF_PROBES*2 > 339), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE169_MU_CNT-1, LC_PROBE338_MU_CNT-1, (LC_NUM_OF_PROBES > 338), (LC_NUM_OF_PROBES*2 > 338), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE168_MU_CNT-1, LC_PROBE337_MU_CNT-1, (LC_NUM_OF_PROBES > 337), (LC_NUM_OF_PROBES*2 > 337), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE168_MU_CNT-1, LC_PROBE336_MU_CNT-1, (LC_NUM_OF_PROBES > 336), (LC_NUM_OF_PROBES*2 > 336), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE167_MU_CNT-1, LC_PROBE335_MU_CNT-1, (LC_NUM_OF_PROBES > 335), (LC_NUM_OF_PROBES*2 > 335), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE167_MU_CNT-1, LC_PROBE334_MU_CNT-1, (LC_NUM_OF_PROBES > 334), (LC_NUM_OF_PROBES*2 > 334), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE166_MU_CNT-1, LC_PROBE333_MU_CNT-1, (LC_NUM_OF_PROBES > 333), (LC_NUM_OF_PROBES*2 > 333), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE166_MU_CNT-1, LC_PROBE332_MU_CNT-1, (LC_NUM_OF_PROBES > 332), (LC_NUM_OF_PROBES*2 > 332), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE165_MU_CNT-1, LC_PROBE331_MU_CNT-1, (LC_NUM_OF_PROBES > 331), (LC_NUM_OF_PROBES*2 > 331), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE165_MU_CNT-1, LC_PROBE330_MU_CNT-1, (LC_NUM_OF_PROBES > 330), (LC_NUM_OF_PROBES*2 > 330), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE164_MU_CNT-1, LC_PROBE329_MU_CNT-1, (LC_NUM_OF_PROBES > 329), (LC_NUM_OF_PROBES*2 > 329), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE164_MU_CNT-1, LC_PROBE328_MU_CNT-1, (LC_NUM_OF_PROBES > 328), (LC_NUM_OF_PROBES*2 > 328), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE163_MU_CNT-1, LC_PROBE327_MU_CNT-1, (LC_NUM_OF_PROBES > 327), (LC_NUM_OF_PROBES*2 > 327), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE163_MU_CNT-1, LC_PROBE326_MU_CNT-1, (LC_NUM_OF_PROBES > 326), (LC_NUM_OF_PROBES*2 > 326), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE162_MU_CNT-1, LC_PROBE325_MU_CNT-1, (LC_NUM_OF_PROBES > 325), (LC_NUM_OF_PROBES*2 > 325), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE162_MU_CNT-1, LC_PROBE324_MU_CNT-1, (LC_NUM_OF_PROBES > 324), (LC_NUM_OF_PROBES*2 > 324), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE161_MU_CNT-1, LC_PROBE323_MU_CNT-1, (LC_NUM_OF_PROBES > 323), (LC_NUM_OF_PROBES*2 > 323), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE161_MU_CNT-1, LC_PROBE322_MU_CNT-1, (LC_NUM_OF_PROBES > 322), (LC_NUM_OF_PROBES*2 > 322), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE160_MU_CNT-1, LC_PROBE321_MU_CNT-1, (LC_NUM_OF_PROBES > 321), (LC_NUM_OF_PROBES*2 > 321), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE160_MU_CNT-1, LC_PROBE320_MU_CNT-1, (LC_NUM_OF_PROBES > 320), (LC_NUM_OF_PROBES*2 > 320), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE159_MU_CNT-1, LC_PROBE319_MU_CNT-1, (LC_NUM_OF_PROBES > 319), (LC_NUM_OF_PROBES*2 > 319), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE159_MU_CNT-1, LC_PROBE318_MU_CNT-1, (LC_NUM_OF_PROBES > 318), (LC_NUM_OF_PROBES*2 > 318), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE158_MU_CNT-1, LC_PROBE317_MU_CNT-1, (LC_NUM_OF_PROBES > 317), (LC_NUM_OF_PROBES*2 > 317), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE158_MU_CNT-1, LC_PROBE316_MU_CNT-1, (LC_NUM_OF_PROBES > 316), (LC_NUM_OF_PROBES*2 > 316), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE157_MU_CNT-1, LC_PROBE315_MU_CNT-1, (LC_NUM_OF_PROBES > 315), (LC_NUM_OF_PROBES*2 > 315), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE157_MU_CNT-1, LC_PROBE314_MU_CNT-1, (LC_NUM_OF_PROBES > 314), (LC_NUM_OF_PROBES*2 > 314), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE156_MU_CNT-1, LC_PROBE313_MU_CNT-1, (LC_NUM_OF_PROBES > 313), (LC_NUM_OF_PROBES*2 > 313), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE156_MU_CNT-1, LC_PROBE312_MU_CNT-1, (LC_NUM_OF_PROBES > 312), (LC_NUM_OF_PROBES*2 > 312), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE155_MU_CNT-1, LC_PROBE311_MU_CNT-1, (LC_NUM_OF_PROBES > 311), (LC_NUM_OF_PROBES*2 > 311), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE155_MU_CNT-1, LC_PROBE310_MU_CNT-1, (LC_NUM_OF_PROBES > 310), (LC_NUM_OF_PROBES*2 > 310), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE154_MU_CNT-1, LC_PROBE309_MU_CNT-1, (LC_NUM_OF_PROBES > 309), (LC_NUM_OF_PROBES*2 > 309), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE154_MU_CNT-1, LC_PROBE308_MU_CNT-1, (LC_NUM_OF_PROBES > 308), (LC_NUM_OF_PROBES*2 > 308), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE153_MU_CNT-1, LC_PROBE307_MU_CNT-1, (LC_NUM_OF_PROBES > 307), (LC_NUM_OF_PROBES*2 > 307), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE153_MU_CNT-1, LC_PROBE306_MU_CNT-1, (LC_NUM_OF_PROBES > 306), (LC_NUM_OF_PROBES*2 > 306), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE152_MU_CNT-1, LC_PROBE305_MU_CNT-1, (LC_NUM_OF_PROBES > 305), (LC_NUM_OF_PROBES*2 > 305), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE152_MU_CNT-1, LC_PROBE304_MU_CNT-1, (LC_NUM_OF_PROBES > 304), (LC_NUM_OF_PROBES*2 > 304), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE151_MU_CNT-1, LC_PROBE303_MU_CNT-1, (LC_NUM_OF_PROBES > 303), (LC_NUM_OF_PROBES*2 > 303), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE151_MU_CNT-1, LC_PROBE302_MU_CNT-1, (LC_NUM_OF_PROBES > 302), (LC_NUM_OF_PROBES*2 > 302), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE150_MU_CNT-1, LC_PROBE301_MU_CNT-1, (LC_NUM_OF_PROBES > 301), (LC_NUM_OF_PROBES*2 > 301), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE150_MU_CNT-1, LC_PROBE300_MU_CNT-1, (LC_NUM_OF_PROBES > 300), (LC_NUM_OF_PROBES*2 > 300), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE149_MU_CNT-1, LC_PROBE299_MU_CNT-1, (LC_NUM_OF_PROBES > 299), (LC_NUM_OF_PROBES*2 > 299), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE149_MU_CNT-1, LC_PROBE298_MU_CNT-1, (LC_NUM_OF_PROBES > 298), (LC_NUM_OF_PROBES*2 > 298), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE148_MU_CNT-1, LC_PROBE297_MU_CNT-1, (LC_NUM_OF_PROBES > 297), (LC_NUM_OF_PROBES*2 > 297), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE148_MU_CNT-1, LC_PROBE296_MU_CNT-1, (LC_NUM_OF_PROBES > 296), (LC_NUM_OF_PROBES*2 > 296), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE147_MU_CNT-1, LC_PROBE295_MU_CNT-1, (LC_NUM_OF_PROBES > 295), (LC_NUM_OF_PROBES*2 > 295), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE147_MU_CNT-1, LC_PROBE294_MU_CNT-1, (LC_NUM_OF_PROBES > 294), (LC_NUM_OF_PROBES*2 > 294), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE146_MU_CNT-1, LC_PROBE293_MU_CNT-1, (LC_NUM_OF_PROBES > 293), (LC_NUM_OF_PROBES*2 > 293), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE146_MU_CNT-1, LC_PROBE292_MU_CNT-1, (LC_NUM_OF_PROBES > 292), (LC_NUM_OF_PROBES*2 > 292), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE145_MU_CNT-1, LC_PROBE291_MU_CNT-1, (LC_NUM_OF_PROBES > 291), (LC_NUM_OF_PROBES*2 > 291), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE145_MU_CNT-1, LC_PROBE290_MU_CNT-1, (LC_NUM_OF_PROBES > 290), (LC_NUM_OF_PROBES*2 > 290), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE144_MU_CNT-1, LC_PROBE289_MU_CNT-1, (LC_NUM_OF_PROBES > 289), (LC_NUM_OF_PROBES*2 > 289), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE144_MU_CNT-1, LC_PROBE288_MU_CNT-1, (LC_NUM_OF_PROBES > 288), (LC_NUM_OF_PROBES*2 > 288), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE143_MU_CNT-1, LC_PROBE287_MU_CNT-1, (LC_NUM_OF_PROBES > 287), (LC_NUM_OF_PROBES*2 > 287), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE143_MU_CNT-1, LC_PROBE286_MU_CNT-1, (LC_NUM_OF_PROBES > 286), (LC_NUM_OF_PROBES*2 > 286), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE142_MU_CNT-1, LC_PROBE285_MU_CNT-1, (LC_NUM_OF_PROBES > 285), (LC_NUM_OF_PROBES*2 > 285), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE142_MU_CNT-1, LC_PROBE284_MU_CNT-1, (LC_NUM_OF_PROBES > 284), (LC_NUM_OF_PROBES*2 > 284), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE141_MU_CNT-1, LC_PROBE283_MU_CNT-1, (LC_NUM_OF_PROBES > 283), (LC_NUM_OF_PROBES*2 > 283), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE141_MU_CNT-1, LC_PROBE282_MU_CNT-1, (LC_NUM_OF_PROBES > 282), (LC_NUM_OF_PROBES*2 > 282), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE140_MU_CNT-1, LC_PROBE281_MU_CNT-1, (LC_NUM_OF_PROBES > 281), (LC_NUM_OF_PROBES*2 > 281), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE140_MU_CNT-1, LC_PROBE280_MU_CNT-1, (LC_NUM_OF_PROBES > 280), (LC_NUM_OF_PROBES*2 > 280), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE139_MU_CNT-1, LC_PROBE279_MU_CNT-1, (LC_NUM_OF_PROBES > 279), (LC_NUM_OF_PROBES*2 > 279), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE139_MU_CNT-1, LC_PROBE278_MU_CNT-1, (LC_NUM_OF_PROBES > 278), (LC_NUM_OF_PROBES*2 > 278), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE138_MU_CNT-1, LC_PROBE277_MU_CNT-1, (LC_NUM_OF_PROBES > 277), (LC_NUM_OF_PROBES*2 > 277), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE138_MU_CNT-1, LC_PROBE276_MU_CNT-1, (LC_NUM_OF_PROBES > 276), (LC_NUM_OF_PROBES*2 > 276), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE137_MU_CNT-1, LC_PROBE275_MU_CNT-1, (LC_NUM_OF_PROBES > 275), (LC_NUM_OF_PROBES*2 > 275), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE137_MU_CNT-1, LC_PROBE274_MU_CNT-1, (LC_NUM_OF_PROBES > 274), (LC_NUM_OF_PROBES*2 > 274), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE136_MU_CNT-1, LC_PROBE273_MU_CNT-1, (LC_NUM_OF_PROBES > 273), (LC_NUM_OF_PROBES*2 > 273), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE136_MU_CNT-1, LC_PROBE272_MU_CNT-1, (LC_NUM_OF_PROBES > 272), (LC_NUM_OF_PROBES*2 > 272), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE135_MU_CNT-1, LC_PROBE271_MU_CNT-1, (LC_NUM_OF_PROBES > 271), (LC_NUM_OF_PROBES*2 > 271), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE135_MU_CNT-1, LC_PROBE270_MU_CNT-1, (LC_NUM_OF_PROBES > 270), (LC_NUM_OF_PROBES*2 > 270), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE134_MU_CNT-1, LC_PROBE269_MU_CNT-1, (LC_NUM_OF_PROBES > 269), (LC_NUM_OF_PROBES*2 > 269), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE134_MU_CNT-1, LC_PROBE268_MU_CNT-1, (LC_NUM_OF_PROBES > 268), (LC_NUM_OF_PROBES*2 > 268), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE133_MU_CNT-1, LC_PROBE267_MU_CNT-1, (LC_NUM_OF_PROBES > 267), (LC_NUM_OF_PROBES*2 > 267), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE133_MU_CNT-1, LC_PROBE266_MU_CNT-1, (LC_NUM_OF_PROBES > 266), (LC_NUM_OF_PROBES*2 > 266), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE132_MU_CNT-1, LC_PROBE265_MU_CNT-1, (LC_NUM_OF_PROBES > 265), (LC_NUM_OF_PROBES*2 > 265), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE132_MU_CNT-1, LC_PROBE264_MU_CNT-1, (LC_NUM_OF_PROBES > 264), (LC_NUM_OF_PROBES*2 > 264), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE131_MU_CNT-1, LC_PROBE263_MU_CNT-1, (LC_NUM_OF_PROBES > 263), (LC_NUM_OF_PROBES*2 > 263), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE131_MU_CNT-1, LC_PROBE262_MU_CNT-1, (LC_NUM_OF_PROBES > 262), (LC_NUM_OF_PROBES*2 > 262), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE130_MU_CNT-1, LC_PROBE261_MU_CNT-1, (LC_NUM_OF_PROBES > 261), (LC_NUM_OF_PROBES*2 > 261), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE130_MU_CNT-1, LC_PROBE260_MU_CNT-1, (LC_NUM_OF_PROBES > 260), (LC_NUM_OF_PROBES*2 > 260), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE129_MU_CNT-1, LC_PROBE259_MU_CNT-1, (LC_NUM_OF_PROBES > 259), (LC_NUM_OF_PROBES*2 > 259), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE129_MU_CNT-1, LC_PROBE258_MU_CNT-1, (LC_NUM_OF_PROBES > 258), (LC_NUM_OF_PROBES*2 > 258), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE128_MU_CNT-1, LC_PROBE257_MU_CNT-1, (LC_NUM_OF_PROBES > 257), (LC_NUM_OF_PROBES*2 > 257), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE128_MU_CNT-1, LC_PROBE256_MU_CNT-1, (LC_NUM_OF_PROBES > 256), (LC_NUM_OF_PROBES*2 > 256), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE127_MU_CNT-1, LC_PROBE255_MU_CNT-1, (LC_NUM_OF_PROBES > 255), (LC_NUM_OF_PROBES*2 > 255), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE127_MU_CNT-1, LC_PROBE254_MU_CNT-1, (LC_NUM_OF_PROBES > 254), (LC_NUM_OF_PROBES*2 > 254), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE126_MU_CNT-1, LC_PROBE253_MU_CNT-1, (LC_NUM_OF_PROBES > 253), (LC_NUM_OF_PROBES*2 > 253), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE126_MU_CNT-1, LC_PROBE252_MU_CNT-1, (LC_NUM_OF_PROBES > 252), (LC_NUM_OF_PROBES*2 > 252), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE125_MU_CNT-1, LC_PROBE251_MU_CNT-1, (LC_NUM_OF_PROBES > 251), (LC_NUM_OF_PROBES*2 > 251), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE125_MU_CNT-1, LC_PROBE250_MU_CNT-1, (LC_NUM_OF_PROBES > 250), (LC_NUM_OF_PROBES*2 > 250), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE124_MU_CNT-1, LC_PROBE249_MU_CNT-1, (LC_NUM_OF_PROBES > 249), (LC_NUM_OF_PROBES*2 > 249), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE124_MU_CNT-1, LC_PROBE248_MU_CNT-1, (LC_NUM_OF_PROBES > 248), (LC_NUM_OF_PROBES*2 > 248), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE123_MU_CNT-1, LC_PROBE247_MU_CNT-1, (LC_NUM_OF_PROBES > 247), (LC_NUM_OF_PROBES*2 > 247), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE123_MU_CNT-1, LC_PROBE246_MU_CNT-1, (LC_NUM_OF_PROBES > 246), (LC_NUM_OF_PROBES*2 > 246), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE122_MU_CNT-1, LC_PROBE245_MU_CNT-1, (LC_NUM_OF_PROBES > 245), (LC_NUM_OF_PROBES*2 > 245), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE122_MU_CNT-1, LC_PROBE244_MU_CNT-1, (LC_NUM_OF_PROBES > 244), (LC_NUM_OF_PROBES*2 > 244), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE121_MU_CNT-1, LC_PROBE243_MU_CNT-1, (LC_NUM_OF_PROBES > 243), (LC_NUM_OF_PROBES*2 > 243), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE121_MU_CNT-1, LC_PROBE242_MU_CNT-1, (LC_NUM_OF_PROBES > 242), (LC_NUM_OF_PROBES*2 > 242), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE120_MU_CNT-1, LC_PROBE241_MU_CNT-1, (LC_NUM_OF_PROBES > 241), (LC_NUM_OF_PROBES*2 > 241), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE120_MU_CNT-1, LC_PROBE240_MU_CNT-1, (LC_NUM_OF_PROBES > 240), (LC_NUM_OF_PROBES*2 > 240), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE119_MU_CNT-1, LC_PROBE239_MU_CNT-1, (LC_NUM_OF_PROBES > 239), (LC_NUM_OF_PROBES*2 > 239), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE119_MU_CNT-1, LC_PROBE238_MU_CNT-1, (LC_NUM_OF_PROBES > 238), (LC_NUM_OF_PROBES*2 > 238), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE118_MU_CNT-1, LC_PROBE237_MU_CNT-1, (LC_NUM_OF_PROBES > 237), (LC_NUM_OF_PROBES*2 > 237), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE118_MU_CNT-1, LC_PROBE236_MU_CNT-1, (LC_NUM_OF_PROBES > 236), (LC_NUM_OF_PROBES*2 > 236), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE117_MU_CNT-1, LC_PROBE235_MU_CNT-1, (LC_NUM_OF_PROBES > 235), (LC_NUM_OF_PROBES*2 > 235), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE117_MU_CNT-1, LC_PROBE234_MU_CNT-1, (LC_NUM_OF_PROBES > 234), (LC_NUM_OF_PROBES*2 > 234), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE116_MU_CNT-1, LC_PROBE233_MU_CNT-1, (LC_NUM_OF_PROBES > 233), (LC_NUM_OF_PROBES*2 > 233), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE116_MU_CNT-1, LC_PROBE232_MU_CNT-1, (LC_NUM_OF_PROBES > 232), (LC_NUM_OF_PROBES*2 > 232), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE115_MU_CNT-1, LC_PROBE231_MU_CNT-1, (LC_NUM_OF_PROBES > 231), (LC_NUM_OF_PROBES*2 > 231), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE115_MU_CNT-1, LC_PROBE230_MU_CNT-1, (LC_NUM_OF_PROBES > 230), (LC_NUM_OF_PROBES*2 > 230), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE114_MU_CNT-1, LC_PROBE229_MU_CNT-1, (LC_NUM_OF_PROBES > 229), (LC_NUM_OF_PROBES*2 > 229), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE114_MU_CNT-1, LC_PROBE228_MU_CNT-1, (LC_NUM_OF_PROBES > 228), (LC_NUM_OF_PROBES*2 > 228), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE113_MU_CNT-1, LC_PROBE227_MU_CNT-1, (LC_NUM_OF_PROBES > 227), (LC_NUM_OF_PROBES*2 > 227), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE113_MU_CNT-1, LC_PROBE226_MU_CNT-1, (LC_NUM_OF_PROBES > 226), (LC_NUM_OF_PROBES*2 > 226), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE112_MU_CNT-1, LC_PROBE225_MU_CNT-1, (LC_NUM_OF_PROBES > 225), (LC_NUM_OF_PROBES*2 > 225), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE112_MU_CNT-1, LC_PROBE224_MU_CNT-1, (LC_NUM_OF_PROBES > 224), (LC_NUM_OF_PROBES*2 > 224), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE111_MU_CNT-1, LC_PROBE223_MU_CNT-1, (LC_NUM_OF_PROBES > 223), (LC_NUM_OF_PROBES*2 > 223), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE111_MU_CNT-1, LC_PROBE222_MU_CNT-1, (LC_NUM_OF_PROBES > 222), (LC_NUM_OF_PROBES*2 > 222), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE110_MU_CNT-1, LC_PROBE221_MU_CNT-1, (LC_NUM_OF_PROBES > 221), (LC_NUM_OF_PROBES*2 > 221), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE110_MU_CNT-1, LC_PROBE220_MU_CNT-1, (LC_NUM_OF_PROBES > 220), (LC_NUM_OF_PROBES*2 > 220), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE109_MU_CNT-1, LC_PROBE219_MU_CNT-1, (LC_NUM_OF_PROBES > 219), (LC_NUM_OF_PROBES*2 > 219), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE109_MU_CNT-1, LC_PROBE218_MU_CNT-1, (LC_NUM_OF_PROBES > 218), (LC_NUM_OF_PROBES*2 > 218), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE108_MU_CNT-1, LC_PROBE217_MU_CNT-1, (LC_NUM_OF_PROBES > 217), (LC_NUM_OF_PROBES*2 > 217), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE108_MU_CNT-1, LC_PROBE216_MU_CNT-1, (LC_NUM_OF_PROBES > 216), (LC_NUM_OF_PROBES*2 > 216), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE107_MU_CNT-1, LC_PROBE215_MU_CNT-1, (LC_NUM_OF_PROBES > 215), (LC_NUM_OF_PROBES*2 > 215), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE107_MU_CNT-1, LC_PROBE214_MU_CNT-1, (LC_NUM_OF_PROBES > 214), (LC_NUM_OF_PROBES*2 > 214), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE106_MU_CNT-1, LC_PROBE213_MU_CNT-1, (LC_NUM_OF_PROBES > 213), (LC_NUM_OF_PROBES*2 > 213), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE106_MU_CNT-1, LC_PROBE212_MU_CNT-1, (LC_NUM_OF_PROBES > 212), (LC_NUM_OF_PROBES*2 > 212), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE105_MU_CNT-1, LC_PROBE211_MU_CNT-1, (LC_NUM_OF_PROBES > 211), (LC_NUM_OF_PROBES*2 > 211), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE105_MU_CNT-1, LC_PROBE210_MU_CNT-1, (LC_NUM_OF_PROBES > 210), (LC_NUM_OF_PROBES*2 > 210), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE104_MU_CNT-1, LC_PROBE209_MU_CNT-1, (LC_NUM_OF_PROBES > 209), (LC_NUM_OF_PROBES*2 > 209), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE104_MU_CNT-1, LC_PROBE208_MU_CNT-1, (LC_NUM_OF_PROBES > 208), (LC_NUM_OF_PROBES*2 > 208), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE103_MU_CNT-1, LC_PROBE207_MU_CNT-1, (LC_NUM_OF_PROBES > 207), (LC_NUM_OF_PROBES*2 > 207), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE103_MU_CNT-1, LC_PROBE206_MU_CNT-1, (LC_NUM_OF_PROBES > 206), (LC_NUM_OF_PROBES*2 > 206), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE102_MU_CNT-1, LC_PROBE205_MU_CNT-1, (LC_NUM_OF_PROBES > 205), (LC_NUM_OF_PROBES*2 > 205), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE102_MU_CNT-1, LC_PROBE204_MU_CNT-1, (LC_NUM_OF_PROBES > 204), (LC_NUM_OF_PROBES*2 > 204), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE101_MU_CNT-1, LC_PROBE203_MU_CNT-1, (LC_NUM_OF_PROBES > 203), (LC_NUM_OF_PROBES*2 > 203), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE101_MU_CNT-1, LC_PROBE202_MU_CNT-1, (LC_NUM_OF_PROBES > 202), (LC_NUM_OF_PROBES*2 > 202), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE100_MU_CNT-1, LC_PROBE201_MU_CNT-1, (LC_NUM_OF_PROBES > 201), (LC_NUM_OF_PROBES*2 > 201), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE100_MU_CNT-1, LC_PROBE200_MU_CNT-1, (LC_NUM_OF_PROBES > 200), (LC_NUM_OF_PROBES*2 > 200), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE99_MU_CNT-1, LC_PROBE199_MU_CNT-1, (LC_NUM_OF_PROBES > 199), (LC_NUM_OF_PROBES*2 > 199), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE99_MU_CNT-1, LC_PROBE198_MU_CNT-1, (LC_NUM_OF_PROBES > 198), (LC_NUM_OF_PROBES*2 > 198), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE98_MU_CNT-1, LC_PROBE197_MU_CNT-1, (LC_NUM_OF_PROBES > 197), (LC_NUM_OF_PROBES*2 > 197), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE98_MU_CNT-1, LC_PROBE196_MU_CNT-1, (LC_NUM_OF_PROBES > 196), (LC_NUM_OF_PROBES*2 > 196), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE97_MU_CNT-1, LC_PROBE195_MU_CNT-1, (LC_NUM_OF_PROBES > 195), (LC_NUM_OF_PROBES*2 > 195), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE97_MU_CNT-1, LC_PROBE194_MU_CNT-1, (LC_NUM_OF_PROBES > 194), (LC_NUM_OF_PROBES*2 > 194), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE96_MU_CNT-1, LC_PROBE193_MU_CNT-1, (LC_NUM_OF_PROBES > 193), (LC_NUM_OF_PROBES*2 > 193), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE96_MU_CNT-1, LC_PROBE192_MU_CNT-1, (LC_NUM_OF_PROBES > 192), (LC_NUM_OF_PROBES*2 > 192), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE95_MU_CNT-1, LC_PROBE191_MU_CNT-1, (LC_NUM_OF_PROBES > 191), (LC_NUM_OF_PROBES*2 > 191), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE95_MU_CNT-1, LC_PROBE190_MU_CNT-1, (LC_NUM_OF_PROBES > 190), (LC_NUM_OF_PROBES*2 > 190), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE94_MU_CNT-1, LC_PROBE189_MU_CNT-1, (LC_NUM_OF_PROBES > 189), (LC_NUM_OF_PROBES*2 > 189), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE94_MU_CNT-1, LC_PROBE188_MU_CNT-1, (LC_NUM_OF_PROBES > 188), (LC_NUM_OF_PROBES*2 > 188), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE93_MU_CNT-1, LC_PROBE187_MU_CNT-1, (LC_NUM_OF_PROBES > 187), (LC_NUM_OF_PROBES*2 > 187), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE93_MU_CNT-1, LC_PROBE186_MU_CNT-1, (LC_NUM_OF_PROBES > 186), (LC_NUM_OF_PROBES*2 > 186), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE92_MU_CNT-1, LC_PROBE185_MU_CNT-1, (LC_NUM_OF_PROBES > 185), (LC_NUM_OF_PROBES*2 > 185), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE92_MU_CNT-1, LC_PROBE184_MU_CNT-1, (LC_NUM_OF_PROBES > 184), (LC_NUM_OF_PROBES*2 > 184), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE91_MU_CNT-1, LC_PROBE183_MU_CNT-1, (LC_NUM_OF_PROBES > 183), (LC_NUM_OF_PROBES*2 > 183), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE91_MU_CNT-1, LC_PROBE182_MU_CNT-1, (LC_NUM_OF_PROBES > 182), (LC_NUM_OF_PROBES*2 > 182), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE90_MU_CNT-1, LC_PROBE181_MU_CNT-1, (LC_NUM_OF_PROBES > 181), (LC_NUM_OF_PROBES*2 > 181), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE90_MU_CNT-1, LC_PROBE180_MU_CNT-1, (LC_NUM_OF_PROBES > 180), (LC_NUM_OF_PROBES*2 > 180), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE89_MU_CNT-1, LC_PROBE179_MU_CNT-1, (LC_NUM_OF_PROBES > 179), (LC_NUM_OF_PROBES*2 > 179), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE89_MU_CNT-1, LC_PROBE178_MU_CNT-1, (LC_NUM_OF_PROBES > 178), (LC_NUM_OF_PROBES*2 > 178), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE88_MU_CNT-1, LC_PROBE177_MU_CNT-1, (LC_NUM_OF_PROBES > 177), (LC_NUM_OF_PROBES*2 > 177), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE88_MU_CNT-1, LC_PROBE176_MU_CNT-1, (LC_NUM_OF_PROBES > 176), (LC_NUM_OF_PROBES*2 > 176), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE87_MU_CNT-1, LC_PROBE175_MU_CNT-1, (LC_NUM_OF_PROBES > 175), (LC_NUM_OF_PROBES*2 > 175), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE87_MU_CNT-1, LC_PROBE174_MU_CNT-1, (LC_NUM_OF_PROBES > 174), (LC_NUM_OF_PROBES*2 > 174), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE86_MU_CNT-1, LC_PROBE173_MU_CNT-1, (LC_NUM_OF_PROBES > 173), (LC_NUM_OF_PROBES*2 > 173), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE86_MU_CNT-1, LC_PROBE172_MU_CNT-1, (LC_NUM_OF_PROBES > 172), (LC_NUM_OF_PROBES*2 > 172), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE85_MU_CNT-1, LC_PROBE171_MU_CNT-1, (LC_NUM_OF_PROBES > 171), (LC_NUM_OF_PROBES*2 > 171), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE85_MU_CNT-1, LC_PROBE170_MU_CNT-1, (LC_NUM_OF_PROBES > 170), (LC_NUM_OF_PROBES*2 > 170), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE84_MU_CNT-1, LC_PROBE169_MU_CNT-1, (LC_NUM_OF_PROBES > 169), (LC_NUM_OF_PROBES*2 > 169), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE84_MU_CNT-1, LC_PROBE168_MU_CNT-1, (LC_NUM_OF_PROBES > 168), (LC_NUM_OF_PROBES*2 > 168), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE83_MU_CNT-1, LC_PROBE167_MU_CNT-1, (LC_NUM_OF_PROBES > 167), (LC_NUM_OF_PROBES*2 > 167), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE83_MU_CNT-1, LC_PROBE166_MU_CNT-1, (LC_NUM_OF_PROBES > 166), (LC_NUM_OF_PROBES*2 > 166), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE82_MU_CNT-1, LC_PROBE165_MU_CNT-1, (LC_NUM_OF_PROBES > 165), (LC_NUM_OF_PROBES*2 > 165), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE82_MU_CNT-1, LC_PROBE164_MU_CNT-1, (LC_NUM_OF_PROBES > 164), (LC_NUM_OF_PROBES*2 > 164), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE81_MU_CNT-1, LC_PROBE163_MU_CNT-1, (LC_NUM_OF_PROBES > 163), (LC_NUM_OF_PROBES*2 > 163), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE81_MU_CNT-1, LC_PROBE162_MU_CNT-1, (LC_NUM_OF_PROBES > 162), (LC_NUM_OF_PROBES*2 > 162), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE80_MU_CNT-1, LC_PROBE161_MU_CNT-1, (LC_NUM_OF_PROBES > 161), (LC_NUM_OF_PROBES*2 > 161), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE80_MU_CNT-1, LC_PROBE160_MU_CNT-1, (LC_NUM_OF_PROBES > 160), (LC_NUM_OF_PROBES*2 > 160), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE79_MU_CNT-1, LC_PROBE159_MU_CNT-1, (LC_NUM_OF_PROBES > 159), (LC_NUM_OF_PROBES*2 > 159), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE79_MU_CNT-1, LC_PROBE158_MU_CNT-1, (LC_NUM_OF_PROBES > 158), (LC_NUM_OF_PROBES*2 > 158), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE78_MU_CNT-1, LC_PROBE157_MU_CNT-1, (LC_NUM_OF_PROBES > 157), (LC_NUM_OF_PROBES*2 > 157), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE78_MU_CNT-1, LC_PROBE156_MU_CNT-1, (LC_NUM_OF_PROBES > 156), (LC_NUM_OF_PROBES*2 > 156), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE77_MU_CNT-1, LC_PROBE155_MU_CNT-1, (LC_NUM_OF_PROBES > 155), (LC_NUM_OF_PROBES*2 > 155), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE77_MU_CNT-1, LC_PROBE154_MU_CNT-1, (LC_NUM_OF_PROBES > 154), (LC_NUM_OF_PROBES*2 > 154), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE76_MU_CNT-1, LC_PROBE153_MU_CNT-1, (LC_NUM_OF_PROBES > 153), (LC_NUM_OF_PROBES*2 > 153), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE76_MU_CNT-1, LC_PROBE152_MU_CNT-1, (LC_NUM_OF_PROBES > 152), (LC_NUM_OF_PROBES*2 > 152), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE75_MU_CNT-1, LC_PROBE151_MU_CNT-1, (LC_NUM_OF_PROBES > 151), (LC_NUM_OF_PROBES*2 > 151), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE75_MU_CNT-1, LC_PROBE150_MU_CNT-1, (LC_NUM_OF_PROBES > 150), (LC_NUM_OF_PROBES*2 > 150), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE74_MU_CNT-1, LC_PROBE149_MU_CNT-1, (LC_NUM_OF_PROBES > 149), (LC_NUM_OF_PROBES*2 > 149), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE74_MU_CNT-1, LC_PROBE148_MU_CNT-1, (LC_NUM_OF_PROBES > 148), (LC_NUM_OF_PROBES*2 > 148), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE73_MU_CNT-1, LC_PROBE147_MU_CNT-1, (LC_NUM_OF_PROBES > 147), (LC_NUM_OF_PROBES*2 > 147), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE73_MU_CNT-1, LC_PROBE146_MU_CNT-1, (LC_NUM_OF_PROBES > 146), (LC_NUM_OF_PROBES*2 > 146), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE72_MU_CNT-1, LC_PROBE145_MU_CNT-1, (LC_NUM_OF_PROBES > 145), (LC_NUM_OF_PROBES*2 > 145), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE72_MU_CNT-1, LC_PROBE144_MU_CNT-1, (LC_NUM_OF_PROBES > 144), (LC_NUM_OF_PROBES*2 > 144), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE71_MU_CNT-1, LC_PROBE143_MU_CNT-1, (LC_NUM_OF_PROBES > 143), (LC_NUM_OF_PROBES*2 > 143), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE71_MU_CNT-1, LC_PROBE142_MU_CNT-1, (LC_NUM_OF_PROBES > 142), (LC_NUM_OF_PROBES*2 > 142), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE70_MU_CNT-1, LC_PROBE141_MU_CNT-1, (LC_NUM_OF_PROBES > 141), (LC_NUM_OF_PROBES*2 > 141), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE70_MU_CNT-1, LC_PROBE140_MU_CNT-1, (LC_NUM_OF_PROBES > 140), (LC_NUM_OF_PROBES*2 > 140), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE69_MU_CNT-1, LC_PROBE139_MU_CNT-1, (LC_NUM_OF_PROBES > 139), (LC_NUM_OF_PROBES*2 > 139), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE69_MU_CNT-1, LC_PROBE138_MU_CNT-1, (LC_NUM_OF_PROBES > 138), (LC_NUM_OF_PROBES*2 > 138), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE68_MU_CNT-1, LC_PROBE137_MU_CNT-1, (LC_NUM_OF_PROBES > 137), (LC_NUM_OF_PROBES*2 > 137), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE68_MU_CNT-1, LC_PROBE136_MU_CNT-1, (LC_NUM_OF_PROBES > 136), (LC_NUM_OF_PROBES*2 > 136), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE67_MU_CNT-1, LC_PROBE135_MU_CNT-1, (LC_NUM_OF_PROBES > 135), (LC_NUM_OF_PROBES*2 > 135), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE67_MU_CNT-1, LC_PROBE134_MU_CNT-1, (LC_NUM_OF_PROBES > 134), (LC_NUM_OF_PROBES*2 > 134), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE66_MU_CNT-1, LC_PROBE133_MU_CNT-1, (LC_NUM_OF_PROBES > 133), (LC_NUM_OF_PROBES*2 > 133), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE66_MU_CNT-1, LC_PROBE132_MU_CNT-1, (LC_NUM_OF_PROBES > 132), (LC_NUM_OF_PROBES*2 > 132), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE65_MU_CNT-1, LC_PROBE131_MU_CNT-1, (LC_NUM_OF_PROBES > 131), (LC_NUM_OF_PROBES*2 > 131), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE65_MU_CNT-1, LC_PROBE130_MU_CNT-1, (LC_NUM_OF_PROBES > 130), (LC_NUM_OF_PROBES*2 > 130), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE64_MU_CNT-1, LC_PROBE129_MU_CNT-1, (LC_NUM_OF_PROBES > 129), (LC_NUM_OF_PROBES*2 > 129), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE64_MU_CNT-1, LC_PROBE128_MU_CNT-1, (LC_NUM_OF_PROBES > 128), (LC_NUM_OF_PROBES*2 > 128), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE63_MU_CNT-1, LC_PROBE127_MU_CNT-1, (LC_NUM_OF_PROBES > 127), (LC_NUM_OF_PROBES*2 > 127), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE63_MU_CNT-1, LC_PROBE126_MU_CNT-1, (LC_NUM_OF_PROBES > 126), (LC_NUM_OF_PROBES*2 > 126), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE62_MU_CNT-1, LC_PROBE125_MU_CNT-1, (LC_NUM_OF_PROBES > 125), (LC_NUM_OF_PROBES*2 > 125), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE62_MU_CNT-1, LC_PROBE124_MU_CNT-1, (LC_NUM_OF_PROBES > 124), (LC_NUM_OF_PROBES*2 > 124), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE61_MU_CNT-1, LC_PROBE123_MU_CNT-1, (LC_NUM_OF_PROBES > 123), (LC_NUM_OF_PROBES*2 > 123), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE61_MU_CNT-1, LC_PROBE122_MU_CNT-1, (LC_NUM_OF_PROBES > 122), (LC_NUM_OF_PROBES*2 > 122), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE60_MU_CNT-1, LC_PROBE121_MU_CNT-1, (LC_NUM_OF_PROBES > 121), (LC_NUM_OF_PROBES*2 > 121), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE60_MU_CNT-1, LC_PROBE120_MU_CNT-1, (LC_NUM_OF_PROBES > 120), (LC_NUM_OF_PROBES*2 > 120), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE59_MU_CNT-1, LC_PROBE119_MU_CNT-1, (LC_NUM_OF_PROBES > 119), (LC_NUM_OF_PROBES*2 > 119), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE59_MU_CNT-1, LC_PROBE118_MU_CNT-1, (LC_NUM_OF_PROBES > 118), (LC_NUM_OF_PROBES*2 > 118), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE58_MU_CNT-1, LC_PROBE117_MU_CNT-1, (LC_NUM_OF_PROBES > 117), (LC_NUM_OF_PROBES*2 > 117), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE58_MU_CNT-1, LC_PROBE116_MU_CNT-1, (LC_NUM_OF_PROBES > 116), (LC_NUM_OF_PROBES*2 > 116), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE57_MU_CNT-1, LC_PROBE115_MU_CNT-1, (LC_NUM_OF_PROBES > 115), (LC_NUM_OF_PROBES*2 > 115), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE57_MU_CNT-1, LC_PROBE114_MU_CNT-1, (LC_NUM_OF_PROBES > 114), (LC_NUM_OF_PROBES*2 > 114), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE56_MU_CNT-1, LC_PROBE113_MU_CNT-1, (LC_NUM_OF_PROBES > 113), (LC_NUM_OF_PROBES*2 > 113), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE56_MU_CNT-1, LC_PROBE112_MU_CNT-1, (LC_NUM_OF_PROBES > 112), (LC_NUM_OF_PROBES*2 > 112), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE55_MU_CNT-1, LC_PROBE111_MU_CNT-1, (LC_NUM_OF_PROBES > 111), (LC_NUM_OF_PROBES*2 > 111), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE55_MU_CNT-1, LC_PROBE110_MU_CNT-1, (LC_NUM_OF_PROBES > 110), (LC_NUM_OF_PROBES*2 > 110), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE54_MU_CNT-1, LC_PROBE109_MU_CNT-1, (LC_NUM_OF_PROBES > 109), (LC_NUM_OF_PROBES*2 > 109), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE54_MU_CNT-1, LC_PROBE108_MU_CNT-1, (LC_NUM_OF_PROBES > 108), (LC_NUM_OF_PROBES*2 > 108), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE53_MU_CNT-1, LC_PROBE107_MU_CNT-1, (LC_NUM_OF_PROBES > 107), (LC_NUM_OF_PROBES*2 > 107), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE53_MU_CNT-1, LC_PROBE106_MU_CNT-1, (LC_NUM_OF_PROBES > 106), (LC_NUM_OF_PROBES*2 > 106), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE52_MU_CNT-1, LC_PROBE105_MU_CNT-1, (LC_NUM_OF_PROBES > 105), (LC_NUM_OF_PROBES*2 > 105), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE52_MU_CNT-1, LC_PROBE104_MU_CNT-1, (LC_NUM_OF_PROBES > 104), (LC_NUM_OF_PROBES*2 > 104), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE51_MU_CNT-1, LC_PROBE103_MU_CNT-1, (LC_NUM_OF_PROBES > 103), (LC_NUM_OF_PROBES*2 > 103), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE51_MU_CNT-1, LC_PROBE102_MU_CNT-1, (LC_NUM_OF_PROBES > 102), (LC_NUM_OF_PROBES*2 > 102), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE50_MU_CNT-1, LC_PROBE101_MU_CNT-1, (LC_NUM_OF_PROBES > 101), (LC_NUM_OF_PROBES*2 > 101), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE50_MU_CNT-1, LC_PROBE100_MU_CNT-1, (LC_NUM_OF_PROBES > 100), (LC_NUM_OF_PROBES*2 > 100), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE49_MU_CNT-1, LC_PROBE99_MU_CNT-1, (LC_NUM_OF_PROBES > 99), (LC_NUM_OF_PROBES*2 > 99), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE49_MU_CNT-1, LC_PROBE98_MU_CNT-1, (LC_NUM_OF_PROBES > 98), (LC_NUM_OF_PROBES*2 > 98), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE48_MU_CNT-1, LC_PROBE97_MU_CNT-1, (LC_NUM_OF_PROBES > 97), (LC_NUM_OF_PROBES*2 > 97), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE48_MU_CNT-1, LC_PROBE96_MU_CNT-1, (LC_NUM_OF_PROBES > 96), (LC_NUM_OF_PROBES*2 > 96), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE47_MU_CNT-1, LC_PROBE95_MU_CNT-1, (LC_NUM_OF_PROBES > 95), (LC_NUM_OF_PROBES*2 > 95), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE47_MU_CNT-1, LC_PROBE94_MU_CNT-1, (LC_NUM_OF_PROBES > 94), (LC_NUM_OF_PROBES*2 > 94), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE46_MU_CNT-1, LC_PROBE93_MU_CNT-1, (LC_NUM_OF_PROBES > 93), (LC_NUM_OF_PROBES*2 > 93), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE46_MU_CNT-1, LC_PROBE92_MU_CNT-1, (LC_NUM_OF_PROBES > 92), (LC_NUM_OF_PROBES*2 > 92), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE45_MU_CNT-1, LC_PROBE91_MU_CNT-1, (LC_NUM_OF_PROBES > 91), (LC_NUM_OF_PROBES*2 > 91), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE45_MU_CNT-1, LC_PROBE90_MU_CNT-1, (LC_NUM_OF_PROBES > 90), (LC_NUM_OF_PROBES*2 > 90), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE44_MU_CNT-1, LC_PROBE89_MU_CNT-1, (LC_NUM_OF_PROBES > 89), (LC_NUM_OF_PROBES*2 > 89), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE44_MU_CNT-1, LC_PROBE88_MU_CNT-1, (LC_NUM_OF_PROBES > 88), (LC_NUM_OF_PROBES*2 > 88), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE43_MU_CNT-1, LC_PROBE87_MU_CNT-1, (LC_NUM_OF_PROBES > 87), (LC_NUM_OF_PROBES*2 > 87), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE43_MU_CNT-1, LC_PROBE86_MU_CNT-1, (LC_NUM_OF_PROBES > 86), (LC_NUM_OF_PROBES*2 > 86), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE42_MU_CNT-1, LC_PROBE85_MU_CNT-1, (LC_NUM_OF_PROBES > 85), (LC_NUM_OF_PROBES*2 > 85), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE42_MU_CNT-1, LC_PROBE84_MU_CNT-1, (LC_NUM_OF_PROBES > 84), (LC_NUM_OF_PROBES*2 > 84), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE41_MU_CNT-1, LC_PROBE83_MU_CNT-1, (LC_NUM_OF_PROBES > 83), (LC_NUM_OF_PROBES*2 > 83), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE41_MU_CNT-1, LC_PROBE82_MU_CNT-1, (LC_NUM_OF_PROBES > 82), (LC_NUM_OF_PROBES*2 > 82), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE40_MU_CNT-1, LC_PROBE81_MU_CNT-1, (LC_NUM_OF_PROBES > 81), (LC_NUM_OF_PROBES*2 > 81), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE40_MU_CNT-1, LC_PROBE80_MU_CNT-1, (LC_NUM_OF_PROBES > 80), (LC_NUM_OF_PROBES*2 > 80), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE39_MU_CNT-1, LC_PROBE79_MU_CNT-1, (LC_NUM_OF_PROBES > 79), (LC_NUM_OF_PROBES*2 > 79), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE39_MU_CNT-1, LC_PROBE78_MU_CNT-1, (LC_NUM_OF_PROBES > 78), (LC_NUM_OF_PROBES*2 > 78), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE38_MU_CNT-1, LC_PROBE77_MU_CNT-1, (LC_NUM_OF_PROBES > 77), (LC_NUM_OF_PROBES*2 > 77), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE38_MU_CNT-1, LC_PROBE76_MU_CNT-1, (LC_NUM_OF_PROBES > 76), (LC_NUM_OF_PROBES*2 > 76), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE37_MU_CNT-1, LC_PROBE75_MU_CNT-1, (LC_NUM_OF_PROBES > 75), (LC_NUM_OF_PROBES*2 > 75), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE37_MU_CNT-1, LC_PROBE74_MU_CNT-1, (LC_NUM_OF_PROBES > 74), (LC_NUM_OF_PROBES*2 > 74), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE36_MU_CNT-1, LC_PROBE73_MU_CNT-1, (LC_NUM_OF_PROBES > 73), (LC_NUM_OF_PROBES*2 > 73), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE36_MU_CNT-1, LC_PROBE72_MU_CNT-1, (LC_NUM_OF_PROBES > 72), (LC_NUM_OF_PROBES*2 > 72), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE35_MU_CNT-1, LC_PROBE71_MU_CNT-1, (LC_NUM_OF_PROBES > 71), (LC_NUM_OF_PROBES*2 > 71), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE35_MU_CNT-1, LC_PROBE70_MU_CNT-1, (LC_NUM_OF_PROBES > 70), (LC_NUM_OF_PROBES*2 > 70), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE34_MU_CNT-1, LC_PROBE69_MU_CNT-1, (LC_NUM_OF_PROBES > 69), (LC_NUM_OF_PROBES*2 > 69), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE34_MU_CNT-1, LC_PROBE68_MU_CNT-1, (LC_NUM_OF_PROBES > 68), (LC_NUM_OF_PROBES*2 > 68), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE33_MU_CNT-1, LC_PROBE67_MU_CNT-1, (LC_NUM_OF_PROBES > 67), (LC_NUM_OF_PROBES*2 > 67), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE33_MU_CNT-1, LC_PROBE66_MU_CNT-1, (LC_NUM_OF_PROBES > 66), (LC_NUM_OF_PROBES*2 > 66), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE32_MU_CNT-1, LC_PROBE65_MU_CNT-1, (LC_NUM_OF_PROBES > 65), (LC_NUM_OF_PROBES*2 > 65), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE32_MU_CNT-1, LC_PROBE64_MU_CNT-1, (LC_NUM_OF_PROBES > 64), (LC_NUM_OF_PROBES*2 > 64), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE31_MU_CNT-1, LC_PROBE63_MU_CNT-1, (LC_NUM_OF_PROBES > 63), (LC_NUM_OF_PROBES*2 > 63), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE31_MU_CNT-1, LC_PROBE62_MU_CNT-1, (LC_NUM_OF_PROBES > 62), (LC_NUM_OF_PROBES*2 > 62), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE30_MU_CNT-1, LC_PROBE61_MU_CNT-1, (LC_NUM_OF_PROBES > 61), (LC_NUM_OF_PROBES*2 > 61), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE30_MU_CNT-1, LC_PROBE60_MU_CNT-1, (LC_NUM_OF_PROBES > 60), (LC_NUM_OF_PROBES*2 > 60), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE29_MU_CNT-1, LC_PROBE59_MU_CNT-1, (LC_NUM_OF_PROBES > 59), (LC_NUM_OF_PROBES*2 > 59), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE29_MU_CNT-1, LC_PROBE58_MU_CNT-1, (LC_NUM_OF_PROBES > 58), (LC_NUM_OF_PROBES*2 > 58), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE28_MU_CNT-1, LC_PROBE57_MU_CNT-1, (LC_NUM_OF_PROBES > 57), (LC_NUM_OF_PROBES*2 > 57), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE28_MU_CNT-1, LC_PROBE56_MU_CNT-1, (LC_NUM_OF_PROBES > 56), (LC_NUM_OF_PROBES*2 > 56), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE27_MU_CNT-1, LC_PROBE55_MU_CNT-1, (LC_NUM_OF_PROBES > 55), (LC_NUM_OF_PROBES*2 > 55), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE27_MU_CNT-1, LC_PROBE54_MU_CNT-1, (LC_NUM_OF_PROBES > 54), (LC_NUM_OF_PROBES*2 > 54), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE26_MU_CNT-1, LC_PROBE53_MU_CNT-1, (LC_NUM_OF_PROBES > 53), (LC_NUM_OF_PROBES*2 > 53), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE26_MU_CNT-1, LC_PROBE52_MU_CNT-1, (LC_NUM_OF_PROBES > 52), (LC_NUM_OF_PROBES*2 > 52), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE25_MU_CNT-1, LC_PROBE51_MU_CNT-1, (LC_NUM_OF_PROBES > 51), (LC_NUM_OF_PROBES*2 > 51), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE25_MU_CNT-1, LC_PROBE50_MU_CNT-1, (LC_NUM_OF_PROBES > 50), (LC_NUM_OF_PROBES*2 > 50), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE24_MU_CNT-1, LC_PROBE49_MU_CNT-1, (LC_NUM_OF_PROBES > 49), (LC_NUM_OF_PROBES*2 > 49), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE24_MU_CNT-1, LC_PROBE48_MU_CNT-1, (LC_NUM_OF_PROBES > 48), (LC_NUM_OF_PROBES*2 > 48), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE23_MU_CNT-1, LC_PROBE47_MU_CNT-1, (LC_NUM_OF_PROBES > 47), (LC_NUM_OF_PROBES*2 > 47), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE23_MU_CNT-1, LC_PROBE46_MU_CNT-1, (LC_NUM_OF_PROBES > 46), (LC_NUM_OF_PROBES*2 > 46), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE22_MU_CNT-1, LC_PROBE45_MU_CNT-1, (LC_NUM_OF_PROBES > 45), (LC_NUM_OF_PROBES*2 > 45), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE22_MU_CNT-1, LC_PROBE44_MU_CNT-1, (LC_NUM_OF_PROBES > 44), (LC_NUM_OF_PROBES*2 > 44), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE21_MU_CNT-1, LC_PROBE43_MU_CNT-1, (LC_NUM_OF_PROBES > 43), (LC_NUM_OF_PROBES*2 > 43), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE21_MU_CNT-1, LC_PROBE42_MU_CNT-1, (LC_NUM_OF_PROBES > 42), (LC_NUM_OF_PROBES*2 > 42), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE20_MU_CNT-1, LC_PROBE41_MU_CNT-1, (LC_NUM_OF_PROBES > 41), (LC_NUM_OF_PROBES*2 > 41), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE20_MU_CNT-1, LC_PROBE40_MU_CNT-1, (LC_NUM_OF_PROBES > 40), (LC_NUM_OF_PROBES*2 > 40), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE19_MU_CNT-1, LC_PROBE39_MU_CNT-1, (LC_NUM_OF_PROBES > 39), (LC_NUM_OF_PROBES*2 > 39), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE19_MU_CNT-1, LC_PROBE38_MU_CNT-1, (LC_NUM_OF_PROBES > 38), (LC_NUM_OF_PROBES*2 > 38), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE18_MU_CNT-1, LC_PROBE37_MU_CNT-1, (LC_NUM_OF_PROBES > 37), (LC_NUM_OF_PROBES*2 > 37), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE18_MU_CNT-1, LC_PROBE36_MU_CNT-1, (LC_NUM_OF_PROBES > 36), (LC_NUM_OF_PROBES*2 > 36), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE17_MU_CNT-1, LC_PROBE35_MU_CNT-1, (LC_NUM_OF_PROBES > 35), (LC_NUM_OF_PROBES*2 > 35), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE17_MU_CNT-1, LC_PROBE34_MU_CNT-1, (LC_NUM_OF_PROBES > 34), (LC_NUM_OF_PROBES*2 > 34), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE16_MU_CNT-1, LC_PROBE33_MU_CNT-1, (LC_NUM_OF_PROBES > 33), (LC_NUM_OF_PROBES*2 > 33), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE16_MU_CNT-1, LC_PROBE32_MU_CNT-1, (LC_NUM_OF_PROBES > 32), (LC_NUM_OF_PROBES*2 > 32), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE15_MU_CNT-1, LC_PROBE31_MU_CNT-1, (LC_NUM_OF_PROBES > 31), (LC_NUM_OF_PROBES*2 > 31), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE15_MU_CNT-1, LC_PROBE30_MU_CNT-1, (LC_NUM_OF_PROBES > 30), (LC_NUM_OF_PROBES*2 > 30), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE14_MU_CNT-1, LC_PROBE29_MU_CNT-1, (LC_NUM_OF_PROBES > 29), (LC_NUM_OF_PROBES*2 > 29), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE14_MU_CNT-1, LC_PROBE28_MU_CNT-1, (LC_NUM_OF_PROBES > 28), (LC_NUM_OF_PROBES*2 > 28), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE13_MU_CNT-1, LC_PROBE27_MU_CNT-1, (LC_NUM_OF_PROBES > 27), (LC_NUM_OF_PROBES*2 > 27), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE13_MU_CNT-1, LC_PROBE26_MU_CNT-1, (LC_NUM_OF_PROBES > 26), (LC_NUM_OF_PROBES*2 > 26), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE12_MU_CNT-1, LC_PROBE25_MU_CNT-1, (LC_NUM_OF_PROBES > 25), (LC_NUM_OF_PROBES*2 > 25), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE12_MU_CNT-1, LC_PROBE24_MU_CNT-1, (LC_NUM_OF_PROBES > 24), (LC_NUM_OF_PROBES*2 > 24), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE11_MU_CNT-1, LC_PROBE23_MU_CNT-1, (LC_NUM_OF_PROBES > 23), (LC_NUM_OF_PROBES*2 > 23), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE11_MU_CNT-1, LC_PROBE22_MU_CNT-1, (LC_NUM_OF_PROBES > 22), (LC_NUM_OF_PROBES*2 > 22), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE10_MU_CNT-1, LC_PROBE21_MU_CNT-1, (LC_NUM_OF_PROBES > 21), (LC_NUM_OF_PROBES*2 > 21), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE10_MU_CNT-1, LC_PROBE20_MU_CNT-1, (LC_NUM_OF_PROBES > 20), (LC_NUM_OF_PROBES*2 > 20), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE9_MU_CNT-1, LC_PROBE19_MU_CNT-1, (LC_NUM_OF_PROBES > 19), (LC_NUM_OF_PROBES*2 > 19), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE9_MU_CNT-1, LC_PROBE18_MU_CNT-1, (LC_NUM_OF_PROBES > 18), (LC_NUM_OF_PROBES*2 > 18), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE8_MU_CNT-1, LC_PROBE17_MU_CNT-1, (LC_NUM_OF_PROBES > 17), (LC_NUM_OF_PROBES*2 > 17), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE8_MU_CNT-1, LC_PROBE16_MU_CNT-1, (LC_NUM_OF_PROBES > 16), (LC_NUM_OF_PROBES*2 > 16), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE7_MU_CNT-1, LC_PROBE15_MU_CNT-1, (LC_NUM_OF_PROBES > 15), (LC_NUM_OF_PROBES*2 > 15), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE7_MU_CNT-1, LC_PROBE14_MU_CNT-1, (LC_NUM_OF_PROBES > 14), (LC_NUM_OF_PROBES*2 > 14), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE6_MU_CNT-1, LC_PROBE13_MU_CNT-1, (LC_NUM_OF_PROBES > 13), (LC_NUM_OF_PROBES*2 > 13), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE6_MU_CNT-1, LC_PROBE12_MU_CNT-1, (LC_NUM_OF_PROBES > 12), (LC_NUM_OF_PROBES*2 > 12), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE5_MU_CNT-1, LC_PROBE11_MU_CNT-1, (LC_NUM_OF_PROBES > 11), (LC_NUM_OF_PROBES*2 > 11), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE5_MU_CNT-1, LC_PROBE10_MU_CNT-1, (LC_NUM_OF_PROBES > 10), (LC_NUM_OF_PROBES*2 > 10), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE4_MU_CNT-1, LC_PROBE9_MU_CNT-1, (LC_NUM_OF_PROBES > 9), (LC_NUM_OF_PROBES*2 > 9), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE4_MU_CNT-1, LC_PROBE8_MU_CNT-1, (LC_NUM_OF_PROBES > 8), (LC_NUM_OF_PROBES*2 > 8), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE3_MU_CNT-1, LC_PROBE7_MU_CNT-1, (LC_NUM_OF_PROBES > 7), (LC_NUM_OF_PROBES*2 > 7), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE3_MU_CNT-1, LC_PROBE6_MU_CNT-1, (LC_NUM_OF_PROBES > 6), (LC_NUM_OF_PROBES*2 > 6), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE2_MU_CNT-1, LC_PROBE5_MU_CNT-1, (LC_NUM_OF_PROBES > 5), (LC_NUM_OF_PROBES*2 > 5), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE2_MU_CNT-1, LC_PROBE4_MU_CNT-1, (LC_NUM_OF_PROBES > 4), (LC_NUM_OF_PROBES*2 > 4), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE1_MU_CNT-1, LC_PROBE3_MU_CNT-1, (LC_NUM_OF_PROBES > 3), (LC_NUM_OF_PROBES*2 > 3), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE1_MU_CNT-1, LC_PROBE2_MU_CNT-1, (LC_NUM_OF_PROBES > 2), (LC_NUM_OF_PROBES*2 > 2), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE0_MU_CNT-1, LC_PROBE1_MU_CNT-1, (LC_NUM_OF_PROBES > 1), (LC_NUM_OF_PROBES*2 > 1), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit4_qual(LC_PROBE0_MU_CNT-1, LC_PROBE0_MU_CNT-1, (LC_NUM_OF_PROBES > 0), (LC_NUM_OF_PROBES*2 > 0), (C_EN_DDR_ILA == 1'b1), 0)
  };


  localparam LC_PROBE_WIDTH_STRING = {
    f_bit16_qual(LC_PROBE511_WIDTH-1, LC_PROBE1023_WIDTH-1, (LC_NUM_OF_PROBES > 1023), (LC_NUM_OF_PROBES*2 > 1023), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE511_WIDTH-1, LC_PROBE1022_WIDTH-1, (LC_NUM_OF_PROBES > 1022), (LC_NUM_OF_PROBES*2 > 1022), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE510_WIDTH-1, LC_PROBE1021_WIDTH-1, (LC_NUM_OF_PROBES > 1021), (LC_NUM_OF_PROBES*2 > 1021), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE510_WIDTH-1, LC_PROBE1020_WIDTH-1, (LC_NUM_OF_PROBES > 1020), (LC_NUM_OF_PROBES*2 > 1020), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE509_WIDTH-1, LC_PROBE1019_WIDTH-1, (LC_NUM_OF_PROBES > 1019), (LC_NUM_OF_PROBES*2 > 1019), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE509_WIDTH-1, LC_PROBE1018_WIDTH-1, (LC_NUM_OF_PROBES > 1018), (LC_NUM_OF_PROBES*2 > 1018), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE508_WIDTH-1, LC_PROBE1017_WIDTH-1, (LC_NUM_OF_PROBES > 1017), (LC_NUM_OF_PROBES*2 > 1017), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE508_WIDTH-1, LC_PROBE1016_WIDTH-1, (LC_NUM_OF_PROBES > 1016), (LC_NUM_OF_PROBES*2 > 1016), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE507_WIDTH-1, LC_PROBE1015_WIDTH-1, (LC_NUM_OF_PROBES > 1015), (LC_NUM_OF_PROBES*2 > 1015), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE507_WIDTH-1, LC_PROBE1014_WIDTH-1, (LC_NUM_OF_PROBES > 1014), (LC_NUM_OF_PROBES*2 > 1014), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE506_WIDTH-1, LC_PROBE1013_WIDTH-1, (LC_NUM_OF_PROBES > 1013), (LC_NUM_OF_PROBES*2 > 1013), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE506_WIDTH-1, LC_PROBE1012_WIDTH-1, (LC_NUM_OF_PROBES > 1012), (LC_NUM_OF_PROBES*2 > 1012), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE505_WIDTH-1, LC_PROBE1011_WIDTH-1, (LC_NUM_OF_PROBES > 1011), (LC_NUM_OF_PROBES*2 > 1011), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE505_WIDTH-1, LC_PROBE1010_WIDTH-1, (LC_NUM_OF_PROBES > 1010), (LC_NUM_OF_PROBES*2 > 1010), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE504_WIDTH-1, LC_PROBE1009_WIDTH-1, (LC_NUM_OF_PROBES > 1009), (LC_NUM_OF_PROBES*2 > 1009), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE504_WIDTH-1, LC_PROBE1008_WIDTH-1, (LC_NUM_OF_PROBES > 1008), (LC_NUM_OF_PROBES*2 > 1008), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE503_WIDTH-1, LC_PROBE1007_WIDTH-1, (LC_NUM_OF_PROBES > 1007), (LC_NUM_OF_PROBES*2 > 1007), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE503_WIDTH-1, LC_PROBE1006_WIDTH-1, (LC_NUM_OF_PROBES > 1006), (LC_NUM_OF_PROBES*2 > 1006), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE502_WIDTH-1, LC_PROBE1005_WIDTH-1, (LC_NUM_OF_PROBES > 1005), (LC_NUM_OF_PROBES*2 > 1005), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE502_WIDTH-1, LC_PROBE1004_WIDTH-1, (LC_NUM_OF_PROBES > 1004), (LC_NUM_OF_PROBES*2 > 1004), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE501_WIDTH-1, LC_PROBE1003_WIDTH-1, (LC_NUM_OF_PROBES > 1003), (LC_NUM_OF_PROBES*2 > 1003), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE501_WIDTH-1, LC_PROBE1002_WIDTH-1, (LC_NUM_OF_PROBES > 1002), (LC_NUM_OF_PROBES*2 > 1002), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE500_WIDTH-1, LC_PROBE1001_WIDTH-1, (LC_NUM_OF_PROBES > 1001), (LC_NUM_OF_PROBES*2 > 1001), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE500_WIDTH-1, LC_PROBE1000_WIDTH-1, (LC_NUM_OF_PROBES > 1000), (LC_NUM_OF_PROBES*2 > 1000), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE499_WIDTH-1, LC_PROBE999_WIDTH-1, (LC_NUM_OF_PROBES > 999), (LC_NUM_OF_PROBES*2 > 999), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE499_WIDTH-1, LC_PROBE998_WIDTH-1, (LC_NUM_OF_PROBES > 998), (LC_NUM_OF_PROBES*2 > 998), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE498_WIDTH-1, LC_PROBE997_WIDTH-1, (LC_NUM_OF_PROBES > 997), (LC_NUM_OF_PROBES*2 > 997), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE498_WIDTH-1, LC_PROBE996_WIDTH-1, (LC_NUM_OF_PROBES > 996), (LC_NUM_OF_PROBES*2 > 996), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE497_WIDTH-1, LC_PROBE995_WIDTH-1, (LC_NUM_OF_PROBES > 995), (LC_NUM_OF_PROBES*2 > 995), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE497_WIDTH-1, LC_PROBE994_WIDTH-1, (LC_NUM_OF_PROBES > 994), (LC_NUM_OF_PROBES*2 > 994), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE496_WIDTH-1, LC_PROBE993_WIDTH-1, (LC_NUM_OF_PROBES > 993), (LC_NUM_OF_PROBES*2 > 993), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE496_WIDTH-1, LC_PROBE992_WIDTH-1, (LC_NUM_OF_PROBES > 992), (LC_NUM_OF_PROBES*2 > 992), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE495_WIDTH-1, LC_PROBE991_WIDTH-1, (LC_NUM_OF_PROBES > 991), (LC_NUM_OF_PROBES*2 > 991), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE495_WIDTH-1, LC_PROBE990_WIDTH-1, (LC_NUM_OF_PROBES > 990), (LC_NUM_OF_PROBES*2 > 990), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE494_WIDTH-1, LC_PROBE989_WIDTH-1, (LC_NUM_OF_PROBES > 989), (LC_NUM_OF_PROBES*2 > 989), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE494_WIDTH-1, LC_PROBE988_WIDTH-1, (LC_NUM_OF_PROBES > 988), (LC_NUM_OF_PROBES*2 > 988), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE493_WIDTH-1, LC_PROBE987_WIDTH-1, (LC_NUM_OF_PROBES > 987), (LC_NUM_OF_PROBES*2 > 987), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE493_WIDTH-1, LC_PROBE986_WIDTH-1, (LC_NUM_OF_PROBES > 986), (LC_NUM_OF_PROBES*2 > 986), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE492_WIDTH-1, LC_PROBE985_WIDTH-1, (LC_NUM_OF_PROBES > 985), (LC_NUM_OF_PROBES*2 > 985), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE492_WIDTH-1, LC_PROBE984_WIDTH-1, (LC_NUM_OF_PROBES > 984), (LC_NUM_OF_PROBES*2 > 984), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE491_WIDTH-1, LC_PROBE983_WIDTH-1, (LC_NUM_OF_PROBES > 983), (LC_NUM_OF_PROBES*2 > 983), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE491_WIDTH-1, LC_PROBE982_WIDTH-1, (LC_NUM_OF_PROBES > 982), (LC_NUM_OF_PROBES*2 > 982), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE490_WIDTH-1, LC_PROBE981_WIDTH-1, (LC_NUM_OF_PROBES > 981), (LC_NUM_OF_PROBES*2 > 981), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE490_WIDTH-1, LC_PROBE980_WIDTH-1, (LC_NUM_OF_PROBES > 980), (LC_NUM_OF_PROBES*2 > 980), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE489_WIDTH-1, LC_PROBE979_WIDTH-1, (LC_NUM_OF_PROBES > 979), (LC_NUM_OF_PROBES*2 > 979), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE489_WIDTH-1, LC_PROBE978_WIDTH-1, (LC_NUM_OF_PROBES > 978), (LC_NUM_OF_PROBES*2 > 978), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE488_WIDTH-1, LC_PROBE977_WIDTH-1, (LC_NUM_OF_PROBES > 977), (LC_NUM_OF_PROBES*2 > 977), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE488_WIDTH-1, LC_PROBE976_WIDTH-1, (LC_NUM_OF_PROBES > 976), (LC_NUM_OF_PROBES*2 > 976), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE487_WIDTH-1, LC_PROBE975_WIDTH-1, (LC_NUM_OF_PROBES > 975), (LC_NUM_OF_PROBES*2 > 975), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE487_WIDTH-1, LC_PROBE974_WIDTH-1, (LC_NUM_OF_PROBES > 974), (LC_NUM_OF_PROBES*2 > 974), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE486_WIDTH-1, LC_PROBE973_WIDTH-1, (LC_NUM_OF_PROBES > 973), (LC_NUM_OF_PROBES*2 > 973), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE486_WIDTH-1, LC_PROBE972_WIDTH-1, (LC_NUM_OF_PROBES > 972), (LC_NUM_OF_PROBES*2 > 972), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE485_WIDTH-1, LC_PROBE971_WIDTH-1, (LC_NUM_OF_PROBES > 971), (LC_NUM_OF_PROBES*2 > 971), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE485_WIDTH-1, LC_PROBE970_WIDTH-1, (LC_NUM_OF_PROBES > 970), (LC_NUM_OF_PROBES*2 > 970), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE484_WIDTH-1, LC_PROBE969_WIDTH-1, (LC_NUM_OF_PROBES > 969), (LC_NUM_OF_PROBES*2 > 969), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE484_WIDTH-1, LC_PROBE968_WIDTH-1, (LC_NUM_OF_PROBES > 968), (LC_NUM_OF_PROBES*2 > 968), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE483_WIDTH-1, LC_PROBE967_WIDTH-1, (LC_NUM_OF_PROBES > 967), (LC_NUM_OF_PROBES*2 > 967), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE483_WIDTH-1, LC_PROBE966_WIDTH-1, (LC_NUM_OF_PROBES > 966), (LC_NUM_OF_PROBES*2 > 966), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE482_WIDTH-1, LC_PROBE965_WIDTH-1, (LC_NUM_OF_PROBES > 965), (LC_NUM_OF_PROBES*2 > 965), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE482_WIDTH-1, LC_PROBE964_WIDTH-1, (LC_NUM_OF_PROBES > 964), (LC_NUM_OF_PROBES*2 > 964), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE481_WIDTH-1, LC_PROBE963_WIDTH-1, (LC_NUM_OF_PROBES > 963), (LC_NUM_OF_PROBES*2 > 963), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE481_WIDTH-1, LC_PROBE962_WIDTH-1, (LC_NUM_OF_PROBES > 962), (LC_NUM_OF_PROBES*2 > 962), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE480_WIDTH-1, LC_PROBE961_WIDTH-1, (LC_NUM_OF_PROBES > 961), (LC_NUM_OF_PROBES*2 > 961), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE480_WIDTH-1, LC_PROBE960_WIDTH-1, (LC_NUM_OF_PROBES > 960), (LC_NUM_OF_PROBES*2 > 960), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE479_WIDTH-1, LC_PROBE959_WIDTH-1, (LC_NUM_OF_PROBES > 959), (LC_NUM_OF_PROBES*2 > 959), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE479_WIDTH-1, LC_PROBE958_WIDTH-1, (LC_NUM_OF_PROBES > 958), (LC_NUM_OF_PROBES*2 > 958), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE478_WIDTH-1, LC_PROBE957_WIDTH-1, (LC_NUM_OF_PROBES > 957), (LC_NUM_OF_PROBES*2 > 957), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE478_WIDTH-1, LC_PROBE956_WIDTH-1, (LC_NUM_OF_PROBES > 956), (LC_NUM_OF_PROBES*2 > 956), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE477_WIDTH-1, LC_PROBE955_WIDTH-1, (LC_NUM_OF_PROBES > 955), (LC_NUM_OF_PROBES*2 > 955), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE477_WIDTH-1, LC_PROBE954_WIDTH-1, (LC_NUM_OF_PROBES > 954), (LC_NUM_OF_PROBES*2 > 954), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE476_WIDTH-1, LC_PROBE953_WIDTH-1, (LC_NUM_OF_PROBES > 953), (LC_NUM_OF_PROBES*2 > 953), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE476_WIDTH-1, LC_PROBE952_WIDTH-1, (LC_NUM_OF_PROBES > 952), (LC_NUM_OF_PROBES*2 > 952), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE475_WIDTH-1, LC_PROBE951_WIDTH-1, (LC_NUM_OF_PROBES > 951), (LC_NUM_OF_PROBES*2 > 951), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE475_WIDTH-1, LC_PROBE950_WIDTH-1, (LC_NUM_OF_PROBES > 950), (LC_NUM_OF_PROBES*2 > 950), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE474_WIDTH-1, LC_PROBE949_WIDTH-1, (LC_NUM_OF_PROBES > 949), (LC_NUM_OF_PROBES*2 > 949), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE474_WIDTH-1, LC_PROBE948_WIDTH-1, (LC_NUM_OF_PROBES > 948), (LC_NUM_OF_PROBES*2 > 948), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE473_WIDTH-1, LC_PROBE947_WIDTH-1, (LC_NUM_OF_PROBES > 947), (LC_NUM_OF_PROBES*2 > 947), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE473_WIDTH-1, LC_PROBE946_WIDTH-1, (LC_NUM_OF_PROBES > 946), (LC_NUM_OF_PROBES*2 > 946), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE472_WIDTH-1, LC_PROBE945_WIDTH-1, (LC_NUM_OF_PROBES > 945), (LC_NUM_OF_PROBES*2 > 945), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE472_WIDTH-1, LC_PROBE944_WIDTH-1, (LC_NUM_OF_PROBES > 944), (LC_NUM_OF_PROBES*2 > 944), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE471_WIDTH-1, LC_PROBE943_WIDTH-1, (LC_NUM_OF_PROBES > 943), (LC_NUM_OF_PROBES*2 > 943), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE471_WIDTH-1, LC_PROBE942_WIDTH-1, (LC_NUM_OF_PROBES > 942), (LC_NUM_OF_PROBES*2 > 942), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE470_WIDTH-1, LC_PROBE941_WIDTH-1, (LC_NUM_OF_PROBES > 941), (LC_NUM_OF_PROBES*2 > 941), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE470_WIDTH-1, LC_PROBE940_WIDTH-1, (LC_NUM_OF_PROBES > 940), (LC_NUM_OF_PROBES*2 > 940), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE469_WIDTH-1, LC_PROBE939_WIDTH-1, (LC_NUM_OF_PROBES > 939), (LC_NUM_OF_PROBES*2 > 939), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE469_WIDTH-1, LC_PROBE938_WIDTH-1, (LC_NUM_OF_PROBES > 938), (LC_NUM_OF_PROBES*2 > 938), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE468_WIDTH-1, LC_PROBE937_WIDTH-1, (LC_NUM_OF_PROBES > 937), (LC_NUM_OF_PROBES*2 > 937), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE468_WIDTH-1, LC_PROBE936_WIDTH-1, (LC_NUM_OF_PROBES > 936), (LC_NUM_OF_PROBES*2 > 936), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE467_WIDTH-1, LC_PROBE935_WIDTH-1, (LC_NUM_OF_PROBES > 935), (LC_NUM_OF_PROBES*2 > 935), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE467_WIDTH-1, LC_PROBE934_WIDTH-1, (LC_NUM_OF_PROBES > 934), (LC_NUM_OF_PROBES*2 > 934), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE466_WIDTH-1, LC_PROBE933_WIDTH-1, (LC_NUM_OF_PROBES > 933), (LC_NUM_OF_PROBES*2 > 933), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE466_WIDTH-1, LC_PROBE932_WIDTH-1, (LC_NUM_OF_PROBES > 932), (LC_NUM_OF_PROBES*2 > 932), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE465_WIDTH-1, LC_PROBE931_WIDTH-1, (LC_NUM_OF_PROBES > 931), (LC_NUM_OF_PROBES*2 > 931), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE465_WIDTH-1, LC_PROBE930_WIDTH-1, (LC_NUM_OF_PROBES > 930), (LC_NUM_OF_PROBES*2 > 930), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE464_WIDTH-1, LC_PROBE929_WIDTH-1, (LC_NUM_OF_PROBES > 929), (LC_NUM_OF_PROBES*2 > 929), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE464_WIDTH-1, LC_PROBE928_WIDTH-1, (LC_NUM_OF_PROBES > 928), (LC_NUM_OF_PROBES*2 > 928), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE463_WIDTH-1, LC_PROBE927_WIDTH-1, (LC_NUM_OF_PROBES > 927), (LC_NUM_OF_PROBES*2 > 927), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE463_WIDTH-1, LC_PROBE926_WIDTH-1, (LC_NUM_OF_PROBES > 926), (LC_NUM_OF_PROBES*2 > 926), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE462_WIDTH-1, LC_PROBE925_WIDTH-1, (LC_NUM_OF_PROBES > 925), (LC_NUM_OF_PROBES*2 > 925), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE462_WIDTH-1, LC_PROBE924_WIDTH-1, (LC_NUM_OF_PROBES > 924), (LC_NUM_OF_PROBES*2 > 924), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE461_WIDTH-1, LC_PROBE923_WIDTH-1, (LC_NUM_OF_PROBES > 923), (LC_NUM_OF_PROBES*2 > 923), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE461_WIDTH-1, LC_PROBE922_WIDTH-1, (LC_NUM_OF_PROBES > 922), (LC_NUM_OF_PROBES*2 > 922), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE460_WIDTH-1, LC_PROBE921_WIDTH-1, (LC_NUM_OF_PROBES > 921), (LC_NUM_OF_PROBES*2 > 921), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE460_WIDTH-1, LC_PROBE920_WIDTH-1, (LC_NUM_OF_PROBES > 920), (LC_NUM_OF_PROBES*2 > 920), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE459_WIDTH-1, LC_PROBE919_WIDTH-1, (LC_NUM_OF_PROBES > 919), (LC_NUM_OF_PROBES*2 > 919), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE459_WIDTH-1, LC_PROBE918_WIDTH-1, (LC_NUM_OF_PROBES > 918), (LC_NUM_OF_PROBES*2 > 918), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE458_WIDTH-1, LC_PROBE917_WIDTH-1, (LC_NUM_OF_PROBES > 917), (LC_NUM_OF_PROBES*2 > 917), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE458_WIDTH-1, LC_PROBE916_WIDTH-1, (LC_NUM_OF_PROBES > 916), (LC_NUM_OF_PROBES*2 > 916), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE457_WIDTH-1, LC_PROBE915_WIDTH-1, (LC_NUM_OF_PROBES > 915), (LC_NUM_OF_PROBES*2 > 915), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE457_WIDTH-1, LC_PROBE914_WIDTH-1, (LC_NUM_OF_PROBES > 914), (LC_NUM_OF_PROBES*2 > 914), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE456_WIDTH-1, LC_PROBE913_WIDTH-1, (LC_NUM_OF_PROBES > 913), (LC_NUM_OF_PROBES*2 > 913), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE456_WIDTH-1, LC_PROBE912_WIDTH-1, (LC_NUM_OF_PROBES > 912), (LC_NUM_OF_PROBES*2 > 912), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE455_WIDTH-1, LC_PROBE911_WIDTH-1, (LC_NUM_OF_PROBES > 911), (LC_NUM_OF_PROBES*2 > 911), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE455_WIDTH-1, LC_PROBE910_WIDTH-1, (LC_NUM_OF_PROBES > 910), (LC_NUM_OF_PROBES*2 > 910), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE454_WIDTH-1, LC_PROBE909_WIDTH-1, (LC_NUM_OF_PROBES > 909), (LC_NUM_OF_PROBES*2 > 909), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE454_WIDTH-1, LC_PROBE908_WIDTH-1, (LC_NUM_OF_PROBES > 908), (LC_NUM_OF_PROBES*2 > 908), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE453_WIDTH-1, LC_PROBE907_WIDTH-1, (LC_NUM_OF_PROBES > 907), (LC_NUM_OF_PROBES*2 > 907), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE453_WIDTH-1, LC_PROBE906_WIDTH-1, (LC_NUM_OF_PROBES > 906), (LC_NUM_OF_PROBES*2 > 906), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE452_WIDTH-1, LC_PROBE905_WIDTH-1, (LC_NUM_OF_PROBES > 905), (LC_NUM_OF_PROBES*2 > 905), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE452_WIDTH-1, LC_PROBE904_WIDTH-1, (LC_NUM_OF_PROBES > 904), (LC_NUM_OF_PROBES*2 > 904), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE451_WIDTH-1, LC_PROBE903_WIDTH-1, (LC_NUM_OF_PROBES > 903), (LC_NUM_OF_PROBES*2 > 903), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE451_WIDTH-1, LC_PROBE902_WIDTH-1, (LC_NUM_OF_PROBES > 902), (LC_NUM_OF_PROBES*2 > 902), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE450_WIDTH-1, LC_PROBE901_WIDTH-1, (LC_NUM_OF_PROBES > 901), (LC_NUM_OF_PROBES*2 > 901), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE450_WIDTH-1, LC_PROBE900_WIDTH-1, (LC_NUM_OF_PROBES > 900), (LC_NUM_OF_PROBES*2 > 900), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE449_WIDTH-1, LC_PROBE899_WIDTH-1, (LC_NUM_OF_PROBES > 899), (LC_NUM_OF_PROBES*2 > 899), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE449_WIDTH-1, LC_PROBE898_WIDTH-1, (LC_NUM_OF_PROBES > 898), (LC_NUM_OF_PROBES*2 > 898), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE448_WIDTH-1, LC_PROBE897_WIDTH-1, (LC_NUM_OF_PROBES > 897), (LC_NUM_OF_PROBES*2 > 897), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE448_WIDTH-1, LC_PROBE896_WIDTH-1, (LC_NUM_OF_PROBES > 896), (LC_NUM_OF_PROBES*2 > 896), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE447_WIDTH-1, LC_PROBE895_WIDTH-1, (LC_NUM_OF_PROBES > 895), (LC_NUM_OF_PROBES*2 > 895), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE447_WIDTH-1, LC_PROBE894_WIDTH-1, (LC_NUM_OF_PROBES > 894), (LC_NUM_OF_PROBES*2 > 894), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE446_WIDTH-1, LC_PROBE893_WIDTH-1, (LC_NUM_OF_PROBES > 893), (LC_NUM_OF_PROBES*2 > 893), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE446_WIDTH-1, LC_PROBE892_WIDTH-1, (LC_NUM_OF_PROBES > 892), (LC_NUM_OF_PROBES*2 > 892), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE445_WIDTH-1, LC_PROBE891_WIDTH-1, (LC_NUM_OF_PROBES > 891), (LC_NUM_OF_PROBES*2 > 891), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE445_WIDTH-1, LC_PROBE890_WIDTH-1, (LC_NUM_OF_PROBES > 890), (LC_NUM_OF_PROBES*2 > 890), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE444_WIDTH-1, LC_PROBE889_WIDTH-1, (LC_NUM_OF_PROBES > 889), (LC_NUM_OF_PROBES*2 > 889), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE444_WIDTH-1, LC_PROBE888_WIDTH-1, (LC_NUM_OF_PROBES > 888), (LC_NUM_OF_PROBES*2 > 888), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE443_WIDTH-1, LC_PROBE887_WIDTH-1, (LC_NUM_OF_PROBES > 887), (LC_NUM_OF_PROBES*2 > 887), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE443_WIDTH-1, LC_PROBE886_WIDTH-1, (LC_NUM_OF_PROBES > 886), (LC_NUM_OF_PROBES*2 > 886), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE442_WIDTH-1, LC_PROBE885_WIDTH-1, (LC_NUM_OF_PROBES > 885), (LC_NUM_OF_PROBES*2 > 885), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE442_WIDTH-1, LC_PROBE884_WIDTH-1, (LC_NUM_OF_PROBES > 884), (LC_NUM_OF_PROBES*2 > 884), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE441_WIDTH-1, LC_PROBE883_WIDTH-1, (LC_NUM_OF_PROBES > 883), (LC_NUM_OF_PROBES*2 > 883), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE441_WIDTH-1, LC_PROBE882_WIDTH-1, (LC_NUM_OF_PROBES > 882), (LC_NUM_OF_PROBES*2 > 882), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE440_WIDTH-1, LC_PROBE881_WIDTH-1, (LC_NUM_OF_PROBES > 881), (LC_NUM_OF_PROBES*2 > 881), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE440_WIDTH-1, LC_PROBE880_WIDTH-1, (LC_NUM_OF_PROBES > 880), (LC_NUM_OF_PROBES*2 > 880), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE439_WIDTH-1, LC_PROBE879_WIDTH-1, (LC_NUM_OF_PROBES > 879), (LC_NUM_OF_PROBES*2 > 879), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE439_WIDTH-1, LC_PROBE878_WIDTH-1, (LC_NUM_OF_PROBES > 878), (LC_NUM_OF_PROBES*2 > 878), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE438_WIDTH-1, LC_PROBE877_WIDTH-1, (LC_NUM_OF_PROBES > 877), (LC_NUM_OF_PROBES*2 > 877), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE438_WIDTH-1, LC_PROBE876_WIDTH-1, (LC_NUM_OF_PROBES > 876), (LC_NUM_OF_PROBES*2 > 876), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE437_WIDTH-1, LC_PROBE875_WIDTH-1, (LC_NUM_OF_PROBES > 875), (LC_NUM_OF_PROBES*2 > 875), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE437_WIDTH-1, LC_PROBE874_WIDTH-1, (LC_NUM_OF_PROBES > 874), (LC_NUM_OF_PROBES*2 > 874), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE436_WIDTH-1, LC_PROBE873_WIDTH-1, (LC_NUM_OF_PROBES > 873), (LC_NUM_OF_PROBES*2 > 873), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE436_WIDTH-1, LC_PROBE872_WIDTH-1, (LC_NUM_OF_PROBES > 872), (LC_NUM_OF_PROBES*2 > 872), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE435_WIDTH-1, LC_PROBE871_WIDTH-1, (LC_NUM_OF_PROBES > 871), (LC_NUM_OF_PROBES*2 > 871), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE435_WIDTH-1, LC_PROBE870_WIDTH-1, (LC_NUM_OF_PROBES > 870), (LC_NUM_OF_PROBES*2 > 870), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE434_WIDTH-1, LC_PROBE869_WIDTH-1, (LC_NUM_OF_PROBES > 869), (LC_NUM_OF_PROBES*2 > 869), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE434_WIDTH-1, LC_PROBE868_WIDTH-1, (LC_NUM_OF_PROBES > 868), (LC_NUM_OF_PROBES*2 > 868), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE433_WIDTH-1, LC_PROBE867_WIDTH-1, (LC_NUM_OF_PROBES > 867), (LC_NUM_OF_PROBES*2 > 867), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE433_WIDTH-1, LC_PROBE866_WIDTH-1, (LC_NUM_OF_PROBES > 866), (LC_NUM_OF_PROBES*2 > 866), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE432_WIDTH-1, LC_PROBE865_WIDTH-1, (LC_NUM_OF_PROBES > 865), (LC_NUM_OF_PROBES*2 > 865), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE432_WIDTH-1, LC_PROBE864_WIDTH-1, (LC_NUM_OF_PROBES > 864), (LC_NUM_OF_PROBES*2 > 864), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE431_WIDTH-1, LC_PROBE863_WIDTH-1, (LC_NUM_OF_PROBES > 863), (LC_NUM_OF_PROBES*2 > 863), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE431_WIDTH-1, LC_PROBE862_WIDTH-1, (LC_NUM_OF_PROBES > 862), (LC_NUM_OF_PROBES*2 > 862), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE430_WIDTH-1, LC_PROBE861_WIDTH-1, (LC_NUM_OF_PROBES > 861), (LC_NUM_OF_PROBES*2 > 861), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE430_WIDTH-1, LC_PROBE860_WIDTH-1, (LC_NUM_OF_PROBES > 860), (LC_NUM_OF_PROBES*2 > 860), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE429_WIDTH-1, LC_PROBE859_WIDTH-1, (LC_NUM_OF_PROBES > 859), (LC_NUM_OF_PROBES*2 > 859), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE429_WIDTH-1, LC_PROBE858_WIDTH-1, (LC_NUM_OF_PROBES > 858), (LC_NUM_OF_PROBES*2 > 858), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE428_WIDTH-1, LC_PROBE857_WIDTH-1, (LC_NUM_OF_PROBES > 857), (LC_NUM_OF_PROBES*2 > 857), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE428_WIDTH-1, LC_PROBE856_WIDTH-1, (LC_NUM_OF_PROBES > 856), (LC_NUM_OF_PROBES*2 > 856), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE427_WIDTH-1, LC_PROBE855_WIDTH-1, (LC_NUM_OF_PROBES > 855), (LC_NUM_OF_PROBES*2 > 855), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE427_WIDTH-1, LC_PROBE854_WIDTH-1, (LC_NUM_OF_PROBES > 854), (LC_NUM_OF_PROBES*2 > 854), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE426_WIDTH-1, LC_PROBE853_WIDTH-1, (LC_NUM_OF_PROBES > 853), (LC_NUM_OF_PROBES*2 > 853), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE426_WIDTH-1, LC_PROBE852_WIDTH-1, (LC_NUM_OF_PROBES > 852), (LC_NUM_OF_PROBES*2 > 852), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE425_WIDTH-1, LC_PROBE851_WIDTH-1, (LC_NUM_OF_PROBES > 851), (LC_NUM_OF_PROBES*2 > 851), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE425_WIDTH-1, LC_PROBE850_WIDTH-1, (LC_NUM_OF_PROBES > 850), (LC_NUM_OF_PROBES*2 > 850), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE424_WIDTH-1, LC_PROBE849_WIDTH-1, (LC_NUM_OF_PROBES > 849), (LC_NUM_OF_PROBES*2 > 849), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE424_WIDTH-1, LC_PROBE848_WIDTH-1, (LC_NUM_OF_PROBES > 848), (LC_NUM_OF_PROBES*2 > 848), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE423_WIDTH-1, LC_PROBE847_WIDTH-1, (LC_NUM_OF_PROBES > 847), (LC_NUM_OF_PROBES*2 > 847), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE423_WIDTH-1, LC_PROBE846_WIDTH-1, (LC_NUM_OF_PROBES > 846), (LC_NUM_OF_PROBES*2 > 846), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE422_WIDTH-1, LC_PROBE845_WIDTH-1, (LC_NUM_OF_PROBES > 845), (LC_NUM_OF_PROBES*2 > 845), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE422_WIDTH-1, LC_PROBE844_WIDTH-1, (LC_NUM_OF_PROBES > 844), (LC_NUM_OF_PROBES*2 > 844), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE421_WIDTH-1, LC_PROBE843_WIDTH-1, (LC_NUM_OF_PROBES > 843), (LC_NUM_OF_PROBES*2 > 843), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE421_WIDTH-1, LC_PROBE842_WIDTH-1, (LC_NUM_OF_PROBES > 842), (LC_NUM_OF_PROBES*2 > 842), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE420_WIDTH-1, LC_PROBE841_WIDTH-1, (LC_NUM_OF_PROBES > 841), (LC_NUM_OF_PROBES*2 > 841), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE420_WIDTH-1, LC_PROBE840_WIDTH-1, (LC_NUM_OF_PROBES > 840), (LC_NUM_OF_PROBES*2 > 840), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE419_WIDTH-1, LC_PROBE839_WIDTH-1, (LC_NUM_OF_PROBES > 839), (LC_NUM_OF_PROBES*2 > 839), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE419_WIDTH-1, LC_PROBE838_WIDTH-1, (LC_NUM_OF_PROBES > 838), (LC_NUM_OF_PROBES*2 > 838), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE418_WIDTH-1, LC_PROBE837_WIDTH-1, (LC_NUM_OF_PROBES > 837), (LC_NUM_OF_PROBES*2 > 837), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE418_WIDTH-1, LC_PROBE836_WIDTH-1, (LC_NUM_OF_PROBES > 836), (LC_NUM_OF_PROBES*2 > 836), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE417_WIDTH-1, LC_PROBE835_WIDTH-1, (LC_NUM_OF_PROBES > 835), (LC_NUM_OF_PROBES*2 > 835), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE417_WIDTH-1, LC_PROBE834_WIDTH-1, (LC_NUM_OF_PROBES > 834), (LC_NUM_OF_PROBES*2 > 834), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE416_WIDTH-1, LC_PROBE833_WIDTH-1, (LC_NUM_OF_PROBES > 833), (LC_NUM_OF_PROBES*2 > 833), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE416_WIDTH-1, LC_PROBE832_WIDTH-1, (LC_NUM_OF_PROBES > 832), (LC_NUM_OF_PROBES*2 > 832), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE415_WIDTH-1, LC_PROBE831_WIDTH-1, (LC_NUM_OF_PROBES > 831), (LC_NUM_OF_PROBES*2 > 831), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE415_WIDTH-1, LC_PROBE830_WIDTH-1, (LC_NUM_OF_PROBES > 830), (LC_NUM_OF_PROBES*2 > 830), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE414_WIDTH-1, LC_PROBE829_WIDTH-1, (LC_NUM_OF_PROBES > 829), (LC_NUM_OF_PROBES*2 > 829), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE414_WIDTH-1, LC_PROBE828_WIDTH-1, (LC_NUM_OF_PROBES > 828), (LC_NUM_OF_PROBES*2 > 828), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE413_WIDTH-1, LC_PROBE827_WIDTH-1, (LC_NUM_OF_PROBES > 827), (LC_NUM_OF_PROBES*2 > 827), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE413_WIDTH-1, LC_PROBE826_WIDTH-1, (LC_NUM_OF_PROBES > 826), (LC_NUM_OF_PROBES*2 > 826), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE412_WIDTH-1, LC_PROBE825_WIDTH-1, (LC_NUM_OF_PROBES > 825), (LC_NUM_OF_PROBES*2 > 825), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE412_WIDTH-1, LC_PROBE824_WIDTH-1, (LC_NUM_OF_PROBES > 824), (LC_NUM_OF_PROBES*2 > 824), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE411_WIDTH-1, LC_PROBE823_WIDTH-1, (LC_NUM_OF_PROBES > 823), (LC_NUM_OF_PROBES*2 > 823), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE411_WIDTH-1, LC_PROBE822_WIDTH-1, (LC_NUM_OF_PROBES > 822), (LC_NUM_OF_PROBES*2 > 822), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE410_WIDTH-1, LC_PROBE821_WIDTH-1, (LC_NUM_OF_PROBES > 821), (LC_NUM_OF_PROBES*2 > 821), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE410_WIDTH-1, LC_PROBE820_WIDTH-1, (LC_NUM_OF_PROBES > 820), (LC_NUM_OF_PROBES*2 > 820), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE409_WIDTH-1, LC_PROBE819_WIDTH-1, (LC_NUM_OF_PROBES > 819), (LC_NUM_OF_PROBES*2 > 819), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE409_WIDTH-1, LC_PROBE818_WIDTH-1, (LC_NUM_OF_PROBES > 818), (LC_NUM_OF_PROBES*2 > 818), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE408_WIDTH-1, LC_PROBE817_WIDTH-1, (LC_NUM_OF_PROBES > 817), (LC_NUM_OF_PROBES*2 > 817), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE408_WIDTH-1, LC_PROBE816_WIDTH-1, (LC_NUM_OF_PROBES > 816), (LC_NUM_OF_PROBES*2 > 816), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE407_WIDTH-1, LC_PROBE815_WIDTH-1, (LC_NUM_OF_PROBES > 815), (LC_NUM_OF_PROBES*2 > 815), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE407_WIDTH-1, LC_PROBE814_WIDTH-1, (LC_NUM_OF_PROBES > 814), (LC_NUM_OF_PROBES*2 > 814), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE406_WIDTH-1, LC_PROBE813_WIDTH-1, (LC_NUM_OF_PROBES > 813), (LC_NUM_OF_PROBES*2 > 813), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE406_WIDTH-1, LC_PROBE812_WIDTH-1, (LC_NUM_OF_PROBES > 812), (LC_NUM_OF_PROBES*2 > 812), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE405_WIDTH-1, LC_PROBE811_WIDTH-1, (LC_NUM_OF_PROBES > 811), (LC_NUM_OF_PROBES*2 > 811), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE405_WIDTH-1, LC_PROBE810_WIDTH-1, (LC_NUM_OF_PROBES > 810), (LC_NUM_OF_PROBES*2 > 810), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE404_WIDTH-1, LC_PROBE809_WIDTH-1, (LC_NUM_OF_PROBES > 809), (LC_NUM_OF_PROBES*2 > 809), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE404_WIDTH-1, LC_PROBE808_WIDTH-1, (LC_NUM_OF_PROBES > 808), (LC_NUM_OF_PROBES*2 > 808), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE403_WIDTH-1, LC_PROBE807_WIDTH-1, (LC_NUM_OF_PROBES > 807), (LC_NUM_OF_PROBES*2 > 807), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE403_WIDTH-1, LC_PROBE806_WIDTH-1, (LC_NUM_OF_PROBES > 806), (LC_NUM_OF_PROBES*2 > 806), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE402_WIDTH-1, LC_PROBE805_WIDTH-1, (LC_NUM_OF_PROBES > 805), (LC_NUM_OF_PROBES*2 > 805), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE402_WIDTH-1, LC_PROBE804_WIDTH-1, (LC_NUM_OF_PROBES > 804), (LC_NUM_OF_PROBES*2 > 804), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE401_WIDTH-1, LC_PROBE803_WIDTH-1, (LC_NUM_OF_PROBES > 803), (LC_NUM_OF_PROBES*2 > 803), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE401_WIDTH-1, LC_PROBE802_WIDTH-1, (LC_NUM_OF_PROBES > 802), (LC_NUM_OF_PROBES*2 > 802), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE400_WIDTH-1, LC_PROBE801_WIDTH-1, (LC_NUM_OF_PROBES > 801), (LC_NUM_OF_PROBES*2 > 801), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE400_WIDTH-1, LC_PROBE800_WIDTH-1, (LC_NUM_OF_PROBES > 800), (LC_NUM_OF_PROBES*2 > 800), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE399_WIDTH-1, LC_PROBE799_WIDTH-1, (LC_NUM_OF_PROBES > 799), (LC_NUM_OF_PROBES*2 > 799), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE399_WIDTH-1, LC_PROBE798_WIDTH-1, (LC_NUM_OF_PROBES > 798), (LC_NUM_OF_PROBES*2 > 798), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE398_WIDTH-1, LC_PROBE797_WIDTH-1, (LC_NUM_OF_PROBES > 797), (LC_NUM_OF_PROBES*2 > 797), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE398_WIDTH-1, LC_PROBE796_WIDTH-1, (LC_NUM_OF_PROBES > 796), (LC_NUM_OF_PROBES*2 > 796), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE397_WIDTH-1, LC_PROBE795_WIDTH-1, (LC_NUM_OF_PROBES > 795), (LC_NUM_OF_PROBES*2 > 795), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE397_WIDTH-1, LC_PROBE794_WIDTH-1, (LC_NUM_OF_PROBES > 794), (LC_NUM_OF_PROBES*2 > 794), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE396_WIDTH-1, LC_PROBE793_WIDTH-1, (LC_NUM_OF_PROBES > 793), (LC_NUM_OF_PROBES*2 > 793), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE396_WIDTH-1, LC_PROBE792_WIDTH-1, (LC_NUM_OF_PROBES > 792), (LC_NUM_OF_PROBES*2 > 792), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE395_WIDTH-1, LC_PROBE791_WIDTH-1, (LC_NUM_OF_PROBES > 791), (LC_NUM_OF_PROBES*2 > 791), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE395_WIDTH-1, LC_PROBE790_WIDTH-1, (LC_NUM_OF_PROBES > 790), (LC_NUM_OF_PROBES*2 > 790), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE394_WIDTH-1, LC_PROBE789_WIDTH-1, (LC_NUM_OF_PROBES > 789), (LC_NUM_OF_PROBES*2 > 789), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE394_WIDTH-1, LC_PROBE788_WIDTH-1, (LC_NUM_OF_PROBES > 788), (LC_NUM_OF_PROBES*2 > 788), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE393_WIDTH-1, LC_PROBE787_WIDTH-1, (LC_NUM_OF_PROBES > 787), (LC_NUM_OF_PROBES*2 > 787), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE393_WIDTH-1, LC_PROBE786_WIDTH-1, (LC_NUM_OF_PROBES > 786), (LC_NUM_OF_PROBES*2 > 786), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE392_WIDTH-1, LC_PROBE785_WIDTH-1, (LC_NUM_OF_PROBES > 785), (LC_NUM_OF_PROBES*2 > 785), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE392_WIDTH-1, LC_PROBE784_WIDTH-1, (LC_NUM_OF_PROBES > 784), (LC_NUM_OF_PROBES*2 > 784), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE391_WIDTH-1, LC_PROBE783_WIDTH-1, (LC_NUM_OF_PROBES > 783), (LC_NUM_OF_PROBES*2 > 783), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE391_WIDTH-1, LC_PROBE782_WIDTH-1, (LC_NUM_OF_PROBES > 782), (LC_NUM_OF_PROBES*2 > 782), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE390_WIDTH-1, LC_PROBE781_WIDTH-1, (LC_NUM_OF_PROBES > 781), (LC_NUM_OF_PROBES*2 > 781), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE390_WIDTH-1, LC_PROBE780_WIDTH-1, (LC_NUM_OF_PROBES > 780), (LC_NUM_OF_PROBES*2 > 780), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE389_WIDTH-1, LC_PROBE779_WIDTH-1, (LC_NUM_OF_PROBES > 779), (LC_NUM_OF_PROBES*2 > 779), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE389_WIDTH-1, LC_PROBE778_WIDTH-1, (LC_NUM_OF_PROBES > 778), (LC_NUM_OF_PROBES*2 > 778), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE388_WIDTH-1, LC_PROBE777_WIDTH-1, (LC_NUM_OF_PROBES > 777), (LC_NUM_OF_PROBES*2 > 777), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE388_WIDTH-1, LC_PROBE776_WIDTH-1, (LC_NUM_OF_PROBES > 776), (LC_NUM_OF_PROBES*2 > 776), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE387_WIDTH-1, LC_PROBE775_WIDTH-1, (LC_NUM_OF_PROBES > 775), (LC_NUM_OF_PROBES*2 > 775), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE387_WIDTH-1, LC_PROBE774_WIDTH-1, (LC_NUM_OF_PROBES > 774), (LC_NUM_OF_PROBES*2 > 774), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE386_WIDTH-1, LC_PROBE773_WIDTH-1, (LC_NUM_OF_PROBES > 773), (LC_NUM_OF_PROBES*2 > 773), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE386_WIDTH-1, LC_PROBE772_WIDTH-1, (LC_NUM_OF_PROBES > 772), (LC_NUM_OF_PROBES*2 > 772), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE385_WIDTH-1, LC_PROBE771_WIDTH-1, (LC_NUM_OF_PROBES > 771), (LC_NUM_OF_PROBES*2 > 771), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE385_WIDTH-1, LC_PROBE770_WIDTH-1, (LC_NUM_OF_PROBES > 770), (LC_NUM_OF_PROBES*2 > 770), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE384_WIDTH-1, LC_PROBE769_WIDTH-1, (LC_NUM_OF_PROBES > 769), (LC_NUM_OF_PROBES*2 > 769), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE384_WIDTH-1, LC_PROBE768_WIDTH-1, (LC_NUM_OF_PROBES > 768), (LC_NUM_OF_PROBES*2 > 768), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE383_WIDTH-1, LC_PROBE767_WIDTH-1, (LC_NUM_OF_PROBES > 767), (LC_NUM_OF_PROBES*2 > 767), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE383_WIDTH-1, LC_PROBE766_WIDTH-1, (LC_NUM_OF_PROBES > 766), (LC_NUM_OF_PROBES*2 > 766), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE382_WIDTH-1, LC_PROBE765_WIDTH-1, (LC_NUM_OF_PROBES > 765), (LC_NUM_OF_PROBES*2 > 765), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE382_WIDTH-1, LC_PROBE764_WIDTH-1, (LC_NUM_OF_PROBES > 764), (LC_NUM_OF_PROBES*2 > 764), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE381_WIDTH-1, LC_PROBE763_WIDTH-1, (LC_NUM_OF_PROBES > 763), (LC_NUM_OF_PROBES*2 > 763), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE381_WIDTH-1, LC_PROBE762_WIDTH-1, (LC_NUM_OF_PROBES > 762), (LC_NUM_OF_PROBES*2 > 762), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE380_WIDTH-1, LC_PROBE761_WIDTH-1, (LC_NUM_OF_PROBES > 761), (LC_NUM_OF_PROBES*2 > 761), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE380_WIDTH-1, LC_PROBE760_WIDTH-1, (LC_NUM_OF_PROBES > 760), (LC_NUM_OF_PROBES*2 > 760), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE379_WIDTH-1, LC_PROBE759_WIDTH-1, (LC_NUM_OF_PROBES > 759), (LC_NUM_OF_PROBES*2 > 759), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE379_WIDTH-1, LC_PROBE758_WIDTH-1, (LC_NUM_OF_PROBES > 758), (LC_NUM_OF_PROBES*2 > 758), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE378_WIDTH-1, LC_PROBE757_WIDTH-1, (LC_NUM_OF_PROBES > 757), (LC_NUM_OF_PROBES*2 > 757), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE378_WIDTH-1, LC_PROBE756_WIDTH-1, (LC_NUM_OF_PROBES > 756), (LC_NUM_OF_PROBES*2 > 756), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE377_WIDTH-1, LC_PROBE755_WIDTH-1, (LC_NUM_OF_PROBES > 755), (LC_NUM_OF_PROBES*2 > 755), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE377_WIDTH-1, LC_PROBE754_WIDTH-1, (LC_NUM_OF_PROBES > 754), (LC_NUM_OF_PROBES*2 > 754), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE376_WIDTH-1, LC_PROBE753_WIDTH-1, (LC_NUM_OF_PROBES > 753), (LC_NUM_OF_PROBES*2 > 753), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE376_WIDTH-1, LC_PROBE752_WIDTH-1, (LC_NUM_OF_PROBES > 752), (LC_NUM_OF_PROBES*2 > 752), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE375_WIDTH-1, LC_PROBE751_WIDTH-1, (LC_NUM_OF_PROBES > 751), (LC_NUM_OF_PROBES*2 > 751), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE375_WIDTH-1, LC_PROBE750_WIDTH-1, (LC_NUM_OF_PROBES > 750), (LC_NUM_OF_PROBES*2 > 750), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE374_WIDTH-1, LC_PROBE749_WIDTH-1, (LC_NUM_OF_PROBES > 749), (LC_NUM_OF_PROBES*2 > 749), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE374_WIDTH-1, LC_PROBE748_WIDTH-1, (LC_NUM_OF_PROBES > 748), (LC_NUM_OF_PROBES*2 > 748), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE373_WIDTH-1, LC_PROBE747_WIDTH-1, (LC_NUM_OF_PROBES > 747), (LC_NUM_OF_PROBES*2 > 747), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE373_WIDTH-1, LC_PROBE746_WIDTH-1, (LC_NUM_OF_PROBES > 746), (LC_NUM_OF_PROBES*2 > 746), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE372_WIDTH-1, LC_PROBE745_WIDTH-1, (LC_NUM_OF_PROBES > 745), (LC_NUM_OF_PROBES*2 > 745), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE372_WIDTH-1, LC_PROBE744_WIDTH-1, (LC_NUM_OF_PROBES > 744), (LC_NUM_OF_PROBES*2 > 744), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE371_WIDTH-1, LC_PROBE743_WIDTH-1, (LC_NUM_OF_PROBES > 743), (LC_NUM_OF_PROBES*2 > 743), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE371_WIDTH-1, LC_PROBE742_WIDTH-1, (LC_NUM_OF_PROBES > 742), (LC_NUM_OF_PROBES*2 > 742), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE370_WIDTH-1, LC_PROBE741_WIDTH-1, (LC_NUM_OF_PROBES > 741), (LC_NUM_OF_PROBES*2 > 741), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE370_WIDTH-1, LC_PROBE740_WIDTH-1, (LC_NUM_OF_PROBES > 740), (LC_NUM_OF_PROBES*2 > 740), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE369_WIDTH-1, LC_PROBE739_WIDTH-1, (LC_NUM_OF_PROBES > 739), (LC_NUM_OF_PROBES*2 > 739), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE369_WIDTH-1, LC_PROBE738_WIDTH-1, (LC_NUM_OF_PROBES > 738), (LC_NUM_OF_PROBES*2 > 738), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE368_WIDTH-1, LC_PROBE737_WIDTH-1, (LC_NUM_OF_PROBES > 737), (LC_NUM_OF_PROBES*2 > 737), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE368_WIDTH-1, LC_PROBE736_WIDTH-1, (LC_NUM_OF_PROBES > 736), (LC_NUM_OF_PROBES*2 > 736), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE367_WIDTH-1, LC_PROBE735_WIDTH-1, (LC_NUM_OF_PROBES > 735), (LC_NUM_OF_PROBES*2 > 735), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE367_WIDTH-1, LC_PROBE734_WIDTH-1, (LC_NUM_OF_PROBES > 734), (LC_NUM_OF_PROBES*2 > 734), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE366_WIDTH-1, LC_PROBE733_WIDTH-1, (LC_NUM_OF_PROBES > 733), (LC_NUM_OF_PROBES*2 > 733), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE366_WIDTH-1, LC_PROBE732_WIDTH-1, (LC_NUM_OF_PROBES > 732), (LC_NUM_OF_PROBES*2 > 732), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE365_WIDTH-1, LC_PROBE731_WIDTH-1, (LC_NUM_OF_PROBES > 731), (LC_NUM_OF_PROBES*2 > 731), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE365_WIDTH-1, LC_PROBE730_WIDTH-1, (LC_NUM_OF_PROBES > 730), (LC_NUM_OF_PROBES*2 > 730), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE364_WIDTH-1, LC_PROBE729_WIDTH-1, (LC_NUM_OF_PROBES > 729), (LC_NUM_OF_PROBES*2 > 729), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE364_WIDTH-1, LC_PROBE728_WIDTH-1, (LC_NUM_OF_PROBES > 728), (LC_NUM_OF_PROBES*2 > 728), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE363_WIDTH-1, LC_PROBE727_WIDTH-1, (LC_NUM_OF_PROBES > 727), (LC_NUM_OF_PROBES*2 > 727), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE363_WIDTH-1, LC_PROBE726_WIDTH-1, (LC_NUM_OF_PROBES > 726), (LC_NUM_OF_PROBES*2 > 726), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE362_WIDTH-1, LC_PROBE725_WIDTH-1, (LC_NUM_OF_PROBES > 725), (LC_NUM_OF_PROBES*2 > 725), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE362_WIDTH-1, LC_PROBE724_WIDTH-1, (LC_NUM_OF_PROBES > 724), (LC_NUM_OF_PROBES*2 > 724), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE361_WIDTH-1, LC_PROBE723_WIDTH-1, (LC_NUM_OF_PROBES > 723), (LC_NUM_OF_PROBES*2 > 723), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE361_WIDTH-1, LC_PROBE722_WIDTH-1, (LC_NUM_OF_PROBES > 722), (LC_NUM_OF_PROBES*2 > 722), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE360_WIDTH-1, LC_PROBE721_WIDTH-1, (LC_NUM_OF_PROBES > 721), (LC_NUM_OF_PROBES*2 > 721), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE360_WIDTH-1, LC_PROBE720_WIDTH-1, (LC_NUM_OF_PROBES > 720), (LC_NUM_OF_PROBES*2 > 720), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE359_WIDTH-1, LC_PROBE719_WIDTH-1, (LC_NUM_OF_PROBES > 719), (LC_NUM_OF_PROBES*2 > 719), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE359_WIDTH-1, LC_PROBE718_WIDTH-1, (LC_NUM_OF_PROBES > 718), (LC_NUM_OF_PROBES*2 > 718), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE358_WIDTH-1, LC_PROBE717_WIDTH-1, (LC_NUM_OF_PROBES > 717), (LC_NUM_OF_PROBES*2 > 717), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE358_WIDTH-1, LC_PROBE716_WIDTH-1, (LC_NUM_OF_PROBES > 716), (LC_NUM_OF_PROBES*2 > 716), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE357_WIDTH-1, LC_PROBE715_WIDTH-1, (LC_NUM_OF_PROBES > 715), (LC_NUM_OF_PROBES*2 > 715), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE357_WIDTH-1, LC_PROBE714_WIDTH-1, (LC_NUM_OF_PROBES > 714), (LC_NUM_OF_PROBES*2 > 714), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE356_WIDTH-1, LC_PROBE713_WIDTH-1, (LC_NUM_OF_PROBES > 713), (LC_NUM_OF_PROBES*2 > 713), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE356_WIDTH-1, LC_PROBE712_WIDTH-1, (LC_NUM_OF_PROBES > 712), (LC_NUM_OF_PROBES*2 > 712), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE355_WIDTH-1, LC_PROBE711_WIDTH-1, (LC_NUM_OF_PROBES > 711), (LC_NUM_OF_PROBES*2 > 711), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE355_WIDTH-1, LC_PROBE710_WIDTH-1, (LC_NUM_OF_PROBES > 710), (LC_NUM_OF_PROBES*2 > 710), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE354_WIDTH-1, LC_PROBE709_WIDTH-1, (LC_NUM_OF_PROBES > 709), (LC_NUM_OF_PROBES*2 > 709), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE354_WIDTH-1, LC_PROBE708_WIDTH-1, (LC_NUM_OF_PROBES > 708), (LC_NUM_OF_PROBES*2 > 708), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE353_WIDTH-1, LC_PROBE707_WIDTH-1, (LC_NUM_OF_PROBES > 707), (LC_NUM_OF_PROBES*2 > 707), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE353_WIDTH-1, LC_PROBE706_WIDTH-1, (LC_NUM_OF_PROBES > 706), (LC_NUM_OF_PROBES*2 > 706), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE352_WIDTH-1, LC_PROBE705_WIDTH-1, (LC_NUM_OF_PROBES > 705), (LC_NUM_OF_PROBES*2 > 705), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE352_WIDTH-1, LC_PROBE704_WIDTH-1, (LC_NUM_OF_PROBES > 704), (LC_NUM_OF_PROBES*2 > 704), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE351_WIDTH-1, LC_PROBE703_WIDTH-1, (LC_NUM_OF_PROBES > 703), (LC_NUM_OF_PROBES*2 > 703), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE351_WIDTH-1, LC_PROBE702_WIDTH-1, (LC_NUM_OF_PROBES > 702), (LC_NUM_OF_PROBES*2 > 702), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE350_WIDTH-1, LC_PROBE701_WIDTH-1, (LC_NUM_OF_PROBES > 701), (LC_NUM_OF_PROBES*2 > 701), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE350_WIDTH-1, LC_PROBE700_WIDTH-1, (LC_NUM_OF_PROBES > 700), (LC_NUM_OF_PROBES*2 > 700), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE349_WIDTH-1, LC_PROBE699_WIDTH-1, (LC_NUM_OF_PROBES > 699), (LC_NUM_OF_PROBES*2 > 699), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE349_WIDTH-1, LC_PROBE698_WIDTH-1, (LC_NUM_OF_PROBES > 698), (LC_NUM_OF_PROBES*2 > 698), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE348_WIDTH-1, LC_PROBE697_WIDTH-1, (LC_NUM_OF_PROBES > 697), (LC_NUM_OF_PROBES*2 > 697), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE348_WIDTH-1, LC_PROBE696_WIDTH-1, (LC_NUM_OF_PROBES > 696), (LC_NUM_OF_PROBES*2 > 696), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE347_WIDTH-1, LC_PROBE695_WIDTH-1, (LC_NUM_OF_PROBES > 695), (LC_NUM_OF_PROBES*2 > 695), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE347_WIDTH-1, LC_PROBE694_WIDTH-1, (LC_NUM_OF_PROBES > 694), (LC_NUM_OF_PROBES*2 > 694), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE346_WIDTH-1, LC_PROBE693_WIDTH-1, (LC_NUM_OF_PROBES > 693), (LC_NUM_OF_PROBES*2 > 693), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE346_WIDTH-1, LC_PROBE692_WIDTH-1, (LC_NUM_OF_PROBES > 692), (LC_NUM_OF_PROBES*2 > 692), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE345_WIDTH-1, LC_PROBE691_WIDTH-1, (LC_NUM_OF_PROBES > 691), (LC_NUM_OF_PROBES*2 > 691), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE345_WIDTH-1, LC_PROBE690_WIDTH-1, (LC_NUM_OF_PROBES > 690), (LC_NUM_OF_PROBES*2 > 690), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE344_WIDTH-1, LC_PROBE689_WIDTH-1, (LC_NUM_OF_PROBES > 689), (LC_NUM_OF_PROBES*2 > 689), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE344_WIDTH-1, LC_PROBE688_WIDTH-1, (LC_NUM_OF_PROBES > 688), (LC_NUM_OF_PROBES*2 > 688), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE343_WIDTH-1, LC_PROBE687_WIDTH-1, (LC_NUM_OF_PROBES > 687), (LC_NUM_OF_PROBES*2 > 687), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE343_WIDTH-1, LC_PROBE686_WIDTH-1, (LC_NUM_OF_PROBES > 686), (LC_NUM_OF_PROBES*2 > 686), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE342_WIDTH-1, LC_PROBE685_WIDTH-1, (LC_NUM_OF_PROBES > 685), (LC_NUM_OF_PROBES*2 > 685), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE342_WIDTH-1, LC_PROBE684_WIDTH-1, (LC_NUM_OF_PROBES > 684), (LC_NUM_OF_PROBES*2 > 684), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE341_WIDTH-1, LC_PROBE683_WIDTH-1, (LC_NUM_OF_PROBES > 683), (LC_NUM_OF_PROBES*2 > 683), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE341_WIDTH-1, LC_PROBE682_WIDTH-1, (LC_NUM_OF_PROBES > 682), (LC_NUM_OF_PROBES*2 > 682), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE340_WIDTH-1, LC_PROBE681_WIDTH-1, (LC_NUM_OF_PROBES > 681), (LC_NUM_OF_PROBES*2 > 681), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE340_WIDTH-1, LC_PROBE680_WIDTH-1, (LC_NUM_OF_PROBES > 680), (LC_NUM_OF_PROBES*2 > 680), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE339_WIDTH-1, LC_PROBE679_WIDTH-1, (LC_NUM_OF_PROBES > 679), (LC_NUM_OF_PROBES*2 > 679), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE339_WIDTH-1, LC_PROBE678_WIDTH-1, (LC_NUM_OF_PROBES > 678), (LC_NUM_OF_PROBES*2 > 678), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE338_WIDTH-1, LC_PROBE677_WIDTH-1, (LC_NUM_OF_PROBES > 677), (LC_NUM_OF_PROBES*2 > 677), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE338_WIDTH-1, LC_PROBE676_WIDTH-1, (LC_NUM_OF_PROBES > 676), (LC_NUM_OF_PROBES*2 > 676), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE337_WIDTH-1, LC_PROBE675_WIDTH-1, (LC_NUM_OF_PROBES > 675), (LC_NUM_OF_PROBES*2 > 675), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE337_WIDTH-1, LC_PROBE674_WIDTH-1, (LC_NUM_OF_PROBES > 674), (LC_NUM_OF_PROBES*2 > 674), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE336_WIDTH-1, LC_PROBE673_WIDTH-1, (LC_NUM_OF_PROBES > 673), (LC_NUM_OF_PROBES*2 > 673), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE336_WIDTH-1, LC_PROBE672_WIDTH-1, (LC_NUM_OF_PROBES > 672), (LC_NUM_OF_PROBES*2 > 672), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE335_WIDTH-1, LC_PROBE671_WIDTH-1, (LC_NUM_OF_PROBES > 671), (LC_NUM_OF_PROBES*2 > 671), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE335_WIDTH-1, LC_PROBE670_WIDTH-1, (LC_NUM_OF_PROBES > 670), (LC_NUM_OF_PROBES*2 > 670), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE334_WIDTH-1, LC_PROBE669_WIDTH-1, (LC_NUM_OF_PROBES > 669), (LC_NUM_OF_PROBES*2 > 669), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE334_WIDTH-1, LC_PROBE668_WIDTH-1, (LC_NUM_OF_PROBES > 668), (LC_NUM_OF_PROBES*2 > 668), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE333_WIDTH-1, LC_PROBE667_WIDTH-1, (LC_NUM_OF_PROBES > 667), (LC_NUM_OF_PROBES*2 > 667), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE333_WIDTH-1, LC_PROBE666_WIDTH-1, (LC_NUM_OF_PROBES > 666), (LC_NUM_OF_PROBES*2 > 666), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE332_WIDTH-1, LC_PROBE665_WIDTH-1, (LC_NUM_OF_PROBES > 665), (LC_NUM_OF_PROBES*2 > 665), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE332_WIDTH-1, LC_PROBE664_WIDTH-1, (LC_NUM_OF_PROBES > 664), (LC_NUM_OF_PROBES*2 > 664), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE331_WIDTH-1, LC_PROBE663_WIDTH-1, (LC_NUM_OF_PROBES > 663), (LC_NUM_OF_PROBES*2 > 663), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE331_WIDTH-1, LC_PROBE662_WIDTH-1, (LC_NUM_OF_PROBES > 662), (LC_NUM_OF_PROBES*2 > 662), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE330_WIDTH-1, LC_PROBE661_WIDTH-1, (LC_NUM_OF_PROBES > 661), (LC_NUM_OF_PROBES*2 > 661), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE330_WIDTH-1, LC_PROBE660_WIDTH-1, (LC_NUM_OF_PROBES > 660), (LC_NUM_OF_PROBES*2 > 660), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE329_WIDTH-1, LC_PROBE659_WIDTH-1, (LC_NUM_OF_PROBES > 659), (LC_NUM_OF_PROBES*2 > 659), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE329_WIDTH-1, LC_PROBE658_WIDTH-1, (LC_NUM_OF_PROBES > 658), (LC_NUM_OF_PROBES*2 > 658), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE328_WIDTH-1, LC_PROBE657_WIDTH-1, (LC_NUM_OF_PROBES > 657), (LC_NUM_OF_PROBES*2 > 657), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE328_WIDTH-1, LC_PROBE656_WIDTH-1, (LC_NUM_OF_PROBES > 656), (LC_NUM_OF_PROBES*2 > 656), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE327_WIDTH-1, LC_PROBE655_WIDTH-1, (LC_NUM_OF_PROBES > 655), (LC_NUM_OF_PROBES*2 > 655), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE327_WIDTH-1, LC_PROBE654_WIDTH-1, (LC_NUM_OF_PROBES > 654), (LC_NUM_OF_PROBES*2 > 654), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE326_WIDTH-1, LC_PROBE653_WIDTH-1, (LC_NUM_OF_PROBES > 653), (LC_NUM_OF_PROBES*2 > 653), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE326_WIDTH-1, LC_PROBE652_WIDTH-1, (LC_NUM_OF_PROBES > 652), (LC_NUM_OF_PROBES*2 > 652), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE325_WIDTH-1, LC_PROBE651_WIDTH-1, (LC_NUM_OF_PROBES > 651), (LC_NUM_OF_PROBES*2 > 651), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE325_WIDTH-1, LC_PROBE650_WIDTH-1, (LC_NUM_OF_PROBES > 650), (LC_NUM_OF_PROBES*2 > 650), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE324_WIDTH-1, LC_PROBE649_WIDTH-1, (LC_NUM_OF_PROBES > 649), (LC_NUM_OF_PROBES*2 > 649), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE324_WIDTH-1, LC_PROBE648_WIDTH-1, (LC_NUM_OF_PROBES > 648), (LC_NUM_OF_PROBES*2 > 648), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE323_WIDTH-1, LC_PROBE647_WIDTH-1, (LC_NUM_OF_PROBES > 647), (LC_NUM_OF_PROBES*2 > 647), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE323_WIDTH-1, LC_PROBE646_WIDTH-1, (LC_NUM_OF_PROBES > 646), (LC_NUM_OF_PROBES*2 > 646), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE322_WIDTH-1, LC_PROBE645_WIDTH-1, (LC_NUM_OF_PROBES > 645), (LC_NUM_OF_PROBES*2 > 645), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE322_WIDTH-1, LC_PROBE644_WIDTH-1, (LC_NUM_OF_PROBES > 644), (LC_NUM_OF_PROBES*2 > 644), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE321_WIDTH-1, LC_PROBE643_WIDTH-1, (LC_NUM_OF_PROBES > 643), (LC_NUM_OF_PROBES*2 > 643), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE321_WIDTH-1, LC_PROBE642_WIDTH-1, (LC_NUM_OF_PROBES > 642), (LC_NUM_OF_PROBES*2 > 642), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE320_WIDTH-1, LC_PROBE641_WIDTH-1, (LC_NUM_OF_PROBES > 641), (LC_NUM_OF_PROBES*2 > 641), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE320_WIDTH-1, LC_PROBE640_WIDTH-1, (LC_NUM_OF_PROBES > 640), (LC_NUM_OF_PROBES*2 > 640), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE319_WIDTH-1, LC_PROBE639_WIDTH-1, (LC_NUM_OF_PROBES > 639), (LC_NUM_OF_PROBES*2 > 639), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE319_WIDTH-1, LC_PROBE638_WIDTH-1, (LC_NUM_OF_PROBES > 638), (LC_NUM_OF_PROBES*2 > 638), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE318_WIDTH-1, LC_PROBE637_WIDTH-1, (LC_NUM_OF_PROBES > 637), (LC_NUM_OF_PROBES*2 > 637), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE318_WIDTH-1, LC_PROBE636_WIDTH-1, (LC_NUM_OF_PROBES > 636), (LC_NUM_OF_PROBES*2 > 636), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE317_WIDTH-1, LC_PROBE635_WIDTH-1, (LC_NUM_OF_PROBES > 635), (LC_NUM_OF_PROBES*2 > 635), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE317_WIDTH-1, LC_PROBE634_WIDTH-1, (LC_NUM_OF_PROBES > 634), (LC_NUM_OF_PROBES*2 > 634), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE316_WIDTH-1, LC_PROBE633_WIDTH-1, (LC_NUM_OF_PROBES > 633), (LC_NUM_OF_PROBES*2 > 633), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE316_WIDTH-1, LC_PROBE632_WIDTH-1, (LC_NUM_OF_PROBES > 632), (LC_NUM_OF_PROBES*2 > 632), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE315_WIDTH-1, LC_PROBE631_WIDTH-1, (LC_NUM_OF_PROBES > 631), (LC_NUM_OF_PROBES*2 > 631), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE315_WIDTH-1, LC_PROBE630_WIDTH-1, (LC_NUM_OF_PROBES > 630), (LC_NUM_OF_PROBES*2 > 630), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE314_WIDTH-1, LC_PROBE629_WIDTH-1, (LC_NUM_OF_PROBES > 629), (LC_NUM_OF_PROBES*2 > 629), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE314_WIDTH-1, LC_PROBE628_WIDTH-1, (LC_NUM_OF_PROBES > 628), (LC_NUM_OF_PROBES*2 > 628), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE313_WIDTH-1, LC_PROBE627_WIDTH-1, (LC_NUM_OF_PROBES > 627), (LC_NUM_OF_PROBES*2 > 627), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE313_WIDTH-1, LC_PROBE626_WIDTH-1, (LC_NUM_OF_PROBES > 626), (LC_NUM_OF_PROBES*2 > 626), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE312_WIDTH-1, LC_PROBE625_WIDTH-1, (LC_NUM_OF_PROBES > 625), (LC_NUM_OF_PROBES*2 > 625), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE312_WIDTH-1, LC_PROBE624_WIDTH-1, (LC_NUM_OF_PROBES > 624), (LC_NUM_OF_PROBES*2 > 624), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE311_WIDTH-1, LC_PROBE623_WIDTH-1, (LC_NUM_OF_PROBES > 623), (LC_NUM_OF_PROBES*2 > 623), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE311_WIDTH-1, LC_PROBE622_WIDTH-1, (LC_NUM_OF_PROBES > 622), (LC_NUM_OF_PROBES*2 > 622), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE310_WIDTH-1, LC_PROBE621_WIDTH-1, (LC_NUM_OF_PROBES > 621), (LC_NUM_OF_PROBES*2 > 621), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE310_WIDTH-1, LC_PROBE620_WIDTH-1, (LC_NUM_OF_PROBES > 620), (LC_NUM_OF_PROBES*2 > 620), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE309_WIDTH-1, LC_PROBE619_WIDTH-1, (LC_NUM_OF_PROBES > 619), (LC_NUM_OF_PROBES*2 > 619), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE309_WIDTH-1, LC_PROBE618_WIDTH-1, (LC_NUM_OF_PROBES > 618), (LC_NUM_OF_PROBES*2 > 618), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE308_WIDTH-1, LC_PROBE617_WIDTH-1, (LC_NUM_OF_PROBES > 617), (LC_NUM_OF_PROBES*2 > 617), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE308_WIDTH-1, LC_PROBE616_WIDTH-1, (LC_NUM_OF_PROBES > 616), (LC_NUM_OF_PROBES*2 > 616), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE307_WIDTH-1, LC_PROBE615_WIDTH-1, (LC_NUM_OF_PROBES > 615), (LC_NUM_OF_PROBES*2 > 615), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE307_WIDTH-1, LC_PROBE614_WIDTH-1, (LC_NUM_OF_PROBES > 614), (LC_NUM_OF_PROBES*2 > 614), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE306_WIDTH-1, LC_PROBE613_WIDTH-1, (LC_NUM_OF_PROBES > 613), (LC_NUM_OF_PROBES*2 > 613), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE306_WIDTH-1, LC_PROBE612_WIDTH-1, (LC_NUM_OF_PROBES > 612), (LC_NUM_OF_PROBES*2 > 612), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE305_WIDTH-1, LC_PROBE611_WIDTH-1, (LC_NUM_OF_PROBES > 611), (LC_NUM_OF_PROBES*2 > 611), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE305_WIDTH-1, LC_PROBE610_WIDTH-1, (LC_NUM_OF_PROBES > 610), (LC_NUM_OF_PROBES*2 > 610), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE304_WIDTH-1, LC_PROBE609_WIDTH-1, (LC_NUM_OF_PROBES > 609), (LC_NUM_OF_PROBES*2 > 609), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE304_WIDTH-1, LC_PROBE608_WIDTH-1, (LC_NUM_OF_PROBES > 608), (LC_NUM_OF_PROBES*2 > 608), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE303_WIDTH-1, LC_PROBE607_WIDTH-1, (LC_NUM_OF_PROBES > 607), (LC_NUM_OF_PROBES*2 > 607), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE303_WIDTH-1, LC_PROBE606_WIDTH-1, (LC_NUM_OF_PROBES > 606), (LC_NUM_OF_PROBES*2 > 606), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE302_WIDTH-1, LC_PROBE605_WIDTH-1, (LC_NUM_OF_PROBES > 605), (LC_NUM_OF_PROBES*2 > 605), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE302_WIDTH-1, LC_PROBE604_WIDTH-1, (LC_NUM_OF_PROBES > 604), (LC_NUM_OF_PROBES*2 > 604), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE301_WIDTH-1, LC_PROBE603_WIDTH-1, (LC_NUM_OF_PROBES > 603), (LC_NUM_OF_PROBES*2 > 603), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE301_WIDTH-1, LC_PROBE602_WIDTH-1, (LC_NUM_OF_PROBES > 602), (LC_NUM_OF_PROBES*2 > 602), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE300_WIDTH-1, LC_PROBE601_WIDTH-1, (LC_NUM_OF_PROBES > 601), (LC_NUM_OF_PROBES*2 > 601), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE300_WIDTH-1, LC_PROBE600_WIDTH-1, (LC_NUM_OF_PROBES > 600), (LC_NUM_OF_PROBES*2 > 600), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE299_WIDTH-1, LC_PROBE599_WIDTH-1, (LC_NUM_OF_PROBES > 599), (LC_NUM_OF_PROBES*2 > 599), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE299_WIDTH-1, LC_PROBE598_WIDTH-1, (LC_NUM_OF_PROBES > 598), (LC_NUM_OF_PROBES*2 > 598), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE298_WIDTH-1, LC_PROBE597_WIDTH-1, (LC_NUM_OF_PROBES > 597), (LC_NUM_OF_PROBES*2 > 597), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE298_WIDTH-1, LC_PROBE596_WIDTH-1, (LC_NUM_OF_PROBES > 596), (LC_NUM_OF_PROBES*2 > 596), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE297_WIDTH-1, LC_PROBE595_WIDTH-1, (LC_NUM_OF_PROBES > 595), (LC_NUM_OF_PROBES*2 > 595), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE297_WIDTH-1, LC_PROBE594_WIDTH-1, (LC_NUM_OF_PROBES > 594), (LC_NUM_OF_PROBES*2 > 594), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE296_WIDTH-1, LC_PROBE593_WIDTH-1, (LC_NUM_OF_PROBES > 593), (LC_NUM_OF_PROBES*2 > 593), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE296_WIDTH-1, LC_PROBE592_WIDTH-1, (LC_NUM_OF_PROBES > 592), (LC_NUM_OF_PROBES*2 > 592), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE295_WIDTH-1, LC_PROBE591_WIDTH-1, (LC_NUM_OF_PROBES > 591), (LC_NUM_OF_PROBES*2 > 591), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE295_WIDTH-1, LC_PROBE590_WIDTH-1, (LC_NUM_OF_PROBES > 590), (LC_NUM_OF_PROBES*2 > 590), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE294_WIDTH-1, LC_PROBE589_WIDTH-1, (LC_NUM_OF_PROBES > 589), (LC_NUM_OF_PROBES*2 > 589), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE294_WIDTH-1, LC_PROBE588_WIDTH-1, (LC_NUM_OF_PROBES > 588), (LC_NUM_OF_PROBES*2 > 588), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE293_WIDTH-1, LC_PROBE587_WIDTH-1, (LC_NUM_OF_PROBES > 587), (LC_NUM_OF_PROBES*2 > 587), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE293_WIDTH-1, LC_PROBE586_WIDTH-1, (LC_NUM_OF_PROBES > 586), (LC_NUM_OF_PROBES*2 > 586), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE292_WIDTH-1, LC_PROBE585_WIDTH-1, (LC_NUM_OF_PROBES > 585), (LC_NUM_OF_PROBES*2 > 585), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE292_WIDTH-1, LC_PROBE584_WIDTH-1, (LC_NUM_OF_PROBES > 584), (LC_NUM_OF_PROBES*2 > 584), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE291_WIDTH-1, LC_PROBE583_WIDTH-1, (LC_NUM_OF_PROBES > 583), (LC_NUM_OF_PROBES*2 > 583), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE291_WIDTH-1, LC_PROBE582_WIDTH-1, (LC_NUM_OF_PROBES > 582), (LC_NUM_OF_PROBES*2 > 582), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE290_WIDTH-1, LC_PROBE581_WIDTH-1, (LC_NUM_OF_PROBES > 581), (LC_NUM_OF_PROBES*2 > 581), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE290_WIDTH-1, LC_PROBE580_WIDTH-1, (LC_NUM_OF_PROBES > 580), (LC_NUM_OF_PROBES*2 > 580), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE289_WIDTH-1, LC_PROBE579_WIDTH-1, (LC_NUM_OF_PROBES > 579), (LC_NUM_OF_PROBES*2 > 579), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE289_WIDTH-1, LC_PROBE578_WIDTH-1, (LC_NUM_OF_PROBES > 578), (LC_NUM_OF_PROBES*2 > 578), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE288_WIDTH-1, LC_PROBE577_WIDTH-1, (LC_NUM_OF_PROBES > 577), (LC_NUM_OF_PROBES*2 > 577), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE288_WIDTH-1, LC_PROBE576_WIDTH-1, (LC_NUM_OF_PROBES > 576), (LC_NUM_OF_PROBES*2 > 576), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE287_WIDTH-1, LC_PROBE575_WIDTH-1, (LC_NUM_OF_PROBES > 575), (LC_NUM_OF_PROBES*2 > 575), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE287_WIDTH-1, LC_PROBE574_WIDTH-1, (LC_NUM_OF_PROBES > 574), (LC_NUM_OF_PROBES*2 > 574), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE286_WIDTH-1, LC_PROBE573_WIDTH-1, (LC_NUM_OF_PROBES > 573), (LC_NUM_OF_PROBES*2 > 573), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE286_WIDTH-1, LC_PROBE572_WIDTH-1, (LC_NUM_OF_PROBES > 572), (LC_NUM_OF_PROBES*2 > 572), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE285_WIDTH-1, LC_PROBE571_WIDTH-1, (LC_NUM_OF_PROBES > 571), (LC_NUM_OF_PROBES*2 > 571), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE285_WIDTH-1, LC_PROBE570_WIDTH-1, (LC_NUM_OF_PROBES > 570), (LC_NUM_OF_PROBES*2 > 570), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE284_WIDTH-1, LC_PROBE569_WIDTH-1, (LC_NUM_OF_PROBES > 569), (LC_NUM_OF_PROBES*2 > 569), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE284_WIDTH-1, LC_PROBE568_WIDTH-1, (LC_NUM_OF_PROBES > 568), (LC_NUM_OF_PROBES*2 > 568), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE283_WIDTH-1, LC_PROBE567_WIDTH-1, (LC_NUM_OF_PROBES > 567), (LC_NUM_OF_PROBES*2 > 567), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE283_WIDTH-1, LC_PROBE566_WIDTH-1, (LC_NUM_OF_PROBES > 566), (LC_NUM_OF_PROBES*2 > 566), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE282_WIDTH-1, LC_PROBE565_WIDTH-1, (LC_NUM_OF_PROBES > 565), (LC_NUM_OF_PROBES*2 > 565), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE282_WIDTH-1, LC_PROBE564_WIDTH-1, (LC_NUM_OF_PROBES > 564), (LC_NUM_OF_PROBES*2 > 564), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE281_WIDTH-1, LC_PROBE563_WIDTH-1, (LC_NUM_OF_PROBES > 563), (LC_NUM_OF_PROBES*2 > 563), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE281_WIDTH-1, LC_PROBE562_WIDTH-1, (LC_NUM_OF_PROBES > 562), (LC_NUM_OF_PROBES*2 > 562), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE280_WIDTH-1, LC_PROBE561_WIDTH-1, (LC_NUM_OF_PROBES > 561), (LC_NUM_OF_PROBES*2 > 561), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE280_WIDTH-1, LC_PROBE560_WIDTH-1, (LC_NUM_OF_PROBES > 560), (LC_NUM_OF_PROBES*2 > 560), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE279_WIDTH-1, LC_PROBE559_WIDTH-1, (LC_NUM_OF_PROBES > 559), (LC_NUM_OF_PROBES*2 > 559), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE279_WIDTH-1, LC_PROBE558_WIDTH-1, (LC_NUM_OF_PROBES > 558), (LC_NUM_OF_PROBES*2 > 558), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE278_WIDTH-1, LC_PROBE557_WIDTH-1, (LC_NUM_OF_PROBES > 557), (LC_NUM_OF_PROBES*2 > 557), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE278_WIDTH-1, LC_PROBE556_WIDTH-1, (LC_NUM_OF_PROBES > 556), (LC_NUM_OF_PROBES*2 > 556), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE277_WIDTH-1, LC_PROBE555_WIDTH-1, (LC_NUM_OF_PROBES > 555), (LC_NUM_OF_PROBES*2 > 555), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE277_WIDTH-1, LC_PROBE554_WIDTH-1, (LC_NUM_OF_PROBES > 554), (LC_NUM_OF_PROBES*2 > 554), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE276_WIDTH-1, LC_PROBE553_WIDTH-1, (LC_NUM_OF_PROBES > 553), (LC_NUM_OF_PROBES*2 > 553), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE276_WIDTH-1, LC_PROBE552_WIDTH-1, (LC_NUM_OF_PROBES > 552), (LC_NUM_OF_PROBES*2 > 552), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE275_WIDTH-1, LC_PROBE551_WIDTH-1, (LC_NUM_OF_PROBES > 551), (LC_NUM_OF_PROBES*2 > 551), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE275_WIDTH-1, LC_PROBE550_WIDTH-1, (LC_NUM_OF_PROBES > 550), (LC_NUM_OF_PROBES*2 > 550), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE274_WIDTH-1, LC_PROBE549_WIDTH-1, (LC_NUM_OF_PROBES > 549), (LC_NUM_OF_PROBES*2 > 549), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE274_WIDTH-1, LC_PROBE548_WIDTH-1, (LC_NUM_OF_PROBES > 548), (LC_NUM_OF_PROBES*2 > 548), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE273_WIDTH-1, LC_PROBE547_WIDTH-1, (LC_NUM_OF_PROBES > 547), (LC_NUM_OF_PROBES*2 > 547), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE273_WIDTH-1, LC_PROBE546_WIDTH-1, (LC_NUM_OF_PROBES > 546), (LC_NUM_OF_PROBES*2 > 546), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE272_WIDTH-1, LC_PROBE545_WIDTH-1, (LC_NUM_OF_PROBES > 545), (LC_NUM_OF_PROBES*2 > 545), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE272_WIDTH-1, LC_PROBE544_WIDTH-1, (LC_NUM_OF_PROBES > 544), (LC_NUM_OF_PROBES*2 > 544), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE271_WIDTH-1, LC_PROBE543_WIDTH-1, (LC_NUM_OF_PROBES > 543), (LC_NUM_OF_PROBES*2 > 543), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE271_WIDTH-1, LC_PROBE542_WIDTH-1, (LC_NUM_OF_PROBES > 542), (LC_NUM_OF_PROBES*2 > 542), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE270_WIDTH-1, LC_PROBE541_WIDTH-1, (LC_NUM_OF_PROBES > 541), (LC_NUM_OF_PROBES*2 > 541), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE270_WIDTH-1, LC_PROBE540_WIDTH-1, (LC_NUM_OF_PROBES > 540), (LC_NUM_OF_PROBES*2 > 540), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE269_WIDTH-1, LC_PROBE539_WIDTH-1, (LC_NUM_OF_PROBES > 539), (LC_NUM_OF_PROBES*2 > 539), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE269_WIDTH-1, LC_PROBE538_WIDTH-1, (LC_NUM_OF_PROBES > 538), (LC_NUM_OF_PROBES*2 > 538), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE268_WIDTH-1, LC_PROBE537_WIDTH-1, (LC_NUM_OF_PROBES > 537), (LC_NUM_OF_PROBES*2 > 537), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE268_WIDTH-1, LC_PROBE536_WIDTH-1, (LC_NUM_OF_PROBES > 536), (LC_NUM_OF_PROBES*2 > 536), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE267_WIDTH-1, LC_PROBE535_WIDTH-1, (LC_NUM_OF_PROBES > 535), (LC_NUM_OF_PROBES*2 > 535), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE267_WIDTH-1, LC_PROBE534_WIDTH-1, (LC_NUM_OF_PROBES > 534), (LC_NUM_OF_PROBES*2 > 534), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE266_WIDTH-1, LC_PROBE533_WIDTH-1, (LC_NUM_OF_PROBES > 533), (LC_NUM_OF_PROBES*2 > 533), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE266_WIDTH-1, LC_PROBE532_WIDTH-1, (LC_NUM_OF_PROBES > 532), (LC_NUM_OF_PROBES*2 > 532), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE265_WIDTH-1, LC_PROBE531_WIDTH-1, (LC_NUM_OF_PROBES > 531), (LC_NUM_OF_PROBES*2 > 531), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE265_WIDTH-1, LC_PROBE530_WIDTH-1, (LC_NUM_OF_PROBES > 530), (LC_NUM_OF_PROBES*2 > 530), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE264_WIDTH-1, LC_PROBE529_WIDTH-1, (LC_NUM_OF_PROBES > 529), (LC_NUM_OF_PROBES*2 > 529), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE264_WIDTH-1, LC_PROBE528_WIDTH-1, (LC_NUM_OF_PROBES > 528), (LC_NUM_OF_PROBES*2 > 528), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE263_WIDTH-1, LC_PROBE527_WIDTH-1, (LC_NUM_OF_PROBES > 527), (LC_NUM_OF_PROBES*2 > 527), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE263_WIDTH-1, LC_PROBE526_WIDTH-1, (LC_NUM_OF_PROBES > 526), (LC_NUM_OF_PROBES*2 > 526), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE262_WIDTH-1, LC_PROBE525_WIDTH-1, (LC_NUM_OF_PROBES > 525), (LC_NUM_OF_PROBES*2 > 525), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE262_WIDTH-1, LC_PROBE524_WIDTH-1, (LC_NUM_OF_PROBES > 524), (LC_NUM_OF_PROBES*2 > 524), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE261_WIDTH-1, LC_PROBE523_WIDTH-1, (LC_NUM_OF_PROBES > 523), (LC_NUM_OF_PROBES*2 > 523), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE261_WIDTH-1, LC_PROBE522_WIDTH-1, (LC_NUM_OF_PROBES > 522), (LC_NUM_OF_PROBES*2 > 522), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE260_WIDTH-1, LC_PROBE521_WIDTH-1, (LC_NUM_OF_PROBES > 521), (LC_NUM_OF_PROBES*2 > 521), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE260_WIDTH-1, LC_PROBE520_WIDTH-1, (LC_NUM_OF_PROBES > 520), (LC_NUM_OF_PROBES*2 > 520), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE259_WIDTH-1, LC_PROBE519_WIDTH-1, (LC_NUM_OF_PROBES > 519), (LC_NUM_OF_PROBES*2 > 519), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE259_WIDTH-1, LC_PROBE518_WIDTH-1, (LC_NUM_OF_PROBES > 518), (LC_NUM_OF_PROBES*2 > 518), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE258_WIDTH-1, LC_PROBE517_WIDTH-1, (LC_NUM_OF_PROBES > 517), (LC_NUM_OF_PROBES*2 > 517), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE258_WIDTH-1, LC_PROBE516_WIDTH-1, (LC_NUM_OF_PROBES > 516), (LC_NUM_OF_PROBES*2 > 516), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE257_WIDTH-1, LC_PROBE515_WIDTH-1, (LC_NUM_OF_PROBES > 515), (LC_NUM_OF_PROBES*2 > 515), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE257_WIDTH-1, LC_PROBE514_WIDTH-1, (LC_NUM_OF_PROBES > 514), (LC_NUM_OF_PROBES*2 > 514), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE256_WIDTH-1, LC_PROBE513_WIDTH-1, (LC_NUM_OF_PROBES > 513), (LC_NUM_OF_PROBES*2 > 513), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE256_WIDTH-1, LC_PROBE512_WIDTH-1, (LC_NUM_OF_PROBES > 512), (LC_NUM_OF_PROBES*2 > 512), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE255_WIDTH-1, LC_PROBE511_WIDTH-1, (LC_NUM_OF_PROBES > 511), (LC_NUM_OF_PROBES*2 > 511), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE255_WIDTH-1, LC_PROBE510_WIDTH-1, (LC_NUM_OF_PROBES > 510), (LC_NUM_OF_PROBES*2 > 510), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE254_WIDTH-1, LC_PROBE509_WIDTH-1, (LC_NUM_OF_PROBES > 509), (LC_NUM_OF_PROBES*2 > 509), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE254_WIDTH-1, LC_PROBE508_WIDTH-1, (LC_NUM_OF_PROBES > 508), (LC_NUM_OF_PROBES*2 > 508), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE253_WIDTH-1, LC_PROBE507_WIDTH-1, (LC_NUM_OF_PROBES > 507), (LC_NUM_OF_PROBES*2 > 507), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE253_WIDTH-1, LC_PROBE506_WIDTH-1, (LC_NUM_OF_PROBES > 506), (LC_NUM_OF_PROBES*2 > 506), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE252_WIDTH-1, LC_PROBE505_WIDTH-1, (LC_NUM_OF_PROBES > 505), (LC_NUM_OF_PROBES*2 > 505), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE252_WIDTH-1, LC_PROBE504_WIDTH-1, (LC_NUM_OF_PROBES > 504), (LC_NUM_OF_PROBES*2 > 504), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE251_WIDTH-1, LC_PROBE503_WIDTH-1, (LC_NUM_OF_PROBES > 503), (LC_NUM_OF_PROBES*2 > 503), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE251_WIDTH-1, LC_PROBE502_WIDTH-1, (LC_NUM_OF_PROBES > 502), (LC_NUM_OF_PROBES*2 > 502), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE250_WIDTH-1, LC_PROBE501_WIDTH-1, (LC_NUM_OF_PROBES > 501), (LC_NUM_OF_PROBES*2 > 501), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE250_WIDTH-1, LC_PROBE500_WIDTH-1, (LC_NUM_OF_PROBES > 500), (LC_NUM_OF_PROBES*2 > 500), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE249_WIDTH-1, LC_PROBE499_WIDTH-1, (LC_NUM_OF_PROBES > 499), (LC_NUM_OF_PROBES*2 > 499), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE249_WIDTH-1, LC_PROBE498_WIDTH-1, (LC_NUM_OF_PROBES > 498), (LC_NUM_OF_PROBES*2 > 498), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE248_WIDTH-1, LC_PROBE497_WIDTH-1, (LC_NUM_OF_PROBES > 497), (LC_NUM_OF_PROBES*2 > 497), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE248_WIDTH-1, LC_PROBE496_WIDTH-1, (LC_NUM_OF_PROBES > 496), (LC_NUM_OF_PROBES*2 > 496), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE247_WIDTH-1, LC_PROBE495_WIDTH-1, (LC_NUM_OF_PROBES > 495), (LC_NUM_OF_PROBES*2 > 495), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE247_WIDTH-1, LC_PROBE494_WIDTH-1, (LC_NUM_OF_PROBES > 494), (LC_NUM_OF_PROBES*2 > 494), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE246_WIDTH-1, LC_PROBE493_WIDTH-1, (LC_NUM_OF_PROBES > 493), (LC_NUM_OF_PROBES*2 > 493), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE246_WIDTH-1, LC_PROBE492_WIDTH-1, (LC_NUM_OF_PROBES > 492), (LC_NUM_OF_PROBES*2 > 492), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE245_WIDTH-1, LC_PROBE491_WIDTH-1, (LC_NUM_OF_PROBES > 491), (LC_NUM_OF_PROBES*2 > 491), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE245_WIDTH-1, LC_PROBE490_WIDTH-1, (LC_NUM_OF_PROBES > 490), (LC_NUM_OF_PROBES*2 > 490), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE244_WIDTH-1, LC_PROBE489_WIDTH-1, (LC_NUM_OF_PROBES > 489), (LC_NUM_OF_PROBES*2 > 489), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE244_WIDTH-1, LC_PROBE488_WIDTH-1, (LC_NUM_OF_PROBES > 488), (LC_NUM_OF_PROBES*2 > 488), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE243_WIDTH-1, LC_PROBE487_WIDTH-1, (LC_NUM_OF_PROBES > 487), (LC_NUM_OF_PROBES*2 > 487), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE243_WIDTH-1, LC_PROBE486_WIDTH-1, (LC_NUM_OF_PROBES > 486), (LC_NUM_OF_PROBES*2 > 486), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE242_WIDTH-1, LC_PROBE485_WIDTH-1, (LC_NUM_OF_PROBES > 485), (LC_NUM_OF_PROBES*2 > 485), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE242_WIDTH-1, LC_PROBE484_WIDTH-1, (LC_NUM_OF_PROBES > 484), (LC_NUM_OF_PROBES*2 > 484), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE241_WIDTH-1, LC_PROBE483_WIDTH-1, (LC_NUM_OF_PROBES > 483), (LC_NUM_OF_PROBES*2 > 483), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE241_WIDTH-1, LC_PROBE482_WIDTH-1, (LC_NUM_OF_PROBES > 482), (LC_NUM_OF_PROBES*2 > 482), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE240_WIDTH-1, LC_PROBE481_WIDTH-1, (LC_NUM_OF_PROBES > 481), (LC_NUM_OF_PROBES*2 > 481), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE240_WIDTH-1, LC_PROBE480_WIDTH-1, (LC_NUM_OF_PROBES > 480), (LC_NUM_OF_PROBES*2 > 480), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE239_WIDTH-1, LC_PROBE479_WIDTH-1, (LC_NUM_OF_PROBES > 479), (LC_NUM_OF_PROBES*2 > 479), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE239_WIDTH-1, LC_PROBE478_WIDTH-1, (LC_NUM_OF_PROBES > 478), (LC_NUM_OF_PROBES*2 > 478), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE238_WIDTH-1, LC_PROBE477_WIDTH-1, (LC_NUM_OF_PROBES > 477), (LC_NUM_OF_PROBES*2 > 477), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE238_WIDTH-1, LC_PROBE476_WIDTH-1, (LC_NUM_OF_PROBES > 476), (LC_NUM_OF_PROBES*2 > 476), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE237_WIDTH-1, LC_PROBE475_WIDTH-1, (LC_NUM_OF_PROBES > 475), (LC_NUM_OF_PROBES*2 > 475), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE237_WIDTH-1, LC_PROBE474_WIDTH-1, (LC_NUM_OF_PROBES > 474), (LC_NUM_OF_PROBES*2 > 474), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE236_WIDTH-1, LC_PROBE473_WIDTH-1, (LC_NUM_OF_PROBES > 473), (LC_NUM_OF_PROBES*2 > 473), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE236_WIDTH-1, LC_PROBE472_WIDTH-1, (LC_NUM_OF_PROBES > 472), (LC_NUM_OF_PROBES*2 > 472), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE235_WIDTH-1, LC_PROBE471_WIDTH-1, (LC_NUM_OF_PROBES > 471), (LC_NUM_OF_PROBES*2 > 471), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE235_WIDTH-1, LC_PROBE470_WIDTH-1, (LC_NUM_OF_PROBES > 470), (LC_NUM_OF_PROBES*2 > 470), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE234_WIDTH-1, LC_PROBE469_WIDTH-1, (LC_NUM_OF_PROBES > 469), (LC_NUM_OF_PROBES*2 > 469), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE234_WIDTH-1, LC_PROBE468_WIDTH-1, (LC_NUM_OF_PROBES > 468), (LC_NUM_OF_PROBES*2 > 468), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE233_WIDTH-1, LC_PROBE467_WIDTH-1, (LC_NUM_OF_PROBES > 467), (LC_NUM_OF_PROBES*2 > 467), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE233_WIDTH-1, LC_PROBE466_WIDTH-1, (LC_NUM_OF_PROBES > 466), (LC_NUM_OF_PROBES*2 > 466), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE232_WIDTH-1, LC_PROBE465_WIDTH-1, (LC_NUM_OF_PROBES > 465), (LC_NUM_OF_PROBES*2 > 465), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE232_WIDTH-1, LC_PROBE464_WIDTH-1, (LC_NUM_OF_PROBES > 464), (LC_NUM_OF_PROBES*2 > 464), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE231_WIDTH-1, LC_PROBE463_WIDTH-1, (LC_NUM_OF_PROBES > 463), (LC_NUM_OF_PROBES*2 > 463), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE231_WIDTH-1, LC_PROBE462_WIDTH-1, (LC_NUM_OF_PROBES > 462), (LC_NUM_OF_PROBES*2 > 462), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE230_WIDTH-1, LC_PROBE461_WIDTH-1, (LC_NUM_OF_PROBES > 461), (LC_NUM_OF_PROBES*2 > 461), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE230_WIDTH-1, LC_PROBE460_WIDTH-1, (LC_NUM_OF_PROBES > 460), (LC_NUM_OF_PROBES*2 > 460), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE229_WIDTH-1, LC_PROBE459_WIDTH-1, (LC_NUM_OF_PROBES > 459), (LC_NUM_OF_PROBES*2 > 459), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE229_WIDTH-1, LC_PROBE458_WIDTH-1, (LC_NUM_OF_PROBES > 458), (LC_NUM_OF_PROBES*2 > 458), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE228_WIDTH-1, LC_PROBE457_WIDTH-1, (LC_NUM_OF_PROBES > 457), (LC_NUM_OF_PROBES*2 > 457), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE228_WIDTH-1, LC_PROBE456_WIDTH-1, (LC_NUM_OF_PROBES > 456), (LC_NUM_OF_PROBES*2 > 456), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE227_WIDTH-1, LC_PROBE455_WIDTH-1, (LC_NUM_OF_PROBES > 455), (LC_NUM_OF_PROBES*2 > 455), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE227_WIDTH-1, LC_PROBE454_WIDTH-1, (LC_NUM_OF_PROBES > 454), (LC_NUM_OF_PROBES*2 > 454), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE226_WIDTH-1, LC_PROBE453_WIDTH-1, (LC_NUM_OF_PROBES > 453), (LC_NUM_OF_PROBES*2 > 453), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE226_WIDTH-1, LC_PROBE452_WIDTH-1, (LC_NUM_OF_PROBES > 452), (LC_NUM_OF_PROBES*2 > 452), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE225_WIDTH-1, LC_PROBE451_WIDTH-1, (LC_NUM_OF_PROBES > 451), (LC_NUM_OF_PROBES*2 > 451), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE225_WIDTH-1, LC_PROBE450_WIDTH-1, (LC_NUM_OF_PROBES > 450), (LC_NUM_OF_PROBES*2 > 450), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE224_WIDTH-1, LC_PROBE449_WIDTH-1, (LC_NUM_OF_PROBES > 449), (LC_NUM_OF_PROBES*2 > 449), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE224_WIDTH-1, LC_PROBE448_WIDTH-1, (LC_NUM_OF_PROBES > 448), (LC_NUM_OF_PROBES*2 > 448), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE223_WIDTH-1, LC_PROBE447_WIDTH-1, (LC_NUM_OF_PROBES > 447), (LC_NUM_OF_PROBES*2 > 447), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE223_WIDTH-1, LC_PROBE446_WIDTH-1, (LC_NUM_OF_PROBES > 446), (LC_NUM_OF_PROBES*2 > 446), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE222_WIDTH-1, LC_PROBE445_WIDTH-1, (LC_NUM_OF_PROBES > 445), (LC_NUM_OF_PROBES*2 > 445), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE222_WIDTH-1, LC_PROBE444_WIDTH-1, (LC_NUM_OF_PROBES > 444), (LC_NUM_OF_PROBES*2 > 444), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE221_WIDTH-1, LC_PROBE443_WIDTH-1, (LC_NUM_OF_PROBES > 443), (LC_NUM_OF_PROBES*2 > 443), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE221_WIDTH-1, LC_PROBE442_WIDTH-1, (LC_NUM_OF_PROBES > 442), (LC_NUM_OF_PROBES*2 > 442), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE220_WIDTH-1, LC_PROBE441_WIDTH-1, (LC_NUM_OF_PROBES > 441), (LC_NUM_OF_PROBES*2 > 441), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE220_WIDTH-1, LC_PROBE440_WIDTH-1, (LC_NUM_OF_PROBES > 440), (LC_NUM_OF_PROBES*2 > 440), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE219_WIDTH-1, LC_PROBE439_WIDTH-1, (LC_NUM_OF_PROBES > 439), (LC_NUM_OF_PROBES*2 > 439), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE219_WIDTH-1, LC_PROBE438_WIDTH-1, (LC_NUM_OF_PROBES > 438), (LC_NUM_OF_PROBES*2 > 438), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE218_WIDTH-1, LC_PROBE437_WIDTH-1, (LC_NUM_OF_PROBES > 437), (LC_NUM_OF_PROBES*2 > 437), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE218_WIDTH-1, LC_PROBE436_WIDTH-1, (LC_NUM_OF_PROBES > 436), (LC_NUM_OF_PROBES*2 > 436), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE217_WIDTH-1, LC_PROBE435_WIDTH-1, (LC_NUM_OF_PROBES > 435), (LC_NUM_OF_PROBES*2 > 435), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE217_WIDTH-1, LC_PROBE434_WIDTH-1, (LC_NUM_OF_PROBES > 434), (LC_NUM_OF_PROBES*2 > 434), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE216_WIDTH-1, LC_PROBE433_WIDTH-1, (LC_NUM_OF_PROBES > 433), (LC_NUM_OF_PROBES*2 > 433), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE216_WIDTH-1, LC_PROBE432_WIDTH-1, (LC_NUM_OF_PROBES > 432), (LC_NUM_OF_PROBES*2 > 432), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE215_WIDTH-1, LC_PROBE431_WIDTH-1, (LC_NUM_OF_PROBES > 431), (LC_NUM_OF_PROBES*2 > 431), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE215_WIDTH-1, LC_PROBE430_WIDTH-1, (LC_NUM_OF_PROBES > 430), (LC_NUM_OF_PROBES*2 > 430), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE214_WIDTH-1, LC_PROBE429_WIDTH-1, (LC_NUM_OF_PROBES > 429), (LC_NUM_OF_PROBES*2 > 429), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE214_WIDTH-1, LC_PROBE428_WIDTH-1, (LC_NUM_OF_PROBES > 428), (LC_NUM_OF_PROBES*2 > 428), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE213_WIDTH-1, LC_PROBE427_WIDTH-1, (LC_NUM_OF_PROBES > 427), (LC_NUM_OF_PROBES*2 > 427), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE213_WIDTH-1, LC_PROBE426_WIDTH-1, (LC_NUM_OF_PROBES > 426), (LC_NUM_OF_PROBES*2 > 426), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE212_WIDTH-1, LC_PROBE425_WIDTH-1, (LC_NUM_OF_PROBES > 425), (LC_NUM_OF_PROBES*2 > 425), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE212_WIDTH-1, LC_PROBE424_WIDTH-1, (LC_NUM_OF_PROBES > 424), (LC_NUM_OF_PROBES*2 > 424), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE211_WIDTH-1, LC_PROBE423_WIDTH-1, (LC_NUM_OF_PROBES > 423), (LC_NUM_OF_PROBES*2 > 423), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE211_WIDTH-1, LC_PROBE422_WIDTH-1, (LC_NUM_OF_PROBES > 422), (LC_NUM_OF_PROBES*2 > 422), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE210_WIDTH-1, LC_PROBE421_WIDTH-1, (LC_NUM_OF_PROBES > 421), (LC_NUM_OF_PROBES*2 > 421), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE210_WIDTH-1, LC_PROBE420_WIDTH-1, (LC_NUM_OF_PROBES > 420), (LC_NUM_OF_PROBES*2 > 420), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE209_WIDTH-1, LC_PROBE419_WIDTH-1, (LC_NUM_OF_PROBES > 419), (LC_NUM_OF_PROBES*2 > 419), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE209_WIDTH-1, LC_PROBE418_WIDTH-1, (LC_NUM_OF_PROBES > 418), (LC_NUM_OF_PROBES*2 > 418), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE208_WIDTH-1, LC_PROBE417_WIDTH-1, (LC_NUM_OF_PROBES > 417), (LC_NUM_OF_PROBES*2 > 417), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE208_WIDTH-1, LC_PROBE416_WIDTH-1, (LC_NUM_OF_PROBES > 416), (LC_NUM_OF_PROBES*2 > 416), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE207_WIDTH-1, LC_PROBE415_WIDTH-1, (LC_NUM_OF_PROBES > 415), (LC_NUM_OF_PROBES*2 > 415), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE207_WIDTH-1, LC_PROBE414_WIDTH-1, (LC_NUM_OF_PROBES > 414), (LC_NUM_OF_PROBES*2 > 414), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE206_WIDTH-1, LC_PROBE413_WIDTH-1, (LC_NUM_OF_PROBES > 413), (LC_NUM_OF_PROBES*2 > 413), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE206_WIDTH-1, LC_PROBE412_WIDTH-1, (LC_NUM_OF_PROBES > 412), (LC_NUM_OF_PROBES*2 > 412), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE205_WIDTH-1, LC_PROBE411_WIDTH-1, (LC_NUM_OF_PROBES > 411), (LC_NUM_OF_PROBES*2 > 411), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE205_WIDTH-1, LC_PROBE410_WIDTH-1, (LC_NUM_OF_PROBES > 410), (LC_NUM_OF_PROBES*2 > 410), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE204_WIDTH-1, LC_PROBE409_WIDTH-1, (LC_NUM_OF_PROBES > 409), (LC_NUM_OF_PROBES*2 > 409), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE204_WIDTH-1, LC_PROBE408_WIDTH-1, (LC_NUM_OF_PROBES > 408), (LC_NUM_OF_PROBES*2 > 408), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE203_WIDTH-1, LC_PROBE407_WIDTH-1, (LC_NUM_OF_PROBES > 407), (LC_NUM_OF_PROBES*2 > 407), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE203_WIDTH-1, LC_PROBE406_WIDTH-1, (LC_NUM_OF_PROBES > 406), (LC_NUM_OF_PROBES*2 > 406), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE202_WIDTH-1, LC_PROBE405_WIDTH-1, (LC_NUM_OF_PROBES > 405), (LC_NUM_OF_PROBES*2 > 405), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE202_WIDTH-1, LC_PROBE404_WIDTH-1, (LC_NUM_OF_PROBES > 404), (LC_NUM_OF_PROBES*2 > 404), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE201_WIDTH-1, LC_PROBE403_WIDTH-1, (LC_NUM_OF_PROBES > 403), (LC_NUM_OF_PROBES*2 > 403), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE201_WIDTH-1, LC_PROBE402_WIDTH-1, (LC_NUM_OF_PROBES > 402), (LC_NUM_OF_PROBES*2 > 402), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE200_WIDTH-1, LC_PROBE401_WIDTH-1, (LC_NUM_OF_PROBES > 401), (LC_NUM_OF_PROBES*2 > 401), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE200_WIDTH-1, LC_PROBE400_WIDTH-1, (LC_NUM_OF_PROBES > 400), (LC_NUM_OF_PROBES*2 > 400), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE199_WIDTH-1, LC_PROBE399_WIDTH-1, (LC_NUM_OF_PROBES > 399), (LC_NUM_OF_PROBES*2 > 399), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE199_WIDTH-1, LC_PROBE398_WIDTH-1, (LC_NUM_OF_PROBES > 398), (LC_NUM_OF_PROBES*2 > 398), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE198_WIDTH-1, LC_PROBE397_WIDTH-1, (LC_NUM_OF_PROBES > 397), (LC_NUM_OF_PROBES*2 > 397), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE198_WIDTH-1, LC_PROBE396_WIDTH-1, (LC_NUM_OF_PROBES > 396), (LC_NUM_OF_PROBES*2 > 396), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE197_WIDTH-1, LC_PROBE395_WIDTH-1, (LC_NUM_OF_PROBES > 395), (LC_NUM_OF_PROBES*2 > 395), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE197_WIDTH-1, LC_PROBE394_WIDTH-1, (LC_NUM_OF_PROBES > 394), (LC_NUM_OF_PROBES*2 > 394), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE196_WIDTH-1, LC_PROBE393_WIDTH-1, (LC_NUM_OF_PROBES > 393), (LC_NUM_OF_PROBES*2 > 393), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE196_WIDTH-1, LC_PROBE392_WIDTH-1, (LC_NUM_OF_PROBES > 392), (LC_NUM_OF_PROBES*2 > 392), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE195_WIDTH-1, LC_PROBE391_WIDTH-1, (LC_NUM_OF_PROBES > 391), (LC_NUM_OF_PROBES*2 > 391), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE195_WIDTH-1, LC_PROBE390_WIDTH-1, (LC_NUM_OF_PROBES > 390), (LC_NUM_OF_PROBES*2 > 390), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE194_WIDTH-1, LC_PROBE389_WIDTH-1, (LC_NUM_OF_PROBES > 389), (LC_NUM_OF_PROBES*2 > 389), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE194_WIDTH-1, LC_PROBE388_WIDTH-1, (LC_NUM_OF_PROBES > 388), (LC_NUM_OF_PROBES*2 > 388), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE193_WIDTH-1, LC_PROBE387_WIDTH-1, (LC_NUM_OF_PROBES > 387), (LC_NUM_OF_PROBES*2 > 387), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE193_WIDTH-1, LC_PROBE386_WIDTH-1, (LC_NUM_OF_PROBES > 386), (LC_NUM_OF_PROBES*2 > 386), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE192_WIDTH-1, LC_PROBE385_WIDTH-1, (LC_NUM_OF_PROBES > 385), (LC_NUM_OF_PROBES*2 > 385), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE192_WIDTH-1, LC_PROBE384_WIDTH-1, (LC_NUM_OF_PROBES > 384), (LC_NUM_OF_PROBES*2 > 384), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE191_WIDTH-1, LC_PROBE383_WIDTH-1, (LC_NUM_OF_PROBES > 383), (LC_NUM_OF_PROBES*2 > 383), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE191_WIDTH-1, LC_PROBE382_WIDTH-1, (LC_NUM_OF_PROBES > 382), (LC_NUM_OF_PROBES*2 > 382), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE190_WIDTH-1, LC_PROBE381_WIDTH-1, (LC_NUM_OF_PROBES > 381), (LC_NUM_OF_PROBES*2 > 381), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE190_WIDTH-1, LC_PROBE380_WIDTH-1, (LC_NUM_OF_PROBES > 380), (LC_NUM_OF_PROBES*2 > 380), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE189_WIDTH-1, LC_PROBE379_WIDTH-1, (LC_NUM_OF_PROBES > 379), (LC_NUM_OF_PROBES*2 > 379), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE189_WIDTH-1, LC_PROBE378_WIDTH-1, (LC_NUM_OF_PROBES > 378), (LC_NUM_OF_PROBES*2 > 378), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE188_WIDTH-1, LC_PROBE377_WIDTH-1, (LC_NUM_OF_PROBES > 377), (LC_NUM_OF_PROBES*2 > 377), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE188_WIDTH-1, LC_PROBE376_WIDTH-1, (LC_NUM_OF_PROBES > 376), (LC_NUM_OF_PROBES*2 > 376), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE187_WIDTH-1, LC_PROBE375_WIDTH-1, (LC_NUM_OF_PROBES > 375), (LC_NUM_OF_PROBES*2 > 375), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE187_WIDTH-1, LC_PROBE374_WIDTH-1, (LC_NUM_OF_PROBES > 374), (LC_NUM_OF_PROBES*2 > 374), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE186_WIDTH-1, LC_PROBE373_WIDTH-1, (LC_NUM_OF_PROBES > 373), (LC_NUM_OF_PROBES*2 > 373), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE186_WIDTH-1, LC_PROBE372_WIDTH-1, (LC_NUM_OF_PROBES > 372), (LC_NUM_OF_PROBES*2 > 372), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE185_WIDTH-1, LC_PROBE371_WIDTH-1, (LC_NUM_OF_PROBES > 371), (LC_NUM_OF_PROBES*2 > 371), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE185_WIDTH-1, LC_PROBE370_WIDTH-1, (LC_NUM_OF_PROBES > 370), (LC_NUM_OF_PROBES*2 > 370), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE184_WIDTH-1, LC_PROBE369_WIDTH-1, (LC_NUM_OF_PROBES > 369), (LC_NUM_OF_PROBES*2 > 369), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE184_WIDTH-1, LC_PROBE368_WIDTH-1, (LC_NUM_OF_PROBES > 368), (LC_NUM_OF_PROBES*2 > 368), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE183_WIDTH-1, LC_PROBE367_WIDTH-1, (LC_NUM_OF_PROBES > 367), (LC_NUM_OF_PROBES*2 > 367), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE183_WIDTH-1, LC_PROBE366_WIDTH-1, (LC_NUM_OF_PROBES > 366), (LC_NUM_OF_PROBES*2 > 366), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE182_WIDTH-1, LC_PROBE365_WIDTH-1, (LC_NUM_OF_PROBES > 365), (LC_NUM_OF_PROBES*2 > 365), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE182_WIDTH-1, LC_PROBE364_WIDTH-1, (LC_NUM_OF_PROBES > 364), (LC_NUM_OF_PROBES*2 > 364), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE181_WIDTH-1, LC_PROBE363_WIDTH-1, (LC_NUM_OF_PROBES > 363), (LC_NUM_OF_PROBES*2 > 363), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE181_WIDTH-1, LC_PROBE362_WIDTH-1, (LC_NUM_OF_PROBES > 362), (LC_NUM_OF_PROBES*2 > 362), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE180_WIDTH-1, LC_PROBE361_WIDTH-1, (LC_NUM_OF_PROBES > 361), (LC_NUM_OF_PROBES*2 > 361), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE180_WIDTH-1, LC_PROBE360_WIDTH-1, (LC_NUM_OF_PROBES > 360), (LC_NUM_OF_PROBES*2 > 360), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE179_WIDTH-1, LC_PROBE359_WIDTH-1, (LC_NUM_OF_PROBES > 359), (LC_NUM_OF_PROBES*2 > 359), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE179_WIDTH-1, LC_PROBE358_WIDTH-1, (LC_NUM_OF_PROBES > 358), (LC_NUM_OF_PROBES*2 > 358), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE178_WIDTH-1, LC_PROBE357_WIDTH-1, (LC_NUM_OF_PROBES > 357), (LC_NUM_OF_PROBES*2 > 357), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE178_WIDTH-1, LC_PROBE356_WIDTH-1, (LC_NUM_OF_PROBES > 356), (LC_NUM_OF_PROBES*2 > 356), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE177_WIDTH-1, LC_PROBE355_WIDTH-1, (LC_NUM_OF_PROBES > 355), (LC_NUM_OF_PROBES*2 > 355), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE177_WIDTH-1, LC_PROBE354_WIDTH-1, (LC_NUM_OF_PROBES > 354), (LC_NUM_OF_PROBES*2 > 354), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE176_WIDTH-1, LC_PROBE353_WIDTH-1, (LC_NUM_OF_PROBES > 353), (LC_NUM_OF_PROBES*2 > 353), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE176_WIDTH-1, LC_PROBE352_WIDTH-1, (LC_NUM_OF_PROBES > 352), (LC_NUM_OF_PROBES*2 > 352), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE175_WIDTH-1, LC_PROBE351_WIDTH-1, (LC_NUM_OF_PROBES > 351), (LC_NUM_OF_PROBES*2 > 351), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE175_WIDTH-1, LC_PROBE350_WIDTH-1, (LC_NUM_OF_PROBES > 350), (LC_NUM_OF_PROBES*2 > 350), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE174_WIDTH-1, LC_PROBE349_WIDTH-1, (LC_NUM_OF_PROBES > 349), (LC_NUM_OF_PROBES*2 > 349), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE174_WIDTH-1, LC_PROBE348_WIDTH-1, (LC_NUM_OF_PROBES > 348), (LC_NUM_OF_PROBES*2 > 348), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE173_WIDTH-1, LC_PROBE347_WIDTH-1, (LC_NUM_OF_PROBES > 347), (LC_NUM_OF_PROBES*2 > 347), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE173_WIDTH-1, LC_PROBE346_WIDTH-1, (LC_NUM_OF_PROBES > 346), (LC_NUM_OF_PROBES*2 > 346), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE172_WIDTH-1, LC_PROBE345_WIDTH-1, (LC_NUM_OF_PROBES > 345), (LC_NUM_OF_PROBES*2 > 345), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE172_WIDTH-1, LC_PROBE344_WIDTH-1, (LC_NUM_OF_PROBES > 344), (LC_NUM_OF_PROBES*2 > 344), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE171_WIDTH-1, LC_PROBE343_WIDTH-1, (LC_NUM_OF_PROBES > 343), (LC_NUM_OF_PROBES*2 > 343), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE171_WIDTH-1, LC_PROBE342_WIDTH-1, (LC_NUM_OF_PROBES > 342), (LC_NUM_OF_PROBES*2 > 342), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE170_WIDTH-1, LC_PROBE341_WIDTH-1, (LC_NUM_OF_PROBES > 341), (LC_NUM_OF_PROBES*2 > 341), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE170_WIDTH-1, LC_PROBE340_WIDTH-1, (LC_NUM_OF_PROBES > 340), (LC_NUM_OF_PROBES*2 > 340), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE169_WIDTH-1, LC_PROBE339_WIDTH-1, (LC_NUM_OF_PROBES > 339), (LC_NUM_OF_PROBES*2 > 339), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE169_WIDTH-1, LC_PROBE338_WIDTH-1, (LC_NUM_OF_PROBES > 338), (LC_NUM_OF_PROBES*2 > 338), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE168_WIDTH-1, LC_PROBE337_WIDTH-1, (LC_NUM_OF_PROBES > 337), (LC_NUM_OF_PROBES*2 > 337), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE168_WIDTH-1, LC_PROBE336_WIDTH-1, (LC_NUM_OF_PROBES > 336), (LC_NUM_OF_PROBES*2 > 336), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE167_WIDTH-1, LC_PROBE335_WIDTH-1, (LC_NUM_OF_PROBES > 335), (LC_NUM_OF_PROBES*2 > 335), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE167_WIDTH-1, LC_PROBE334_WIDTH-1, (LC_NUM_OF_PROBES > 334), (LC_NUM_OF_PROBES*2 > 334), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE166_WIDTH-1, LC_PROBE333_WIDTH-1, (LC_NUM_OF_PROBES > 333), (LC_NUM_OF_PROBES*2 > 333), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE166_WIDTH-1, LC_PROBE332_WIDTH-1, (LC_NUM_OF_PROBES > 332), (LC_NUM_OF_PROBES*2 > 332), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE165_WIDTH-1, LC_PROBE331_WIDTH-1, (LC_NUM_OF_PROBES > 331), (LC_NUM_OF_PROBES*2 > 331), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE165_WIDTH-1, LC_PROBE330_WIDTH-1, (LC_NUM_OF_PROBES > 330), (LC_NUM_OF_PROBES*2 > 330), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE164_WIDTH-1, LC_PROBE329_WIDTH-1, (LC_NUM_OF_PROBES > 329), (LC_NUM_OF_PROBES*2 > 329), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE164_WIDTH-1, LC_PROBE328_WIDTH-1, (LC_NUM_OF_PROBES > 328), (LC_NUM_OF_PROBES*2 > 328), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE163_WIDTH-1, LC_PROBE327_WIDTH-1, (LC_NUM_OF_PROBES > 327), (LC_NUM_OF_PROBES*2 > 327), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE163_WIDTH-1, LC_PROBE326_WIDTH-1, (LC_NUM_OF_PROBES > 326), (LC_NUM_OF_PROBES*2 > 326), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE162_WIDTH-1, LC_PROBE325_WIDTH-1, (LC_NUM_OF_PROBES > 325), (LC_NUM_OF_PROBES*2 > 325), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE162_WIDTH-1, LC_PROBE324_WIDTH-1, (LC_NUM_OF_PROBES > 324), (LC_NUM_OF_PROBES*2 > 324), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE161_WIDTH-1, LC_PROBE323_WIDTH-1, (LC_NUM_OF_PROBES > 323), (LC_NUM_OF_PROBES*2 > 323), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE161_WIDTH-1, LC_PROBE322_WIDTH-1, (LC_NUM_OF_PROBES > 322), (LC_NUM_OF_PROBES*2 > 322), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE160_WIDTH-1, LC_PROBE321_WIDTH-1, (LC_NUM_OF_PROBES > 321), (LC_NUM_OF_PROBES*2 > 321), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE160_WIDTH-1, LC_PROBE320_WIDTH-1, (LC_NUM_OF_PROBES > 320), (LC_NUM_OF_PROBES*2 > 320), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE159_WIDTH-1, LC_PROBE319_WIDTH-1, (LC_NUM_OF_PROBES > 319), (LC_NUM_OF_PROBES*2 > 319), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE159_WIDTH-1, LC_PROBE318_WIDTH-1, (LC_NUM_OF_PROBES > 318), (LC_NUM_OF_PROBES*2 > 318), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE158_WIDTH-1, LC_PROBE317_WIDTH-1, (LC_NUM_OF_PROBES > 317), (LC_NUM_OF_PROBES*2 > 317), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE158_WIDTH-1, LC_PROBE316_WIDTH-1, (LC_NUM_OF_PROBES > 316), (LC_NUM_OF_PROBES*2 > 316), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE157_WIDTH-1, LC_PROBE315_WIDTH-1, (LC_NUM_OF_PROBES > 315), (LC_NUM_OF_PROBES*2 > 315), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE157_WIDTH-1, LC_PROBE314_WIDTH-1, (LC_NUM_OF_PROBES > 314), (LC_NUM_OF_PROBES*2 > 314), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE156_WIDTH-1, LC_PROBE313_WIDTH-1, (LC_NUM_OF_PROBES > 313), (LC_NUM_OF_PROBES*2 > 313), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE156_WIDTH-1, LC_PROBE312_WIDTH-1, (LC_NUM_OF_PROBES > 312), (LC_NUM_OF_PROBES*2 > 312), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE155_WIDTH-1, LC_PROBE311_WIDTH-1, (LC_NUM_OF_PROBES > 311), (LC_NUM_OF_PROBES*2 > 311), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE155_WIDTH-1, LC_PROBE310_WIDTH-1, (LC_NUM_OF_PROBES > 310), (LC_NUM_OF_PROBES*2 > 310), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE154_WIDTH-1, LC_PROBE309_WIDTH-1, (LC_NUM_OF_PROBES > 309), (LC_NUM_OF_PROBES*2 > 309), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE154_WIDTH-1, LC_PROBE308_WIDTH-1, (LC_NUM_OF_PROBES > 308), (LC_NUM_OF_PROBES*2 > 308), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE153_WIDTH-1, LC_PROBE307_WIDTH-1, (LC_NUM_OF_PROBES > 307), (LC_NUM_OF_PROBES*2 > 307), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE153_WIDTH-1, LC_PROBE306_WIDTH-1, (LC_NUM_OF_PROBES > 306), (LC_NUM_OF_PROBES*2 > 306), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE152_WIDTH-1, LC_PROBE305_WIDTH-1, (LC_NUM_OF_PROBES > 305), (LC_NUM_OF_PROBES*2 > 305), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE152_WIDTH-1, LC_PROBE304_WIDTH-1, (LC_NUM_OF_PROBES > 304), (LC_NUM_OF_PROBES*2 > 304), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE151_WIDTH-1, LC_PROBE303_WIDTH-1, (LC_NUM_OF_PROBES > 303), (LC_NUM_OF_PROBES*2 > 303), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE151_WIDTH-1, LC_PROBE302_WIDTH-1, (LC_NUM_OF_PROBES > 302), (LC_NUM_OF_PROBES*2 > 302), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE150_WIDTH-1, LC_PROBE301_WIDTH-1, (LC_NUM_OF_PROBES > 301), (LC_NUM_OF_PROBES*2 > 301), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE150_WIDTH-1, LC_PROBE300_WIDTH-1, (LC_NUM_OF_PROBES > 300), (LC_NUM_OF_PROBES*2 > 300), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE149_WIDTH-1, LC_PROBE299_WIDTH-1, (LC_NUM_OF_PROBES > 299), (LC_NUM_OF_PROBES*2 > 299), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE149_WIDTH-1, LC_PROBE298_WIDTH-1, (LC_NUM_OF_PROBES > 298), (LC_NUM_OF_PROBES*2 > 298), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE148_WIDTH-1, LC_PROBE297_WIDTH-1, (LC_NUM_OF_PROBES > 297), (LC_NUM_OF_PROBES*2 > 297), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE148_WIDTH-1, LC_PROBE296_WIDTH-1, (LC_NUM_OF_PROBES > 296), (LC_NUM_OF_PROBES*2 > 296), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE147_WIDTH-1, LC_PROBE295_WIDTH-1, (LC_NUM_OF_PROBES > 295), (LC_NUM_OF_PROBES*2 > 295), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE147_WIDTH-1, LC_PROBE294_WIDTH-1, (LC_NUM_OF_PROBES > 294), (LC_NUM_OF_PROBES*2 > 294), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE146_WIDTH-1, LC_PROBE293_WIDTH-1, (LC_NUM_OF_PROBES > 293), (LC_NUM_OF_PROBES*2 > 293), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE146_WIDTH-1, LC_PROBE292_WIDTH-1, (LC_NUM_OF_PROBES > 292), (LC_NUM_OF_PROBES*2 > 292), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE145_WIDTH-1, LC_PROBE291_WIDTH-1, (LC_NUM_OF_PROBES > 291), (LC_NUM_OF_PROBES*2 > 291), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE145_WIDTH-1, LC_PROBE290_WIDTH-1, (LC_NUM_OF_PROBES > 290), (LC_NUM_OF_PROBES*2 > 290), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE144_WIDTH-1, LC_PROBE289_WIDTH-1, (LC_NUM_OF_PROBES > 289), (LC_NUM_OF_PROBES*2 > 289), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE144_WIDTH-1, LC_PROBE288_WIDTH-1, (LC_NUM_OF_PROBES > 288), (LC_NUM_OF_PROBES*2 > 288), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE143_WIDTH-1, LC_PROBE287_WIDTH-1, (LC_NUM_OF_PROBES > 287), (LC_NUM_OF_PROBES*2 > 287), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE143_WIDTH-1, LC_PROBE286_WIDTH-1, (LC_NUM_OF_PROBES > 286), (LC_NUM_OF_PROBES*2 > 286), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE142_WIDTH-1, LC_PROBE285_WIDTH-1, (LC_NUM_OF_PROBES > 285), (LC_NUM_OF_PROBES*2 > 285), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE142_WIDTH-1, LC_PROBE284_WIDTH-1, (LC_NUM_OF_PROBES > 284), (LC_NUM_OF_PROBES*2 > 284), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE141_WIDTH-1, LC_PROBE283_WIDTH-1, (LC_NUM_OF_PROBES > 283), (LC_NUM_OF_PROBES*2 > 283), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE141_WIDTH-1, LC_PROBE282_WIDTH-1, (LC_NUM_OF_PROBES > 282), (LC_NUM_OF_PROBES*2 > 282), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE140_WIDTH-1, LC_PROBE281_WIDTH-1, (LC_NUM_OF_PROBES > 281), (LC_NUM_OF_PROBES*2 > 281), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE140_WIDTH-1, LC_PROBE280_WIDTH-1, (LC_NUM_OF_PROBES > 280), (LC_NUM_OF_PROBES*2 > 280), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE139_WIDTH-1, LC_PROBE279_WIDTH-1, (LC_NUM_OF_PROBES > 279), (LC_NUM_OF_PROBES*2 > 279), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE139_WIDTH-1, LC_PROBE278_WIDTH-1, (LC_NUM_OF_PROBES > 278), (LC_NUM_OF_PROBES*2 > 278), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE138_WIDTH-1, LC_PROBE277_WIDTH-1, (LC_NUM_OF_PROBES > 277), (LC_NUM_OF_PROBES*2 > 277), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE138_WIDTH-1, LC_PROBE276_WIDTH-1, (LC_NUM_OF_PROBES > 276), (LC_NUM_OF_PROBES*2 > 276), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE137_WIDTH-1, LC_PROBE275_WIDTH-1, (LC_NUM_OF_PROBES > 275), (LC_NUM_OF_PROBES*2 > 275), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE137_WIDTH-1, LC_PROBE274_WIDTH-1, (LC_NUM_OF_PROBES > 274), (LC_NUM_OF_PROBES*2 > 274), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE136_WIDTH-1, LC_PROBE273_WIDTH-1, (LC_NUM_OF_PROBES > 273), (LC_NUM_OF_PROBES*2 > 273), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE136_WIDTH-1, LC_PROBE272_WIDTH-1, (LC_NUM_OF_PROBES > 272), (LC_NUM_OF_PROBES*2 > 272), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE135_WIDTH-1, LC_PROBE271_WIDTH-1, (LC_NUM_OF_PROBES > 271), (LC_NUM_OF_PROBES*2 > 271), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE135_WIDTH-1, LC_PROBE270_WIDTH-1, (LC_NUM_OF_PROBES > 270), (LC_NUM_OF_PROBES*2 > 270), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE134_WIDTH-1, LC_PROBE269_WIDTH-1, (LC_NUM_OF_PROBES > 269), (LC_NUM_OF_PROBES*2 > 269), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE134_WIDTH-1, LC_PROBE268_WIDTH-1, (LC_NUM_OF_PROBES > 268), (LC_NUM_OF_PROBES*2 > 268), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE133_WIDTH-1, LC_PROBE267_WIDTH-1, (LC_NUM_OF_PROBES > 267), (LC_NUM_OF_PROBES*2 > 267), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE133_WIDTH-1, LC_PROBE266_WIDTH-1, (LC_NUM_OF_PROBES > 266), (LC_NUM_OF_PROBES*2 > 266), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE132_WIDTH-1, LC_PROBE265_WIDTH-1, (LC_NUM_OF_PROBES > 265), (LC_NUM_OF_PROBES*2 > 265), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE132_WIDTH-1, LC_PROBE264_WIDTH-1, (LC_NUM_OF_PROBES > 264), (LC_NUM_OF_PROBES*2 > 264), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE131_WIDTH-1, LC_PROBE263_WIDTH-1, (LC_NUM_OF_PROBES > 263), (LC_NUM_OF_PROBES*2 > 263), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE131_WIDTH-1, LC_PROBE262_WIDTH-1, (LC_NUM_OF_PROBES > 262), (LC_NUM_OF_PROBES*2 > 262), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE130_WIDTH-1, LC_PROBE261_WIDTH-1, (LC_NUM_OF_PROBES > 261), (LC_NUM_OF_PROBES*2 > 261), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE130_WIDTH-1, LC_PROBE260_WIDTH-1, (LC_NUM_OF_PROBES > 260), (LC_NUM_OF_PROBES*2 > 260), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE129_WIDTH-1, LC_PROBE259_WIDTH-1, (LC_NUM_OF_PROBES > 259), (LC_NUM_OF_PROBES*2 > 259), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE129_WIDTH-1, LC_PROBE258_WIDTH-1, (LC_NUM_OF_PROBES > 258), (LC_NUM_OF_PROBES*2 > 258), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE128_WIDTH-1, LC_PROBE257_WIDTH-1, (LC_NUM_OF_PROBES > 257), (LC_NUM_OF_PROBES*2 > 257), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE128_WIDTH-1, LC_PROBE256_WIDTH-1, (LC_NUM_OF_PROBES > 256), (LC_NUM_OF_PROBES*2 > 256), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE127_WIDTH-1, LC_PROBE255_WIDTH-1, (LC_NUM_OF_PROBES > 255), (LC_NUM_OF_PROBES*2 > 255), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE127_WIDTH-1, LC_PROBE254_WIDTH-1, (LC_NUM_OF_PROBES > 254), (LC_NUM_OF_PROBES*2 > 254), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE126_WIDTH-1, LC_PROBE253_WIDTH-1, (LC_NUM_OF_PROBES > 253), (LC_NUM_OF_PROBES*2 > 253), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE126_WIDTH-1, LC_PROBE252_WIDTH-1, (LC_NUM_OF_PROBES > 252), (LC_NUM_OF_PROBES*2 > 252), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE125_WIDTH-1, LC_PROBE251_WIDTH-1, (LC_NUM_OF_PROBES > 251), (LC_NUM_OF_PROBES*2 > 251), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE125_WIDTH-1, LC_PROBE250_WIDTH-1, (LC_NUM_OF_PROBES > 250), (LC_NUM_OF_PROBES*2 > 250), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE124_WIDTH-1, LC_PROBE249_WIDTH-1, (LC_NUM_OF_PROBES > 249), (LC_NUM_OF_PROBES*2 > 249), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE124_WIDTH-1, LC_PROBE248_WIDTH-1, (LC_NUM_OF_PROBES > 248), (LC_NUM_OF_PROBES*2 > 248), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE123_WIDTH-1, LC_PROBE247_WIDTH-1, (LC_NUM_OF_PROBES > 247), (LC_NUM_OF_PROBES*2 > 247), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE123_WIDTH-1, LC_PROBE246_WIDTH-1, (LC_NUM_OF_PROBES > 246), (LC_NUM_OF_PROBES*2 > 246), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE122_WIDTH-1, LC_PROBE245_WIDTH-1, (LC_NUM_OF_PROBES > 245), (LC_NUM_OF_PROBES*2 > 245), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE122_WIDTH-1, LC_PROBE244_WIDTH-1, (LC_NUM_OF_PROBES > 244), (LC_NUM_OF_PROBES*2 > 244), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE121_WIDTH-1, LC_PROBE243_WIDTH-1, (LC_NUM_OF_PROBES > 243), (LC_NUM_OF_PROBES*2 > 243), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE121_WIDTH-1, LC_PROBE242_WIDTH-1, (LC_NUM_OF_PROBES > 242), (LC_NUM_OF_PROBES*2 > 242), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE120_WIDTH-1, LC_PROBE241_WIDTH-1, (LC_NUM_OF_PROBES > 241), (LC_NUM_OF_PROBES*2 > 241), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE120_WIDTH-1, LC_PROBE240_WIDTH-1, (LC_NUM_OF_PROBES > 240), (LC_NUM_OF_PROBES*2 > 240), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE119_WIDTH-1, LC_PROBE239_WIDTH-1, (LC_NUM_OF_PROBES > 239), (LC_NUM_OF_PROBES*2 > 239), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE119_WIDTH-1, LC_PROBE238_WIDTH-1, (LC_NUM_OF_PROBES > 238), (LC_NUM_OF_PROBES*2 > 238), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE118_WIDTH-1, LC_PROBE237_WIDTH-1, (LC_NUM_OF_PROBES > 237), (LC_NUM_OF_PROBES*2 > 237), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE118_WIDTH-1, LC_PROBE236_WIDTH-1, (LC_NUM_OF_PROBES > 236), (LC_NUM_OF_PROBES*2 > 236), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE117_WIDTH-1, LC_PROBE235_WIDTH-1, (LC_NUM_OF_PROBES > 235), (LC_NUM_OF_PROBES*2 > 235), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE117_WIDTH-1, LC_PROBE234_WIDTH-1, (LC_NUM_OF_PROBES > 234), (LC_NUM_OF_PROBES*2 > 234), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE116_WIDTH-1, LC_PROBE233_WIDTH-1, (LC_NUM_OF_PROBES > 233), (LC_NUM_OF_PROBES*2 > 233), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE116_WIDTH-1, LC_PROBE232_WIDTH-1, (LC_NUM_OF_PROBES > 232), (LC_NUM_OF_PROBES*2 > 232), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE115_WIDTH-1, LC_PROBE231_WIDTH-1, (LC_NUM_OF_PROBES > 231), (LC_NUM_OF_PROBES*2 > 231), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE115_WIDTH-1, LC_PROBE230_WIDTH-1, (LC_NUM_OF_PROBES > 230), (LC_NUM_OF_PROBES*2 > 230), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE114_WIDTH-1, LC_PROBE229_WIDTH-1, (LC_NUM_OF_PROBES > 229), (LC_NUM_OF_PROBES*2 > 229), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE114_WIDTH-1, LC_PROBE228_WIDTH-1, (LC_NUM_OF_PROBES > 228), (LC_NUM_OF_PROBES*2 > 228), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE113_WIDTH-1, LC_PROBE227_WIDTH-1, (LC_NUM_OF_PROBES > 227), (LC_NUM_OF_PROBES*2 > 227), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE113_WIDTH-1, LC_PROBE226_WIDTH-1, (LC_NUM_OF_PROBES > 226), (LC_NUM_OF_PROBES*2 > 226), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE112_WIDTH-1, LC_PROBE225_WIDTH-1, (LC_NUM_OF_PROBES > 225), (LC_NUM_OF_PROBES*2 > 225), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE112_WIDTH-1, LC_PROBE224_WIDTH-1, (LC_NUM_OF_PROBES > 224), (LC_NUM_OF_PROBES*2 > 224), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE111_WIDTH-1, LC_PROBE223_WIDTH-1, (LC_NUM_OF_PROBES > 223), (LC_NUM_OF_PROBES*2 > 223), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE111_WIDTH-1, LC_PROBE222_WIDTH-1, (LC_NUM_OF_PROBES > 222), (LC_NUM_OF_PROBES*2 > 222), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE110_WIDTH-1, LC_PROBE221_WIDTH-1, (LC_NUM_OF_PROBES > 221), (LC_NUM_OF_PROBES*2 > 221), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE110_WIDTH-1, LC_PROBE220_WIDTH-1, (LC_NUM_OF_PROBES > 220), (LC_NUM_OF_PROBES*2 > 220), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE109_WIDTH-1, LC_PROBE219_WIDTH-1, (LC_NUM_OF_PROBES > 219), (LC_NUM_OF_PROBES*2 > 219), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE109_WIDTH-1, LC_PROBE218_WIDTH-1, (LC_NUM_OF_PROBES > 218), (LC_NUM_OF_PROBES*2 > 218), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE108_WIDTH-1, LC_PROBE217_WIDTH-1, (LC_NUM_OF_PROBES > 217), (LC_NUM_OF_PROBES*2 > 217), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE108_WIDTH-1, LC_PROBE216_WIDTH-1, (LC_NUM_OF_PROBES > 216), (LC_NUM_OF_PROBES*2 > 216), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE107_WIDTH-1, LC_PROBE215_WIDTH-1, (LC_NUM_OF_PROBES > 215), (LC_NUM_OF_PROBES*2 > 215), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE107_WIDTH-1, LC_PROBE214_WIDTH-1, (LC_NUM_OF_PROBES > 214), (LC_NUM_OF_PROBES*2 > 214), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE106_WIDTH-1, LC_PROBE213_WIDTH-1, (LC_NUM_OF_PROBES > 213), (LC_NUM_OF_PROBES*2 > 213), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE106_WIDTH-1, LC_PROBE212_WIDTH-1, (LC_NUM_OF_PROBES > 212), (LC_NUM_OF_PROBES*2 > 212), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE105_WIDTH-1, LC_PROBE211_WIDTH-1, (LC_NUM_OF_PROBES > 211), (LC_NUM_OF_PROBES*2 > 211), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE105_WIDTH-1, LC_PROBE210_WIDTH-1, (LC_NUM_OF_PROBES > 210), (LC_NUM_OF_PROBES*2 > 210), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE104_WIDTH-1, LC_PROBE209_WIDTH-1, (LC_NUM_OF_PROBES > 209), (LC_NUM_OF_PROBES*2 > 209), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE104_WIDTH-1, LC_PROBE208_WIDTH-1, (LC_NUM_OF_PROBES > 208), (LC_NUM_OF_PROBES*2 > 208), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE103_WIDTH-1, LC_PROBE207_WIDTH-1, (LC_NUM_OF_PROBES > 207), (LC_NUM_OF_PROBES*2 > 207), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE103_WIDTH-1, LC_PROBE206_WIDTH-1, (LC_NUM_OF_PROBES > 206), (LC_NUM_OF_PROBES*2 > 206), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE102_WIDTH-1, LC_PROBE205_WIDTH-1, (LC_NUM_OF_PROBES > 205), (LC_NUM_OF_PROBES*2 > 205), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE102_WIDTH-1, LC_PROBE204_WIDTH-1, (LC_NUM_OF_PROBES > 204), (LC_NUM_OF_PROBES*2 > 204), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE101_WIDTH-1, LC_PROBE203_WIDTH-1, (LC_NUM_OF_PROBES > 203), (LC_NUM_OF_PROBES*2 > 203), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE101_WIDTH-1, LC_PROBE202_WIDTH-1, (LC_NUM_OF_PROBES > 202), (LC_NUM_OF_PROBES*2 > 202), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE100_WIDTH-1, LC_PROBE201_WIDTH-1, (LC_NUM_OF_PROBES > 201), (LC_NUM_OF_PROBES*2 > 201), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE100_WIDTH-1, LC_PROBE200_WIDTH-1, (LC_NUM_OF_PROBES > 200), (LC_NUM_OF_PROBES*2 > 200), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE99_WIDTH-1, LC_PROBE199_WIDTH-1, (LC_NUM_OF_PROBES > 199), (LC_NUM_OF_PROBES*2 > 199), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE99_WIDTH-1, LC_PROBE198_WIDTH-1, (LC_NUM_OF_PROBES > 198), (LC_NUM_OF_PROBES*2 > 198), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE98_WIDTH-1, LC_PROBE197_WIDTH-1, (LC_NUM_OF_PROBES > 197), (LC_NUM_OF_PROBES*2 > 197), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE98_WIDTH-1, LC_PROBE196_WIDTH-1, (LC_NUM_OF_PROBES > 196), (LC_NUM_OF_PROBES*2 > 196), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE97_WIDTH-1, LC_PROBE195_WIDTH-1, (LC_NUM_OF_PROBES > 195), (LC_NUM_OF_PROBES*2 > 195), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE97_WIDTH-1, LC_PROBE194_WIDTH-1, (LC_NUM_OF_PROBES > 194), (LC_NUM_OF_PROBES*2 > 194), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE96_WIDTH-1, LC_PROBE193_WIDTH-1, (LC_NUM_OF_PROBES > 193), (LC_NUM_OF_PROBES*2 > 193), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE96_WIDTH-1, LC_PROBE192_WIDTH-1, (LC_NUM_OF_PROBES > 192), (LC_NUM_OF_PROBES*2 > 192), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE95_WIDTH-1, LC_PROBE191_WIDTH-1, (LC_NUM_OF_PROBES > 191), (LC_NUM_OF_PROBES*2 > 191), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE95_WIDTH-1, LC_PROBE190_WIDTH-1, (LC_NUM_OF_PROBES > 190), (LC_NUM_OF_PROBES*2 > 190), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE94_WIDTH-1, LC_PROBE189_WIDTH-1, (LC_NUM_OF_PROBES > 189), (LC_NUM_OF_PROBES*2 > 189), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE94_WIDTH-1, LC_PROBE188_WIDTH-1, (LC_NUM_OF_PROBES > 188), (LC_NUM_OF_PROBES*2 > 188), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE93_WIDTH-1, LC_PROBE187_WIDTH-1, (LC_NUM_OF_PROBES > 187), (LC_NUM_OF_PROBES*2 > 187), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE93_WIDTH-1, LC_PROBE186_WIDTH-1, (LC_NUM_OF_PROBES > 186), (LC_NUM_OF_PROBES*2 > 186), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE92_WIDTH-1, LC_PROBE185_WIDTH-1, (LC_NUM_OF_PROBES > 185), (LC_NUM_OF_PROBES*2 > 185), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE92_WIDTH-1, LC_PROBE184_WIDTH-1, (LC_NUM_OF_PROBES > 184), (LC_NUM_OF_PROBES*2 > 184), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE91_WIDTH-1, LC_PROBE183_WIDTH-1, (LC_NUM_OF_PROBES > 183), (LC_NUM_OF_PROBES*2 > 183), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE91_WIDTH-1, LC_PROBE182_WIDTH-1, (LC_NUM_OF_PROBES > 182), (LC_NUM_OF_PROBES*2 > 182), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE90_WIDTH-1, LC_PROBE181_WIDTH-1, (LC_NUM_OF_PROBES > 181), (LC_NUM_OF_PROBES*2 > 181), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE90_WIDTH-1, LC_PROBE180_WIDTH-1, (LC_NUM_OF_PROBES > 180), (LC_NUM_OF_PROBES*2 > 180), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE89_WIDTH-1, LC_PROBE179_WIDTH-1, (LC_NUM_OF_PROBES > 179), (LC_NUM_OF_PROBES*2 > 179), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE89_WIDTH-1, LC_PROBE178_WIDTH-1, (LC_NUM_OF_PROBES > 178), (LC_NUM_OF_PROBES*2 > 178), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE88_WIDTH-1, LC_PROBE177_WIDTH-1, (LC_NUM_OF_PROBES > 177), (LC_NUM_OF_PROBES*2 > 177), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE88_WIDTH-1, LC_PROBE176_WIDTH-1, (LC_NUM_OF_PROBES > 176), (LC_NUM_OF_PROBES*2 > 176), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE87_WIDTH-1, LC_PROBE175_WIDTH-1, (LC_NUM_OF_PROBES > 175), (LC_NUM_OF_PROBES*2 > 175), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE87_WIDTH-1, LC_PROBE174_WIDTH-1, (LC_NUM_OF_PROBES > 174), (LC_NUM_OF_PROBES*2 > 174), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE86_WIDTH-1, LC_PROBE173_WIDTH-1, (LC_NUM_OF_PROBES > 173), (LC_NUM_OF_PROBES*2 > 173), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE86_WIDTH-1, LC_PROBE172_WIDTH-1, (LC_NUM_OF_PROBES > 172), (LC_NUM_OF_PROBES*2 > 172), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE85_WIDTH-1, LC_PROBE171_WIDTH-1, (LC_NUM_OF_PROBES > 171), (LC_NUM_OF_PROBES*2 > 171), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE85_WIDTH-1, LC_PROBE170_WIDTH-1, (LC_NUM_OF_PROBES > 170), (LC_NUM_OF_PROBES*2 > 170), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE84_WIDTH-1, LC_PROBE169_WIDTH-1, (LC_NUM_OF_PROBES > 169), (LC_NUM_OF_PROBES*2 > 169), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE84_WIDTH-1, LC_PROBE168_WIDTH-1, (LC_NUM_OF_PROBES > 168), (LC_NUM_OF_PROBES*2 > 168), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE83_WIDTH-1, LC_PROBE167_WIDTH-1, (LC_NUM_OF_PROBES > 167), (LC_NUM_OF_PROBES*2 > 167), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE83_WIDTH-1, LC_PROBE166_WIDTH-1, (LC_NUM_OF_PROBES > 166), (LC_NUM_OF_PROBES*2 > 166), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE82_WIDTH-1, LC_PROBE165_WIDTH-1, (LC_NUM_OF_PROBES > 165), (LC_NUM_OF_PROBES*2 > 165), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE82_WIDTH-1, LC_PROBE164_WIDTH-1, (LC_NUM_OF_PROBES > 164), (LC_NUM_OF_PROBES*2 > 164), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE81_WIDTH-1, LC_PROBE163_WIDTH-1, (LC_NUM_OF_PROBES > 163), (LC_NUM_OF_PROBES*2 > 163), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE81_WIDTH-1, LC_PROBE162_WIDTH-1, (LC_NUM_OF_PROBES > 162), (LC_NUM_OF_PROBES*2 > 162), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE80_WIDTH-1, LC_PROBE161_WIDTH-1, (LC_NUM_OF_PROBES > 161), (LC_NUM_OF_PROBES*2 > 161), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE80_WIDTH-1, LC_PROBE160_WIDTH-1, (LC_NUM_OF_PROBES > 160), (LC_NUM_OF_PROBES*2 > 160), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE79_WIDTH-1, LC_PROBE159_WIDTH-1, (LC_NUM_OF_PROBES > 159), (LC_NUM_OF_PROBES*2 > 159), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE79_WIDTH-1, LC_PROBE158_WIDTH-1, (LC_NUM_OF_PROBES > 158), (LC_NUM_OF_PROBES*2 > 158), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE78_WIDTH-1, LC_PROBE157_WIDTH-1, (LC_NUM_OF_PROBES > 157), (LC_NUM_OF_PROBES*2 > 157), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE78_WIDTH-1, LC_PROBE156_WIDTH-1, (LC_NUM_OF_PROBES > 156), (LC_NUM_OF_PROBES*2 > 156), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE77_WIDTH-1, LC_PROBE155_WIDTH-1, (LC_NUM_OF_PROBES > 155), (LC_NUM_OF_PROBES*2 > 155), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE77_WIDTH-1, LC_PROBE154_WIDTH-1, (LC_NUM_OF_PROBES > 154), (LC_NUM_OF_PROBES*2 > 154), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE76_WIDTH-1, LC_PROBE153_WIDTH-1, (LC_NUM_OF_PROBES > 153), (LC_NUM_OF_PROBES*2 > 153), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE76_WIDTH-1, LC_PROBE152_WIDTH-1, (LC_NUM_OF_PROBES > 152), (LC_NUM_OF_PROBES*2 > 152), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE75_WIDTH-1, LC_PROBE151_WIDTH-1, (LC_NUM_OF_PROBES > 151), (LC_NUM_OF_PROBES*2 > 151), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE75_WIDTH-1, LC_PROBE150_WIDTH-1, (LC_NUM_OF_PROBES > 150), (LC_NUM_OF_PROBES*2 > 150), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE74_WIDTH-1, LC_PROBE149_WIDTH-1, (LC_NUM_OF_PROBES > 149), (LC_NUM_OF_PROBES*2 > 149), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE74_WIDTH-1, LC_PROBE148_WIDTH-1, (LC_NUM_OF_PROBES > 148), (LC_NUM_OF_PROBES*2 > 148), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE73_WIDTH-1, LC_PROBE147_WIDTH-1, (LC_NUM_OF_PROBES > 147), (LC_NUM_OF_PROBES*2 > 147), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE73_WIDTH-1, LC_PROBE146_WIDTH-1, (LC_NUM_OF_PROBES > 146), (LC_NUM_OF_PROBES*2 > 146), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE72_WIDTH-1, LC_PROBE145_WIDTH-1, (LC_NUM_OF_PROBES > 145), (LC_NUM_OF_PROBES*2 > 145), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE72_WIDTH-1, LC_PROBE144_WIDTH-1, (LC_NUM_OF_PROBES > 144), (LC_NUM_OF_PROBES*2 > 144), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE71_WIDTH-1, LC_PROBE143_WIDTH-1, (LC_NUM_OF_PROBES > 143), (LC_NUM_OF_PROBES*2 > 143), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE71_WIDTH-1, LC_PROBE142_WIDTH-1, (LC_NUM_OF_PROBES > 142), (LC_NUM_OF_PROBES*2 > 142), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE70_WIDTH-1, LC_PROBE141_WIDTH-1, (LC_NUM_OF_PROBES > 141), (LC_NUM_OF_PROBES*2 > 141), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE70_WIDTH-1, LC_PROBE140_WIDTH-1, (LC_NUM_OF_PROBES > 140), (LC_NUM_OF_PROBES*2 > 140), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE69_WIDTH-1, LC_PROBE139_WIDTH-1, (LC_NUM_OF_PROBES > 139), (LC_NUM_OF_PROBES*2 > 139), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE69_WIDTH-1, LC_PROBE138_WIDTH-1, (LC_NUM_OF_PROBES > 138), (LC_NUM_OF_PROBES*2 > 138), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE68_WIDTH-1, LC_PROBE137_WIDTH-1, (LC_NUM_OF_PROBES > 137), (LC_NUM_OF_PROBES*2 > 137), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE68_WIDTH-1, LC_PROBE136_WIDTH-1, (LC_NUM_OF_PROBES > 136), (LC_NUM_OF_PROBES*2 > 136), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE67_WIDTH-1, LC_PROBE135_WIDTH-1, (LC_NUM_OF_PROBES > 135), (LC_NUM_OF_PROBES*2 > 135), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE67_WIDTH-1, LC_PROBE134_WIDTH-1, (LC_NUM_OF_PROBES > 134), (LC_NUM_OF_PROBES*2 > 134), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE66_WIDTH-1, LC_PROBE133_WIDTH-1, (LC_NUM_OF_PROBES > 133), (LC_NUM_OF_PROBES*2 > 133), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE66_WIDTH-1, LC_PROBE132_WIDTH-1, (LC_NUM_OF_PROBES > 132), (LC_NUM_OF_PROBES*2 > 132), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE65_WIDTH-1, LC_PROBE131_WIDTH-1, (LC_NUM_OF_PROBES > 131), (LC_NUM_OF_PROBES*2 > 131), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE65_WIDTH-1, LC_PROBE130_WIDTH-1, (LC_NUM_OF_PROBES > 130), (LC_NUM_OF_PROBES*2 > 130), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE64_WIDTH-1, LC_PROBE129_WIDTH-1, (LC_NUM_OF_PROBES > 129), (LC_NUM_OF_PROBES*2 > 129), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE64_WIDTH-1, LC_PROBE128_WIDTH-1, (LC_NUM_OF_PROBES > 128), (LC_NUM_OF_PROBES*2 > 128), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE63_WIDTH-1, LC_PROBE127_WIDTH-1, (LC_NUM_OF_PROBES > 127), (LC_NUM_OF_PROBES*2 > 127), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE63_WIDTH-1, LC_PROBE126_WIDTH-1, (LC_NUM_OF_PROBES > 126), (LC_NUM_OF_PROBES*2 > 126), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE62_WIDTH-1, LC_PROBE125_WIDTH-1, (LC_NUM_OF_PROBES > 125), (LC_NUM_OF_PROBES*2 > 125), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE62_WIDTH-1, LC_PROBE124_WIDTH-1, (LC_NUM_OF_PROBES > 124), (LC_NUM_OF_PROBES*2 > 124), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE61_WIDTH-1, LC_PROBE123_WIDTH-1, (LC_NUM_OF_PROBES > 123), (LC_NUM_OF_PROBES*2 > 123), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE61_WIDTH-1, LC_PROBE122_WIDTH-1, (LC_NUM_OF_PROBES > 122), (LC_NUM_OF_PROBES*2 > 122), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE60_WIDTH-1, LC_PROBE121_WIDTH-1, (LC_NUM_OF_PROBES > 121), (LC_NUM_OF_PROBES*2 > 121), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE60_WIDTH-1, LC_PROBE120_WIDTH-1, (LC_NUM_OF_PROBES > 120), (LC_NUM_OF_PROBES*2 > 120), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE59_WIDTH-1, LC_PROBE119_WIDTH-1, (LC_NUM_OF_PROBES > 119), (LC_NUM_OF_PROBES*2 > 119), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE59_WIDTH-1, LC_PROBE118_WIDTH-1, (LC_NUM_OF_PROBES > 118), (LC_NUM_OF_PROBES*2 > 118), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE58_WIDTH-1, LC_PROBE117_WIDTH-1, (LC_NUM_OF_PROBES > 117), (LC_NUM_OF_PROBES*2 > 117), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE58_WIDTH-1, LC_PROBE116_WIDTH-1, (LC_NUM_OF_PROBES > 116), (LC_NUM_OF_PROBES*2 > 116), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE57_WIDTH-1, LC_PROBE115_WIDTH-1, (LC_NUM_OF_PROBES > 115), (LC_NUM_OF_PROBES*2 > 115), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE57_WIDTH-1, LC_PROBE114_WIDTH-1, (LC_NUM_OF_PROBES > 114), (LC_NUM_OF_PROBES*2 > 114), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE56_WIDTH-1, LC_PROBE113_WIDTH-1, (LC_NUM_OF_PROBES > 113), (LC_NUM_OF_PROBES*2 > 113), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE56_WIDTH-1, LC_PROBE112_WIDTH-1, (LC_NUM_OF_PROBES > 112), (LC_NUM_OF_PROBES*2 > 112), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE55_WIDTH-1, LC_PROBE111_WIDTH-1, (LC_NUM_OF_PROBES > 111), (LC_NUM_OF_PROBES*2 > 111), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE55_WIDTH-1, LC_PROBE110_WIDTH-1, (LC_NUM_OF_PROBES > 110), (LC_NUM_OF_PROBES*2 > 110), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE54_WIDTH-1, LC_PROBE109_WIDTH-1, (LC_NUM_OF_PROBES > 109), (LC_NUM_OF_PROBES*2 > 109), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE54_WIDTH-1, LC_PROBE108_WIDTH-1, (LC_NUM_OF_PROBES > 108), (LC_NUM_OF_PROBES*2 > 108), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE53_WIDTH-1, LC_PROBE107_WIDTH-1, (LC_NUM_OF_PROBES > 107), (LC_NUM_OF_PROBES*2 > 107), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE53_WIDTH-1, LC_PROBE106_WIDTH-1, (LC_NUM_OF_PROBES > 106), (LC_NUM_OF_PROBES*2 > 106), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE52_WIDTH-1, LC_PROBE105_WIDTH-1, (LC_NUM_OF_PROBES > 105), (LC_NUM_OF_PROBES*2 > 105), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE52_WIDTH-1, LC_PROBE104_WIDTH-1, (LC_NUM_OF_PROBES > 104), (LC_NUM_OF_PROBES*2 > 104), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE51_WIDTH-1, LC_PROBE103_WIDTH-1, (LC_NUM_OF_PROBES > 103), (LC_NUM_OF_PROBES*2 > 103), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE51_WIDTH-1, LC_PROBE102_WIDTH-1, (LC_NUM_OF_PROBES > 102), (LC_NUM_OF_PROBES*2 > 102), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE50_WIDTH-1, LC_PROBE101_WIDTH-1, (LC_NUM_OF_PROBES > 101), (LC_NUM_OF_PROBES*2 > 101), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE50_WIDTH-1, LC_PROBE100_WIDTH-1, (LC_NUM_OF_PROBES > 100), (LC_NUM_OF_PROBES*2 > 100), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE49_WIDTH-1, LC_PROBE99_WIDTH-1, (LC_NUM_OF_PROBES > 99), (LC_NUM_OF_PROBES*2 > 99), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE49_WIDTH-1, LC_PROBE98_WIDTH-1, (LC_NUM_OF_PROBES > 98), (LC_NUM_OF_PROBES*2 > 98), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE48_WIDTH-1, LC_PROBE97_WIDTH-1, (LC_NUM_OF_PROBES > 97), (LC_NUM_OF_PROBES*2 > 97), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE48_WIDTH-1, LC_PROBE96_WIDTH-1, (LC_NUM_OF_PROBES > 96), (LC_NUM_OF_PROBES*2 > 96), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE47_WIDTH-1, LC_PROBE95_WIDTH-1, (LC_NUM_OF_PROBES > 95), (LC_NUM_OF_PROBES*2 > 95), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE47_WIDTH-1, LC_PROBE94_WIDTH-1, (LC_NUM_OF_PROBES > 94), (LC_NUM_OF_PROBES*2 > 94), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE46_WIDTH-1, LC_PROBE93_WIDTH-1, (LC_NUM_OF_PROBES > 93), (LC_NUM_OF_PROBES*2 > 93), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE46_WIDTH-1, LC_PROBE92_WIDTH-1, (LC_NUM_OF_PROBES > 92), (LC_NUM_OF_PROBES*2 > 92), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE45_WIDTH-1, LC_PROBE91_WIDTH-1, (LC_NUM_OF_PROBES > 91), (LC_NUM_OF_PROBES*2 > 91), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE45_WIDTH-1, LC_PROBE90_WIDTH-1, (LC_NUM_OF_PROBES > 90), (LC_NUM_OF_PROBES*2 > 90), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE44_WIDTH-1, LC_PROBE89_WIDTH-1, (LC_NUM_OF_PROBES > 89), (LC_NUM_OF_PROBES*2 > 89), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE44_WIDTH-1, LC_PROBE88_WIDTH-1, (LC_NUM_OF_PROBES > 88), (LC_NUM_OF_PROBES*2 > 88), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE43_WIDTH-1, LC_PROBE87_WIDTH-1, (LC_NUM_OF_PROBES > 87), (LC_NUM_OF_PROBES*2 > 87), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE43_WIDTH-1, LC_PROBE86_WIDTH-1, (LC_NUM_OF_PROBES > 86), (LC_NUM_OF_PROBES*2 > 86), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE42_WIDTH-1, LC_PROBE85_WIDTH-1, (LC_NUM_OF_PROBES > 85), (LC_NUM_OF_PROBES*2 > 85), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE42_WIDTH-1, LC_PROBE84_WIDTH-1, (LC_NUM_OF_PROBES > 84), (LC_NUM_OF_PROBES*2 > 84), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE41_WIDTH-1, LC_PROBE83_WIDTH-1, (LC_NUM_OF_PROBES > 83), (LC_NUM_OF_PROBES*2 > 83), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE41_WIDTH-1, LC_PROBE82_WIDTH-1, (LC_NUM_OF_PROBES > 82), (LC_NUM_OF_PROBES*2 > 82), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE40_WIDTH-1, LC_PROBE81_WIDTH-1, (LC_NUM_OF_PROBES > 81), (LC_NUM_OF_PROBES*2 > 81), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE40_WIDTH-1, LC_PROBE80_WIDTH-1, (LC_NUM_OF_PROBES > 80), (LC_NUM_OF_PROBES*2 > 80), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE39_WIDTH-1, LC_PROBE79_WIDTH-1, (LC_NUM_OF_PROBES > 79), (LC_NUM_OF_PROBES*2 > 79), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE39_WIDTH-1, LC_PROBE78_WIDTH-1, (LC_NUM_OF_PROBES > 78), (LC_NUM_OF_PROBES*2 > 78), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE38_WIDTH-1, LC_PROBE77_WIDTH-1, (LC_NUM_OF_PROBES > 77), (LC_NUM_OF_PROBES*2 > 77), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE38_WIDTH-1, LC_PROBE76_WIDTH-1, (LC_NUM_OF_PROBES > 76), (LC_NUM_OF_PROBES*2 > 76), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE37_WIDTH-1, LC_PROBE75_WIDTH-1, (LC_NUM_OF_PROBES > 75), (LC_NUM_OF_PROBES*2 > 75), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE37_WIDTH-1, LC_PROBE74_WIDTH-1, (LC_NUM_OF_PROBES > 74), (LC_NUM_OF_PROBES*2 > 74), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE36_WIDTH-1, LC_PROBE73_WIDTH-1, (LC_NUM_OF_PROBES > 73), (LC_NUM_OF_PROBES*2 > 73), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE36_WIDTH-1, LC_PROBE72_WIDTH-1, (LC_NUM_OF_PROBES > 72), (LC_NUM_OF_PROBES*2 > 72), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE35_WIDTH-1, LC_PROBE71_WIDTH-1, (LC_NUM_OF_PROBES > 71), (LC_NUM_OF_PROBES*2 > 71), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE35_WIDTH-1, LC_PROBE70_WIDTH-1, (LC_NUM_OF_PROBES > 70), (LC_NUM_OF_PROBES*2 > 70), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE34_WIDTH-1, LC_PROBE69_WIDTH-1, (LC_NUM_OF_PROBES > 69), (LC_NUM_OF_PROBES*2 > 69), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE34_WIDTH-1, LC_PROBE68_WIDTH-1, (LC_NUM_OF_PROBES > 68), (LC_NUM_OF_PROBES*2 > 68), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE33_WIDTH-1, LC_PROBE67_WIDTH-1, (LC_NUM_OF_PROBES > 67), (LC_NUM_OF_PROBES*2 > 67), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE33_WIDTH-1, LC_PROBE66_WIDTH-1, (LC_NUM_OF_PROBES > 66), (LC_NUM_OF_PROBES*2 > 66), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE32_WIDTH-1, LC_PROBE65_WIDTH-1, (LC_NUM_OF_PROBES > 65), (LC_NUM_OF_PROBES*2 > 65), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE32_WIDTH-1, LC_PROBE64_WIDTH-1, (LC_NUM_OF_PROBES > 64), (LC_NUM_OF_PROBES*2 > 64), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE31_WIDTH-1, LC_PROBE63_WIDTH-1, (LC_NUM_OF_PROBES > 63), (LC_NUM_OF_PROBES*2 > 63), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE31_WIDTH-1, LC_PROBE62_WIDTH-1, (LC_NUM_OF_PROBES > 62), (LC_NUM_OF_PROBES*2 > 62), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE30_WIDTH-1, LC_PROBE61_WIDTH-1, (LC_NUM_OF_PROBES > 61), (LC_NUM_OF_PROBES*2 > 61), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE30_WIDTH-1, LC_PROBE60_WIDTH-1, (LC_NUM_OF_PROBES > 60), (LC_NUM_OF_PROBES*2 > 60), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE29_WIDTH-1, LC_PROBE59_WIDTH-1, (LC_NUM_OF_PROBES > 59), (LC_NUM_OF_PROBES*2 > 59), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE29_WIDTH-1, LC_PROBE58_WIDTH-1, (LC_NUM_OF_PROBES > 58), (LC_NUM_OF_PROBES*2 > 58), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE28_WIDTH-1, LC_PROBE57_WIDTH-1, (LC_NUM_OF_PROBES > 57), (LC_NUM_OF_PROBES*2 > 57), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE28_WIDTH-1, LC_PROBE56_WIDTH-1, (LC_NUM_OF_PROBES > 56), (LC_NUM_OF_PROBES*2 > 56), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE27_WIDTH-1, LC_PROBE55_WIDTH-1, (LC_NUM_OF_PROBES > 55), (LC_NUM_OF_PROBES*2 > 55), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE27_WIDTH-1, LC_PROBE54_WIDTH-1, (LC_NUM_OF_PROBES > 54), (LC_NUM_OF_PROBES*2 > 54), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE26_WIDTH-1, LC_PROBE53_WIDTH-1, (LC_NUM_OF_PROBES > 53), (LC_NUM_OF_PROBES*2 > 53), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE26_WIDTH-1, LC_PROBE52_WIDTH-1, (LC_NUM_OF_PROBES > 52), (LC_NUM_OF_PROBES*2 > 52), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE25_WIDTH-1, LC_PROBE51_WIDTH-1, (LC_NUM_OF_PROBES > 51), (LC_NUM_OF_PROBES*2 > 51), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE25_WIDTH-1, LC_PROBE50_WIDTH-1, (LC_NUM_OF_PROBES > 50), (LC_NUM_OF_PROBES*2 > 50), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE24_WIDTH-1, LC_PROBE49_WIDTH-1, (LC_NUM_OF_PROBES > 49), (LC_NUM_OF_PROBES*2 > 49), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE24_WIDTH-1, LC_PROBE48_WIDTH-1, (LC_NUM_OF_PROBES > 48), (LC_NUM_OF_PROBES*2 > 48), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE23_WIDTH-1, LC_PROBE47_WIDTH-1, (LC_NUM_OF_PROBES > 47), (LC_NUM_OF_PROBES*2 > 47), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE23_WIDTH-1, LC_PROBE46_WIDTH-1, (LC_NUM_OF_PROBES > 46), (LC_NUM_OF_PROBES*2 > 46), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE22_WIDTH-1, LC_PROBE45_WIDTH-1, (LC_NUM_OF_PROBES > 45), (LC_NUM_OF_PROBES*2 > 45), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE22_WIDTH-1, LC_PROBE44_WIDTH-1, (LC_NUM_OF_PROBES > 44), (LC_NUM_OF_PROBES*2 > 44), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE21_WIDTH-1, LC_PROBE43_WIDTH-1, (LC_NUM_OF_PROBES > 43), (LC_NUM_OF_PROBES*2 > 43), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE21_WIDTH-1, LC_PROBE42_WIDTH-1, (LC_NUM_OF_PROBES > 42), (LC_NUM_OF_PROBES*2 > 42), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE20_WIDTH-1, LC_PROBE41_WIDTH-1, (LC_NUM_OF_PROBES > 41), (LC_NUM_OF_PROBES*2 > 41), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE20_WIDTH-1, LC_PROBE40_WIDTH-1, (LC_NUM_OF_PROBES > 40), (LC_NUM_OF_PROBES*2 > 40), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE19_WIDTH-1, LC_PROBE39_WIDTH-1, (LC_NUM_OF_PROBES > 39), (LC_NUM_OF_PROBES*2 > 39), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE19_WIDTH-1, LC_PROBE38_WIDTH-1, (LC_NUM_OF_PROBES > 38), (LC_NUM_OF_PROBES*2 > 38), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE18_WIDTH-1, LC_PROBE37_WIDTH-1, (LC_NUM_OF_PROBES > 37), (LC_NUM_OF_PROBES*2 > 37), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE18_WIDTH-1, LC_PROBE36_WIDTH-1, (LC_NUM_OF_PROBES > 36), (LC_NUM_OF_PROBES*2 > 36), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE17_WIDTH-1, LC_PROBE35_WIDTH-1, (LC_NUM_OF_PROBES > 35), (LC_NUM_OF_PROBES*2 > 35), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE17_WIDTH-1, LC_PROBE34_WIDTH-1, (LC_NUM_OF_PROBES > 34), (LC_NUM_OF_PROBES*2 > 34), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE16_WIDTH-1, LC_PROBE33_WIDTH-1, (LC_NUM_OF_PROBES > 33), (LC_NUM_OF_PROBES*2 > 33), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE16_WIDTH-1, LC_PROBE32_WIDTH-1, (LC_NUM_OF_PROBES > 32), (LC_NUM_OF_PROBES*2 > 32), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE15_WIDTH-1, LC_PROBE31_WIDTH-1, (LC_NUM_OF_PROBES > 31), (LC_NUM_OF_PROBES*2 > 31), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE15_WIDTH-1, LC_PROBE30_WIDTH-1, (LC_NUM_OF_PROBES > 30), (LC_NUM_OF_PROBES*2 > 30), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE14_WIDTH-1, LC_PROBE29_WIDTH-1, (LC_NUM_OF_PROBES > 29), (LC_NUM_OF_PROBES*2 > 29), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE14_WIDTH-1, LC_PROBE28_WIDTH-1, (LC_NUM_OF_PROBES > 28), (LC_NUM_OF_PROBES*2 > 28), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE13_WIDTH-1, LC_PROBE27_WIDTH-1, (LC_NUM_OF_PROBES > 27), (LC_NUM_OF_PROBES*2 > 27), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE13_WIDTH-1, LC_PROBE26_WIDTH-1, (LC_NUM_OF_PROBES > 26), (LC_NUM_OF_PROBES*2 > 26), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE12_WIDTH-1, LC_PROBE25_WIDTH-1, (LC_NUM_OF_PROBES > 25), (LC_NUM_OF_PROBES*2 > 25), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE12_WIDTH-1, LC_PROBE24_WIDTH-1, (LC_NUM_OF_PROBES > 24), (LC_NUM_OF_PROBES*2 > 24), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE11_WIDTH-1, LC_PROBE23_WIDTH-1, (LC_NUM_OF_PROBES > 23), (LC_NUM_OF_PROBES*2 > 23), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE11_WIDTH-1, LC_PROBE22_WIDTH-1, (LC_NUM_OF_PROBES > 22), (LC_NUM_OF_PROBES*2 > 22), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE10_WIDTH-1, LC_PROBE21_WIDTH-1, (LC_NUM_OF_PROBES > 21), (LC_NUM_OF_PROBES*2 > 21), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE10_WIDTH-1, LC_PROBE20_WIDTH-1, (LC_NUM_OF_PROBES > 20), (LC_NUM_OF_PROBES*2 > 20), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE9_WIDTH-1, LC_PROBE19_WIDTH-1, (LC_NUM_OF_PROBES > 19), (LC_NUM_OF_PROBES*2 > 19), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE9_WIDTH-1, LC_PROBE18_WIDTH-1, (LC_NUM_OF_PROBES > 18), (LC_NUM_OF_PROBES*2 > 18), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE8_WIDTH-1, LC_PROBE17_WIDTH-1, (LC_NUM_OF_PROBES > 17), (LC_NUM_OF_PROBES*2 > 17), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE8_WIDTH-1, LC_PROBE16_WIDTH-1, (LC_NUM_OF_PROBES > 16), (LC_NUM_OF_PROBES*2 > 16), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE7_WIDTH-1, LC_PROBE15_WIDTH-1, (LC_NUM_OF_PROBES > 15), (LC_NUM_OF_PROBES*2 > 15), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE7_WIDTH-1, LC_PROBE14_WIDTH-1, (LC_NUM_OF_PROBES > 14), (LC_NUM_OF_PROBES*2 > 14), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE6_WIDTH-1, LC_PROBE13_WIDTH-1, (LC_NUM_OF_PROBES > 13), (LC_NUM_OF_PROBES*2 > 13), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE6_WIDTH-1, LC_PROBE12_WIDTH-1, (LC_NUM_OF_PROBES > 12), (LC_NUM_OF_PROBES*2 > 12), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE5_WIDTH-1, LC_PROBE11_WIDTH-1, (LC_NUM_OF_PROBES > 11), (LC_NUM_OF_PROBES*2 > 11), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE5_WIDTH-1, LC_PROBE10_WIDTH-1, (LC_NUM_OF_PROBES > 10), (LC_NUM_OF_PROBES*2 > 10), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE4_WIDTH-1, LC_PROBE9_WIDTH-1, (LC_NUM_OF_PROBES > 9), (LC_NUM_OF_PROBES*2 > 9), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE4_WIDTH-1, LC_PROBE8_WIDTH-1, (LC_NUM_OF_PROBES > 8), (LC_NUM_OF_PROBES*2 > 8), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE3_WIDTH-1, LC_PROBE7_WIDTH-1, (LC_NUM_OF_PROBES > 7), (LC_NUM_OF_PROBES*2 > 7), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE3_WIDTH-1, LC_PROBE6_WIDTH-1, (LC_NUM_OF_PROBES > 6), (LC_NUM_OF_PROBES*2 > 6), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE2_WIDTH-1, LC_PROBE5_WIDTH-1, (LC_NUM_OF_PROBES > 5), (LC_NUM_OF_PROBES*2 > 5), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE2_WIDTH-1, LC_PROBE4_WIDTH-1, (LC_NUM_OF_PROBES > 4), (LC_NUM_OF_PROBES*2 > 4), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE1_WIDTH-1, LC_PROBE3_WIDTH-1, (LC_NUM_OF_PROBES > 3), (LC_NUM_OF_PROBES*2 > 3), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE1_WIDTH-1, LC_PROBE2_WIDTH-1, (LC_NUM_OF_PROBES > 2), (LC_NUM_OF_PROBES*2 > 2), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE0_WIDTH-1, LC_PROBE1_WIDTH-1, (LC_NUM_OF_PROBES > 1), (LC_NUM_OF_PROBES*2 > 1), (C_EN_DDR_ILA == 1'b1), 0),
    f_bit16_qual(LC_PROBE0_WIDTH-1, LC_PROBE0_WIDTH-1, (LC_NUM_OF_PROBES > 0), (LC_NUM_OF_PROBES*2 > 0), (C_EN_DDR_ILA == 1'b1), 0)
  };

localparam LC_MU_COUNT = match_units_count(LC_NUM_PROBES, LC_MU_CNT_STRING); 
localparam [(256*LC_MU_COUNT)-1:0] LC_MATCH_TPID_VEC = {LC_PROBE1023_PID,LC_PROBE1022_PID,LC_PROBE1021_PID,LC_PROBE1020_PID,LC_PROBE1019_PID,LC_PROBE1018_PID,LC_PROBE1017_PID,LC_PROBE1016_PID,LC_PROBE1015_PID,LC_PROBE1014_PID,LC_PROBE1013_PID,LC_PROBE1012_PID,LC_PROBE1011_PID,
                                      LC_PROBE1010_PID,LC_PROBE1009_PID,LC_PROBE1008_PID,LC_PROBE1007_PID,LC_PROBE1006_PID,LC_PROBE1005_PID,LC_PROBE1004_PID,LC_PROBE1003_PID,LC_PROBE1002_PID,LC_PROBE1001_PID,
                                      LC_PROBE1000_PID,LC_PROBE999_PID,LC_PROBE998_PID,LC_PROBE997_PID,LC_PROBE996_PID,LC_PROBE995_PID,LC_PROBE994_PID,LC_PROBE993_PID,LC_PROBE992_PID,LC_PROBE991_PID,
                                      LC_PROBE990_PID,LC_PROBE989_PID,LC_PROBE988_PID,LC_PROBE987_PID,LC_PROBE986_PID,LC_PROBE985_PID,LC_PROBE984_PID,LC_PROBE983_PID,LC_PROBE982_PID,LC_PROBE981_PID,
                                      LC_PROBE980_PID,LC_PROBE979_PID,LC_PROBE978_PID,LC_PROBE977_PID,LC_PROBE976_PID,LC_PROBE975_PID,LC_PROBE974_PID,LC_PROBE973_PID,LC_PROBE972_PID,LC_PROBE971_PID,
                                      LC_PROBE970_PID,LC_PROBE969_PID,LC_PROBE968_PID,LC_PROBE967_PID,LC_PROBE966_PID,LC_PROBE965_PID,LC_PROBE964_PID,LC_PROBE963_PID,LC_PROBE962_PID,LC_PROBE961_PID,
                                      LC_PROBE960_PID,LC_PROBE959_PID,LC_PROBE958_PID,LC_PROBE957_PID,LC_PROBE956_PID,LC_PROBE955_PID,LC_PROBE954_PID,LC_PROBE953_PID,LC_PROBE952_PID,LC_PROBE951_PID,
                                      LC_PROBE950_PID,LC_PROBE949_PID,LC_PROBE948_PID,LC_PROBE947_PID,LC_PROBE946_PID,LC_PROBE945_PID,LC_PROBE944_PID,LC_PROBE943_PID,LC_PROBE942_PID,LC_PROBE941_PID,
                                      LC_PROBE940_PID,LC_PROBE939_PID,LC_PROBE938_PID,LC_PROBE937_PID,LC_PROBE936_PID,LC_PROBE935_PID,LC_PROBE934_PID,LC_PROBE933_PID,LC_PROBE932_PID,LC_PROBE931_PID,
                                      LC_PROBE930_PID,LC_PROBE929_PID,LC_PROBE928_PID,LC_PROBE927_PID,LC_PROBE926_PID,LC_PROBE925_PID,LC_PROBE924_PID,LC_PROBE923_PID,LC_PROBE922_PID,LC_PROBE921_PID,
                                      LC_PROBE920_PID,LC_PROBE919_PID,LC_PROBE918_PID,LC_PROBE917_PID,LC_PROBE916_PID,LC_PROBE915_PID,LC_PROBE914_PID,LC_PROBE913_PID,LC_PROBE912_PID,LC_PROBE911_PID,
                                      LC_PROBE910_PID,LC_PROBE909_PID,LC_PROBE908_PID,LC_PROBE907_PID,LC_PROBE906_PID,LC_PROBE905_PID,LC_PROBE904_PID,LC_PROBE903_PID,LC_PROBE902_PID,LC_PROBE901_PID,
                                      LC_PROBE900_PID,LC_PROBE899_PID,LC_PROBE898_PID,LC_PROBE897_PID,LC_PROBE896_PID,LC_PROBE895_PID,LC_PROBE894_PID,LC_PROBE893_PID,LC_PROBE892_PID,LC_PROBE891_PID,
                                      LC_PROBE890_PID,LC_PROBE889_PID,LC_PROBE888_PID,LC_PROBE887_PID,LC_PROBE886_PID,LC_PROBE885_PID,LC_PROBE884_PID,LC_PROBE883_PID,LC_PROBE882_PID,LC_PROBE881_PID,
                                      LC_PROBE880_PID,LC_PROBE879_PID,LC_PROBE878_PID,LC_PROBE877_PID,LC_PROBE876_PID,LC_PROBE875_PID,LC_PROBE874_PID,LC_PROBE873_PID,LC_PROBE872_PID,LC_PROBE871_PID,
                                      LC_PROBE870_PID,LC_PROBE869_PID,LC_PROBE868_PID,LC_PROBE867_PID,LC_PROBE866_PID,LC_PROBE865_PID,LC_PROBE864_PID,LC_PROBE863_PID,LC_PROBE862_PID,LC_PROBE861_PID,
                                      LC_PROBE860_PID,LC_PROBE859_PID,LC_PROBE858_PID,LC_PROBE857_PID,LC_PROBE856_PID,LC_PROBE855_PID,LC_PROBE854_PID,LC_PROBE853_PID,LC_PROBE852_PID,LC_PROBE851_PID,
                                      LC_PROBE850_PID,LC_PROBE849_PID,LC_PROBE848_PID,LC_PROBE847_PID,LC_PROBE846_PID,LC_PROBE845_PID,LC_PROBE844_PID,LC_PROBE843_PID,LC_PROBE842_PID,LC_PROBE841_PID,
                                      LC_PROBE840_PID,LC_PROBE839_PID,LC_PROBE838_PID,LC_PROBE837_PID,LC_PROBE836_PID,LC_PROBE835_PID,LC_PROBE834_PID,LC_PROBE833_PID,LC_PROBE832_PID,LC_PROBE831_PID,
                                      LC_PROBE830_PID,LC_PROBE829_PID,LC_PROBE828_PID,LC_PROBE827_PID,LC_PROBE826_PID,LC_PROBE825_PID,LC_PROBE824_PID,LC_PROBE823_PID,LC_PROBE822_PID,LC_PROBE821_PID,
                                      LC_PROBE820_PID,LC_PROBE819_PID,LC_PROBE818_PID,LC_PROBE817_PID,LC_PROBE816_PID,LC_PROBE815_PID,LC_PROBE814_PID,LC_PROBE813_PID,LC_PROBE812_PID,LC_PROBE811_PID,
                                      LC_PROBE810_PID,LC_PROBE809_PID,LC_PROBE808_PID,LC_PROBE807_PID,LC_PROBE806_PID,LC_PROBE805_PID,LC_PROBE804_PID,LC_PROBE803_PID,LC_PROBE802_PID,LC_PROBE801_PID,
                                      LC_PROBE800_PID,LC_PROBE799_PID,LC_PROBE798_PID,LC_PROBE797_PID,LC_PROBE796_PID,LC_PROBE795_PID,LC_PROBE794_PID,LC_PROBE793_PID,LC_PROBE792_PID,LC_PROBE791_PID,
                                      LC_PROBE790_PID,LC_PROBE789_PID,LC_PROBE788_PID,LC_PROBE787_PID,LC_PROBE786_PID,LC_PROBE785_PID,LC_PROBE784_PID,LC_PROBE783_PID,LC_PROBE782_PID,LC_PROBE781_PID,
                                      LC_PROBE780_PID,LC_PROBE779_PID,LC_PROBE778_PID,LC_PROBE777_PID,LC_PROBE776_PID,LC_PROBE775_PID,LC_PROBE774_PID,LC_PROBE773_PID,LC_PROBE772_PID,LC_PROBE771_PID,
                                      LC_PROBE770_PID,LC_PROBE769_PID,LC_PROBE768_PID,LC_PROBE767_PID,LC_PROBE766_PID,LC_PROBE765_PID,LC_PROBE764_PID,LC_PROBE763_PID,LC_PROBE762_PID,LC_PROBE761_PID,
                                      LC_PROBE760_PID,LC_PROBE759_PID,LC_PROBE758_PID,LC_PROBE757_PID,LC_PROBE756_PID,LC_PROBE755_PID,LC_PROBE754_PID,LC_PROBE753_PID,LC_PROBE752_PID,LC_PROBE751_PID,
                                      LC_PROBE750_PID,LC_PROBE749_PID,LC_PROBE748_PID,LC_PROBE747_PID,LC_PROBE746_PID,LC_PROBE745_PID,LC_PROBE744_PID,LC_PROBE743_PID,LC_PROBE742_PID,LC_PROBE741_PID,
                                      LC_PROBE740_PID,LC_PROBE739_PID,LC_PROBE738_PID,LC_PROBE737_PID,LC_PROBE736_PID,LC_PROBE735_PID,LC_PROBE734_PID,LC_PROBE733_PID,LC_PROBE732_PID,LC_PROBE731_PID,
                                      LC_PROBE730_PID,LC_PROBE729_PID,LC_PROBE728_PID,LC_PROBE727_PID,LC_PROBE726_PID,LC_PROBE725_PID,LC_PROBE724_PID,LC_PROBE723_PID,LC_PROBE722_PID,LC_PROBE721_PID,
                                      LC_PROBE720_PID,LC_PROBE719_PID,LC_PROBE718_PID,LC_PROBE717_PID,LC_PROBE716_PID,LC_PROBE715_PID,LC_PROBE714_PID,LC_PROBE713_PID,LC_PROBE712_PID,LC_PROBE711_PID,
                                      LC_PROBE710_PID,LC_PROBE709_PID,LC_PROBE708_PID,LC_PROBE707_PID,LC_PROBE706_PID,LC_PROBE705_PID,LC_PROBE704_PID,LC_PROBE703_PID,LC_PROBE702_PID,LC_PROBE701_PID,
                                      LC_PROBE700_PID,LC_PROBE699_PID,LC_PROBE698_PID,LC_PROBE697_PID,LC_PROBE696_PID,LC_PROBE695_PID,LC_PROBE694_PID,LC_PROBE693_PID,LC_PROBE692_PID,LC_PROBE691_PID,
                                      LC_PROBE690_PID,LC_PROBE689_PID,LC_PROBE688_PID,LC_PROBE687_PID,LC_PROBE686_PID,LC_PROBE685_PID,LC_PROBE684_PID,LC_PROBE683_PID,LC_PROBE682_PID,LC_PROBE681_PID,
                                      LC_PROBE680_PID,LC_PROBE679_PID,LC_PROBE678_PID,LC_PROBE677_PID,LC_PROBE676_PID,LC_PROBE675_PID,LC_PROBE674_PID,LC_PROBE673_PID,LC_PROBE672_PID,LC_PROBE671_PID,
                                      LC_PROBE670_PID,LC_PROBE669_PID,LC_PROBE668_PID,LC_PROBE667_PID,LC_PROBE666_PID,LC_PROBE665_PID,LC_PROBE664_PID,LC_PROBE663_PID,LC_PROBE662_PID,LC_PROBE661_PID,
                                      LC_PROBE660_PID,LC_PROBE659_PID,LC_PROBE658_PID,LC_PROBE657_PID,LC_PROBE656_PID,LC_PROBE655_PID,LC_PROBE654_PID,LC_PROBE653_PID,LC_PROBE652_PID,LC_PROBE651_PID,
                                      LC_PROBE650_PID,LC_PROBE649_PID,LC_PROBE648_PID,LC_PROBE647_PID,LC_PROBE646_PID,LC_PROBE645_PID,LC_PROBE644_PID,LC_PROBE643_PID,LC_PROBE642_PID,LC_PROBE641_PID,
                                      LC_PROBE640_PID,LC_PROBE639_PID,LC_PROBE638_PID,LC_PROBE637_PID,LC_PROBE636_PID,LC_PROBE635_PID,LC_PROBE634_PID,LC_PROBE633_PID,LC_PROBE632_PID,LC_PROBE631_PID,
                                      LC_PROBE630_PID,LC_PROBE629_PID,LC_PROBE628_PID,LC_PROBE627_PID,LC_PROBE626_PID,LC_PROBE625_PID,LC_PROBE624_PID,LC_PROBE623_PID,LC_PROBE622_PID,LC_PROBE621_PID,
                                      LC_PROBE620_PID,LC_PROBE619_PID,LC_PROBE618_PID,LC_PROBE617_PID,LC_PROBE616_PID,LC_PROBE615_PID,LC_PROBE614_PID,LC_PROBE613_PID,LC_PROBE612_PID,LC_PROBE611_PID,
                                      LC_PROBE610_PID,LC_PROBE609_PID,LC_PROBE608_PID,LC_PROBE607_PID,LC_PROBE606_PID,LC_PROBE605_PID,LC_PROBE604_PID,LC_PROBE603_PID,LC_PROBE602_PID,LC_PROBE601_PID,
                                      LC_PROBE600_PID,LC_PROBE599_PID,LC_PROBE598_PID,LC_PROBE597_PID,LC_PROBE596_PID,LC_PROBE595_PID,LC_PROBE594_PID,LC_PROBE593_PID,LC_PROBE592_PID,LC_PROBE591_PID,
                                      LC_PROBE590_PID,LC_PROBE589_PID,LC_PROBE588_PID,LC_PROBE587_PID,LC_PROBE586_PID,LC_PROBE585_PID,LC_PROBE584_PID,LC_PROBE583_PID,LC_PROBE582_PID,LC_PROBE581_PID,
                                      LC_PROBE580_PID,LC_PROBE579_PID,LC_PROBE578_PID,LC_PROBE577_PID,LC_PROBE576_PID,LC_PROBE575_PID,LC_PROBE574_PID,LC_PROBE573_PID,LC_PROBE572_PID,LC_PROBE571_PID,
                                      LC_PROBE570_PID,LC_PROBE569_PID,LC_PROBE568_PID,LC_PROBE567_PID,LC_PROBE566_PID,LC_PROBE565_PID,LC_PROBE564_PID,LC_PROBE563_PID,LC_PROBE562_PID,LC_PROBE561_PID,
                                      LC_PROBE560_PID,LC_PROBE559_PID,LC_PROBE558_PID,LC_PROBE557_PID,LC_PROBE556_PID,LC_PROBE555_PID,LC_PROBE554_PID,LC_PROBE553_PID,LC_PROBE552_PID,LC_PROBE551_PID,
                                      LC_PROBE550_PID,LC_PROBE549_PID,LC_PROBE548_PID,LC_PROBE547_PID,LC_PROBE546_PID,LC_PROBE545_PID,LC_PROBE544_PID,LC_PROBE543_PID,LC_PROBE542_PID,LC_PROBE541_PID,
                                      LC_PROBE540_PID,LC_PROBE539_PID,LC_PROBE538_PID,LC_PROBE537_PID,LC_PROBE536_PID,LC_PROBE535_PID,LC_PROBE534_PID,LC_PROBE533_PID,LC_PROBE532_PID,LC_PROBE531_PID,
                                      LC_PROBE530_PID,LC_PROBE529_PID,LC_PROBE528_PID,LC_PROBE527_PID,LC_PROBE526_PID,LC_PROBE525_PID,LC_PROBE524_PID,LC_PROBE523_PID,LC_PROBE522_PID,LC_PROBE521_PID,
                                      LC_PROBE520_PID,LC_PROBE519_PID,LC_PROBE518_PID,LC_PROBE517_PID,LC_PROBE516_PID,LC_PROBE515_PID,LC_PROBE514_PID,LC_PROBE513_PID,LC_PROBE512_PID,LC_PROBE511_PID,
                                      LC_PROBE510_PID,LC_PROBE509_PID,LC_PROBE508_PID,LC_PROBE507_PID,LC_PROBE506_PID,LC_PROBE505_PID,LC_PROBE504_PID,LC_PROBE503_PID,LC_PROBE502_PID,LC_PROBE501_PID,
                                      LC_PROBE500_PID,LC_PROBE499_PID,LC_PROBE498_PID,LC_PROBE497_PID,LC_PROBE496_PID,LC_PROBE495_PID,LC_PROBE494_PID,LC_PROBE493_PID,LC_PROBE492_PID,LC_PROBE491_PID,
                                      LC_PROBE490_PID,LC_PROBE489_PID,LC_PROBE488_PID,LC_PROBE487_PID,LC_PROBE486_PID,LC_PROBE485_PID,LC_PROBE484_PID,LC_PROBE483_PID,LC_PROBE482_PID,LC_PROBE481_PID,
                                      LC_PROBE480_PID,LC_PROBE479_PID,LC_PROBE478_PID,LC_PROBE477_PID,LC_PROBE476_PID,LC_PROBE475_PID,LC_PROBE474_PID,LC_PROBE473_PID,LC_PROBE472_PID,LC_PROBE471_PID,
                                      LC_PROBE470_PID,LC_PROBE469_PID,LC_PROBE468_PID,LC_PROBE467_PID,LC_PROBE466_PID,LC_PROBE465_PID,LC_PROBE464_PID,LC_PROBE463_PID,LC_PROBE462_PID,LC_PROBE461_PID,
                                      LC_PROBE460_PID,LC_PROBE459_PID,LC_PROBE458_PID,LC_PROBE457_PID,LC_PROBE456_PID,LC_PROBE455_PID,LC_PROBE454_PID,LC_PROBE453_PID,LC_PROBE452_PID,LC_PROBE451_PID,
                                      LC_PROBE450_PID,LC_PROBE449_PID,LC_PROBE448_PID,LC_PROBE447_PID,LC_PROBE446_PID,LC_PROBE445_PID,LC_PROBE444_PID,LC_PROBE443_PID,LC_PROBE442_PID,LC_PROBE441_PID,
                                      LC_PROBE440_PID,LC_PROBE439_PID,LC_PROBE438_PID,LC_PROBE437_PID,LC_PROBE436_PID,LC_PROBE435_PID,LC_PROBE434_PID,LC_PROBE433_PID,LC_PROBE432_PID,LC_PROBE431_PID,
                                      LC_PROBE430_PID,LC_PROBE429_PID,LC_PROBE428_PID,LC_PROBE427_PID,LC_PROBE426_PID,LC_PROBE425_PID,LC_PROBE424_PID,LC_PROBE423_PID,LC_PROBE422_PID,LC_PROBE421_PID,
                                      LC_PROBE420_PID,LC_PROBE419_PID,LC_PROBE418_PID,LC_PROBE417_PID,LC_PROBE416_PID,LC_PROBE415_PID,LC_PROBE414_PID,LC_PROBE413_PID,LC_PROBE412_PID,LC_PROBE411_PID,
                                      LC_PROBE410_PID,LC_PROBE409_PID,LC_PROBE408_PID,LC_PROBE407_PID,LC_PROBE406_PID,LC_PROBE405_PID,LC_PROBE404_PID,LC_PROBE403_PID,LC_PROBE402_PID,LC_PROBE401_PID,
                                      LC_PROBE400_PID,LC_PROBE399_PID,LC_PROBE398_PID,LC_PROBE397_PID,LC_PROBE396_PID,LC_PROBE395_PID,LC_PROBE394_PID,LC_PROBE393_PID,LC_PROBE392_PID,LC_PROBE391_PID,
                                      LC_PROBE390_PID,LC_PROBE389_PID,LC_PROBE388_PID,LC_PROBE387_PID,LC_PROBE386_PID,LC_PROBE385_PID,LC_PROBE384_PID,LC_PROBE383_PID,LC_PROBE382_PID,LC_PROBE381_PID,
                                      LC_PROBE380_PID,LC_PROBE379_PID,LC_PROBE378_PID,LC_PROBE377_PID,LC_PROBE376_PID,LC_PROBE375_PID,LC_PROBE374_PID,LC_PROBE373_PID,LC_PROBE372_PID,LC_PROBE371_PID,
                                      LC_PROBE370_PID,LC_PROBE369_PID,LC_PROBE368_PID,LC_PROBE367_PID,LC_PROBE366_PID,LC_PROBE365_PID,LC_PROBE364_PID,LC_PROBE363_PID,LC_PROBE362_PID,LC_PROBE361_PID,
                                      LC_PROBE360_PID,LC_PROBE359_PID,LC_PROBE358_PID,LC_PROBE357_PID,LC_PROBE356_PID,LC_PROBE355_PID,LC_PROBE354_PID,LC_PROBE353_PID,LC_PROBE352_PID,LC_PROBE351_PID,
                                      LC_PROBE350_PID,LC_PROBE349_PID,LC_PROBE348_PID,LC_PROBE347_PID,LC_PROBE346_PID,LC_PROBE345_PID,LC_PROBE344_PID,LC_PROBE343_PID,LC_PROBE342_PID,LC_PROBE341_PID,
                                      LC_PROBE340_PID,LC_PROBE339_PID,LC_PROBE338_PID,LC_PROBE337_PID,LC_PROBE336_PID,LC_PROBE335_PID,LC_PROBE334_PID,LC_PROBE333_PID,LC_PROBE332_PID,LC_PROBE331_PID,
                                      LC_PROBE330_PID,LC_PROBE329_PID,LC_PROBE328_PID,LC_PROBE327_PID,LC_PROBE326_PID,LC_PROBE325_PID,LC_PROBE324_PID,LC_PROBE323_PID,LC_PROBE322_PID,LC_PROBE321_PID,
                                      LC_PROBE320_PID,LC_PROBE319_PID,LC_PROBE318_PID,LC_PROBE317_PID,LC_PROBE316_PID,LC_PROBE315_PID,LC_PROBE314_PID,LC_PROBE313_PID,LC_PROBE312_PID,LC_PROBE311_PID,
                                      LC_PROBE310_PID,LC_PROBE309_PID,LC_PROBE308_PID,LC_PROBE307_PID,LC_PROBE306_PID,LC_PROBE305_PID,LC_PROBE304_PID,LC_PROBE303_PID,LC_PROBE302_PID,LC_PROBE301_PID,
                                      LC_PROBE300_PID,LC_PROBE299_PID,LC_PROBE298_PID,LC_PROBE297_PID,LC_PROBE296_PID,LC_PROBE295_PID,LC_PROBE294_PID,LC_PROBE293_PID,LC_PROBE292_PID,LC_PROBE291_PID,
                                      LC_PROBE290_PID,LC_PROBE289_PID,LC_PROBE288_PID,LC_PROBE287_PID,LC_PROBE286_PID,LC_PROBE285_PID,LC_PROBE284_PID,LC_PROBE283_PID,LC_PROBE282_PID,LC_PROBE281_PID,
                                      LC_PROBE280_PID,LC_PROBE279_PID,LC_PROBE278_PID,LC_PROBE277_PID,LC_PROBE276_PID,LC_PROBE275_PID,LC_PROBE274_PID,LC_PROBE273_PID,LC_PROBE272_PID,LC_PROBE271_PID,
                                      LC_PROBE270_PID,LC_PROBE269_PID,LC_PROBE268_PID,LC_PROBE267_PID,LC_PROBE266_PID,LC_PROBE265_PID,LC_PROBE264_PID,LC_PROBE263_PID,LC_PROBE262_PID,LC_PROBE261_PID,
                                      LC_PROBE260_PID,LC_PROBE259_PID,LC_PROBE258_PID,LC_PROBE257_PID,LC_PROBE256_PID,LC_PROBE255_PID,LC_PROBE254_PID,LC_PROBE253_PID,LC_PROBE252_PID,LC_PROBE251_PID,
                                      LC_PROBE250_PID,LC_PROBE249_PID,LC_PROBE248_PID,LC_PROBE247_PID,LC_PROBE246_PID,LC_PROBE245_PID,LC_PROBE244_PID,LC_PROBE243_PID,LC_PROBE242_PID,LC_PROBE241_PID,
                                      LC_PROBE240_PID,LC_PROBE239_PID,LC_PROBE238_PID,LC_PROBE237_PID,LC_PROBE236_PID,LC_PROBE235_PID,LC_PROBE234_PID,LC_PROBE233_PID,LC_PROBE232_PID,LC_PROBE231_PID,
                                      LC_PROBE230_PID,LC_PROBE229_PID,LC_PROBE228_PID,LC_PROBE227_PID,LC_PROBE226_PID,LC_PROBE225_PID,LC_PROBE224_PID,LC_PROBE223_PID,LC_PROBE222_PID,LC_PROBE221_PID,
                                      LC_PROBE220_PID,LC_PROBE219_PID,LC_PROBE218_PID,LC_PROBE217_PID,LC_PROBE216_PID,LC_PROBE215_PID,LC_PROBE214_PID,LC_PROBE213_PID,LC_PROBE212_PID,LC_PROBE211_PID,
                                      LC_PROBE210_PID,LC_PROBE209_PID,LC_PROBE208_PID,LC_PROBE207_PID,LC_PROBE206_PID,LC_PROBE205_PID,LC_PROBE204_PID,LC_PROBE203_PID,LC_PROBE202_PID,LC_PROBE201_PID,
                                      LC_PROBE200_PID,LC_PROBE199_PID,LC_PROBE198_PID,LC_PROBE197_PID,LC_PROBE196_PID,LC_PROBE195_PID,LC_PROBE194_PID,LC_PROBE193_PID,LC_PROBE192_PID,LC_PROBE191_PID,
                                      LC_PROBE190_PID,LC_PROBE189_PID,LC_PROBE188_PID,LC_PROBE187_PID,LC_PROBE186_PID,LC_PROBE185_PID,LC_PROBE184_PID,LC_PROBE183_PID,LC_PROBE182_PID,LC_PROBE181_PID,
                                      LC_PROBE180_PID,LC_PROBE179_PID,LC_PROBE178_PID,LC_PROBE177_PID,LC_PROBE176_PID,LC_PROBE175_PID,LC_PROBE174_PID,LC_PROBE173_PID,LC_PROBE172_PID,LC_PROBE171_PID,
                                      LC_PROBE170_PID,LC_PROBE169_PID,LC_PROBE168_PID,LC_PROBE167_PID,LC_PROBE166_PID,LC_PROBE165_PID,LC_PROBE164_PID,LC_PROBE163_PID,LC_PROBE162_PID,LC_PROBE161_PID,
                                      LC_PROBE160_PID,LC_PROBE159_PID,LC_PROBE158_PID,LC_PROBE157_PID,LC_PROBE156_PID,LC_PROBE155_PID,LC_PROBE154_PID,LC_PROBE153_PID,LC_PROBE152_PID,LC_PROBE151_PID,
                                      LC_PROBE150_PID,LC_PROBE149_PID,LC_PROBE148_PID,LC_PROBE147_PID,LC_PROBE146_PID,LC_PROBE145_PID,LC_PROBE144_PID,LC_PROBE143_PID,LC_PROBE142_PID,LC_PROBE141_PID,
                                      LC_PROBE140_PID,LC_PROBE139_PID,LC_PROBE138_PID,LC_PROBE137_PID,LC_PROBE136_PID,LC_PROBE135_PID,LC_PROBE134_PID,LC_PROBE133_PID,LC_PROBE132_PID,LC_PROBE131_PID,
                                      LC_PROBE130_PID,LC_PROBE129_PID,LC_PROBE128_PID,LC_PROBE127_PID,LC_PROBE126_PID,LC_PROBE125_PID,LC_PROBE124_PID,LC_PROBE123_PID,LC_PROBE122_PID,LC_PROBE121_PID,
                                      LC_PROBE120_PID,LC_PROBE119_PID,LC_PROBE118_PID,LC_PROBE117_PID,LC_PROBE116_PID,LC_PROBE115_PID,LC_PROBE114_PID,LC_PROBE113_PID,LC_PROBE112_PID,LC_PROBE111_PID,
                                      LC_PROBE110_PID,LC_PROBE109_PID,LC_PROBE108_PID,LC_PROBE107_PID,LC_PROBE106_PID,LC_PROBE105_PID,LC_PROBE104_PID,LC_PROBE103_PID,LC_PROBE102_PID,LC_PROBE101_PID,
                                      LC_PROBE100_PID,LC_PROBE99_PID,LC_PROBE98_PID,LC_PROBE97_PID,LC_PROBE96_PID,LC_PROBE95_PID,LC_PROBE94_PID,LC_PROBE93_PID,LC_PROBE92_PID,LC_PROBE91_PID,
                                      LC_PROBE90_PID,LC_PROBE89_PID,LC_PROBE88_PID,LC_PROBE87_PID,LC_PROBE86_PID,LC_PROBE85_PID,LC_PROBE84_PID,LC_PROBE83_PID,LC_PROBE82_PID,LC_PROBE81_PID,
                                      LC_PROBE80_PID,LC_PROBE79_PID,LC_PROBE78_PID,LC_PROBE77_PID,LC_PROBE76_PID,LC_PROBE75_PID,LC_PROBE74_PID,LC_PROBE73_PID,LC_PROBE72_PID,LC_PROBE71_PID,
                                      LC_PROBE70_PID,LC_PROBE69_PID,LC_PROBE68_PID,LC_PROBE67_PID,LC_PROBE66_PID,LC_PROBE65_PID,LC_PROBE64_PID,LC_PROBE63_PID,LC_PROBE62_PID,LC_PROBE61_PID,
                                      LC_PROBE60_PID,LC_PROBE59_PID,LC_PROBE58_PID,LC_PROBE57_PID,LC_PROBE56_PID,LC_PROBE55_PID,LC_PROBE54_PID,LC_PROBE53_PID,LC_PROBE52_PID,LC_PROBE51_PID,
                                      LC_PROBE50_PID,LC_PROBE49_PID,LC_PROBE48_PID,LC_PROBE47_PID,LC_PROBE46_PID,LC_PROBE45_PID,LC_PROBE44_PID,LC_PROBE43_PID,LC_PROBE42_PID,LC_PROBE41_PID,
                                      LC_PROBE40_PID,LC_PROBE39_PID,LC_PROBE38_PID,LC_PROBE37_PID,LC_PROBE36_PID,LC_PROBE35_PID,LC_PROBE34_PID,LC_PROBE33_PID,LC_PROBE32_PID,LC_PROBE31_PID,
                                      LC_PROBE30_PID,LC_PROBE29_PID,LC_PROBE28_PID,LC_PROBE27_PID,LC_PROBE26_PID,LC_PROBE25_PID,LC_PROBE24_PID,LC_PROBE23_PID,LC_PROBE22_PID,LC_PROBE21_PID,
                                      LC_PROBE20_PID,LC_PROBE19_PID,LC_PROBE18_PID,LC_PROBE17_PID,LC_PROBE16_PID,LC_PROBE15_PID,LC_PROBE14_PID,LC_PROBE13_PID,LC_PROBE12_PID,LC_PROBE11_PID,
                                      LC_PROBE10_PID,LC_PROBE9_PID,LC_PROBE8_PID,LC_PROBE7_PID,LC_PROBE6_PID,LC_PROBE5_PID,LC_PROBE4_PID,LC_PROBE3_PID,LC_PROBE2_PID,LC_PROBE1_PID,LC_PROBE0_PID};

localparam LC_PROBES_WIDTH = size_of_data(LC_MU_COUNT, LC_PROBE_WIDTH_STRING, LC_MATCH_TPID_VEC); 
localparam LC_NUM_TRIG_EQS = (C_ADV_TRIGGER == 1'b1) ? 32 : 1;


// Data and trigger separate parameters
localparam [0:0] LC_PROBE0_IS_DATA = ((LC_NUM_OF_PROBES > 0 ) && (LC_PROBE0_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE0_MU_CNT-1 : 0] LC_PROBE0_IS_TRIG =(LC_PROBE0_TYPE != 1)? {LC_PROBE0_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1_IS_DATA = ((LC_NUM_OF_PROBES > 1 ) && (LC_PROBE1_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1_MU_CNT-1 : 0] LC_PROBE1_IS_TRIG =(LC_PROBE1_TYPE != 1)? {LC_PROBE1_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE2_IS_DATA = ((LC_NUM_OF_PROBES > 2 ) && (LC_PROBE2_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE2_MU_CNT-1 : 0] LC_PROBE2_IS_TRIG =(LC_PROBE2_TYPE != 1)? {LC_PROBE2_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE3_IS_DATA = ((LC_NUM_OF_PROBES > 3 ) && (LC_PROBE3_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE3_MU_CNT-1 : 0] LC_PROBE3_IS_TRIG =(LC_PROBE3_TYPE != 1)? {LC_PROBE3_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE4_IS_DATA = ((LC_NUM_OF_PROBES > 4 ) && (LC_PROBE4_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE4_MU_CNT-1 : 0] LC_PROBE4_IS_TRIG =(LC_PROBE4_TYPE != 1)? {LC_PROBE4_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE5_IS_DATA = ((LC_NUM_OF_PROBES > 5 ) && (LC_PROBE5_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE5_MU_CNT-1 : 0] LC_PROBE5_IS_TRIG =(LC_PROBE5_TYPE != 1)? {LC_PROBE5_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE6_IS_DATA = ((LC_NUM_OF_PROBES > 6 ) && (LC_PROBE6_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE6_MU_CNT-1 : 0] LC_PROBE6_IS_TRIG =(LC_PROBE6_TYPE != 1)? {LC_PROBE6_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE7_IS_DATA = ((LC_NUM_OF_PROBES > 7 ) && (LC_PROBE7_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE7_MU_CNT-1 : 0] LC_PROBE7_IS_TRIG =(LC_PROBE7_TYPE != 1)? {LC_PROBE7_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE8_IS_DATA = ((LC_NUM_OF_PROBES > 8 ) && (LC_PROBE8_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE8_MU_CNT-1 : 0] LC_PROBE8_IS_TRIG =(LC_PROBE8_TYPE != 1)? {LC_PROBE8_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE9_IS_DATA = ((LC_NUM_OF_PROBES > 9 ) && (LC_PROBE9_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE9_MU_CNT-1 : 0] LC_PROBE9_IS_TRIG =(LC_PROBE9_TYPE != 1)? {LC_PROBE9_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE10_IS_DATA = ((LC_NUM_OF_PROBES > 10 ) && (LC_PROBE10_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE10_MU_CNT-1 : 0] LC_PROBE10_IS_TRIG =(LC_PROBE10_TYPE != 1)? {LC_PROBE10_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE11_IS_DATA = ((LC_NUM_OF_PROBES > 11 ) && (LC_PROBE11_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE11_MU_CNT-1 : 0] LC_PROBE11_IS_TRIG =(LC_PROBE11_TYPE != 1)? {LC_PROBE11_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE12_IS_DATA = ((LC_NUM_OF_PROBES > 12 ) && (LC_PROBE12_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE12_MU_CNT-1 : 0] LC_PROBE12_IS_TRIG =(LC_PROBE12_TYPE != 1)? {LC_PROBE12_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE13_IS_DATA = ((LC_NUM_OF_PROBES > 13 ) && (LC_PROBE13_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE13_MU_CNT-1 : 0] LC_PROBE13_IS_TRIG =(LC_PROBE13_TYPE != 1)? {LC_PROBE13_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE14_IS_DATA = ((LC_NUM_OF_PROBES > 14 ) && (LC_PROBE14_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE14_MU_CNT-1 : 0] LC_PROBE14_IS_TRIG =(LC_PROBE14_TYPE != 1)? {LC_PROBE14_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE15_IS_DATA = ((LC_NUM_OF_PROBES > 15 ) && (LC_PROBE15_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE15_MU_CNT-1 : 0] LC_PROBE15_IS_TRIG =(LC_PROBE15_TYPE != 1)? {LC_PROBE15_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE16_IS_DATA = ((LC_NUM_OF_PROBES > 16 ) && (LC_PROBE16_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE16_MU_CNT-1 : 0] LC_PROBE16_IS_TRIG =(LC_PROBE16_TYPE != 1)? {LC_PROBE16_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE17_IS_DATA = ((LC_NUM_OF_PROBES > 17 ) && (LC_PROBE17_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE17_MU_CNT-1 : 0] LC_PROBE17_IS_TRIG =(LC_PROBE17_TYPE != 1)? {LC_PROBE17_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE18_IS_DATA = ((LC_NUM_OF_PROBES > 18 ) && (LC_PROBE18_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE18_MU_CNT-1 : 0] LC_PROBE18_IS_TRIG =(LC_PROBE18_TYPE != 1)? {LC_PROBE18_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE19_IS_DATA = ((LC_NUM_OF_PROBES > 19 ) && (LC_PROBE19_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE19_MU_CNT-1 : 0] LC_PROBE19_IS_TRIG =(LC_PROBE19_TYPE != 1)? {LC_PROBE19_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE20_IS_DATA = ((LC_NUM_OF_PROBES > 20 ) && (LC_PROBE20_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE20_MU_CNT-1 : 0] LC_PROBE20_IS_TRIG =(LC_PROBE20_TYPE != 1)? {LC_PROBE20_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE21_IS_DATA = ((LC_NUM_OF_PROBES > 21 ) && (LC_PROBE21_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE21_MU_CNT-1 : 0] LC_PROBE21_IS_TRIG =(LC_PROBE21_TYPE != 1)? {LC_PROBE21_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE22_IS_DATA = ((LC_NUM_OF_PROBES > 22 ) && (LC_PROBE22_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE22_MU_CNT-1 : 0] LC_PROBE22_IS_TRIG =(LC_PROBE22_TYPE != 1)? {LC_PROBE22_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE23_IS_DATA = ((LC_NUM_OF_PROBES > 23 ) && (LC_PROBE23_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE23_MU_CNT-1 : 0] LC_PROBE23_IS_TRIG =(LC_PROBE23_TYPE != 1)? {LC_PROBE23_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE24_IS_DATA = ((LC_NUM_OF_PROBES > 24 ) && (LC_PROBE24_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE24_MU_CNT-1 : 0] LC_PROBE24_IS_TRIG =(LC_PROBE24_TYPE != 1)? {LC_PROBE24_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE25_IS_DATA = ((LC_NUM_OF_PROBES > 25 ) && (LC_PROBE25_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE25_MU_CNT-1 : 0] LC_PROBE25_IS_TRIG =(LC_PROBE25_TYPE != 1)? {LC_PROBE25_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE26_IS_DATA = ((LC_NUM_OF_PROBES > 26 ) && (LC_PROBE26_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE26_MU_CNT-1 : 0] LC_PROBE26_IS_TRIG =(LC_PROBE26_TYPE != 1)? {LC_PROBE26_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE27_IS_DATA = ((LC_NUM_OF_PROBES > 27 ) && (LC_PROBE27_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE27_MU_CNT-1 : 0] LC_PROBE27_IS_TRIG =(LC_PROBE27_TYPE != 1)? {LC_PROBE27_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE28_IS_DATA = ((LC_NUM_OF_PROBES > 28 ) && (LC_PROBE28_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE28_MU_CNT-1 : 0] LC_PROBE28_IS_TRIG =(LC_PROBE28_TYPE != 1)? {LC_PROBE28_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE29_IS_DATA = ((LC_NUM_OF_PROBES > 29 ) && (LC_PROBE29_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE29_MU_CNT-1 : 0] LC_PROBE29_IS_TRIG =(LC_PROBE29_TYPE != 1)? {LC_PROBE29_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE30_IS_DATA = ((LC_NUM_OF_PROBES > 30 ) && (LC_PROBE30_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE30_MU_CNT-1 : 0] LC_PROBE30_IS_TRIG =(LC_PROBE30_TYPE != 1)? {LC_PROBE30_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE31_IS_DATA = ((LC_NUM_OF_PROBES > 31 ) && (LC_PROBE31_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE31_MU_CNT-1 : 0] LC_PROBE31_IS_TRIG =(LC_PROBE31_TYPE != 1)? {LC_PROBE31_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE32_IS_DATA = ((LC_NUM_OF_PROBES > 32 ) && (LC_PROBE32_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE32_MU_CNT-1 : 0] LC_PROBE32_IS_TRIG =(LC_PROBE32_TYPE != 1)? {LC_PROBE32_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE33_IS_DATA = ((LC_NUM_OF_PROBES > 33 ) && (LC_PROBE33_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE33_MU_CNT-1 : 0] LC_PROBE33_IS_TRIG =(LC_PROBE33_TYPE != 1)? {LC_PROBE33_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE34_IS_DATA = ((LC_NUM_OF_PROBES > 34 ) && (LC_PROBE34_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE34_MU_CNT-1 : 0] LC_PROBE34_IS_TRIG =(LC_PROBE34_TYPE != 1)? {LC_PROBE34_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE35_IS_DATA = ((LC_NUM_OF_PROBES > 35 ) && (LC_PROBE35_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE35_MU_CNT-1 : 0] LC_PROBE35_IS_TRIG =(LC_PROBE35_TYPE != 1)? {LC_PROBE35_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE36_IS_DATA = ((LC_NUM_OF_PROBES > 36 ) && (LC_PROBE36_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE36_MU_CNT-1 : 0] LC_PROBE36_IS_TRIG =(LC_PROBE36_TYPE != 1)? {LC_PROBE36_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE37_IS_DATA = ((LC_NUM_OF_PROBES > 37 ) && (LC_PROBE37_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE37_MU_CNT-1 : 0] LC_PROBE37_IS_TRIG =(LC_PROBE37_TYPE != 1)? {LC_PROBE37_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE38_IS_DATA = ((LC_NUM_OF_PROBES > 38 ) && (LC_PROBE38_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE38_MU_CNT-1 : 0] LC_PROBE38_IS_TRIG =(LC_PROBE38_TYPE != 1)? {LC_PROBE38_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE39_IS_DATA = ((LC_NUM_OF_PROBES > 39 ) && (LC_PROBE39_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE39_MU_CNT-1 : 0] LC_PROBE39_IS_TRIG =(LC_PROBE39_TYPE != 1)? {LC_PROBE39_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE40_IS_DATA = ((LC_NUM_OF_PROBES > 40 ) && (LC_PROBE40_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE40_MU_CNT-1 : 0] LC_PROBE40_IS_TRIG =(LC_PROBE40_TYPE != 1)? {LC_PROBE40_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE41_IS_DATA = ((LC_NUM_OF_PROBES > 41 ) && (LC_PROBE41_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE41_MU_CNT-1 : 0] LC_PROBE41_IS_TRIG =(LC_PROBE41_TYPE != 1)? {LC_PROBE41_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE42_IS_DATA = ((LC_NUM_OF_PROBES > 42 ) && (LC_PROBE42_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE42_MU_CNT-1 : 0] LC_PROBE42_IS_TRIG =(LC_PROBE42_TYPE != 1)? {LC_PROBE42_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE43_IS_DATA = ((LC_NUM_OF_PROBES > 43 ) && (LC_PROBE43_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE43_MU_CNT-1 : 0] LC_PROBE43_IS_TRIG =(LC_PROBE43_TYPE != 1)? {LC_PROBE43_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE44_IS_DATA = ((LC_NUM_OF_PROBES > 44 ) && (LC_PROBE44_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE44_MU_CNT-1 : 0] LC_PROBE44_IS_TRIG =(LC_PROBE44_TYPE != 1)? {LC_PROBE44_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE45_IS_DATA = ((LC_NUM_OF_PROBES > 45 ) && (LC_PROBE45_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE45_MU_CNT-1 : 0] LC_PROBE45_IS_TRIG =(LC_PROBE45_TYPE != 1)? {LC_PROBE45_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE46_IS_DATA = ((LC_NUM_OF_PROBES > 46 ) && (LC_PROBE46_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE46_MU_CNT-1 : 0] LC_PROBE46_IS_TRIG =(LC_PROBE46_TYPE != 1)? {LC_PROBE46_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE47_IS_DATA = ((LC_NUM_OF_PROBES > 47 ) && (LC_PROBE47_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE47_MU_CNT-1 : 0] LC_PROBE47_IS_TRIG =(LC_PROBE47_TYPE != 1)? {LC_PROBE47_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE48_IS_DATA = ((LC_NUM_OF_PROBES > 48 ) && (LC_PROBE48_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE48_MU_CNT-1 : 0] LC_PROBE48_IS_TRIG =(LC_PROBE48_TYPE != 1)? {LC_PROBE48_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE49_IS_DATA = ((LC_NUM_OF_PROBES > 49 ) && (LC_PROBE49_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE49_MU_CNT-1 : 0] LC_PROBE49_IS_TRIG =(LC_PROBE49_TYPE != 1)? {LC_PROBE49_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE50_IS_DATA = ((LC_NUM_OF_PROBES > 50 ) && (LC_PROBE50_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE50_MU_CNT-1 : 0] LC_PROBE50_IS_TRIG =(LC_PROBE50_TYPE != 1)? {LC_PROBE50_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE51_IS_DATA = ((LC_NUM_OF_PROBES > 51 ) && (LC_PROBE51_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE51_MU_CNT-1 : 0] LC_PROBE51_IS_TRIG =(LC_PROBE51_TYPE != 1)? {LC_PROBE51_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE52_IS_DATA = ((LC_NUM_OF_PROBES > 52 ) && (LC_PROBE52_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE52_MU_CNT-1 : 0] LC_PROBE52_IS_TRIG =(LC_PROBE52_TYPE != 1)? {LC_PROBE52_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE53_IS_DATA = ((LC_NUM_OF_PROBES > 53 ) && (LC_PROBE53_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE53_MU_CNT-1 : 0] LC_PROBE53_IS_TRIG =(LC_PROBE53_TYPE != 1)? {LC_PROBE53_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE54_IS_DATA = ((LC_NUM_OF_PROBES > 54 ) && (LC_PROBE54_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE54_MU_CNT-1 : 0] LC_PROBE54_IS_TRIG =(LC_PROBE54_TYPE != 1)? {LC_PROBE54_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE55_IS_DATA = ((LC_NUM_OF_PROBES > 55 ) && (LC_PROBE55_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE55_MU_CNT-1 : 0] LC_PROBE55_IS_TRIG =(LC_PROBE55_TYPE != 1)? {LC_PROBE55_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE56_IS_DATA = ((LC_NUM_OF_PROBES > 56 ) && (LC_PROBE56_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE56_MU_CNT-1 : 0] LC_PROBE56_IS_TRIG =(LC_PROBE56_TYPE != 1)? {LC_PROBE56_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE57_IS_DATA = ((LC_NUM_OF_PROBES > 57 ) && (LC_PROBE57_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE57_MU_CNT-1 : 0] LC_PROBE57_IS_TRIG =(LC_PROBE57_TYPE != 1)? {LC_PROBE57_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE58_IS_DATA = ((LC_NUM_OF_PROBES > 58 ) && (LC_PROBE58_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE58_MU_CNT-1 : 0] LC_PROBE58_IS_TRIG =(LC_PROBE58_TYPE != 1)? {LC_PROBE58_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE59_IS_DATA = ((LC_NUM_OF_PROBES > 59 ) && (LC_PROBE59_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE59_MU_CNT-1 : 0] LC_PROBE59_IS_TRIG =(LC_PROBE59_TYPE != 1)? {LC_PROBE59_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE60_IS_DATA = ((LC_NUM_OF_PROBES > 60 ) && (LC_PROBE60_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE60_MU_CNT-1 : 0] LC_PROBE60_IS_TRIG =(LC_PROBE60_TYPE != 1)? {LC_PROBE60_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE61_IS_DATA = ((LC_NUM_OF_PROBES > 61 ) && (LC_PROBE61_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE61_MU_CNT-1 : 0] LC_PROBE61_IS_TRIG =(LC_PROBE61_TYPE != 1)? {LC_PROBE61_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE62_IS_DATA = ((LC_NUM_OF_PROBES > 62 ) && (LC_PROBE62_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE62_MU_CNT-1 : 0] LC_PROBE62_IS_TRIG =(LC_PROBE62_TYPE != 1)? {LC_PROBE62_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE63_IS_DATA = ((LC_NUM_OF_PROBES > 63 ) && (LC_PROBE63_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE63_MU_CNT-1 : 0] LC_PROBE63_IS_TRIG =(LC_PROBE63_TYPE != 1)? {LC_PROBE63_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE64_IS_DATA = ((LC_NUM_OF_PROBES > 64 ) && (LC_PROBE64_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE64_MU_CNT-1 : 0] LC_PROBE64_IS_TRIG =(LC_PROBE64_TYPE != 1)? {LC_PROBE64_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE65_IS_DATA = ((LC_NUM_OF_PROBES > 65 ) && (LC_PROBE65_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE65_MU_CNT-1 : 0] LC_PROBE65_IS_TRIG =(LC_PROBE65_TYPE != 1)? {LC_PROBE65_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE66_IS_DATA = ((LC_NUM_OF_PROBES > 66 ) && (LC_PROBE66_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE66_MU_CNT-1 : 0] LC_PROBE66_IS_TRIG =(LC_PROBE66_TYPE != 1)? {LC_PROBE66_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE67_IS_DATA = ((LC_NUM_OF_PROBES > 67 ) && (LC_PROBE67_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE67_MU_CNT-1 : 0] LC_PROBE67_IS_TRIG =(LC_PROBE67_TYPE != 1)? {LC_PROBE67_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE68_IS_DATA = ((LC_NUM_OF_PROBES > 68 ) && (LC_PROBE68_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE68_MU_CNT-1 : 0] LC_PROBE68_IS_TRIG =(LC_PROBE68_TYPE != 1)? {LC_PROBE68_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE69_IS_DATA = ((LC_NUM_OF_PROBES > 69 ) && (LC_PROBE69_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE69_MU_CNT-1 : 0] LC_PROBE69_IS_TRIG =(LC_PROBE69_TYPE != 1)? {LC_PROBE69_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE70_IS_DATA = ((LC_NUM_OF_PROBES > 70 ) && (LC_PROBE70_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE70_MU_CNT-1 : 0] LC_PROBE70_IS_TRIG =(LC_PROBE70_TYPE != 1)? {LC_PROBE70_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE71_IS_DATA = ((LC_NUM_OF_PROBES > 71 ) && (LC_PROBE71_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE71_MU_CNT-1 : 0] LC_PROBE71_IS_TRIG =(LC_PROBE71_TYPE != 1)? {LC_PROBE71_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE72_IS_DATA = ((LC_NUM_OF_PROBES > 72 ) && (LC_PROBE72_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE72_MU_CNT-1 : 0] LC_PROBE72_IS_TRIG =(LC_PROBE72_TYPE != 1)? {LC_PROBE72_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE73_IS_DATA = ((LC_NUM_OF_PROBES > 73 ) && (LC_PROBE73_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE73_MU_CNT-1 : 0] LC_PROBE73_IS_TRIG =(LC_PROBE73_TYPE != 1)? {LC_PROBE73_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE74_IS_DATA = ((LC_NUM_OF_PROBES > 74 ) && (LC_PROBE74_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE74_MU_CNT-1 : 0] LC_PROBE74_IS_TRIG =(LC_PROBE74_TYPE != 1)? {LC_PROBE74_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE75_IS_DATA = ((LC_NUM_OF_PROBES > 75 ) && (LC_PROBE75_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE75_MU_CNT-1 : 0] LC_PROBE75_IS_TRIG =(LC_PROBE75_TYPE != 1)? {LC_PROBE75_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE76_IS_DATA = ((LC_NUM_OF_PROBES > 76 ) && (LC_PROBE76_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE76_MU_CNT-1 : 0] LC_PROBE76_IS_TRIG =(LC_PROBE76_TYPE != 1)? {LC_PROBE76_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE77_IS_DATA = ((LC_NUM_OF_PROBES > 77 ) && (LC_PROBE77_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE77_MU_CNT-1 : 0] LC_PROBE77_IS_TRIG =(LC_PROBE77_TYPE != 1)? {LC_PROBE77_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE78_IS_DATA = ((LC_NUM_OF_PROBES > 78 ) && (LC_PROBE78_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE78_MU_CNT-1 : 0] LC_PROBE78_IS_TRIG =(LC_PROBE78_TYPE != 1)? {LC_PROBE78_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE79_IS_DATA = ((LC_NUM_OF_PROBES > 79 ) && (LC_PROBE79_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE79_MU_CNT-1 : 0] LC_PROBE79_IS_TRIG =(LC_PROBE79_TYPE != 1)? {LC_PROBE79_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE80_IS_DATA = ((LC_NUM_OF_PROBES > 80 ) && (LC_PROBE80_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE80_MU_CNT-1 : 0] LC_PROBE80_IS_TRIG =(LC_PROBE80_TYPE != 1)? {LC_PROBE80_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE81_IS_DATA = ((LC_NUM_OF_PROBES > 81 ) && (LC_PROBE81_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE81_MU_CNT-1 : 0] LC_PROBE81_IS_TRIG =(LC_PROBE81_TYPE != 1)? {LC_PROBE81_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE82_IS_DATA = ((LC_NUM_OF_PROBES > 82 ) && (LC_PROBE82_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE82_MU_CNT-1 : 0] LC_PROBE82_IS_TRIG =(LC_PROBE82_TYPE != 1)? {LC_PROBE82_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE83_IS_DATA = ((LC_NUM_OF_PROBES > 83 ) && (LC_PROBE83_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE83_MU_CNT-1 : 0] LC_PROBE83_IS_TRIG =(LC_PROBE83_TYPE != 1)? {LC_PROBE83_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE84_IS_DATA = ((LC_NUM_OF_PROBES > 84 ) && (LC_PROBE84_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE84_MU_CNT-1 : 0] LC_PROBE84_IS_TRIG =(LC_PROBE84_TYPE != 1)? {LC_PROBE84_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE85_IS_DATA = ((LC_NUM_OF_PROBES > 85 ) && (LC_PROBE85_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE85_MU_CNT-1 : 0] LC_PROBE85_IS_TRIG =(LC_PROBE85_TYPE != 1)? {LC_PROBE85_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE86_IS_DATA = ((LC_NUM_OF_PROBES > 86 ) && (LC_PROBE86_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE86_MU_CNT-1 : 0] LC_PROBE86_IS_TRIG =(LC_PROBE86_TYPE != 1)? {LC_PROBE86_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE87_IS_DATA = ((LC_NUM_OF_PROBES > 87 ) && (LC_PROBE87_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE87_MU_CNT-1 : 0] LC_PROBE87_IS_TRIG =(LC_PROBE87_TYPE != 1)? {LC_PROBE87_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE88_IS_DATA = ((LC_NUM_OF_PROBES > 88 ) && (LC_PROBE88_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE88_MU_CNT-1 : 0] LC_PROBE88_IS_TRIG =(LC_PROBE88_TYPE != 1)? {LC_PROBE88_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE89_IS_DATA = ((LC_NUM_OF_PROBES > 89 ) && (LC_PROBE89_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE89_MU_CNT-1 : 0] LC_PROBE89_IS_TRIG =(LC_PROBE89_TYPE != 1)? {LC_PROBE89_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE90_IS_DATA = ((LC_NUM_OF_PROBES > 90 ) && (LC_PROBE90_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE90_MU_CNT-1 : 0] LC_PROBE90_IS_TRIG =(LC_PROBE90_TYPE != 1)? {LC_PROBE90_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE91_IS_DATA = ((LC_NUM_OF_PROBES > 91 ) && (LC_PROBE91_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE91_MU_CNT-1 : 0] LC_PROBE91_IS_TRIG =(LC_PROBE91_TYPE != 1)? {LC_PROBE91_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE92_IS_DATA = ((LC_NUM_OF_PROBES > 92 ) && (LC_PROBE92_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE92_MU_CNT-1 : 0] LC_PROBE92_IS_TRIG =(LC_PROBE92_TYPE != 1)? {LC_PROBE92_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE93_IS_DATA = ((LC_NUM_OF_PROBES > 93 ) && (LC_PROBE93_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE93_MU_CNT-1 : 0] LC_PROBE93_IS_TRIG =(LC_PROBE93_TYPE != 1)? {LC_PROBE93_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE94_IS_DATA = ((LC_NUM_OF_PROBES > 94 ) && (LC_PROBE94_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE94_MU_CNT-1 : 0] LC_PROBE94_IS_TRIG =(LC_PROBE94_TYPE != 1)? {LC_PROBE94_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE95_IS_DATA = ((LC_NUM_OF_PROBES > 95 ) && (LC_PROBE95_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE95_MU_CNT-1 : 0] LC_PROBE95_IS_TRIG =(LC_PROBE95_TYPE != 1)? {LC_PROBE95_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE96_IS_DATA = ((LC_NUM_OF_PROBES > 96 ) && (LC_PROBE96_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE96_MU_CNT-1 : 0] LC_PROBE96_IS_TRIG =(LC_PROBE96_TYPE != 1)? {LC_PROBE96_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE97_IS_DATA = ((LC_NUM_OF_PROBES > 97 ) && (LC_PROBE97_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE97_MU_CNT-1 : 0] LC_PROBE97_IS_TRIG =(LC_PROBE97_TYPE != 1)? {LC_PROBE97_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE98_IS_DATA = ((LC_NUM_OF_PROBES > 98 ) && (LC_PROBE98_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE98_MU_CNT-1 : 0] LC_PROBE98_IS_TRIG =(LC_PROBE98_TYPE != 1)? {LC_PROBE98_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE99_IS_DATA = ((LC_NUM_OF_PROBES > 99 ) && (LC_PROBE99_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE99_MU_CNT-1 : 0] LC_PROBE99_IS_TRIG =(LC_PROBE99_TYPE != 1)? {LC_PROBE99_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE100_IS_DATA = ((LC_NUM_OF_PROBES > 100 ) && (LC_PROBE100_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE100_MU_CNT-1 : 0] LC_PROBE100_IS_TRIG =(LC_PROBE100_TYPE != 1)? {LC_PROBE100_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE101_IS_DATA = ((LC_NUM_OF_PROBES > 101 ) && (LC_PROBE101_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE101_MU_CNT-1 : 0] LC_PROBE101_IS_TRIG =(LC_PROBE101_TYPE != 1)? {LC_PROBE101_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE102_IS_DATA = ((LC_NUM_OF_PROBES > 102 ) && (LC_PROBE102_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE102_MU_CNT-1 : 0] LC_PROBE102_IS_TRIG =(LC_PROBE102_TYPE != 1)? {LC_PROBE102_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE103_IS_DATA = ((LC_NUM_OF_PROBES > 103 ) && (LC_PROBE103_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE103_MU_CNT-1 : 0] LC_PROBE103_IS_TRIG =(LC_PROBE103_TYPE != 1)? {LC_PROBE103_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE104_IS_DATA = ((LC_NUM_OF_PROBES > 104 ) && (LC_PROBE104_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE104_MU_CNT-1 : 0] LC_PROBE104_IS_TRIG =(LC_PROBE104_TYPE != 1)? {LC_PROBE104_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE105_IS_DATA = ((LC_NUM_OF_PROBES > 105 ) && (LC_PROBE105_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE105_MU_CNT-1 : 0] LC_PROBE105_IS_TRIG =(LC_PROBE105_TYPE != 1)? {LC_PROBE105_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE106_IS_DATA = ((LC_NUM_OF_PROBES > 106 ) && (LC_PROBE106_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE106_MU_CNT-1 : 0] LC_PROBE106_IS_TRIG =(LC_PROBE106_TYPE != 1)? {LC_PROBE106_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE107_IS_DATA = ((LC_NUM_OF_PROBES > 107 ) && (LC_PROBE107_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE107_MU_CNT-1 : 0] LC_PROBE107_IS_TRIG =(LC_PROBE107_TYPE != 1)? {LC_PROBE107_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE108_IS_DATA = ((LC_NUM_OF_PROBES > 108 ) && (LC_PROBE108_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE108_MU_CNT-1 : 0] LC_PROBE108_IS_TRIG =(LC_PROBE108_TYPE != 1)? {LC_PROBE108_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE109_IS_DATA = ((LC_NUM_OF_PROBES > 109 ) && (LC_PROBE109_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE109_MU_CNT-1 : 0] LC_PROBE109_IS_TRIG =(LC_PROBE109_TYPE != 1)? {LC_PROBE109_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE110_IS_DATA = ((LC_NUM_OF_PROBES > 110 ) && (LC_PROBE110_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE110_MU_CNT-1 : 0] LC_PROBE110_IS_TRIG =(LC_PROBE110_TYPE != 1)? {LC_PROBE110_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE111_IS_DATA = ((LC_NUM_OF_PROBES > 111 ) && (LC_PROBE111_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE111_MU_CNT-1 : 0] LC_PROBE111_IS_TRIG =(LC_PROBE111_TYPE != 1)? {LC_PROBE111_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE112_IS_DATA = ((LC_NUM_OF_PROBES > 112 ) && (LC_PROBE112_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE112_MU_CNT-1 : 0] LC_PROBE112_IS_TRIG =(LC_PROBE112_TYPE != 1)? {LC_PROBE112_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE113_IS_DATA = ((LC_NUM_OF_PROBES > 113 ) && (LC_PROBE113_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE113_MU_CNT-1 : 0] LC_PROBE113_IS_TRIG =(LC_PROBE113_TYPE != 1)? {LC_PROBE113_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE114_IS_DATA = ((LC_NUM_OF_PROBES > 114 ) && (LC_PROBE114_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE114_MU_CNT-1 : 0] LC_PROBE114_IS_TRIG =(LC_PROBE114_TYPE != 1)? {LC_PROBE114_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE115_IS_DATA = ((LC_NUM_OF_PROBES > 115 ) && (LC_PROBE115_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE115_MU_CNT-1 : 0] LC_PROBE115_IS_TRIG =(LC_PROBE115_TYPE != 1)? {LC_PROBE115_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE116_IS_DATA = ((LC_NUM_OF_PROBES > 116 ) && (LC_PROBE116_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE116_MU_CNT-1 : 0] LC_PROBE116_IS_TRIG =(LC_PROBE116_TYPE != 1)? {LC_PROBE116_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE117_IS_DATA = ((LC_NUM_OF_PROBES > 117 ) && (LC_PROBE117_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE117_MU_CNT-1 : 0] LC_PROBE117_IS_TRIG =(LC_PROBE117_TYPE != 1)? {LC_PROBE117_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE118_IS_DATA = ((LC_NUM_OF_PROBES > 118 ) && (LC_PROBE118_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE118_MU_CNT-1 : 0] LC_PROBE118_IS_TRIG =(LC_PROBE118_TYPE != 1)? {LC_PROBE118_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE119_IS_DATA = ((LC_NUM_OF_PROBES > 119 ) && (LC_PROBE119_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE119_MU_CNT-1 : 0] LC_PROBE119_IS_TRIG =(LC_PROBE119_TYPE != 1)? {LC_PROBE119_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE120_IS_DATA = ((LC_NUM_OF_PROBES > 120 ) && (LC_PROBE120_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE120_MU_CNT-1 : 0] LC_PROBE120_IS_TRIG =(LC_PROBE120_TYPE != 1)? {LC_PROBE120_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE121_IS_DATA = ((LC_NUM_OF_PROBES > 121 ) && (LC_PROBE121_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE121_MU_CNT-1 : 0] LC_PROBE121_IS_TRIG =(LC_PROBE121_TYPE != 1)? {LC_PROBE121_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE122_IS_DATA = ((LC_NUM_OF_PROBES > 122 ) && (LC_PROBE122_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE122_MU_CNT-1 : 0] LC_PROBE122_IS_TRIG =(LC_PROBE122_TYPE != 1)? {LC_PROBE122_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE123_IS_DATA = ((LC_NUM_OF_PROBES > 123 ) && (LC_PROBE123_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE123_MU_CNT-1 : 0] LC_PROBE123_IS_TRIG =(LC_PROBE123_TYPE != 1)? {LC_PROBE123_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE124_IS_DATA = ((LC_NUM_OF_PROBES > 124 ) && (LC_PROBE124_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE124_MU_CNT-1 : 0] LC_PROBE124_IS_TRIG =(LC_PROBE124_TYPE != 1)? {LC_PROBE124_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE125_IS_DATA = ((LC_NUM_OF_PROBES > 125 ) && (LC_PROBE125_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE125_MU_CNT-1 : 0] LC_PROBE125_IS_TRIG =(LC_PROBE125_TYPE != 1)? {LC_PROBE125_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE126_IS_DATA = ((LC_NUM_OF_PROBES > 126 ) && (LC_PROBE126_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE126_MU_CNT-1 : 0] LC_PROBE126_IS_TRIG =(LC_PROBE126_TYPE != 1)? {LC_PROBE126_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE127_IS_DATA = ((LC_NUM_OF_PROBES > 127 ) && (LC_PROBE127_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE127_MU_CNT-1 : 0] LC_PROBE127_IS_TRIG =(LC_PROBE127_TYPE != 1)? {LC_PROBE127_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE128_IS_DATA = ((LC_NUM_OF_PROBES > 128 ) && (LC_PROBE128_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE128_MU_CNT-1 : 0] LC_PROBE128_IS_TRIG =(LC_PROBE128_TYPE != 1)? {LC_PROBE128_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE129_IS_DATA = ((LC_NUM_OF_PROBES > 129 ) && (LC_PROBE129_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE129_MU_CNT-1 : 0] LC_PROBE129_IS_TRIG =(LC_PROBE129_TYPE != 1)? {LC_PROBE129_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE130_IS_DATA = ((LC_NUM_OF_PROBES > 130 ) && (LC_PROBE130_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE130_MU_CNT-1 : 0] LC_PROBE130_IS_TRIG =(LC_PROBE130_TYPE != 1)? {LC_PROBE130_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE131_IS_DATA = ((LC_NUM_OF_PROBES > 131 ) && (LC_PROBE131_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE131_MU_CNT-1 : 0] LC_PROBE131_IS_TRIG =(LC_PROBE131_TYPE != 1)? {LC_PROBE131_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE132_IS_DATA = ((LC_NUM_OF_PROBES > 132 ) && (LC_PROBE132_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE132_MU_CNT-1 : 0] LC_PROBE132_IS_TRIG =(LC_PROBE132_TYPE != 1)? {LC_PROBE132_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE133_IS_DATA = ((LC_NUM_OF_PROBES > 133 ) && (LC_PROBE133_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE133_MU_CNT-1 : 0] LC_PROBE133_IS_TRIG =(LC_PROBE133_TYPE != 1)? {LC_PROBE133_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE134_IS_DATA = ((LC_NUM_OF_PROBES > 134 ) && (LC_PROBE134_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE134_MU_CNT-1 : 0] LC_PROBE134_IS_TRIG =(LC_PROBE134_TYPE != 1)? {LC_PROBE134_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE135_IS_DATA = ((LC_NUM_OF_PROBES > 135 ) && (LC_PROBE135_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE135_MU_CNT-1 : 0] LC_PROBE135_IS_TRIG =(LC_PROBE135_TYPE != 1)? {LC_PROBE135_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE136_IS_DATA = ((LC_NUM_OF_PROBES > 136 ) && (LC_PROBE136_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE136_MU_CNT-1 : 0] LC_PROBE136_IS_TRIG =(LC_PROBE136_TYPE != 1)? {LC_PROBE136_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE137_IS_DATA = ((LC_NUM_OF_PROBES > 137 ) && (LC_PROBE137_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE137_MU_CNT-1 : 0] LC_PROBE137_IS_TRIG =(LC_PROBE137_TYPE != 1)? {LC_PROBE137_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE138_IS_DATA = ((LC_NUM_OF_PROBES > 138 ) && (LC_PROBE138_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE138_MU_CNT-1 : 0] LC_PROBE138_IS_TRIG =(LC_PROBE138_TYPE != 1)? {LC_PROBE138_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE139_IS_DATA = ((LC_NUM_OF_PROBES > 139 ) && (LC_PROBE139_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE139_MU_CNT-1 : 0] LC_PROBE139_IS_TRIG =(LC_PROBE139_TYPE != 1)? {LC_PROBE139_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE140_IS_DATA = ((LC_NUM_OF_PROBES > 140 ) && (LC_PROBE140_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE140_MU_CNT-1 : 0] LC_PROBE140_IS_TRIG =(LC_PROBE140_TYPE != 1)? {LC_PROBE140_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE141_IS_DATA = ((LC_NUM_OF_PROBES > 141 ) && (LC_PROBE141_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE141_MU_CNT-1 : 0] LC_PROBE141_IS_TRIG =(LC_PROBE141_TYPE != 1)? {LC_PROBE141_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE142_IS_DATA = ((LC_NUM_OF_PROBES > 142 ) && (LC_PROBE142_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE142_MU_CNT-1 : 0] LC_PROBE142_IS_TRIG =(LC_PROBE142_TYPE != 1)? {LC_PROBE142_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE143_IS_DATA = ((LC_NUM_OF_PROBES > 143 ) && (LC_PROBE143_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE143_MU_CNT-1 : 0] LC_PROBE143_IS_TRIG =(LC_PROBE143_TYPE != 1)? {LC_PROBE143_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE144_IS_DATA = ((LC_NUM_OF_PROBES > 144 ) && (LC_PROBE144_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE144_MU_CNT-1 : 0] LC_PROBE144_IS_TRIG =(LC_PROBE144_TYPE != 1)? {LC_PROBE144_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE145_IS_DATA = ((LC_NUM_OF_PROBES > 145 ) && (LC_PROBE145_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE145_MU_CNT-1 : 0] LC_PROBE145_IS_TRIG =(LC_PROBE145_TYPE != 1)? {LC_PROBE145_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE146_IS_DATA = ((LC_NUM_OF_PROBES > 146 ) && (LC_PROBE146_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE146_MU_CNT-1 : 0] LC_PROBE146_IS_TRIG =(LC_PROBE146_TYPE != 1)? {LC_PROBE146_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE147_IS_DATA = ((LC_NUM_OF_PROBES > 147 ) && (LC_PROBE147_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE147_MU_CNT-1 : 0] LC_PROBE147_IS_TRIG =(LC_PROBE147_TYPE != 1)? {LC_PROBE147_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE148_IS_DATA = ((LC_NUM_OF_PROBES > 148 ) && (LC_PROBE148_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE148_MU_CNT-1 : 0] LC_PROBE148_IS_TRIG =(LC_PROBE148_TYPE != 1)? {LC_PROBE148_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE149_IS_DATA = ((LC_NUM_OF_PROBES > 149 ) && (LC_PROBE149_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE149_MU_CNT-1 : 0] LC_PROBE149_IS_TRIG =(LC_PROBE149_TYPE != 1)? {LC_PROBE149_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE150_IS_DATA = ((LC_NUM_OF_PROBES > 150 ) && (LC_PROBE150_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE150_MU_CNT-1 : 0] LC_PROBE150_IS_TRIG =(LC_PROBE150_TYPE != 1)? {LC_PROBE150_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE151_IS_DATA = ((LC_NUM_OF_PROBES > 151 ) && (LC_PROBE151_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE151_MU_CNT-1 : 0] LC_PROBE151_IS_TRIG =(LC_PROBE151_TYPE != 1)? {LC_PROBE151_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE152_IS_DATA = ((LC_NUM_OF_PROBES > 152 ) && (LC_PROBE152_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE152_MU_CNT-1 : 0] LC_PROBE152_IS_TRIG =(LC_PROBE152_TYPE != 1)? {LC_PROBE152_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE153_IS_DATA = ((LC_NUM_OF_PROBES > 153 ) && (LC_PROBE153_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE153_MU_CNT-1 : 0] LC_PROBE153_IS_TRIG =(LC_PROBE153_TYPE != 1)? {LC_PROBE153_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE154_IS_DATA = ((LC_NUM_OF_PROBES > 154 ) && (LC_PROBE154_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE154_MU_CNT-1 : 0] LC_PROBE154_IS_TRIG =(LC_PROBE154_TYPE != 1)? {LC_PROBE154_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE155_IS_DATA = ((LC_NUM_OF_PROBES > 155 ) && (LC_PROBE155_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE155_MU_CNT-1 : 0] LC_PROBE155_IS_TRIG =(LC_PROBE155_TYPE != 1)? {LC_PROBE155_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE156_IS_DATA = ((LC_NUM_OF_PROBES > 156 ) && (LC_PROBE156_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE156_MU_CNT-1 : 0] LC_PROBE156_IS_TRIG =(LC_PROBE156_TYPE != 1)? {LC_PROBE156_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE157_IS_DATA = ((LC_NUM_OF_PROBES > 157 ) && (LC_PROBE157_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE157_MU_CNT-1 : 0] LC_PROBE157_IS_TRIG =(LC_PROBE157_TYPE != 1)? {LC_PROBE157_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE158_IS_DATA = ((LC_NUM_OF_PROBES > 158 ) && (LC_PROBE158_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE158_MU_CNT-1 : 0] LC_PROBE158_IS_TRIG =(LC_PROBE158_TYPE != 1)? {LC_PROBE158_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE159_IS_DATA = ((LC_NUM_OF_PROBES > 159 ) && (LC_PROBE159_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE159_MU_CNT-1 : 0] LC_PROBE159_IS_TRIG =(LC_PROBE159_TYPE != 1)? {LC_PROBE159_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE160_IS_DATA = ((LC_NUM_OF_PROBES > 160 ) && (LC_PROBE160_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE160_MU_CNT-1 : 0] LC_PROBE160_IS_TRIG =(LC_PROBE160_TYPE != 1)? {LC_PROBE160_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE161_IS_DATA = ((LC_NUM_OF_PROBES > 161 ) && (LC_PROBE161_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE161_MU_CNT-1 : 0] LC_PROBE161_IS_TRIG =(LC_PROBE161_TYPE != 1)? {LC_PROBE161_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE162_IS_DATA = ((LC_NUM_OF_PROBES > 162 ) && (LC_PROBE162_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE162_MU_CNT-1 : 0] LC_PROBE162_IS_TRIG =(LC_PROBE162_TYPE != 1)? {LC_PROBE162_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE163_IS_DATA = ((LC_NUM_OF_PROBES > 163 ) && (LC_PROBE163_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE163_MU_CNT-1 : 0] LC_PROBE163_IS_TRIG =(LC_PROBE163_TYPE != 1)? {LC_PROBE163_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE164_IS_DATA = ((LC_NUM_OF_PROBES > 164 ) && (LC_PROBE164_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE164_MU_CNT-1 : 0] LC_PROBE164_IS_TRIG =(LC_PROBE164_TYPE != 1)? {LC_PROBE164_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE165_IS_DATA = ((LC_NUM_OF_PROBES > 165 ) && (LC_PROBE165_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE165_MU_CNT-1 : 0] LC_PROBE165_IS_TRIG =(LC_PROBE165_TYPE != 1)? {LC_PROBE165_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE166_IS_DATA = ((LC_NUM_OF_PROBES > 166 ) && (LC_PROBE166_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE166_MU_CNT-1 : 0] LC_PROBE166_IS_TRIG =(LC_PROBE166_TYPE != 1)? {LC_PROBE166_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE167_IS_DATA = ((LC_NUM_OF_PROBES > 167 ) && (LC_PROBE167_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE167_MU_CNT-1 : 0] LC_PROBE167_IS_TRIG =(LC_PROBE167_TYPE != 1)? {LC_PROBE167_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE168_IS_DATA = ((LC_NUM_OF_PROBES > 168 ) && (LC_PROBE168_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE168_MU_CNT-1 : 0] LC_PROBE168_IS_TRIG =(LC_PROBE168_TYPE != 1)? {LC_PROBE168_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE169_IS_DATA = ((LC_NUM_OF_PROBES > 169 ) && (LC_PROBE169_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE169_MU_CNT-1 : 0] LC_PROBE169_IS_TRIG =(LC_PROBE169_TYPE != 1)? {LC_PROBE169_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE170_IS_DATA = ((LC_NUM_OF_PROBES > 170 ) && (LC_PROBE170_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE170_MU_CNT-1 : 0] LC_PROBE170_IS_TRIG =(LC_PROBE170_TYPE != 1)? {LC_PROBE170_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE171_IS_DATA = ((LC_NUM_OF_PROBES > 171 ) && (LC_PROBE171_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE171_MU_CNT-1 : 0] LC_PROBE171_IS_TRIG =(LC_PROBE171_TYPE != 1)? {LC_PROBE171_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE172_IS_DATA = ((LC_NUM_OF_PROBES > 172 ) && (LC_PROBE172_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE172_MU_CNT-1 : 0] LC_PROBE172_IS_TRIG =(LC_PROBE172_TYPE != 1)? {LC_PROBE172_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE173_IS_DATA = ((LC_NUM_OF_PROBES > 173 ) && (LC_PROBE173_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE173_MU_CNT-1 : 0] LC_PROBE173_IS_TRIG =(LC_PROBE173_TYPE != 1)? {LC_PROBE173_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE174_IS_DATA = ((LC_NUM_OF_PROBES > 174 ) && (LC_PROBE174_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE174_MU_CNT-1 : 0] LC_PROBE174_IS_TRIG =(LC_PROBE174_TYPE != 1)? {LC_PROBE174_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE175_IS_DATA = ((LC_NUM_OF_PROBES > 175 ) && (LC_PROBE175_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE175_MU_CNT-1 : 0] LC_PROBE175_IS_TRIG =(LC_PROBE175_TYPE != 1)? {LC_PROBE175_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE176_IS_DATA = ((LC_NUM_OF_PROBES > 176 ) && (LC_PROBE176_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE176_MU_CNT-1 : 0] LC_PROBE176_IS_TRIG =(LC_PROBE176_TYPE != 1)? {LC_PROBE176_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE177_IS_DATA = ((LC_NUM_OF_PROBES > 177 ) && (LC_PROBE177_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE177_MU_CNT-1 : 0] LC_PROBE177_IS_TRIG =(LC_PROBE177_TYPE != 1)? {LC_PROBE177_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE178_IS_DATA = ((LC_NUM_OF_PROBES > 178 ) && (LC_PROBE178_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE178_MU_CNT-1 : 0] LC_PROBE178_IS_TRIG =(LC_PROBE178_TYPE != 1)? {LC_PROBE178_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE179_IS_DATA = ((LC_NUM_OF_PROBES > 179 ) && (LC_PROBE179_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE179_MU_CNT-1 : 0] LC_PROBE179_IS_TRIG =(LC_PROBE179_TYPE != 1)? {LC_PROBE179_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE180_IS_DATA = ((LC_NUM_OF_PROBES > 180 ) && (LC_PROBE180_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE180_MU_CNT-1 : 0] LC_PROBE180_IS_TRIG =(LC_PROBE180_TYPE != 1)? {LC_PROBE180_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE181_IS_DATA = ((LC_NUM_OF_PROBES > 181 ) && (LC_PROBE181_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE181_MU_CNT-1 : 0] LC_PROBE181_IS_TRIG =(LC_PROBE181_TYPE != 1)? {LC_PROBE181_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE182_IS_DATA = ((LC_NUM_OF_PROBES > 182 ) && (LC_PROBE182_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE182_MU_CNT-1 : 0] LC_PROBE182_IS_TRIG =(LC_PROBE182_TYPE != 1)? {LC_PROBE182_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE183_IS_DATA = ((LC_NUM_OF_PROBES > 183 ) && (LC_PROBE183_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE183_MU_CNT-1 : 0] LC_PROBE183_IS_TRIG =(LC_PROBE183_TYPE != 1)? {LC_PROBE183_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE184_IS_DATA = ((LC_NUM_OF_PROBES > 184 ) && (LC_PROBE184_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE184_MU_CNT-1 : 0] LC_PROBE184_IS_TRIG =(LC_PROBE184_TYPE != 1)? {LC_PROBE184_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE185_IS_DATA = ((LC_NUM_OF_PROBES > 185 ) && (LC_PROBE185_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE185_MU_CNT-1 : 0] LC_PROBE185_IS_TRIG =(LC_PROBE185_TYPE != 1)? {LC_PROBE185_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE186_IS_DATA = ((LC_NUM_OF_PROBES > 186 ) && (LC_PROBE186_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE186_MU_CNT-1 : 0] LC_PROBE186_IS_TRIG =(LC_PROBE186_TYPE != 1)? {LC_PROBE186_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE187_IS_DATA = ((LC_NUM_OF_PROBES > 187 ) && (LC_PROBE187_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE187_MU_CNT-1 : 0] LC_PROBE187_IS_TRIG =(LC_PROBE187_TYPE != 1)? {LC_PROBE187_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE188_IS_DATA = ((LC_NUM_OF_PROBES > 188 ) && (LC_PROBE188_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE188_MU_CNT-1 : 0] LC_PROBE188_IS_TRIG =(LC_PROBE188_TYPE != 1)? {LC_PROBE188_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE189_IS_DATA = ((LC_NUM_OF_PROBES > 189 ) && (LC_PROBE189_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE189_MU_CNT-1 : 0] LC_PROBE189_IS_TRIG =(LC_PROBE189_TYPE != 1)? {LC_PROBE189_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE190_IS_DATA = ((LC_NUM_OF_PROBES > 190 ) && (LC_PROBE190_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE190_MU_CNT-1 : 0] LC_PROBE190_IS_TRIG =(LC_PROBE190_TYPE != 1)? {LC_PROBE190_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE191_IS_DATA = ((LC_NUM_OF_PROBES > 191 ) && (LC_PROBE191_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE191_MU_CNT-1 : 0] LC_PROBE191_IS_TRIG =(LC_PROBE191_TYPE != 1)? {LC_PROBE191_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE192_IS_DATA = ((LC_NUM_OF_PROBES > 192 ) && (LC_PROBE192_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE192_MU_CNT-1 : 0] LC_PROBE192_IS_TRIG =(LC_PROBE192_TYPE != 1)? {LC_PROBE192_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE193_IS_DATA = ((LC_NUM_OF_PROBES > 193 ) && (LC_PROBE193_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE193_MU_CNT-1 : 0] LC_PROBE193_IS_TRIG =(LC_PROBE193_TYPE != 1)? {LC_PROBE193_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE194_IS_DATA = ((LC_NUM_OF_PROBES > 194 ) && (LC_PROBE194_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE194_MU_CNT-1 : 0] LC_PROBE194_IS_TRIG =(LC_PROBE194_TYPE != 1)? {LC_PROBE194_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE195_IS_DATA = ((LC_NUM_OF_PROBES > 195 ) && (LC_PROBE195_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE195_MU_CNT-1 : 0] LC_PROBE195_IS_TRIG =(LC_PROBE195_TYPE != 1)? {LC_PROBE195_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE196_IS_DATA = ((LC_NUM_OF_PROBES > 196 ) && (LC_PROBE196_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE196_MU_CNT-1 : 0] LC_PROBE196_IS_TRIG =(LC_PROBE196_TYPE != 1)? {LC_PROBE196_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE197_IS_DATA = ((LC_NUM_OF_PROBES > 197 ) && (LC_PROBE197_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE197_MU_CNT-1 : 0] LC_PROBE197_IS_TRIG =(LC_PROBE197_TYPE != 1)? {LC_PROBE197_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE198_IS_DATA = ((LC_NUM_OF_PROBES > 198 ) && (LC_PROBE198_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE198_MU_CNT-1 : 0] LC_PROBE198_IS_TRIG =(LC_PROBE198_TYPE != 1)? {LC_PROBE198_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE199_IS_DATA = ((LC_NUM_OF_PROBES > 199 ) && (LC_PROBE199_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE199_MU_CNT-1 : 0] LC_PROBE199_IS_TRIG =(LC_PROBE199_TYPE != 1)? {LC_PROBE199_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE200_IS_DATA = ((LC_NUM_OF_PROBES > 200 ) && (LC_PROBE200_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE200_MU_CNT-1 : 0] LC_PROBE200_IS_TRIG =(LC_PROBE200_TYPE != 1)? {LC_PROBE200_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE201_IS_DATA = ((LC_NUM_OF_PROBES > 201 ) && (LC_PROBE201_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE201_MU_CNT-1 : 0] LC_PROBE201_IS_TRIG =(LC_PROBE201_TYPE != 1)? {LC_PROBE201_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE202_IS_DATA = ((LC_NUM_OF_PROBES > 202 ) && (LC_PROBE202_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE202_MU_CNT-1 : 0] LC_PROBE202_IS_TRIG =(LC_PROBE202_TYPE != 1)? {LC_PROBE202_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE203_IS_DATA = ((LC_NUM_OF_PROBES > 203 ) && (LC_PROBE203_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE203_MU_CNT-1 : 0] LC_PROBE203_IS_TRIG =(LC_PROBE203_TYPE != 1)? {LC_PROBE203_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE204_IS_DATA = ((LC_NUM_OF_PROBES > 204 ) && (LC_PROBE204_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE204_MU_CNT-1 : 0] LC_PROBE204_IS_TRIG =(LC_PROBE204_TYPE != 1)? {LC_PROBE204_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE205_IS_DATA = ((LC_NUM_OF_PROBES > 205 ) && (LC_PROBE205_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE205_MU_CNT-1 : 0] LC_PROBE205_IS_TRIG =(LC_PROBE205_TYPE != 1)? {LC_PROBE205_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE206_IS_DATA = ((LC_NUM_OF_PROBES > 206 ) && (LC_PROBE206_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE206_MU_CNT-1 : 0] LC_PROBE206_IS_TRIG =(LC_PROBE206_TYPE != 1)? {LC_PROBE206_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE207_IS_DATA = ((LC_NUM_OF_PROBES > 207 ) && (LC_PROBE207_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE207_MU_CNT-1 : 0] LC_PROBE207_IS_TRIG =(LC_PROBE207_TYPE != 1)? {LC_PROBE207_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE208_IS_DATA = ((LC_NUM_OF_PROBES > 208 ) && (LC_PROBE208_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE208_MU_CNT-1 : 0] LC_PROBE208_IS_TRIG =(LC_PROBE208_TYPE != 1)? {LC_PROBE208_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE209_IS_DATA = ((LC_NUM_OF_PROBES > 209 ) && (LC_PROBE209_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE209_MU_CNT-1 : 0] LC_PROBE209_IS_TRIG =(LC_PROBE209_TYPE != 1)? {LC_PROBE209_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE210_IS_DATA = ((LC_NUM_OF_PROBES > 210 ) && (LC_PROBE210_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE210_MU_CNT-1 : 0] LC_PROBE210_IS_TRIG =(LC_PROBE210_TYPE != 1)? {LC_PROBE210_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE211_IS_DATA = ((LC_NUM_OF_PROBES > 211 ) && (LC_PROBE211_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE211_MU_CNT-1 : 0] LC_PROBE211_IS_TRIG =(LC_PROBE211_TYPE != 1)? {LC_PROBE211_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE212_IS_DATA = ((LC_NUM_OF_PROBES > 212 ) && (LC_PROBE212_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE212_MU_CNT-1 : 0] LC_PROBE212_IS_TRIG =(LC_PROBE212_TYPE != 1)? {LC_PROBE212_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE213_IS_DATA = ((LC_NUM_OF_PROBES > 213 ) && (LC_PROBE213_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE213_MU_CNT-1 : 0] LC_PROBE213_IS_TRIG =(LC_PROBE213_TYPE != 1)? {LC_PROBE213_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE214_IS_DATA = ((LC_NUM_OF_PROBES > 214 ) && (LC_PROBE214_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE214_MU_CNT-1 : 0] LC_PROBE214_IS_TRIG =(LC_PROBE214_TYPE != 1)? {LC_PROBE214_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE215_IS_DATA = ((LC_NUM_OF_PROBES > 215 ) && (LC_PROBE215_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE215_MU_CNT-1 : 0] LC_PROBE215_IS_TRIG =(LC_PROBE215_TYPE != 1)? {LC_PROBE215_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE216_IS_DATA = ((LC_NUM_OF_PROBES > 216 ) && (LC_PROBE216_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE216_MU_CNT-1 : 0] LC_PROBE216_IS_TRIG =(LC_PROBE216_TYPE != 1)? {LC_PROBE216_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE217_IS_DATA = ((LC_NUM_OF_PROBES > 217 ) && (LC_PROBE217_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE217_MU_CNT-1 : 0] LC_PROBE217_IS_TRIG =(LC_PROBE217_TYPE != 1)? {LC_PROBE217_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE218_IS_DATA = ((LC_NUM_OF_PROBES > 218 ) && (LC_PROBE218_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE218_MU_CNT-1 : 0] LC_PROBE218_IS_TRIG =(LC_PROBE218_TYPE != 1)? {LC_PROBE218_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE219_IS_DATA = ((LC_NUM_OF_PROBES > 219 ) && (LC_PROBE219_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE219_MU_CNT-1 : 0] LC_PROBE219_IS_TRIG =(LC_PROBE219_TYPE != 1)? {LC_PROBE219_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE220_IS_DATA = ((LC_NUM_OF_PROBES > 220 ) && (LC_PROBE220_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE220_MU_CNT-1 : 0] LC_PROBE220_IS_TRIG =(LC_PROBE220_TYPE != 1)? {LC_PROBE220_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE221_IS_DATA = ((LC_NUM_OF_PROBES > 221 ) && (LC_PROBE221_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE221_MU_CNT-1 : 0] LC_PROBE221_IS_TRIG =(LC_PROBE221_TYPE != 1)? {LC_PROBE221_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE222_IS_DATA = ((LC_NUM_OF_PROBES > 222 ) && (LC_PROBE222_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE222_MU_CNT-1 : 0] LC_PROBE222_IS_TRIG =(LC_PROBE222_TYPE != 1)? {LC_PROBE222_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE223_IS_DATA = ((LC_NUM_OF_PROBES > 223 ) && (LC_PROBE223_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE223_MU_CNT-1 : 0] LC_PROBE223_IS_TRIG =(LC_PROBE223_TYPE != 1)? {LC_PROBE223_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE224_IS_DATA = ((LC_NUM_OF_PROBES > 224 ) && (LC_PROBE224_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE224_MU_CNT-1 : 0] LC_PROBE224_IS_TRIG =(LC_PROBE224_TYPE != 1)? {LC_PROBE224_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE225_IS_DATA = ((LC_NUM_OF_PROBES > 225 ) && (LC_PROBE225_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE225_MU_CNT-1 : 0] LC_PROBE225_IS_TRIG =(LC_PROBE225_TYPE != 1)? {LC_PROBE225_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE226_IS_DATA = ((LC_NUM_OF_PROBES > 226 ) && (LC_PROBE226_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE226_MU_CNT-1 : 0] LC_PROBE226_IS_TRIG =(LC_PROBE226_TYPE != 1)? {LC_PROBE226_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE227_IS_DATA = ((LC_NUM_OF_PROBES > 227 ) && (LC_PROBE227_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE227_MU_CNT-1 : 0] LC_PROBE227_IS_TRIG =(LC_PROBE227_TYPE != 1)? {LC_PROBE227_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE228_IS_DATA = ((LC_NUM_OF_PROBES > 228 ) && (LC_PROBE228_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE228_MU_CNT-1 : 0] LC_PROBE228_IS_TRIG =(LC_PROBE228_TYPE != 1)? {LC_PROBE228_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE229_IS_DATA = ((LC_NUM_OF_PROBES > 229 ) && (LC_PROBE229_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE229_MU_CNT-1 : 0] LC_PROBE229_IS_TRIG =(LC_PROBE229_TYPE != 1)? {LC_PROBE229_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE230_IS_DATA = ((LC_NUM_OF_PROBES > 230 ) && (LC_PROBE230_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE230_MU_CNT-1 : 0] LC_PROBE230_IS_TRIG =(LC_PROBE230_TYPE != 1)? {LC_PROBE230_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE231_IS_DATA = ((LC_NUM_OF_PROBES > 231 ) && (LC_PROBE231_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE231_MU_CNT-1 : 0] LC_PROBE231_IS_TRIG =(LC_PROBE231_TYPE != 1)? {LC_PROBE231_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE232_IS_DATA = ((LC_NUM_OF_PROBES > 232 ) && (LC_PROBE232_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE232_MU_CNT-1 : 0] LC_PROBE232_IS_TRIG =(LC_PROBE232_TYPE != 1)? {LC_PROBE232_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE233_IS_DATA = ((LC_NUM_OF_PROBES > 233 ) && (LC_PROBE233_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE233_MU_CNT-1 : 0] LC_PROBE233_IS_TRIG =(LC_PROBE233_TYPE != 1)? {LC_PROBE233_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE234_IS_DATA = ((LC_NUM_OF_PROBES > 234 ) && (LC_PROBE234_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE234_MU_CNT-1 : 0] LC_PROBE234_IS_TRIG =(LC_PROBE234_TYPE != 1)? {LC_PROBE234_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE235_IS_DATA = ((LC_NUM_OF_PROBES > 235 ) && (LC_PROBE235_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE235_MU_CNT-1 : 0] LC_PROBE235_IS_TRIG =(LC_PROBE235_TYPE != 1)? {LC_PROBE235_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE236_IS_DATA = ((LC_NUM_OF_PROBES > 236 ) && (LC_PROBE236_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE236_MU_CNT-1 : 0] LC_PROBE236_IS_TRIG =(LC_PROBE236_TYPE != 1)? {LC_PROBE236_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE237_IS_DATA = ((LC_NUM_OF_PROBES > 237 ) && (LC_PROBE237_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE237_MU_CNT-1 : 0] LC_PROBE237_IS_TRIG =(LC_PROBE237_TYPE != 1)? {LC_PROBE237_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE238_IS_DATA = ((LC_NUM_OF_PROBES > 238 ) && (LC_PROBE238_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE238_MU_CNT-1 : 0] LC_PROBE238_IS_TRIG =(LC_PROBE238_TYPE != 1)? {LC_PROBE238_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE239_IS_DATA = ((LC_NUM_OF_PROBES > 239 ) && (LC_PROBE239_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE239_MU_CNT-1 : 0] LC_PROBE239_IS_TRIG =(LC_PROBE239_TYPE != 1)? {LC_PROBE239_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE240_IS_DATA = ((LC_NUM_OF_PROBES > 240 ) && (LC_PROBE240_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE240_MU_CNT-1 : 0] LC_PROBE240_IS_TRIG =(LC_PROBE240_TYPE != 1)? {LC_PROBE240_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE241_IS_DATA = ((LC_NUM_OF_PROBES > 241 ) && (LC_PROBE241_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE241_MU_CNT-1 : 0] LC_PROBE241_IS_TRIG =(LC_PROBE241_TYPE != 1)? {LC_PROBE241_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE242_IS_DATA = ((LC_NUM_OF_PROBES > 242 ) && (LC_PROBE242_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE242_MU_CNT-1 : 0] LC_PROBE242_IS_TRIG =(LC_PROBE242_TYPE != 1)? {LC_PROBE242_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE243_IS_DATA = ((LC_NUM_OF_PROBES > 243 ) && (LC_PROBE243_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE243_MU_CNT-1 : 0] LC_PROBE243_IS_TRIG =(LC_PROBE243_TYPE != 1)? {LC_PROBE243_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE244_IS_DATA = ((LC_NUM_OF_PROBES > 244 ) && (LC_PROBE244_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE244_MU_CNT-1 : 0] LC_PROBE244_IS_TRIG =(LC_PROBE244_TYPE != 1)? {LC_PROBE244_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE245_IS_DATA = ((LC_NUM_OF_PROBES > 245 ) && (LC_PROBE245_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE245_MU_CNT-1 : 0] LC_PROBE245_IS_TRIG =(LC_PROBE245_TYPE != 1)? {LC_PROBE245_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE246_IS_DATA = ((LC_NUM_OF_PROBES > 246 ) && (LC_PROBE246_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE246_MU_CNT-1 : 0] LC_PROBE246_IS_TRIG =(LC_PROBE246_TYPE != 1)? {LC_PROBE246_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE247_IS_DATA = ((LC_NUM_OF_PROBES > 247 ) && (LC_PROBE247_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE247_MU_CNT-1 : 0] LC_PROBE247_IS_TRIG =(LC_PROBE247_TYPE != 1)? {LC_PROBE247_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE248_IS_DATA = ((LC_NUM_OF_PROBES > 248 ) && (LC_PROBE248_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE248_MU_CNT-1 : 0] LC_PROBE248_IS_TRIG =(LC_PROBE248_TYPE != 1)? {LC_PROBE248_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE249_IS_DATA = ((LC_NUM_OF_PROBES > 249 ) && (LC_PROBE249_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE249_MU_CNT-1 : 0] LC_PROBE249_IS_TRIG =(LC_PROBE249_TYPE != 1)? {LC_PROBE249_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE250_IS_DATA = ((LC_NUM_OF_PROBES > 250 ) && (LC_PROBE250_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE250_MU_CNT-1 : 0] LC_PROBE250_IS_TRIG =(LC_PROBE250_TYPE != 1)? {LC_PROBE250_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE251_IS_DATA = ((LC_NUM_OF_PROBES > 251 ) && (LC_PROBE251_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE251_MU_CNT-1 : 0] LC_PROBE251_IS_TRIG =(LC_PROBE251_TYPE != 1)? {LC_PROBE251_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE252_IS_DATA = ((LC_NUM_OF_PROBES > 252 ) && (LC_PROBE252_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE252_MU_CNT-1 : 0] LC_PROBE252_IS_TRIG =(LC_PROBE252_TYPE != 1)? {LC_PROBE252_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE253_IS_DATA = ((LC_NUM_OF_PROBES > 253 ) && (LC_PROBE253_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE253_MU_CNT-1 : 0] LC_PROBE253_IS_TRIG =(LC_PROBE253_TYPE != 1)? {LC_PROBE253_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE254_IS_DATA = ((LC_NUM_OF_PROBES > 254 ) && (LC_PROBE254_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE254_MU_CNT-1 : 0] LC_PROBE254_IS_TRIG =(LC_PROBE254_TYPE != 1)? {LC_PROBE254_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE255_IS_DATA = ((LC_NUM_OF_PROBES > 255 ) && (LC_PROBE255_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE255_MU_CNT-1 : 0] LC_PROBE255_IS_TRIG =(LC_PROBE255_TYPE != 1)? {LC_PROBE255_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE256_IS_DATA = ((LC_NUM_OF_PROBES > 256 ) && (LC_PROBE256_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE256_MU_CNT-1 : 0] LC_PROBE256_IS_TRIG =(LC_PROBE256_TYPE != 1)? {LC_PROBE256_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE257_IS_DATA = ((LC_NUM_OF_PROBES > 257 ) && (LC_PROBE257_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE257_MU_CNT-1 : 0] LC_PROBE257_IS_TRIG =(LC_PROBE257_TYPE != 1)? {LC_PROBE257_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE258_IS_DATA = ((LC_NUM_OF_PROBES > 258 ) && (LC_PROBE258_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE258_MU_CNT-1 : 0] LC_PROBE258_IS_TRIG =(LC_PROBE258_TYPE != 1)? {LC_PROBE258_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE259_IS_DATA = ((LC_NUM_OF_PROBES > 259 ) && (LC_PROBE259_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE259_MU_CNT-1 : 0] LC_PROBE259_IS_TRIG =(LC_PROBE259_TYPE != 1)? {LC_PROBE259_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE260_IS_DATA = ((LC_NUM_OF_PROBES > 260 ) && (LC_PROBE260_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE260_MU_CNT-1 : 0] LC_PROBE260_IS_TRIG =(LC_PROBE260_TYPE != 1)? {LC_PROBE260_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE261_IS_DATA = ((LC_NUM_OF_PROBES > 261 ) && (LC_PROBE261_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE261_MU_CNT-1 : 0] LC_PROBE261_IS_TRIG =(LC_PROBE261_TYPE != 1)? {LC_PROBE261_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE262_IS_DATA = ((LC_NUM_OF_PROBES > 262 ) && (LC_PROBE262_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE262_MU_CNT-1 : 0] LC_PROBE262_IS_TRIG =(LC_PROBE262_TYPE != 1)? {LC_PROBE262_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE263_IS_DATA = ((LC_NUM_OF_PROBES > 263 ) && (LC_PROBE263_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE263_MU_CNT-1 : 0] LC_PROBE263_IS_TRIG =(LC_PROBE263_TYPE != 1)? {LC_PROBE263_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE264_IS_DATA = ((LC_NUM_OF_PROBES > 264 ) && (LC_PROBE264_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE264_MU_CNT-1 : 0] LC_PROBE264_IS_TRIG =(LC_PROBE264_TYPE != 1)? {LC_PROBE264_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE265_IS_DATA = ((LC_NUM_OF_PROBES > 265 ) && (LC_PROBE265_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE265_MU_CNT-1 : 0] LC_PROBE265_IS_TRIG =(LC_PROBE265_TYPE != 1)? {LC_PROBE265_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE266_IS_DATA = ((LC_NUM_OF_PROBES > 266 ) && (LC_PROBE266_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE266_MU_CNT-1 : 0] LC_PROBE266_IS_TRIG =(LC_PROBE266_TYPE != 1)? {LC_PROBE266_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE267_IS_DATA = ((LC_NUM_OF_PROBES > 267 ) && (LC_PROBE267_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE267_MU_CNT-1 : 0] LC_PROBE267_IS_TRIG =(LC_PROBE267_TYPE != 1)? {LC_PROBE267_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE268_IS_DATA = ((LC_NUM_OF_PROBES > 268 ) && (LC_PROBE268_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE268_MU_CNT-1 : 0] LC_PROBE268_IS_TRIG =(LC_PROBE268_TYPE != 1)? {LC_PROBE268_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE269_IS_DATA = ((LC_NUM_OF_PROBES > 269 ) && (LC_PROBE269_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE269_MU_CNT-1 : 0] LC_PROBE269_IS_TRIG =(LC_PROBE269_TYPE != 1)? {LC_PROBE269_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE270_IS_DATA = ((LC_NUM_OF_PROBES > 270 ) && (LC_PROBE270_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE270_MU_CNT-1 : 0] LC_PROBE270_IS_TRIG =(LC_PROBE270_TYPE != 1)? {LC_PROBE270_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE271_IS_DATA = ((LC_NUM_OF_PROBES > 271 ) && (LC_PROBE271_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE271_MU_CNT-1 : 0] LC_PROBE271_IS_TRIG =(LC_PROBE271_TYPE != 1)? {LC_PROBE271_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE272_IS_DATA = ((LC_NUM_OF_PROBES > 272 ) && (LC_PROBE272_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE272_MU_CNT-1 : 0] LC_PROBE272_IS_TRIG =(LC_PROBE272_TYPE != 1)? {LC_PROBE272_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE273_IS_DATA = ((LC_NUM_OF_PROBES > 273 ) && (LC_PROBE273_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE273_MU_CNT-1 : 0] LC_PROBE273_IS_TRIG =(LC_PROBE273_TYPE != 1)? {LC_PROBE273_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE274_IS_DATA = ((LC_NUM_OF_PROBES > 274 ) && (LC_PROBE274_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE274_MU_CNT-1 : 0] LC_PROBE274_IS_TRIG =(LC_PROBE274_TYPE != 1)? {LC_PROBE274_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE275_IS_DATA = ((LC_NUM_OF_PROBES > 275 ) && (LC_PROBE275_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE275_MU_CNT-1 : 0] LC_PROBE275_IS_TRIG =(LC_PROBE275_TYPE != 1)? {LC_PROBE275_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE276_IS_DATA = ((LC_NUM_OF_PROBES > 276 ) && (LC_PROBE276_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE276_MU_CNT-1 : 0] LC_PROBE276_IS_TRIG =(LC_PROBE276_TYPE != 1)? {LC_PROBE276_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE277_IS_DATA = ((LC_NUM_OF_PROBES > 277 ) && (LC_PROBE277_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE277_MU_CNT-1 : 0] LC_PROBE277_IS_TRIG =(LC_PROBE277_TYPE != 1)? {LC_PROBE277_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE278_IS_DATA = ((LC_NUM_OF_PROBES > 278 ) && (LC_PROBE278_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE278_MU_CNT-1 : 0] LC_PROBE278_IS_TRIG =(LC_PROBE278_TYPE != 1)? {LC_PROBE278_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE279_IS_DATA = ((LC_NUM_OF_PROBES > 279 ) && (LC_PROBE279_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE279_MU_CNT-1 : 0] LC_PROBE279_IS_TRIG =(LC_PROBE279_TYPE != 1)? {LC_PROBE279_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE280_IS_DATA = ((LC_NUM_OF_PROBES > 280 ) && (LC_PROBE280_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE280_MU_CNT-1 : 0] LC_PROBE280_IS_TRIG =(LC_PROBE280_TYPE != 1)? {LC_PROBE280_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE281_IS_DATA = ((LC_NUM_OF_PROBES > 281 ) && (LC_PROBE281_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE281_MU_CNT-1 : 0] LC_PROBE281_IS_TRIG =(LC_PROBE281_TYPE != 1)? {LC_PROBE281_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE282_IS_DATA = ((LC_NUM_OF_PROBES > 282 ) && (LC_PROBE282_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE282_MU_CNT-1 : 0] LC_PROBE282_IS_TRIG =(LC_PROBE282_TYPE != 1)? {LC_PROBE282_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE283_IS_DATA = ((LC_NUM_OF_PROBES > 283 ) && (LC_PROBE283_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE283_MU_CNT-1 : 0] LC_PROBE283_IS_TRIG =(LC_PROBE283_TYPE != 1)? {LC_PROBE283_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE284_IS_DATA = ((LC_NUM_OF_PROBES > 284 ) && (LC_PROBE284_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE284_MU_CNT-1 : 0] LC_PROBE284_IS_TRIG =(LC_PROBE284_TYPE != 1)? {LC_PROBE284_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE285_IS_DATA = ((LC_NUM_OF_PROBES > 285 ) && (LC_PROBE285_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE285_MU_CNT-1 : 0] LC_PROBE285_IS_TRIG =(LC_PROBE285_TYPE != 1)? {LC_PROBE285_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE286_IS_DATA = ((LC_NUM_OF_PROBES > 286 ) && (LC_PROBE286_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE286_MU_CNT-1 : 0] LC_PROBE286_IS_TRIG =(LC_PROBE286_TYPE != 1)? {LC_PROBE286_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE287_IS_DATA = ((LC_NUM_OF_PROBES > 287 ) && (LC_PROBE287_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE287_MU_CNT-1 : 0] LC_PROBE287_IS_TRIG =(LC_PROBE287_TYPE != 1)? {LC_PROBE287_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE288_IS_DATA = ((LC_NUM_OF_PROBES > 288 ) && (LC_PROBE288_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE288_MU_CNT-1 : 0] LC_PROBE288_IS_TRIG =(LC_PROBE288_TYPE != 1)? {LC_PROBE288_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE289_IS_DATA = ((LC_NUM_OF_PROBES > 289 ) && (LC_PROBE289_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE289_MU_CNT-1 : 0] LC_PROBE289_IS_TRIG =(LC_PROBE289_TYPE != 1)? {LC_PROBE289_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE290_IS_DATA = ((LC_NUM_OF_PROBES > 290 ) && (LC_PROBE290_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE290_MU_CNT-1 : 0] LC_PROBE290_IS_TRIG =(LC_PROBE290_TYPE != 1)? {LC_PROBE290_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE291_IS_DATA = ((LC_NUM_OF_PROBES > 291 ) && (LC_PROBE291_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE291_MU_CNT-1 : 0] LC_PROBE291_IS_TRIG =(LC_PROBE291_TYPE != 1)? {LC_PROBE291_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE292_IS_DATA = ((LC_NUM_OF_PROBES > 292 ) && (LC_PROBE292_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE292_MU_CNT-1 : 0] LC_PROBE292_IS_TRIG =(LC_PROBE292_TYPE != 1)? {LC_PROBE292_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE293_IS_DATA = ((LC_NUM_OF_PROBES > 293 ) && (LC_PROBE293_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE293_MU_CNT-1 : 0] LC_PROBE293_IS_TRIG =(LC_PROBE293_TYPE != 1)? {LC_PROBE293_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE294_IS_DATA = ((LC_NUM_OF_PROBES > 294 ) && (LC_PROBE294_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE294_MU_CNT-1 : 0] LC_PROBE294_IS_TRIG =(LC_PROBE294_TYPE != 1)? {LC_PROBE294_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE295_IS_DATA = ((LC_NUM_OF_PROBES > 295 ) && (LC_PROBE295_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE295_MU_CNT-1 : 0] LC_PROBE295_IS_TRIG =(LC_PROBE295_TYPE != 1)? {LC_PROBE295_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE296_IS_DATA = ((LC_NUM_OF_PROBES > 296 ) && (LC_PROBE296_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE296_MU_CNT-1 : 0] LC_PROBE296_IS_TRIG =(LC_PROBE296_TYPE != 1)? {LC_PROBE296_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE297_IS_DATA = ((LC_NUM_OF_PROBES > 297 ) && (LC_PROBE297_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE297_MU_CNT-1 : 0] LC_PROBE297_IS_TRIG =(LC_PROBE297_TYPE != 1)? {LC_PROBE297_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE298_IS_DATA = ((LC_NUM_OF_PROBES > 298 ) && (LC_PROBE298_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE298_MU_CNT-1 : 0] LC_PROBE298_IS_TRIG =(LC_PROBE298_TYPE != 1)? {LC_PROBE298_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE299_IS_DATA = ((LC_NUM_OF_PROBES > 299 ) && (LC_PROBE299_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE299_MU_CNT-1 : 0] LC_PROBE299_IS_TRIG =(LC_PROBE299_TYPE != 1)? {LC_PROBE299_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE300_IS_DATA = ((LC_NUM_OF_PROBES > 300 ) && (LC_PROBE300_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE300_MU_CNT-1 : 0] LC_PROBE300_IS_TRIG =(LC_PROBE300_TYPE != 1)? {LC_PROBE300_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE301_IS_DATA = ((LC_NUM_OF_PROBES > 301 ) && (LC_PROBE301_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE301_MU_CNT-1 : 0] LC_PROBE301_IS_TRIG =(LC_PROBE301_TYPE != 1)? {LC_PROBE301_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE302_IS_DATA = ((LC_NUM_OF_PROBES > 302 ) && (LC_PROBE302_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE302_MU_CNT-1 : 0] LC_PROBE302_IS_TRIG =(LC_PROBE302_TYPE != 1)? {LC_PROBE302_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE303_IS_DATA = ((LC_NUM_OF_PROBES > 303 ) && (LC_PROBE303_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE303_MU_CNT-1 : 0] LC_PROBE303_IS_TRIG =(LC_PROBE303_TYPE != 1)? {LC_PROBE303_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE304_IS_DATA = ((LC_NUM_OF_PROBES > 304 ) && (LC_PROBE304_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE304_MU_CNT-1 : 0] LC_PROBE304_IS_TRIG =(LC_PROBE304_TYPE != 1)? {LC_PROBE304_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE305_IS_DATA = ((LC_NUM_OF_PROBES > 305 ) && (LC_PROBE305_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE305_MU_CNT-1 : 0] LC_PROBE305_IS_TRIG =(LC_PROBE305_TYPE != 1)? {LC_PROBE305_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE306_IS_DATA = ((LC_NUM_OF_PROBES > 306 ) && (LC_PROBE306_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE306_MU_CNT-1 : 0] LC_PROBE306_IS_TRIG =(LC_PROBE306_TYPE != 1)? {LC_PROBE306_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE307_IS_DATA = ((LC_NUM_OF_PROBES > 307 ) && (LC_PROBE307_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE307_MU_CNT-1 : 0] LC_PROBE307_IS_TRIG =(LC_PROBE307_TYPE != 1)? {LC_PROBE307_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE308_IS_DATA = ((LC_NUM_OF_PROBES > 308 ) && (LC_PROBE308_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE308_MU_CNT-1 : 0] LC_PROBE308_IS_TRIG =(LC_PROBE308_TYPE != 1)? {LC_PROBE308_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE309_IS_DATA = ((LC_NUM_OF_PROBES > 309 ) && (LC_PROBE309_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE309_MU_CNT-1 : 0] LC_PROBE309_IS_TRIG =(LC_PROBE309_TYPE != 1)? {LC_PROBE309_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE310_IS_DATA = ((LC_NUM_OF_PROBES > 310 ) && (LC_PROBE310_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE310_MU_CNT-1 : 0] LC_PROBE310_IS_TRIG =(LC_PROBE310_TYPE != 1)? {LC_PROBE310_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE311_IS_DATA = ((LC_NUM_OF_PROBES > 311 ) && (LC_PROBE311_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE311_MU_CNT-1 : 0] LC_PROBE311_IS_TRIG =(LC_PROBE311_TYPE != 1)? {LC_PROBE311_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE312_IS_DATA = ((LC_NUM_OF_PROBES > 312 ) && (LC_PROBE312_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE312_MU_CNT-1 : 0] LC_PROBE312_IS_TRIG =(LC_PROBE312_TYPE != 1)? {LC_PROBE312_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE313_IS_DATA = ((LC_NUM_OF_PROBES > 313 ) && (LC_PROBE313_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE313_MU_CNT-1 : 0] LC_PROBE313_IS_TRIG =(LC_PROBE313_TYPE != 1)? {LC_PROBE313_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE314_IS_DATA = ((LC_NUM_OF_PROBES > 314 ) && (LC_PROBE314_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE314_MU_CNT-1 : 0] LC_PROBE314_IS_TRIG =(LC_PROBE314_TYPE != 1)? {LC_PROBE314_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE315_IS_DATA = ((LC_NUM_OF_PROBES > 315 ) && (LC_PROBE315_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE315_MU_CNT-1 : 0] LC_PROBE315_IS_TRIG =(LC_PROBE315_TYPE != 1)? {LC_PROBE315_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE316_IS_DATA = ((LC_NUM_OF_PROBES > 316 ) && (LC_PROBE316_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE316_MU_CNT-1 : 0] LC_PROBE316_IS_TRIG =(LC_PROBE316_TYPE != 1)? {LC_PROBE316_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE317_IS_DATA = ((LC_NUM_OF_PROBES > 317 ) && (LC_PROBE317_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE317_MU_CNT-1 : 0] LC_PROBE317_IS_TRIG =(LC_PROBE317_TYPE != 1)? {LC_PROBE317_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE318_IS_DATA = ((LC_NUM_OF_PROBES > 318 ) && (LC_PROBE318_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE318_MU_CNT-1 : 0] LC_PROBE318_IS_TRIG =(LC_PROBE318_TYPE != 1)? {LC_PROBE318_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE319_IS_DATA = ((LC_NUM_OF_PROBES > 319 ) && (LC_PROBE319_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE319_MU_CNT-1 : 0] LC_PROBE319_IS_TRIG =(LC_PROBE319_TYPE != 1)? {LC_PROBE319_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE320_IS_DATA = ((LC_NUM_OF_PROBES > 320 ) && (LC_PROBE320_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE320_MU_CNT-1 : 0] LC_PROBE320_IS_TRIG =(LC_PROBE320_TYPE != 1)? {LC_PROBE320_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE321_IS_DATA = ((LC_NUM_OF_PROBES > 321 ) && (LC_PROBE321_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE321_MU_CNT-1 : 0] LC_PROBE321_IS_TRIG =(LC_PROBE321_TYPE != 1)? {LC_PROBE321_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE322_IS_DATA = ((LC_NUM_OF_PROBES > 322 ) && (LC_PROBE322_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE322_MU_CNT-1 : 0] LC_PROBE322_IS_TRIG =(LC_PROBE322_TYPE != 1)? {LC_PROBE322_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE323_IS_DATA = ((LC_NUM_OF_PROBES > 323 ) && (LC_PROBE323_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE323_MU_CNT-1 : 0] LC_PROBE323_IS_TRIG =(LC_PROBE323_TYPE != 1)? {LC_PROBE323_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE324_IS_DATA = ((LC_NUM_OF_PROBES > 324 ) && (LC_PROBE324_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE324_MU_CNT-1 : 0] LC_PROBE324_IS_TRIG =(LC_PROBE324_TYPE != 1)? {LC_PROBE324_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE325_IS_DATA = ((LC_NUM_OF_PROBES > 325 ) && (LC_PROBE325_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE325_MU_CNT-1 : 0] LC_PROBE325_IS_TRIG =(LC_PROBE325_TYPE != 1)? {LC_PROBE325_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE326_IS_DATA = ((LC_NUM_OF_PROBES > 326 ) && (LC_PROBE326_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE326_MU_CNT-1 : 0] LC_PROBE326_IS_TRIG =(LC_PROBE326_TYPE != 1)? {LC_PROBE326_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE327_IS_DATA = ((LC_NUM_OF_PROBES > 327 ) && (LC_PROBE327_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE327_MU_CNT-1 : 0] LC_PROBE327_IS_TRIG =(LC_PROBE327_TYPE != 1)? {LC_PROBE327_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE328_IS_DATA = ((LC_NUM_OF_PROBES > 328 ) && (LC_PROBE328_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE328_MU_CNT-1 : 0] LC_PROBE328_IS_TRIG =(LC_PROBE328_TYPE != 1)? {LC_PROBE328_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE329_IS_DATA = ((LC_NUM_OF_PROBES > 329 ) && (LC_PROBE329_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE329_MU_CNT-1 : 0] LC_PROBE329_IS_TRIG =(LC_PROBE329_TYPE != 1)? {LC_PROBE329_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE330_IS_DATA = ((LC_NUM_OF_PROBES > 330 ) && (LC_PROBE330_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE330_MU_CNT-1 : 0] LC_PROBE330_IS_TRIG =(LC_PROBE330_TYPE != 1)? {LC_PROBE330_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE331_IS_DATA = ((LC_NUM_OF_PROBES > 331 ) && (LC_PROBE331_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE331_MU_CNT-1 : 0] LC_PROBE331_IS_TRIG =(LC_PROBE331_TYPE != 1)? {LC_PROBE331_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE332_IS_DATA = ((LC_NUM_OF_PROBES > 332 ) && (LC_PROBE332_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE332_MU_CNT-1 : 0] LC_PROBE332_IS_TRIG =(LC_PROBE332_TYPE != 1)? {LC_PROBE332_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE333_IS_DATA = ((LC_NUM_OF_PROBES > 333 ) && (LC_PROBE333_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE333_MU_CNT-1 : 0] LC_PROBE333_IS_TRIG =(LC_PROBE333_TYPE != 1)? {LC_PROBE333_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE334_IS_DATA = ((LC_NUM_OF_PROBES > 334 ) && (LC_PROBE334_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE334_MU_CNT-1 : 0] LC_PROBE334_IS_TRIG =(LC_PROBE334_TYPE != 1)? {LC_PROBE334_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE335_IS_DATA = ((LC_NUM_OF_PROBES > 335 ) && (LC_PROBE335_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE335_MU_CNT-1 : 0] LC_PROBE335_IS_TRIG =(LC_PROBE335_TYPE != 1)? {LC_PROBE335_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE336_IS_DATA = ((LC_NUM_OF_PROBES > 336 ) && (LC_PROBE336_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE336_MU_CNT-1 : 0] LC_PROBE336_IS_TRIG =(LC_PROBE336_TYPE != 1)? {LC_PROBE336_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE337_IS_DATA = ((LC_NUM_OF_PROBES > 337 ) && (LC_PROBE337_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE337_MU_CNT-1 : 0] LC_PROBE337_IS_TRIG =(LC_PROBE337_TYPE != 1)? {LC_PROBE337_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE338_IS_DATA = ((LC_NUM_OF_PROBES > 338 ) && (LC_PROBE338_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE338_MU_CNT-1 : 0] LC_PROBE338_IS_TRIG =(LC_PROBE338_TYPE != 1)? {LC_PROBE338_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE339_IS_DATA = ((LC_NUM_OF_PROBES > 339 ) && (LC_PROBE339_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE339_MU_CNT-1 : 0] LC_PROBE339_IS_TRIG =(LC_PROBE339_TYPE != 1)? {LC_PROBE339_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE340_IS_DATA = ((LC_NUM_OF_PROBES > 340 ) && (LC_PROBE340_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE340_MU_CNT-1 : 0] LC_PROBE340_IS_TRIG =(LC_PROBE340_TYPE != 1)? {LC_PROBE340_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE341_IS_DATA = ((LC_NUM_OF_PROBES > 341 ) && (LC_PROBE341_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE341_MU_CNT-1 : 0] LC_PROBE341_IS_TRIG =(LC_PROBE341_TYPE != 1)? {LC_PROBE341_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE342_IS_DATA = ((LC_NUM_OF_PROBES > 342 ) && (LC_PROBE342_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE342_MU_CNT-1 : 0] LC_PROBE342_IS_TRIG =(LC_PROBE342_TYPE != 1)? {LC_PROBE342_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE343_IS_DATA = ((LC_NUM_OF_PROBES > 343 ) && (LC_PROBE343_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE343_MU_CNT-1 : 0] LC_PROBE343_IS_TRIG =(LC_PROBE343_TYPE != 1)? {LC_PROBE343_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE344_IS_DATA = ((LC_NUM_OF_PROBES > 344 ) && (LC_PROBE344_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE344_MU_CNT-1 : 0] LC_PROBE344_IS_TRIG =(LC_PROBE344_TYPE != 1)? {LC_PROBE344_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE345_IS_DATA = ((LC_NUM_OF_PROBES > 345 ) && (LC_PROBE345_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE345_MU_CNT-1 : 0] LC_PROBE345_IS_TRIG =(LC_PROBE345_TYPE != 1)? {LC_PROBE345_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE346_IS_DATA = ((LC_NUM_OF_PROBES > 346 ) && (LC_PROBE346_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE346_MU_CNT-1 : 0] LC_PROBE346_IS_TRIG =(LC_PROBE346_TYPE != 1)? {LC_PROBE346_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE347_IS_DATA = ((LC_NUM_OF_PROBES > 347 ) && (LC_PROBE347_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE347_MU_CNT-1 : 0] LC_PROBE347_IS_TRIG =(LC_PROBE347_TYPE != 1)? {LC_PROBE347_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE348_IS_DATA = ((LC_NUM_OF_PROBES > 348 ) && (LC_PROBE348_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE348_MU_CNT-1 : 0] LC_PROBE348_IS_TRIG =(LC_PROBE348_TYPE != 1)? {LC_PROBE348_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE349_IS_DATA = ((LC_NUM_OF_PROBES > 349 ) && (LC_PROBE349_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE349_MU_CNT-1 : 0] LC_PROBE349_IS_TRIG =(LC_PROBE349_TYPE != 1)? {LC_PROBE349_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE350_IS_DATA = ((LC_NUM_OF_PROBES > 350 ) && (LC_PROBE350_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE350_MU_CNT-1 : 0] LC_PROBE350_IS_TRIG =(LC_PROBE350_TYPE != 1)? {LC_PROBE350_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE351_IS_DATA = ((LC_NUM_OF_PROBES > 351 ) && (LC_PROBE351_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE351_MU_CNT-1 : 0] LC_PROBE351_IS_TRIG =(LC_PROBE351_TYPE != 1)? {LC_PROBE351_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE352_IS_DATA = ((LC_NUM_OF_PROBES > 352 ) && (LC_PROBE352_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE352_MU_CNT-1 : 0] LC_PROBE352_IS_TRIG =(LC_PROBE352_TYPE != 1)? {LC_PROBE352_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE353_IS_DATA = ((LC_NUM_OF_PROBES > 353 ) && (LC_PROBE353_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE353_MU_CNT-1 : 0] LC_PROBE353_IS_TRIG =(LC_PROBE353_TYPE != 1)? {LC_PROBE353_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE354_IS_DATA = ((LC_NUM_OF_PROBES > 354 ) && (LC_PROBE354_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE354_MU_CNT-1 : 0] LC_PROBE354_IS_TRIG =(LC_PROBE354_TYPE != 1)? {LC_PROBE354_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE355_IS_DATA = ((LC_NUM_OF_PROBES > 355 ) && (LC_PROBE355_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE355_MU_CNT-1 : 0] LC_PROBE355_IS_TRIG =(LC_PROBE355_TYPE != 1)? {LC_PROBE355_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE356_IS_DATA = ((LC_NUM_OF_PROBES > 356 ) && (LC_PROBE356_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE356_MU_CNT-1 : 0] LC_PROBE356_IS_TRIG =(LC_PROBE356_TYPE != 1)? {LC_PROBE356_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE357_IS_DATA = ((LC_NUM_OF_PROBES > 357 ) && (LC_PROBE357_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE357_MU_CNT-1 : 0] LC_PROBE357_IS_TRIG =(LC_PROBE357_TYPE != 1)? {LC_PROBE357_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE358_IS_DATA = ((LC_NUM_OF_PROBES > 358 ) && (LC_PROBE358_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE358_MU_CNT-1 : 0] LC_PROBE358_IS_TRIG =(LC_PROBE358_TYPE != 1)? {LC_PROBE358_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE359_IS_DATA = ((LC_NUM_OF_PROBES > 359 ) && (LC_PROBE359_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE359_MU_CNT-1 : 0] LC_PROBE359_IS_TRIG =(LC_PROBE359_TYPE != 1)? {LC_PROBE359_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE360_IS_DATA = ((LC_NUM_OF_PROBES > 360 ) && (LC_PROBE360_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE360_MU_CNT-1 : 0] LC_PROBE360_IS_TRIG =(LC_PROBE360_TYPE != 1)? {LC_PROBE360_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE361_IS_DATA = ((LC_NUM_OF_PROBES > 361 ) && (LC_PROBE361_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE361_MU_CNT-1 : 0] LC_PROBE361_IS_TRIG =(LC_PROBE361_TYPE != 1)? {LC_PROBE361_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE362_IS_DATA = ((LC_NUM_OF_PROBES > 362 ) && (LC_PROBE362_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE362_MU_CNT-1 : 0] LC_PROBE362_IS_TRIG =(LC_PROBE362_TYPE != 1)? {LC_PROBE362_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE363_IS_DATA = ((LC_NUM_OF_PROBES > 363 ) && (LC_PROBE363_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE363_MU_CNT-1 : 0] LC_PROBE363_IS_TRIG =(LC_PROBE363_TYPE != 1)? {LC_PROBE363_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE364_IS_DATA = ((LC_NUM_OF_PROBES > 364 ) && (LC_PROBE364_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE364_MU_CNT-1 : 0] LC_PROBE364_IS_TRIG =(LC_PROBE364_TYPE != 1)? {LC_PROBE364_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE365_IS_DATA = ((LC_NUM_OF_PROBES > 365 ) && (LC_PROBE365_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE365_MU_CNT-1 : 0] LC_PROBE365_IS_TRIG =(LC_PROBE365_TYPE != 1)? {LC_PROBE365_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE366_IS_DATA = ((LC_NUM_OF_PROBES > 366 ) && (LC_PROBE366_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE366_MU_CNT-1 : 0] LC_PROBE366_IS_TRIG =(LC_PROBE366_TYPE != 1)? {LC_PROBE366_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE367_IS_DATA = ((LC_NUM_OF_PROBES > 367 ) && (LC_PROBE367_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE367_MU_CNT-1 : 0] LC_PROBE367_IS_TRIG =(LC_PROBE367_TYPE != 1)? {LC_PROBE367_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE368_IS_DATA = ((LC_NUM_OF_PROBES > 368 ) && (LC_PROBE368_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE368_MU_CNT-1 : 0] LC_PROBE368_IS_TRIG =(LC_PROBE368_TYPE != 1)? {LC_PROBE368_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE369_IS_DATA = ((LC_NUM_OF_PROBES > 369 ) && (LC_PROBE369_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE369_MU_CNT-1 : 0] LC_PROBE369_IS_TRIG =(LC_PROBE369_TYPE != 1)? {LC_PROBE369_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE370_IS_DATA = ((LC_NUM_OF_PROBES > 370 ) && (LC_PROBE370_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE370_MU_CNT-1 : 0] LC_PROBE370_IS_TRIG =(LC_PROBE370_TYPE != 1)? {LC_PROBE370_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE371_IS_DATA = ((LC_NUM_OF_PROBES > 371 ) && (LC_PROBE371_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE371_MU_CNT-1 : 0] LC_PROBE371_IS_TRIG =(LC_PROBE371_TYPE != 1)? {LC_PROBE371_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE372_IS_DATA = ((LC_NUM_OF_PROBES > 372 ) && (LC_PROBE372_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE372_MU_CNT-1 : 0] LC_PROBE372_IS_TRIG =(LC_PROBE372_TYPE != 1)? {LC_PROBE372_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE373_IS_DATA = ((LC_NUM_OF_PROBES > 373 ) && (LC_PROBE373_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE373_MU_CNT-1 : 0] LC_PROBE373_IS_TRIG =(LC_PROBE373_TYPE != 1)? {LC_PROBE373_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE374_IS_DATA = ((LC_NUM_OF_PROBES > 374 ) && (LC_PROBE374_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE374_MU_CNT-1 : 0] LC_PROBE374_IS_TRIG =(LC_PROBE374_TYPE != 1)? {LC_PROBE374_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE375_IS_DATA = ((LC_NUM_OF_PROBES > 375 ) && (LC_PROBE375_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE375_MU_CNT-1 : 0] LC_PROBE375_IS_TRIG =(LC_PROBE375_TYPE != 1)? {LC_PROBE375_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE376_IS_DATA = ((LC_NUM_OF_PROBES > 376 ) && (LC_PROBE376_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE376_MU_CNT-1 : 0] LC_PROBE376_IS_TRIG =(LC_PROBE376_TYPE != 1)? {LC_PROBE376_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE377_IS_DATA = ((LC_NUM_OF_PROBES > 377 ) && (LC_PROBE377_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE377_MU_CNT-1 : 0] LC_PROBE377_IS_TRIG =(LC_PROBE377_TYPE != 1)? {LC_PROBE377_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE378_IS_DATA = ((LC_NUM_OF_PROBES > 378 ) && (LC_PROBE378_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE378_MU_CNT-1 : 0] LC_PROBE378_IS_TRIG =(LC_PROBE378_TYPE != 1)? {LC_PROBE378_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE379_IS_DATA = ((LC_NUM_OF_PROBES > 379 ) && (LC_PROBE379_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE379_MU_CNT-1 : 0] LC_PROBE379_IS_TRIG =(LC_PROBE379_TYPE != 1)? {LC_PROBE379_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE380_IS_DATA = ((LC_NUM_OF_PROBES > 380 ) && (LC_PROBE380_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE380_MU_CNT-1 : 0] LC_PROBE380_IS_TRIG =(LC_PROBE380_TYPE != 1)? {LC_PROBE380_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE381_IS_DATA = ((LC_NUM_OF_PROBES > 381 ) && (LC_PROBE381_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE381_MU_CNT-1 : 0] LC_PROBE381_IS_TRIG =(LC_PROBE381_TYPE != 1)? {LC_PROBE381_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE382_IS_DATA = ((LC_NUM_OF_PROBES > 382 ) && (LC_PROBE382_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE382_MU_CNT-1 : 0] LC_PROBE382_IS_TRIG =(LC_PROBE382_TYPE != 1)? {LC_PROBE382_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE383_IS_DATA = ((LC_NUM_OF_PROBES > 383 ) && (LC_PROBE383_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE383_MU_CNT-1 : 0] LC_PROBE383_IS_TRIG =(LC_PROBE383_TYPE != 1)? {LC_PROBE383_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE384_IS_DATA = ((LC_NUM_OF_PROBES > 384 ) && (LC_PROBE384_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE384_MU_CNT-1 : 0] LC_PROBE384_IS_TRIG =(LC_PROBE384_TYPE != 1)? {LC_PROBE384_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE385_IS_DATA = ((LC_NUM_OF_PROBES > 385 ) && (LC_PROBE385_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE385_MU_CNT-1 : 0] LC_PROBE385_IS_TRIG =(LC_PROBE385_TYPE != 1)? {LC_PROBE385_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE386_IS_DATA = ((LC_NUM_OF_PROBES > 386 ) && (LC_PROBE386_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE386_MU_CNT-1 : 0] LC_PROBE386_IS_TRIG =(LC_PROBE386_TYPE != 1)? {LC_PROBE386_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE387_IS_DATA = ((LC_NUM_OF_PROBES > 387 ) && (LC_PROBE387_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE387_MU_CNT-1 : 0] LC_PROBE387_IS_TRIG =(LC_PROBE387_TYPE != 1)? {LC_PROBE387_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE388_IS_DATA = ((LC_NUM_OF_PROBES > 388 ) && (LC_PROBE388_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE388_MU_CNT-1 : 0] LC_PROBE388_IS_TRIG =(LC_PROBE388_TYPE != 1)? {LC_PROBE388_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE389_IS_DATA = ((LC_NUM_OF_PROBES > 389 ) && (LC_PROBE389_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE389_MU_CNT-1 : 0] LC_PROBE389_IS_TRIG =(LC_PROBE389_TYPE != 1)? {LC_PROBE389_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE390_IS_DATA = ((LC_NUM_OF_PROBES > 390 ) && (LC_PROBE390_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE390_MU_CNT-1 : 0] LC_PROBE390_IS_TRIG =(LC_PROBE390_TYPE != 1)? {LC_PROBE390_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE391_IS_DATA = ((LC_NUM_OF_PROBES > 391 ) && (LC_PROBE391_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE391_MU_CNT-1 : 0] LC_PROBE391_IS_TRIG =(LC_PROBE391_TYPE != 1)? {LC_PROBE391_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE392_IS_DATA = ((LC_NUM_OF_PROBES > 392 ) && (LC_PROBE392_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE392_MU_CNT-1 : 0] LC_PROBE392_IS_TRIG =(LC_PROBE392_TYPE != 1)? {LC_PROBE392_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE393_IS_DATA = ((LC_NUM_OF_PROBES > 393 ) && (LC_PROBE393_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE393_MU_CNT-1 : 0] LC_PROBE393_IS_TRIG =(LC_PROBE393_TYPE != 1)? {LC_PROBE393_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE394_IS_DATA = ((LC_NUM_OF_PROBES > 394 ) && (LC_PROBE394_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE394_MU_CNT-1 : 0] LC_PROBE394_IS_TRIG =(LC_PROBE394_TYPE != 1)? {LC_PROBE394_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE395_IS_DATA = ((LC_NUM_OF_PROBES > 395 ) && (LC_PROBE395_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE395_MU_CNT-1 : 0] LC_PROBE395_IS_TRIG =(LC_PROBE395_TYPE != 1)? {LC_PROBE395_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE396_IS_DATA = ((LC_NUM_OF_PROBES > 396 ) && (LC_PROBE396_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE396_MU_CNT-1 : 0] LC_PROBE396_IS_TRIG =(LC_PROBE396_TYPE != 1)? {LC_PROBE396_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE397_IS_DATA = ((LC_NUM_OF_PROBES > 397 ) && (LC_PROBE397_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE397_MU_CNT-1 : 0] LC_PROBE397_IS_TRIG =(LC_PROBE397_TYPE != 1)? {LC_PROBE397_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE398_IS_DATA = ((LC_NUM_OF_PROBES > 398 ) && (LC_PROBE398_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE398_MU_CNT-1 : 0] LC_PROBE398_IS_TRIG =(LC_PROBE398_TYPE != 1)? {LC_PROBE398_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE399_IS_DATA = ((LC_NUM_OF_PROBES > 399 ) && (LC_PROBE399_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE399_MU_CNT-1 : 0] LC_PROBE399_IS_TRIG =(LC_PROBE399_TYPE != 1)? {LC_PROBE399_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE400_IS_DATA = ((LC_NUM_OF_PROBES > 400 ) && (LC_PROBE400_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE400_MU_CNT-1 : 0] LC_PROBE400_IS_TRIG =(LC_PROBE400_TYPE != 1)? {LC_PROBE400_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE401_IS_DATA = ((LC_NUM_OF_PROBES > 401 ) && (LC_PROBE401_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE401_MU_CNT-1 : 0] LC_PROBE401_IS_TRIG =(LC_PROBE401_TYPE != 1)? {LC_PROBE401_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE402_IS_DATA = ((LC_NUM_OF_PROBES > 402 ) && (LC_PROBE402_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE402_MU_CNT-1 : 0] LC_PROBE402_IS_TRIG =(LC_PROBE402_TYPE != 1)? {LC_PROBE402_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE403_IS_DATA = ((LC_NUM_OF_PROBES > 403 ) && (LC_PROBE403_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE403_MU_CNT-1 : 0] LC_PROBE403_IS_TRIG =(LC_PROBE403_TYPE != 1)? {LC_PROBE403_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE404_IS_DATA = ((LC_NUM_OF_PROBES > 404 ) && (LC_PROBE404_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE404_MU_CNT-1 : 0] LC_PROBE404_IS_TRIG =(LC_PROBE404_TYPE != 1)? {LC_PROBE404_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE405_IS_DATA = ((LC_NUM_OF_PROBES > 405 ) && (LC_PROBE405_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE405_MU_CNT-1 : 0] LC_PROBE405_IS_TRIG =(LC_PROBE405_TYPE != 1)? {LC_PROBE405_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE406_IS_DATA = ((LC_NUM_OF_PROBES > 406 ) && (LC_PROBE406_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE406_MU_CNT-1 : 0] LC_PROBE406_IS_TRIG =(LC_PROBE406_TYPE != 1)? {LC_PROBE406_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE407_IS_DATA = ((LC_NUM_OF_PROBES > 407 ) && (LC_PROBE407_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE407_MU_CNT-1 : 0] LC_PROBE407_IS_TRIG =(LC_PROBE407_TYPE != 1)? {LC_PROBE407_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE408_IS_DATA = ((LC_NUM_OF_PROBES > 408 ) && (LC_PROBE408_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE408_MU_CNT-1 : 0] LC_PROBE408_IS_TRIG =(LC_PROBE408_TYPE != 1)? {LC_PROBE408_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE409_IS_DATA = ((LC_NUM_OF_PROBES > 409 ) && (LC_PROBE409_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE409_MU_CNT-1 : 0] LC_PROBE409_IS_TRIG =(LC_PROBE409_TYPE != 1)? {LC_PROBE409_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE410_IS_DATA = ((LC_NUM_OF_PROBES > 410 ) && (LC_PROBE410_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE410_MU_CNT-1 : 0] LC_PROBE410_IS_TRIG =(LC_PROBE410_TYPE != 1)? {LC_PROBE410_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE411_IS_DATA = ((LC_NUM_OF_PROBES > 411 ) && (LC_PROBE411_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE411_MU_CNT-1 : 0] LC_PROBE411_IS_TRIG =(LC_PROBE411_TYPE != 1)? {LC_PROBE411_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE412_IS_DATA = ((LC_NUM_OF_PROBES > 412 ) && (LC_PROBE412_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE412_MU_CNT-1 : 0] LC_PROBE412_IS_TRIG =(LC_PROBE412_TYPE != 1)? {LC_PROBE412_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE413_IS_DATA = ((LC_NUM_OF_PROBES > 413 ) && (LC_PROBE413_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE413_MU_CNT-1 : 0] LC_PROBE413_IS_TRIG =(LC_PROBE413_TYPE != 1)? {LC_PROBE413_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE414_IS_DATA = ((LC_NUM_OF_PROBES > 414 ) && (LC_PROBE414_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE414_MU_CNT-1 : 0] LC_PROBE414_IS_TRIG =(LC_PROBE414_TYPE != 1)? {LC_PROBE414_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE415_IS_DATA = ((LC_NUM_OF_PROBES > 415 ) && (LC_PROBE415_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE415_MU_CNT-1 : 0] LC_PROBE415_IS_TRIG =(LC_PROBE415_TYPE != 1)? {LC_PROBE415_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE416_IS_DATA = ((LC_NUM_OF_PROBES > 416 ) && (LC_PROBE416_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE416_MU_CNT-1 : 0] LC_PROBE416_IS_TRIG =(LC_PROBE416_TYPE != 1)? {LC_PROBE416_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE417_IS_DATA = ((LC_NUM_OF_PROBES > 417 ) && (LC_PROBE417_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE417_MU_CNT-1 : 0] LC_PROBE417_IS_TRIG =(LC_PROBE417_TYPE != 1)? {LC_PROBE417_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE418_IS_DATA = ((LC_NUM_OF_PROBES > 418 ) && (LC_PROBE418_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE418_MU_CNT-1 : 0] LC_PROBE418_IS_TRIG =(LC_PROBE418_TYPE != 1)? {LC_PROBE418_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE419_IS_DATA = ((LC_NUM_OF_PROBES > 419 ) && (LC_PROBE419_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE419_MU_CNT-1 : 0] LC_PROBE419_IS_TRIG =(LC_PROBE419_TYPE != 1)? {LC_PROBE419_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE420_IS_DATA = ((LC_NUM_OF_PROBES > 420 ) && (LC_PROBE420_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE420_MU_CNT-1 : 0] LC_PROBE420_IS_TRIG =(LC_PROBE420_TYPE != 1)? {LC_PROBE420_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE421_IS_DATA = ((LC_NUM_OF_PROBES > 421 ) && (LC_PROBE421_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE421_MU_CNT-1 : 0] LC_PROBE421_IS_TRIG =(LC_PROBE421_TYPE != 1)? {LC_PROBE421_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE422_IS_DATA = ((LC_NUM_OF_PROBES > 422 ) && (LC_PROBE422_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE422_MU_CNT-1 : 0] LC_PROBE422_IS_TRIG =(LC_PROBE422_TYPE != 1)? {LC_PROBE422_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE423_IS_DATA = ((LC_NUM_OF_PROBES > 423 ) && (LC_PROBE423_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE423_MU_CNT-1 : 0] LC_PROBE423_IS_TRIG =(LC_PROBE423_TYPE != 1)? {LC_PROBE423_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE424_IS_DATA = ((LC_NUM_OF_PROBES > 424 ) && (LC_PROBE424_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE424_MU_CNT-1 : 0] LC_PROBE424_IS_TRIG =(LC_PROBE424_TYPE != 1)? {LC_PROBE424_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE425_IS_DATA = ((LC_NUM_OF_PROBES > 425 ) && (LC_PROBE425_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE425_MU_CNT-1 : 0] LC_PROBE425_IS_TRIG =(LC_PROBE425_TYPE != 1)? {LC_PROBE425_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE426_IS_DATA = ((LC_NUM_OF_PROBES > 426 ) && (LC_PROBE426_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE426_MU_CNT-1 : 0] LC_PROBE426_IS_TRIG =(LC_PROBE426_TYPE != 1)? {LC_PROBE426_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE427_IS_DATA = ((LC_NUM_OF_PROBES > 427 ) && (LC_PROBE427_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE427_MU_CNT-1 : 0] LC_PROBE427_IS_TRIG =(LC_PROBE427_TYPE != 1)? {LC_PROBE427_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE428_IS_DATA = ((LC_NUM_OF_PROBES > 428 ) && (LC_PROBE428_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE428_MU_CNT-1 : 0] LC_PROBE428_IS_TRIG =(LC_PROBE428_TYPE != 1)? {LC_PROBE428_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE429_IS_DATA = ((LC_NUM_OF_PROBES > 429 ) && (LC_PROBE429_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE429_MU_CNT-1 : 0] LC_PROBE429_IS_TRIG =(LC_PROBE429_TYPE != 1)? {LC_PROBE429_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE430_IS_DATA = ((LC_NUM_OF_PROBES > 430 ) && (LC_PROBE430_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE430_MU_CNT-1 : 0] LC_PROBE430_IS_TRIG =(LC_PROBE430_TYPE != 1)? {LC_PROBE430_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE431_IS_DATA = ((LC_NUM_OF_PROBES > 431 ) && (LC_PROBE431_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE431_MU_CNT-1 : 0] LC_PROBE431_IS_TRIG =(LC_PROBE431_TYPE != 1)? {LC_PROBE431_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE432_IS_DATA = ((LC_NUM_OF_PROBES > 432 ) && (LC_PROBE432_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE432_MU_CNT-1 : 0] LC_PROBE432_IS_TRIG =(LC_PROBE432_TYPE != 1)? {LC_PROBE432_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE433_IS_DATA = ((LC_NUM_OF_PROBES > 433 ) && (LC_PROBE433_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE433_MU_CNT-1 : 0] LC_PROBE433_IS_TRIG =(LC_PROBE433_TYPE != 1)? {LC_PROBE433_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE434_IS_DATA = ((LC_NUM_OF_PROBES > 434 ) && (LC_PROBE434_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE434_MU_CNT-1 : 0] LC_PROBE434_IS_TRIG =(LC_PROBE434_TYPE != 1)? {LC_PROBE434_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE435_IS_DATA = ((LC_NUM_OF_PROBES > 435 ) && (LC_PROBE435_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE435_MU_CNT-1 : 0] LC_PROBE435_IS_TRIG =(LC_PROBE435_TYPE != 1)? {LC_PROBE435_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE436_IS_DATA = ((LC_NUM_OF_PROBES > 436 ) && (LC_PROBE436_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE436_MU_CNT-1 : 0] LC_PROBE436_IS_TRIG =(LC_PROBE436_TYPE != 1)? {LC_PROBE436_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE437_IS_DATA = ((LC_NUM_OF_PROBES > 437 ) && (LC_PROBE437_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE437_MU_CNT-1 : 0] LC_PROBE437_IS_TRIG =(LC_PROBE437_TYPE != 1)? {LC_PROBE437_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE438_IS_DATA = ((LC_NUM_OF_PROBES > 438 ) && (LC_PROBE438_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE438_MU_CNT-1 : 0] LC_PROBE438_IS_TRIG =(LC_PROBE438_TYPE != 1)? {LC_PROBE438_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE439_IS_DATA = ((LC_NUM_OF_PROBES > 439 ) && (LC_PROBE439_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE439_MU_CNT-1 : 0] LC_PROBE439_IS_TRIG =(LC_PROBE439_TYPE != 1)? {LC_PROBE439_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE440_IS_DATA = ((LC_NUM_OF_PROBES > 440 ) && (LC_PROBE440_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE440_MU_CNT-1 : 0] LC_PROBE440_IS_TRIG =(LC_PROBE440_TYPE != 1)? {LC_PROBE440_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE441_IS_DATA = ((LC_NUM_OF_PROBES > 441 ) && (LC_PROBE441_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE441_MU_CNT-1 : 0] LC_PROBE441_IS_TRIG =(LC_PROBE441_TYPE != 1)? {LC_PROBE441_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE442_IS_DATA = ((LC_NUM_OF_PROBES > 442 ) && (LC_PROBE442_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE442_MU_CNT-1 : 0] LC_PROBE442_IS_TRIG =(LC_PROBE442_TYPE != 1)? {LC_PROBE442_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE443_IS_DATA = ((LC_NUM_OF_PROBES > 443 ) && (LC_PROBE443_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE443_MU_CNT-1 : 0] LC_PROBE443_IS_TRIG =(LC_PROBE443_TYPE != 1)? {LC_PROBE443_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE444_IS_DATA = ((LC_NUM_OF_PROBES > 444 ) && (LC_PROBE444_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE444_MU_CNT-1 : 0] LC_PROBE444_IS_TRIG =(LC_PROBE444_TYPE != 1)? {LC_PROBE444_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE445_IS_DATA = ((LC_NUM_OF_PROBES > 445 ) && (LC_PROBE445_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE445_MU_CNT-1 : 0] LC_PROBE445_IS_TRIG =(LC_PROBE445_TYPE != 1)? {LC_PROBE445_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE446_IS_DATA = ((LC_NUM_OF_PROBES > 446 ) && (LC_PROBE446_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE446_MU_CNT-1 : 0] LC_PROBE446_IS_TRIG =(LC_PROBE446_TYPE != 1)? {LC_PROBE446_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE447_IS_DATA = ((LC_NUM_OF_PROBES > 447 ) && (LC_PROBE447_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE447_MU_CNT-1 : 0] LC_PROBE447_IS_TRIG =(LC_PROBE447_TYPE != 1)? {LC_PROBE447_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE448_IS_DATA = ((LC_NUM_OF_PROBES > 448 ) && (LC_PROBE448_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE448_MU_CNT-1 : 0] LC_PROBE448_IS_TRIG =(LC_PROBE448_TYPE != 1)? {LC_PROBE448_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE449_IS_DATA = ((LC_NUM_OF_PROBES > 449 ) && (LC_PROBE449_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE449_MU_CNT-1 : 0] LC_PROBE449_IS_TRIG =(LC_PROBE449_TYPE != 1)? {LC_PROBE449_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE450_IS_DATA = ((LC_NUM_OF_PROBES > 450 ) && (LC_PROBE450_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE450_MU_CNT-1 : 0] LC_PROBE450_IS_TRIG =(LC_PROBE450_TYPE != 1)? {LC_PROBE450_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE451_IS_DATA = ((LC_NUM_OF_PROBES > 451 ) && (LC_PROBE451_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE451_MU_CNT-1 : 0] LC_PROBE451_IS_TRIG =(LC_PROBE451_TYPE != 1)? {LC_PROBE451_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE452_IS_DATA = ((LC_NUM_OF_PROBES > 452 ) && (LC_PROBE452_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE452_MU_CNT-1 : 0] LC_PROBE452_IS_TRIG =(LC_PROBE452_TYPE != 1)? {LC_PROBE452_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE453_IS_DATA = ((LC_NUM_OF_PROBES > 453 ) && (LC_PROBE453_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE453_MU_CNT-1 : 0] LC_PROBE453_IS_TRIG =(LC_PROBE453_TYPE != 1)? {LC_PROBE453_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE454_IS_DATA = ((LC_NUM_OF_PROBES > 454 ) && (LC_PROBE454_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE454_MU_CNT-1 : 0] LC_PROBE454_IS_TRIG =(LC_PROBE454_TYPE != 1)? {LC_PROBE454_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE455_IS_DATA = ((LC_NUM_OF_PROBES > 455 ) && (LC_PROBE455_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE455_MU_CNT-1 : 0] LC_PROBE455_IS_TRIG =(LC_PROBE455_TYPE != 1)? {LC_PROBE455_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE456_IS_DATA = ((LC_NUM_OF_PROBES > 456 ) && (LC_PROBE456_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE456_MU_CNT-1 : 0] LC_PROBE456_IS_TRIG =(LC_PROBE456_TYPE != 1)? {LC_PROBE456_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE457_IS_DATA = ((LC_NUM_OF_PROBES > 457 ) && (LC_PROBE457_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE457_MU_CNT-1 : 0] LC_PROBE457_IS_TRIG =(LC_PROBE457_TYPE != 1)? {LC_PROBE457_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE458_IS_DATA = ((LC_NUM_OF_PROBES > 458 ) && (LC_PROBE458_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE458_MU_CNT-1 : 0] LC_PROBE458_IS_TRIG =(LC_PROBE458_TYPE != 1)? {LC_PROBE458_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE459_IS_DATA = ((LC_NUM_OF_PROBES > 459 ) && (LC_PROBE459_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE459_MU_CNT-1 : 0] LC_PROBE459_IS_TRIG =(LC_PROBE459_TYPE != 1)? {LC_PROBE459_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE460_IS_DATA = ((LC_NUM_OF_PROBES > 460 ) && (LC_PROBE460_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE460_MU_CNT-1 : 0] LC_PROBE460_IS_TRIG =(LC_PROBE460_TYPE != 1)? {LC_PROBE460_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE461_IS_DATA = ((LC_NUM_OF_PROBES > 461 ) && (LC_PROBE461_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE461_MU_CNT-1 : 0] LC_PROBE461_IS_TRIG =(LC_PROBE461_TYPE != 1)? {LC_PROBE461_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE462_IS_DATA = ((LC_NUM_OF_PROBES > 462 ) && (LC_PROBE462_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE462_MU_CNT-1 : 0] LC_PROBE462_IS_TRIG =(LC_PROBE462_TYPE != 1)? {LC_PROBE462_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE463_IS_DATA = ((LC_NUM_OF_PROBES > 463 ) && (LC_PROBE463_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE463_MU_CNT-1 : 0] LC_PROBE463_IS_TRIG =(LC_PROBE463_TYPE != 1)? {LC_PROBE463_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE464_IS_DATA = ((LC_NUM_OF_PROBES > 464 ) && (LC_PROBE464_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE464_MU_CNT-1 : 0] LC_PROBE464_IS_TRIG =(LC_PROBE464_TYPE != 1)? {LC_PROBE464_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE465_IS_DATA = ((LC_NUM_OF_PROBES > 465 ) && (LC_PROBE465_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE465_MU_CNT-1 : 0] LC_PROBE465_IS_TRIG =(LC_PROBE465_TYPE != 1)? {LC_PROBE465_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE466_IS_DATA = ((LC_NUM_OF_PROBES > 466 ) && (LC_PROBE466_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE466_MU_CNT-1 : 0] LC_PROBE466_IS_TRIG =(LC_PROBE466_TYPE != 1)? {LC_PROBE466_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE467_IS_DATA = ((LC_NUM_OF_PROBES > 467 ) && (LC_PROBE467_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE467_MU_CNT-1 : 0] LC_PROBE467_IS_TRIG =(LC_PROBE467_TYPE != 1)? {LC_PROBE467_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE468_IS_DATA = ((LC_NUM_OF_PROBES > 468 ) && (LC_PROBE468_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE468_MU_CNT-1 : 0] LC_PROBE468_IS_TRIG =(LC_PROBE468_TYPE != 1)? {LC_PROBE468_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE469_IS_DATA = ((LC_NUM_OF_PROBES > 469 ) && (LC_PROBE469_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE469_MU_CNT-1 : 0] LC_PROBE469_IS_TRIG =(LC_PROBE469_TYPE != 1)? {LC_PROBE469_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE470_IS_DATA = ((LC_NUM_OF_PROBES > 470 ) && (LC_PROBE470_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE470_MU_CNT-1 : 0] LC_PROBE470_IS_TRIG =(LC_PROBE470_TYPE != 1)? {LC_PROBE470_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE471_IS_DATA = ((LC_NUM_OF_PROBES > 471 ) && (LC_PROBE471_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE471_MU_CNT-1 : 0] LC_PROBE471_IS_TRIG =(LC_PROBE471_TYPE != 1)? {LC_PROBE471_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE472_IS_DATA = ((LC_NUM_OF_PROBES > 472 ) && (LC_PROBE472_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE472_MU_CNT-1 : 0] LC_PROBE472_IS_TRIG =(LC_PROBE472_TYPE != 1)? {LC_PROBE472_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE473_IS_DATA = ((LC_NUM_OF_PROBES > 473 ) && (LC_PROBE473_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE473_MU_CNT-1 : 0] LC_PROBE473_IS_TRIG =(LC_PROBE473_TYPE != 1)? {LC_PROBE473_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE474_IS_DATA = ((LC_NUM_OF_PROBES > 474 ) && (LC_PROBE474_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE474_MU_CNT-1 : 0] LC_PROBE474_IS_TRIG =(LC_PROBE474_TYPE != 1)? {LC_PROBE474_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE475_IS_DATA = ((LC_NUM_OF_PROBES > 475 ) && (LC_PROBE475_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE475_MU_CNT-1 : 0] LC_PROBE475_IS_TRIG =(LC_PROBE475_TYPE != 1)? {LC_PROBE475_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE476_IS_DATA = ((LC_NUM_OF_PROBES > 476 ) && (LC_PROBE476_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE476_MU_CNT-1 : 0] LC_PROBE476_IS_TRIG =(LC_PROBE476_TYPE != 1)? {LC_PROBE476_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE477_IS_DATA = ((LC_NUM_OF_PROBES > 477 ) && (LC_PROBE477_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE477_MU_CNT-1 : 0] LC_PROBE477_IS_TRIG =(LC_PROBE477_TYPE != 1)? {LC_PROBE477_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE478_IS_DATA = ((LC_NUM_OF_PROBES > 478 ) && (LC_PROBE478_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE478_MU_CNT-1 : 0] LC_PROBE478_IS_TRIG =(LC_PROBE478_TYPE != 1)? {LC_PROBE478_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE479_IS_DATA = ((LC_NUM_OF_PROBES > 479 ) && (LC_PROBE479_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE479_MU_CNT-1 : 0] LC_PROBE479_IS_TRIG =(LC_PROBE479_TYPE != 1)? {LC_PROBE479_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE480_IS_DATA = ((LC_NUM_OF_PROBES > 480 ) && (LC_PROBE480_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE480_MU_CNT-1 : 0] LC_PROBE480_IS_TRIG =(LC_PROBE480_TYPE != 1)? {LC_PROBE480_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE481_IS_DATA = ((LC_NUM_OF_PROBES > 481 ) && (LC_PROBE481_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE481_MU_CNT-1 : 0] LC_PROBE481_IS_TRIG =(LC_PROBE481_TYPE != 1)? {LC_PROBE481_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE482_IS_DATA = ((LC_NUM_OF_PROBES > 482 ) && (LC_PROBE482_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE482_MU_CNT-1 : 0] LC_PROBE482_IS_TRIG =(LC_PROBE482_TYPE != 1)? {LC_PROBE482_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE483_IS_DATA = ((LC_NUM_OF_PROBES > 483 ) && (LC_PROBE483_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE483_MU_CNT-1 : 0] LC_PROBE483_IS_TRIG =(LC_PROBE483_TYPE != 1)? {LC_PROBE483_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE484_IS_DATA = ((LC_NUM_OF_PROBES > 484 ) && (LC_PROBE484_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE484_MU_CNT-1 : 0] LC_PROBE484_IS_TRIG =(LC_PROBE484_TYPE != 1)? {LC_PROBE484_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE485_IS_DATA = ((LC_NUM_OF_PROBES > 485 ) && (LC_PROBE485_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE485_MU_CNT-1 : 0] LC_PROBE485_IS_TRIG =(LC_PROBE485_TYPE != 1)? {LC_PROBE485_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE486_IS_DATA = ((LC_NUM_OF_PROBES > 486 ) && (LC_PROBE486_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE486_MU_CNT-1 : 0] LC_PROBE486_IS_TRIG =(LC_PROBE486_TYPE != 1)? {LC_PROBE486_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE487_IS_DATA = ((LC_NUM_OF_PROBES > 487 ) && (LC_PROBE487_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE487_MU_CNT-1 : 0] LC_PROBE487_IS_TRIG =(LC_PROBE487_TYPE != 1)? {LC_PROBE487_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE488_IS_DATA = ((LC_NUM_OF_PROBES > 488 ) && (LC_PROBE488_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE488_MU_CNT-1 : 0] LC_PROBE488_IS_TRIG =(LC_PROBE488_TYPE != 1)? {LC_PROBE488_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE489_IS_DATA = ((LC_NUM_OF_PROBES > 489 ) && (LC_PROBE489_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE489_MU_CNT-1 : 0] LC_PROBE489_IS_TRIG =(LC_PROBE489_TYPE != 1)? {LC_PROBE489_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE490_IS_DATA = ((LC_NUM_OF_PROBES > 490 ) && (LC_PROBE490_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE490_MU_CNT-1 : 0] LC_PROBE490_IS_TRIG =(LC_PROBE490_TYPE != 1)? {LC_PROBE490_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE491_IS_DATA = ((LC_NUM_OF_PROBES > 491 ) && (LC_PROBE491_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE491_MU_CNT-1 : 0] LC_PROBE491_IS_TRIG =(LC_PROBE491_TYPE != 1)? {LC_PROBE491_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE492_IS_DATA = ((LC_NUM_OF_PROBES > 492 ) && (LC_PROBE492_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE492_MU_CNT-1 : 0] LC_PROBE492_IS_TRIG =(LC_PROBE492_TYPE != 1)? {LC_PROBE492_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE493_IS_DATA = ((LC_NUM_OF_PROBES > 493 ) && (LC_PROBE493_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE493_MU_CNT-1 : 0] LC_PROBE493_IS_TRIG =(LC_PROBE493_TYPE != 1)? {LC_PROBE493_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE494_IS_DATA = ((LC_NUM_OF_PROBES > 494 ) && (LC_PROBE494_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE494_MU_CNT-1 : 0] LC_PROBE494_IS_TRIG =(LC_PROBE494_TYPE != 1)? {LC_PROBE494_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE495_IS_DATA = ((LC_NUM_OF_PROBES > 495 ) && (LC_PROBE495_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE495_MU_CNT-1 : 0] LC_PROBE495_IS_TRIG =(LC_PROBE495_TYPE != 1)? {LC_PROBE495_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE496_IS_DATA = ((LC_NUM_OF_PROBES > 496 ) && (LC_PROBE496_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE496_MU_CNT-1 : 0] LC_PROBE496_IS_TRIG =(LC_PROBE496_TYPE != 1)? {LC_PROBE496_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE497_IS_DATA = ((LC_NUM_OF_PROBES > 497 ) && (LC_PROBE497_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE497_MU_CNT-1 : 0] LC_PROBE497_IS_TRIG =(LC_PROBE497_TYPE != 1)? {LC_PROBE497_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE498_IS_DATA = ((LC_NUM_OF_PROBES > 498 ) && (LC_PROBE498_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE498_MU_CNT-1 : 0] LC_PROBE498_IS_TRIG =(LC_PROBE498_TYPE != 1)? {LC_PROBE498_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE499_IS_DATA = ((LC_NUM_OF_PROBES > 499 ) && (LC_PROBE499_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE499_MU_CNT-1 : 0] LC_PROBE499_IS_TRIG =(LC_PROBE499_TYPE != 1)? {LC_PROBE499_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE500_IS_DATA = ((LC_NUM_OF_PROBES > 500 ) && (LC_PROBE500_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE500_MU_CNT-1 : 0] LC_PROBE500_IS_TRIG =(LC_PROBE500_TYPE != 1)? {LC_PROBE500_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE501_IS_DATA = ((LC_NUM_OF_PROBES > 501 ) && (LC_PROBE501_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE501_MU_CNT-1 : 0] LC_PROBE501_IS_TRIG =(LC_PROBE501_TYPE != 1)? {LC_PROBE501_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE502_IS_DATA = ((LC_NUM_OF_PROBES > 502 ) && (LC_PROBE502_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE502_MU_CNT-1 : 0] LC_PROBE502_IS_TRIG =(LC_PROBE502_TYPE != 1)? {LC_PROBE502_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE503_IS_DATA = ((LC_NUM_OF_PROBES > 503 ) && (LC_PROBE503_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE503_MU_CNT-1 : 0] LC_PROBE503_IS_TRIG =(LC_PROBE503_TYPE != 1)? {LC_PROBE503_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE504_IS_DATA = ((LC_NUM_OF_PROBES > 504 ) && (LC_PROBE504_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE504_MU_CNT-1 : 0] LC_PROBE504_IS_TRIG =(LC_PROBE504_TYPE != 1)? {LC_PROBE504_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE505_IS_DATA = ((LC_NUM_OF_PROBES > 505 ) && (LC_PROBE505_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE505_MU_CNT-1 : 0] LC_PROBE505_IS_TRIG =(LC_PROBE505_TYPE != 1)? {LC_PROBE505_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE506_IS_DATA = ((LC_NUM_OF_PROBES > 506 ) && (LC_PROBE506_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE506_MU_CNT-1 : 0] LC_PROBE506_IS_TRIG =(LC_PROBE506_TYPE != 1)? {LC_PROBE506_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE507_IS_DATA = ((LC_NUM_OF_PROBES > 507 ) && (LC_PROBE507_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE507_MU_CNT-1 : 0] LC_PROBE507_IS_TRIG =(LC_PROBE507_TYPE != 1)? {LC_PROBE507_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE508_IS_DATA = ((LC_NUM_OF_PROBES > 508 ) && (LC_PROBE508_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE508_MU_CNT-1 : 0] LC_PROBE508_IS_TRIG =(LC_PROBE508_TYPE != 1)? {LC_PROBE508_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE509_IS_DATA = ((LC_NUM_OF_PROBES > 509 ) && (LC_PROBE509_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE509_MU_CNT-1 : 0] LC_PROBE509_IS_TRIG =(LC_PROBE509_TYPE != 1)? {LC_PROBE509_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE510_IS_DATA = ((LC_NUM_OF_PROBES > 510 ) && (LC_PROBE510_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE510_MU_CNT-1 : 0] LC_PROBE510_IS_TRIG =(LC_PROBE510_TYPE != 1)? {LC_PROBE510_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE511_IS_DATA = ((LC_NUM_OF_PROBES > 511 ) && (LC_PROBE511_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE511_MU_CNT-1 : 0] LC_PROBE511_IS_TRIG =(LC_PROBE511_TYPE != 1)? {LC_PROBE511_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE512_IS_DATA = ((LC_NUM_OF_PROBES > 512 ) && (LC_PROBE512_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE512_MU_CNT-1 : 0] LC_PROBE512_IS_TRIG =(LC_PROBE512_TYPE != 1)? {LC_PROBE512_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE513_IS_DATA = ((LC_NUM_OF_PROBES > 513 ) && (LC_PROBE513_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE513_MU_CNT-1 : 0] LC_PROBE513_IS_TRIG =(LC_PROBE513_TYPE != 1)? {LC_PROBE513_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE514_IS_DATA = ((LC_NUM_OF_PROBES > 514 ) && (LC_PROBE514_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE514_MU_CNT-1 : 0] LC_PROBE514_IS_TRIG =(LC_PROBE514_TYPE != 1)? {LC_PROBE514_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE515_IS_DATA = ((LC_NUM_OF_PROBES > 515 ) && (LC_PROBE515_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE515_MU_CNT-1 : 0] LC_PROBE515_IS_TRIG =(LC_PROBE515_TYPE != 1)? {LC_PROBE515_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE516_IS_DATA = ((LC_NUM_OF_PROBES > 516 ) && (LC_PROBE516_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE516_MU_CNT-1 : 0] LC_PROBE516_IS_TRIG =(LC_PROBE516_TYPE != 1)? {LC_PROBE516_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE517_IS_DATA = ((LC_NUM_OF_PROBES > 517 ) && (LC_PROBE517_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE517_MU_CNT-1 : 0] LC_PROBE517_IS_TRIG =(LC_PROBE517_TYPE != 1)? {LC_PROBE517_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE518_IS_DATA = ((LC_NUM_OF_PROBES > 518 ) && (LC_PROBE518_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE518_MU_CNT-1 : 0] LC_PROBE518_IS_TRIG =(LC_PROBE518_TYPE != 1)? {LC_PROBE518_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE519_IS_DATA = ((LC_NUM_OF_PROBES > 519 ) && (LC_PROBE519_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE519_MU_CNT-1 : 0] LC_PROBE519_IS_TRIG =(LC_PROBE519_TYPE != 1)? {LC_PROBE519_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE520_IS_DATA = ((LC_NUM_OF_PROBES > 520 ) && (LC_PROBE520_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE520_MU_CNT-1 : 0] LC_PROBE520_IS_TRIG =(LC_PROBE520_TYPE != 1)? {LC_PROBE520_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE521_IS_DATA = ((LC_NUM_OF_PROBES > 521 ) && (LC_PROBE521_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE521_MU_CNT-1 : 0] LC_PROBE521_IS_TRIG =(LC_PROBE521_TYPE != 1)? {LC_PROBE521_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE522_IS_DATA = ((LC_NUM_OF_PROBES > 522 ) && (LC_PROBE522_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE522_MU_CNT-1 : 0] LC_PROBE522_IS_TRIG =(LC_PROBE522_TYPE != 1)? {LC_PROBE522_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE523_IS_DATA = ((LC_NUM_OF_PROBES > 523 ) && (LC_PROBE523_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE523_MU_CNT-1 : 0] LC_PROBE523_IS_TRIG =(LC_PROBE523_TYPE != 1)? {LC_PROBE523_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE524_IS_DATA = ((LC_NUM_OF_PROBES > 524 ) && (LC_PROBE524_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE524_MU_CNT-1 : 0] LC_PROBE524_IS_TRIG =(LC_PROBE524_TYPE != 1)? {LC_PROBE524_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE525_IS_DATA = ((LC_NUM_OF_PROBES > 525 ) && (LC_PROBE525_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE525_MU_CNT-1 : 0] LC_PROBE525_IS_TRIG =(LC_PROBE525_TYPE != 1)? {LC_PROBE525_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE526_IS_DATA = ((LC_NUM_OF_PROBES > 526 ) && (LC_PROBE526_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE526_MU_CNT-1 : 0] LC_PROBE526_IS_TRIG =(LC_PROBE526_TYPE != 1)? {LC_PROBE526_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE527_IS_DATA = ((LC_NUM_OF_PROBES > 527 ) && (LC_PROBE527_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE527_MU_CNT-1 : 0] LC_PROBE527_IS_TRIG =(LC_PROBE527_TYPE != 1)? {LC_PROBE527_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE528_IS_DATA = ((LC_NUM_OF_PROBES > 528 ) && (LC_PROBE528_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE528_MU_CNT-1 : 0] LC_PROBE528_IS_TRIG =(LC_PROBE528_TYPE != 1)? {LC_PROBE528_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE529_IS_DATA = ((LC_NUM_OF_PROBES > 529 ) && (LC_PROBE529_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE529_MU_CNT-1 : 0] LC_PROBE529_IS_TRIG =(LC_PROBE529_TYPE != 1)? {LC_PROBE529_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE530_IS_DATA = ((LC_NUM_OF_PROBES > 530 ) && (LC_PROBE530_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE530_MU_CNT-1 : 0] LC_PROBE530_IS_TRIG =(LC_PROBE530_TYPE != 1)? {LC_PROBE530_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE531_IS_DATA = ((LC_NUM_OF_PROBES > 531 ) && (LC_PROBE531_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE531_MU_CNT-1 : 0] LC_PROBE531_IS_TRIG =(LC_PROBE531_TYPE != 1)? {LC_PROBE531_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE532_IS_DATA = ((LC_NUM_OF_PROBES > 532 ) && (LC_PROBE532_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE532_MU_CNT-1 : 0] LC_PROBE532_IS_TRIG =(LC_PROBE532_TYPE != 1)? {LC_PROBE532_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE533_IS_DATA = ((LC_NUM_OF_PROBES > 533 ) && (LC_PROBE533_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE533_MU_CNT-1 : 0] LC_PROBE533_IS_TRIG =(LC_PROBE533_TYPE != 1)? {LC_PROBE533_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE534_IS_DATA = ((LC_NUM_OF_PROBES > 534 ) && (LC_PROBE534_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE534_MU_CNT-1 : 0] LC_PROBE534_IS_TRIG =(LC_PROBE534_TYPE != 1)? {LC_PROBE534_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE535_IS_DATA = ((LC_NUM_OF_PROBES > 535 ) && (LC_PROBE535_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE535_MU_CNT-1 : 0] LC_PROBE535_IS_TRIG =(LC_PROBE535_TYPE != 1)? {LC_PROBE535_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE536_IS_DATA = ((LC_NUM_OF_PROBES > 536 ) && (LC_PROBE536_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE536_MU_CNT-1 : 0] LC_PROBE536_IS_TRIG =(LC_PROBE536_TYPE != 1)? {LC_PROBE536_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE537_IS_DATA = ((LC_NUM_OF_PROBES > 537 ) && (LC_PROBE537_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE537_MU_CNT-1 : 0] LC_PROBE537_IS_TRIG =(LC_PROBE537_TYPE != 1)? {LC_PROBE537_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE538_IS_DATA = ((LC_NUM_OF_PROBES > 538 ) && (LC_PROBE538_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE538_MU_CNT-1 : 0] LC_PROBE538_IS_TRIG =(LC_PROBE538_TYPE != 1)? {LC_PROBE538_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE539_IS_DATA = ((LC_NUM_OF_PROBES > 539 ) && (LC_PROBE539_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE539_MU_CNT-1 : 0] LC_PROBE539_IS_TRIG =(LC_PROBE539_TYPE != 1)? {LC_PROBE539_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE540_IS_DATA = ((LC_NUM_OF_PROBES > 540 ) && (LC_PROBE540_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE540_MU_CNT-1 : 0] LC_PROBE540_IS_TRIG =(LC_PROBE540_TYPE != 1)? {LC_PROBE540_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE541_IS_DATA = ((LC_NUM_OF_PROBES > 541 ) && (LC_PROBE541_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE541_MU_CNT-1 : 0] LC_PROBE541_IS_TRIG =(LC_PROBE541_TYPE != 1)? {LC_PROBE541_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE542_IS_DATA = ((LC_NUM_OF_PROBES > 542 ) && (LC_PROBE542_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE542_MU_CNT-1 : 0] LC_PROBE542_IS_TRIG =(LC_PROBE542_TYPE != 1)? {LC_PROBE542_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE543_IS_DATA = ((LC_NUM_OF_PROBES > 543 ) && (LC_PROBE543_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE543_MU_CNT-1 : 0] LC_PROBE543_IS_TRIG =(LC_PROBE543_TYPE != 1)? {LC_PROBE543_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE544_IS_DATA = ((LC_NUM_OF_PROBES > 544 ) && (LC_PROBE544_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE544_MU_CNT-1 : 0] LC_PROBE544_IS_TRIG =(LC_PROBE544_TYPE != 1)? {LC_PROBE544_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE545_IS_DATA = ((LC_NUM_OF_PROBES > 545 ) && (LC_PROBE545_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE545_MU_CNT-1 : 0] LC_PROBE545_IS_TRIG =(LC_PROBE545_TYPE != 1)? {LC_PROBE545_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE546_IS_DATA = ((LC_NUM_OF_PROBES > 546 ) && (LC_PROBE546_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE546_MU_CNT-1 : 0] LC_PROBE546_IS_TRIG =(LC_PROBE546_TYPE != 1)? {LC_PROBE546_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE547_IS_DATA = ((LC_NUM_OF_PROBES > 547 ) && (LC_PROBE547_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE547_MU_CNT-1 : 0] LC_PROBE547_IS_TRIG =(LC_PROBE547_TYPE != 1)? {LC_PROBE547_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE548_IS_DATA = ((LC_NUM_OF_PROBES > 548 ) && (LC_PROBE548_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE548_MU_CNT-1 : 0] LC_PROBE548_IS_TRIG =(LC_PROBE548_TYPE != 1)? {LC_PROBE548_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE549_IS_DATA = ((LC_NUM_OF_PROBES > 549 ) && (LC_PROBE549_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE549_MU_CNT-1 : 0] LC_PROBE549_IS_TRIG =(LC_PROBE549_TYPE != 1)? {LC_PROBE549_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE550_IS_DATA = ((LC_NUM_OF_PROBES > 550 ) && (LC_PROBE550_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE550_MU_CNT-1 : 0] LC_PROBE550_IS_TRIG =(LC_PROBE550_TYPE != 1)? {LC_PROBE550_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE551_IS_DATA = ((LC_NUM_OF_PROBES > 551 ) && (LC_PROBE551_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE551_MU_CNT-1 : 0] LC_PROBE551_IS_TRIG =(LC_PROBE551_TYPE != 1)? {LC_PROBE551_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE552_IS_DATA = ((LC_NUM_OF_PROBES > 552 ) && (LC_PROBE552_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE552_MU_CNT-1 : 0] LC_PROBE552_IS_TRIG =(LC_PROBE552_TYPE != 1)? {LC_PROBE552_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE553_IS_DATA = ((LC_NUM_OF_PROBES > 553 ) && (LC_PROBE553_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE553_MU_CNT-1 : 0] LC_PROBE553_IS_TRIG =(LC_PROBE553_TYPE != 1)? {LC_PROBE553_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE554_IS_DATA = ((LC_NUM_OF_PROBES > 554 ) && (LC_PROBE554_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE554_MU_CNT-1 : 0] LC_PROBE554_IS_TRIG =(LC_PROBE554_TYPE != 1)? {LC_PROBE554_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE555_IS_DATA = ((LC_NUM_OF_PROBES > 555 ) && (LC_PROBE555_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE555_MU_CNT-1 : 0] LC_PROBE555_IS_TRIG =(LC_PROBE555_TYPE != 1)? {LC_PROBE555_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE556_IS_DATA = ((LC_NUM_OF_PROBES > 556 ) && (LC_PROBE556_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE556_MU_CNT-1 : 0] LC_PROBE556_IS_TRIG =(LC_PROBE556_TYPE != 1)? {LC_PROBE556_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE557_IS_DATA = ((LC_NUM_OF_PROBES > 557 ) && (LC_PROBE557_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE557_MU_CNT-1 : 0] LC_PROBE557_IS_TRIG =(LC_PROBE557_TYPE != 1)? {LC_PROBE557_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE558_IS_DATA = ((LC_NUM_OF_PROBES > 558 ) && (LC_PROBE558_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE558_MU_CNT-1 : 0] LC_PROBE558_IS_TRIG =(LC_PROBE558_TYPE != 1)? {LC_PROBE558_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE559_IS_DATA = ((LC_NUM_OF_PROBES > 559 ) && (LC_PROBE559_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE559_MU_CNT-1 : 0] LC_PROBE559_IS_TRIG =(LC_PROBE559_TYPE != 1)? {LC_PROBE559_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE560_IS_DATA = ((LC_NUM_OF_PROBES > 560 ) && (LC_PROBE560_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE560_MU_CNT-1 : 0] LC_PROBE560_IS_TRIG =(LC_PROBE560_TYPE != 1)? {LC_PROBE560_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE561_IS_DATA = ((LC_NUM_OF_PROBES > 561 ) && (LC_PROBE561_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE561_MU_CNT-1 : 0] LC_PROBE561_IS_TRIG =(LC_PROBE561_TYPE != 1)? {LC_PROBE561_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE562_IS_DATA = ((LC_NUM_OF_PROBES > 562 ) && (LC_PROBE562_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE562_MU_CNT-1 : 0] LC_PROBE562_IS_TRIG =(LC_PROBE562_TYPE != 1)? {LC_PROBE562_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE563_IS_DATA = ((LC_NUM_OF_PROBES > 563 ) && (LC_PROBE563_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE563_MU_CNT-1 : 0] LC_PROBE563_IS_TRIG =(LC_PROBE563_TYPE != 1)? {LC_PROBE563_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE564_IS_DATA = ((LC_NUM_OF_PROBES > 564 ) && (LC_PROBE564_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE564_MU_CNT-1 : 0] LC_PROBE564_IS_TRIG =(LC_PROBE564_TYPE != 1)? {LC_PROBE564_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE565_IS_DATA = ((LC_NUM_OF_PROBES > 565 ) && (LC_PROBE565_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE565_MU_CNT-1 : 0] LC_PROBE565_IS_TRIG =(LC_PROBE565_TYPE != 1)? {LC_PROBE565_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE566_IS_DATA = ((LC_NUM_OF_PROBES > 566 ) && (LC_PROBE566_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE566_MU_CNT-1 : 0] LC_PROBE566_IS_TRIG =(LC_PROBE566_TYPE != 1)? {LC_PROBE566_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE567_IS_DATA = ((LC_NUM_OF_PROBES > 567 ) && (LC_PROBE567_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE567_MU_CNT-1 : 0] LC_PROBE567_IS_TRIG =(LC_PROBE567_TYPE != 1)? {LC_PROBE567_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE568_IS_DATA = ((LC_NUM_OF_PROBES > 568 ) && (LC_PROBE568_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE568_MU_CNT-1 : 0] LC_PROBE568_IS_TRIG =(LC_PROBE568_TYPE != 1)? {LC_PROBE568_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE569_IS_DATA = ((LC_NUM_OF_PROBES > 569 ) && (LC_PROBE569_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE569_MU_CNT-1 : 0] LC_PROBE569_IS_TRIG =(LC_PROBE569_TYPE != 1)? {LC_PROBE569_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE570_IS_DATA = ((LC_NUM_OF_PROBES > 570 ) && (LC_PROBE570_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE570_MU_CNT-1 : 0] LC_PROBE570_IS_TRIG =(LC_PROBE570_TYPE != 1)? {LC_PROBE570_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE571_IS_DATA = ((LC_NUM_OF_PROBES > 571 ) && (LC_PROBE571_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE571_MU_CNT-1 : 0] LC_PROBE571_IS_TRIG =(LC_PROBE571_TYPE != 1)? {LC_PROBE571_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE572_IS_DATA = ((LC_NUM_OF_PROBES > 572 ) && (LC_PROBE572_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE572_MU_CNT-1 : 0] LC_PROBE572_IS_TRIG =(LC_PROBE572_TYPE != 1)? {LC_PROBE572_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE573_IS_DATA = ((LC_NUM_OF_PROBES > 573 ) && (LC_PROBE573_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE573_MU_CNT-1 : 0] LC_PROBE573_IS_TRIG =(LC_PROBE573_TYPE != 1)? {LC_PROBE573_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE574_IS_DATA = ((LC_NUM_OF_PROBES > 574 ) && (LC_PROBE574_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE574_MU_CNT-1 : 0] LC_PROBE574_IS_TRIG =(LC_PROBE574_TYPE != 1)? {LC_PROBE574_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE575_IS_DATA = ((LC_NUM_OF_PROBES > 575 ) && (LC_PROBE575_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE575_MU_CNT-1 : 0] LC_PROBE575_IS_TRIG =(LC_PROBE575_TYPE != 1)? {LC_PROBE575_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE576_IS_DATA = ((LC_NUM_OF_PROBES > 576 ) && (LC_PROBE576_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE576_MU_CNT-1 : 0] LC_PROBE576_IS_TRIG =(LC_PROBE576_TYPE != 1)? {LC_PROBE576_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE577_IS_DATA = ((LC_NUM_OF_PROBES > 577 ) && (LC_PROBE577_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE577_MU_CNT-1 : 0] LC_PROBE577_IS_TRIG =(LC_PROBE577_TYPE != 1)? {LC_PROBE577_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE578_IS_DATA = ((LC_NUM_OF_PROBES > 578 ) && (LC_PROBE578_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE578_MU_CNT-1 : 0] LC_PROBE578_IS_TRIG =(LC_PROBE578_TYPE != 1)? {LC_PROBE578_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE579_IS_DATA = ((LC_NUM_OF_PROBES > 579 ) && (LC_PROBE579_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE579_MU_CNT-1 : 0] LC_PROBE579_IS_TRIG =(LC_PROBE579_TYPE != 1)? {LC_PROBE579_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE580_IS_DATA = ((LC_NUM_OF_PROBES > 580 ) && (LC_PROBE580_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE580_MU_CNT-1 : 0] LC_PROBE580_IS_TRIG =(LC_PROBE580_TYPE != 1)? {LC_PROBE580_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE581_IS_DATA = ((LC_NUM_OF_PROBES > 581 ) && (LC_PROBE581_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE581_MU_CNT-1 : 0] LC_PROBE581_IS_TRIG =(LC_PROBE581_TYPE != 1)? {LC_PROBE581_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE582_IS_DATA = ((LC_NUM_OF_PROBES > 582 ) && (LC_PROBE582_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE582_MU_CNT-1 : 0] LC_PROBE582_IS_TRIG =(LC_PROBE582_TYPE != 1)? {LC_PROBE582_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE583_IS_DATA = ((LC_NUM_OF_PROBES > 583 ) && (LC_PROBE583_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE583_MU_CNT-1 : 0] LC_PROBE583_IS_TRIG =(LC_PROBE583_TYPE != 1)? {LC_PROBE583_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE584_IS_DATA = ((LC_NUM_OF_PROBES > 584 ) && (LC_PROBE584_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE584_MU_CNT-1 : 0] LC_PROBE584_IS_TRIG =(LC_PROBE584_TYPE != 1)? {LC_PROBE584_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE585_IS_DATA = ((LC_NUM_OF_PROBES > 585 ) && (LC_PROBE585_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE585_MU_CNT-1 : 0] LC_PROBE585_IS_TRIG =(LC_PROBE585_TYPE != 1)? {LC_PROBE585_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE586_IS_DATA = ((LC_NUM_OF_PROBES > 586 ) && (LC_PROBE586_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE586_MU_CNT-1 : 0] LC_PROBE586_IS_TRIG =(LC_PROBE586_TYPE != 1)? {LC_PROBE586_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE587_IS_DATA = ((LC_NUM_OF_PROBES > 587 ) && (LC_PROBE587_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE587_MU_CNT-1 : 0] LC_PROBE587_IS_TRIG =(LC_PROBE587_TYPE != 1)? {LC_PROBE587_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE588_IS_DATA = ((LC_NUM_OF_PROBES > 588 ) && (LC_PROBE588_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE588_MU_CNT-1 : 0] LC_PROBE588_IS_TRIG =(LC_PROBE588_TYPE != 1)? {LC_PROBE588_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE589_IS_DATA = ((LC_NUM_OF_PROBES > 589 ) && (LC_PROBE589_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE589_MU_CNT-1 : 0] LC_PROBE589_IS_TRIG =(LC_PROBE589_TYPE != 1)? {LC_PROBE589_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE590_IS_DATA = ((LC_NUM_OF_PROBES > 590 ) && (LC_PROBE590_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE590_MU_CNT-1 : 0] LC_PROBE590_IS_TRIG =(LC_PROBE590_TYPE != 1)? {LC_PROBE590_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE591_IS_DATA = ((LC_NUM_OF_PROBES > 591 ) && (LC_PROBE591_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE591_MU_CNT-1 : 0] LC_PROBE591_IS_TRIG =(LC_PROBE591_TYPE != 1)? {LC_PROBE591_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE592_IS_DATA = ((LC_NUM_OF_PROBES > 592 ) && (LC_PROBE592_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE592_MU_CNT-1 : 0] LC_PROBE592_IS_TRIG =(LC_PROBE592_TYPE != 1)? {LC_PROBE592_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE593_IS_DATA = ((LC_NUM_OF_PROBES > 593 ) && (LC_PROBE593_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE593_MU_CNT-1 : 0] LC_PROBE593_IS_TRIG =(LC_PROBE593_TYPE != 1)? {LC_PROBE593_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE594_IS_DATA = ((LC_NUM_OF_PROBES > 594 ) && (LC_PROBE594_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE594_MU_CNT-1 : 0] LC_PROBE594_IS_TRIG =(LC_PROBE594_TYPE != 1)? {LC_PROBE594_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE595_IS_DATA = ((LC_NUM_OF_PROBES > 595 ) && (LC_PROBE595_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE595_MU_CNT-1 : 0] LC_PROBE595_IS_TRIG =(LC_PROBE595_TYPE != 1)? {LC_PROBE595_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE596_IS_DATA = ((LC_NUM_OF_PROBES > 596 ) && (LC_PROBE596_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE596_MU_CNT-1 : 0] LC_PROBE596_IS_TRIG =(LC_PROBE596_TYPE != 1)? {LC_PROBE596_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE597_IS_DATA = ((LC_NUM_OF_PROBES > 597 ) && (LC_PROBE597_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE597_MU_CNT-1 : 0] LC_PROBE597_IS_TRIG =(LC_PROBE597_TYPE != 1)? {LC_PROBE597_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE598_IS_DATA = ((LC_NUM_OF_PROBES > 598 ) && (LC_PROBE598_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE598_MU_CNT-1 : 0] LC_PROBE598_IS_TRIG =(LC_PROBE598_TYPE != 1)? {LC_PROBE598_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE599_IS_DATA = ((LC_NUM_OF_PROBES > 599 ) && (LC_PROBE599_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE599_MU_CNT-1 : 0] LC_PROBE599_IS_TRIG =(LC_PROBE599_TYPE != 1)? {LC_PROBE599_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE600_IS_DATA = ((LC_NUM_OF_PROBES > 600 ) && (LC_PROBE600_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE600_MU_CNT-1 : 0] LC_PROBE600_IS_TRIG =(LC_PROBE600_TYPE != 1)? {LC_PROBE600_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE601_IS_DATA = ((LC_NUM_OF_PROBES > 601 ) && (LC_PROBE601_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE601_MU_CNT-1 : 0] LC_PROBE601_IS_TRIG =(LC_PROBE601_TYPE != 1)? {LC_PROBE601_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE602_IS_DATA = ((LC_NUM_OF_PROBES > 602 ) && (LC_PROBE602_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE602_MU_CNT-1 : 0] LC_PROBE602_IS_TRIG =(LC_PROBE602_TYPE != 1)? {LC_PROBE602_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE603_IS_DATA = ((LC_NUM_OF_PROBES > 603 ) && (LC_PROBE603_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE603_MU_CNT-1 : 0] LC_PROBE603_IS_TRIG =(LC_PROBE603_TYPE != 1)? {LC_PROBE603_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE604_IS_DATA = ((LC_NUM_OF_PROBES > 604 ) && (LC_PROBE604_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE604_MU_CNT-1 : 0] LC_PROBE604_IS_TRIG =(LC_PROBE604_TYPE != 1)? {LC_PROBE604_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE605_IS_DATA = ((LC_NUM_OF_PROBES > 605 ) && (LC_PROBE605_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE605_MU_CNT-1 : 0] LC_PROBE605_IS_TRIG =(LC_PROBE605_TYPE != 1)? {LC_PROBE605_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE606_IS_DATA = ((LC_NUM_OF_PROBES > 606 ) && (LC_PROBE606_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE606_MU_CNT-1 : 0] LC_PROBE606_IS_TRIG =(LC_PROBE606_TYPE != 1)? {LC_PROBE606_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE607_IS_DATA = ((LC_NUM_OF_PROBES > 607 ) && (LC_PROBE607_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE607_MU_CNT-1 : 0] LC_PROBE607_IS_TRIG =(LC_PROBE607_TYPE != 1)? {LC_PROBE607_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE608_IS_DATA = ((LC_NUM_OF_PROBES > 608 ) && (LC_PROBE608_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE608_MU_CNT-1 : 0] LC_PROBE608_IS_TRIG =(LC_PROBE608_TYPE != 1)? {LC_PROBE608_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE609_IS_DATA = ((LC_NUM_OF_PROBES > 609 ) && (LC_PROBE609_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE609_MU_CNT-1 : 0] LC_PROBE609_IS_TRIG =(LC_PROBE609_TYPE != 1)? {LC_PROBE609_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE610_IS_DATA = ((LC_NUM_OF_PROBES > 610 ) && (LC_PROBE610_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE610_MU_CNT-1 : 0] LC_PROBE610_IS_TRIG =(LC_PROBE610_TYPE != 1)? {LC_PROBE610_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE611_IS_DATA = ((LC_NUM_OF_PROBES > 611 ) && (LC_PROBE611_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE611_MU_CNT-1 : 0] LC_PROBE611_IS_TRIG =(LC_PROBE611_TYPE != 1)? {LC_PROBE611_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE612_IS_DATA = ((LC_NUM_OF_PROBES > 612 ) && (LC_PROBE612_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE612_MU_CNT-1 : 0] LC_PROBE612_IS_TRIG =(LC_PROBE612_TYPE != 1)? {LC_PROBE612_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE613_IS_DATA = ((LC_NUM_OF_PROBES > 613 ) && (LC_PROBE613_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE613_MU_CNT-1 : 0] LC_PROBE613_IS_TRIG =(LC_PROBE613_TYPE != 1)? {LC_PROBE613_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE614_IS_DATA = ((LC_NUM_OF_PROBES > 614 ) && (LC_PROBE614_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE614_MU_CNT-1 : 0] LC_PROBE614_IS_TRIG =(LC_PROBE614_TYPE != 1)? {LC_PROBE614_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE615_IS_DATA = ((LC_NUM_OF_PROBES > 615 ) && (LC_PROBE615_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE615_MU_CNT-1 : 0] LC_PROBE615_IS_TRIG =(LC_PROBE615_TYPE != 1)? {LC_PROBE615_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE616_IS_DATA = ((LC_NUM_OF_PROBES > 616 ) && (LC_PROBE616_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE616_MU_CNT-1 : 0] LC_PROBE616_IS_TRIG =(LC_PROBE616_TYPE != 1)? {LC_PROBE616_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE617_IS_DATA = ((LC_NUM_OF_PROBES > 617 ) && (LC_PROBE617_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE617_MU_CNT-1 : 0] LC_PROBE617_IS_TRIG =(LC_PROBE617_TYPE != 1)? {LC_PROBE617_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE618_IS_DATA = ((LC_NUM_OF_PROBES > 618 ) && (LC_PROBE618_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE618_MU_CNT-1 : 0] LC_PROBE618_IS_TRIG =(LC_PROBE618_TYPE != 1)? {LC_PROBE618_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE619_IS_DATA = ((LC_NUM_OF_PROBES > 619 ) && (LC_PROBE619_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE619_MU_CNT-1 : 0] LC_PROBE619_IS_TRIG =(LC_PROBE619_TYPE != 1)? {LC_PROBE619_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE620_IS_DATA = ((LC_NUM_OF_PROBES > 620 ) && (LC_PROBE620_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE620_MU_CNT-1 : 0] LC_PROBE620_IS_TRIG =(LC_PROBE620_TYPE != 1)? {LC_PROBE620_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE621_IS_DATA = ((LC_NUM_OF_PROBES > 621 ) && (LC_PROBE621_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE621_MU_CNT-1 : 0] LC_PROBE621_IS_TRIG =(LC_PROBE621_TYPE != 1)? {LC_PROBE621_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE622_IS_DATA = ((LC_NUM_OF_PROBES > 622 ) && (LC_PROBE622_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE622_MU_CNT-1 : 0] LC_PROBE622_IS_TRIG =(LC_PROBE622_TYPE != 1)? {LC_PROBE622_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE623_IS_DATA = ((LC_NUM_OF_PROBES > 623 ) && (LC_PROBE623_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE623_MU_CNT-1 : 0] LC_PROBE623_IS_TRIG =(LC_PROBE623_TYPE != 1)? {LC_PROBE623_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE624_IS_DATA = ((LC_NUM_OF_PROBES > 624 ) && (LC_PROBE624_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE624_MU_CNT-1 : 0] LC_PROBE624_IS_TRIG =(LC_PROBE624_TYPE != 1)? {LC_PROBE624_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE625_IS_DATA = ((LC_NUM_OF_PROBES > 625 ) && (LC_PROBE625_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE625_MU_CNT-1 : 0] LC_PROBE625_IS_TRIG =(LC_PROBE625_TYPE != 1)? {LC_PROBE625_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE626_IS_DATA = ((LC_NUM_OF_PROBES > 626 ) && (LC_PROBE626_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE626_MU_CNT-1 : 0] LC_PROBE626_IS_TRIG =(LC_PROBE626_TYPE != 1)? {LC_PROBE626_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE627_IS_DATA = ((LC_NUM_OF_PROBES > 627 ) && (LC_PROBE627_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE627_MU_CNT-1 : 0] LC_PROBE627_IS_TRIG =(LC_PROBE627_TYPE != 1)? {LC_PROBE627_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE628_IS_DATA = ((LC_NUM_OF_PROBES > 628 ) && (LC_PROBE628_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE628_MU_CNT-1 : 0] LC_PROBE628_IS_TRIG =(LC_PROBE628_TYPE != 1)? {LC_PROBE628_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE629_IS_DATA = ((LC_NUM_OF_PROBES > 629 ) && (LC_PROBE629_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE629_MU_CNT-1 : 0] LC_PROBE629_IS_TRIG =(LC_PROBE629_TYPE != 1)? {LC_PROBE629_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE630_IS_DATA = ((LC_NUM_OF_PROBES > 630 ) && (LC_PROBE630_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE630_MU_CNT-1 : 0] LC_PROBE630_IS_TRIG =(LC_PROBE630_TYPE != 1)? {LC_PROBE630_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE631_IS_DATA = ((LC_NUM_OF_PROBES > 631 ) && (LC_PROBE631_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE631_MU_CNT-1 : 0] LC_PROBE631_IS_TRIG =(LC_PROBE631_TYPE != 1)? {LC_PROBE631_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE632_IS_DATA = ((LC_NUM_OF_PROBES > 632 ) && (LC_PROBE632_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE632_MU_CNT-1 : 0] LC_PROBE632_IS_TRIG =(LC_PROBE632_TYPE != 1)? {LC_PROBE632_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE633_IS_DATA = ((LC_NUM_OF_PROBES > 633 ) && (LC_PROBE633_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE633_MU_CNT-1 : 0] LC_PROBE633_IS_TRIG =(LC_PROBE633_TYPE != 1)? {LC_PROBE633_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE634_IS_DATA = ((LC_NUM_OF_PROBES > 634 ) && (LC_PROBE634_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE634_MU_CNT-1 : 0] LC_PROBE634_IS_TRIG =(LC_PROBE634_TYPE != 1)? {LC_PROBE634_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE635_IS_DATA = ((LC_NUM_OF_PROBES > 635 ) && (LC_PROBE635_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE635_MU_CNT-1 : 0] LC_PROBE635_IS_TRIG =(LC_PROBE635_TYPE != 1)? {LC_PROBE635_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE636_IS_DATA = ((LC_NUM_OF_PROBES > 636 ) && (LC_PROBE636_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE636_MU_CNT-1 : 0] LC_PROBE636_IS_TRIG =(LC_PROBE636_TYPE != 1)? {LC_PROBE636_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE637_IS_DATA = ((LC_NUM_OF_PROBES > 637 ) && (LC_PROBE637_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE637_MU_CNT-1 : 0] LC_PROBE637_IS_TRIG =(LC_PROBE637_TYPE != 1)? {LC_PROBE637_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE638_IS_DATA = ((LC_NUM_OF_PROBES > 638 ) && (LC_PROBE638_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE638_MU_CNT-1 : 0] LC_PROBE638_IS_TRIG =(LC_PROBE638_TYPE != 1)? {LC_PROBE638_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE639_IS_DATA = ((LC_NUM_OF_PROBES > 639 ) && (LC_PROBE639_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE639_MU_CNT-1 : 0] LC_PROBE639_IS_TRIG =(LC_PROBE639_TYPE != 1)? {LC_PROBE639_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE640_IS_DATA = ((LC_NUM_OF_PROBES > 640 ) && (LC_PROBE640_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE640_MU_CNT-1 : 0] LC_PROBE640_IS_TRIG =(LC_PROBE640_TYPE != 1)? {LC_PROBE640_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE641_IS_DATA = ((LC_NUM_OF_PROBES > 641 ) && (LC_PROBE641_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE641_MU_CNT-1 : 0] LC_PROBE641_IS_TRIG =(LC_PROBE641_TYPE != 1)? {LC_PROBE641_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE642_IS_DATA = ((LC_NUM_OF_PROBES > 642 ) && (LC_PROBE642_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE642_MU_CNT-1 : 0] LC_PROBE642_IS_TRIG =(LC_PROBE642_TYPE != 1)? {LC_PROBE642_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE643_IS_DATA = ((LC_NUM_OF_PROBES > 643 ) && (LC_PROBE643_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE643_MU_CNT-1 : 0] LC_PROBE643_IS_TRIG =(LC_PROBE643_TYPE != 1)? {LC_PROBE643_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE644_IS_DATA = ((LC_NUM_OF_PROBES > 644 ) && (LC_PROBE644_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE644_MU_CNT-1 : 0] LC_PROBE644_IS_TRIG =(LC_PROBE644_TYPE != 1)? {LC_PROBE644_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE645_IS_DATA = ((LC_NUM_OF_PROBES > 645 ) && (LC_PROBE645_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE645_MU_CNT-1 : 0] LC_PROBE645_IS_TRIG =(LC_PROBE645_TYPE != 1)? {LC_PROBE645_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE646_IS_DATA = ((LC_NUM_OF_PROBES > 646 ) && (LC_PROBE646_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE646_MU_CNT-1 : 0] LC_PROBE646_IS_TRIG =(LC_PROBE646_TYPE != 1)? {LC_PROBE646_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE647_IS_DATA = ((LC_NUM_OF_PROBES > 647 ) && (LC_PROBE647_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE647_MU_CNT-1 : 0] LC_PROBE647_IS_TRIG =(LC_PROBE647_TYPE != 1)? {LC_PROBE647_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE648_IS_DATA = ((LC_NUM_OF_PROBES > 648 ) && (LC_PROBE648_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE648_MU_CNT-1 : 0] LC_PROBE648_IS_TRIG =(LC_PROBE648_TYPE != 1)? {LC_PROBE648_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE649_IS_DATA = ((LC_NUM_OF_PROBES > 649 ) && (LC_PROBE649_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE649_MU_CNT-1 : 0] LC_PROBE649_IS_TRIG =(LC_PROBE649_TYPE != 1)? {LC_PROBE649_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE650_IS_DATA = ((LC_NUM_OF_PROBES > 650 ) && (LC_PROBE650_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE650_MU_CNT-1 : 0] LC_PROBE650_IS_TRIG =(LC_PROBE650_TYPE != 1)? {LC_PROBE650_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE651_IS_DATA = ((LC_NUM_OF_PROBES > 651 ) && (LC_PROBE651_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE651_MU_CNT-1 : 0] LC_PROBE651_IS_TRIG =(LC_PROBE651_TYPE != 1)? {LC_PROBE651_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE652_IS_DATA = ((LC_NUM_OF_PROBES > 652 ) && (LC_PROBE652_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE652_MU_CNT-1 : 0] LC_PROBE652_IS_TRIG =(LC_PROBE652_TYPE != 1)? {LC_PROBE652_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE653_IS_DATA = ((LC_NUM_OF_PROBES > 653 ) && (LC_PROBE653_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE653_MU_CNT-1 : 0] LC_PROBE653_IS_TRIG =(LC_PROBE653_TYPE != 1)? {LC_PROBE653_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE654_IS_DATA = ((LC_NUM_OF_PROBES > 654 ) && (LC_PROBE654_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE654_MU_CNT-1 : 0] LC_PROBE654_IS_TRIG =(LC_PROBE654_TYPE != 1)? {LC_PROBE654_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE655_IS_DATA = ((LC_NUM_OF_PROBES > 655 ) && (LC_PROBE655_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE655_MU_CNT-1 : 0] LC_PROBE655_IS_TRIG =(LC_PROBE655_TYPE != 1)? {LC_PROBE655_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE656_IS_DATA = ((LC_NUM_OF_PROBES > 656 ) && (LC_PROBE656_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE656_MU_CNT-1 : 0] LC_PROBE656_IS_TRIG =(LC_PROBE656_TYPE != 1)? {LC_PROBE656_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE657_IS_DATA = ((LC_NUM_OF_PROBES > 657 ) && (LC_PROBE657_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE657_MU_CNT-1 : 0] LC_PROBE657_IS_TRIG =(LC_PROBE657_TYPE != 1)? {LC_PROBE657_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE658_IS_DATA = ((LC_NUM_OF_PROBES > 658 ) && (LC_PROBE658_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE658_MU_CNT-1 : 0] LC_PROBE658_IS_TRIG =(LC_PROBE658_TYPE != 1)? {LC_PROBE658_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE659_IS_DATA = ((LC_NUM_OF_PROBES > 659 ) && (LC_PROBE659_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE659_MU_CNT-1 : 0] LC_PROBE659_IS_TRIG =(LC_PROBE659_TYPE != 1)? {LC_PROBE659_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE660_IS_DATA = ((LC_NUM_OF_PROBES > 660 ) && (LC_PROBE660_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE660_MU_CNT-1 : 0] LC_PROBE660_IS_TRIG =(LC_PROBE660_TYPE != 1)? {LC_PROBE660_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE661_IS_DATA = ((LC_NUM_OF_PROBES > 661 ) && (LC_PROBE661_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE661_MU_CNT-1 : 0] LC_PROBE661_IS_TRIG =(LC_PROBE661_TYPE != 1)? {LC_PROBE661_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE662_IS_DATA = ((LC_NUM_OF_PROBES > 662 ) && (LC_PROBE662_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE662_MU_CNT-1 : 0] LC_PROBE662_IS_TRIG =(LC_PROBE662_TYPE != 1)? {LC_PROBE662_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE663_IS_DATA = ((LC_NUM_OF_PROBES > 663 ) && (LC_PROBE663_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE663_MU_CNT-1 : 0] LC_PROBE663_IS_TRIG =(LC_PROBE663_TYPE != 1)? {LC_PROBE663_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE664_IS_DATA = ((LC_NUM_OF_PROBES > 664 ) && (LC_PROBE664_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE664_MU_CNT-1 : 0] LC_PROBE664_IS_TRIG =(LC_PROBE664_TYPE != 1)? {LC_PROBE664_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE665_IS_DATA = ((LC_NUM_OF_PROBES > 665 ) && (LC_PROBE665_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE665_MU_CNT-1 : 0] LC_PROBE665_IS_TRIG =(LC_PROBE665_TYPE != 1)? {LC_PROBE665_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE666_IS_DATA = ((LC_NUM_OF_PROBES > 666 ) && (LC_PROBE666_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE666_MU_CNT-1 : 0] LC_PROBE666_IS_TRIG =(LC_PROBE666_TYPE != 1)? {LC_PROBE666_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE667_IS_DATA = ((LC_NUM_OF_PROBES > 667 ) && (LC_PROBE667_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE667_MU_CNT-1 : 0] LC_PROBE667_IS_TRIG =(LC_PROBE667_TYPE != 1)? {LC_PROBE667_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE668_IS_DATA = ((LC_NUM_OF_PROBES > 668 ) && (LC_PROBE668_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE668_MU_CNT-1 : 0] LC_PROBE668_IS_TRIG =(LC_PROBE668_TYPE != 1)? {LC_PROBE668_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE669_IS_DATA = ((LC_NUM_OF_PROBES > 669 ) && (LC_PROBE669_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE669_MU_CNT-1 : 0] LC_PROBE669_IS_TRIG =(LC_PROBE669_TYPE != 1)? {LC_PROBE669_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE670_IS_DATA = ((LC_NUM_OF_PROBES > 670 ) && (LC_PROBE670_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE670_MU_CNT-1 : 0] LC_PROBE670_IS_TRIG =(LC_PROBE670_TYPE != 1)? {LC_PROBE670_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE671_IS_DATA = ((LC_NUM_OF_PROBES > 671 ) && (LC_PROBE671_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE671_MU_CNT-1 : 0] LC_PROBE671_IS_TRIG =(LC_PROBE671_TYPE != 1)? {LC_PROBE671_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE672_IS_DATA = ((LC_NUM_OF_PROBES > 672 ) && (LC_PROBE672_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE672_MU_CNT-1 : 0] LC_PROBE672_IS_TRIG =(LC_PROBE672_TYPE != 1)? {LC_PROBE672_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE673_IS_DATA = ((LC_NUM_OF_PROBES > 673 ) && (LC_PROBE673_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE673_MU_CNT-1 : 0] LC_PROBE673_IS_TRIG =(LC_PROBE673_TYPE != 1)? {LC_PROBE673_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE674_IS_DATA = ((LC_NUM_OF_PROBES > 674 ) && (LC_PROBE674_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE674_MU_CNT-1 : 0] LC_PROBE674_IS_TRIG =(LC_PROBE674_TYPE != 1)? {LC_PROBE674_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE675_IS_DATA = ((LC_NUM_OF_PROBES > 675 ) && (LC_PROBE675_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE675_MU_CNT-1 : 0] LC_PROBE675_IS_TRIG =(LC_PROBE675_TYPE != 1)? {LC_PROBE675_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE676_IS_DATA = ((LC_NUM_OF_PROBES > 676 ) && (LC_PROBE676_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE676_MU_CNT-1 : 0] LC_PROBE676_IS_TRIG =(LC_PROBE676_TYPE != 1)? {LC_PROBE676_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE677_IS_DATA = ((LC_NUM_OF_PROBES > 677 ) && (LC_PROBE677_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE677_MU_CNT-1 : 0] LC_PROBE677_IS_TRIG =(LC_PROBE677_TYPE != 1)? {LC_PROBE677_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE678_IS_DATA = ((LC_NUM_OF_PROBES > 678 ) && (LC_PROBE678_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE678_MU_CNT-1 : 0] LC_PROBE678_IS_TRIG =(LC_PROBE678_TYPE != 1)? {LC_PROBE678_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE679_IS_DATA = ((LC_NUM_OF_PROBES > 679 ) && (LC_PROBE679_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE679_MU_CNT-1 : 0] LC_PROBE679_IS_TRIG =(LC_PROBE679_TYPE != 1)? {LC_PROBE679_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE680_IS_DATA = ((LC_NUM_OF_PROBES > 680 ) && (LC_PROBE680_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE680_MU_CNT-1 : 0] LC_PROBE680_IS_TRIG =(LC_PROBE680_TYPE != 1)? {LC_PROBE680_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE681_IS_DATA = ((LC_NUM_OF_PROBES > 681 ) && (LC_PROBE681_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE681_MU_CNT-1 : 0] LC_PROBE681_IS_TRIG =(LC_PROBE681_TYPE != 1)? {LC_PROBE681_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE682_IS_DATA = ((LC_NUM_OF_PROBES > 682 ) && (LC_PROBE682_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE682_MU_CNT-1 : 0] LC_PROBE682_IS_TRIG =(LC_PROBE682_TYPE != 1)? {LC_PROBE682_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE683_IS_DATA = ((LC_NUM_OF_PROBES > 683 ) && (LC_PROBE683_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE683_MU_CNT-1 : 0] LC_PROBE683_IS_TRIG =(LC_PROBE683_TYPE != 1)? {LC_PROBE683_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE684_IS_DATA = ((LC_NUM_OF_PROBES > 684 ) && (LC_PROBE684_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE684_MU_CNT-1 : 0] LC_PROBE684_IS_TRIG =(LC_PROBE684_TYPE != 1)? {LC_PROBE684_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE685_IS_DATA = ((LC_NUM_OF_PROBES > 685 ) && (LC_PROBE685_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE685_MU_CNT-1 : 0] LC_PROBE685_IS_TRIG =(LC_PROBE685_TYPE != 1)? {LC_PROBE685_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE686_IS_DATA = ((LC_NUM_OF_PROBES > 686 ) && (LC_PROBE686_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE686_MU_CNT-1 : 0] LC_PROBE686_IS_TRIG =(LC_PROBE686_TYPE != 1)? {LC_PROBE686_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE687_IS_DATA = ((LC_NUM_OF_PROBES > 687 ) && (LC_PROBE687_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE687_MU_CNT-1 : 0] LC_PROBE687_IS_TRIG =(LC_PROBE687_TYPE != 1)? {LC_PROBE687_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE688_IS_DATA = ((LC_NUM_OF_PROBES > 688 ) && (LC_PROBE688_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE688_MU_CNT-1 : 0] LC_PROBE688_IS_TRIG =(LC_PROBE688_TYPE != 1)? {LC_PROBE688_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE689_IS_DATA = ((LC_NUM_OF_PROBES > 689 ) && (LC_PROBE689_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE689_MU_CNT-1 : 0] LC_PROBE689_IS_TRIG =(LC_PROBE689_TYPE != 1)? {LC_PROBE689_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE690_IS_DATA = ((LC_NUM_OF_PROBES > 690 ) && (LC_PROBE690_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE690_MU_CNT-1 : 0] LC_PROBE690_IS_TRIG =(LC_PROBE690_TYPE != 1)? {LC_PROBE690_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE691_IS_DATA = ((LC_NUM_OF_PROBES > 691 ) && (LC_PROBE691_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE691_MU_CNT-1 : 0] LC_PROBE691_IS_TRIG =(LC_PROBE691_TYPE != 1)? {LC_PROBE691_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE692_IS_DATA = ((LC_NUM_OF_PROBES > 692 ) && (LC_PROBE692_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE692_MU_CNT-1 : 0] LC_PROBE692_IS_TRIG =(LC_PROBE692_TYPE != 1)? {LC_PROBE692_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE693_IS_DATA = ((LC_NUM_OF_PROBES > 693 ) && (LC_PROBE693_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE693_MU_CNT-1 : 0] LC_PROBE693_IS_TRIG =(LC_PROBE693_TYPE != 1)? {LC_PROBE693_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE694_IS_DATA = ((LC_NUM_OF_PROBES > 694 ) && (LC_PROBE694_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE694_MU_CNT-1 : 0] LC_PROBE694_IS_TRIG =(LC_PROBE694_TYPE != 1)? {LC_PROBE694_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE695_IS_DATA = ((LC_NUM_OF_PROBES > 695 ) && (LC_PROBE695_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE695_MU_CNT-1 : 0] LC_PROBE695_IS_TRIG =(LC_PROBE695_TYPE != 1)? {LC_PROBE695_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE696_IS_DATA = ((LC_NUM_OF_PROBES > 696 ) && (LC_PROBE696_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE696_MU_CNT-1 : 0] LC_PROBE696_IS_TRIG =(LC_PROBE696_TYPE != 1)? {LC_PROBE696_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE697_IS_DATA = ((LC_NUM_OF_PROBES > 697 ) && (LC_PROBE697_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE697_MU_CNT-1 : 0] LC_PROBE697_IS_TRIG =(LC_PROBE697_TYPE != 1)? {LC_PROBE697_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE698_IS_DATA = ((LC_NUM_OF_PROBES > 698 ) && (LC_PROBE698_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE698_MU_CNT-1 : 0] LC_PROBE698_IS_TRIG =(LC_PROBE698_TYPE != 1)? {LC_PROBE698_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE699_IS_DATA = ((LC_NUM_OF_PROBES > 699 ) && (LC_PROBE699_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE699_MU_CNT-1 : 0] LC_PROBE699_IS_TRIG =(LC_PROBE699_TYPE != 1)? {LC_PROBE699_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE700_IS_DATA = ((LC_NUM_OF_PROBES > 700 ) && (LC_PROBE700_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE700_MU_CNT-1 : 0] LC_PROBE700_IS_TRIG =(LC_PROBE700_TYPE != 1)? {LC_PROBE700_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE701_IS_DATA = ((LC_NUM_OF_PROBES > 701 ) && (LC_PROBE701_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE701_MU_CNT-1 : 0] LC_PROBE701_IS_TRIG =(LC_PROBE701_TYPE != 1)? {LC_PROBE701_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE702_IS_DATA = ((LC_NUM_OF_PROBES > 702 ) && (LC_PROBE702_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE702_MU_CNT-1 : 0] LC_PROBE702_IS_TRIG =(LC_PROBE702_TYPE != 1)? {LC_PROBE702_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE703_IS_DATA = ((LC_NUM_OF_PROBES > 703 ) && (LC_PROBE703_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE703_MU_CNT-1 : 0] LC_PROBE703_IS_TRIG =(LC_PROBE703_TYPE != 1)? {LC_PROBE703_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE704_IS_DATA = ((LC_NUM_OF_PROBES > 704 ) && (LC_PROBE704_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE704_MU_CNT-1 : 0] LC_PROBE704_IS_TRIG =(LC_PROBE704_TYPE != 1)? {LC_PROBE704_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE705_IS_DATA = ((LC_NUM_OF_PROBES > 705 ) && (LC_PROBE705_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE705_MU_CNT-1 : 0] LC_PROBE705_IS_TRIG =(LC_PROBE705_TYPE != 1)? {LC_PROBE705_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE706_IS_DATA = ((LC_NUM_OF_PROBES > 706 ) && (LC_PROBE706_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE706_MU_CNT-1 : 0] LC_PROBE706_IS_TRIG =(LC_PROBE706_TYPE != 1)? {LC_PROBE706_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE707_IS_DATA = ((LC_NUM_OF_PROBES > 707 ) && (LC_PROBE707_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE707_MU_CNT-1 : 0] LC_PROBE707_IS_TRIG =(LC_PROBE707_TYPE != 1)? {LC_PROBE707_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE708_IS_DATA = ((LC_NUM_OF_PROBES > 708 ) && (LC_PROBE708_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE708_MU_CNT-1 : 0] LC_PROBE708_IS_TRIG =(LC_PROBE708_TYPE != 1)? {LC_PROBE708_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE709_IS_DATA = ((LC_NUM_OF_PROBES > 709 ) && (LC_PROBE709_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE709_MU_CNT-1 : 0] LC_PROBE709_IS_TRIG =(LC_PROBE709_TYPE != 1)? {LC_PROBE709_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE710_IS_DATA = ((LC_NUM_OF_PROBES > 710 ) && (LC_PROBE710_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE710_MU_CNT-1 : 0] LC_PROBE710_IS_TRIG =(LC_PROBE710_TYPE != 1)? {LC_PROBE710_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE711_IS_DATA = ((LC_NUM_OF_PROBES > 711 ) && (LC_PROBE711_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE711_MU_CNT-1 : 0] LC_PROBE711_IS_TRIG =(LC_PROBE711_TYPE != 1)? {LC_PROBE711_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE712_IS_DATA = ((LC_NUM_OF_PROBES > 712 ) && (LC_PROBE712_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE712_MU_CNT-1 : 0] LC_PROBE712_IS_TRIG =(LC_PROBE712_TYPE != 1)? {LC_PROBE712_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE713_IS_DATA = ((LC_NUM_OF_PROBES > 713 ) && (LC_PROBE713_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE713_MU_CNT-1 : 0] LC_PROBE713_IS_TRIG =(LC_PROBE713_TYPE != 1)? {LC_PROBE713_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE714_IS_DATA = ((LC_NUM_OF_PROBES > 714 ) && (LC_PROBE714_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE714_MU_CNT-1 : 0] LC_PROBE714_IS_TRIG =(LC_PROBE714_TYPE != 1)? {LC_PROBE714_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE715_IS_DATA = ((LC_NUM_OF_PROBES > 715 ) && (LC_PROBE715_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE715_MU_CNT-1 : 0] LC_PROBE715_IS_TRIG =(LC_PROBE715_TYPE != 1)? {LC_PROBE715_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE716_IS_DATA = ((LC_NUM_OF_PROBES > 716 ) && (LC_PROBE716_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE716_MU_CNT-1 : 0] LC_PROBE716_IS_TRIG =(LC_PROBE716_TYPE != 1)? {LC_PROBE716_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE717_IS_DATA = ((LC_NUM_OF_PROBES > 717 ) && (LC_PROBE717_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE717_MU_CNT-1 : 0] LC_PROBE717_IS_TRIG =(LC_PROBE717_TYPE != 1)? {LC_PROBE717_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE718_IS_DATA = ((LC_NUM_OF_PROBES > 718 ) && (LC_PROBE718_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE718_MU_CNT-1 : 0] LC_PROBE718_IS_TRIG =(LC_PROBE718_TYPE != 1)? {LC_PROBE718_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE719_IS_DATA = ((LC_NUM_OF_PROBES > 719 ) && (LC_PROBE719_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE719_MU_CNT-1 : 0] LC_PROBE719_IS_TRIG =(LC_PROBE719_TYPE != 1)? {LC_PROBE719_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE720_IS_DATA = ((LC_NUM_OF_PROBES > 720 ) && (LC_PROBE720_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE720_MU_CNT-1 : 0] LC_PROBE720_IS_TRIG =(LC_PROBE720_TYPE != 1)? {LC_PROBE720_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE721_IS_DATA = ((LC_NUM_OF_PROBES > 721 ) && (LC_PROBE721_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE721_MU_CNT-1 : 0] LC_PROBE721_IS_TRIG =(LC_PROBE721_TYPE != 1)? {LC_PROBE721_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE722_IS_DATA = ((LC_NUM_OF_PROBES > 722 ) && (LC_PROBE722_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE722_MU_CNT-1 : 0] LC_PROBE722_IS_TRIG =(LC_PROBE722_TYPE != 1)? {LC_PROBE722_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE723_IS_DATA = ((LC_NUM_OF_PROBES > 723 ) && (LC_PROBE723_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE723_MU_CNT-1 : 0] LC_PROBE723_IS_TRIG =(LC_PROBE723_TYPE != 1)? {LC_PROBE723_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE724_IS_DATA = ((LC_NUM_OF_PROBES > 724 ) && (LC_PROBE724_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE724_MU_CNT-1 : 0] LC_PROBE724_IS_TRIG =(LC_PROBE724_TYPE != 1)? {LC_PROBE724_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE725_IS_DATA = ((LC_NUM_OF_PROBES > 725 ) && (LC_PROBE725_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE725_MU_CNT-1 : 0] LC_PROBE725_IS_TRIG =(LC_PROBE725_TYPE != 1)? {LC_PROBE725_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE726_IS_DATA = ((LC_NUM_OF_PROBES > 726 ) && (LC_PROBE726_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE726_MU_CNT-1 : 0] LC_PROBE726_IS_TRIG =(LC_PROBE726_TYPE != 1)? {LC_PROBE726_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE727_IS_DATA = ((LC_NUM_OF_PROBES > 727 ) && (LC_PROBE727_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE727_MU_CNT-1 : 0] LC_PROBE727_IS_TRIG =(LC_PROBE727_TYPE != 1)? {LC_PROBE727_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE728_IS_DATA = ((LC_NUM_OF_PROBES > 728 ) && (LC_PROBE728_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE728_MU_CNT-1 : 0] LC_PROBE728_IS_TRIG =(LC_PROBE728_TYPE != 1)? {LC_PROBE728_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE729_IS_DATA = ((LC_NUM_OF_PROBES > 729 ) && (LC_PROBE729_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE729_MU_CNT-1 : 0] LC_PROBE729_IS_TRIG =(LC_PROBE729_TYPE != 1)? {LC_PROBE729_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE730_IS_DATA = ((LC_NUM_OF_PROBES > 730 ) && (LC_PROBE730_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE730_MU_CNT-1 : 0] LC_PROBE730_IS_TRIG =(LC_PROBE730_TYPE != 1)? {LC_PROBE730_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE731_IS_DATA = ((LC_NUM_OF_PROBES > 731 ) && (LC_PROBE731_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE731_MU_CNT-1 : 0] LC_PROBE731_IS_TRIG =(LC_PROBE731_TYPE != 1)? {LC_PROBE731_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE732_IS_DATA = ((LC_NUM_OF_PROBES > 732 ) && (LC_PROBE732_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE732_MU_CNT-1 : 0] LC_PROBE732_IS_TRIG =(LC_PROBE732_TYPE != 1)? {LC_PROBE732_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE733_IS_DATA = ((LC_NUM_OF_PROBES > 733 ) && (LC_PROBE733_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE733_MU_CNT-1 : 0] LC_PROBE733_IS_TRIG =(LC_PROBE733_TYPE != 1)? {LC_PROBE733_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE734_IS_DATA = ((LC_NUM_OF_PROBES > 734 ) && (LC_PROBE734_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE734_MU_CNT-1 : 0] LC_PROBE734_IS_TRIG =(LC_PROBE734_TYPE != 1)? {LC_PROBE734_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE735_IS_DATA = ((LC_NUM_OF_PROBES > 735 ) && (LC_PROBE735_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE735_MU_CNT-1 : 0] LC_PROBE735_IS_TRIG =(LC_PROBE735_TYPE != 1)? {LC_PROBE735_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE736_IS_DATA = ((LC_NUM_OF_PROBES > 736 ) && (LC_PROBE736_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE736_MU_CNT-1 : 0] LC_PROBE736_IS_TRIG =(LC_PROBE736_TYPE != 1)? {LC_PROBE736_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE737_IS_DATA = ((LC_NUM_OF_PROBES > 737 ) && (LC_PROBE737_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE737_MU_CNT-1 : 0] LC_PROBE737_IS_TRIG =(LC_PROBE737_TYPE != 1)? {LC_PROBE737_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE738_IS_DATA = ((LC_NUM_OF_PROBES > 738 ) && (LC_PROBE738_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE738_MU_CNT-1 : 0] LC_PROBE738_IS_TRIG =(LC_PROBE738_TYPE != 1)? {LC_PROBE738_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE739_IS_DATA = ((LC_NUM_OF_PROBES > 739 ) && (LC_PROBE739_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE739_MU_CNT-1 : 0] LC_PROBE739_IS_TRIG =(LC_PROBE739_TYPE != 1)? {LC_PROBE739_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE740_IS_DATA = ((LC_NUM_OF_PROBES > 740 ) && (LC_PROBE740_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE740_MU_CNT-1 : 0] LC_PROBE740_IS_TRIG =(LC_PROBE740_TYPE != 1)? {LC_PROBE740_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE741_IS_DATA = ((LC_NUM_OF_PROBES > 741 ) && (LC_PROBE741_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE741_MU_CNT-1 : 0] LC_PROBE741_IS_TRIG =(LC_PROBE741_TYPE != 1)? {LC_PROBE741_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE742_IS_DATA = ((LC_NUM_OF_PROBES > 742 ) && (LC_PROBE742_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE742_MU_CNT-1 : 0] LC_PROBE742_IS_TRIG =(LC_PROBE742_TYPE != 1)? {LC_PROBE742_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE743_IS_DATA = ((LC_NUM_OF_PROBES > 743 ) && (LC_PROBE743_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE743_MU_CNT-1 : 0] LC_PROBE743_IS_TRIG =(LC_PROBE743_TYPE != 1)? {LC_PROBE743_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE744_IS_DATA = ((LC_NUM_OF_PROBES > 744 ) && (LC_PROBE744_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE744_MU_CNT-1 : 0] LC_PROBE744_IS_TRIG =(LC_PROBE744_TYPE != 1)? {LC_PROBE744_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE745_IS_DATA = ((LC_NUM_OF_PROBES > 745 ) && (LC_PROBE745_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE745_MU_CNT-1 : 0] LC_PROBE745_IS_TRIG =(LC_PROBE745_TYPE != 1)? {LC_PROBE745_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE746_IS_DATA = ((LC_NUM_OF_PROBES > 746 ) && (LC_PROBE746_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE746_MU_CNT-1 : 0] LC_PROBE746_IS_TRIG =(LC_PROBE746_TYPE != 1)? {LC_PROBE746_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE747_IS_DATA = ((LC_NUM_OF_PROBES > 747 ) && (LC_PROBE747_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE747_MU_CNT-1 : 0] LC_PROBE747_IS_TRIG =(LC_PROBE747_TYPE != 1)? {LC_PROBE747_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE748_IS_DATA = ((LC_NUM_OF_PROBES > 748 ) && (LC_PROBE748_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE748_MU_CNT-1 : 0] LC_PROBE748_IS_TRIG =(LC_PROBE748_TYPE != 1)? {LC_PROBE748_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE749_IS_DATA = ((LC_NUM_OF_PROBES > 749 ) && (LC_PROBE749_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE749_MU_CNT-1 : 0] LC_PROBE749_IS_TRIG =(LC_PROBE749_TYPE != 1)? {LC_PROBE749_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE750_IS_DATA = ((LC_NUM_OF_PROBES > 750 ) && (LC_PROBE750_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE750_MU_CNT-1 : 0] LC_PROBE750_IS_TRIG =(LC_PROBE750_TYPE != 1)? {LC_PROBE750_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE751_IS_DATA = ((LC_NUM_OF_PROBES > 751 ) && (LC_PROBE751_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE751_MU_CNT-1 : 0] LC_PROBE751_IS_TRIG =(LC_PROBE751_TYPE != 1)? {LC_PROBE751_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE752_IS_DATA = ((LC_NUM_OF_PROBES > 752 ) && (LC_PROBE752_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE752_MU_CNT-1 : 0] LC_PROBE752_IS_TRIG =(LC_PROBE752_TYPE != 1)? {LC_PROBE752_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE753_IS_DATA = ((LC_NUM_OF_PROBES > 753 ) && (LC_PROBE753_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE753_MU_CNT-1 : 0] LC_PROBE753_IS_TRIG =(LC_PROBE753_TYPE != 1)? {LC_PROBE753_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE754_IS_DATA = ((LC_NUM_OF_PROBES > 754 ) && (LC_PROBE754_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE754_MU_CNT-1 : 0] LC_PROBE754_IS_TRIG =(LC_PROBE754_TYPE != 1)? {LC_PROBE754_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE755_IS_DATA = ((LC_NUM_OF_PROBES > 755 ) && (LC_PROBE755_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE755_MU_CNT-1 : 0] LC_PROBE755_IS_TRIG =(LC_PROBE755_TYPE != 1)? {LC_PROBE755_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE756_IS_DATA = ((LC_NUM_OF_PROBES > 756 ) && (LC_PROBE756_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE756_MU_CNT-1 : 0] LC_PROBE756_IS_TRIG =(LC_PROBE756_TYPE != 1)? {LC_PROBE756_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE757_IS_DATA = ((LC_NUM_OF_PROBES > 757 ) && (LC_PROBE757_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE757_MU_CNT-1 : 0] LC_PROBE757_IS_TRIG =(LC_PROBE757_TYPE != 1)? {LC_PROBE757_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE758_IS_DATA = ((LC_NUM_OF_PROBES > 758 ) && (LC_PROBE758_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE758_MU_CNT-1 : 0] LC_PROBE758_IS_TRIG =(LC_PROBE758_TYPE != 1)? {LC_PROBE758_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE759_IS_DATA = ((LC_NUM_OF_PROBES > 759 ) && (LC_PROBE759_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE759_MU_CNT-1 : 0] LC_PROBE759_IS_TRIG =(LC_PROBE759_TYPE != 1)? {LC_PROBE759_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE760_IS_DATA = ((LC_NUM_OF_PROBES > 760 ) && (LC_PROBE760_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE760_MU_CNT-1 : 0] LC_PROBE760_IS_TRIG =(LC_PROBE760_TYPE != 1)? {LC_PROBE760_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE761_IS_DATA = ((LC_NUM_OF_PROBES > 761 ) && (LC_PROBE761_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE761_MU_CNT-1 : 0] LC_PROBE761_IS_TRIG =(LC_PROBE761_TYPE != 1)? {LC_PROBE761_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE762_IS_DATA = ((LC_NUM_OF_PROBES > 762 ) && (LC_PROBE762_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE762_MU_CNT-1 : 0] LC_PROBE762_IS_TRIG =(LC_PROBE762_TYPE != 1)? {LC_PROBE762_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE763_IS_DATA = ((LC_NUM_OF_PROBES > 763 ) && (LC_PROBE763_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE763_MU_CNT-1 : 0] LC_PROBE763_IS_TRIG =(LC_PROBE763_TYPE != 1)? {LC_PROBE763_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE764_IS_DATA = ((LC_NUM_OF_PROBES > 764 ) && (LC_PROBE764_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE764_MU_CNT-1 : 0] LC_PROBE764_IS_TRIG =(LC_PROBE764_TYPE != 1)? {LC_PROBE764_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE765_IS_DATA = ((LC_NUM_OF_PROBES > 765 ) && (LC_PROBE765_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE765_MU_CNT-1 : 0] LC_PROBE765_IS_TRIG =(LC_PROBE765_TYPE != 1)? {LC_PROBE765_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE766_IS_DATA = ((LC_NUM_OF_PROBES > 766 ) && (LC_PROBE766_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE766_MU_CNT-1 : 0] LC_PROBE766_IS_TRIG =(LC_PROBE766_TYPE != 1)? {LC_PROBE766_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE767_IS_DATA = ((LC_NUM_OF_PROBES > 767 ) && (LC_PROBE767_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE767_MU_CNT-1 : 0] LC_PROBE767_IS_TRIG =(LC_PROBE767_TYPE != 1)? {LC_PROBE767_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE768_IS_DATA = ((LC_NUM_OF_PROBES > 768 ) && (LC_PROBE768_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE768_MU_CNT-1 : 0] LC_PROBE768_IS_TRIG =(LC_PROBE768_TYPE != 1)? {LC_PROBE768_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE769_IS_DATA = ((LC_NUM_OF_PROBES > 769 ) && (LC_PROBE769_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE769_MU_CNT-1 : 0] LC_PROBE769_IS_TRIG =(LC_PROBE769_TYPE != 1)? {LC_PROBE769_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE770_IS_DATA = ((LC_NUM_OF_PROBES > 770 ) && (LC_PROBE770_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE770_MU_CNT-1 : 0] LC_PROBE770_IS_TRIG =(LC_PROBE770_TYPE != 1)? {LC_PROBE770_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE771_IS_DATA = ((LC_NUM_OF_PROBES > 771 ) && (LC_PROBE771_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE771_MU_CNT-1 : 0] LC_PROBE771_IS_TRIG =(LC_PROBE771_TYPE != 1)? {LC_PROBE771_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE772_IS_DATA = ((LC_NUM_OF_PROBES > 772 ) && (LC_PROBE772_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE772_MU_CNT-1 : 0] LC_PROBE772_IS_TRIG =(LC_PROBE772_TYPE != 1)? {LC_PROBE772_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE773_IS_DATA = ((LC_NUM_OF_PROBES > 773 ) && (LC_PROBE773_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE773_MU_CNT-1 : 0] LC_PROBE773_IS_TRIG =(LC_PROBE773_TYPE != 1)? {LC_PROBE773_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE774_IS_DATA = ((LC_NUM_OF_PROBES > 774 ) && (LC_PROBE774_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE774_MU_CNT-1 : 0] LC_PROBE774_IS_TRIG =(LC_PROBE774_TYPE != 1)? {LC_PROBE774_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE775_IS_DATA = ((LC_NUM_OF_PROBES > 775 ) && (LC_PROBE775_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE775_MU_CNT-1 : 0] LC_PROBE775_IS_TRIG =(LC_PROBE775_TYPE != 1)? {LC_PROBE775_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE776_IS_DATA = ((LC_NUM_OF_PROBES > 776 ) && (LC_PROBE776_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE776_MU_CNT-1 : 0] LC_PROBE776_IS_TRIG =(LC_PROBE776_TYPE != 1)? {LC_PROBE776_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE777_IS_DATA = ((LC_NUM_OF_PROBES > 777 ) && (LC_PROBE777_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE777_MU_CNT-1 : 0] LC_PROBE777_IS_TRIG =(LC_PROBE777_TYPE != 1)? {LC_PROBE777_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE778_IS_DATA = ((LC_NUM_OF_PROBES > 778 ) && (LC_PROBE778_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE778_MU_CNT-1 : 0] LC_PROBE778_IS_TRIG =(LC_PROBE778_TYPE != 1)? {LC_PROBE778_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE779_IS_DATA = ((LC_NUM_OF_PROBES > 779 ) && (LC_PROBE779_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE779_MU_CNT-1 : 0] LC_PROBE779_IS_TRIG =(LC_PROBE779_TYPE != 1)? {LC_PROBE779_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE780_IS_DATA = ((LC_NUM_OF_PROBES > 780 ) && (LC_PROBE780_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE780_MU_CNT-1 : 0] LC_PROBE780_IS_TRIG =(LC_PROBE780_TYPE != 1)? {LC_PROBE780_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE781_IS_DATA = ((LC_NUM_OF_PROBES > 781 ) && (LC_PROBE781_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE781_MU_CNT-1 : 0] LC_PROBE781_IS_TRIG =(LC_PROBE781_TYPE != 1)? {LC_PROBE781_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE782_IS_DATA = ((LC_NUM_OF_PROBES > 782 ) && (LC_PROBE782_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE782_MU_CNT-1 : 0] LC_PROBE782_IS_TRIG =(LC_PROBE782_TYPE != 1)? {LC_PROBE782_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE783_IS_DATA = ((LC_NUM_OF_PROBES > 783 ) && (LC_PROBE783_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE783_MU_CNT-1 : 0] LC_PROBE783_IS_TRIG =(LC_PROBE783_TYPE != 1)? {LC_PROBE783_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE784_IS_DATA = ((LC_NUM_OF_PROBES > 784 ) && (LC_PROBE784_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE784_MU_CNT-1 : 0] LC_PROBE784_IS_TRIG =(LC_PROBE784_TYPE != 1)? {LC_PROBE784_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE785_IS_DATA = ((LC_NUM_OF_PROBES > 785 ) && (LC_PROBE785_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE785_MU_CNT-1 : 0] LC_PROBE785_IS_TRIG =(LC_PROBE785_TYPE != 1)? {LC_PROBE785_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE786_IS_DATA = ((LC_NUM_OF_PROBES > 786 ) && (LC_PROBE786_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE786_MU_CNT-1 : 0] LC_PROBE786_IS_TRIG =(LC_PROBE786_TYPE != 1)? {LC_PROBE786_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE787_IS_DATA = ((LC_NUM_OF_PROBES > 787 ) && (LC_PROBE787_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE787_MU_CNT-1 : 0] LC_PROBE787_IS_TRIG =(LC_PROBE787_TYPE != 1)? {LC_PROBE787_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE788_IS_DATA = ((LC_NUM_OF_PROBES > 788 ) && (LC_PROBE788_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE788_MU_CNT-1 : 0] LC_PROBE788_IS_TRIG =(LC_PROBE788_TYPE != 1)? {LC_PROBE788_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE789_IS_DATA = ((LC_NUM_OF_PROBES > 789 ) && (LC_PROBE789_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE789_MU_CNT-1 : 0] LC_PROBE789_IS_TRIG =(LC_PROBE789_TYPE != 1)? {LC_PROBE789_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE790_IS_DATA = ((LC_NUM_OF_PROBES > 790 ) && (LC_PROBE790_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE790_MU_CNT-1 : 0] LC_PROBE790_IS_TRIG =(LC_PROBE790_TYPE != 1)? {LC_PROBE790_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE791_IS_DATA = ((LC_NUM_OF_PROBES > 791 ) && (LC_PROBE791_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE791_MU_CNT-1 : 0] LC_PROBE791_IS_TRIG =(LC_PROBE791_TYPE != 1)? {LC_PROBE791_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE792_IS_DATA = ((LC_NUM_OF_PROBES > 792 ) && (LC_PROBE792_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE792_MU_CNT-1 : 0] LC_PROBE792_IS_TRIG =(LC_PROBE792_TYPE != 1)? {LC_PROBE792_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE793_IS_DATA = ((LC_NUM_OF_PROBES > 793 ) && (LC_PROBE793_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE793_MU_CNT-1 : 0] LC_PROBE793_IS_TRIG =(LC_PROBE793_TYPE != 1)? {LC_PROBE793_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE794_IS_DATA = ((LC_NUM_OF_PROBES > 794 ) && (LC_PROBE794_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE794_MU_CNT-1 : 0] LC_PROBE794_IS_TRIG =(LC_PROBE794_TYPE != 1)? {LC_PROBE794_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE795_IS_DATA = ((LC_NUM_OF_PROBES > 795 ) && (LC_PROBE795_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE795_MU_CNT-1 : 0] LC_PROBE795_IS_TRIG =(LC_PROBE795_TYPE != 1)? {LC_PROBE795_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE796_IS_DATA = ((LC_NUM_OF_PROBES > 796 ) && (LC_PROBE796_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE796_MU_CNT-1 : 0] LC_PROBE796_IS_TRIG =(LC_PROBE796_TYPE != 1)? {LC_PROBE796_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE797_IS_DATA = ((LC_NUM_OF_PROBES > 797 ) && (LC_PROBE797_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE797_MU_CNT-1 : 0] LC_PROBE797_IS_TRIG =(LC_PROBE797_TYPE != 1)? {LC_PROBE797_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE798_IS_DATA = ((LC_NUM_OF_PROBES > 798 ) && (LC_PROBE798_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE798_MU_CNT-1 : 0] LC_PROBE798_IS_TRIG =(LC_PROBE798_TYPE != 1)? {LC_PROBE798_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE799_IS_DATA = ((LC_NUM_OF_PROBES > 799 ) && (LC_PROBE799_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE799_MU_CNT-1 : 0] LC_PROBE799_IS_TRIG =(LC_PROBE799_TYPE != 1)? {LC_PROBE799_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE800_IS_DATA = ((LC_NUM_OF_PROBES > 800 ) && (LC_PROBE800_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE800_MU_CNT-1 : 0] LC_PROBE800_IS_TRIG =(LC_PROBE800_TYPE != 1)? {LC_PROBE800_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE801_IS_DATA = ((LC_NUM_OF_PROBES > 801 ) && (LC_PROBE801_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE801_MU_CNT-1 : 0] LC_PROBE801_IS_TRIG =(LC_PROBE801_TYPE != 1)? {LC_PROBE801_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE802_IS_DATA = ((LC_NUM_OF_PROBES > 802 ) && (LC_PROBE802_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE802_MU_CNT-1 : 0] LC_PROBE802_IS_TRIG =(LC_PROBE802_TYPE != 1)? {LC_PROBE802_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE803_IS_DATA = ((LC_NUM_OF_PROBES > 803 ) && (LC_PROBE803_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE803_MU_CNT-1 : 0] LC_PROBE803_IS_TRIG =(LC_PROBE803_TYPE != 1)? {LC_PROBE803_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE804_IS_DATA = ((LC_NUM_OF_PROBES > 804 ) && (LC_PROBE804_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE804_MU_CNT-1 : 0] LC_PROBE804_IS_TRIG =(LC_PROBE804_TYPE != 1)? {LC_PROBE804_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE805_IS_DATA = ((LC_NUM_OF_PROBES > 805 ) && (LC_PROBE805_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE805_MU_CNT-1 : 0] LC_PROBE805_IS_TRIG =(LC_PROBE805_TYPE != 1)? {LC_PROBE805_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE806_IS_DATA = ((LC_NUM_OF_PROBES > 806 ) && (LC_PROBE806_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE806_MU_CNT-1 : 0] LC_PROBE806_IS_TRIG =(LC_PROBE806_TYPE != 1)? {LC_PROBE806_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE807_IS_DATA = ((LC_NUM_OF_PROBES > 807 ) && (LC_PROBE807_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE807_MU_CNT-1 : 0] LC_PROBE807_IS_TRIG =(LC_PROBE807_TYPE != 1)? {LC_PROBE807_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE808_IS_DATA = ((LC_NUM_OF_PROBES > 808 ) && (LC_PROBE808_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE808_MU_CNT-1 : 0] LC_PROBE808_IS_TRIG =(LC_PROBE808_TYPE != 1)? {LC_PROBE808_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE809_IS_DATA = ((LC_NUM_OF_PROBES > 809 ) && (LC_PROBE809_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE809_MU_CNT-1 : 0] LC_PROBE809_IS_TRIG =(LC_PROBE809_TYPE != 1)? {LC_PROBE809_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE810_IS_DATA = ((LC_NUM_OF_PROBES > 810 ) && (LC_PROBE810_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE810_MU_CNT-1 : 0] LC_PROBE810_IS_TRIG =(LC_PROBE810_TYPE != 1)? {LC_PROBE810_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE811_IS_DATA = ((LC_NUM_OF_PROBES > 811 ) && (LC_PROBE811_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE811_MU_CNT-1 : 0] LC_PROBE811_IS_TRIG =(LC_PROBE811_TYPE != 1)? {LC_PROBE811_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE812_IS_DATA = ((LC_NUM_OF_PROBES > 812 ) && (LC_PROBE812_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE812_MU_CNT-1 : 0] LC_PROBE812_IS_TRIG =(LC_PROBE812_TYPE != 1)? {LC_PROBE812_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE813_IS_DATA = ((LC_NUM_OF_PROBES > 813 ) && (LC_PROBE813_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE813_MU_CNT-1 : 0] LC_PROBE813_IS_TRIG =(LC_PROBE813_TYPE != 1)? {LC_PROBE813_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE814_IS_DATA = ((LC_NUM_OF_PROBES > 814 ) && (LC_PROBE814_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE814_MU_CNT-1 : 0] LC_PROBE814_IS_TRIG =(LC_PROBE814_TYPE != 1)? {LC_PROBE814_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE815_IS_DATA = ((LC_NUM_OF_PROBES > 815 ) && (LC_PROBE815_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE815_MU_CNT-1 : 0] LC_PROBE815_IS_TRIG =(LC_PROBE815_TYPE != 1)? {LC_PROBE815_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE816_IS_DATA = ((LC_NUM_OF_PROBES > 816 ) && (LC_PROBE816_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE816_MU_CNT-1 : 0] LC_PROBE816_IS_TRIG =(LC_PROBE816_TYPE != 1)? {LC_PROBE816_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE817_IS_DATA = ((LC_NUM_OF_PROBES > 817 ) && (LC_PROBE817_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE817_MU_CNT-1 : 0] LC_PROBE817_IS_TRIG =(LC_PROBE817_TYPE != 1)? {LC_PROBE817_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE818_IS_DATA = ((LC_NUM_OF_PROBES > 818 ) && (LC_PROBE818_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE818_MU_CNT-1 : 0] LC_PROBE818_IS_TRIG =(LC_PROBE818_TYPE != 1)? {LC_PROBE818_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE819_IS_DATA = ((LC_NUM_OF_PROBES > 819 ) && (LC_PROBE819_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE819_MU_CNT-1 : 0] LC_PROBE819_IS_TRIG =(LC_PROBE819_TYPE != 1)? {LC_PROBE819_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE820_IS_DATA = ((LC_NUM_OF_PROBES > 820 ) && (LC_PROBE820_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE820_MU_CNT-1 : 0] LC_PROBE820_IS_TRIG =(LC_PROBE820_TYPE != 1)? {LC_PROBE820_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE821_IS_DATA = ((LC_NUM_OF_PROBES > 821 ) && (LC_PROBE821_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE821_MU_CNT-1 : 0] LC_PROBE821_IS_TRIG =(LC_PROBE821_TYPE != 1)? {LC_PROBE821_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE822_IS_DATA = ((LC_NUM_OF_PROBES > 822 ) && (LC_PROBE822_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE822_MU_CNT-1 : 0] LC_PROBE822_IS_TRIG =(LC_PROBE822_TYPE != 1)? {LC_PROBE822_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE823_IS_DATA = ((LC_NUM_OF_PROBES > 823 ) && (LC_PROBE823_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE823_MU_CNT-1 : 0] LC_PROBE823_IS_TRIG =(LC_PROBE823_TYPE != 1)? {LC_PROBE823_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE824_IS_DATA = ((LC_NUM_OF_PROBES > 824 ) && (LC_PROBE824_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE824_MU_CNT-1 : 0] LC_PROBE824_IS_TRIG =(LC_PROBE824_TYPE != 1)? {LC_PROBE824_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE825_IS_DATA = ((LC_NUM_OF_PROBES > 825 ) && (LC_PROBE825_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE825_MU_CNT-1 : 0] LC_PROBE825_IS_TRIG =(LC_PROBE825_TYPE != 1)? {LC_PROBE825_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE826_IS_DATA = ((LC_NUM_OF_PROBES > 826 ) && (LC_PROBE826_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE826_MU_CNT-1 : 0] LC_PROBE826_IS_TRIG =(LC_PROBE826_TYPE != 1)? {LC_PROBE826_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE827_IS_DATA = ((LC_NUM_OF_PROBES > 827 ) && (LC_PROBE827_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE827_MU_CNT-1 : 0] LC_PROBE827_IS_TRIG =(LC_PROBE827_TYPE != 1)? {LC_PROBE827_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE828_IS_DATA = ((LC_NUM_OF_PROBES > 828 ) && (LC_PROBE828_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE828_MU_CNT-1 : 0] LC_PROBE828_IS_TRIG =(LC_PROBE828_TYPE != 1)? {LC_PROBE828_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE829_IS_DATA = ((LC_NUM_OF_PROBES > 829 ) && (LC_PROBE829_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE829_MU_CNT-1 : 0] LC_PROBE829_IS_TRIG =(LC_PROBE829_TYPE != 1)? {LC_PROBE829_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE830_IS_DATA = ((LC_NUM_OF_PROBES > 830 ) && (LC_PROBE830_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE830_MU_CNT-1 : 0] LC_PROBE830_IS_TRIG =(LC_PROBE830_TYPE != 1)? {LC_PROBE830_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE831_IS_DATA = ((LC_NUM_OF_PROBES > 831 ) && (LC_PROBE831_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE831_MU_CNT-1 : 0] LC_PROBE831_IS_TRIG =(LC_PROBE831_TYPE != 1)? {LC_PROBE831_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE832_IS_DATA = ((LC_NUM_OF_PROBES > 832 ) && (LC_PROBE832_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE832_MU_CNT-1 : 0] LC_PROBE832_IS_TRIG =(LC_PROBE832_TYPE != 1)? {LC_PROBE832_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE833_IS_DATA = ((LC_NUM_OF_PROBES > 833 ) && (LC_PROBE833_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE833_MU_CNT-1 : 0] LC_PROBE833_IS_TRIG =(LC_PROBE833_TYPE != 1)? {LC_PROBE833_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE834_IS_DATA = ((LC_NUM_OF_PROBES > 834 ) && (LC_PROBE834_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE834_MU_CNT-1 : 0] LC_PROBE834_IS_TRIG =(LC_PROBE834_TYPE != 1)? {LC_PROBE834_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE835_IS_DATA = ((LC_NUM_OF_PROBES > 835 ) && (LC_PROBE835_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE835_MU_CNT-1 : 0] LC_PROBE835_IS_TRIG =(LC_PROBE835_TYPE != 1)? {LC_PROBE835_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE836_IS_DATA = ((LC_NUM_OF_PROBES > 836 ) && (LC_PROBE836_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE836_MU_CNT-1 : 0] LC_PROBE836_IS_TRIG =(LC_PROBE836_TYPE != 1)? {LC_PROBE836_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE837_IS_DATA = ((LC_NUM_OF_PROBES > 837 ) && (LC_PROBE837_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE837_MU_CNT-1 : 0] LC_PROBE837_IS_TRIG =(LC_PROBE837_TYPE != 1)? {LC_PROBE837_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE838_IS_DATA = ((LC_NUM_OF_PROBES > 838 ) && (LC_PROBE838_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE838_MU_CNT-1 : 0] LC_PROBE838_IS_TRIG =(LC_PROBE838_TYPE != 1)? {LC_PROBE838_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE839_IS_DATA = ((LC_NUM_OF_PROBES > 839 ) && (LC_PROBE839_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE839_MU_CNT-1 : 0] LC_PROBE839_IS_TRIG =(LC_PROBE839_TYPE != 1)? {LC_PROBE839_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE840_IS_DATA = ((LC_NUM_OF_PROBES > 840 ) && (LC_PROBE840_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE840_MU_CNT-1 : 0] LC_PROBE840_IS_TRIG =(LC_PROBE840_TYPE != 1)? {LC_PROBE840_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE841_IS_DATA = ((LC_NUM_OF_PROBES > 841 ) && (LC_PROBE841_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE841_MU_CNT-1 : 0] LC_PROBE841_IS_TRIG =(LC_PROBE841_TYPE != 1)? {LC_PROBE841_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE842_IS_DATA = ((LC_NUM_OF_PROBES > 842 ) && (LC_PROBE842_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE842_MU_CNT-1 : 0] LC_PROBE842_IS_TRIG =(LC_PROBE842_TYPE != 1)? {LC_PROBE842_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE843_IS_DATA = ((LC_NUM_OF_PROBES > 843 ) && (LC_PROBE843_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE843_MU_CNT-1 : 0] LC_PROBE843_IS_TRIG =(LC_PROBE843_TYPE != 1)? {LC_PROBE843_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE844_IS_DATA = ((LC_NUM_OF_PROBES > 844 ) && (LC_PROBE844_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE844_MU_CNT-1 : 0] LC_PROBE844_IS_TRIG =(LC_PROBE844_TYPE != 1)? {LC_PROBE844_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE845_IS_DATA = ((LC_NUM_OF_PROBES > 845 ) && (LC_PROBE845_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE845_MU_CNT-1 : 0] LC_PROBE845_IS_TRIG =(LC_PROBE845_TYPE != 1)? {LC_PROBE845_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE846_IS_DATA = ((LC_NUM_OF_PROBES > 846 ) && (LC_PROBE846_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE846_MU_CNT-1 : 0] LC_PROBE846_IS_TRIG =(LC_PROBE846_TYPE != 1)? {LC_PROBE846_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE847_IS_DATA = ((LC_NUM_OF_PROBES > 847 ) && (LC_PROBE847_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE847_MU_CNT-1 : 0] LC_PROBE847_IS_TRIG =(LC_PROBE847_TYPE != 1)? {LC_PROBE847_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE848_IS_DATA = ((LC_NUM_OF_PROBES > 848 ) && (LC_PROBE848_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE848_MU_CNT-1 : 0] LC_PROBE848_IS_TRIG =(LC_PROBE848_TYPE != 1)? {LC_PROBE848_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE849_IS_DATA = ((LC_NUM_OF_PROBES > 849 ) && (LC_PROBE849_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE849_MU_CNT-1 : 0] LC_PROBE849_IS_TRIG =(LC_PROBE849_TYPE != 1)? {LC_PROBE849_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE850_IS_DATA = ((LC_NUM_OF_PROBES > 850 ) && (LC_PROBE850_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE850_MU_CNT-1 : 0] LC_PROBE850_IS_TRIG =(LC_PROBE850_TYPE != 1)? {LC_PROBE850_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE851_IS_DATA = ((LC_NUM_OF_PROBES > 851 ) && (LC_PROBE851_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE851_MU_CNT-1 : 0] LC_PROBE851_IS_TRIG =(LC_PROBE851_TYPE != 1)? {LC_PROBE851_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE852_IS_DATA = ((LC_NUM_OF_PROBES > 852 ) && (LC_PROBE852_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE852_MU_CNT-1 : 0] LC_PROBE852_IS_TRIG =(LC_PROBE852_TYPE != 1)? {LC_PROBE852_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE853_IS_DATA = ((LC_NUM_OF_PROBES > 853 ) && (LC_PROBE853_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE853_MU_CNT-1 : 0] LC_PROBE853_IS_TRIG =(LC_PROBE853_TYPE != 1)? {LC_PROBE853_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE854_IS_DATA = ((LC_NUM_OF_PROBES > 854 ) && (LC_PROBE854_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE854_MU_CNT-1 : 0] LC_PROBE854_IS_TRIG =(LC_PROBE854_TYPE != 1)? {LC_PROBE854_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE855_IS_DATA = ((LC_NUM_OF_PROBES > 855 ) && (LC_PROBE855_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE855_MU_CNT-1 : 0] LC_PROBE855_IS_TRIG =(LC_PROBE855_TYPE != 1)? {LC_PROBE855_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE856_IS_DATA = ((LC_NUM_OF_PROBES > 856 ) && (LC_PROBE856_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE856_MU_CNT-1 : 0] LC_PROBE856_IS_TRIG =(LC_PROBE856_TYPE != 1)? {LC_PROBE856_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE857_IS_DATA = ((LC_NUM_OF_PROBES > 857 ) && (LC_PROBE857_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE857_MU_CNT-1 : 0] LC_PROBE857_IS_TRIG =(LC_PROBE857_TYPE != 1)? {LC_PROBE857_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE858_IS_DATA = ((LC_NUM_OF_PROBES > 858 ) && (LC_PROBE858_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE858_MU_CNT-1 : 0] LC_PROBE858_IS_TRIG =(LC_PROBE858_TYPE != 1)? {LC_PROBE858_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE859_IS_DATA = ((LC_NUM_OF_PROBES > 859 ) && (LC_PROBE859_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE859_MU_CNT-1 : 0] LC_PROBE859_IS_TRIG =(LC_PROBE859_TYPE != 1)? {LC_PROBE859_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE860_IS_DATA = ((LC_NUM_OF_PROBES > 860 ) && (LC_PROBE860_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE860_MU_CNT-1 : 0] LC_PROBE860_IS_TRIG =(LC_PROBE860_TYPE != 1)? {LC_PROBE860_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE861_IS_DATA = ((LC_NUM_OF_PROBES > 861 ) && (LC_PROBE861_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE861_MU_CNT-1 : 0] LC_PROBE861_IS_TRIG =(LC_PROBE861_TYPE != 1)? {LC_PROBE861_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE862_IS_DATA = ((LC_NUM_OF_PROBES > 862 ) && (LC_PROBE862_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE862_MU_CNT-1 : 0] LC_PROBE862_IS_TRIG =(LC_PROBE862_TYPE != 1)? {LC_PROBE862_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE863_IS_DATA = ((LC_NUM_OF_PROBES > 863 ) && (LC_PROBE863_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE863_MU_CNT-1 : 0] LC_PROBE863_IS_TRIG =(LC_PROBE863_TYPE != 1)? {LC_PROBE863_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE864_IS_DATA = ((LC_NUM_OF_PROBES > 864 ) && (LC_PROBE864_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE864_MU_CNT-1 : 0] LC_PROBE864_IS_TRIG =(LC_PROBE864_TYPE != 1)? {LC_PROBE864_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE865_IS_DATA = ((LC_NUM_OF_PROBES > 865 ) && (LC_PROBE865_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE865_MU_CNT-1 : 0] LC_PROBE865_IS_TRIG =(LC_PROBE865_TYPE != 1)? {LC_PROBE865_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE866_IS_DATA = ((LC_NUM_OF_PROBES > 866 ) && (LC_PROBE866_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE866_MU_CNT-1 : 0] LC_PROBE866_IS_TRIG =(LC_PROBE866_TYPE != 1)? {LC_PROBE866_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE867_IS_DATA = ((LC_NUM_OF_PROBES > 867 ) && (LC_PROBE867_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE867_MU_CNT-1 : 0] LC_PROBE867_IS_TRIG =(LC_PROBE867_TYPE != 1)? {LC_PROBE867_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE868_IS_DATA = ((LC_NUM_OF_PROBES > 868 ) && (LC_PROBE868_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE868_MU_CNT-1 : 0] LC_PROBE868_IS_TRIG =(LC_PROBE868_TYPE != 1)? {LC_PROBE868_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE869_IS_DATA = ((LC_NUM_OF_PROBES > 869 ) && (LC_PROBE869_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE869_MU_CNT-1 : 0] LC_PROBE869_IS_TRIG =(LC_PROBE869_TYPE != 1)? {LC_PROBE869_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE870_IS_DATA = ((LC_NUM_OF_PROBES > 870 ) && (LC_PROBE870_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE870_MU_CNT-1 : 0] LC_PROBE870_IS_TRIG =(LC_PROBE870_TYPE != 1)? {LC_PROBE870_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE871_IS_DATA = ((LC_NUM_OF_PROBES > 871 ) && (LC_PROBE871_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE871_MU_CNT-1 : 0] LC_PROBE871_IS_TRIG =(LC_PROBE871_TYPE != 1)? {LC_PROBE871_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE872_IS_DATA = ((LC_NUM_OF_PROBES > 872 ) && (LC_PROBE872_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE872_MU_CNT-1 : 0] LC_PROBE872_IS_TRIG =(LC_PROBE872_TYPE != 1)? {LC_PROBE872_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE873_IS_DATA = ((LC_NUM_OF_PROBES > 873 ) && (LC_PROBE873_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE873_MU_CNT-1 : 0] LC_PROBE873_IS_TRIG =(LC_PROBE873_TYPE != 1)? {LC_PROBE873_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE874_IS_DATA = ((LC_NUM_OF_PROBES > 874 ) && (LC_PROBE874_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE874_MU_CNT-1 : 0] LC_PROBE874_IS_TRIG =(LC_PROBE874_TYPE != 1)? {LC_PROBE874_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE875_IS_DATA = ((LC_NUM_OF_PROBES > 875 ) && (LC_PROBE875_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE875_MU_CNT-1 : 0] LC_PROBE875_IS_TRIG =(LC_PROBE875_TYPE != 1)? {LC_PROBE875_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE876_IS_DATA = ((LC_NUM_OF_PROBES > 876 ) && (LC_PROBE876_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE876_MU_CNT-1 : 0] LC_PROBE876_IS_TRIG =(LC_PROBE876_TYPE != 1)? {LC_PROBE876_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE877_IS_DATA = ((LC_NUM_OF_PROBES > 877 ) && (LC_PROBE877_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE877_MU_CNT-1 : 0] LC_PROBE877_IS_TRIG =(LC_PROBE877_TYPE != 1)? {LC_PROBE877_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE878_IS_DATA = ((LC_NUM_OF_PROBES > 878 ) && (LC_PROBE878_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE878_MU_CNT-1 : 0] LC_PROBE878_IS_TRIG =(LC_PROBE878_TYPE != 1)? {LC_PROBE878_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE879_IS_DATA = ((LC_NUM_OF_PROBES > 879 ) && (LC_PROBE879_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE879_MU_CNT-1 : 0] LC_PROBE879_IS_TRIG =(LC_PROBE879_TYPE != 1)? {LC_PROBE879_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE880_IS_DATA = ((LC_NUM_OF_PROBES > 880 ) && (LC_PROBE880_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE880_MU_CNT-1 : 0] LC_PROBE880_IS_TRIG =(LC_PROBE880_TYPE != 1)? {LC_PROBE880_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE881_IS_DATA = ((LC_NUM_OF_PROBES > 881 ) && (LC_PROBE881_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE881_MU_CNT-1 : 0] LC_PROBE881_IS_TRIG =(LC_PROBE881_TYPE != 1)? {LC_PROBE881_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE882_IS_DATA = ((LC_NUM_OF_PROBES > 882 ) && (LC_PROBE882_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE882_MU_CNT-1 : 0] LC_PROBE882_IS_TRIG =(LC_PROBE882_TYPE != 1)? {LC_PROBE882_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE883_IS_DATA = ((LC_NUM_OF_PROBES > 883 ) && (LC_PROBE883_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE883_MU_CNT-1 : 0] LC_PROBE883_IS_TRIG =(LC_PROBE883_TYPE != 1)? {LC_PROBE883_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE884_IS_DATA = ((LC_NUM_OF_PROBES > 884 ) && (LC_PROBE884_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE884_MU_CNT-1 : 0] LC_PROBE884_IS_TRIG =(LC_PROBE884_TYPE != 1)? {LC_PROBE884_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE885_IS_DATA = ((LC_NUM_OF_PROBES > 885 ) && (LC_PROBE885_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE885_MU_CNT-1 : 0] LC_PROBE885_IS_TRIG =(LC_PROBE885_TYPE != 1)? {LC_PROBE885_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE886_IS_DATA = ((LC_NUM_OF_PROBES > 886 ) && (LC_PROBE886_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE886_MU_CNT-1 : 0] LC_PROBE886_IS_TRIG =(LC_PROBE886_TYPE != 1)? {LC_PROBE886_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE887_IS_DATA = ((LC_NUM_OF_PROBES > 887 ) && (LC_PROBE887_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE887_MU_CNT-1 : 0] LC_PROBE887_IS_TRIG =(LC_PROBE887_TYPE != 1)? {LC_PROBE887_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE888_IS_DATA = ((LC_NUM_OF_PROBES > 888 ) && (LC_PROBE888_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE888_MU_CNT-1 : 0] LC_PROBE888_IS_TRIG =(LC_PROBE888_TYPE != 1)? {LC_PROBE888_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE889_IS_DATA = ((LC_NUM_OF_PROBES > 889 ) && (LC_PROBE889_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE889_MU_CNT-1 : 0] LC_PROBE889_IS_TRIG =(LC_PROBE889_TYPE != 1)? {LC_PROBE889_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE890_IS_DATA = ((LC_NUM_OF_PROBES > 890 ) && (LC_PROBE890_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE890_MU_CNT-1 : 0] LC_PROBE890_IS_TRIG =(LC_PROBE890_TYPE != 1)? {LC_PROBE890_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE891_IS_DATA = ((LC_NUM_OF_PROBES > 891 ) && (LC_PROBE891_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE891_MU_CNT-1 : 0] LC_PROBE891_IS_TRIG =(LC_PROBE891_TYPE != 1)? {LC_PROBE891_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE892_IS_DATA = ((LC_NUM_OF_PROBES > 892 ) && (LC_PROBE892_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE892_MU_CNT-1 : 0] LC_PROBE892_IS_TRIG =(LC_PROBE892_TYPE != 1)? {LC_PROBE892_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE893_IS_DATA = ((LC_NUM_OF_PROBES > 893 ) && (LC_PROBE893_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE893_MU_CNT-1 : 0] LC_PROBE893_IS_TRIG =(LC_PROBE893_TYPE != 1)? {LC_PROBE893_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE894_IS_DATA = ((LC_NUM_OF_PROBES > 894 ) && (LC_PROBE894_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE894_MU_CNT-1 : 0] LC_PROBE894_IS_TRIG =(LC_PROBE894_TYPE != 1)? {LC_PROBE894_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE895_IS_DATA = ((LC_NUM_OF_PROBES > 895 ) && (LC_PROBE895_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE895_MU_CNT-1 : 0] LC_PROBE895_IS_TRIG =(LC_PROBE895_TYPE != 1)? {LC_PROBE895_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE896_IS_DATA = ((LC_NUM_OF_PROBES > 896 ) && (LC_PROBE896_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE896_MU_CNT-1 : 0] LC_PROBE896_IS_TRIG =(LC_PROBE896_TYPE != 1)? {LC_PROBE896_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE897_IS_DATA = ((LC_NUM_OF_PROBES > 897 ) && (LC_PROBE897_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE897_MU_CNT-1 : 0] LC_PROBE897_IS_TRIG =(LC_PROBE897_TYPE != 1)? {LC_PROBE897_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE898_IS_DATA = ((LC_NUM_OF_PROBES > 898 ) && (LC_PROBE898_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE898_MU_CNT-1 : 0] LC_PROBE898_IS_TRIG =(LC_PROBE898_TYPE != 1)? {LC_PROBE898_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE899_IS_DATA = ((LC_NUM_OF_PROBES > 899 ) && (LC_PROBE899_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE899_MU_CNT-1 : 0] LC_PROBE899_IS_TRIG =(LC_PROBE899_TYPE != 1)? {LC_PROBE899_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE900_IS_DATA = ((LC_NUM_OF_PROBES > 900 ) && (LC_PROBE900_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE900_MU_CNT-1 : 0] LC_PROBE900_IS_TRIG =(LC_PROBE900_TYPE != 1)? {LC_PROBE900_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE901_IS_DATA = ((LC_NUM_OF_PROBES > 901 ) && (LC_PROBE901_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE901_MU_CNT-1 : 0] LC_PROBE901_IS_TRIG =(LC_PROBE901_TYPE != 1)? {LC_PROBE901_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE902_IS_DATA = ((LC_NUM_OF_PROBES > 902 ) && (LC_PROBE902_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE902_MU_CNT-1 : 0] LC_PROBE902_IS_TRIG =(LC_PROBE902_TYPE != 1)? {LC_PROBE902_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE903_IS_DATA = ((LC_NUM_OF_PROBES > 903 ) && (LC_PROBE903_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE903_MU_CNT-1 : 0] LC_PROBE903_IS_TRIG =(LC_PROBE903_TYPE != 1)? {LC_PROBE903_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE904_IS_DATA = ((LC_NUM_OF_PROBES > 904 ) && (LC_PROBE904_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE904_MU_CNT-1 : 0] LC_PROBE904_IS_TRIG =(LC_PROBE904_TYPE != 1)? {LC_PROBE904_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE905_IS_DATA = ((LC_NUM_OF_PROBES > 905 ) && (LC_PROBE905_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE905_MU_CNT-1 : 0] LC_PROBE905_IS_TRIG =(LC_PROBE905_TYPE != 1)? {LC_PROBE905_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE906_IS_DATA = ((LC_NUM_OF_PROBES > 906 ) && (LC_PROBE906_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE906_MU_CNT-1 : 0] LC_PROBE906_IS_TRIG =(LC_PROBE906_TYPE != 1)? {LC_PROBE906_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE907_IS_DATA = ((LC_NUM_OF_PROBES > 907 ) && (LC_PROBE907_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE907_MU_CNT-1 : 0] LC_PROBE907_IS_TRIG =(LC_PROBE907_TYPE != 1)? {LC_PROBE907_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE908_IS_DATA = ((LC_NUM_OF_PROBES > 908 ) && (LC_PROBE908_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE908_MU_CNT-1 : 0] LC_PROBE908_IS_TRIG =(LC_PROBE908_TYPE != 1)? {LC_PROBE908_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE909_IS_DATA = ((LC_NUM_OF_PROBES > 909 ) && (LC_PROBE909_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE909_MU_CNT-1 : 0] LC_PROBE909_IS_TRIG =(LC_PROBE909_TYPE != 1)? {LC_PROBE909_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE910_IS_DATA = ((LC_NUM_OF_PROBES > 910 ) && (LC_PROBE910_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE910_MU_CNT-1 : 0] LC_PROBE910_IS_TRIG =(LC_PROBE910_TYPE != 1)? {LC_PROBE910_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE911_IS_DATA = ((LC_NUM_OF_PROBES > 911 ) && (LC_PROBE911_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE911_MU_CNT-1 : 0] LC_PROBE911_IS_TRIG =(LC_PROBE911_TYPE != 1)? {LC_PROBE911_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE912_IS_DATA = ((LC_NUM_OF_PROBES > 912 ) && (LC_PROBE912_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE912_MU_CNT-1 : 0] LC_PROBE912_IS_TRIG =(LC_PROBE912_TYPE != 1)? {LC_PROBE912_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE913_IS_DATA = ((LC_NUM_OF_PROBES > 913 ) && (LC_PROBE913_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE913_MU_CNT-1 : 0] LC_PROBE913_IS_TRIG =(LC_PROBE913_TYPE != 1)? {LC_PROBE913_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE914_IS_DATA = ((LC_NUM_OF_PROBES > 914 ) && (LC_PROBE914_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE914_MU_CNT-1 : 0] LC_PROBE914_IS_TRIG =(LC_PROBE914_TYPE != 1)? {LC_PROBE914_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE915_IS_DATA = ((LC_NUM_OF_PROBES > 915 ) && (LC_PROBE915_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE915_MU_CNT-1 : 0] LC_PROBE915_IS_TRIG =(LC_PROBE915_TYPE != 1)? {LC_PROBE915_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE916_IS_DATA = ((LC_NUM_OF_PROBES > 916 ) && (LC_PROBE916_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE916_MU_CNT-1 : 0] LC_PROBE916_IS_TRIG =(LC_PROBE916_TYPE != 1)? {LC_PROBE916_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE917_IS_DATA = ((LC_NUM_OF_PROBES > 917 ) && (LC_PROBE917_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE917_MU_CNT-1 : 0] LC_PROBE917_IS_TRIG =(LC_PROBE917_TYPE != 1)? {LC_PROBE917_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE918_IS_DATA = ((LC_NUM_OF_PROBES > 918 ) && (LC_PROBE918_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE918_MU_CNT-1 : 0] LC_PROBE918_IS_TRIG =(LC_PROBE918_TYPE != 1)? {LC_PROBE918_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE919_IS_DATA = ((LC_NUM_OF_PROBES > 919 ) && (LC_PROBE919_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE919_MU_CNT-1 : 0] LC_PROBE919_IS_TRIG =(LC_PROBE919_TYPE != 1)? {LC_PROBE919_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE920_IS_DATA = ((LC_NUM_OF_PROBES > 920 ) && (LC_PROBE920_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE920_MU_CNT-1 : 0] LC_PROBE920_IS_TRIG =(LC_PROBE920_TYPE != 1)? {LC_PROBE920_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE921_IS_DATA = ((LC_NUM_OF_PROBES > 921 ) && (LC_PROBE921_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE921_MU_CNT-1 : 0] LC_PROBE921_IS_TRIG =(LC_PROBE921_TYPE != 1)? {LC_PROBE921_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE922_IS_DATA = ((LC_NUM_OF_PROBES > 922 ) && (LC_PROBE922_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE922_MU_CNT-1 : 0] LC_PROBE922_IS_TRIG =(LC_PROBE922_TYPE != 1)? {LC_PROBE922_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE923_IS_DATA = ((LC_NUM_OF_PROBES > 923 ) && (LC_PROBE923_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE923_MU_CNT-1 : 0] LC_PROBE923_IS_TRIG =(LC_PROBE923_TYPE != 1)? {LC_PROBE923_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE924_IS_DATA = ((LC_NUM_OF_PROBES > 924 ) && (LC_PROBE924_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE924_MU_CNT-1 : 0] LC_PROBE924_IS_TRIG =(LC_PROBE924_TYPE != 1)? {LC_PROBE924_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE925_IS_DATA = ((LC_NUM_OF_PROBES > 925 ) && (LC_PROBE925_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE925_MU_CNT-1 : 0] LC_PROBE925_IS_TRIG =(LC_PROBE925_TYPE != 1)? {LC_PROBE925_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE926_IS_DATA = ((LC_NUM_OF_PROBES > 926 ) && (LC_PROBE926_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE926_MU_CNT-1 : 0] LC_PROBE926_IS_TRIG =(LC_PROBE926_TYPE != 1)? {LC_PROBE926_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE927_IS_DATA = ((LC_NUM_OF_PROBES > 927 ) && (LC_PROBE927_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE927_MU_CNT-1 : 0] LC_PROBE927_IS_TRIG =(LC_PROBE927_TYPE != 1)? {LC_PROBE927_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE928_IS_DATA = ((LC_NUM_OF_PROBES > 928 ) && (LC_PROBE928_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE928_MU_CNT-1 : 0] LC_PROBE928_IS_TRIG =(LC_PROBE928_TYPE != 1)? {LC_PROBE928_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE929_IS_DATA = ((LC_NUM_OF_PROBES > 929 ) && (LC_PROBE929_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE929_MU_CNT-1 : 0] LC_PROBE929_IS_TRIG =(LC_PROBE929_TYPE != 1)? {LC_PROBE929_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE930_IS_DATA = ((LC_NUM_OF_PROBES > 930 ) && (LC_PROBE930_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE930_MU_CNT-1 : 0] LC_PROBE930_IS_TRIG =(LC_PROBE930_TYPE != 1)? {LC_PROBE930_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE931_IS_DATA = ((LC_NUM_OF_PROBES > 931 ) && (LC_PROBE931_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE931_MU_CNT-1 : 0] LC_PROBE931_IS_TRIG =(LC_PROBE931_TYPE != 1)? {LC_PROBE931_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE932_IS_DATA = ((LC_NUM_OF_PROBES > 932 ) && (LC_PROBE932_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE932_MU_CNT-1 : 0] LC_PROBE932_IS_TRIG =(LC_PROBE932_TYPE != 1)? {LC_PROBE932_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE933_IS_DATA = ((LC_NUM_OF_PROBES > 933 ) && (LC_PROBE933_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE933_MU_CNT-1 : 0] LC_PROBE933_IS_TRIG =(LC_PROBE933_TYPE != 1)? {LC_PROBE933_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE934_IS_DATA = ((LC_NUM_OF_PROBES > 934 ) && (LC_PROBE934_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE934_MU_CNT-1 : 0] LC_PROBE934_IS_TRIG =(LC_PROBE934_TYPE != 1)? {LC_PROBE934_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE935_IS_DATA = ((LC_NUM_OF_PROBES > 935 ) && (LC_PROBE935_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE935_MU_CNT-1 : 0] LC_PROBE935_IS_TRIG =(LC_PROBE935_TYPE != 1)? {LC_PROBE935_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE936_IS_DATA = ((LC_NUM_OF_PROBES > 936 ) && (LC_PROBE936_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE936_MU_CNT-1 : 0] LC_PROBE936_IS_TRIG =(LC_PROBE936_TYPE != 1)? {LC_PROBE936_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE937_IS_DATA = ((LC_NUM_OF_PROBES > 937 ) && (LC_PROBE937_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE937_MU_CNT-1 : 0] LC_PROBE937_IS_TRIG =(LC_PROBE937_TYPE != 1)? {LC_PROBE937_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE938_IS_DATA = ((LC_NUM_OF_PROBES > 938 ) && (LC_PROBE938_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE938_MU_CNT-1 : 0] LC_PROBE938_IS_TRIG =(LC_PROBE938_TYPE != 1)? {LC_PROBE938_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE939_IS_DATA = ((LC_NUM_OF_PROBES > 939 ) && (LC_PROBE939_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE939_MU_CNT-1 : 0] LC_PROBE939_IS_TRIG =(LC_PROBE939_TYPE != 1)? {LC_PROBE939_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE940_IS_DATA = ((LC_NUM_OF_PROBES > 940 ) && (LC_PROBE940_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE940_MU_CNT-1 : 0] LC_PROBE940_IS_TRIG =(LC_PROBE940_TYPE != 1)? {LC_PROBE940_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE941_IS_DATA = ((LC_NUM_OF_PROBES > 941 ) && (LC_PROBE941_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE941_MU_CNT-1 : 0] LC_PROBE941_IS_TRIG =(LC_PROBE941_TYPE != 1)? {LC_PROBE941_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE942_IS_DATA = ((LC_NUM_OF_PROBES > 942 ) && (LC_PROBE942_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE942_MU_CNT-1 : 0] LC_PROBE942_IS_TRIG =(LC_PROBE942_TYPE != 1)? {LC_PROBE942_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE943_IS_DATA = ((LC_NUM_OF_PROBES > 943 ) && (LC_PROBE943_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE943_MU_CNT-1 : 0] LC_PROBE943_IS_TRIG =(LC_PROBE943_TYPE != 1)? {LC_PROBE943_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE944_IS_DATA = ((LC_NUM_OF_PROBES > 944 ) && (LC_PROBE944_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE944_MU_CNT-1 : 0] LC_PROBE944_IS_TRIG =(LC_PROBE944_TYPE != 1)? {LC_PROBE944_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE945_IS_DATA = ((LC_NUM_OF_PROBES > 945 ) && (LC_PROBE945_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE945_MU_CNT-1 : 0] LC_PROBE945_IS_TRIG =(LC_PROBE945_TYPE != 1)? {LC_PROBE945_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE946_IS_DATA = ((LC_NUM_OF_PROBES > 946 ) && (LC_PROBE946_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE946_MU_CNT-1 : 0] LC_PROBE946_IS_TRIG =(LC_PROBE946_TYPE != 1)? {LC_PROBE946_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE947_IS_DATA = ((LC_NUM_OF_PROBES > 947 ) && (LC_PROBE947_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE947_MU_CNT-1 : 0] LC_PROBE947_IS_TRIG =(LC_PROBE947_TYPE != 1)? {LC_PROBE947_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE948_IS_DATA = ((LC_NUM_OF_PROBES > 948 ) && (LC_PROBE948_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE948_MU_CNT-1 : 0] LC_PROBE948_IS_TRIG =(LC_PROBE948_TYPE != 1)? {LC_PROBE948_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE949_IS_DATA = ((LC_NUM_OF_PROBES > 949 ) && (LC_PROBE949_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE949_MU_CNT-1 : 0] LC_PROBE949_IS_TRIG =(LC_PROBE949_TYPE != 1)? {LC_PROBE949_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE950_IS_DATA = ((LC_NUM_OF_PROBES > 950 ) && (LC_PROBE950_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE950_MU_CNT-1 : 0] LC_PROBE950_IS_TRIG =(LC_PROBE950_TYPE != 1)? {LC_PROBE950_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE951_IS_DATA = ((LC_NUM_OF_PROBES > 951 ) && (LC_PROBE951_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE951_MU_CNT-1 : 0] LC_PROBE951_IS_TRIG =(LC_PROBE951_TYPE != 1)? {LC_PROBE951_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE952_IS_DATA = ((LC_NUM_OF_PROBES > 952 ) && (LC_PROBE952_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE952_MU_CNT-1 : 0] LC_PROBE952_IS_TRIG =(LC_PROBE952_TYPE != 1)? {LC_PROBE952_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE953_IS_DATA = ((LC_NUM_OF_PROBES > 953 ) && (LC_PROBE953_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE953_MU_CNT-1 : 0] LC_PROBE953_IS_TRIG =(LC_PROBE953_TYPE != 1)? {LC_PROBE953_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE954_IS_DATA = ((LC_NUM_OF_PROBES > 954 ) && (LC_PROBE954_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE954_MU_CNT-1 : 0] LC_PROBE954_IS_TRIG =(LC_PROBE954_TYPE != 1)? {LC_PROBE954_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE955_IS_DATA = ((LC_NUM_OF_PROBES > 955 ) && (LC_PROBE955_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE955_MU_CNT-1 : 0] LC_PROBE955_IS_TRIG =(LC_PROBE955_TYPE != 1)? {LC_PROBE955_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE956_IS_DATA = ((LC_NUM_OF_PROBES > 956 ) && (LC_PROBE956_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE956_MU_CNT-1 : 0] LC_PROBE956_IS_TRIG =(LC_PROBE956_TYPE != 1)? {LC_PROBE956_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE957_IS_DATA = ((LC_NUM_OF_PROBES > 957 ) && (LC_PROBE957_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE957_MU_CNT-1 : 0] LC_PROBE957_IS_TRIG =(LC_PROBE957_TYPE != 1)? {LC_PROBE957_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE958_IS_DATA = ((LC_NUM_OF_PROBES > 958 ) && (LC_PROBE958_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE958_MU_CNT-1 : 0] LC_PROBE958_IS_TRIG =(LC_PROBE958_TYPE != 1)? {LC_PROBE958_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE959_IS_DATA = ((LC_NUM_OF_PROBES > 959 ) && (LC_PROBE959_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE959_MU_CNT-1 : 0] LC_PROBE959_IS_TRIG =(LC_PROBE959_TYPE != 1)? {LC_PROBE959_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE960_IS_DATA = ((LC_NUM_OF_PROBES > 960 ) && (LC_PROBE960_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE960_MU_CNT-1 : 0] LC_PROBE960_IS_TRIG =(LC_PROBE960_TYPE != 1)? {LC_PROBE960_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE961_IS_DATA = ((LC_NUM_OF_PROBES > 961 ) && (LC_PROBE961_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE961_MU_CNT-1 : 0] LC_PROBE961_IS_TRIG =(LC_PROBE961_TYPE != 1)? {LC_PROBE961_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE962_IS_DATA = ((LC_NUM_OF_PROBES > 962 ) && (LC_PROBE962_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE962_MU_CNT-1 : 0] LC_PROBE962_IS_TRIG =(LC_PROBE962_TYPE != 1)? {LC_PROBE962_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE963_IS_DATA = ((LC_NUM_OF_PROBES > 963 ) && (LC_PROBE963_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE963_MU_CNT-1 : 0] LC_PROBE963_IS_TRIG =(LC_PROBE963_TYPE != 1)? {LC_PROBE963_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE964_IS_DATA = ((LC_NUM_OF_PROBES > 964 ) && (LC_PROBE964_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE964_MU_CNT-1 : 0] LC_PROBE964_IS_TRIG =(LC_PROBE964_TYPE != 1)? {LC_PROBE964_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE965_IS_DATA = ((LC_NUM_OF_PROBES > 965 ) && (LC_PROBE965_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE965_MU_CNT-1 : 0] LC_PROBE965_IS_TRIG =(LC_PROBE965_TYPE != 1)? {LC_PROBE965_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE966_IS_DATA = ((LC_NUM_OF_PROBES > 966 ) && (LC_PROBE966_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE966_MU_CNT-1 : 0] LC_PROBE966_IS_TRIG =(LC_PROBE966_TYPE != 1)? {LC_PROBE966_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE967_IS_DATA = ((LC_NUM_OF_PROBES > 967 ) && (LC_PROBE967_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE967_MU_CNT-1 : 0] LC_PROBE967_IS_TRIG =(LC_PROBE967_TYPE != 1)? {LC_PROBE967_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE968_IS_DATA = ((LC_NUM_OF_PROBES > 968 ) && (LC_PROBE968_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE968_MU_CNT-1 : 0] LC_PROBE968_IS_TRIG =(LC_PROBE968_TYPE != 1)? {LC_PROBE968_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE969_IS_DATA = ((LC_NUM_OF_PROBES > 969 ) && (LC_PROBE969_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE969_MU_CNT-1 : 0] LC_PROBE969_IS_TRIG =(LC_PROBE969_TYPE != 1)? {LC_PROBE969_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE970_IS_DATA = ((LC_NUM_OF_PROBES > 970 ) && (LC_PROBE970_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE970_MU_CNT-1 : 0] LC_PROBE970_IS_TRIG =(LC_PROBE970_TYPE != 1)? {LC_PROBE970_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE971_IS_DATA = ((LC_NUM_OF_PROBES > 971 ) && (LC_PROBE971_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE971_MU_CNT-1 : 0] LC_PROBE971_IS_TRIG =(LC_PROBE971_TYPE != 1)? {LC_PROBE971_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE972_IS_DATA = ((LC_NUM_OF_PROBES > 972 ) && (LC_PROBE972_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE972_MU_CNT-1 : 0] LC_PROBE972_IS_TRIG =(LC_PROBE972_TYPE != 1)? {LC_PROBE972_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE973_IS_DATA = ((LC_NUM_OF_PROBES > 973 ) && (LC_PROBE973_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE973_MU_CNT-1 : 0] LC_PROBE973_IS_TRIG =(LC_PROBE973_TYPE != 1)? {LC_PROBE973_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE974_IS_DATA = ((LC_NUM_OF_PROBES > 974 ) && (LC_PROBE974_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE974_MU_CNT-1 : 0] LC_PROBE974_IS_TRIG =(LC_PROBE974_TYPE != 1)? {LC_PROBE974_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE975_IS_DATA = ((LC_NUM_OF_PROBES > 975 ) && (LC_PROBE975_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE975_MU_CNT-1 : 0] LC_PROBE975_IS_TRIG =(LC_PROBE975_TYPE != 1)? {LC_PROBE975_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE976_IS_DATA = ((LC_NUM_OF_PROBES > 976 ) && (LC_PROBE976_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE976_MU_CNT-1 : 0] LC_PROBE976_IS_TRIG =(LC_PROBE976_TYPE != 1)? {LC_PROBE976_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE977_IS_DATA = ((LC_NUM_OF_PROBES > 977 ) && (LC_PROBE977_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE977_MU_CNT-1 : 0] LC_PROBE977_IS_TRIG =(LC_PROBE977_TYPE != 1)? {LC_PROBE977_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE978_IS_DATA = ((LC_NUM_OF_PROBES > 978 ) && (LC_PROBE978_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE978_MU_CNT-1 : 0] LC_PROBE978_IS_TRIG =(LC_PROBE978_TYPE != 1)? {LC_PROBE978_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE979_IS_DATA = ((LC_NUM_OF_PROBES > 979 ) && (LC_PROBE979_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE979_MU_CNT-1 : 0] LC_PROBE979_IS_TRIG =(LC_PROBE979_TYPE != 1)? {LC_PROBE979_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE980_IS_DATA = ((LC_NUM_OF_PROBES > 980 ) && (LC_PROBE980_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE980_MU_CNT-1 : 0] LC_PROBE980_IS_TRIG =(LC_PROBE980_TYPE != 1)? {LC_PROBE980_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE981_IS_DATA = ((LC_NUM_OF_PROBES > 981 ) && (LC_PROBE981_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE981_MU_CNT-1 : 0] LC_PROBE981_IS_TRIG =(LC_PROBE981_TYPE != 1)? {LC_PROBE981_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE982_IS_DATA = ((LC_NUM_OF_PROBES > 982 ) && (LC_PROBE982_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE982_MU_CNT-1 : 0] LC_PROBE982_IS_TRIG =(LC_PROBE982_TYPE != 1)? {LC_PROBE982_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE983_IS_DATA = ((LC_NUM_OF_PROBES > 983 ) && (LC_PROBE983_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE983_MU_CNT-1 : 0] LC_PROBE983_IS_TRIG =(LC_PROBE983_TYPE != 1)? {LC_PROBE983_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE984_IS_DATA = ((LC_NUM_OF_PROBES > 984 ) && (LC_PROBE984_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE984_MU_CNT-1 : 0] LC_PROBE984_IS_TRIG =(LC_PROBE984_TYPE != 1)? {LC_PROBE984_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE985_IS_DATA = ((LC_NUM_OF_PROBES > 985 ) && (LC_PROBE985_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE985_MU_CNT-1 : 0] LC_PROBE985_IS_TRIG =(LC_PROBE985_TYPE != 1)? {LC_PROBE985_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE986_IS_DATA = ((LC_NUM_OF_PROBES > 986 ) && (LC_PROBE986_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE986_MU_CNT-1 : 0] LC_PROBE986_IS_TRIG =(LC_PROBE986_TYPE != 1)? {LC_PROBE986_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE987_IS_DATA = ((LC_NUM_OF_PROBES > 987 ) && (LC_PROBE987_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE987_MU_CNT-1 : 0] LC_PROBE987_IS_TRIG =(LC_PROBE987_TYPE != 1)? {LC_PROBE987_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE988_IS_DATA = ((LC_NUM_OF_PROBES > 988 ) && (LC_PROBE988_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE988_MU_CNT-1 : 0] LC_PROBE988_IS_TRIG =(LC_PROBE988_TYPE != 1)? {LC_PROBE988_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE989_IS_DATA = ((LC_NUM_OF_PROBES > 989 ) && (LC_PROBE989_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE989_MU_CNT-1 : 0] LC_PROBE989_IS_TRIG =(LC_PROBE989_TYPE != 1)? {LC_PROBE989_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE990_IS_DATA = ((LC_NUM_OF_PROBES > 990 ) && (LC_PROBE990_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE990_MU_CNT-1 : 0] LC_PROBE990_IS_TRIG =(LC_PROBE990_TYPE != 1)? {LC_PROBE990_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE991_IS_DATA = ((LC_NUM_OF_PROBES > 991 ) && (LC_PROBE991_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE991_MU_CNT-1 : 0] LC_PROBE991_IS_TRIG =(LC_PROBE991_TYPE != 1)? {LC_PROBE991_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE992_IS_DATA = ((LC_NUM_OF_PROBES > 992 ) && (LC_PROBE992_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE992_MU_CNT-1 : 0] LC_PROBE992_IS_TRIG =(LC_PROBE992_TYPE != 1)? {LC_PROBE992_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE993_IS_DATA = ((LC_NUM_OF_PROBES > 993 ) && (LC_PROBE993_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE993_MU_CNT-1 : 0] LC_PROBE993_IS_TRIG =(LC_PROBE993_TYPE != 1)? {LC_PROBE993_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE994_IS_DATA = ((LC_NUM_OF_PROBES > 994 ) && (LC_PROBE994_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE994_MU_CNT-1 : 0] LC_PROBE994_IS_TRIG =(LC_PROBE994_TYPE != 1)? {LC_PROBE994_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE995_IS_DATA = ((LC_NUM_OF_PROBES > 995 ) && (LC_PROBE995_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE995_MU_CNT-1 : 0] LC_PROBE995_IS_TRIG =(LC_PROBE995_TYPE != 1)? {LC_PROBE995_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE996_IS_DATA = ((LC_NUM_OF_PROBES > 996 ) && (LC_PROBE996_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE996_MU_CNT-1 : 0] LC_PROBE996_IS_TRIG =(LC_PROBE996_TYPE != 1)? {LC_PROBE996_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE997_IS_DATA = ((LC_NUM_OF_PROBES > 997 ) && (LC_PROBE997_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE997_MU_CNT-1 : 0] LC_PROBE997_IS_TRIG =(LC_PROBE997_TYPE != 1)? {LC_PROBE997_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE998_IS_DATA = ((LC_NUM_OF_PROBES > 998 ) && (LC_PROBE998_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE998_MU_CNT-1 : 0] LC_PROBE998_IS_TRIG =(LC_PROBE998_TYPE != 1)? {LC_PROBE998_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE999_IS_DATA = ((LC_NUM_OF_PROBES > 999 ) && (LC_PROBE999_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE999_MU_CNT-1 : 0] LC_PROBE999_IS_TRIG =(LC_PROBE999_TYPE != 1)? {LC_PROBE999_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1000_IS_DATA = ((LC_NUM_OF_PROBES > 1000 ) && (LC_PROBE1000_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1000_MU_CNT-1 : 0] LC_PROBE1000_IS_TRIG =(LC_PROBE1000_TYPE != 1)? {LC_PROBE1000_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1001_IS_DATA = ((LC_NUM_OF_PROBES > 1001 ) && (LC_PROBE1001_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1001_MU_CNT-1 : 0] LC_PROBE1001_IS_TRIG =(LC_PROBE1001_TYPE != 1)? {LC_PROBE1001_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1002_IS_DATA = ((LC_NUM_OF_PROBES > 1002 ) && (LC_PROBE1002_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1002_MU_CNT-1 : 0] LC_PROBE1002_IS_TRIG =(LC_PROBE1002_TYPE != 1)? {LC_PROBE1002_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1003_IS_DATA = ((LC_NUM_OF_PROBES > 1003 ) && (LC_PROBE1003_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1003_MU_CNT-1 : 0] LC_PROBE1003_IS_TRIG =(LC_PROBE1003_TYPE != 1)? {LC_PROBE1003_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1004_IS_DATA = ((LC_NUM_OF_PROBES > 1004 ) && (LC_PROBE1004_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1004_MU_CNT-1 : 0] LC_PROBE1004_IS_TRIG =(LC_PROBE1004_TYPE != 1)? {LC_PROBE1004_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1005_IS_DATA = ((LC_NUM_OF_PROBES > 1005 ) && (LC_PROBE1005_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1005_MU_CNT-1 : 0] LC_PROBE1005_IS_TRIG =(LC_PROBE1005_TYPE != 1)? {LC_PROBE1005_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1006_IS_DATA = ((LC_NUM_OF_PROBES > 1006 ) && (LC_PROBE1006_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1006_MU_CNT-1 : 0] LC_PROBE1006_IS_TRIG =(LC_PROBE1006_TYPE != 1)? {LC_PROBE1006_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1007_IS_DATA = ((LC_NUM_OF_PROBES > 1007 ) && (LC_PROBE1007_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1007_MU_CNT-1 : 0] LC_PROBE1007_IS_TRIG =(LC_PROBE1007_TYPE != 1)? {LC_PROBE1007_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1008_IS_DATA = ((LC_NUM_OF_PROBES > 1008 ) && (LC_PROBE1008_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1008_MU_CNT-1 : 0] LC_PROBE1008_IS_TRIG =(LC_PROBE1008_TYPE != 1)? {LC_PROBE1008_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1009_IS_DATA = ((LC_NUM_OF_PROBES > 1009 ) && (LC_PROBE1009_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1009_MU_CNT-1 : 0] LC_PROBE1009_IS_TRIG =(LC_PROBE1009_TYPE != 1)? {LC_PROBE1009_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1010_IS_DATA = ((LC_NUM_OF_PROBES > 1010 ) && (LC_PROBE1010_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1010_MU_CNT-1 : 0] LC_PROBE1010_IS_TRIG =(LC_PROBE1010_TYPE != 1)? {LC_PROBE1010_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1011_IS_DATA = ((LC_NUM_OF_PROBES > 1011 ) && (LC_PROBE1011_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1011_MU_CNT-1 : 0] LC_PROBE1011_IS_TRIG =(LC_PROBE1011_TYPE != 1)? {LC_PROBE1011_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1012_IS_DATA = ((LC_NUM_OF_PROBES > 1012 ) && (LC_PROBE1012_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1012_MU_CNT-1 : 0] LC_PROBE1012_IS_TRIG =(LC_PROBE1012_TYPE != 1)? {LC_PROBE1012_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1013_IS_DATA = ((LC_NUM_OF_PROBES > 1013 ) && (LC_PROBE1013_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1013_MU_CNT-1 : 0] LC_PROBE1013_IS_TRIG =(LC_PROBE1013_TYPE != 1)? {LC_PROBE1013_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1014_IS_DATA = ((LC_NUM_OF_PROBES > 1014 ) && (LC_PROBE1014_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1014_MU_CNT-1 : 0] LC_PROBE1014_IS_TRIG =(LC_PROBE1014_TYPE != 1)? {LC_PROBE1014_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1015_IS_DATA = ((LC_NUM_OF_PROBES > 1015 ) && (LC_PROBE1015_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1015_MU_CNT-1 : 0] LC_PROBE1015_IS_TRIG =(LC_PROBE1015_TYPE != 1)? {LC_PROBE1015_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1016_IS_DATA = ((LC_NUM_OF_PROBES > 1016 ) && (LC_PROBE1016_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1016_MU_CNT-1 : 0] LC_PROBE1016_IS_TRIG =(LC_PROBE1016_TYPE != 1)? {LC_PROBE1016_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1017_IS_DATA = ((LC_NUM_OF_PROBES > 1017 ) && (LC_PROBE1017_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1017_MU_CNT-1 : 0] LC_PROBE1017_IS_TRIG =(LC_PROBE1017_TYPE != 1)? {LC_PROBE1017_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1018_IS_DATA = ((LC_NUM_OF_PROBES > 1018 ) && (LC_PROBE1018_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1018_MU_CNT-1 : 0] LC_PROBE1018_IS_TRIG =(LC_PROBE1018_TYPE != 1)? {LC_PROBE1018_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1019_IS_DATA = ((LC_NUM_OF_PROBES > 1019 ) && (LC_PROBE1019_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1019_MU_CNT-1 : 0] LC_PROBE1019_IS_TRIG =(LC_PROBE1019_TYPE != 1)? {LC_PROBE1019_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1020_IS_DATA = ((LC_NUM_OF_PROBES > 1020 ) && (LC_PROBE1020_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1020_MU_CNT-1 : 0] LC_PROBE1020_IS_TRIG =(LC_PROBE1020_TYPE != 1)? {LC_PROBE1020_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1021_IS_DATA = ((LC_NUM_OF_PROBES > 1021 ) && (LC_PROBE1021_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1021_MU_CNT-1 : 0] LC_PROBE1021_IS_TRIG =(LC_PROBE1021_TYPE != 1)? {LC_PROBE1021_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1022_IS_DATA = ((LC_NUM_OF_PROBES > 1022 ) && (LC_PROBE1022_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1022_MU_CNT-1 : 0] LC_PROBE1022_IS_TRIG =(LC_PROBE1022_TYPE != 1)? {LC_PROBE1022_MU_CNT{1'b1}} :0;
localparam [0:0] LC_PROBE1023_IS_DATA = ((LC_NUM_OF_PROBES > 1023 ) && (LC_PROBE1023_TYPE < 2))? 1'b1 : 1'b0;
localparam [LC_PROBE1023_MU_CNT-1 : 0] LC_PROBE1023_IS_TRIG =(LC_PROBE1023_TYPE != 1)? {LC_PROBE1023_MU_CNT{1'b1}} :0;



localparam [1023:0] LC_PROBE_IS_DATA_STRING = { LC_PROBE1023_IS_DATA,LC_PROBE1022_IS_DATA,LC_PROBE1021_IS_DATA,LC_PROBE1020_IS_DATA,
                                                LC_PROBE1019_IS_DATA,LC_PROBE1018_IS_DATA,LC_PROBE1017_IS_DATA,LC_PROBE1016_IS_DATA,LC_PROBE1015_IS_DATA,LC_PROBE1014_IS_DATA,LC_PROBE1013_IS_DATA,LC_PROBE1012_IS_DATA,LC_PROBE1011_IS_DATA,LC_PROBE1010_IS_DATA,
                                                LC_PROBE1009_IS_DATA,LC_PROBE1008_IS_DATA,LC_PROBE1007_IS_DATA,LC_PROBE1006_IS_DATA,LC_PROBE1005_IS_DATA,LC_PROBE1004_IS_DATA,LC_PROBE1003_IS_DATA,LC_PROBE1002_IS_DATA,LC_PROBE1001_IS_DATA,LC_PROBE1000_IS_DATA,LC_PROBE999_IS_DATA,LC_PROBE998_IS_DATA,LC_PROBE997_IS_DATA,LC_PROBE996_IS_DATA,LC_PROBE995_IS_DATA,LC_PROBE994_IS_DATA,LC_PROBE993_IS_DATA,LC_PROBE992_IS_DATA,LC_PROBE991_IS_DATA,LC_PROBE990_IS_DATA,LC_PROBE989_IS_DATA,LC_PROBE988_IS_DATA,LC_PROBE987_IS_DATA,LC_PROBE986_IS_DATA,LC_PROBE985_IS_DATA,LC_PROBE984_IS_DATA,LC_PROBE983_IS_DATA,LC_PROBE982_IS_DATA,LC_PROBE981_IS_DATA,LC_PROBE980_IS_DATA,LC_PROBE979_IS_DATA,LC_PROBE978_IS_DATA,LC_PROBE977_IS_DATA,LC_PROBE976_IS_DATA,LC_PROBE975_IS_DATA,LC_PROBE974_IS_DATA,LC_PROBE973_IS_DATA,LC_PROBE972_IS_DATA,LC_PROBE971_IS_DATA,LC_PROBE970_IS_DATA,
                                                LC_PROBE969_IS_DATA,LC_PROBE968_IS_DATA,LC_PROBE967_IS_DATA,LC_PROBE966_IS_DATA,LC_PROBE965_IS_DATA,LC_PROBE964_IS_DATA,LC_PROBE963_IS_DATA,LC_PROBE962_IS_DATA,LC_PROBE961_IS_DATA,LC_PROBE960_IS_DATA,LC_PROBE959_IS_DATA,LC_PROBE958_IS_DATA,LC_PROBE957_IS_DATA,LC_PROBE956_IS_DATA,LC_PROBE955_IS_DATA,LC_PROBE954_IS_DATA,LC_PROBE953_IS_DATA,LC_PROBE952_IS_DATA,LC_PROBE951_IS_DATA,LC_PROBE950_IS_DATA,LC_PROBE949_IS_DATA,LC_PROBE948_IS_DATA,LC_PROBE947_IS_DATA,LC_PROBE946_IS_DATA,LC_PROBE945_IS_DATA,LC_PROBE944_IS_DATA,LC_PROBE943_IS_DATA,LC_PROBE942_IS_DATA,LC_PROBE941_IS_DATA,LC_PROBE940_IS_DATA,LC_PROBE939_IS_DATA,LC_PROBE938_IS_DATA,LC_PROBE937_IS_DATA,LC_PROBE936_IS_DATA,LC_PROBE935_IS_DATA,LC_PROBE934_IS_DATA,LC_PROBE933_IS_DATA,LC_PROBE932_IS_DATA,LC_PROBE931_IS_DATA,LC_PROBE930_IS_DATA,
                                                LC_PROBE929_IS_DATA,LC_PROBE928_IS_DATA,LC_PROBE927_IS_DATA,LC_PROBE926_IS_DATA,LC_PROBE925_IS_DATA,LC_PROBE924_IS_DATA,LC_PROBE923_IS_DATA,LC_PROBE922_IS_DATA,LC_PROBE921_IS_DATA,LC_PROBE920_IS_DATA,LC_PROBE919_IS_DATA,LC_PROBE918_IS_DATA,LC_PROBE917_IS_DATA,LC_PROBE916_IS_DATA,LC_PROBE915_IS_DATA,LC_PROBE914_IS_DATA,LC_PROBE913_IS_DATA,LC_PROBE912_IS_DATA,LC_PROBE911_IS_DATA,LC_PROBE910_IS_DATA,LC_PROBE909_IS_DATA,LC_PROBE908_IS_DATA,LC_PROBE907_IS_DATA,LC_PROBE906_IS_DATA,LC_PROBE905_IS_DATA,LC_PROBE904_IS_DATA,LC_PROBE903_IS_DATA,LC_PROBE902_IS_DATA,LC_PROBE901_IS_DATA,LC_PROBE900_IS_DATA,LC_PROBE899_IS_DATA,LC_PROBE898_IS_DATA,LC_PROBE897_IS_DATA,LC_PROBE896_IS_DATA,LC_PROBE895_IS_DATA,LC_PROBE894_IS_DATA,LC_PROBE893_IS_DATA,LC_PROBE892_IS_DATA,LC_PROBE891_IS_DATA,LC_PROBE890_IS_DATA,
                                                LC_PROBE889_IS_DATA,LC_PROBE888_IS_DATA,LC_PROBE887_IS_DATA,LC_PROBE886_IS_DATA,LC_PROBE885_IS_DATA,LC_PROBE884_IS_DATA,LC_PROBE883_IS_DATA,LC_PROBE882_IS_DATA,LC_PROBE881_IS_DATA,LC_PROBE880_IS_DATA,LC_PROBE879_IS_DATA,LC_PROBE878_IS_DATA,LC_PROBE877_IS_DATA,LC_PROBE876_IS_DATA,LC_PROBE875_IS_DATA,LC_PROBE874_IS_DATA,LC_PROBE873_IS_DATA,LC_PROBE872_IS_DATA,LC_PROBE871_IS_DATA,LC_PROBE870_IS_DATA,LC_PROBE869_IS_DATA,LC_PROBE868_IS_DATA,LC_PROBE867_IS_DATA,LC_PROBE866_IS_DATA,LC_PROBE865_IS_DATA,LC_PROBE864_IS_DATA,LC_PROBE863_IS_DATA,LC_PROBE862_IS_DATA,LC_PROBE861_IS_DATA,LC_PROBE860_IS_DATA,LC_PROBE859_IS_DATA,LC_PROBE858_IS_DATA,LC_PROBE857_IS_DATA,LC_PROBE856_IS_DATA,LC_PROBE855_IS_DATA,LC_PROBE854_IS_DATA,LC_PROBE853_IS_DATA,LC_PROBE852_IS_DATA,LC_PROBE851_IS_DATA,LC_PROBE850_IS_DATA,
                                                LC_PROBE849_IS_DATA,LC_PROBE848_IS_DATA,LC_PROBE847_IS_DATA,LC_PROBE846_IS_DATA,LC_PROBE845_IS_DATA,LC_PROBE844_IS_DATA,LC_PROBE843_IS_DATA,LC_PROBE842_IS_DATA,LC_PROBE841_IS_DATA,LC_PROBE840_IS_DATA,LC_PROBE839_IS_DATA,LC_PROBE838_IS_DATA,LC_PROBE837_IS_DATA,LC_PROBE836_IS_DATA,LC_PROBE835_IS_DATA,LC_PROBE834_IS_DATA,LC_PROBE833_IS_DATA,LC_PROBE832_IS_DATA,LC_PROBE831_IS_DATA,LC_PROBE830_IS_DATA,LC_PROBE829_IS_DATA,LC_PROBE828_IS_DATA,LC_PROBE827_IS_DATA,LC_PROBE826_IS_DATA,LC_PROBE825_IS_DATA,LC_PROBE824_IS_DATA,LC_PROBE823_IS_DATA,LC_PROBE822_IS_DATA,LC_PROBE821_IS_DATA,LC_PROBE820_IS_DATA,LC_PROBE819_IS_DATA,LC_PROBE818_IS_DATA,LC_PROBE817_IS_DATA,LC_PROBE816_IS_DATA,LC_PROBE815_IS_DATA,LC_PROBE814_IS_DATA,LC_PROBE813_IS_DATA,LC_PROBE812_IS_DATA,LC_PROBE811_IS_DATA,LC_PROBE810_IS_DATA,
                                                LC_PROBE809_IS_DATA,LC_PROBE808_IS_DATA,LC_PROBE807_IS_DATA,LC_PROBE806_IS_DATA,LC_PROBE805_IS_DATA,LC_PROBE804_IS_DATA,LC_PROBE803_IS_DATA,LC_PROBE802_IS_DATA,LC_PROBE801_IS_DATA,LC_PROBE800_IS_DATA,LC_PROBE799_IS_DATA,LC_PROBE798_IS_DATA,LC_PROBE797_IS_DATA,LC_PROBE796_IS_DATA,LC_PROBE795_IS_DATA,LC_PROBE794_IS_DATA,LC_PROBE793_IS_DATA,LC_PROBE792_IS_DATA,LC_PROBE791_IS_DATA,LC_PROBE790_IS_DATA,LC_PROBE789_IS_DATA,LC_PROBE788_IS_DATA,LC_PROBE787_IS_DATA,LC_PROBE786_IS_DATA,LC_PROBE785_IS_DATA,LC_PROBE784_IS_DATA,LC_PROBE783_IS_DATA,LC_PROBE782_IS_DATA,LC_PROBE781_IS_DATA,LC_PROBE780_IS_DATA,LC_PROBE779_IS_DATA,LC_PROBE778_IS_DATA,LC_PROBE777_IS_DATA,LC_PROBE776_IS_DATA,LC_PROBE775_IS_DATA,LC_PROBE774_IS_DATA,LC_PROBE773_IS_DATA,LC_PROBE772_IS_DATA,LC_PROBE771_IS_DATA,LC_PROBE770_IS_DATA,
                                                LC_PROBE769_IS_DATA,LC_PROBE768_IS_DATA,LC_PROBE767_IS_DATA,LC_PROBE766_IS_DATA,LC_PROBE765_IS_DATA,LC_PROBE764_IS_DATA,LC_PROBE763_IS_DATA,LC_PROBE762_IS_DATA,LC_PROBE761_IS_DATA,LC_PROBE760_IS_DATA,LC_PROBE759_IS_DATA,LC_PROBE758_IS_DATA,LC_PROBE757_IS_DATA,LC_PROBE756_IS_DATA,LC_PROBE755_IS_DATA,LC_PROBE754_IS_DATA,LC_PROBE753_IS_DATA,LC_PROBE752_IS_DATA,LC_PROBE751_IS_DATA,LC_PROBE750_IS_DATA,LC_PROBE749_IS_DATA,LC_PROBE748_IS_DATA,LC_PROBE747_IS_DATA,LC_PROBE746_IS_DATA,LC_PROBE745_IS_DATA,LC_PROBE744_IS_DATA,LC_PROBE743_IS_DATA,LC_PROBE742_IS_DATA,LC_PROBE741_IS_DATA,LC_PROBE740_IS_DATA,LC_PROBE739_IS_DATA,LC_PROBE738_IS_DATA,LC_PROBE737_IS_DATA,LC_PROBE736_IS_DATA,LC_PROBE735_IS_DATA,LC_PROBE734_IS_DATA,LC_PROBE733_IS_DATA,LC_PROBE732_IS_DATA,LC_PROBE731_IS_DATA,LC_PROBE730_IS_DATA,
                                                LC_PROBE729_IS_DATA,LC_PROBE728_IS_DATA,LC_PROBE727_IS_DATA,LC_PROBE726_IS_DATA,LC_PROBE725_IS_DATA,LC_PROBE724_IS_DATA,LC_PROBE723_IS_DATA,LC_PROBE722_IS_DATA,LC_PROBE721_IS_DATA,LC_PROBE720_IS_DATA,LC_PROBE719_IS_DATA,LC_PROBE718_IS_DATA,LC_PROBE717_IS_DATA,LC_PROBE716_IS_DATA,LC_PROBE715_IS_DATA,LC_PROBE714_IS_DATA,LC_PROBE713_IS_DATA,LC_PROBE712_IS_DATA,LC_PROBE711_IS_DATA,LC_PROBE710_IS_DATA,LC_PROBE709_IS_DATA,LC_PROBE708_IS_DATA,LC_PROBE707_IS_DATA,LC_PROBE706_IS_DATA,LC_PROBE705_IS_DATA,LC_PROBE704_IS_DATA,LC_PROBE703_IS_DATA,LC_PROBE702_IS_DATA,LC_PROBE701_IS_DATA,LC_PROBE700_IS_DATA,LC_PROBE699_IS_DATA,LC_PROBE698_IS_DATA,LC_PROBE697_IS_DATA,LC_PROBE696_IS_DATA,LC_PROBE695_IS_DATA,LC_PROBE694_IS_DATA,LC_PROBE693_IS_DATA,LC_PROBE692_IS_DATA,LC_PROBE691_IS_DATA,LC_PROBE690_IS_DATA,
                                                LC_PROBE689_IS_DATA,LC_PROBE688_IS_DATA,LC_PROBE687_IS_DATA,LC_PROBE686_IS_DATA,LC_PROBE685_IS_DATA,LC_PROBE684_IS_DATA,LC_PROBE683_IS_DATA,LC_PROBE682_IS_DATA,LC_PROBE681_IS_DATA,LC_PROBE680_IS_DATA,LC_PROBE679_IS_DATA,LC_PROBE678_IS_DATA,LC_PROBE677_IS_DATA,LC_PROBE676_IS_DATA,LC_PROBE675_IS_DATA,LC_PROBE674_IS_DATA,LC_PROBE673_IS_DATA,LC_PROBE672_IS_DATA,LC_PROBE671_IS_DATA,LC_PROBE670_IS_DATA,LC_PROBE669_IS_DATA,LC_PROBE668_IS_DATA,LC_PROBE667_IS_DATA,LC_PROBE666_IS_DATA,LC_PROBE665_IS_DATA,LC_PROBE664_IS_DATA,LC_PROBE663_IS_DATA,LC_PROBE662_IS_DATA,LC_PROBE661_IS_DATA,LC_PROBE660_IS_DATA,LC_PROBE659_IS_DATA,LC_PROBE658_IS_DATA,LC_PROBE657_IS_DATA,LC_PROBE656_IS_DATA,LC_PROBE655_IS_DATA,LC_PROBE654_IS_DATA,LC_PROBE653_IS_DATA,LC_PROBE652_IS_DATA,LC_PROBE651_IS_DATA,LC_PROBE650_IS_DATA,
                                                LC_PROBE649_IS_DATA,LC_PROBE648_IS_DATA,LC_PROBE647_IS_DATA,LC_PROBE646_IS_DATA,LC_PROBE645_IS_DATA,LC_PROBE644_IS_DATA,LC_PROBE643_IS_DATA,LC_PROBE642_IS_DATA,LC_PROBE641_IS_DATA,LC_PROBE640_IS_DATA,LC_PROBE639_IS_DATA,LC_PROBE638_IS_DATA,LC_PROBE637_IS_DATA,LC_PROBE636_IS_DATA,LC_PROBE635_IS_DATA,LC_PROBE634_IS_DATA,LC_PROBE633_IS_DATA,LC_PROBE632_IS_DATA,LC_PROBE631_IS_DATA,LC_PROBE630_IS_DATA,LC_PROBE629_IS_DATA,LC_PROBE628_IS_DATA,LC_PROBE627_IS_DATA,LC_PROBE626_IS_DATA,LC_PROBE625_IS_DATA,LC_PROBE624_IS_DATA,LC_PROBE623_IS_DATA,LC_PROBE622_IS_DATA,LC_PROBE621_IS_DATA,LC_PROBE620_IS_DATA,LC_PROBE619_IS_DATA,LC_PROBE618_IS_DATA,LC_PROBE617_IS_DATA,LC_PROBE616_IS_DATA,LC_PROBE615_IS_DATA,LC_PROBE614_IS_DATA,LC_PROBE613_IS_DATA,LC_PROBE612_IS_DATA,LC_PROBE611_IS_DATA,LC_PROBE610_IS_DATA,
                                                LC_PROBE609_IS_DATA,LC_PROBE608_IS_DATA,LC_PROBE607_IS_DATA,LC_PROBE606_IS_DATA,LC_PROBE605_IS_DATA,LC_PROBE604_IS_DATA,LC_PROBE603_IS_DATA,LC_PROBE602_IS_DATA,LC_PROBE601_IS_DATA,LC_PROBE600_IS_DATA,LC_PROBE599_IS_DATA,LC_PROBE598_IS_DATA,LC_PROBE597_IS_DATA,LC_PROBE596_IS_DATA,LC_PROBE595_IS_DATA,LC_PROBE594_IS_DATA,LC_PROBE593_IS_DATA,LC_PROBE592_IS_DATA,LC_PROBE591_IS_DATA,LC_PROBE590_IS_DATA,LC_PROBE589_IS_DATA,LC_PROBE588_IS_DATA,LC_PROBE587_IS_DATA,LC_PROBE586_IS_DATA,LC_PROBE585_IS_DATA,LC_PROBE584_IS_DATA,LC_PROBE583_IS_DATA,LC_PROBE582_IS_DATA,LC_PROBE581_IS_DATA,LC_PROBE580_IS_DATA,LC_PROBE579_IS_DATA,LC_PROBE578_IS_DATA,LC_PROBE577_IS_DATA,LC_PROBE576_IS_DATA,LC_PROBE575_IS_DATA,LC_PROBE574_IS_DATA,LC_PROBE573_IS_DATA,LC_PROBE572_IS_DATA,LC_PROBE571_IS_DATA,LC_PROBE570_IS_DATA,
                                                LC_PROBE569_IS_DATA,LC_PROBE568_IS_DATA,LC_PROBE567_IS_DATA,LC_PROBE566_IS_DATA,LC_PROBE565_IS_DATA,LC_PROBE564_IS_DATA,LC_PROBE563_IS_DATA,LC_PROBE562_IS_DATA,LC_PROBE561_IS_DATA,LC_PROBE560_IS_DATA,LC_PROBE559_IS_DATA,LC_PROBE558_IS_DATA,LC_PROBE557_IS_DATA,LC_PROBE556_IS_DATA,LC_PROBE555_IS_DATA,LC_PROBE554_IS_DATA,LC_PROBE553_IS_DATA,LC_PROBE552_IS_DATA,LC_PROBE551_IS_DATA,LC_PROBE550_IS_DATA,LC_PROBE549_IS_DATA,LC_PROBE548_IS_DATA,LC_PROBE547_IS_DATA,LC_PROBE546_IS_DATA,LC_PROBE545_IS_DATA,LC_PROBE544_IS_DATA,LC_PROBE543_IS_DATA,LC_PROBE542_IS_DATA,LC_PROBE541_IS_DATA,LC_PROBE540_IS_DATA,LC_PROBE539_IS_DATA,LC_PROBE538_IS_DATA,LC_PROBE537_IS_DATA,LC_PROBE536_IS_DATA,LC_PROBE535_IS_DATA,LC_PROBE534_IS_DATA,LC_PROBE533_IS_DATA,LC_PROBE532_IS_DATA,LC_PROBE531_IS_DATA,LC_PROBE530_IS_DATA,
                                                LC_PROBE529_IS_DATA,LC_PROBE528_IS_DATA,LC_PROBE527_IS_DATA,LC_PROBE526_IS_DATA,LC_PROBE525_IS_DATA,LC_PROBE524_IS_DATA,LC_PROBE523_IS_DATA,LC_PROBE522_IS_DATA,LC_PROBE521_IS_DATA,LC_PROBE520_IS_DATA,LC_PROBE519_IS_DATA,LC_PROBE518_IS_DATA,LC_PROBE517_IS_DATA,LC_PROBE516_IS_DATA,LC_PROBE515_IS_DATA,LC_PROBE514_IS_DATA,LC_PROBE513_IS_DATA,LC_PROBE512_IS_DATA,LC_PROBE511_IS_DATA,LC_PROBE510_IS_DATA,LC_PROBE509_IS_DATA,LC_PROBE508_IS_DATA,LC_PROBE507_IS_DATA,LC_PROBE506_IS_DATA,LC_PROBE505_IS_DATA,LC_PROBE504_IS_DATA,LC_PROBE503_IS_DATA,LC_PROBE502_IS_DATA,LC_PROBE501_IS_DATA,LC_PROBE500_IS_DATA,LC_PROBE499_IS_DATA,LC_PROBE498_IS_DATA,LC_PROBE497_IS_DATA,LC_PROBE496_IS_DATA,LC_PROBE495_IS_DATA,LC_PROBE494_IS_DATA,LC_PROBE493_IS_DATA,LC_PROBE492_IS_DATA,LC_PROBE491_IS_DATA,LC_PROBE490_IS_DATA,
                                                LC_PROBE489_IS_DATA,LC_PROBE488_IS_DATA,LC_PROBE487_IS_DATA,LC_PROBE486_IS_DATA,LC_PROBE485_IS_DATA,LC_PROBE484_IS_DATA,LC_PROBE483_IS_DATA,LC_PROBE482_IS_DATA,LC_PROBE481_IS_DATA,LC_PROBE480_IS_DATA,LC_PROBE479_IS_DATA,LC_PROBE478_IS_DATA,LC_PROBE477_IS_DATA,LC_PROBE476_IS_DATA,LC_PROBE475_IS_DATA,LC_PROBE474_IS_DATA,LC_PROBE473_IS_DATA,LC_PROBE472_IS_DATA,LC_PROBE471_IS_DATA,LC_PROBE470_IS_DATA,LC_PROBE469_IS_DATA,LC_PROBE468_IS_DATA,LC_PROBE467_IS_DATA,LC_PROBE466_IS_DATA,LC_PROBE465_IS_DATA,LC_PROBE464_IS_DATA,LC_PROBE463_IS_DATA,LC_PROBE462_IS_DATA,LC_PROBE461_IS_DATA,LC_PROBE460_IS_DATA,LC_PROBE459_IS_DATA,LC_PROBE458_IS_DATA,LC_PROBE457_IS_DATA,LC_PROBE456_IS_DATA,LC_PROBE455_IS_DATA,LC_PROBE454_IS_DATA,LC_PROBE453_IS_DATA,LC_PROBE452_IS_DATA,LC_PROBE451_IS_DATA,LC_PROBE450_IS_DATA,
                                                LC_PROBE449_IS_DATA,LC_PROBE448_IS_DATA,LC_PROBE447_IS_DATA,LC_PROBE446_IS_DATA,LC_PROBE445_IS_DATA,LC_PROBE444_IS_DATA,LC_PROBE443_IS_DATA,LC_PROBE442_IS_DATA,LC_PROBE441_IS_DATA,LC_PROBE440_IS_DATA,LC_PROBE439_IS_DATA,LC_PROBE438_IS_DATA,LC_PROBE437_IS_DATA,LC_PROBE436_IS_DATA,LC_PROBE435_IS_DATA,LC_PROBE434_IS_DATA,LC_PROBE433_IS_DATA,LC_PROBE432_IS_DATA,LC_PROBE431_IS_DATA,LC_PROBE430_IS_DATA,LC_PROBE429_IS_DATA,LC_PROBE428_IS_DATA,LC_PROBE427_IS_DATA,LC_PROBE426_IS_DATA,LC_PROBE425_IS_DATA,LC_PROBE424_IS_DATA,LC_PROBE423_IS_DATA,LC_PROBE422_IS_DATA,LC_PROBE421_IS_DATA,LC_PROBE420_IS_DATA,LC_PROBE419_IS_DATA,LC_PROBE418_IS_DATA,LC_PROBE417_IS_DATA,LC_PROBE416_IS_DATA,LC_PROBE415_IS_DATA,LC_PROBE414_IS_DATA,LC_PROBE413_IS_DATA,LC_PROBE412_IS_DATA,LC_PROBE411_IS_DATA,LC_PROBE410_IS_DATA,
                                                LC_PROBE409_IS_DATA,LC_PROBE408_IS_DATA,LC_PROBE407_IS_DATA,LC_PROBE406_IS_DATA,LC_PROBE405_IS_DATA,LC_PROBE404_IS_DATA,LC_PROBE403_IS_DATA,LC_PROBE402_IS_DATA,LC_PROBE401_IS_DATA,LC_PROBE400_IS_DATA,LC_PROBE399_IS_DATA,LC_PROBE398_IS_DATA,LC_PROBE397_IS_DATA,LC_PROBE396_IS_DATA,LC_PROBE395_IS_DATA,LC_PROBE394_IS_DATA,LC_PROBE393_IS_DATA,LC_PROBE392_IS_DATA,LC_PROBE391_IS_DATA,LC_PROBE390_IS_DATA,LC_PROBE389_IS_DATA,LC_PROBE388_IS_DATA,LC_PROBE387_IS_DATA,LC_PROBE386_IS_DATA,LC_PROBE385_IS_DATA,LC_PROBE384_IS_DATA,LC_PROBE383_IS_DATA,LC_PROBE382_IS_DATA,LC_PROBE381_IS_DATA,LC_PROBE380_IS_DATA,LC_PROBE379_IS_DATA,LC_PROBE378_IS_DATA,LC_PROBE377_IS_DATA,LC_PROBE376_IS_DATA,LC_PROBE375_IS_DATA,LC_PROBE374_IS_DATA,LC_PROBE373_IS_DATA,LC_PROBE372_IS_DATA,LC_PROBE371_IS_DATA,LC_PROBE370_IS_DATA,
                                                LC_PROBE369_IS_DATA,LC_PROBE368_IS_DATA,LC_PROBE367_IS_DATA,LC_PROBE366_IS_DATA,LC_PROBE365_IS_DATA,LC_PROBE364_IS_DATA,LC_PROBE363_IS_DATA,LC_PROBE362_IS_DATA,LC_PROBE361_IS_DATA,LC_PROBE360_IS_DATA,LC_PROBE359_IS_DATA,LC_PROBE358_IS_DATA,LC_PROBE357_IS_DATA,LC_PROBE356_IS_DATA,LC_PROBE355_IS_DATA,LC_PROBE354_IS_DATA,LC_PROBE353_IS_DATA,LC_PROBE352_IS_DATA,LC_PROBE351_IS_DATA,LC_PROBE350_IS_DATA,LC_PROBE349_IS_DATA,LC_PROBE348_IS_DATA,LC_PROBE347_IS_DATA,LC_PROBE346_IS_DATA,LC_PROBE345_IS_DATA,LC_PROBE344_IS_DATA,LC_PROBE343_IS_DATA,LC_PROBE342_IS_DATA,LC_PROBE341_IS_DATA,LC_PROBE340_IS_DATA,LC_PROBE339_IS_DATA,LC_PROBE338_IS_DATA,LC_PROBE337_IS_DATA,LC_PROBE336_IS_DATA,LC_PROBE335_IS_DATA,LC_PROBE334_IS_DATA,LC_PROBE333_IS_DATA,LC_PROBE332_IS_DATA,LC_PROBE331_IS_DATA,LC_PROBE330_IS_DATA,
                                                LC_PROBE329_IS_DATA,LC_PROBE328_IS_DATA,LC_PROBE327_IS_DATA,LC_PROBE326_IS_DATA,LC_PROBE325_IS_DATA,LC_PROBE324_IS_DATA,LC_PROBE323_IS_DATA,LC_PROBE322_IS_DATA,LC_PROBE321_IS_DATA,LC_PROBE320_IS_DATA,LC_PROBE319_IS_DATA,LC_PROBE318_IS_DATA,LC_PROBE317_IS_DATA,LC_PROBE316_IS_DATA,LC_PROBE315_IS_DATA,LC_PROBE314_IS_DATA,LC_PROBE313_IS_DATA,LC_PROBE312_IS_DATA,LC_PROBE311_IS_DATA,LC_PROBE310_IS_DATA,LC_PROBE309_IS_DATA,LC_PROBE308_IS_DATA,LC_PROBE307_IS_DATA,LC_PROBE306_IS_DATA,LC_PROBE305_IS_DATA,LC_PROBE304_IS_DATA,LC_PROBE303_IS_DATA,LC_PROBE302_IS_DATA,LC_PROBE301_IS_DATA,LC_PROBE300_IS_DATA,LC_PROBE299_IS_DATA,LC_PROBE298_IS_DATA,LC_PROBE297_IS_DATA,LC_PROBE296_IS_DATA,LC_PROBE295_IS_DATA,LC_PROBE294_IS_DATA,LC_PROBE293_IS_DATA,LC_PROBE292_IS_DATA,LC_PROBE291_IS_DATA,LC_PROBE290_IS_DATA,
                                                LC_PROBE289_IS_DATA,LC_PROBE288_IS_DATA,LC_PROBE287_IS_DATA,LC_PROBE286_IS_DATA,LC_PROBE285_IS_DATA,LC_PROBE284_IS_DATA,LC_PROBE283_IS_DATA,LC_PROBE282_IS_DATA,LC_PROBE281_IS_DATA,LC_PROBE280_IS_DATA,LC_PROBE279_IS_DATA,LC_PROBE278_IS_DATA,LC_PROBE277_IS_DATA,LC_PROBE276_IS_DATA,LC_PROBE275_IS_DATA,LC_PROBE274_IS_DATA,LC_PROBE273_IS_DATA,LC_PROBE272_IS_DATA,LC_PROBE271_IS_DATA,LC_PROBE270_IS_DATA,LC_PROBE269_IS_DATA,LC_PROBE268_IS_DATA,LC_PROBE267_IS_DATA,LC_PROBE266_IS_DATA,LC_PROBE265_IS_DATA,LC_PROBE264_IS_DATA,LC_PROBE263_IS_DATA,LC_PROBE262_IS_DATA,LC_PROBE261_IS_DATA,LC_PROBE260_IS_DATA,LC_PROBE259_IS_DATA,LC_PROBE258_IS_DATA,LC_PROBE257_IS_DATA,LC_PROBE256_IS_DATA,LC_PROBE255_IS_DATA,LC_PROBE254_IS_DATA,LC_PROBE253_IS_DATA,LC_PROBE252_IS_DATA,LC_PROBE251_IS_DATA,LC_PROBE250_IS_DATA,
                                                LC_PROBE249_IS_DATA,LC_PROBE248_IS_DATA,LC_PROBE247_IS_DATA,LC_PROBE246_IS_DATA,LC_PROBE245_IS_DATA,LC_PROBE244_IS_DATA,LC_PROBE243_IS_DATA,LC_PROBE242_IS_DATA,LC_PROBE241_IS_DATA,LC_PROBE240_IS_DATA,LC_PROBE239_IS_DATA,LC_PROBE238_IS_DATA,LC_PROBE237_IS_DATA,LC_PROBE236_IS_DATA,LC_PROBE235_IS_DATA,LC_PROBE234_IS_DATA,LC_PROBE233_IS_DATA,LC_PROBE232_IS_DATA,LC_PROBE231_IS_DATA,LC_PROBE230_IS_DATA,LC_PROBE229_IS_DATA,LC_PROBE228_IS_DATA,LC_PROBE227_IS_DATA,LC_PROBE226_IS_DATA,LC_PROBE225_IS_DATA,LC_PROBE224_IS_DATA,LC_PROBE223_IS_DATA,LC_PROBE222_IS_DATA,LC_PROBE221_IS_DATA,LC_PROBE220_IS_DATA,LC_PROBE219_IS_DATA,LC_PROBE218_IS_DATA,LC_PROBE217_IS_DATA,LC_PROBE216_IS_DATA,LC_PROBE215_IS_DATA,LC_PROBE214_IS_DATA,LC_PROBE213_IS_DATA,LC_PROBE212_IS_DATA,LC_PROBE211_IS_DATA,LC_PROBE210_IS_DATA,
                                                LC_PROBE209_IS_DATA,LC_PROBE208_IS_DATA,LC_PROBE207_IS_DATA,LC_PROBE206_IS_DATA,LC_PROBE205_IS_DATA,LC_PROBE204_IS_DATA,LC_PROBE203_IS_DATA,LC_PROBE202_IS_DATA,LC_PROBE201_IS_DATA,LC_PROBE200_IS_DATA,LC_PROBE199_IS_DATA,LC_PROBE198_IS_DATA,LC_PROBE197_IS_DATA,LC_PROBE196_IS_DATA,LC_PROBE195_IS_DATA,LC_PROBE194_IS_DATA,LC_PROBE193_IS_DATA,LC_PROBE192_IS_DATA,LC_PROBE191_IS_DATA,LC_PROBE190_IS_DATA,LC_PROBE189_IS_DATA,LC_PROBE188_IS_DATA,LC_PROBE187_IS_DATA,LC_PROBE186_IS_DATA,LC_PROBE185_IS_DATA,LC_PROBE184_IS_DATA,LC_PROBE183_IS_DATA,LC_PROBE182_IS_DATA,LC_PROBE181_IS_DATA,LC_PROBE180_IS_DATA,LC_PROBE179_IS_DATA,LC_PROBE178_IS_DATA,LC_PROBE177_IS_DATA,LC_PROBE176_IS_DATA,LC_PROBE175_IS_DATA,LC_PROBE174_IS_DATA,LC_PROBE173_IS_DATA,LC_PROBE172_IS_DATA,LC_PROBE171_IS_DATA,LC_PROBE170_IS_DATA,
                                                LC_PROBE169_IS_DATA,LC_PROBE168_IS_DATA,LC_PROBE167_IS_DATA,LC_PROBE166_IS_DATA,LC_PROBE165_IS_DATA,LC_PROBE164_IS_DATA,LC_PROBE163_IS_DATA,LC_PROBE162_IS_DATA,LC_PROBE161_IS_DATA,LC_PROBE160_IS_DATA,LC_PROBE159_IS_DATA,LC_PROBE158_IS_DATA,LC_PROBE157_IS_DATA,LC_PROBE156_IS_DATA,LC_PROBE155_IS_DATA,LC_PROBE154_IS_DATA,LC_PROBE153_IS_DATA,LC_PROBE152_IS_DATA,LC_PROBE151_IS_DATA,LC_PROBE150_IS_DATA,LC_PROBE149_IS_DATA,LC_PROBE148_IS_DATA,LC_PROBE147_IS_DATA,LC_PROBE146_IS_DATA,LC_PROBE145_IS_DATA,LC_PROBE144_IS_DATA,LC_PROBE143_IS_DATA,LC_PROBE142_IS_DATA,LC_PROBE141_IS_DATA,LC_PROBE140_IS_DATA,LC_PROBE139_IS_DATA,LC_PROBE138_IS_DATA,LC_PROBE137_IS_DATA,LC_PROBE136_IS_DATA,LC_PROBE135_IS_DATA,LC_PROBE134_IS_DATA,LC_PROBE133_IS_DATA,LC_PROBE132_IS_DATA,LC_PROBE131_IS_DATA,LC_PROBE130_IS_DATA,
                                                LC_PROBE129_IS_DATA,LC_PROBE128_IS_DATA,LC_PROBE127_IS_DATA,LC_PROBE126_IS_DATA,LC_PROBE125_IS_DATA,LC_PROBE124_IS_DATA,LC_PROBE123_IS_DATA,LC_PROBE122_IS_DATA,LC_PROBE121_IS_DATA,LC_PROBE120_IS_DATA,LC_PROBE119_IS_DATA,LC_PROBE118_IS_DATA,LC_PROBE117_IS_DATA,LC_PROBE116_IS_DATA,LC_PROBE115_IS_DATA,LC_PROBE114_IS_DATA,LC_PROBE113_IS_DATA,LC_PROBE112_IS_DATA,LC_PROBE111_IS_DATA,LC_PROBE110_IS_DATA,LC_PROBE109_IS_DATA,LC_PROBE108_IS_DATA,LC_PROBE107_IS_DATA,LC_PROBE106_IS_DATA,LC_PROBE105_IS_DATA,LC_PROBE104_IS_DATA,LC_PROBE103_IS_DATA,LC_PROBE102_IS_DATA,LC_PROBE101_IS_DATA,LC_PROBE100_IS_DATA,LC_PROBE99_IS_DATA,LC_PROBE98_IS_DATA,LC_PROBE97_IS_DATA,LC_PROBE96_IS_DATA,LC_PROBE95_IS_DATA,LC_PROBE94_IS_DATA,LC_PROBE93_IS_DATA,LC_PROBE92_IS_DATA,LC_PROBE91_IS_DATA,LC_PROBE90_IS_DATA,
                                                LC_PROBE89_IS_DATA,LC_PROBE88_IS_DATA,LC_PROBE87_IS_DATA,LC_PROBE86_IS_DATA,LC_PROBE85_IS_DATA,LC_PROBE84_IS_DATA,LC_PROBE83_IS_DATA,LC_PROBE82_IS_DATA,LC_PROBE81_IS_DATA,LC_PROBE80_IS_DATA,LC_PROBE79_IS_DATA,LC_PROBE78_IS_DATA,LC_PROBE77_IS_DATA,LC_PROBE76_IS_DATA,LC_PROBE75_IS_DATA,LC_PROBE74_IS_DATA,LC_PROBE73_IS_DATA,LC_PROBE72_IS_DATA,LC_PROBE71_IS_DATA,LC_PROBE70_IS_DATA,LC_PROBE69_IS_DATA,LC_PROBE68_IS_DATA,LC_PROBE67_IS_DATA,LC_PROBE66_IS_DATA,LC_PROBE65_IS_DATA,LC_PROBE64_IS_DATA,LC_PROBE63_IS_DATA,LC_PROBE62_IS_DATA,LC_PROBE61_IS_DATA,LC_PROBE60_IS_DATA,LC_PROBE59_IS_DATA,LC_PROBE58_IS_DATA,LC_PROBE57_IS_DATA,LC_PROBE56_IS_DATA,LC_PROBE55_IS_DATA,LC_PROBE54_IS_DATA,LC_PROBE53_IS_DATA,LC_PROBE52_IS_DATA,LC_PROBE51_IS_DATA,LC_PROBE50_IS_DATA,
                                                LC_PROBE49_IS_DATA,LC_PROBE48_IS_DATA,LC_PROBE47_IS_DATA,LC_PROBE46_IS_DATA,LC_PROBE45_IS_DATA,LC_PROBE44_IS_DATA,LC_PROBE43_IS_DATA,LC_PROBE42_IS_DATA,LC_PROBE41_IS_DATA,LC_PROBE40_IS_DATA,LC_PROBE39_IS_DATA,LC_PROBE38_IS_DATA,LC_PROBE37_IS_DATA,LC_PROBE36_IS_DATA,LC_PROBE35_IS_DATA,LC_PROBE34_IS_DATA,LC_PROBE33_IS_DATA,LC_PROBE32_IS_DATA,LC_PROBE31_IS_DATA,LC_PROBE30_IS_DATA,LC_PROBE29_IS_DATA,LC_PROBE28_IS_DATA,LC_PROBE27_IS_DATA,LC_PROBE26_IS_DATA,LC_PROBE25_IS_DATA,LC_PROBE24_IS_DATA,LC_PROBE23_IS_DATA,LC_PROBE22_IS_DATA,LC_PROBE21_IS_DATA,LC_PROBE20_IS_DATA,LC_PROBE19_IS_DATA,LC_PROBE18_IS_DATA,LC_PROBE17_IS_DATA,LC_PROBE16_IS_DATA,LC_PROBE15_IS_DATA,LC_PROBE14_IS_DATA,LC_PROBE13_IS_DATA,LC_PROBE12_IS_DATA,LC_PROBE11_IS_DATA,LC_PROBE10_IS_DATA,
                                                LC_PROBE9_IS_DATA,LC_PROBE8_IS_DATA,LC_PROBE7_IS_DATA,LC_PROBE6_IS_DATA,LC_PROBE5_IS_DATA,LC_PROBE4_IS_DATA,LC_PROBE3_IS_DATA,LC_PROBE2_IS_DATA,LC_PROBE1_IS_DATA,LC_PROBE0_IS_DATA };
localparam [4095:0] LC_PROBE_IS_TRIG_STRING = { LC_PROBE1023_IS_TRIG,LC_PROBE1022_IS_TRIG,LC_PROBE1021_IS_TRIG,LC_PROBE1020_IS_TRIG,
                                                LC_PROBE1019_IS_TRIG,LC_PROBE1018_IS_TRIG,LC_PROBE1017_IS_TRIG,LC_PROBE1016_IS_TRIG,LC_PROBE1015_IS_TRIG,LC_PROBE1014_IS_TRIG,LC_PROBE1013_IS_TRIG,LC_PROBE1012_IS_TRIG,LC_PROBE1011_IS_TRIG,LC_PROBE1010_IS_TRIG,
                                                LC_PROBE1009_IS_TRIG,LC_PROBE1008_IS_TRIG,LC_PROBE1007_IS_TRIG,LC_PROBE1006_IS_TRIG,LC_PROBE1005_IS_TRIG,LC_PROBE1004_IS_TRIG,LC_PROBE1003_IS_TRIG,LC_PROBE1002_IS_TRIG,LC_PROBE1001_IS_TRIG,LC_PROBE1000_IS_TRIG,LC_PROBE999_IS_TRIG,LC_PROBE998_IS_TRIG,LC_PROBE997_IS_TRIG,LC_PROBE996_IS_TRIG,LC_PROBE995_IS_TRIG,LC_PROBE994_IS_TRIG,LC_PROBE993_IS_TRIG,LC_PROBE992_IS_TRIG,LC_PROBE991_IS_TRIG,LC_PROBE990_IS_TRIG,LC_PROBE989_IS_TRIG,LC_PROBE988_IS_TRIG,LC_PROBE987_IS_TRIG,LC_PROBE986_IS_TRIG,LC_PROBE985_IS_TRIG,LC_PROBE984_IS_TRIG,LC_PROBE983_IS_TRIG,LC_PROBE982_IS_TRIG,LC_PROBE981_IS_TRIG,LC_PROBE980_IS_TRIG,LC_PROBE979_IS_TRIG,LC_PROBE978_IS_TRIG,LC_PROBE977_IS_TRIG,LC_PROBE976_IS_TRIG,LC_PROBE975_IS_TRIG,LC_PROBE974_IS_TRIG,LC_PROBE973_IS_TRIG,LC_PROBE972_IS_TRIG,LC_PROBE971_IS_TRIG,LC_PROBE970_IS_TRIG,
                                                LC_PROBE969_IS_TRIG,LC_PROBE968_IS_TRIG,LC_PROBE967_IS_TRIG,LC_PROBE966_IS_TRIG,LC_PROBE965_IS_TRIG,LC_PROBE964_IS_TRIG,LC_PROBE963_IS_TRIG,LC_PROBE962_IS_TRIG,LC_PROBE961_IS_TRIG,LC_PROBE960_IS_TRIG,LC_PROBE959_IS_TRIG,LC_PROBE958_IS_TRIG,LC_PROBE957_IS_TRIG,LC_PROBE956_IS_TRIG,LC_PROBE955_IS_TRIG,LC_PROBE954_IS_TRIG,LC_PROBE953_IS_TRIG,LC_PROBE952_IS_TRIG,LC_PROBE951_IS_TRIG,LC_PROBE950_IS_TRIG,LC_PROBE949_IS_TRIG,LC_PROBE948_IS_TRIG,LC_PROBE947_IS_TRIG,LC_PROBE946_IS_TRIG,LC_PROBE945_IS_TRIG,LC_PROBE944_IS_TRIG,LC_PROBE943_IS_TRIG,LC_PROBE942_IS_TRIG,LC_PROBE941_IS_TRIG,LC_PROBE940_IS_TRIG,LC_PROBE939_IS_TRIG,LC_PROBE938_IS_TRIG,LC_PROBE937_IS_TRIG,LC_PROBE936_IS_TRIG,LC_PROBE935_IS_TRIG,LC_PROBE934_IS_TRIG,LC_PROBE933_IS_TRIG,LC_PROBE932_IS_TRIG,LC_PROBE931_IS_TRIG,LC_PROBE930_IS_TRIG,
                                                LC_PROBE929_IS_TRIG,LC_PROBE928_IS_TRIG,LC_PROBE927_IS_TRIG,LC_PROBE926_IS_TRIG,LC_PROBE925_IS_TRIG,LC_PROBE924_IS_TRIG,LC_PROBE923_IS_TRIG,LC_PROBE922_IS_TRIG,LC_PROBE921_IS_TRIG,LC_PROBE920_IS_TRIG,LC_PROBE919_IS_TRIG,LC_PROBE918_IS_TRIG,LC_PROBE917_IS_TRIG,LC_PROBE916_IS_TRIG,LC_PROBE915_IS_TRIG,LC_PROBE914_IS_TRIG,LC_PROBE913_IS_TRIG,LC_PROBE912_IS_TRIG,LC_PROBE911_IS_TRIG,LC_PROBE910_IS_TRIG,LC_PROBE909_IS_TRIG,LC_PROBE908_IS_TRIG,LC_PROBE907_IS_TRIG,LC_PROBE906_IS_TRIG,LC_PROBE905_IS_TRIG,LC_PROBE904_IS_TRIG,LC_PROBE903_IS_TRIG,LC_PROBE902_IS_TRIG,LC_PROBE901_IS_TRIG,LC_PROBE900_IS_TRIG,LC_PROBE899_IS_TRIG,LC_PROBE898_IS_TRIG,LC_PROBE897_IS_TRIG,LC_PROBE896_IS_TRIG,LC_PROBE895_IS_TRIG,LC_PROBE894_IS_TRIG,LC_PROBE893_IS_TRIG,LC_PROBE892_IS_TRIG,LC_PROBE891_IS_TRIG,LC_PROBE890_IS_TRIG,
                                                LC_PROBE889_IS_TRIG,LC_PROBE888_IS_TRIG,LC_PROBE887_IS_TRIG,LC_PROBE886_IS_TRIG,LC_PROBE885_IS_TRIG,LC_PROBE884_IS_TRIG,LC_PROBE883_IS_TRIG,LC_PROBE882_IS_TRIG,LC_PROBE881_IS_TRIG,LC_PROBE880_IS_TRIG,LC_PROBE879_IS_TRIG,LC_PROBE878_IS_TRIG,LC_PROBE877_IS_TRIG,LC_PROBE876_IS_TRIG,LC_PROBE875_IS_TRIG,LC_PROBE874_IS_TRIG,LC_PROBE873_IS_TRIG,LC_PROBE872_IS_TRIG,LC_PROBE871_IS_TRIG,LC_PROBE870_IS_TRIG,LC_PROBE869_IS_TRIG,LC_PROBE868_IS_TRIG,LC_PROBE867_IS_TRIG,LC_PROBE866_IS_TRIG,LC_PROBE865_IS_TRIG,LC_PROBE864_IS_TRIG,LC_PROBE863_IS_TRIG,LC_PROBE862_IS_TRIG,LC_PROBE861_IS_TRIG,LC_PROBE860_IS_TRIG,LC_PROBE859_IS_TRIG,LC_PROBE858_IS_TRIG,LC_PROBE857_IS_TRIG,LC_PROBE856_IS_TRIG,LC_PROBE855_IS_TRIG,LC_PROBE854_IS_TRIG,LC_PROBE853_IS_TRIG,LC_PROBE852_IS_TRIG,LC_PROBE851_IS_TRIG,LC_PROBE850_IS_TRIG,
                                                LC_PROBE849_IS_TRIG,LC_PROBE848_IS_TRIG,LC_PROBE847_IS_TRIG,LC_PROBE846_IS_TRIG,LC_PROBE845_IS_TRIG,LC_PROBE844_IS_TRIG,LC_PROBE843_IS_TRIG,LC_PROBE842_IS_TRIG,LC_PROBE841_IS_TRIG,LC_PROBE840_IS_TRIG,LC_PROBE839_IS_TRIG,LC_PROBE838_IS_TRIG,LC_PROBE837_IS_TRIG,LC_PROBE836_IS_TRIG,LC_PROBE835_IS_TRIG,LC_PROBE834_IS_TRIG,LC_PROBE833_IS_TRIG,LC_PROBE832_IS_TRIG,LC_PROBE831_IS_TRIG,LC_PROBE830_IS_TRIG,LC_PROBE829_IS_TRIG,LC_PROBE828_IS_TRIG,LC_PROBE827_IS_TRIG,LC_PROBE826_IS_TRIG,LC_PROBE825_IS_TRIG,LC_PROBE824_IS_TRIG,LC_PROBE823_IS_TRIG,LC_PROBE822_IS_TRIG,LC_PROBE821_IS_TRIG,LC_PROBE820_IS_TRIG,LC_PROBE819_IS_TRIG,LC_PROBE818_IS_TRIG,LC_PROBE817_IS_TRIG,LC_PROBE816_IS_TRIG,LC_PROBE815_IS_TRIG,LC_PROBE814_IS_TRIG,LC_PROBE813_IS_TRIG,LC_PROBE812_IS_TRIG,LC_PROBE811_IS_TRIG,LC_PROBE810_IS_TRIG,
                                                LC_PROBE809_IS_TRIG,LC_PROBE808_IS_TRIG,LC_PROBE807_IS_TRIG,LC_PROBE806_IS_TRIG,LC_PROBE805_IS_TRIG,LC_PROBE804_IS_TRIG,LC_PROBE803_IS_TRIG,LC_PROBE802_IS_TRIG,LC_PROBE801_IS_TRIG,LC_PROBE800_IS_TRIG,LC_PROBE799_IS_TRIG,LC_PROBE798_IS_TRIG,LC_PROBE797_IS_TRIG,LC_PROBE796_IS_TRIG,LC_PROBE795_IS_TRIG,LC_PROBE794_IS_TRIG,LC_PROBE793_IS_TRIG,LC_PROBE792_IS_TRIG,LC_PROBE791_IS_TRIG,LC_PROBE790_IS_TRIG,LC_PROBE789_IS_TRIG,LC_PROBE788_IS_TRIG,LC_PROBE787_IS_TRIG,LC_PROBE786_IS_TRIG,LC_PROBE785_IS_TRIG,LC_PROBE784_IS_TRIG,LC_PROBE783_IS_TRIG,LC_PROBE782_IS_TRIG,LC_PROBE781_IS_TRIG,LC_PROBE780_IS_TRIG,LC_PROBE779_IS_TRIG,LC_PROBE778_IS_TRIG,LC_PROBE777_IS_TRIG,LC_PROBE776_IS_TRIG,LC_PROBE775_IS_TRIG,LC_PROBE774_IS_TRIG,LC_PROBE773_IS_TRIG,LC_PROBE772_IS_TRIG,LC_PROBE771_IS_TRIG,LC_PROBE770_IS_TRIG,
                                                LC_PROBE769_IS_TRIG,LC_PROBE768_IS_TRIG,LC_PROBE767_IS_TRIG,LC_PROBE766_IS_TRIG,LC_PROBE765_IS_TRIG,LC_PROBE764_IS_TRIG,LC_PROBE763_IS_TRIG,LC_PROBE762_IS_TRIG,LC_PROBE761_IS_TRIG,LC_PROBE760_IS_TRIG,LC_PROBE759_IS_TRIG,LC_PROBE758_IS_TRIG,LC_PROBE757_IS_TRIG,LC_PROBE756_IS_TRIG,LC_PROBE755_IS_TRIG,LC_PROBE754_IS_TRIG,LC_PROBE753_IS_TRIG,LC_PROBE752_IS_TRIG,LC_PROBE751_IS_TRIG,LC_PROBE750_IS_TRIG,LC_PROBE749_IS_TRIG,LC_PROBE748_IS_TRIG,LC_PROBE747_IS_TRIG,LC_PROBE746_IS_TRIG,LC_PROBE745_IS_TRIG,LC_PROBE744_IS_TRIG,LC_PROBE743_IS_TRIG,LC_PROBE742_IS_TRIG,LC_PROBE741_IS_TRIG,LC_PROBE740_IS_TRIG,LC_PROBE739_IS_TRIG,LC_PROBE738_IS_TRIG,LC_PROBE737_IS_TRIG,LC_PROBE736_IS_TRIG,LC_PROBE735_IS_TRIG,LC_PROBE734_IS_TRIG,LC_PROBE733_IS_TRIG,LC_PROBE732_IS_TRIG,LC_PROBE731_IS_TRIG,LC_PROBE730_IS_TRIG,
                                                LC_PROBE729_IS_TRIG,LC_PROBE728_IS_TRIG,LC_PROBE727_IS_TRIG,LC_PROBE726_IS_TRIG,LC_PROBE725_IS_TRIG,LC_PROBE724_IS_TRIG,LC_PROBE723_IS_TRIG,LC_PROBE722_IS_TRIG,LC_PROBE721_IS_TRIG,LC_PROBE720_IS_TRIG,LC_PROBE719_IS_TRIG,LC_PROBE718_IS_TRIG,LC_PROBE717_IS_TRIG,LC_PROBE716_IS_TRIG,LC_PROBE715_IS_TRIG,LC_PROBE714_IS_TRIG,LC_PROBE713_IS_TRIG,LC_PROBE712_IS_TRIG,LC_PROBE711_IS_TRIG,LC_PROBE710_IS_TRIG,LC_PROBE709_IS_TRIG,LC_PROBE708_IS_TRIG,LC_PROBE707_IS_TRIG,LC_PROBE706_IS_TRIG,LC_PROBE705_IS_TRIG,LC_PROBE704_IS_TRIG,LC_PROBE703_IS_TRIG,LC_PROBE702_IS_TRIG,LC_PROBE701_IS_TRIG,LC_PROBE700_IS_TRIG,LC_PROBE699_IS_TRIG,LC_PROBE698_IS_TRIG,LC_PROBE697_IS_TRIG,LC_PROBE696_IS_TRIG,LC_PROBE695_IS_TRIG,LC_PROBE694_IS_TRIG,LC_PROBE693_IS_TRIG,LC_PROBE692_IS_TRIG,LC_PROBE691_IS_TRIG,LC_PROBE690_IS_TRIG,
                                                LC_PROBE689_IS_TRIG,LC_PROBE688_IS_TRIG,LC_PROBE687_IS_TRIG,LC_PROBE686_IS_TRIG,LC_PROBE685_IS_TRIG,LC_PROBE684_IS_TRIG,LC_PROBE683_IS_TRIG,LC_PROBE682_IS_TRIG,LC_PROBE681_IS_TRIG,LC_PROBE680_IS_TRIG,LC_PROBE679_IS_TRIG,LC_PROBE678_IS_TRIG,LC_PROBE677_IS_TRIG,LC_PROBE676_IS_TRIG,LC_PROBE675_IS_TRIG,LC_PROBE674_IS_TRIG,LC_PROBE673_IS_TRIG,LC_PROBE672_IS_TRIG,LC_PROBE671_IS_TRIG,LC_PROBE670_IS_TRIG,LC_PROBE669_IS_TRIG,LC_PROBE668_IS_TRIG,LC_PROBE667_IS_TRIG,LC_PROBE666_IS_TRIG,LC_PROBE665_IS_TRIG,LC_PROBE664_IS_TRIG,LC_PROBE663_IS_TRIG,LC_PROBE662_IS_TRIG,LC_PROBE661_IS_TRIG,LC_PROBE660_IS_TRIG,LC_PROBE659_IS_TRIG,LC_PROBE658_IS_TRIG,LC_PROBE657_IS_TRIG,LC_PROBE656_IS_TRIG,LC_PROBE655_IS_TRIG,LC_PROBE654_IS_TRIG,LC_PROBE653_IS_TRIG,LC_PROBE652_IS_TRIG,LC_PROBE651_IS_TRIG,LC_PROBE650_IS_TRIG,
                                                LC_PROBE649_IS_TRIG,LC_PROBE648_IS_TRIG,LC_PROBE647_IS_TRIG,LC_PROBE646_IS_TRIG,LC_PROBE645_IS_TRIG,LC_PROBE644_IS_TRIG,LC_PROBE643_IS_TRIG,LC_PROBE642_IS_TRIG,LC_PROBE641_IS_TRIG,LC_PROBE640_IS_TRIG,LC_PROBE639_IS_TRIG,LC_PROBE638_IS_TRIG,LC_PROBE637_IS_TRIG,LC_PROBE636_IS_TRIG,LC_PROBE635_IS_TRIG,LC_PROBE634_IS_TRIG,LC_PROBE633_IS_TRIG,LC_PROBE632_IS_TRIG,LC_PROBE631_IS_TRIG,LC_PROBE630_IS_TRIG,LC_PROBE629_IS_TRIG,LC_PROBE628_IS_TRIG,LC_PROBE627_IS_TRIG,LC_PROBE626_IS_TRIG,LC_PROBE625_IS_TRIG,LC_PROBE624_IS_TRIG,LC_PROBE623_IS_TRIG,LC_PROBE622_IS_TRIG,LC_PROBE621_IS_TRIG,LC_PROBE620_IS_TRIG,LC_PROBE619_IS_TRIG,LC_PROBE618_IS_TRIG,LC_PROBE617_IS_TRIG,LC_PROBE616_IS_TRIG,LC_PROBE615_IS_TRIG,LC_PROBE614_IS_TRIG,LC_PROBE613_IS_TRIG,LC_PROBE612_IS_TRIG,LC_PROBE611_IS_TRIG,LC_PROBE610_IS_TRIG,
                                                LC_PROBE609_IS_TRIG,LC_PROBE608_IS_TRIG,LC_PROBE607_IS_TRIG,LC_PROBE606_IS_TRIG,LC_PROBE605_IS_TRIG,LC_PROBE604_IS_TRIG,LC_PROBE603_IS_TRIG,LC_PROBE602_IS_TRIG,LC_PROBE601_IS_TRIG,LC_PROBE600_IS_TRIG,LC_PROBE599_IS_TRIG,LC_PROBE598_IS_TRIG,LC_PROBE597_IS_TRIG,LC_PROBE596_IS_TRIG,LC_PROBE595_IS_TRIG,LC_PROBE594_IS_TRIG,LC_PROBE593_IS_TRIG,LC_PROBE592_IS_TRIG,LC_PROBE591_IS_TRIG,LC_PROBE590_IS_TRIG,LC_PROBE589_IS_TRIG,LC_PROBE588_IS_TRIG,LC_PROBE587_IS_TRIG,LC_PROBE586_IS_TRIG,LC_PROBE585_IS_TRIG,LC_PROBE584_IS_TRIG,LC_PROBE583_IS_TRIG,LC_PROBE582_IS_TRIG,LC_PROBE581_IS_TRIG,LC_PROBE580_IS_TRIG,LC_PROBE579_IS_TRIG,LC_PROBE578_IS_TRIG,LC_PROBE577_IS_TRIG,LC_PROBE576_IS_TRIG,LC_PROBE575_IS_TRIG,LC_PROBE574_IS_TRIG,LC_PROBE573_IS_TRIG,LC_PROBE572_IS_TRIG,LC_PROBE571_IS_TRIG,LC_PROBE570_IS_TRIG,
                                                LC_PROBE569_IS_TRIG,LC_PROBE568_IS_TRIG,LC_PROBE567_IS_TRIG,LC_PROBE566_IS_TRIG,LC_PROBE565_IS_TRIG,LC_PROBE564_IS_TRIG,LC_PROBE563_IS_TRIG,LC_PROBE562_IS_TRIG,LC_PROBE561_IS_TRIG,LC_PROBE560_IS_TRIG,LC_PROBE559_IS_TRIG,LC_PROBE558_IS_TRIG,LC_PROBE557_IS_TRIG,LC_PROBE556_IS_TRIG,LC_PROBE555_IS_TRIG,LC_PROBE554_IS_TRIG,LC_PROBE553_IS_TRIG,LC_PROBE552_IS_TRIG,LC_PROBE551_IS_TRIG,LC_PROBE550_IS_TRIG,LC_PROBE549_IS_TRIG,LC_PROBE548_IS_TRIG,LC_PROBE547_IS_TRIG,LC_PROBE546_IS_TRIG,LC_PROBE545_IS_TRIG,LC_PROBE544_IS_TRIG,LC_PROBE543_IS_TRIG,LC_PROBE542_IS_TRIG,LC_PROBE541_IS_TRIG,LC_PROBE540_IS_TRIG,LC_PROBE539_IS_TRIG,LC_PROBE538_IS_TRIG,LC_PROBE537_IS_TRIG,LC_PROBE536_IS_TRIG,LC_PROBE535_IS_TRIG,LC_PROBE534_IS_TRIG,LC_PROBE533_IS_TRIG,LC_PROBE532_IS_TRIG,LC_PROBE531_IS_TRIG,LC_PROBE530_IS_TRIG,
                                                LC_PROBE529_IS_TRIG,LC_PROBE528_IS_TRIG,LC_PROBE527_IS_TRIG,LC_PROBE526_IS_TRIG,LC_PROBE525_IS_TRIG,LC_PROBE524_IS_TRIG,LC_PROBE523_IS_TRIG,LC_PROBE522_IS_TRIG,LC_PROBE521_IS_TRIG,LC_PROBE520_IS_TRIG,LC_PROBE519_IS_TRIG,LC_PROBE518_IS_TRIG,LC_PROBE517_IS_TRIG,LC_PROBE516_IS_TRIG,LC_PROBE515_IS_TRIG,LC_PROBE514_IS_TRIG,LC_PROBE513_IS_TRIG,LC_PROBE512_IS_TRIG,LC_PROBE511_IS_TRIG,LC_PROBE510_IS_TRIG,LC_PROBE509_IS_TRIG,LC_PROBE508_IS_TRIG,LC_PROBE507_IS_TRIG,LC_PROBE506_IS_TRIG,LC_PROBE505_IS_TRIG,LC_PROBE504_IS_TRIG,LC_PROBE503_IS_TRIG,LC_PROBE502_IS_TRIG,LC_PROBE501_IS_TRIG,LC_PROBE500_IS_TRIG,LC_PROBE499_IS_TRIG,LC_PROBE498_IS_TRIG,LC_PROBE497_IS_TRIG,LC_PROBE496_IS_TRIG,LC_PROBE495_IS_TRIG,LC_PROBE494_IS_TRIG,LC_PROBE493_IS_TRIG,LC_PROBE492_IS_TRIG,LC_PROBE491_IS_TRIG,LC_PROBE490_IS_TRIG,
                                                LC_PROBE489_IS_TRIG,LC_PROBE488_IS_TRIG,LC_PROBE487_IS_TRIG,LC_PROBE486_IS_TRIG,LC_PROBE485_IS_TRIG,LC_PROBE484_IS_TRIG,LC_PROBE483_IS_TRIG,LC_PROBE482_IS_TRIG,LC_PROBE481_IS_TRIG,LC_PROBE480_IS_TRIG,LC_PROBE479_IS_TRIG,LC_PROBE478_IS_TRIG,LC_PROBE477_IS_TRIG,LC_PROBE476_IS_TRIG,LC_PROBE475_IS_TRIG,LC_PROBE474_IS_TRIG,LC_PROBE473_IS_TRIG,LC_PROBE472_IS_TRIG,LC_PROBE471_IS_TRIG,LC_PROBE470_IS_TRIG,LC_PROBE469_IS_TRIG,LC_PROBE468_IS_TRIG,LC_PROBE467_IS_TRIG,LC_PROBE466_IS_TRIG,LC_PROBE465_IS_TRIG,LC_PROBE464_IS_TRIG,LC_PROBE463_IS_TRIG,LC_PROBE462_IS_TRIG,LC_PROBE461_IS_TRIG,LC_PROBE460_IS_TRIG,LC_PROBE459_IS_TRIG,LC_PROBE458_IS_TRIG,LC_PROBE457_IS_TRIG,LC_PROBE456_IS_TRIG,LC_PROBE455_IS_TRIG,LC_PROBE454_IS_TRIG,LC_PROBE453_IS_TRIG,LC_PROBE452_IS_TRIG,LC_PROBE451_IS_TRIG,LC_PROBE450_IS_TRIG,
                                                LC_PROBE449_IS_TRIG,LC_PROBE448_IS_TRIG,LC_PROBE447_IS_TRIG,LC_PROBE446_IS_TRIG,LC_PROBE445_IS_TRIG,LC_PROBE444_IS_TRIG,LC_PROBE443_IS_TRIG,LC_PROBE442_IS_TRIG,LC_PROBE441_IS_TRIG,LC_PROBE440_IS_TRIG,LC_PROBE439_IS_TRIG,LC_PROBE438_IS_TRIG,LC_PROBE437_IS_TRIG,LC_PROBE436_IS_TRIG,LC_PROBE435_IS_TRIG,LC_PROBE434_IS_TRIG,LC_PROBE433_IS_TRIG,LC_PROBE432_IS_TRIG,LC_PROBE431_IS_TRIG,LC_PROBE430_IS_TRIG,LC_PROBE429_IS_TRIG,LC_PROBE428_IS_TRIG,LC_PROBE427_IS_TRIG,LC_PROBE426_IS_TRIG,LC_PROBE425_IS_TRIG,LC_PROBE424_IS_TRIG,LC_PROBE423_IS_TRIG,LC_PROBE422_IS_TRIG,LC_PROBE421_IS_TRIG,LC_PROBE420_IS_TRIG,LC_PROBE419_IS_TRIG,LC_PROBE418_IS_TRIG,LC_PROBE417_IS_TRIG,LC_PROBE416_IS_TRIG,LC_PROBE415_IS_TRIG,LC_PROBE414_IS_TRIG,LC_PROBE413_IS_TRIG,LC_PROBE412_IS_TRIG,LC_PROBE411_IS_TRIG,LC_PROBE410_IS_TRIG,
                                                LC_PROBE409_IS_TRIG,LC_PROBE408_IS_TRIG,LC_PROBE407_IS_TRIG,LC_PROBE406_IS_TRIG,LC_PROBE405_IS_TRIG,LC_PROBE404_IS_TRIG,LC_PROBE403_IS_TRIG,LC_PROBE402_IS_TRIG,LC_PROBE401_IS_TRIG,LC_PROBE400_IS_TRIG,LC_PROBE399_IS_TRIG,LC_PROBE398_IS_TRIG,LC_PROBE397_IS_TRIG,LC_PROBE396_IS_TRIG,LC_PROBE395_IS_TRIG,LC_PROBE394_IS_TRIG,LC_PROBE393_IS_TRIG,LC_PROBE392_IS_TRIG,LC_PROBE391_IS_TRIG,LC_PROBE390_IS_TRIG,LC_PROBE389_IS_TRIG,LC_PROBE388_IS_TRIG,LC_PROBE387_IS_TRIG,LC_PROBE386_IS_TRIG,LC_PROBE385_IS_TRIG,LC_PROBE384_IS_TRIG,LC_PROBE383_IS_TRIG,LC_PROBE382_IS_TRIG,LC_PROBE381_IS_TRIG,LC_PROBE380_IS_TRIG,LC_PROBE379_IS_TRIG,LC_PROBE378_IS_TRIG,LC_PROBE377_IS_TRIG,LC_PROBE376_IS_TRIG,LC_PROBE375_IS_TRIG,LC_PROBE374_IS_TRIG,LC_PROBE373_IS_TRIG,LC_PROBE372_IS_TRIG,LC_PROBE371_IS_TRIG,LC_PROBE370_IS_TRIG,
                                                LC_PROBE369_IS_TRIG,LC_PROBE368_IS_TRIG,LC_PROBE367_IS_TRIG,LC_PROBE366_IS_TRIG,LC_PROBE365_IS_TRIG,LC_PROBE364_IS_TRIG,LC_PROBE363_IS_TRIG,LC_PROBE362_IS_TRIG,LC_PROBE361_IS_TRIG,LC_PROBE360_IS_TRIG,LC_PROBE359_IS_TRIG,LC_PROBE358_IS_TRIG,LC_PROBE357_IS_TRIG,LC_PROBE356_IS_TRIG,LC_PROBE355_IS_TRIG,LC_PROBE354_IS_TRIG,LC_PROBE353_IS_TRIG,LC_PROBE352_IS_TRIG,LC_PROBE351_IS_TRIG,LC_PROBE350_IS_TRIG,LC_PROBE349_IS_TRIG,LC_PROBE348_IS_TRIG,LC_PROBE347_IS_TRIG,LC_PROBE346_IS_TRIG,LC_PROBE345_IS_TRIG,LC_PROBE344_IS_TRIG,LC_PROBE343_IS_TRIG,LC_PROBE342_IS_TRIG,LC_PROBE341_IS_TRIG,LC_PROBE340_IS_TRIG,LC_PROBE339_IS_TRIG,LC_PROBE338_IS_TRIG,LC_PROBE337_IS_TRIG,LC_PROBE336_IS_TRIG,LC_PROBE335_IS_TRIG,LC_PROBE334_IS_TRIG,LC_PROBE333_IS_TRIG,LC_PROBE332_IS_TRIG,LC_PROBE331_IS_TRIG,LC_PROBE330_IS_TRIG,
                                                LC_PROBE329_IS_TRIG,LC_PROBE328_IS_TRIG,LC_PROBE327_IS_TRIG,LC_PROBE326_IS_TRIG,LC_PROBE325_IS_TRIG,LC_PROBE324_IS_TRIG,LC_PROBE323_IS_TRIG,LC_PROBE322_IS_TRIG,LC_PROBE321_IS_TRIG,LC_PROBE320_IS_TRIG,LC_PROBE319_IS_TRIG,LC_PROBE318_IS_TRIG,LC_PROBE317_IS_TRIG,LC_PROBE316_IS_TRIG,LC_PROBE315_IS_TRIG,LC_PROBE314_IS_TRIG,LC_PROBE313_IS_TRIG,LC_PROBE312_IS_TRIG,LC_PROBE311_IS_TRIG,LC_PROBE310_IS_TRIG,LC_PROBE309_IS_TRIG,LC_PROBE308_IS_TRIG,LC_PROBE307_IS_TRIG,LC_PROBE306_IS_TRIG,LC_PROBE305_IS_TRIG,LC_PROBE304_IS_TRIG,LC_PROBE303_IS_TRIG,LC_PROBE302_IS_TRIG,LC_PROBE301_IS_TRIG,LC_PROBE300_IS_TRIG,LC_PROBE299_IS_TRIG,LC_PROBE298_IS_TRIG,LC_PROBE297_IS_TRIG,LC_PROBE296_IS_TRIG,LC_PROBE295_IS_TRIG,LC_PROBE294_IS_TRIG,LC_PROBE293_IS_TRIG,LC_PROBE292_IS_TRIG,LC_PROBE291_IS_TRIG,LC_PROBE290_IS_TRIG,
                                                LC_PROBE289_IS_TRIG,LC_PROBE288_IS_TRIG,LC_PROBE287_IS_TRIG,LC_PROBE286_IS_TRIG,LC_PROBE285_IS_TRIG,LC_PROBE284_IS_TRIG,LC_PROBE283_IS_TRIG,LC_PROBE282_IS_TRIG,LC_PROBE281_IS_TRIG,LC_PROBE280_IS_TRIG,LC_PROBE279_IS_TRIG,LC_PROBE278_IS_TRIG,LC_PROBE277_IS_TRIG,LC_PROBE276_IS_TRIG,LC_PROBE275_IS_TRIG,LC_PROBE274_IS_TRIG,LC_PROBE273_IS_TRIG,LC_PROBE272_IS_TRIG,LC_PROBE271_IS_TRIG,LC_PROBE270_IS_TRIG,LC_PROBE269_IS_TRIG,LC_PROBE268_IS_TRIG,LC_PROBE267_IS_TRIG,LC_PROBE266_IS_TRIG,LC_PROBE265_IS_TRIG,LC_PROBE264_IS_TRIG,LC_PROBE263_IS_TRIG,LC_PROBE262_IS_TRIG,LC_PROBE261_IS_TRIG,LC_PROBE260_IS_TRIG,LC_PROBE259_IS_TRIG,LC_PROBE258_IS_TRIG,LC_PROBE257_IS_TRIG,LC_PROBE256_IS_TRIG,LC_PROBE255_IS_TRIG,LC_PROBE254_IS_TRIG,LC_PROBE253_IS_TRIG,LC_PROBE252_IS_TRIG,LC_PROBE251_IS_TRIG,LC_PROBE250_IS_TRIG,
                                                LC_PROBE249_IS_TRIG,LC_PROBE248_IS_TRIG,LC_PROBE247_IS_TRIG,LC_PROBE246_IS_TRIG,LC_PROBE245_IS_TRIG,LC_PROBE244_IS_TRIG,LC_PROBE243_IS_TRIG,LC_PROBE242_IS_TRIG,LC_PROBE241_IS_TRIG,LC_PROBE240_IS_TRIG,LC_PROBE239_IS_TRIG,LC_PROBE238_IS_TRIG,LC_PROBE237_IS_TRIG,LC_PROBE236_IS_TRIG,LC_PROBE235_IS_TRIG,LC_PROBE234_IS_TRIG,LC_PROBE233_IS_TRIG,LC_PROBE232_IS_TRIG,LC_PROBE231_IS_TRIG,LC_PROBE230_IS_TRIG,LC_PROBE229_IS_TRIG,LC_PROBE228_IS_TRIG,LC_PROBE227_IS_TRIG,LC_PROBE226_IS_TRIG,LC_PROBE225_IS_TRIG,LC_PROBE224_IS_TRIG,LC_PROBE223_IS_TRIG,LC_PROBE222_IS_TRIG,LC_PROBE221_IS_TRIG,LC_PROBE220_IS_TRIG,LC_PROBE219_IS_TRIG,LC_PROBE218_IS_TRIG,LC_PROBE217_IS_TRIG,LC_PROBE216_IS_TRIG,LC_PROBE215_IS_TRIG,LC_PROBE214_IS_TRIG,LC_PROBE213_IS_TRIG,LC_PROBE212_IS_TRIG,LC_PROBE211_IS_TRIG,LC_PROBE210_IS_TRIG,
                                                LC_PROBE209_IS_TRIG,LC_PROBE208_IS_TRIG,LC_PROBE207_IS_TRIG,LC_PROBE206_IS_TRIG,LC_PROBE205_IS_TRIG,LC_PROBE204_IS_TRIG,LC_PROBE203_IS_TRIG,LC_PROBE202_IS_TRIG,LC_PROBE201_IS_TRIG,LC_PROBE200_IS_TRIG,LC_PROBE199_IS_TRIG,LC_PROBE198_IS_TRIG,LC_PROBE197_IS_TRIG,LC_PROBE196_IS_TRIG,LC_PROBE195_IS_TRIG,LC_PROBE194_IS_TRIG,LC_PROBE193_IS_TRIG,LC_PROBE192_IS_TRIG,LC_PROBE191_IS_TRIG,LC_PROBE190_IS_TRIG,LC_PROBE189_IS_TRIG,LC_PROBE188_IS_TRIG,LC_PROBE187_IS_TRIG,LC_PROBE186_IS_TRIG,LC_PROBE185_IS_TRIG,LC_PROBE184_IS_TRIG,LC_PROBE183_IS_TRIG,LC_PROBE182_IS_TRIG,LC_PROBE181_IS_TRIG,LC_PROBE180_IS_TRIG,LC_PROBE179_IS_TRIG,LC_PROBE178_IS_TRIG,LC_PROBE177_IS_TRIG,LC_PROBE176_IS_TRIG,LC_PROBE175_IS_TRIG,LC_PROBE174_IS_TRIG,LC_PROBE173_IS_TRIG,LC_PROBE172_IS_TRIG,LC_PROBE171_IS_TRIG,LC_PROBE170_IS_TRIG,
                                                LC_PROBE169_IS_TRIG,LC_PROBE168_IS_TRIG,LC_PROBE167_IS_TRIG,LC_PROBE166_IS_TRIG,LC_PROBE165_IS_TRIG,LC_PROBE164_IS_TRIG,LC_PROBE163_IS_TRIG,LC_PROBE162_IS_TRIG,LC_PROBE161_IS_TRIG,LC_PROBE160_IS_TRIG,LC_PROBE159_IS_TRIG,LC_PROBE158_IS_TRIG,LC_PROBE157_IS_TRIG,LC_PROBE156_IS_TRIG,LC_PROBE155_IS_TRIG,LC_PROBE154_IS_TRIG,LC_PROBE153_IS_TRIG,LC_PROBE152_IS_TRIG,LC_PROBE151_IS_TRIG,LC_PROBE150_IS_TRIG,LC_PROBE149_IS_TRIG,LC_PROBE148_IS_TRIG,LC_PROBE147_IS_TRIG,LC_PROBE146_IS_TRIG,LC_PROBE145_IS_TRIG,LC_PROBE144_IS_TRIG,LC_PROBE143_IS_TRIG,LC_PROBE142_IS_TRIG,LC_PROBE141_IS_TRIG,LC_PROBE140_IS_TRIG,LC_PROBE139_IS_TRIG,LC_PROBE138_IS_TRIG,LC_PROBE137_IS_TRIG,LC_PROBE136_IS_TRIG,LC_PROBE135_IS_TRIG,LC_PROBE134_IS_TRIG,LC_PROBE133_IS_TRIG,LC_PROBE132_IS_TRIG,LC_PROBE131_IS_TRIG,LC_PROBE130_IS_TRIG,
                                                LC_PROBE129_IS_TRIG,LC_PROBE128_IS_TRIG,LC_PROBE127_IS_TRIG,LC_PROBE126_IS_TRIG,LC_PROBE125_IS_TRIG,LC_PROBE124_IS_TRIG,LC_PROBE123_IS_TRIG,LC_PROBE122_IS_TRIG,LC_PROBE121_IS_TRIG,LC_PROBE120_IS_TRIG,LC_PROBE119_IS_TRIG,LC_PROBE118_IS_TRIG,LC_PROBE117_IS_TRIG,LC_PROBE116_IS_TRIG,LC_PROBE115_IS_TRIG,LC_PROBE114_IS_TRIG,LC_PROBE113_IS_TRIG,LC_PROBE112_IS_TRIG,LC_PROBE111_IS_TRIG,LC_PROBE110_IS_TRIG,LC_PROBE109_IS_TRIG,LC_PROBE108_IS_TRIG,LC_PROBE107_IS_TRIG,LC_PROBE106_IS_TRIG,LC_PROBE105_IS_TRIG,LC_PROBE104_IS_TRIG,LC_PROBE103_IS_TRIG,LC_PROBE102_IS_TRIG,LC_PROBE101_IS_TRIG,LC_PROBE100_IS_TRIG,LC_PROBE99_IS_TRIG,LC_PROBE98_IS_TRIG,LC_PROBE97_IS_TRIG,LC_PROBE96_IS_TRIG,LC_PROBE95_IS_TRIG,LC_PROBE94_IS_TRIG,LC_PROBE93_IS_TRIG,LC_PROBE92_IS_TRIG,LC_PROBE91_IS_TRIG,LC_PROBE90_IS_TRIG,
                                                LC_PROBE89_IS_TRIG,LC_PROBE88_IS_TRIG,LC_PROBE87_IS_TRIG,LC_PROBE86_IS_TRIG,LC_PROBE85_IS_TRIG,LC_PROBE84_IS_TRIG,LC_PROBE83_IS_TRIG,LC_PROBE82_IS_TRIG,LC_PROBE81_IS_TRIG,LC_PROBE80_IS_TRIG,LC_PROBE79_IS_TRIG,LC_PROBE78_IS_TRIG,LC_PROBE77_IS_TRIG,LC_PROBE76_IS_TRIG,LC_PROBE75_IS_TRIG,LC_PROBE74_IS_TRIG,LC_PROBE73_IS_TRIG,LC_PROBE72_IS_TRIG,LC_PROBE71_IS_TRIG,LC_PROBE70_IS_TRIG,LC_PROBE69_IS_TRIG,LC_PROBE68_IS_TRIG,LC_PROBE67_IS_TRIG,LC_PROBE66_IS_TRIG,LC_PROBE65_IS_TRIG,LC_PROBE64_IS_TRIG,LC_PROBE63_IS_TRIG,LC_PROBE62_IS_TRIG,LC_PROBE61_IS_TRIG,LC_PROBE60_IS_TRIG,LC_PROBE59_IS_TRIG,LC_PROBE58_IS_TRIG,LC_PROBE57_IS_TRIG,LC_PROBE56_IS_TRIG,LC_PROBE55_IS_TRIG,LC_PROBE54_IS_TRIG,LC_PROBE53_IS_TRIG,LC_PROBE52_IS_TRIG,LC_PROBE51_IS_TRIG,LC_PROBE50_IS_TRIG,
                                                LC_PROBE49_IS_TRIG,LC_PROBE48_IS_TRIG,LC_PROBE47_IS_TRIG,LC_PROBE46_IS_TRIG,LC_PROBE45_IS_TRIG,LC_PROBE44_IS_TRIG,LC_PROBE43_IS_TRIG,LC_PROBE42_IS_TRIG,LC_PROBE41_IS_TRIG,LC_PROBE40_IS_TRIG,LC_PROBE39_IS_TRIG,LC_PROBE38_IS_TRIG,LC_PROBE37_IS_TRIG,LC_PROBE36_IS_TRIG,LC_PROBE35_IS_TRIG,LC_PROBE34_IS_TRIG,LC_PROBE33_IS_TRIG,LC_PROBE32_IS_TRIG,LC_PROBE31_IS_TRIG,LC_PROBE30_IS_TRIG,LC_PROBE29_IS_TRIG,LC_PROBE28_IS_TRIG,LC_PROBE27_IS_TRIG,LC_PROBE26_IS_TRIG,LC_PROBE25_IS_TRIG,LC_PROBE24_IS_TRIG,LC_PROBE23_IS_TRIG,LC_PROBE22_IS_TRIG,LC_PROBE21_IS_TRIG,LC_PROBE20_IS_TRIG,LC_PROBE19_IS_TRIG,LC_PROBE18_IS_TRIG,LC_PROBE17_IS_TRIG,LC_PROBE16_IS_TRIG,LC_PROBE15_IS_TRIG,LC_PROBE14_IS_TRIG,LC_PROBE13_IS_TRIG,LC_PROBE12_IS_TRIG,LC_PROBE11_IS_TRIG,LC_PROBE10_IS_TRIG,
                                                LC_PROBE9_IS_TRIG,LC_PROBE8_IS_TRIG,LC_PROBE7_IS_TRIG,LC_PROBE6_IS_TRIG,LC_PROBE5_IS_TRIG,LC_PROBE4_IS_TRIG,LC_PROBE3_IS_TRIG,LC_PROBE2_IS_TRIG,LC_PROBE1_IS_TRIG,LC_PROBE0_IS_TRIG };
localparam LC_MU_COUNT_EN = match_units_count_en(LC_MU_COUNT, LC_PROBE_IS_TRIG_STRING); 
localparam LC_TRIG_WIDTH = size_of_data(LC_MU_COUNT, LC_PROBE_WIDTH_STRING, LC_MATCH_TPID_VEC);
localparam LC_DATA_WIDTH = LC_PROBES_WIDTH;//size_of_data_less(LC_MU_COUNT, LC_PROBE_WIDTH_STRING, LC_MATCH_TPID_VEC, LC_PROBE_IS_DATA_STRING); 


